#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1698
#define LARGE_STATE_COUNT 311
#define SYMBOL_COUNT 267
#define ALIAS_COUNT 4
#define TOKEN_COUNT 136
#define EXTERNAL_TOKEN_COUNT 7
#define FIELD_COUNT 38
#define MAX_ALIAS_SEQUENCE_LENGTH 7
#define PRODUCTION_ID_COUNT 106

enum ts_symbol_identifiers {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_default = 5,
  anon_sym_as = 6,
  anon_sym_LBRACE = 7,
  anon_sym_COMMA = 8,
  anon_sym_RBRACE = 9,
  anon_sym_import = 10,
  anon_sym_from = 11,
  anon_sym_with = 12,
  anon_sym_var = 13,
  anon_sym_let = 14,
  anon_sym_const = 15,
  anon_sym_else = 16,
  anon_sym_if = 17,
  anon_sym_switch = 18,
  anon_sym_for = 19,
  anon_sym_LPAREN = 20,
  anon_sym_RPAREN = 21,
  anon_sym_await = 22,
  anon_sym_in = 23,
  anon_sym_of = 24,
  anon_sym_while = 25,
  anon_sym_do = 26,
  anon_sym_try = 27,
  anon_sym_break = 28,
  anon_sym_continue = 29,
  anon_sym_debugger = 30,
  anon_sym_return = 31,
  anon_sym_throw = 32,
  anon_sym_SEMI = 33,
  anon_sym_COLON = 34,
  anon_sym_case = 35,
  anon_sym_catch = 36,
  anon_sym_finally = 37,
  anon_sym_yield = 38,
  anon_sym_EQ = 39,
  anon_sym_LBRACK = 40,
  anon_sym_RBRACK = 41,
  sym__glimmer_template_content = 42,
  anon_sym_LTtemplate_GT = 43,
  anon_sym_LT_SLASHtemplate_GT = 44,
  aux_sym_jsx_text_token1 = 45,
  aux_sym_jsx_text_token2 = 46,
  sym_html_character_reference = 47,
  anon_sym_LT = 48,
  anon_sym_GT = 49,
  sym_jsx_identifier = 50,
  anon_sym_DOT = 51,
  anon_sym_LT_SLASH = 52,
  anon_sym_SLASH_GT = 53,
  anon_sym_DQUOTE = 54,
  anon_sym_SQUOTE = 55,
  sym_unescaped_double_jsx_string_fragment = 56,
  sym_unescaped_single_jsx_string_fragment = 57,
  anon_sym_class = 58,
  anon_sym_extends = 59,
  anon_sym_async = 60,
  anon_sym_function = 61,
  anon_sym_EQ_GT = 62,
  sym_optional_chain = 63,
  anon_sym_new = 64,
  anon_sym_PLUS_EQ = 65,
  anon_sym_DASH_EQ = 66,
  anon_sym_STAR_EQ = 67,
  anon_sym_SLASH_EQ = 68,
  anon_sym_PERCENT_EQ = 69,
  anon_sym_CARET_EQ = 70,
  anon_sym_AMP_EQ = 71,
  anon_sym_PIPE_EQ = 72,
  anon_sym_GT_GT_EQ = 73,
  anon_sym_GT_GT_GT_EQ = 74,
  anon_sym_LT_LT_EQ = 75,
  anon_sym_STAR_STAR_EQ = 76,
  anon_sym_AMP_AMP_EQ = 77,
  anon_sym_PIPE_PIPE_EQ = 78,
  anon_sym_QMARK_QMARK_EQ = 79,
  anon_sym_DOT_DOT_DOT = 80,
  anon_sym_AMP_AMP = 81,
  anon_sym_PIPE_PIPE = 82,
  anon_sym_GT_GT = 83,
  anon_sym_GT_GT_GT = 84,
  anon_sym_LT_LT = 85,
  anon_sym_AMP = 86,
  anon_sym_CARET = 87,
  anon_sym_PIPE = 88,
  anon_sym_PLUS = 89,
  anon_sym_DASH = 90,
  anon_sym_SLASH = 91,
  anon_sym_PERCENT = 92,
  anon_sym_STAR_STAR = 93,
  anon_sym_LT_EQ = 94,
  anon_sym_EQ_EQ = 95,
  anon_sym_EQ_EQ_EQ = 96,
  anon_sym_BANG_EQ = 97,
  anon_sym_BANG_EQ_EQ = 98,
  anon_sym_GT_EQ = 99,
  anon_sym_QMARK_QMARK = 100,
  anon_sym_instanceof = 101,
  anon_sym_BANG = 102,
  anon_sym_TILDE = 103,
  anon_sym_typeof = 104,
  anon_sym_void = 105,
  anon_sym_delete = 106,
  anon_sym_PLUS_PLUS = 107,
  anon_sym_DASH_DASH = 108,
  sym_unescaped_double_string_fragment = 109,
  sym_unescaped_single_string_fragment = 110,
  sym_escape_sequence = 111,
  sym_comment = 112,
  anon_sym_BQUOTE = 113,
  anon_sym_DOLLAR_LBRACE = 114,
  anon_sym_SLASH2 = 115,
  sym_regex_pattern = 116,
  sym_regex_flags = 117,
  sym_number = 118,
  sym_private_property_identifier = 119,
  anon_sym_target = 120,
  sym_this = 121,
  sym_super = 122,
  sym_true = 123,
  sym_false = 124,
  sym_null = 125,
  sym_undefined = 126,
  anon_sym_AT = 127,
  anon_sym_static = 128,
  aux_sym_method_definition_token1 = 129,
  anon_sym_get = 130,
  anon_sym_set = 131,
  sym__automatic_semicolon = 132,
  sym__template_chars = 133,
  sym__ternary_qmark = 134,
  sym_html_comment = 135,
  sym_program = 136,
  sym_export_statement = 137,
  sym_namespace_export = 138,
  sym_export_clause = 139,
  sym_export_specifier = 140,
  sym__module_export_name = 141,
  sym_declaration = 142,
  sym_import = 143,
  sym_import_statement = 144,
  sym_import_clause = 145,
  sym__from_clause = 146,
  sym_namespace_import = 147,
  sym_named_imports = 148,
  sym_import_specifier = 149,
  sym_import_attribute = 150,
  sym_statement = 151,
  sym_expression_statement = 152,
  sym_variable_declaration = 153,
  sym_lexical_declaration = 154,
  sym_variable_declarator = 155,
  sym_statement_block = 156,
  sym_else_clause = 157,
  sym_if_statement = 158,
  sym_switch_statement = 159,
  sym_for_statement = 160,
  sym_for_in_statement = 161,
  sym__for_header = 162,
  sym_while_statement = 163,
  sym_do_statement = 164,
  sym_try_statement = 165,
  sym_with_statement = 166,
  sym_break_statement = 167,
  sym_continue_statement = 168,
  sym_debugger_statement = 169,
  sym_return_statement = 170,
  sym_throw_statement = 171,
  sym_empty_statement = 172,
  sym_labeled_statement = 173,
  sym_switch_body = 174,
  sym_switch_case = 175,
  sym_switch_default = 176,
  sym_catch_clause = 177,
  sym_finally_clause = 178,
  sym_parenthesized_expression = 179,
  sym_expression = 180,
  sym_primary_expression = 181,
  sym_yield_expression = 182,
  sym_object = 183,
  sym_object_pattern = 184,
  sym_assignment_pattern = 185,
  sym_object_assignment_pattern = 186,
  sym_array = 187,
  sym_array_pattern = 188,
  sym_glimmer_template = 189,
  sym_glimmer_opening_tag = 190,
  sym_glimmer_closing_tag = 191,
  sym_jsx_element = 192,
  sym_jsx_text = 193,
  sym_jsx_expression = 194,
  sym_jsx_opening_element = 195,
  sym_nested_identifier = 196,
  sym_jsx_namespace_name = 197,
  sym_jsx_closing_element = 198,
  sym_jsx_self_closing_element = 199,
  sym_jsx_attribute = 200,
  sym__jsx_string = 201,
  sym_class = 202,
  sym_class_declaration = 203,
  sym_class_heritage = 204,
  sym_function_expression = 205,
  sym_function_declaration = 206,
  sym_generator_function = 207,
  sym_generator_function_declaration = 208,
  sym_arrow_function = 209,
  sym_call_expression = 210,
  sym_new_expression = 211,
  sym_await_expression = 212,
  sym_member_expression = 213,
  sym_subscript_expression = 214,
  sym_assignment_expression = 215,
  sym__augmented_assignment_lhs = 216,
  sym_augmented_assignment_expression = 217,
  sym__initializer = 218,
  sym__destructuring_pattern = 219,
  sym_spread_element = 220,
  sym_ternary_expression = 221,
  sym_binary_expression = 222,
  sym_unary_expression = 223,
  sym_update_expression = 224,
  sym_sequence_expression = 225,
  sym_string = 226,
  sym_template_string = 227,
  sym_template_substitution = 228,
  sym_regex = 229,
  sym_meta_property = 230,
  sym_arguments = 231,
  sym_decorator = 232,
  sym_decorator_member_expression = 233,
  sym_decorator_call_expression = 234,
  sym_class_body = 235,
  sym_field_definition = 236,
  sym_formal_parameters = 237,
  sym_class_static_block = 238,
  sym_pattern = 239,
  sym_rest_pattern = 240,
  sym_method_definition = 241,
  sym_pair = 242,
  sym_pair_pattern = 243,
  sym__property_name = 244,
  sym_computed_property_name = 245,
  aux_sym_program_repeat1 = 246,
  aux_sym_export_statement_repeat1 = 247,
  aux_sym_export_clause_repeat1 = 248,
  aux_sym_named_imports_repeat1 = 249,
  aux_sym_variable_declaration_repeat1 = 250,
  aux_sym_switch_body_repeat1 = 251,
  aux_sym_object_repeat1 = 252,
  aux_sym_object_pattern_repeat1 = 253,
  aux_sym_array_repeat1 = 254,
  aux_sym_array_pattern_repeat1 = 255,
  aux_sym_glimmer_template_repeat1 = 256,
  aux_sym_jsx_element_repeat1 = 257,
  aux_sym_jsx_opening_element_repeat1 = 258,
  aux_sym__jsx_string_repeat1 = 259,
  aux_sym__jsx_string_repeat2 = 260,
  aux_sym_sequence_expression_repeat1 = 261,
  aux_sym_string_repeat1 = 262,
  aux_sym_string_repeat2 = 263,
  aux_sym_template_string_repeat1 = 264,
  aux_sym_class_body_repeat1 = 265,
  aux_sym_formal_parameters_repeat1 = 266,
  alias_sym_property_identifier = 267,
  alias_sym_shorthand_property_identifier = 268,
  alias_sym_shorthand_property_identifier_pattern = 269,
  alias_sym_statement_identifier = 270,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_as] = "as",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_with] = "with",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_else] = "else",
  [anon_sym_if] = "if",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_await] = "await",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_SEMI] = ";",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_EQ] = "=",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [sym__glimmer_template_content] = "_glimmer_template_content",
  [anon_sym_LTtemplate_GT] = "<template>",
  [anon_sym_LT_SLASHtemplate_GT] = "</template>",
  [aux_sym_jsx_text_token1] = "jsx_text_token1",
  [aux_sym_jsx_text_token2] = "jsx_text_token2",
  [sym_html_character_reference] = "html_character_reference",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [sym_jsx_identifier] = "identifier",
  [anon_sym_DOT] = ".",
  [anon_sym_LT_SLASH] = "</",
  [anon_sym_SLASH_GT] = "/>",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_SQUOTE] = "'",
  [sym_unescaped_double_jsx_string_fragment] = "string_fragment",
  [sym_unescaped_single_jsx_string_fragment] = "string_fragment",
  [anon_sym_class] = "class",
  [anon_sym_extends] = "extends",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [sym_optional_chain] = "optional_chain",
  [anon_sym_new] = "new",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_typeof] = "typeof",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [sym_unescaped_double_string_fragment] = "string_fragment",
  [sym_unescaped_single_string_fragment] = "string_fragment",
  [sym_escape_sequence] = "escape_sequence",
  [sym_comment] = "comment",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [sym_private_property_identifier] = "private_property_identifier",
  [anon_sym_target] = "target",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [aux_sym_method_definition_token1] = "static get",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "string_fragment",
  [sym__ternary_qmark] = "\?",
  [sym_html_comment] = "html_comment",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_namespace_export] = "namespace_export",
  [sym_export_clause] = "export_clause",
  [sym_export_specifier] = "export_specifier",
  [sym__module_export_name] = "_module_export_name",
  [sym_declaration] = "declaration",
  [sym_import] = "import",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_import_specifier] = "import_specifier",
  [sym_import_attribute] = "import_attribute",
  [sym_statement] = "statement",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_else_clause] = "else_clause",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym__for_header] = "_for_header",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_object_pattern] = "object_pattern",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_object_assignment_pattern] = "object_assignment_pattern",
  [sym_array] = "array",
  [sym_array_pattern] = "array_pattern",
  [sym_glimmer_template] = "glimmer_template",
  [sym_glimmer_opening_tag] = "glimmer_opening_tag",
  [sym_glimmer_closing_tag] = "glimmer_closing_tag",
  [sym_jsx_element] = "jsx_element",
  [sym_jsx_text] = "jsx_text",
  [sym_jsx_expression] = "jsx_expression",
  [sym_jsx_opening_element] = "jsx_opening_element",
  [sym_nested_identifier] = "member_expression",
  [sym_jsx_namespace_name] = "jsx_namespace_name",
  [sym_jsx_closing_element] = "jsx_closing_element",
  [sym_jsx_self_closing_element] = "jsx_self_closing_element",
  [sym_jsx_attribute] = "jsx_attribute",
  [sym__jsx_string] = "string",
  [sym_class] = "class",
  [sym_class_declaration] = "class_declaration",
  [sym_class_heritage] = "class_heritage",
  [sym_function_expression] = "function_expression",
  [sym_function_declaration] = "function_declaration",
  [sym_generator_function] = "generator_function",
  [sym_generator_function_declaration] = "generator_function_declaration",
  [sym_arrow_function] = "arrow_function",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym__augmented_assignment_lhs] = "_augmented_assignment_lhs",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym__destructuring_pattern] = "_destructuring_pattern",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_field_definition] = "field_definition",
  [sym_formal_parameters] = "formal_parameters",
  [sym_class_static_block] = "class_static_block",
  [sym_pattern] = "pattern",
  [sym_rest_pattern] = "rest_pattern",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym_pair_pattern] = "pair_pattern",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_object_pattern_repeat1] = "object_pattern_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_array_pattern_repeat1] = "array_pattern_repeat1",
  [aux_sym_glimmer_template_repeat1] = "glimmer_template_repeat1",
  [aux_sym_jsx_element_repeat1] = "jsx_element_repeat1",
  [aux_sym_jsx_opening_element_repeat1] = "jsx_opening_element_repeat1",
  [aux_sym__jsx_string_repeat1] = "_jsx_string_repeat1",
  [aux_sym__jsx_string_repeat2] = "_jsx_string_repeat2",
  [aux_sym_sequence_expression_repeat1] = "sequence_expression_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_shorthand_property_identifier_pattern] = "shorthand_property_identifier_pattern",
  [alias_sym_statement_identifier] = "statement_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_hash_bang_line] = sym_hash_bang_line,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_debugger] = anon_sym_debugger,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [sym__glimmer_template_content] = sym__glimmer_template_content,
  [anon_sym_LTtemplate_GT] = anon_sym_LTtemplate_GT,
  [anon_sym_LT_SLASHtemplate_GT] = anon_sym_LT_SLASHtemplate_GT,
  [aux_sym_jsx_text_token1] = aux_sym_jsx_text_token1,
  [aux_sym_jsx_text_token2] = aux_sym_jsx_text_token2,
  [sym_html_character_reference] = sym_html_character_reference,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [sym_jsx_identifier] = sym_identifier,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_LT_SLASH] = anon_sym_LT_SLASH,
  [anon_sym_SLASH_GT] = anon_sym_SLASH_GT,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [sym_unescaped_double_jsx_string_fragment] = sym__template_chars,
  [sym_unescaped_single_jsx_string_fragment] = sym__template_chars,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [sym_optional_chain] = sym_optional_chain,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_typeof] = anon_sym_typeof,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [sym_unescaped_double_string_fragment] = sym__template_chars,
  [sym_unescaped_single_string_fragment] = sym__template_chars,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_comment] = sym_comment,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH2] = anon_sym_SLASH,
  [sym_regex_pattern] = sym_regex_pattern,
  [sym_regex_flags] = sym_regex_flags,
  [sym_number] = sym_number,
  [sym_private_property_identifier] = sym_private_property_identifier,
  [anon_sym_target] = anon_sym_target,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_undefined] = sym_undefined,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_static] = anon_sym_static,
  [aux_sym_method_definition_token1] = aux_sym_method_definition_token1,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__template_chars] = sym__template_chars,
  [sym__ternary_qmark] = sym__ternary_qmark,
  [sym_html_comment] = sym_html_comment,
  [sym_program] = sym_program,
  [sym_export_statement] = sym_export_statement,
  [sym_namespace_export] = sym_namespace_export,
  [sym_export_clause] = sym_export_clause,
  [sym_export_specifier] = sym_export_specifier,
  [sym__module_export_name] = sym__module_export_name,
  [sym_declaration] = sym_declaration,
  [sym_import] = sym_import,
  [sym_import_statement] = sym_import_statement,
  [sym_import_clause] = sym_import_clause,
  [sym__from_clause] = sym__from_clause,
  [sym_namespace_import] = sym_namespace_import,
  [sym_named_imports] = sym_named_imports,
  [sym_import_specifier] = sym_import_specifier,
  [sym_import_attribute] = sym_import_attribute,
  [sym_statement] = sym_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_lexical_declaration] = sym_lexical_declaration,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym_statement_block] = sym_statement_block,
  [sym_else_clause] = sym_else_clause,
  [sym_if_statement] = sym_if_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_in_statement] = sym_for_in_statement,
  [sym__for_header] = sym__for_header,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_with_statement] = sym_with_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_debugger_statement] = sym_debugger_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_switch_case] = sym_switch_case,
  [sym_switch_default] = sym_switch_default,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_yield_expression] = sym_yield_expression,
  [sym_object] = sym_object,
  [sym_object_pattern] = sym_object_pattern,
  [sym_assignment_pattern] = sym_assignment_pattern,
  [sym_object_assignment_pattern] = sym_object_assignment_pattern,
  [sym_array] = sym_array,
  [sym_array_pattern] = sym_array_pattern,
  [sym_glimmer_template] = sym_glimmer_template,
  [sym_glimmer_opening_tag] = sym_glimmer_opening_tag,
  [sym_glimmer_closing_tag] = sym_glimmer_closing_tag,
  [sym_jsx_element] = sym_jsx_element,
  [sym_jsx_text] = sym_jsx_text,
  [sym_jsx_expression] = sym_jsx_expression,
  [sym_jsx_opening_element] = sym_jsx_opening_element,
  [sym_nested_identifier] = sym_member_expression,
  [sym_jsx_namespace_name] = sym_jsx_namespace_name,
  [sym_jsx_closing_element] = sym_jsx_closing_element,
  [sym_jsx_self_closing_element] = sym_jsx_self_closing_element,
  [sym_jsx_attribute] = sym_jsx_attribute,
  [sym__jsx_string] = sym_string,
  [sym_class] = sym_class,
  [sym_class_declaration] = sym_class_declaration,
  [sym_class_heritage] = sym_class_heritage,
  [sym_function_expression] = sym_function_expression,
  [sym_function_declaration] = sym_function_declaration,
  [sym_generator_function] = sym_generator_function,
  [sym_generator_function_declaration] = sym_generator_function_declaration,
  [sym_arrow_function] = sym_arrow_function,
  [sym_call_expression] = sym_call_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym__augmented_assignment_lhs] = sym__augmented_assignment_lhs,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__initializer] = sym__initializer,
  [sym__destructuring_pattern] = sym__destructuring_pattern,
  [sym_spread_element] = sym_spread_element,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_string] = sym_string,
  [sym_template_string] = sym_template_string,
  [sym_template_substitution] = sym_template_substitution,
  [sym_regex] = sym_regex,
  [sym_meta_property] = sym_meta_property,
  [sym_arguments] = sym_arguments,
  [sym_decorator] = sym_decorator,
  [sym_decorator_member_expression] = sym_member_expression,
  [sym_decorator_call_expression] = sym_call_expression,
  [sym_class_body] = sym_class_body,
  [sym_field_definition] = sym_field_definition,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_class_static_block] = sym_class_static_block,
  [sym_pattern] = sym_pattern,
  [sym_rest_pattern] = sym_rest_pattern,
  [sym_method_definition] = sym_method_definition,
  [sym_pair] = sym_pair,
  [sym_pair_pattern] = sym_pair_pattern,
  [sym__property_name] = sym__property_name,
  [sym_computed_property_name] = sym_computed_property_name,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_export_statement_repeat1] = aux_sym_export_statement_repeat1,
  [aux_sym_export_clause_repeat1] = aux_sym_export_clause_repeat1,
  [aux_sym_named_imports_repeat1] = aux_sym_named_imports_repeat1,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_object_pattern_repeat1] = aux_sym_object_pattern_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_array_pattern_repeat1] = aux_sym_array_pattern_repeat1,
  [aux_sym_glimmer_template_repeat1] = aux_sym_glimmer_template_repeat1,
  [aux_sym_jsx_element_repeat1] = aux_sym_jsx_element_repeat1,
  [aux_sym_jsx_opening_element_repeat1] = aux_sym_jsx_opening_element_repeat1,
  [aux_sym__jsx_string_repeat1] = aux_sym__jsx_string_repeat1,
  [aux_sym__jsx_string_repeat2] = aux_sym__jsx_string_repeat2,
  [aux_sym_sequence_expression_repeat1] = aux_sym_sequence_expression_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_template_string_repeat1] = aux_sym_template_string_repeat1,
  [aux_sym_class_body_repeat1] = aux_sym_class_body_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [alias_sym_property_identifier] = alias_sym_property_identifier,
  [alias_sym_shorthand_property_identifier] = alias_sym_shorthand_property_identifier,
  [alias_sym_shorthand_property_identifier_pattern] = alias_sym_shorthand_property_identifier_pattern,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym__glimmer_template_content] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LTtemplate_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASHtemplate_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_jsx_text_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_text_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_html_character_reference] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_jsx_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_jsx_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_jsx_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_optional_chain] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_private_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_method_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = true,
    .named = true,
  },
  [sym__ternary_qmark] = {
    .visible = true,
    .named = false,
  },
  [sym_html_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_export] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__module_export_name] = {
    .visible = false,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_import_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_header] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_object_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_template] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_opening_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_closing_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_text] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_opening_element] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_self_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__jsx_string] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__augmented_assignment_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym__destructuring_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_class_static_block] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_rest_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_pair_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_glimmer_template_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_opening_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jsx_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jsx_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sequence_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_close_tag = 7,
  field_condition = 8,
  field_consequence = 9,
  field_constructor = 10,
  field_content = 11,
  field_declaration = 12,
  field_decorator = 13,
  field_finalizer = 14,
  field_flags = 15,
  field_function = 16,
  field_handler = 17,
  field_increment = 18,
  field_index = 19,
  field_initializer = 20,
  field_key = 21,
  field_kind = 22,
  field_label = 23,
  field_left = 24,
  field_member = 25,
  field_name = 26,
  field_object = 27,
  field_open_tag = 28,
  field_operator = 29,
  field_optional_chain = 30,
  field_parameter = 31,
  field_parameters = 32,
  field_pattern = 33,
  field_property = 34,
  field_right = 35,
  field_source = 36,
  field_template = 37,
  field_value = 38,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_close_tag] = "close_tag",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constructor] = "constructor",
  [field_content] = "content",
  [field_declaration] = "declaration",
  [field_decorator] = "decorator",
  [field_finalizer] = "finalizer",
  [field_flags] = "flags",
  [field_function] = "function",
  [field_handler] = "handler",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_kind] = "kind",
  [field_label] = "label",
  [field_left] = "left",
  [field_member] = "member",
  [field_name] = "name",
  [field_object] = "object",
  [field_open_tag] = "open_tag",
  [field_operator] = "operator",
  [field_optional_chain] = "optional_chain",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_right] = "right",
  [field_source] = "source",
  [field_template] = "template",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 1},
  [6] = {.index = 3, .length = 1},
  [7] = {.index = 4, .length = 1},
  [8] = {.index = 5, .length = 2},
  [9] = {.index = 7, .length = 2},
  [10] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 2},
  [12] = {.index = 13, .length = 2},
  [13] = {.index = 15, .length = 1},
  [14] = {.index = 16, .length = 2},
  [15] = {.index = 18, .length = 2},
  [16] = {.index = 20, .length = 2},
  [20] = {.index = 22, .length = 1},
  [21] = {.index = 23, .length = 2},
  [22] = {.index = 25, .length = 2},
  [23] = {.index = 27, .length = 1},
  [24] = {.index = 28, .length = 2},
  [25] = {.index = 30, .length = 2},
  [26] = {.index = 32, .length = 6},
  [27] = {.index = 38, .length = 2},
  [28] = {.index = 40, .length = 2},
  [29] = {.index = 42, .length = 2},
  [30] = {.index = 44, .length = 1},
  [31] = {.index = 45, .length = 1},
  [32] = {.index = 46, .length = 1},
  [33] = {.index = 47, .length = 1},
  [34] = {.index = 48, .length = 1},
  [35] = {.index = 49, .length = 1},
  [36] = {.index = 50, .length = 2},
  [37] = {.index = 52, .length = 1},
  [38] = {.index = 53, .length = 2},
  [39] = {.index = 55, .length = 2},
  [40] = {.index = 57, .length = 1},
  [41] = {.index = 18, .length = 2},
  [42] = {.index = 20, .length = 2},
  [43] = {.index = 58, .length = 3},
  [44] = {.index = 61, .length = 2},
  [45] = {.index = 61, .length = 2},
  [46] = {.index = 63, .length = 3},
  [47] = {.index = 63, .length = 3},
  [48] = {.index = 66, .length = 3},
  [49] = {.index = 69, .length = 3},
  [50] = {.index = 72, .length = 2},
  [51] = {.index = 74, .length = 2},
  [52] = {.index = 76, .length = 2},
  [53] = {.index = 78, .length = 2},
  [54] = {.index = 80, .length = 1},
  [55] = {.index = 81, .length = 1},
  [56] = {.index = 18, .length = 2},
  [57] = {.index = 82, .length = 2},
  [58] = {.index = 84, .length = 3},
  [59] = {.index = 87, .length = 1},
  [60] = {.index = 88, .length = 3},
  [61] = {.index = 91, .length = 6},
  [62] = {.index = 97, .length = 2},
  [63] = {.index = 99, .length = 3},
  [64] = {.index = 102, .length = 2},
  [65] = {.index = 104, .length = 2},
  [66] = {.index = 106, .length = 1},
  [67] = {.index = 107, .length = 2},
  [68] = {.index = 109, .length = 2},
  [69] = {.index = 111, .length = 2},
  [70] = {.index = 113, .length = 4},
  [71] = {.index = 117, .length = 2},
  [72] = {.index = 119, .length = 2},
  [73] = {.index = 121, .length = 2},
  [74] = {.index = 119, .length = 2},
  [75] = {.index = 123, .length = 2},
  [76] = {.index = 125, .length = 3},
  [77] = {.index = 128, .length = 2},
  [78] = {.index = 130, .length = 2},
  [79] = {.index = 132, .length = 2},
  [80] = {.index = 134, .length = 3},
  [81] = {.index = 137, .length = 2},
  [82] = {.index = 139, .length = 2},
  [83] = {.index = 141, .length = 4},
  [84] = {.index = 145, .length = 2},
  [85] = {.index = 147, .length = 2},
  [86] = {.index = 149, .length = 3},
  [87] = {.index = 152, .length = 2},
  [88] = {.index = 154, .length = 3},
  [89] = {.index = 157, .length = 3},
  [90] = {.index = 160, .length = 3},
  [91] = {.index = 163, .length = 2},
  [92] = {.index = 165, .length = 3},
  [93] = {.index = 168, .length = 4},
  [94] = {.index = 172, .length = 3},
  [95] = {.index = 172, .length = 3},
  [96] = {.index = 175, .length = 3},
  [97] = {.index = 178, .length = 3},
  [98] = {.index = 181, .length = 3},
  [99] = {.index = 184, .length = 4},
  [100] = {.index = 188, .length = 2},
  [101] = {.index = 190, .length = 4},
  [102] = {.index = 194, .length = 4},
  [103] = {.index = 198, .length = 2},
  [104] = {.index = 200, .length = 4},
  [105] = {.index = 204, .length = 5},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_decorator, 0},
  [1] =
    {field_declaration, 1},
  [2] =
    {field_name, 0},
  [3] =
    {field_body, 1},
  [4] =
    {field_constructor, 1},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_arguments, 1},
    {field_function, 0},
  [9] =
    {field_argument, 0},
    {field_operator, 1},
  [11] =
    {field_close_tag, 1},
    {field_open_tag, 0},
  [13] =
    {field_decorator, 0, .inherited = true},
    {field_decorator, 1, .inherited = true},
  [15] =
    {field_declaration, 2},
  [16] =
    {field_body, 2},
    {field_label, 0},
  [18] =
    {field_left, 0},
    {field_right, 2},
  [20] =
    {field_body, 2},
    {field_parameter, 0},
  [22] =
    {field_source, 1},
  [23] =
    {field_body, 2},
    {field_object, 1},
  [25] =
    {field_name, 0},
    {field_value, 1, .inherited = true},
  [27] =
    {field_kind, 0},
  [28] =
    {field_condition, 1},
    {field_consequence, 2},
  [30] =
    {field_body, 2},
    {field_value, 1},
  [32] =
    {field_body, 2},
    {field_kind, 1, .inherited = true},
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [38] =
    {field_body, 2},
    {field_condition, 1},
  [40] =
    {field_body, 1},
    {field_handler, 2},
  [42] =
    {field_body, 1},
    {field_finalizer, 2},
  [44] =
    {field_label, 1},
  [45] =
    {field_name, 1},
  [46] =
    {field_attribute, 0},
  [47] =
    {field_template, 0},
  [48] =
    {field_member, 0},
  [49] =
    {field_property, 0},
  [50] =
    {field_body, 2},
    {field_name, 1},
  [52] =
    {field_body, 2},
  [53] =
    {field_body, 2},
    {field_parameters, 1},
  [55] =
    {field_arguments, 2},
    {field_constructor, 1},
  [57] =
    {field_pattern, 1},
  [58] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [61] =
    {field_object, 0},
    {field_property, 2},
  [63] =
    {field_object, 0},
    {field_optional_chain, 1},
    {field_property, 2},
  [66] =
    {field_arguments, 2},
    {field_function, 0},
    {field_optional_chain, 1},
  [69] =
    {field_close_tag, 2},
    {field_content, 1},
    {field_open_tag, 0},
  [72] =
    {field_close_tag, 2},
    {field_open_tag, 0},
  [74] =
    {field_body, 2},
    {field_parameters, 0},
  [76] =
    {field_declaration, 2},
    {field_decorator, 0, .inherited = true},
  [78] =
    {field_body, 2},
    {field_decorator, 0, .inherited = true},
  [80] =
    {field_source, 2, .inherited = true},
  [81] =
    {field_value, 2},
  [82] =
    {field_key, 0},
    {field_value, 2},
  [84] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1},
  [87] =
    {field_value, 1},
  [88] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [91] =
    {field_body, 3},
    {field_kind, 2, .inherited = true},
    {field_left, 2, .inherited = true},
    {field_operator, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [97] =
    {field_body, 1},
    {field_condition, 3},
  [99] =
    {field_body, 1},
    {field_finalizer, 3},
    {field_handler, 2},
  [102] =
    {field_attribute, 2, .inherited = true},
    {field_name, 1},
  [104] =
    {field_attribute, 0, .inherited = true},
    {field_attribute, 1, .inherited = true},
  [106] =
    {field_property, 1},
  [107] =
    {field_property, 0},
    {field_value, 1, .inherited = true},
  [109] =
    {field_decorator, 0, .inherited = true},
    {field_property, 1},
  [111] =
    {field_member, 1, .inherited = true},
    {field_template, 1, .inherited = true},
  [113] =
    {field_member, 0, .inherited = true},
    {field_member, 1, .inherited = true},
    {field_template, 0, .inherited = true},
    {field_template, 1, .inherited = true},
  [117] =
    {field_body, 3},
    {field_name, 1},
  [119] =
    {field_body, 3},
    {field_parameter, 1},
  [121] =
    {field_body, 3},
    {field_parameters, 2},
  [123] =
    {field_body, 3},
    {field_parameters, 1},
  [125] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [128] =
    {field_flags, 3},
    {field_pattern, 1},
  [130] =
    {field_index, 2},
    {field_object, 0},
  [132] =
    {field_declaration, 3},
    {field_decorator, 0, .inherited = true},
  [134] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [137] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
  [139] =
    {field_alias, 2},
    {field_name, 0},
  [141] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_parameters, 2},
  [145] =
    {field_property, 1},
    {field_value, 2, .inherited = true},
  [147] =
    {field_decorator, 0, .inherited = true},
    {field_property, 2},
  [149] =
    {field_decorator, 0, .inherited = true},
    {field_property, 1},
    {field_value, 2, .inherited = true},
  [152] =
    {field_body, 4},
    {field_parameters, 3},
  [154] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
  [157] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [160] =
    {field_index, 3},
    {field_object, 0},
    {field_optional_chain, 1},
  [163] =
    {field_decorator, 0, .inherited = true},
    {field_value, 3},
  [165] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [168] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_parameters, 3},
  [172] =
    {field_left, 1},
    {field_operator, 2},
    {field_right, 3},
  [175] =
    {field_body, 5},
    {field_condition, 3},
    {field_initializer, 2},
  [178] =
    {field_decorator, 0, .inherited = true},
    {field_property, 2},
    {field_value, 3, .inherited = true},
  [181] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4},
  [184] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_parameters, 4},
  [188] =
    {field_body, 3},
    {field_value, 1},
  [190] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 3},
    {field_right, 4},
  [194] =
    {field_body, 6},
    {field_condition, 3},
    {field_increment, 4},
    {field_initializer, 2},
  [198] =
    {field_body, 4},
    {field_parameter, 2},
  [200] =
    {field_body, 6},
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_parameters, 5},
  [204] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 4},
    {field_right, 5},
    {field_value, 3, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [4] = {
    [0] = alias_sym_property_identifier,
  },
  [14] = {
    [0] = alias_sym_statement_identifier,
  },
  [15] = {
    [0] = sym_identifier,
  },
  [16] = {
    [0] = sym_identifier,
  },
  [17] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [18] = {
    [1] = alias_sym_shorthand_property_identifier_pattern,
  },
  [19] = {
    [1] = sym_identifier,
  },
  [30] = {
    [1] = alias_sym_statement_identifier,
  },
  [44] = {
    [2] = alias_sym_property_identifier,
  },
  [46] = {
    [2] = alias_sym_property_identifier,
  },
  [56] = {
    [0] = alias_sym_shorthand_property_identifier_pattern,
  },
  [72] = {
    [1] = sym_identifier,
  },
  [94] = {
    [1] = sym_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 14,
  [16] = 14,
  [17] = 12,
  [18] = 18,
  [19] = 14,
  [20] = 20,
  [21] = 12,
  [22] = 12,
  [23] = 14,
  [24] = 12,
  [25] = 12,
  [26] = 14,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 33,
  [35] = 27,
  [36] = 36,
  [37] = 37,
  [38] = 37,
  [39] = 29,
  [40] = 40,
  [41] = 40,
  [42] = 36,
  [43] = 32,
  [44] = 28,
  [45] = 31,
  [46] = 46,
  [47] = 46,
  [48] = 46,
  [49] = 46,
  [50] = 46,
  [51] = 51,
  [52] = 51,
  [53] = 51,
  [54] = 51,
  [55] = 55,
  [56] = 51,
  [57] = 51,
  [58] = 58,
  [59] = 51,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 63,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 68,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 62,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 81,
  [84] = 84,
  [85] = 85,
  [86] = 84,
  [87] = 87,
  [88] = 88,
  [89] = 88,
  [90] = 88,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 97,
  [100] = 95,
  [101] = 101,
  [102] = 102,
  [103] = 102,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 106,
  [108] = 108,
  [109] = 108,
  [110] = 110,
  [111] = 111,
  [112] = 106,
  [113] = 113,
  [114] = 108,
  [115] = 111,
  [116] = 116,
  [117] = 117,
  [118] = 106,
  [119] = 113,
  [120] = 111,
  [121] = 106,
  [122] = 110,
  [123] = 123,
  [124] = 108,
  [125] = 105,
  [126] = 123,
  [127] = 111,
  [128] = 111,
  [129] = 129,
  [130] = 105,
  [131] = 131,
  [132] = 105,
  [133] = 133,
  [134] = 131,
  [135] = 113,
  [136] = 133,
  [137] = 105,
  [138] = 138,
  [139] = 131,
  [140] = 133,
  [141] = 113,
  [142] = 113,
  [143] = 143,
  [144] = 138,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 133,
  [149] = 131,
  [150] = 150,
  [151] = 133,
  [152] = 108,
  [153] = 131,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 155,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 168,
  [169] = 169,
  [170] = 170,
  [171] = 171,
  [172] = 171,
  [173] = 155,
  [174] = 174,
  [175] = 175,
  [176] = 156,
  [177] = 160,
  [178] = 156,
  [179] = 164,
  [180] = 166,
  [181] = 158,
  [182] = 164,
  [183] = 160,
  [184] = 184,
  [185] = 155,
  [186] = 186,
  [187] = 187,
  [188] = 158,
  [189] = 166,
  [190] = 184,
  [191] = 164,
  [192] = 158,
  [193] = 193,
  [194] = 174,
  [195] = 174,
  [196] = 156,
  [197] = 184,
  [198] = 174,
  [199] = 184,
  [200] = 166,
  [201] = 201,
  [202] = 166,
  [203] = 161,
  [204] = 154,
  [205] = 171,
  [206] = 171,
  [207] = 157,
  [208] = 165,
  [209] = 209,
  [210] = 175,
  [211] = 168,
  [212] = 193,
  [213] = 213,
  [214] = 214,
  [215] = 215,
  [216] = 216,
  [217] = 156,
  [218] = 171,
  [219] = 162,
  [220] = 209,
  [221] = 155,
  [222] = 161,
  [223] = 160,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 227,
  [229] = 160,
  [230] = 184,
  [231] = 216,
  [232] = 215,
  [233] = 214,
  [234] = 213,
  [235] = 193,
  [236] = 168,
  [237] = 237,
  [238] = 213,
  [239] = 227,
  [240] = 175,
  [241] = 209,
  [242] = 165,
  [243] = 157,
  [244] = 227,
  [245] = 161,
  [246] = 216,
  [247] = 174,
  [248] = 157,
  [249] = 162,
  [250] = 227,
  [251] = 216,
  [252] = 158,
  [253] = 215,
  [254] = 215,
  [255] = 214,
  [256] = 214,
  [257] = 213,
  [258] = 213,
  [259] = 259,
  [260] = 216,
  [261] = 193,
  [262] = 193,
  [263] = 237,
  [264] = 168,
  [265] = 168,
  [266] = 214,
  [267] = 164,
  [268] = 175,
  [269] = 209,
  [270] = 175,
  [271] = 209,
  [272] = 165,
  [273] = 161,
  [274] = 215,
  [275] = 165,
  [276] = 157,
  [277] = 277,
  [278] = 277,
  [279] = 277,
  [280] = 280,
  [281] = 281,
  [282] = 281,
  [283] = 281,
  [284] = 280,
  [285] = 285,
  [286] = 286,
  [287] = 285,
  [288] = 285,
  [289] = 286,
  [290] = 286,
  [291] = 291,
  [292] = 292,
  [293] = 292,
  [294] = 76,
  [295] = 77,
  [296] = 296,
  [297] = 292,
  [298] = 298,
  [299] = 298,
  [300] = 296,
  [301] = 301,
  [302] = 296,
  [303] = 301,
  [304] = 71,
  [305] = 292,
  [306] = 292,
  [307] = 292,
  [308] = 78,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 310,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 301,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 69,
  [325] = 325,
  [326] = 326,
  [327] = 61,
  [328] = 328,
  [329] = 329,
  [330] = 316,
  [331] = 71,
  [332] = 77,
  [333] = 76,
  [334] = 334,
  [335] = 335,
  [336] = 78,
  [337] = 292,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 309,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 363,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 292,
  [385] = 385,
  [386] = 386,
  [387] = 292,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 395,
  [396] = 396,
  [397] = 397,
  [398] = 398,
  [399] = 399,
  [400] = 400,
  [401] = 401,
  [402] = 402,
  [403] = 403,
  [404] = 403,
  [405] = 403,
  [406] = 406,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 413,
  [414] = 323,
  [415] = 415,
  [416] = 323,
  [417] = 417,
  [418] = 418,
  [419] = 417,
  [420] = 420,
  [421] = 418,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 406,
  [428] = 406,
  [429] = 417,
  [430] = 430,
  [431] = 412,
  [432] = 430,
  [433] = 418,
  [434] = 323,
  [435] = 417,
  [436] = 413,
  [437] = 417,
  [438] = 438,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 438,
  [443] = 443,
  [444] = 418,
  [445] = 407,
  [446] = 408,
  [447] = 409,
  [448] = 410,
  [449] = 418,
  [450] = 450,
  [451] = 417,
  [452] = 452,
  [453] = 418,
  [454] = 452,
  [455] = 441,
  [456] = 456,
  [457] = 406,
  [458] = 443,
  [459] = 456,
  [460] = 440,
  [461] = 461,
  [462] = 462,
  [463] = 406,
  [464] = 441,
  [465] = 418,
  [466] = 417,
  [467] = 452,
  [468] = 461,
  [469] = 418,
  [470] = 418,
  [471] = 417,
  [472] = 456,
  [473] = 417,
  [474] = 450,
  [475] = 439,
  [476] = 462,
  [477] = 406,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 55,
  [482] = 77,
  [483] = 483,
  [484] = 76,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 71,
  [507] = 507,
  [508] = 508,
  [509] = 76,
  [510] = 77,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 69,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 478,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 78,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 61,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 69,
  [576] = 576,
  [577] = 577,
  [578] = 71,
  [579] = 579,
  [580] = 78,
  [581] = 479,
  [582] = 480,
  [583] = 61,
  [584] = 524,
  [585] = 560,
  [586] = 548,
  [587] = 486,
  [588] = 588,
  [589] = 505,
  [590] = 55,
  [591] = 483,
  [592] = 503,
  [593] = 593,
  [594] = 485,
  [595] = 493,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 530,
  [600] = 600,
  [601] = 601,
  [602] = 511,
  [603] = 546,
  [604] = 487,
  [605] = 572,
  [606] = 488,
  [607] = 541,
  [608] = 540,
  [609] = 539,
  [610] = 538,
  [611] = 537,
  [612] = 536,
  [613] = 579,
  [614] = 535,
  [615] = 55,
  [616] = 489,
  [617] = 503,
  [618] = 486,
  [619] = 535,
  [620] = 534,
  [621] = 621,
  [622] = 524,
  [623] = 489,
  [624] = 624,
  [625] = 533,
  [626] = 532,
  [627] = 523,
  [628] = 577,
  [629] = 534,
  [630] = 560,
  [631] = 572,
  [632] = 533,
  [633] = 521,
  [634] = 485,
  [635] = 548,
  [636] = 562,
  [637] = 546,
  [638] = 564,
  [639] = 564,
  [640] = 530,
  [641] = 541,
  [642] = 511,
  [643] = 540,
  [644] = 523,
  [645] = 521,
  [646] = 483,
  [647] = 532,
  [648] = 539,
  [649] = 538,
  [650] = 562,
  [651] = 493,
  [652] = 505,
  [653] = 537,
  [654] = 536,
  [655] = 527,
  [656] = 519,
  [657] = 547,
  [658] = 658,
  [659] = 659,
  [660] = 660,
  [661] = 522,
  [662] = 559,
  [663] = 663,
  [664] = 561,
  [665] = 490,
  [666] = 563,
  [667] = 565,
  [668] = 668,
  [669] = 566,
  [670] = 670,
  [671] = 545,
  [672] = 567,
  [673] = 520,
  [674] = 531,
  [675] = 675,
  [676] = 568,
  [677] = 677,
  [678] = 525,
  [679] = 519,
  [680] = 569,
  [681] = 681,
  [682] = 504,
  [683] = 549,
  [684] = 518,
  [685] = 517,
  [686] = 516,
  [687] = 498,
  [688] = 507,
  [689] = 497,
  [690] = 496,
  [691] = 691,
  [692] = 483,
  [693] = 485,
  [694] = 486,
  [695] = 489,
  [696] = 696,
  [697] = 483,
  [698] = 485,
  [699] = 486,
  [700] = 515,
  [701] = 489,
  [702] = 670,
  [703] = 670,
  [704] = 544,
  [705] = 491,
  [706] = 494,
  [707] = 707,
  [708] = 502,
  [709] = 553,
  [710] = 492,
  [711] = 711,
  [712] = 501,
  [713] = 713,
  [714] = 681,
  [715] = 715,
  [716] = 550,
  [717] = 500,
  [718] = 557,
  [719] = 719,
  [720] = 720,
  [721] = 721,
  [722] = 499,
  [723] = 723,
  [724] = 495,
  [725] = 675,
  [726] = 663,
  [727] = 67,
  [728] = 508,
  [729] = 551,
  [730] = 659,
  [731] = 64,
  [732] = 556,
  [733] = 75,
  [734] = 707,
  [735] = 528,
  [736] = 529,
  [737] = 555,
  [738] = 65,
  [739] = 660,
  [740] = 72,
  [741] = 70,
  [742] = 660,
  [743] = 573,
  [744] = 574,
  [745] = 576,
  [746] = 554,
  [747] = 73,
  [748] = 570,
  [749] = 513,
  [750] = 668,
  [751] = 571,
  [752] = 60,
  [753] = 601,
  [754] = 542,
  [755] = 660,
  [756] = 512,
  [757] = 543,
  [758] = 758,
  [759] = 524,
  [760] = 536,
  [761] = 523,
  [762] = 535,
  [763] = 534,
  [764] = 537,
  [765] = 533,
  [766] = 532,
  [767] = 530,
  [768] = 711,
  [769] = 769,
  [770] = 538,
  [771] = 539,
  [772] = 540,
  [773] = 541,
  [774] = 546,
  [775] = 548,
  [776] = 560,
  [777] = 562,
  [778] = 778,
  [779] = 564,
  [780] = 572,
  [781] = 781,
  [782] = 503,
  [783] = 505,
  [784] = 784,
  [785] = 511,
  [786] = 786,
  [787] = 787,
  [788] = 521,
  [789] = 493,
  [790] = 532,
  [791] = 521,
  [792] = 535,
  [793] = 534,
  [794] = 548,
  [795] = 493,
  [796] = 572,
  [797] = 797,
  [798] = 797,
  [799] = 797,
  [800] = 564,
  [801] = 797,
  [802] = 560,
  [803] = 562,
  [804] = 485,
  [805] = 503,
  [806] = 486,
  [807] = 489,
  [808] = 505,
  [809] = 601,
  [810] = 810,
  [811] = 536,
  [812] = 533,
  [813] = 537,
  [814] = 538,
  [815] = 815,
  [816] = 540,
  [817] = 797,
  [818] = 530,
  [819] = 524,
  [820] = 668,
  [821] = 523,
  [822] = 546,
  [823] = 511,
  [824] = 815,
  [825] = 539,
  [826] = 541,
  [827] = 827,
  [828] = 827,
  [829] = 827,
  [830] = 485,
  [831] = 486,
  [832] = 827,
  [833] = 489,
  [834] = 834,
  [835] = 483,
  [836] = 519,
  [837] = 827,
  [838] = 696,
  [839] = 834,
  [840] = 827,
  [841] = 827,
  [842] = 842,
  [843] = 843,
  [844] = 843,
  [845] = 845,
  [846] = 845,
  [847] = 847,
  [848] = 845,
  [849] = 843,
  [850] = 843,
  [851] = 845,
  [852] = 852,
  [853] = 853,
  [854] = 854,
  [855] = 854,
  [856] = 856,
  [857] = 857,
  [858] = 857,
  [859] = 859,
  [860] = 857,
  [861] = 859,
  [862] = 859,
  [863] = 857,
  [864] = 859,
  [865] = 859,
  [866] = 859,
  [867] = 859,
  [868] = 857,
  [869] = 857,
  [870] = 857,
  [871] = 871,
  [872] = 871,
  [873] = 871,
  [874] = 871,
  [875] = 875,
  [876] = 871,
  [877] = 871,
  [878] = 871,
  [879] = 879,
  [880] = 880,
  [881] = 881,
  [882] = 882,
  [883] = 883,
  [884] = 884,
  [885] = 885,
  [886] = 886,
  [887] = 887,
  [888] = 888,
  [889] = 889,
  [890] = 890,
  [891] = 891,
  [892] = 892,
  [893] = 893,
  [894] = 894,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 898,
  [899] = 899,
  [900] = 900,
  [901] = 901,
  [902] = 76,
  [903] = 903,
  [904] = 904,
  [905] = 905,
  [906] = 906,
  [907] = 907,
  [908] = 908,
  [909] = 909,
  [910] = 910,
  [911] = 911,
  [912] = 912,
  [913] = 913,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 77,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 78,
  [939] = 500,
  [940] = 501,
  [941] = 71,
  [942] = 543,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 887,
  [947] = 947,
  [948] = 893,
  [949] = 947,
  [950] = 950,
  [951] = 889,
  [952] = 889,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 956,
  [960] = 960,
  [961] = 961,
  [962] = 962,
  [963] = 957,
  [964] = 964,
  [965] = 903,
  [966] = 928,
  [967] = 967,
  [968] = 896,
  [969] = 969,
  [970] = 960,
  [971] = 971,
  [972] = 932,
  [973] = 904,
  [974] = 974,
  [975] = 525,
  [976] = 971,
  [977] = 961,
  [978] = 978,
  [979] = 979,
  [980] = 958,
  [981] = 978,
  [982] = 567,
  [983] = 955,
  [984] = 964,
  [985] = 571,
  [986] = 986,
  [987] = 928,
  [988] = 967,
  [989] = 979,
  [990] = 986,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 992,
  [997] = 997,
  [998] = 992,
  [999] = 999,
  [1000] = 1000,
  [1001] = 993,
  [1002] = 1002,
  [1003] = 994,
  [1004] = 992,
  [1005] = 1002,
  [1006] = 1000,
  [1007] = 999,
  [1008] = 992,
  [1009] = 991,
  [1010] = 1010,
  [1011] = 997,
  [1012] = 1010,
  [1013] = 995,
  [1014] = 1014,
  [1015] = 1014,
  [1016] = 1016,
  [1017] = 1016,
  [1018] = 1018,
  [1019] = 1016,
  [1020] = 1016,
  [1021] = 1014,
  [1022] = 1014,
  [1023] = 1023,
  [1024] = 1024,
  [1025] = 1024,
  [1026] = 1024,
  [1027] = 1024,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 1029,
  [1031] = 1028,
  [1032] = 1029,
  [1033] = 1028,
  [1034] = 1028,
  [1035] = 1029,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1036,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 1040,
  [1042] = 1039,
  [1043] = 1043,
  [1044] = 1037,
  [1045] = 1039,
  [1046] = 1043,
  [1047] = 1036,
  [1048] = 1040,
  [1049] = 1043,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 1037,
  [1053] = 1037,
  [1054] = 1036,
  [1055] = 1043,
  [1056] = 1039,
  [1057] = 1057,
  [1058] = 1040,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 1066,
  [1070] = 1070,
  [1071] = 1066,
  [1072] = 1066,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 1066,
  [1078] = 1078,
  [1079] = 1066,
  [1080] = 1066,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 1083,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 557,
  [1087] = 555,
  [1088] = 1073,
  [1089] = 568,
  [1090] = 1078,
  [1091] = 556,
  [1092] = 1092,
  [1093] = 577,
  [1094] = 554,
  [1095] = 1095,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 545,
  [1099] = 544,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 579,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 513,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 1108,
  [1109] = 1070,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 502,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1068,
  [1116] = 1116,
  [1117] = 1081,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 1120,
  [1121] = 1121,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1103,
  [1126] = 1126,
  [1127] = 1126,
  [1128] = 1128,
  [1129] = 1129,
  [1130] = 1130,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1134,
  [1135] = 1092,
  [1136] = 1136,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1141,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 1142,
  [1146] = 1146,
  [1147] = 1147,
  [1148] = 1141,
  [1149] = 1149,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1153,
  [1154] = 1137,
  [1155] = 1153,
  [1156] = 1149,
  [1157] = 1157,
  [1158] = 1158,
  [1159] = 1150,
  [1160] = 1160,
  [1161] = 1161,
  [1162] = 579,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 1141,
  [1167] = 1167,
  [1168] = 545,
  [1169] = 1164,
  [1170] = 544,
  [1171] = 1108,
  [1172] = 513,
  [1173] = 1161,
  [1174] = 1138,
  [1175] = 568,
  [1176] = 1141,
  [1177] = 557,
  [1178] = 556,
  [1179] = 1150,
  [1180] = 1150,
  [1181] = 555,
  [1182] = 502,
  [1183] = 577,
  [1184] = 554,
  [1185] = 1163,
  [1186] = 1136,
  [1187] = 1187,
  [1188] = 1188,
  [1189] = 1158,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1191,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 1198,
  [1199] = 1199,
  [1200] = 1200,
  [1201] = 1201,
  [1202] = 1202,
  [1203] = 1203,
  [1204] = 1194,
  [1205] = 1205,
  [1206] = 1194,
  [1207] = 1191,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 1203,
  [1211] = 1211,
  [1212] = 1212,
  [1213] = 1188,
  [1214] = 1214,
  [1215] = 1215,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 1205,
  [1223] = 1223,
  [1224] = 1224,
  [1225] = 1200,
  [1226] = 1226,
  [1227] = 1197,
  [1228] = 1198,
  [1229] = 1229,
  [1230] = 1230,
  [1231] = 1209,
  [1232] = 1232,
  [1233] = 1229,
  [1234] = 1234,
  [1235] = 1235,
  [1236] = 1203,
  [1237] = 1107,
  [1238] = 1198,
  [1239] = 1234,
  [1240] = 1197,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 1242,
  [1245] = 1199,
  [1246] = 1215,
  [1247] = 1111,
  [1248] = 1097,
  [1249] = 1132,
  [1250] = 1250,
  [1251] = 1251,
  [1252] = 1252,
  [1253] = 1129,
  [1254] = 1194,
  [1255] = 1191,
  [1256] = 1256,
  [1257] = 1197,
  [1258] = 1198,
  [1259] = 1193,
  [1260] = 1260,
  [1261] = 1214,
  [1262] = 1262,
  [1263] = 1208,
  [1264] = 1264,
  [1265] = 1229,
  [1266] = 1266,
  [1267] = 1267,
  [1268] = 1268,
  [1269] = 1269,
  [1270] = 1270,
  [1271] = 1271,
  [1272] = 1272,
  [1273] = 1273,
  [1274] = 1274,
  [1275] = 1275,
  [1276] = 1276,
  [1277] = 1277,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 1282,
  [1283] = 1283,
  [1284] = 1284,
  [1285] = 1285,
  [1286] = 1286,
  [1287] = 1287,
  [1288] = 1288,
  [1289] = 1289,
  [1290] = 1290,
  [1291] = 1291,
  [1292] = 1292,
  [1293] = 1278,
  [1294] = 1281,
  [1295] = 1295,
  [1296] = 1275,
  [1297] = 1297,
  [1298] = 1298,
  [1299] = 1267,
  [1300] = 1300,
  [1301] = 1301,
  [1302] = 1302,
  [1303] = 1288,
  [1304] = 1304,
  [1305] = 1305,
  [1306] = 1272,
  [1307] = 334,
  [1308] = 1271,
  [1309] = 1309,
  [1310] = 1289,
  [1311] = 1269,
  [1312] = 1272,
  [1313] = 1313,
  [1314] = 1314,
  [1315] = 1315,
  [1316] = 1316,
  [1317] = 1317,
  [1318] = 1318,
  [1319] = 1319,
  [1320] = 1276,
  [1321] = 1271,
  [1322] = 1322,
  [1323] = 1286,
  [1324] = 1324,
  [1325] = 1313,
  [1326] = 1276,
  [1327] = 1324,
  [1328] = 1302,
  [1329] = 1290,
  [1330] = 1277,
  [1331] = 1331,
  [1332] = 1332,
  [1333] = 1275,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 1336,
  [1337] = 1337,
  [1338] = 1315,
  [1339] = 1339,
  [1340] = 1269,
  [1341] = 1341,
  [1342] = 1314,
  [1343] = 1343,
  [1344] = 1272,
  [1345] = 1345,
  [1346] = 1346,
  [1347] = 1273,
  [1348] = 1280,
  [1349] = 1349,
  [1350] = 1350,
  [1351] = 1351,
  [1352] = 1343,
  [1353] = 1288,
  [1354] = 1282,
  [1355] = 1281,
  [1356] = 1346,
  [1357] = 1266,
  [1358] = 1349,
  [1359] = 1359,
  [1360] = 1277,
  [1361] = 1361,
  [1362] = 1362,
  [1363] = 1363,
  [1364] = 1364,
  [1365] = 1365,
  [1366] = 1366,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 1369,
  [1370] = 1370,
  [1371] = 1371,
  [1372] = 1372,
  [1373] = 1373,
  [1374] = 1374,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1377,
  [1378] = 1378,
  [1379] = 1379,
  [1380] = 1380,
  [1381] = 1381,
  [1382] = 1382,
  [1383] = 1383,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1389,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 1392,
  [1393] = 1393,
  [1394] = 1394,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1400,
  [1401] = 1401,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1405,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 1410,
  [1411] = 1411,
  [1412] = 1412,
  [1413] = 1413,
  [1414] = 1414,
  [1415] = 1415,
  [1416] = 1416,
  [1417] = 1394,
  [1418] = 1392,
  [1419] = 1419,
  [1420] = 1420,
  [1421] = 1421,
  [1422] = 1361,
  [1423] = 1423,
  [1424] = 1424,
  [1425] = 1425,
  [1426] = 1426,
  [1427] = 1427,
  [1428] = 1392,
  [1429] = 1429,
  [1430] = 1394,
  [1431] = 1431,
  [1432] = 1432,
  [1433] = 1433,
  [1434] = 1434,
  [1435] = 1435,
  [1436] = 1436,
  [1437] = 1435,
  [1438] = 1433,
  [1439] = 1427,
  [1440] = 1426,
  [1441] = 507,
  [1442] = 551,
  [1443] = 550,
  [1444] = 1385,
  [1445] = 1445,
  [1446] = 1446,
  [1447] = 1367,
  [1448] = 1368,
  [1449] = 1369,
  [1450] = 1374,
  [1451] = 1420,
  [1452] = 1375,
  [1453] = 1363,
  [1454] = 1376,
  [1455] = 1455,
  [1456] = 1365,
  [1457] = 1457,
  [1458] = 1377,
  [1459] = 1459,
  [1460] = 1460,
  [1461] = 1461,
  [1462] = 1462,
  [1463] = 1463,
  [1464] = 1378,
  [1465] = 1379,
  [1466] = 1380,
  [1467] = 1467,
  [1468] = 1468,
  [1469] = 1416,
  [1470] = 1470,
  [1471] = 1381,
  [1472] = 1382,
  [1473] = 1383,
  [1474] = 1384,
  [1475] = 1475,
  [1476] = 1436,
  [1477] = 1477,
  [1478] = 1478,
  [1479] = 1479,
  [1480] = 1386,
  [1481] = 1387,
  [1482] = 1388,
  [1483] = 1389,
  [1484] = 1484,
  [1485] = 1390,
  [1486] = 1486,
  [1487] = 1487,
  [1488] = 1488,
  [1489] = 1391,
  [1490] = 1490,
  [1491] = 1393,
  [1492] = 1396,
  [1493] = 1493,
  [1494] = 1494,
  [1495] = 1495,
  [1496] = 1496,
  [1497] = 1497,
  [1498] = 1425,
  [1499] = 1499,
  [1500] = 1479,
  [1501] = 1501,
  [1502] = 1502,
  [1503] = 1503,
  [1504] = 1397,
  [1505] = 1505,
  [1506] = 1398,
  [1507] = 1399,
  [1508] = 1508,
  [1509] = 1509,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1513,
  [1514] = 1400,
  [1515] = 1515,
  [1516] = 1516,
  [1517] = 1517,
  [1518] = 1518,
  [1519] = 1401,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 1522,
  [1523] = 1402,
  [1524] = 1524,
  [1525] = 1403,
  [1526] = 1190,
  [1527] = 1527,
  [1528] = 1528,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1531,
  [1532] = 1532,
  [1533] = 1533,
  [1534] = 1534,
  [1535] = 1535,
  [1536] = 1536,
  [1537] = 1537,
  [1538] = 1538,
  [1539] = 1539,
  [1540] = 1540,
  [1541] = 1541,
  [1542] = 1404,
  [1543] = 1543,
  [1544] = 1406,
  [1545] = 1524,
  [1546] = 1522,
  [1547] = 1521,
  [1548] = 1520,
  [1549] = 1518,
  [1550] = 1517,
  [1551] = 1516,
  [1552] = 1515,
  [1553] = 1513,
  [1554] = 1512,
  [1555] = 1510,
  [1556] = 1509,
  [1557] = 1408,
  [1558] = 1558,
  [1559] = 1493,
  [1560] = 1409,
  [1561] = 1478,
  [1562] = 1477,
  [1563] = 1475,
  [1564] = 1470,
  [1565] = 1468,
  [1566] = 1467,
  [1567] = 1541,
  [1568] = 1568,
  [1569] = 1569,
  [1570] = 1570,
  [1571] = 1571,
  [1572] = 1410,
  [1573] = 1539,
  [1574] = 1538,
  [1575] = 1411,
  [1576] = 1576,
  [1577] = 1577,
  [1578] = 1412,
  [1579] = 1535,
  [1580] = 1534,
  [1581] = 1533,
  [1582] = 1582,
  [1583] = 1532,
  [1584] = 1531,
  [1585] = 1530,
  [1586] = 1413,
  [1587] = 1587,
  [1588] = 1588,
  [1589] = 1589,
  [1590] = 1590,
  [1591] = 1414,
  [1592] = 1394,
  [1593] = 1392,
  [1594] = 1421,
  [1595] = 1511,
  [1596] = 1423,
  [1597] = 1508,
  [1598] = 1424,
  [1599] = 1599,
  [1600] = 1600,
  [1601] = 1601,
  [1602] = 1602,
  [1603] = 1603,
  [1604] = 1604,
  [1605] = 1505,
  [1606] = 1606,
  [1607] = 1607,
  [1608] = 1608,
  [1609] = 1609,
  [1610] = 1610,
  [1611] = 1611,
  [1612] = 1612,
  [1613] = 1613,
  [1614] = 1614,
  [1615] = 1615,
  [1616] = 1616,
  [1617] = 1617,
  [1618] = 1618,
  [1619] = 1619,
  [1620] = 1620,
  [1621] = 1232,
  [1622] = 1622,
  [1623] = 1622,
  [1624] = 1624,
  [1625] = 1625,
  [1626] = 1626,
  [1627] = 1627,
  [1628] = 1628,
  [1629] = 1629,
  [1630] = 1630,
  [1631] = 1631,
  [1632] = 1632,
  [1633] = 1633,
  [1634] = 1634,
  [1635] = 1630,
  [1636] = 1636,
  [1637] = 1637,
  [1638] = 1638,
  [1639] = 1639,
  [1640] = 1640,
  [1641] = 1618,
  [1642] = 1642,
  [1643] = 1643,
  [1644] = 1644,
  [1645] = 1645,
  [1646] = 1646,
  [1647] = 1647,
  [1648] = 1648,
  [1649] = 1622,
  [1650] = 1650,
  [1651] = 1651,
  [1652] = 1627,
  [1653] = 1625,
  [1654] = 1654,
  [1655] = 1655,
  [1656] = 1627,
  [1657] = 1618,
  [1658] = 1620,
  [1659] = 1619,
  [1660] = 1617,
  [1661] = 1617,
  [1662] = 1619,
  [1663] = 1620,
  [1664] = 1655,
  [1665] = 1608,
  [1666] = 1654,
  [1667] = 1667,
  [1668] = 1612,
  [1669] = 1611,
  [1670] = 1654,
  [1671] = 1671,
  [1672] = 1608,
  [1673] = 1667,
  [1674] = 1674,
  [1675] = 1675,
  [1676] = 1645,
  [1677] = 1608,
  [1678] = 1618,
  [1679] = 1679,
  [1680] = 1627,
  [1681] = 1617,
  [1682] = 1619,
  [1683] = 1620,
  [1684] = 1684,
  [1685] = 1627,
  [1686] = 1654,
  [1687] = 1625,
  [1688] = 1688,
  [1689] = 1618,
  [1690] = 1622,
  [1691] = 1620,
  [1692] = 1619,
  [1693] = 1617,
  [1694] = 1667,
  [1695] = 1667,
  [1696] = 1625,
  [1697] = 1625,
};

static TSCharacterRange extras_character_set_1[] = {
  {'\t', '\r'}, {' ', ' '}, {0xa0, 0xa0}, {0x1680, 0x1680}, {0x2000, 0x200b}, {0x2028, 0x2029}, {0x202f, 0x202f}, {0x205f, 0x2060},
  {0x3000, 0x3000}, {0xfeff, 0xfeff},
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0x7f, 0x9f}, {0xa1, 0x167f}, {0x1681, 0x1fff},
  {0x200c, 0x2027}, {0x202a, 0x202e}, {0x2030, 0x205e}, {0x2061, 0x2fff}, {0x3001, 0xfefe}, {0xff00, 0x10ffff},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0x7f, 0x9f}, {0xa1, 0x167f},
  {0x1681, 0x1fff}, {0x200c, 0x2027}, {0x202a, 0x202e}, {0x2030, 0x205e}, {0x2061, 0x2fff}, {0x3001, 0xfefe}, {0xff00, 0x10ffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(149);
      ADVANCE_MAP(
        '!', 268,
        '"', 201,
        '#', 7,
        '$', 315,
        '%', 256,
        '&', 243,
        '\'', 202,
        '(', 157,
        ')', 158,
        '*', 152,
        '+', 250,
        ',', 155,
        '-', 252,
        '.', 197,
        '/', 295,
        '0', 300,
        ':', 160,
        ';', 159,
        '<', 187,
        '=', 163,
        '>', 193,
        '?', 34,
        '@', 319,
        '[', 165,
        '\\', 103,
        ']', 166,
        '^', 246,
        '`', 293,
        's', 313,
        '{', 154,
        '|', 247,
        '}', 156,
        '~', 269,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(301);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(146);
      if (lookahead > '@') ADVANCE(317);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(320);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(23);
      if (lookahead == ' ') ADVANCE(2);
      if (lookahead == '&') ADVANCE(18);
      if (lookahead == '/') ADVANCE(173);
      if (lookahead == '<') ADVANCE(186);
      if (lookahead == '{') ADVANCE(154);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(175);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}') ADVANCE(174);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(3);
      if (lookahead == '/') ADVANCE(168);
      if (lookahead == '<') ADVANCE(170);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(169);
      if (lookahead != 0) ADVANCE(167);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(39);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '[') ADVANCE(84);
      if (lookahead == '\\') ADVANCE(145);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(296);
      if (lookahead != 0) ADVANCE(297);
      END_STATE();
    case 5:
      if (lookahead == ' ') ADVANCE(5);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(174);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        ' ', 6,
        '*', 176,
        '\n', 30,
        '&', 30,
        '<', 30,
        '>', 30,
        '{', 30,
        '}', 30,
      );
      if (lookahead != 0) ADVANCE(177);
      END_STATE();
    case 7:
      if (lookahead == '!') ADVANCE(150);
      if (lookahead == '\\') ADVANCE(104);
      if (set_contains(sym_identifier_character_set_1, 14, lookahead)) ADVANCE(318);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 267,
        '"', 201,
        '#', 83,
        '\'', 202,
        '(', 157,
        '*', 151,
        '+', 249,
        ',', 155,
        '-', 251,
        '.', 33,
        '/', 253,
        '0', 300,
        ';', 159,
        '<', 191,
        '@', 319,
        '[', 165,
        '\\', 105,
        '`', 293,
        's', 313,
        '{', 154,
        '}', 156,
        '~', 269,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(301);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(8);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(317);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 267,
        '"', 201,
        '#', 83,
        '\'', 202,
        '(', 157,
        '+', 249,
        '-', 251,
        '.', 198,
        '/', 253,
        '0', 300,
        ':', 160,
        '<', 191,
        '>', 192,
        '@', 319,
        '[', 165,
        '\\', 105,
        '`', 293,
        '{', 154,
        '~', 269,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(301);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(9);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(317);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 79,
        '"', 201,
        '#', 83,
        '%', 256,
        '&', 243,
        '\'', 202,
        '(', 157,
        ')', 158,
        '*', 152,
        '+', 250,
        ',', 155,
        '-', 252,
        '.', 198,
        '/', 254,
        '0', 300,
        ':', 160,
        ';', 159,
        '<', 188,
        '=', 163,
        '>', 193,
        '?', 34,
        '@', 319,
        '[', 165,
        '\\', 105,
        ']', 166,
        '^', 246,
        '`', 293,
        '{', 154,
        '|', 247,
        '}', 156,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(301);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(10);
      if (lookahead > '#' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(317);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 79,
        '%', 255,
        '&', 244,
        '(', 157,
        ')', 158,
        '*', 153,
        '+', 249,
        ',', 155,
        '-', 251,
        '.', 196,
        '/', 253,
        ':', 160,
        ';', 159,
        '<', 189,
        '=', 162,
        '>', 194,
        '?', 35,
        '[', 165,
        '\\', 105,
        ']', 166,
        '^', 245,
        '`', 293,
        '{', 154,
        '|', 248,
        '}', 156,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(11);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(317);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 79,
        '%', 255,
        '&', 244,
        '(', 157,
        ')', 158,
        '*', 153,
        '+', 249,
        ',', 155,
        '-', 251,
        '.', 196,
        '/', 253,
        ':', 160,
        ';', 159,
        '<', 189,
        '=', 80,
        '>', 194,
        '?', 35,
        '[', 165,
        '\\', 105,
        ']', 166,
        '^', 245,
        '`', 293,
        '{', 154,
        '|', 248,
        '}', 156,
      );
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(298);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(13);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '`' || '~' < lookahead)) ADVANCE(317);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '!', 79,
        '%', 255,
        '&', 244,
        '(', 157,
        ')', 158,
        '*', 153,
        '+', 249,
        ',', 155,
        '-', 251,
        '.', 196,
        '/', 253,
        ':', 160,
        ';', 159,
        '<', 189,
        '=', 80,
        '>', 194,
        '?', 35,
        '[', 165,
        '\\', 105,
        ']', 166,
        '^', 245,
        '`', 293,
        '{', 154,
        '|', 248,
        '}', 156,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(13);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(317);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '"', 201,
        '#', 83,
        '\'', 202,
        '(', 157,
        '*', 151,
        '.', 198,
        '/', 27,
        '0', 300,
        '<', 185,
        '@', 319,
        '[', 165,
        '\\', 105,
        's', 313,
        '{', 154,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(301);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(14);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(317);
      END_STATE();
    case 15:
      if (lookahead == '"') ADVANCE(201);
      if (lookahead == '&') ADVANCE(20);
      if (lookahead == '/') ADVANCE(204);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(203);
      if (lookahead != 0) ADVANCE(205);
      END_STATE();
    case 16:
      if (lookahead == '"') ADVANCE(201);
      if (lookahead == '/') ADVANCE(27);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(16);
      END_STATE();
    case 17:
      if (lookahead == '"') ADVANCE(201);
      if (lookahead == '/') ADVANCE(272);
      if (lookahead == '\\') ADVANCE(106);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(16);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(275);
      if (lookahead != 0) ADVANCE(277);
      END_STATE();
    case 18:
      if (lookahead == '#') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(78);
      END_STATE();
    case 19:
      if (lookahead == '#') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(78);
      if (lookahead != 0) ADVANCE(211);
      END_STATE();
    case 20:
      if (lookahead == '#') ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(78);
      if (lookahead != 0) ADVANCE(205);
      END_STATE();
    case 21:
      if (lookahead == '$') ADVANCE(107);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '\\') ADVANCE(106);
      if (lookahead == '`') ADVANCE(293);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(22);
      END_STATE();
    case 22:
      if (lookahead == '$') ADVANCE(107);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '`') ADVANCE(293);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(22);
      END_STATE();
    case 23:
      if (lookahead == '&') ADVANCE(18);
      if (lookahead == '/') ADVANCE(173);
      if (lookahead == '<') ADVANCE(186);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '\n' ||
          lookahead == ' ') SKIP(23);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(175);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}') ADVANCE(174);
      END_STATE();
    case 24:
      if (lookahead == '&') ADVANCE(19);
      if (lookahead == '\'') ADVANCE(202);
      if (lookahead == '/') ADVANCE(210);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(209);
      if (lookahead != 0) ADVANCE(211);
      END_STATE();
    case 25:
      if (lookahead == '\'') ADVANCE(202);
      if (lookahead == '/') ADVANCE(27);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(25);
      END_STATE();
    case 26:
      if (lookahead == '\'') ADVANCE(202);
      if (lookahead == '/') ADVANCE(278);
      if (lookahead == '\\') ADVANCE(106);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(25);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(281);
      if (lookahead != 0) ADVANCE(283);
      END_STATE();
    case 27:
      if (lookahead == '*') ADVANCE(30);
      if (lookahead == '/') ADVANCE(292);
      END_STATE();
    case 28:
      if (lookahead == '*') ADVANCE(30);
      if (lookahead == '/') ADVANCE(292);
      if (lookahead == '>') ADVANCE(200);
      END_STATE();
    case 29:
      if (lookahead == '*') ADVANCE(29);
      if (lookahead == '/') ADVANCE(289);
      if (lookahead != 0) ADVANCE(30);
      END_STATE();
    case 30:
      if (lookahead == '*') ADVANCE(29);
      if (lookahead != 0) ADVANCE(30);
      END_STATE();
    case 31:
      if (lookahead == '*') ADVANCE(212);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(30);
      if (lookahead != 0) ADVANCE(213);
      END_STATE();
    case 32:
      if (lookahead == '*') ADVANCE(206);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(30);
      if (lookahead != 0) ADVANCE(207);
      END_STATE();
    case 33:
      if (lookahead == '.') ADVANCE(36);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(306);
      END_STATE();
    case 34:
      if (lookahead == '.') ADVANCE(216);
      if (lookahead == '?') ADVANCE(266);
      END_STATE();
    case 35:
      if (lookahead == '.') ADVANCE(216);
      if (lookahead == '?') ADVANCE(265);
      END_STATE();
    case 36:
      if (lookahead == '.') ADVANCE(232);
      END_STATE();
    case 37:
      if (lookahead == '.') ADVANCE(196);
      if (lookahead == '/') ADVANCE(28);
      if (lookahead == ':') ADVANCE(160);
      if (lookahead == '=') ADVANCE(161);
      if (lookahead == '>') ADVANCE(192);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == '{') ADVANCE(154);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(37);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(309);
      if (lookahead > '~') ADVANCE(317);
      END_STATE();
    case 38:
      if (lookahead == '/') ADVANCE(295);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(39);
      END_STATE();
    case 39:
      if (lookahead == '/') ADVANCE(27);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(39);
      END_STATE();
    case 40:
      if (lookahead == ';') ADVANCE(184);
      END_STATE();
    case 41:
      if (lookahead == ';') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(40);
      END_STATE();
    case 42:
      if (lookahead == ';') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(41);
      END_STATE();
    case 43:
      if (lookahead == ';') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(42);
      END_STATE();
    case 44:
      if (lookahead == ';') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(43);
      END_STATE();
    case 45:
      if (lookahead == ';') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(40);
      END_STATE();
    case 46:
      if (lookahead == ';') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(45);
      END_STATE();
    case 47:
      if (lookahead == ';') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(46);
      END_STATE();
    case 48:
      if (lookahead == ';') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 49:
      if (lookahead == ';') ADVANCE(184);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(48);
      END_STATE();
    case 50:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(40);
      END_STATE();
    case 51:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(50);
      END_STATE();
    case 52:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(51);
      END_STATE();
    case 53:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(52);
      END_STATE();
    case 54:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(53);
      END_STATE();
    case 55:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(54);
      END_STATE();
    case 56:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(55);
      END_STATE();
    case 57:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(56);
      END_STATE();
    case 58:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(57);
      END_STATE();
    case 59:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(58);
      END_STATE();
    case 60:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(59);
      END_STATE();
    case 61:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(60);
      END_STATE();
    case 62:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(61);
      END_STATE();
    case 63:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 64:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(63);
      END_STATE();
    case 65:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(64);
      END_STATE();
    case 66:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 67:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 68:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(67);
      END_STATE();
    case 69:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(68);
      END_STATE();
    case 70:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(69);
      END_STATE();
    case 71:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(70);
      END_STATE();
    case 72:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(71);
      END_STATE();
    case 73:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(72);
      END_STATE();
    case 74:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(73);
      END_STATE();
    case 75:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 76:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(75);
      END_STATE();
    case 77:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(76);
      END_STATE();
    case 78:
      if (lookahead == ';') ADVANCE(184);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(77);
      END_STATE();
    case 79:
      if (lookahead == '=') ADVANCE(262);
      END_STATE();
    case 80:
      if (lookahead == '=') ADVANCE(260);
      END_STATE();
    case 81:
      if (lookahead == '>') ADVANCE(171);
      END_STATE();
    case 82:
      if (lookahead == '>') ADVANCE(172);
      END_STATE();
    case 83:
      if (lookahead == '\\') ADVANCE(104);
      if (set_contains(sym_identifier_character_set_1, 14, lookahead)) ADVANCE(318);
      END_STATE();
    case 84:
      if (lookahead == '\\') ADVANCE(144);
      if (lookahead == ']') ADVANCE(297);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(84);
      END_STATE();
    case 85:
      if (lookahead == 'a') ADVANCE(100);
      END_STATE();
    case 86:
      if (lookahead == 'a') ADVANCE(101);
      END_STATE();
    case 87:
      if (lookahead == 'e') ADVANCE(95);
      END_STATE();
    case 88:
      if (lookahead == 'e') ADVANCE(81);
      END_STATE();
    case 89:
      if (lookahead == 'e') ADVANCE(99);
      END_STATE();
    case 90:
      if (lookahead == 'e') ADVANCE(82);
      END_STATE();
    case 91:
      if (lookahead == 'e') ADVANCE(96);
      END_STATE();
    case 92:
      if (lookahead == 'g') ADVANCE(89);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(92);
      END_STATE();
    case 93:
      if (lookahead == 'l') ADVANCE(85);
      END_STATE();
    case 94:
      if (lookahead == 'l') ADVANCE(86);
      END_STATE();
    case 95:
      if (lookahead == 'm') ADVANCE(97);
      END_STATE();
    case 96:
      if (lookahead == 'm') ADVANCE(98);
      END_STATE();
    case 97:
      if (lookahead == 'p') ADVANCE(93);
      END_STATE();
    case 98:
      if (lookahead == 'p') ADVANCE(94);
      END_STATE();
    case 99:
      if (lookahead == 't') ADVANCE(1);
      END_STATE();
    case 100:
      if (lookahead == 't') ADVANCE(88);
      END_STATE();
    case 101:
      if (lookahead == 't') ADVANCE(90);
      END_STATE();
    case 102:
      if (lookahead == 't') ADVANCE(91);
      END_STATE();
    case 103:
      if (lookahead == 'u') ADVANCE(108);
      if (lookahead == 'x') ADVANCE(134);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(286);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(288);
      if (lookahead != 0) ADVANCE(284);
      END_STATE();
    case 104:
      if (lookahead == 'u') ADVANCE(109);
      END_STATE();
    case 105:
      if (lookahead == 'u') ADVANCE(110);
      END_STATE();
    case 106:
      if (lookahead == 'u') ADVANCE(111);
      if (lookahead == 'x') ADVANCE(134);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(286);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(288);
      if (lookahead != 0) ADVANCE(284);
      END_STATE();
    case 107:
      if (lookahead == '{') ADVANCE(294);
      END_STATE();
    case 108:
      if (lookahead == '{') ADVANCE(128);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(139);
      END_STATE();
    case 109:
      if (lookahead == '{') ADVANCE(132);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(140);
      END_STATE();
    case 110:
      if (lookahead == '{') ADVANCE(133);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(141);
      END_STATE();
    case 111:
      if (lookahead == '{') ADVANCE(135);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(131);
      END_STATE();
    case 112:
      if (lookahead == '}') ADVANCE(317);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(112);
      END_STATE();
    case 113:
      if (lookahead == '}') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(113);
      END_STATE();
    case 114:
      if (lookahead == '}') ADVANCE(284);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(114);
      END_STATE();
    case 115:
      if (lookahead == '}') ADVANCE(285);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(115);
      END_STATE();
    case 116:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(123);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(307);
      END_STATE();
    case 117:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(130);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(44);
      END_STATE();
    case 118:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(303);
      END_STATE();
    case 119:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(304);
      END_STATE();
    case 120:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(301);
      END_STATE();
    case 121:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(306);
      END_STATE();
    case 122:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(302);
      END_STATE();
    case 123:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(307);
      END_STATE();
    case 124:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(317);
      END_STATE();
    case 125:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(318);
      END_STATE();
    case 126:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(284);
      END_STATE();
    case 127:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(305);
      END_STATE();
    case 128:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(115);
      END_STATE();
    case 129:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(285);
      END_STATE();
    case 130:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(49);
      END_STATE();
    case 131:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(134);
      END_STATE();
    case 132:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(113);
      END_STATE();
    case 133:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(112);
      END_STATE();
    case 134:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(126);
      END_STATE();
    case 135:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(114);
      END_STATE();
    case 136:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(129);
      END_STATE();
    case 137:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(125);
      END_STATE();
    case 138:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(124);
      END_STATE();
    case 139:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(136);
      END_STATE();
    case 140:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(137);
      END_STATE();
    case 141:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(138);
      END_STATE();
    case 142:
      if (lookahead != 0 &&
          lookahead != '#' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(211);
      END_STATE();
    case 143:
      if (lookahead != 0 &&
          lookahead != '#' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(205);
      END_STATE();
    case 144:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(84);
      END_STATE();
    case 145:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(297);
      END_STATE();
    case 146:
      if (eof) ADVANCE(149);
      ADVANCE_MAP(
        '!', 268,
        '"', 201,
        '#', 7,
        '$', 315,
        '%', 256,
        '&', 243,
        '\'', 202,
        '(', 157,
        ')', 158,
        '*', 152,
        '+', 250,
        ',', 155,
        '-', 252,
        '.', 197,
        '/', 254,
        '0', 300,
        ':', 160,
        ';', 159,
        '<', 187,
        '=', 163,
        '>', 193,
        '?', 34,
        '@', 319,
        '[', 165,
        '\\', 105,
        ']', 166,
        '^', 246,
        '`', 293,
        's', 313,
        '{', 154,
        '|', 247,
        '}', 156,
        '~', 269,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(301);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(146);
      if (lookahead > '@') ADVANCE(317);
      END_STATE();
    case 147:
      if (eof) ADVANCE(149);
      ADVANCE_MAP(
        '!', 268,
        '"', 201,
        '#', 83,
        '%', 255,
        '&', 244,
        '\'', 202,
        '(', 157,
        ')', 158,
        '*', 153,
        '+', 249,
        ',', 155,
        '-', 251,
        '.', 198,
        '/', 253,
        '0', 300,
        ':', 160,
        ';', 159,
        '<', 190,
        '=', 162,
        '>', 194,
        '?', 35,
        '@', 319,
        '[', 165,
        '\\', 105,
        ']', 166,
        '^', 245,
        '`', 293,
        '{', 154,
        '|', 248,
        '}', 156,
        '~', 269,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(301);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(147);
      if (lookahead > '#') ADVANCE(317);
      END_STATE();
    case 148:
      if (eof) ADVANCE(149);
      ADVANCE_MAP(
        '!', 267,
        '"', 201,
        '#', 7,
        '\'', 202,
        '(', 157,
        ')', 158,
        '*', 151,
        '+', 249,
        ',', 155,
        '-', 251,
        '.', 33,
        '/', 253,
        '0', 300,
        ':', 160,
        ';', 159,
        '<', 191,
        '=', 164,
        '>', 192,
        '@', 319,
        '[', 165,
        '\\', 105,
        ']', 166,
        '`', 293,
        '{', 154,
        '}', 156,
        '~', 269,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(301);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(148);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(317);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(150);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(258);
      if (lookahead == '=') ADVANCE(219);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(257);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(260);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(260);
      if (lookahead == '>') ADVANCE(215);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(215);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '*') ADVANCE(30);
      if (lookahead == '/') ADVANCE(292);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(168);
      if (lookahead == '<') ADVANCE(170);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n') ADVANCE(169);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(167);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(102);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_LTtemplate_GT);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_LT_SLASHtemplate_GT);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(5);
      if (lookahead == '*') ADVANCE(177);
      if (lookahead == '/') ADVANCE(178);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(174);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(5);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(174);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(2);
      if (lookahead == '/') ADVANCE(173);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n') ADVANCE(175);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '&' &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(174);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      ADVANCE_MAP(
        ' ', 6,
        '*', 176,
        '/', 174,
        '\n', 30,
        '&', 30,
        '<', 30,
        '>', 30,
        '{', 30,
        '}', 30,
      );
      if (lookahead != 0) ADVANCE(177);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      ADVANCE_MAP(
        ' ', 6,
        '*', 176,
        '\n', 30,
        '&', 30,
        '<', 30,
        '>', 30,
        '{', 30,
        '}', 30,
      );
      if (lookahead != 0) ADVANCE(177);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      ADVANCE_MAP(
        ' ', 180,
        '\r', 179,
        0x2028, 179,
        0x2029, 179,
        '&', 182,
        '<', 182,
        '>', 182,
        '{', 182,
        '}', 182,
      );
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(178);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(aux_sym_jsx_text_token1);
      if (lookahead == ' ') ADVANCE(181);
      if (lookahead == '&' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(183);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(179);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(aux_sym_jsx_text_token2);
      ADVANCE_MAP(
        ' ', 180,
        '\r', 179,
        0x2028, 179,
        0x2029, 179,
        '&', 182,
        '<', 182,
        '>', 182,
        '{', 182,
        '}', 182,
      );
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(178);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(aux_sym_jsx_text_token2);
      if (lookahead == ' ') ADVANCE(181);
      if (lookahead == '&' ||
          lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(183);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(179);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(aux_sym_jsx_text_token2);
      if (lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(183);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(182);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(aux_sym_jsx_text_token2);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(183);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(sym_html_character_reference);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '/') ADVANCE(199);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '/') ADVANCE(199);
      if (lookahead == '<') ADVANCE(242);
      if (lookahead == '=') ADVANCE(259);
      if (lookahead == 't') ADVANCE(87);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(242);
      if (lookahead == '=') ADVANCE(259);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(241);
      if (lookahead == '=') ADVANCE(259);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(241);
      if (lookahead == '=') ADVANCE(259);
      if (lookahead == 't') ADVANCE(87);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == 't') ADVANCE(87);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(264);
      if (lookahead == '>') ADVANCE(237);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(264);
      if (lookahead == '>') ADVANCE(238);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(sym_jsx_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(195);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(36);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(306);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(306);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_LT_SLASH);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_SLASH_GT);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(20);
      if (lookahead == '/') ADVANCE(204);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(203);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(205);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(143);
      if (lookahead == '*') ADVANCE(207);
      if (lookahead == '/') ADVANCE(208);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(205);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(143);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(205);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(32);
      if (lookahead == '*') ADVANCE(206);
      if (lookahead == '/') ADVANCE(205);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(207);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(32);
      if (lookahead == '*') ADVANCE(206);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(207);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(291);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(205);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(208);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(19);
      if (lookahead == '/') ADVANCE(210);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(209);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(211);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(142);
      if (lookahead == '*') ADVANCE(213);
      if (lookahead == '/') ADVANCE(214);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(211);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(142);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(211);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(31);
      if (lookahead == '*') ADVANCE(212);
      if (lookahead == '/') ADVANCE(211);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(213);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(31);
      if (lookahead == '*') ADVANCE(212);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(213);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(290);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(211);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(214);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym_optional_chain);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(229);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(230);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(225);
      if (lookahead == '>') ADVANCE(240);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(239);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(226);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(227);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(234);
      if (lookahead == '=') ADVANCE(223);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(233);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(222);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(224);
      if (lookahead == '|') ADVANCE(236);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(235);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(270);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(270);
      if (lookahead == '=') ADVANCE(217);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(271);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(271);
      if (lookahead == '=') ADVANCE(218);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(30);
      if (lookahead == '/') ADVANCE(292);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(30);
      if (lookahead == '/') ADVANCE(292);
      if (lookahead == '=') ADVANCE(220);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(221);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(228);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(261);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(263);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(231);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(262);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(274);
      if (lookahead == '/') ADVANCE(276);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(277);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(273);
      if (lookahead == '/') ADVANCE(277);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(274);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(273);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(274);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '/') ADVANCE(272);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(275);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(277);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(277);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(276);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(277);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(280);
      if (lookahead == '/') ADVANCE(282);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(283);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(279);
      if (lookahead == '/') ADVANCE(283);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(279);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(280);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '/') ADVANCE(278);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(281);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(283);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(283);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(282);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(283);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(105);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(317);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(284);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(284);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(287);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(211);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(292);
      if (lookahead != 0) ADVANCE(214);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(205);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(292);
      if (lookahead != 0) ADVANCE(208);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != 0x2028 &&
          lookahead != 0x2029) ADVANCE(292);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '\n') SKIP(39);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '[') ADVANCE(84);
      if (lookahead == '\\') ADVANCE(145);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(296);
      if (lookahead != 0) ADVANCE(297);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[') ADVANCE(84);
      if (lookahead == '\\') ADVANCE(145);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(297);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == '\\') ADVANCE(105);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(298);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(317);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(sym_number);
      ADVANCE_MAP(
        '.', 308,
        '0', 302,
        '_', 122,
        'n', 299,
        'B', 118,
        'b', 118,
        'E', 116,
        'e', 116,
        'O', 119,
        'o', 119,
        'X', 127,
        'x', 127,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(301);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(308);
      if (lookahead == '_') ADVANCE(120);
      if (lookahead == 'n') ADVANCE(299);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(116);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(301);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(122);
      if (lookahead == 'n') ADVANCE(299);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(302);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(118);
      if (lookahead == 'n') ADVANCE(299);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(303);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(119);
      if (lookahead == 'n') ADVANCE(299);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(304);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(127);
      if (lookahead == 'n') ADVANCE(299);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(305);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(121);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(116);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(306);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(123);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(307);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(116);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(306);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(195);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(309);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(317);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == 'a') ADVANCE(314);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(317);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == 'c') ADVANCE(316);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(317);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == 'i') ADVANCE(311);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(317);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == 't') ADVANCE(310);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(317);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == 't') ADVANCE(312);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(317);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == '{') ADVANCE(294);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(317);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(92);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(317);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(105);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(317);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(sym_private_property_identifier);
      if (lookahead == '\\') ADVANCE(104);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(318);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(aux_sym_method_definition_token1);
      if (lookahead == '\n') ADVANCE(320);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'a', 1,
        'b', 2,
        'c', 3,
        'd', 4,
        'e', 5,
        'f', 6,
        'g', 7,
        'i', 8,
        'l', 9,
        'n', 10,
        'o', 11,
        'r', 12,
        's', 13,
        't', 14,
        'u', 15,
        'v', 16,
        'w', 17,
        'y', 18,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 's') ADVANCE(19);
      if (lookahead == 'w') ADVANCE(20);
      END_STATE();
    case 2:
      if (lookahead == 'r') ADVANCE(21);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(22);
      if (lookahead == 'l') ADVANCE(23);
      if (lookahead == 'o') ADVANCE(24);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(25);
      if (lookahead == 'o') ADVANCE(26);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(27);
      if (lookahead == 'x') ADVANCE(28);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(29);
      if (lookahead == 'i') ADVANCE(30);
      if (lookahead == 'o') ADVANCE(31);
      if (lookahead == 'r') ADVANCE(32);
      if (lookahead == 'u') ADVANCE(33);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(34);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(35);
      if (lookahead == 'm') ADVANCE(36);
      if (lookahead == 'n') ADVANCE(37);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(38);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(39);
      if (lookahead == 'u') ADVANCE(40);
      END_STATE();
    case 11:
      if (lookahead == 'f') ADVANCE(41);
      END_STATE();
    case 12:
      if (lookahead == 'e') ADVANCE(42);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(43);
      if (lookahead == 't') ADVANCE(44);
      if (lookahead == 'u') ADVANCE(45);
      if (lookahead == 'w') ADVANCE(46);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(47);
      if (lookahead == 'h') ADVANCE(48);
      if (lookahead == 'r') ADVANCE(49);
      if (lookahead == 'y') ADVANCE(50);
      END_STATE();
    case 15:
      if (lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 16:
      if (lookahead == 'a') ADVANCE(52);
      if (lookahead == 'o') ADVANCE(53);
      END_STATE();
    case 17:
      if (lookahead == 'h') ADVANCE(54);
      if (lookahead == 'i') ADVANCE(55);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(56);
      END_STATE();
    case 19:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 'y') ADVANCE(57);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(58);
      END_STATE();
    case 21:
      if (lookahead == 'e') ADVANCE(59);
      END_STATE();
    case 22:
      if (lookahead == 's') ADVANCE(60);
      if (lookahead == 't') ADVANCE(61);
      END_STATE();
    case 23:
      if (lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 24:
      if (lookahead == 'n') ADVANCE(63);
      END_STATE();
    case 25:
      if (lookahead == 'b') ADVANCE(64);
      if (lookahead == 'f') ADVANCE(65);
      if (lookahead == 'l') ADVANCE(66);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 27:
      if (lookahead == 's') ADVANCE(67);
      END_STATE();
    case 28:
      if (lookahead == 'p') ADVANCE(68);
      if (lookahead == 't') ADVANCE(69);
      END_STATE();
    case 29:
      if (lookahead == 'l') ADVANCE(70);
      END_STATE();
    case 30:
      if (lookahead == 'n') ADVANCE(71);
      END_STATE();
    case 31:
      if (lookahead == 'r') ADVANCE(72);
      END_STATE();
    case 32:
      if (lookahead == 'o') ADVANCE(73);
      END_STATE();
    case 33:
      if (lookahead == 'n') ADVANCE(74);
      END_STATE();
    case 34:
      if (lookahead == 't') ADVANCE(75);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 36:
      if (lookahead == 'p') ADVANCE(76);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(77);
      END_STATE();
    case 38:
      if (lookahead == 't') ADVANCE(78);
      END_STATE();
    case 39:
      if (lookahead == 'w') ADVANCE(79);
      END_STATE();
    case 40:
      if (lookahead == 'l') ADVANCE(80);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 42:
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 43:
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 44:
      if (lookahead == 'a') ADVANCE(83);
      END_STATE();
    case 45:
      if (lookahead == 'p') ADVANCE(84);
      END_STATE();
    case 46:
      if (lookahead == 'i') ADVANCE(85);
      END_STATE();
    case 47:
      if (lookahead == 'r') ADVANCE(86);
      END_STATE();
    case 48:
      if (lookahead == 'i') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(88);
      END_STATE();
    case 49:
      if (lookahead == 'u') ADVANCE(89);
      if (lookahead == 'y') ADVANCE(90);
      END_STATE();
    case 50:
      if (lookahead == 'p') ADVANCE(91);
      END_STATE();
    case 51:
      if (lookahead == 'd') ADVANCE(92);
      END_STATE();
    case 52:
      if (lookahead == 'r') ADVANCE(93);
      END_STATE();
    case 53:
      if (lookahead == 'i') ADVANCE(94);
      END_STATE();
    case 54:
      if (lookahead == 'i') ADVANCE(95);
      END_STATE();
    case 55:
      if (lookahead == 't') ADVANCE(96);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(97);
      END_STATE();
    case 57:
      if (lookahead == 'n') ADVANCE(98);
      END_STATE();
    case 58:
      if (lookahead == 'i') ADVANCE(99);
      END_STATE();
    case 59:
      if (lookahead == 'a') ADVANCE(100);
      END_STATE();
    case 60:
      if (lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 61:
      if (lookahead == 'c') ADVANCE(102);
      END_STATE();
    case 62:
      if (lookahead == 's') ADVANCE(103);
      END_STATE();
    case 63:
      if (lookahead == 's') ADVANCE(104);
      if (lookahead == 't') ADVANCE(105);
      END_STATE();
    case 64:
      if (lookahead == 'u') ADVANCE(106);
      END_STATE();
    case 65:
      if (lookahead == 'a') ADVANCE(107);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(108);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(109);
      END_STATE();
    case 68:
      if (lookahead == 'o') ADVANCE(110);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(111);
      END_STATE();
    case 70:
      if (lookahead == 's') ADVANCE(112);
      END_STATE();
    case 71:
      if (lookahead == 'a') ADVANCE(113);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 73:
      if (lookahead == 'm') ADVANCE(114);
      END_STATE();
    case 74:
      if (lookahead == 'c') ADVANCE(115);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 76:
      if (lookahead == 'o') ADVANCE(116);
      END_STATE();
    case 77:
      if (lookahead == 't') ADVANCE(117);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 80:
      if (lookahead == 'l') ADVANCE(118);
      END_STATE();
    case 81:
      if (lookahead == 'u') ADVANCE(119);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 83:
      if (lookahead == 't') ADVANCE(120);
      END_STATE();
    case 84:
      if (lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 85:
      if (lookahead == 't') ADVANCE(122);
      END_STATE();
    case 86:
      if (lookahead == 'g') ADVANCE(123);
      END_STATE();
    case 87:
      if (lookahead == 's') ADVANCE(124);
      END_STATE();
    case 88:
      if (lookahead == 'o') ADVANCE(125);
      END_STATE();
    case 89:
      if (lookahead == 'e') ADVANCE(126);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 91:
      if (lookahead == 'e') ADVANCE(127);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(128);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 94:
      if (lookahead == 'd') ADVANCE(129);
      END_STATE();
    case 95:
      if (lookahead == 'l') ADVANCE(130);
      END_STATE();
    case 96:
      if (lookahead == 'h') ADVANCE(131);
      END_STATE();
    case 97:
      if (lookahead == 'l') ADVANCE(132);
      END_STATE();
    case 98:
      if (lookahead == 'c') ADVANCE(133);
      END_STATE();
    case 99:
      if (lookahead == 't') ADVANCE(134);
      END_STATE();
    case 100:
      if (lookahead == 'k') ADVANCE(135);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 102:
      if (lookahead == 'h') ADVANCE(136);
      END_STATE();
    case 103:
      if (lookahead == 's') ADVANCE(137);
      END_STATE();
    case 104:
      if (lookahead == 't') ADVANCE(138);
      END_STATE();
    case 105:
      if (lookahead == 'i') ADVANCE(139);
      END_STATE();
    case 106:
      if (lookahead == 'g') ADVANCE(140);
      END_STATE();
    case 107:
      if (lookahead == 'u') ADVANCE(141);
      END_STATE();
    case 108:
      if (lookahead == 't') ADVANCE(142);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 110:
      if (lookahead == 'r') ADVANCE(143);
      END_STATE();
    case 111:
      if (lookahead == 'n') ADVANCE(144);
      END_STATE();
    case 112:
      if (lookahead == 'e') ADVANCE(145);
      END_STATE();
    case 113:
      if (lookahead == 'l') ADVANCE(146);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 115:
      if (lookahead == 't') ADVANCE(147);
      END_STATE();
    case 116:
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 117:
      if (lookahead == 'a') ADVANCE(149);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 119:
      if (lookahead == 'r') ADVANCE(150);
      END_STATE();
    case 120:
      if (lookahead == 'i') ADVANCE(151);
      END_STATE();
    case 121:
      if (lookahead == 'r') ADVANCE(152);
      END_STATE();
    case 122:
      if (lookahead == 'c') ADVANCE(153);
      END_STATE();
    case 123:
      if (lookahead == 'e') ADVANCE(154);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 125:
      if (lookahead == 'w') ADVANCE(155);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 127:
      if (lookahead == 'o') ADVANCE(156);
      END_STATE();
    case 128:
      if (lookahead == 'f') ADVANCE(157);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(158);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 132:
      if (lookahead == 'd') ADVANCE(159);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 139:
      if (lookahead == 'n') ADVANCE(160);
      END_STATE();
    case 140:
      if (lookahead == 'g') ADVANCE(161);
      END_STATE();
    case 141:
      if (lookahead == 'l') ADVANCE(162);
      END_STATE();
    case 142:
      if (lookahead == 'e') ADVANCE(163);
      END_STATE();
    case 143:
      if (lookahead == 't') ADVANCE(164);
      END_STATE();
    case 144:
      if (lookahead == 'd') ADVANCE(165);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 146:
      if (lookahead == 'l') ADVANCE(166);
      END_STATE();
    case 147:
      if (lookahead == 'i') ADVANCE(167);
      END_STATE();
    case 148:
      if (lookahead == 't') ADVANCE(168);
      END_STATE();
    case 149:
      if (lookahead == 'n') ADVANCE(169);
      END_STATE();
    case 150:
      if (lookahead == 'n') ADVANCE(170);
      END_STATE();
    case 151:
      if (lookahead == 'c') ADVANCE(171);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 153:
      if (lookahead == 'h') ADVANCE(172);
      END_STATE();
    case 154:
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 156:
      if (lookahead == 'f') ADVANCE(174);
      END_STATE();
    case 157:
      if (lookahead == 'i') ADVANCE(175);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 160:
      if (lookahead == 'u') ADVANCE(176);
      END_STATE();
    case 161:
      if (lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 162:
      if (lookahead == 't') ADVANCE(178);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 165:
      if (lookahead == 's') ADVANCE(179);
      END_STATE();
    case 166:
      if (lookahead == 'y') ADVANCE(180);
      END_STATE();
    case 167:
      if (lookahead == 'o') ADVANCE(181);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 169:
      if (lookahead == 'c') ADVANCE(182);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 175:
      if (lookahead == 'n') ADVANCE(183);
      END_STATE();
    case 176:
      if (lookahead == 'e') ADVANCE(184);
      END_STATE();
    case 177:
      if (lookahead == 'r') ADVANCE(185);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 181:
      if (lookahead == 'n') ADVANCE(186);
      END_STATE();
    case 182:
      if (lookahead == 'e') ADVANCE(187);
      END_STATE();
    case 183:
      if (lookahead == 'e') ADVANCE(188);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 187:
      if (lookahead == 'o') ADVANCE(189);
      END_STATE();
    case 188:
      if (lookahead == 'd') ADVANCE(190);
      END_STATE();
    case 189:
      if (lookahead == 'f') ADVANCE(191);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 148, .external_lex_state = 2},
  [2] = {.lex_state = 8, .external_lex_state = 2},
  [3] = {.lex_state = 8, .external_lex_state = 2},
  [4] = {.lex_state = 8, .external_lex_state = 2},
  [5] = {.lex_state = 8, .external_lex_state = 2},
  [6] = {.lex_state = 8, .external_lex_state = 2},
  [7] = {.lex_state = 148, .external_lex_state = 2},
  [8] = {.lex_state = 148, .external_lex_state = 2},
  [9] = {.lex_state = 148, .external_lex_state = 2},
  [10] = {.lex_state = 148, .external_lex_state = 2},
  [11] = {.lex_state = 148, .external_lex_state = 2},
  [12] = {.lex_state = 148, .external_lex_state = 2},
  [13] = {.lex_state = 148, .external_lex_state = 2},
  [14] = {.lex_state = 148, .external_lex_state = 2},
  [15] = {.lex_state = 148, .external_lex_state = 2},
  [16] = {.lex_state = 148, .external_lex_state = 2},
  [17] = {.lex_state = 148, .external_lex_state = 2},
  [18] = {.lex_state = 148, .external_lex_state = 2},
  [19] = {.lex_state = 148, .external_lex_state = 2},
  [20] = {.lex_state = 148, .external_lex_state = 2},
  [21] = {.lex_state = 148, .external_lex_state = 2},
  [22] = {.lex_state = 148, .external_lex_state = 2},
  [23] = {.lex_state = 148, .external_lex_state = 2},
  [24] = {.lex_state = 148, .external_lex_state = 2},
  [25] = {.lex_state = 148, .external_lex_state = 2},
  [26] = {.lex_state = 148, .external_lex_state = 2},
  [27] = {.lex_state = 148, .external_lex_state = 2},
  [28] = {.lex_state = 148, .external_lex_state = 2},
  [29] = {.lex_state = 148, .external_lex_state = 2},
  [30] = {.lex_state = 148, .external_lex_state = 2},
  [31] = {.lex_state = 148, .external_lex_state = 2},
  [32] = {.lex_state = 148, .external_lex_state = 2},
  [33] = {.lex_state = 148, .external_lex_state = 2},
  [34] = {.lex_state = 148, .external_lex_state = 2},
  [35] = {.lex_state = 148, .external_lex_state = 2},
  [36] = {.lex_state = 148, .external_lex_state = 2},
  [37] = {.lex_state = 148, .external_lex_state = 2},
  [38] = {.lex_state = 148, .external_lex_state = 2},
  [39] = {.lex_state = 148, .external_lex_state = 2},
  [40] = {.lex_state = 148, .external_lex_state = 2},
  [41] = {.lex_state = 148, .external_lex_state = 2},
  [42] = {.lex_state = 148, .external_lex_state = 2},
  [43] = {.lex_state = 148, .external_lex_state = 2},
  [44] = {.lex_state = 148, .external_lex_state = 2},
  [45] = {.lex_state = 148, .external_lex_state = 2},
  [46] = {.lex_state = 147, .external_lex_state = 3},
  [47] = {.lex_state = 147, .external_lex_state = 4},
  [48] = {.lex_state = 147, .external_lex_state = 4},
  [49] = {.lex_state = 147, .external_lex_state = 3},
  [50] = {.lex_state = 147, .external_lex_state = 3},
  [51] = {.lex_state = 148, .external_lex_state = 2},
  [52] = {.lex_state = 148, .external_lex_state = 2},
  [53] = {.lex_state = 148, .external_lex_state = 2},
  [54] = {.lex_state = 148, .external_lex_state = 2},
  [55] = {.lex_state = 147, .external_lex_state = 4},
  [56] = {.lex_state = 148, .external_lex_state = 2},
  [57] = {.lex_state = 148, .external_lex_state = 2},
  [58] = {.lex_state = 148, .external_lex_state = 2},
  [59] = {.lex_state = 148, .external_lex_state = 2},
  [60] = {.lex_state = 147, .external_lex_state = 4},
  [61] = {.lex_state = 147, .external_lex_state = 4},
  [62] = {.lex_state = 148, .external_lex_state = 2},
  [63] = {.lex_state = 148, .external_lex_state = 2},
  [64] = {.lex_state = 147, .external_lex_state = 4},
  [65] = {.lex_state = 147, .external_lex_state = 4},
  [66] = {.lex_state = 148, .external_lex_state = 2},
  [67] = {.lex_state = 147, .external_lex_state = 4},
  [68] = {.lex_state = 148, .external_lex_state = 2},
  [69] = {.lex_state = 147, .external_lex_state = 4},
  [70] = {.lex_state = 147, .external_lex_state = 4},
  [71] = {.lex_state = 147, .external_lex_state = 4},
  [72] = {.lex_state = 147, .external_lex_state = 4},
  [73] = {.lex_state = 147, .external_lex_state = 4},
  [74] = {.lex_state = 148, .external_lex_state = 2},
  [75] = {.lex_state = 147, .external_lex_state = 4},
  [76] = {.lex_state = 147, .external_lex_state = 4},
  [77] = {.lex_state = 147, .external_lex_state = 4},
  [78] = {.lex_state = 147, .external_lex_state = 4},
  [79] = {.lex_state = 148, .external_lex_state = 2},
  [80] = {.lex_state = 148, .external_lex_state = 2},
  [81] = {.lex_state = 148, .external_lex_state = 2},
  [82] = {.lex_state = 148, .external_lex_state = 2},
  [83] = {.lex_state = 148, .external_lex_state = 2},
  [84] = {.lex_state = 148, .external_lex_state = 2},
  [85] = {.lex_state = 148, .external_lex_state = 2},
  [86] = {.lex_state = 148, .external_lex_state = 2},
  [87] = {.lex_state = 148, .external_lex_state = 2},
  [88] = {.lex_state = 148, .external_lex_state = 2},
  [89] = {.lex_state = 148, .external_lex_state = 2},
  [90] = {.lex_state = 148, .external_lex_state = 2},
  [91] = {.lex_state = 148, .external_lex_state = 2},
  [92] = {.lex_state = 148, .external_lex_state = 2},
  [93] = {.lex_state = 148, .external_lex_state = 2},
  [94] = {.lex_state = 148, .external_lex_state = 2},
  [95] = {.lex_state = 148, .external_lex_state = 2},
  [96] = {.lex_state = 148, .external_lex_state = 2},
  [97] = {.lex_state = 148, .external_lex_state = 2},
  [98] = {.lex_state = 148, .external_lex_state = 2},
  [99] = {.lex_state = 148, .external_lex_state = 2},
  [100] = {.lex_state = 148, .external_lex_state = 2},
  [101] = {.lex_state = 148, .external_lex_state = 5},
  [102] = {.lex_state = 148, .external_lex_state = 2},
  [103] = {.lex_state = 148, .external_lex_state = 2},
  [104] = {.lex_state = 148, .external_lex_state = 2},
  [105] = {.lex_state = 148, .external_lex_state = 2},
  [106] = {.lex_state = 148, .external_lex_state = 2},
  [107] = {.lex_state = 148, .external_lex_state = 2},
  [108] = {.lex_state = 148, .external_lex_state = 2},
  [109] = {.lex_state = 148, .external_lex_state = 2},
  [110] = {.lex_state = 148, .external_lex_state = 2},
  [111] = {.lex_state = 148, .external_lex_state = 2},
  [112] = {.lex_state = 148, .external_lex_state = 2},
  [113] = {.lex_state = 9, .external_lex_state = 2},
  [114] = {.lex_state = 148, .external_lex_state = 2},
  [115] = {.lex_state = 148, .external_lex_state = 2},
  [116] = {.lex_state = 148, .external_lex_state = 2},
  [117] = {.lex_state = 148, .external_lex_state = 2},
  [118] = {.lex_state = 148, .external_lex_state = 2},
  [119] = {.lex_state = 9, .external_lex_state = 2},
  [120] = {.lex_state = 148, .external_lex_state = 2},
  [121] = {.lex_state = 148, .external_lex_state = 2},
  [122] = {.lex_state = 148, .external_lex_state = 2},
  [123] = {.lex_state = 148, .external_lex_state = 2},
  [124] = {.lex_state = 148, .external_lex_state = 2},
  [125] = {.lex_state = 148, .external_lex_state = 2},
  [126] = {.lex_state = 148, .external_lex_state = 2},
  [127] = {.lex_state = 148, .external_lex_state = 2},
  [128] = {.lex_state = 148, .external_lex_state = 2},
  [129] = {.lex_state = 148, .external_lex_state = 2},
  [130] = {.lex_state = 148, .external_lex_state = 2},
  [131] = {.lex_state = 148, .external_lex_state = 2},
  [132] = {.lex_state = 148, .external_lex_state = 2},
  [133] = {.lex_state = 148, .external_lex_state = 2},
  [134] = {.lex_state = 148, .external_lex_state = 2},
  [135] = {.lex_state = 9, .external_lex_state = 2},
  [136] = {.lex_state = 148, .external_lex_state = 2},
  [137] = {.lex_state = 148, .external_lex_state = 2},
  [138] = {.lex_state = 148, .external_lex_state = 2},
  [139] = {.lex_state = 148, .external_lex_state = 2},
  [140] = {.lex_state = 148, .external_lex_state = 2},
  [141] = {.lex_state = 9, .external_lex_state = 2},
  [142] = {.lex_state = 9, .external_lex_state = 2},
  [143] = {.lex_state = 148, .external_lex_state = 2},
  [144] = {.lex_state = 148, .external_lex_state = 2},
  [145] = {.lex_state = 148, .external_lex_state = 2},
  [146] = {.lex_state = 148, .external_lex_state = 2},
  [147] = {.lex_state = 148, .external_lex_state = 2},
  [148] = {.lex_state = 148, .external_lex_state = 2},
  [149] = {.lex_state = 148, .external_lex_state = 2},
  [150] = {.lex_state = 148, .external_lex_state = 2},
  [151] = {.lex_state = 148, .external_lex_state = 2},
  [152] = {.lex_state = 148, .external_lex_state = 2},
  [153] = {.lex_state = 148, .external_lex_state = 2},
  [154] = {.lex_state = 148, .external_lex_state = 2},
  [155] = {.lex_state = 148, .external_lex_state = 2},
  [156] = {.lex_state = 148, .external_lex_state = 2},
  [157] = {.lex_state = 148, .external_lex_state = 2},
  [158] = {.lex_state = 148, .external_lex_state = 2},
  [159] = {.lex_state = 148, .external_lex_state = 2},
  [160] = {.lex_state = 148, .external_lex_state = 2},
  [161] = {.lex_state = 148, .external_lex_state = 2},
  [162] = {.lex_state = 148, .external_lex_state = 2},
  [163] = {.lex_state = 148, .external_lex_state = 2},
  [164] = {.lex_state = 148, .external_lex_state = 2},
  [165] = {.lex_state = 148, .external_lex_state = 2},
  [166] = {.lex_state = 148, .external_lex_state = 2},
  [167] = {.lex_state = 148, .external_lex_state = 2},
  [168] = {.lex_state = 148, .external_lex_state = 2},
  [169] = {.lex_state = 148, .external_lex_state = 2},
  [170] = {.lex_state = 148, .external_lex_state = 2},
  [171] = {.lex_state = 148, .external_lex_state = 2},
  [172] = {.lex_state = 148, .external_lex_state = 2},
  [173] = {.lex_state = 148, .external_lex_state = 2},
  [174] = {.lex_state = 148, .external_lex_state = 2},
  [175] = {.lex_state = 148, .external_lex_state = 2},
  [176] = {.lex_state = 148, .external_lex_state = 2},
  [177] = {.lex_state = 148, .external_lex_state = 2},
  [178] = {.lex_state = 148, .external_lex_state = 2},
  [179] = {.lex_state = 148, .external_lex_state = 2},
  [180] = {.lex_state = 148, .external_lex_state = 2},
  [181] = {.lex_state = 148, .external_lex_state = 2},
  [182] = {.lex_state = 148, .external_lex_state = 2},
  [183] = {.lex_state = 148, .external_lex_state = 2},
  [184] = {.lex_state = 148, .external_lex_state = 2},
  [185] = {.lex_state = 148, .external_lex_state = 2},
  [186] = {.lex_state = 148, .external_lex_state = 2},
  [187] = {.lex_state = 148, .external_lex_state = 2},
  [188] = {.lex_state = 148, .external_lex_state = 2},
  [189] = {.lex_state = 148, .external_lex_state = 2},
  [190] = {.lex_state = 148, .external_lex_state = 2},
  [191] = {.lex_state = 148, .external_lex_state = 2},
  [192] = {.lex_state = 148, .external_lex_state = 2},
  [193] = {.lex_state = 148, .external_lex_state = 2},
  [194] = {.lex_state = 148, .external_lex_state = 2},
  [195] = {.lex_state = 148, .external_lex_state = 2},
  [196] = {.lex_state = 148, .external_lex_state = 2},
  [197] = {.lex_state = 148, .external_lex_state = 2},
  [198] = {.lex_state = 148, .external_lex_state = 2},
  [199] = {.lex_state = 148, .external_lex_state = 2},
  [200] = {.lex_state = 148, .external_lex_state = 2},
  [201] = {.lex_state = 148, .external_lex_state = 2},
  [202] = {.lex_state = 148, .external_lex_state = 2},
  [203] = {.lex_state = 148, .external_lex_state = 2},
  [204] = {.lex_state = 148, .external_lex_state = 2},
  [205] = {.lex_state = 148, .external_lex_state = 2},
  [206] = {.lex_state = 148, .external_lex_state = 2},
  [207] = {.lex_state = 148, .external_lex_state = 2},
  [208] = {.lex_state = 148, .external_lex_state = 2},
  [209] = {.lex_state = 148, .external_lex_state = 2},
  [210] = {.lex_state = 148, .external_lex_state = 2},
  [211] = {.lex_state = 148, .external_lex_state = 2},
  [212] = {.lex_state = 148, .external_lex_state = 2},
  [213] = {.lex_state = 148, .external_lex_state = 2},
  [214] = {.lex_state = 148, .external_lex_state = 2},
  [215] = {.lex_state = 148, .external_lex_state = 2},
  [216] = {.lex_state = 148, .external_lex_state = 2},
  [217] = {.lex_state = 148, .external_lex_state = 2},
  [218] = {.lex_state = 148, .external_lex_state = 2},
  [219] = {.lex_state = 148, .external_lex_state = 2},
  [220] = {.lex_state = 148, .external_lex_state = 2},
  [221] = {.lex_state = 148, .external_lex_state = 2},
  [222] = {.lex_state = 148, .external_lex_state = 2},
  [223] = {.lex_state = 148, .external_lex_state = 2},
  [224] = {.lex_state = 148, .external_lex_state = 2},
  [225] = {.lex_state = 148, .external_lex_state = 2},
  [226] = {.lex_state = 148, .external_lex_state = 2},
  [227] = {.lex_state = 148, .external_lex_state = 2},
  [228] = {.lex_state = 148, .external_lex_state = 2},
  [229] = {.lex_state = 148, .external_lex_state = 2},
  [230] = {.lex_state = 148, .external_lex_state = 2},
  [231] = {.lex_state = 148, .external_lex_state = 2},
  [232] = {.lex_state = 148, .external_lex_state = 2},
  [233] = {.lex_state = 148, .external_lex_state = 2},
  [234] = {.lex_state = 148, .external_lex_state = 2},
  [235] = {.lex_state = 148, .external_lex_state = 2},
  [236] = {.lex_state = 148, .external_lex_state = 2},
  [237] = {.lex_state = 148, .external_lex_state = 2},
  [238] = {.lex_state = 148, .external_lex_state = 2},
  [239] = {.lex_state = 148, .external_lex_state = 2},
  [240] = {.lex_state = 148, .external_lex_state = 2},
  [241] = {.lex_state = 148, .external_lex_state = 2},
  [242] = {.lex_state = 148, .external_lex_state = 2},
  [243] = {.lex_state = 148, .external_lex_state = 2},
  [244] = {.lex_state = 148, .external_lex_state = 2},
  [245] = {.lex_state = 148, .external_lex_state = 2},
  [246] = {.lex_state = 148, .external_lex_state = 2},
  [247] = {.lex_state = 148, .external_lex_state = 2},
  [248] = {.lex_state = 148, .external_lex_state = 2},
  [249] = {.lex_state = 148, .external_lex_state = 2},
  [250] = {.lex_state = 148, .external_lex_state = 2},
  [251] = {.lex_state = 148, .external_lex_state = 2},
  [252] = {.lex_state = 148, .external_lex_state = 2},
  [253] = {.lex_state = 148, .external_lex_state = 2},
  [254] = {.lex_state = 148, .external_lex_state = 2},
  [255] = {.lex_state = 148, .external_lex_state = 2},
  [256] = {.lex_state = 148, .external_lex_state = 2},
  [257] = {.lex_state = 148, .external_lex_state = 2},
  [258] = {.lex_state = 148, .external_lex_state = 2},
  [259] = {.lex_state = 148, .external_lex_state = 2},
  [260] = {.lex_state = 148, .external_lex_state = 2},
  [261] = {.lex_state = 148, .external_lex_state = 2},
  [262] = {.lex_state = 148, .external_lex_state = 2},
  [263] = {.lex_state = 148, .external_lex_state = 2},
  [264] = {.lex_state = 148, .external_lex_state = 2},
  [265] = {.lex_state = 148, .external_lex_state = 2},
  [266] = {.lex_state = 148, .external_lex_state = 2},
  [267] = {.lex_state = 148, .external_lex_state = 2},
  [268] = {.lex_state = 148, .external_lex_state = 2},
  [269] = {.lex_state = 148, .external_lex_state = 2},
  [270] = {.lex_state = 148, .external_lex_state = 2},
  [271] = {.lex_state = 148, .external_lex_state = 2},
  [272] = {.lex_state = 148, .external_lex_state = 2},
  [273] = {.lex_state = 148, .external_lex_state = 2},
  [274] = {.lex_state = 148, .external_lex_state = 2},
  [275] = {.lex_state = 148, .external_lex_state = 2},
  [276] = {.lex_state = 148, .external_lex_state = 2},
  [277] = {.lex_state = 10, .external_lex_state = 4},
  [278] = {.lex_state = 10, .external_lex_state = 4},
  [279] = {.lex_state = 10, .external_lex_state = 4},
  [280] = {.lex_state = 10, .external_lex_state = 4},
  [281] = {.lex_state = 10, .external_lex_state = 4},
  [282] = {.lex_state = 10, .external_lex_state = 4},
  [283] = {.lex_state = 10, .external_lex_state = 4},
  [284] = {.lex_state = 10, .external_lex_state = 4},
  [285] = {.lex_state = 10, .external_lex_state = 4},
  [286] = {.lex_state = 10, .external_lex_state = 4},
  [287] = {.lex_state = 10, .external_lex_state = 4},
  [288] = {.lex_state = 10, .external_lex_state = 4},
  [289] = {.lex_state = 10, .external_lex_state = 4},
  [290] = {.lex_state = 10, .external_lex_state = 4},
  [291] = {.lex_state = 148, .external_lex_state = 2},
  [292] = {.lex_state = 10, .external_lex_state = 3},
  [293] = {.lex_state = 10, .external_lex_state = 3},
  [294] = {.lex_state = 148, .external_lex_state = 5},
  [295] = {.lex_state = 148, .external_lex_state = 5},
  [296] = {.lex_state = 10, .external_lex_state = 4},
  [297] = {.lex_state = 10, .external_lex_state = 4},
  [298] = {.lex_state = 10, .external_lex_state = 4},
  [299] = {.lex_state = 10, .external_lex_state = 4},
  [300] = {.lex_state = 10, .external_lex_state = 4},
  [301] = {.lex_state = 10, .external_lex_state = 3},
  [302] = {.lex_state = 10, .external_lex_state = 4},
  [303] = {.lex_state = 10, .external_lex_state = 3},
  [304] = {.lex_state = 148, .external_lex_state = 2},
  [305] = {.lex_state = 10, .external_lex_state = 4},
  [306] = {.lex_state = 10, .external_lex_state = 4},
  [307] = {.lex_state = 10, .external_lex_state = 4},
  [308] = {.lex_state = 148, .external_lex_state = 2},
  [309] = {.lex_state = 10, .external_lex_state = 4},
  [310] = {.lex_state = 10, .external_lex_state = 3},
  [311] = {.lex_state = 148, .external_lex_state = 2},
  [312] = {.lex_state = 10, .external_lex_state = 3},
  [313] = {.lex_state = 148, .external_lex_state = 5},
  [314] = {.lex_state = 148, .external_lex_state = 5},
  [315] = {.lex_state = 148, .external_lex_state = 5},
  [316] = {.lex_state = 10, .external_lex_state = 4},
  [317] = {.lex_state = 148, .external_lex_state = 5},
  [318] = {.lex_state = 148, .external_lex_state = 2},
  [319] = {.lex_state = 148, .external_lex_state = 5},
  [320] = {.lex_state = 10, .external_lex_state = 3},
  [321] = {.lex_state = 148, .external_lex_state = 5},
  [322] = {.lex_state = 148, .external_lex_state = 2},
  [323] = {.lex_state = 148, .external_lex_state = 5},
  [324] = {.lex_state = 148, .external_lex_state = 5},
  [325] = {.lex_state = 148, .external_lex_state = 5},
  [326] = {.lex_state = 148, .external_lex_state = 5},
  [327] = {.lex_state = 148, .external_lex_state = 5},
  [328] = {.lex_state = 148, .external_lex_state = 5},
  [329] = {.lex_state = 148, .external_lex_state = 2},
  [330] = {.lex_state = 10, .external_lex_state = 4},
  [331] = {.lex_state = 148, .external_lex_state = 5},
  [332] = {.lex_state = 148, .external_lex_state = 5},
  [333] = {.lex_state = 148, .external_lex_state = 5},
  [334] = {.lex_state = 148, .external_lex_state = 2},
  [335] = {.lex_state = 148, .external_lex_state = 2},
  [336] = {.lex_state = 148, .external_lex_state = 5},
  [337] = {.lex_state = 10, .external_lex_state = 3},
  [338] = {.lex_state = 148, .external_lex_state = 2},
  [339] = {.lex_state = 148, .external_lex_state = 2},
  [340] = {.lex_state = 148, .external_lex_state = 2},
  [341] = {.lex_state = 148, .external_lex_state = 2},
  [342] = {.lex_state = 148, .external_lex_state = 2},
  [343] = {.lex_state = 10, .external_lex_state = 3},
  [344] = {.lex_state = 148, .external_lex_state = 2},
  [345] = {.lex_state = 148, .external_lex_state = 2},
  [346] = {.lex_state = 148, .external_lex_state = 2},
  [347] = {.lex_state = 148, .external_lex_state = 2},
  [348] = {.lex_state = 148, .external_lex_state = 2},
  [349] = {.lex_state = 148, .external_lex_state = 2},
  [350] = {.lex_state = 148, .external_lex_state = 2},
  [351] = {.lex_state = 10, .external_lex_state = 4},
  [352] = {.lex_state = 148, .external_lex_state = 2},
  [353] = {.lex_state = 148, .external_lex_state = 2},
  [354] = {.lex_state = 148, .external_lex_state = 2},
  [355] = {.lex_state = 148, .external_lex_state = 2},
  [356] = {.lex_state = 148, .external_lex_state = 2},
  [357] = {.lex_state = 148, .external_lex_state = 2},
  [358] = {.lex_state = 148, .external_lex_state = 2},
  [359] = {.lex_state = 148, .external_lex_state = 2},
  [360] = {.lex_state = 148, .external_lex_state = 2},
  [361] = {.lex_state = 148, .external_lex_state = 2},
  [362] = {.lex_state = 148, .external_lex_state = 2},
  [363] = {.lex_state = 10, .external_lex_state = 4},
  [364] = {.lex_state = 10, .external_lex_state = 4},
  [365] = {.lex_state = 148, .external_lex_state = 2},
  [366] = {.lex_state = 148, .external_lex_state = 2},
  [367] = {.lex_state = 148, .external_lex_state = 2},
  [368] = {.lex_state = 148, .external_lex_state = 2},
  [369] = {.lex_state = 148, .external_lex_state = 2},
  [370] = {.lex_state = 148, .external_lex_state = 2},
  [371] = {.lex_state = 148, .external_lex_state = 2},
  [372] = {.lex_state = 148, .external_lex_state = 2},
  [373] = {.lex_state = 148, .external_lex_state = 2},
  [374] = {.lex_state = 148, .external_lex_state = 2},
  [375] = {.lex_state = 148, .external_lex_state = 2},
  [376] = {.lex_state = 148, .external_lex_state = 2},
  [377] = {.lex_state = 148, .external_lex_state = 2},
  [378] = {.lex_state = 148, .external_lex_state = 2},
  [379] = {.lex_state = 148, .external_lex_state = 2},
  [380] = {.lex_state = 148, .external_lex_state = 2},
  [381] = {.lex_state = 148, .external_lex_state = 2},
  [382] = {.lex_state = 148, .external_lex_state = 2},
  [383] = {.lex_state = 148, .external_lex_state = 2},
  [384] = {.lex_state = 10, .external_lex_state = 3},
  [385] = {.lex_state = 148, .external_lex_state = 2},
  [386] = {.lex_state = 148, .external_lex_state = 2},
  [387] = {.lex_state = 10, .external_lex_state = 3},
  [388] = {.lex_state = 148, .external_lex_state = 2},
  [389] = {.lex_state = 148, .external_lex_state = 2},
  [390] = {.lex_state = 148, .external_lex_state = 2},
  [391] = {.lex_state = 148, .external_lex_state = 2},
  [392] = {.lex_state = 148, .external_lex_state = 2},
  [393] = {.lex_state = 148, .external_lex_state = 2},
  [394] = {.lex_state = 148, .external_lex_state = 2},
  [395] = {.lex_state = 148, .external_lex_state = 2},
  [396] = {.lex_state = 148, .external_lex_state = 2},
  [397] = {.lex_state = 148, .external_lex_state = 2},
  [398] = {.lex_state = 148, .external_lex_state = 2},
  [399] = {.lex_state = 148, .external_lex_state = 2},
  [400] = {.lex_state = 148, .external_lex_state = 2},
  [401] = {.lex_state = 148, .external_lex_state = 2},
  [402] = {.lex_state = 10, .external_lex_state = 4},
  [403] = {.lex_state = 10, .external_lex_state = 4},
  [404] = {.lex_state = 10, .external_lex_state = 4},
  [405] = {.lex_state = 10, .external_lex_state = 4},
  [406] = {.lex_state = 10, .external_lex_state = 3},
  [407] = {.lex_state = 10, .external_lex_state = 3},
  [408] = {.lex_state = 10, .external_lex_state = 3},
  [409] = {.lex_state = 10, .external_lex_state = 3},
  [410] = {.lex_state = 10, .external_lex_state = 3},
  [411] = {.lex_state = 10, .external_lex_state = 3},
  [412] = {.lex_state = 10, .external_lex_state = 3},
  [413] = {.lex_state = 10, .external_lex_state = 3},
  [414] = {.lex_state = 10, .external_lex_state = 3},
  [415] = {.lex_state = 148, .external_lex_state = 2},
  [416] = {.lex_state = 148, .external_lex_state = 2},
  [417] = {.lex_state = 10, .external_lex_state = 3},
  [418] = {.lex_state = 10, .external_lex_state = 3},
  [419] = {.lex_state = 10, .external_lex_state = 3},
  [420] = {.lex_state = 148, .external_lex_state = 2},
  [421] = {.lex_state = 10, .external_lex_state = 3},
  [422] = {.lex_state = 148, .external_lex_state = 2},
  [423] = {.lex_state = 148, .external_lex_state = 2},
  [424] = {.lex_state = 148, .external_lex_state = 2},
  [425] = {.lex_state = 148, .external_lex_state = 2},
  [426] = {.lex_state = 148, .external_lex_state = 2},
  [427] = {.lex_state = 10, .external_lex_state = 3},
  [428] = {.lex_state = 10, .external_lex_state = 4},
  [429] = {.lex_state = 10, .external_lex_state = 4},
  [430] = {.lex_state = 10, .external_lex_state = 4},
  [431] = {.lex_state = 10, .external_lex_state = 4},
  [432] = {.lex_state = 10, .external_lex_state = 4},
  [433] = {.lex_state = 10, .external_lex_state = 4},
  [434] = {.lex_state = 10, .external_lex_state = 4},
  [435] = {.lex_state = 10, .external_lex_state = 4},
  [436] = {.lex_state = 10, .external_lex_state = 4},
  [437] = {.lex_state = 10, .external_lex_state = 4},
  [438] = {.lex_state = 10, .external_lex_state = 4},
  [439] = {.lex_state = 10, .external_lex_state = 4},
  [440] = {.lex_state = 10, .external_lex_state = 3},
  [441] = {.lex_state = 10, .external_lex_state = 3},
  [442] = {.lex_state = 10, .external_lex_state = 4},
  [443] = {.lex_state = 10, .external_lex_state = 3},
  [444] = {.lex_state = 10, .external_lex_state = 4},
  [445] = {.lex_state = 10, .external_lex_state = 4},
  [446] = {.lex_state = 10, .external_lex_state = 4},
  [447] = {.lex_state = 10, .external_lex_state = 4},
  [448] = {.lex_state = 10, .external_lex_state = 4},
  [449] = {.lex_state = 10, .external_lex_state = 4},
  [450] = {.lex_state = 10, .external_lex_state = 4},
  [451] = {.lex_state = 10, .external_lex_state = 4},
  [452] = {.lex_state = 10, .external_lex_state = 3},
  [453] = {.lex_state = 10, .external_lex_state = 4},
  [454] = {.lex_state = 10, .external_lex_state = 3},
  [455] = {.lex_state = 10, .external_lex_state = 3},
  [456] = {.lex_state = 10, .external_lex_state = 3},
  [457] = {.lex_state = 10, .external_lex_state = 4},
  [458] = {.lex_state = 10, .external_lex_state = 3},
  [459] = {.lex_state = 10, .external_lex_state = 3},
  [460] = {.lex_state = 10, .external_lex_state = 3},
  [461] = {.lex_state = 10, .external_lex_state = 3},
  [462] = {.lex_state = 10, .external_lex_state = 4},
  [463] = {.lex_state = 10, .external_lex_state = 4},
  [464] = {.lex_state = 10, .external_lex_state = 3},
  [465] = {.lex_state = 10, .external_lex_state = 3},
  [466] = {.lex_state = 10, .external_lex_state = 3},
  [467] = {.lex_state = 10, .external_lex_state = 3},
  [468] = {.lex_state = 10, .external_lex_state = 3},
  [469] = {.lex_state = 10, .external_lex_state = 3},
  [470] = {.lex_state = 10, .external_lex_state = 3},
  [471] = {.lex_state = 10, .external_lex_state = 3},
  [472] = {.lex_state = 10, .external_lex_state = 3},
  [473] = {.lex_state = 10, .external_lex_state = 3},
  [474] = {.lex_state = 10, .external_lex_state = 3},
  [475] = {.lex_state = 10, .external_lex_state = 3},
  [476] = {.lex_state = 10, .external_lex_state = 3},
  [477] = {.lex_state = 10, .external_lex_state = 3},
  [478] = {.lex_state = 11, .external_lex_state = 3},
  [479] = {.lex_state = 11, .external_lex_state = 3},
  [480] = {.lex_state = 11, .external_lex_state = 3},
  [481] = {.lex_state = 11, .external_lex_state = 4},
  [482] = {.lex_state = 11, .external_lex_state = 4},
  [483] = {.lex_state = 11, .external_lex_state = 3},
  [484] = {.lex_state = 11, .external_lex_state = 4},
  [485] = {.lex_state = 11, .external_lex_state = 3},
  [486] = {.lex_state = 11, .external_lex_state = 3},
  [487] = {.lex_state = 11, .external_lex_state = 3},
  [488] = {.lex_state = 11, .external_lex_state = 3},
  [489] = {.lex_state = 11, .external_lex_state = 3},
  [490] = {.lex_state = 11, .external_lex_state = 3},
  [491] = {.lex_state = 11, .external_lex_state = 3},
  [492] = {.lex_state = 11, .external_lex_state = 3},
  [493] = {.lex_state = 11, .external_lex_state = 3},
  [494] = {.lex_state = 11, .external_lex_state = 3},
  [495] = {.lex_state = 11, .external_lex_state = 3},
  [496] = {.lex_state = 11, .external_lex_state = 3},
  [497] = {.lex_state = 11, .external_lex_state = 3},
  [498] = {.lex_state = 11, .external_lex_state = 3},
  [499] = {.lex_state = 11, .external_lex_state = 3},
  [500] = {.lex_state = 11, .external_lex_state = 3},
  [501] = {.lex_state = 11, .external_lex_state = 3},
  [502] = {.lex_state = 11, .external_lex_state = 3},
  [503] = {.lex_state = 11, .external_lex_state = 3},
  [504] = {.lex_state = 11, .external_lex_state = 3},
  [505] = {.lex_state = 11, .external_lex_state = 3},
  [506] = {.lex_state = 11, .external_lex_state = 4},
  [507] = {.lex_state = 11, .external_lex_state = 3},
  [508] = {.lex_state = 11, .external_lex_state = 3},
  [509] = {.lex_state = 11, .external_lex_state = 4},
  [510] = {.lex_state = 11, .external_lex_state = 4},
  [511] = {.lex_state = 11, .external_lex_state = 3},
  [512] = {.lex_state = 11, .external_lex_state = 3},
  [513] = {.lex_state = 11, .external_lex_state = 3},
  [514] = {.lex_state = 11, .external_lex_state = 3},
  [515] = {.lex_state = 11, .external_lex_state = 3},
  [516] = {.lex_state = 11, .external_lex_state = 3},
  [517] = {.lex_state = 11, .external_lex_state = 3},
  [518] = {.lex_state = 11, .external_lex_state = 3},
  [519] = {.lex_state = 12, .external_lex_state = 3},
  [520] = {.lex_state = 11, .external_lex_state = 3},
  [521] = {.lex_state = 11, .external_lex_state = 3},
  [522] = {.lex_state = 11, .external_lex_state = 3},
  [523] = {.lex_state = 11, .external_lex_state = 3},
  [524] = {.lex_state = 11, .external_lex_state = 3},
  [525] = {.lex_state = 11, .external_lex_state = 3},
  [526] = {.lex_state = 11, .external_lex_state = 4},
  [527] = {.lex_state = 11, .external_lex_state = 3},
  [528] = {.lex_state = 11, .external_lex_state = 3},
  [529] = {.lex_state = 11, .external_lex_state = 3},
  [530] = {.lex_state = 11, .external_lex_state = 3},
  [531] = {.lex_state = 11, .external_lex_state = 3},
  [532] = {.lex_state = 11, .external_lex_state = 3},
  [533] = {.lex_state = 11, .external_lex_state = 3},
  [534] = {.lex_state = 11, .external_lex_state = 3},
  [535] = {.lex_state = 11, .external_lex_state = 3},
  [536] = {.lex_state = 11, .external_lex_state = 3},
  [537] = {.lex_state = 11, .external_lex_state = 3},
  [538] = {.lex_state = 11, .external_lex_state = 3},
  [539] = {.lex_state = 11, .external_lex_state = 3},
  [540] = {.lex_state = 11, .external_lex_state = 3},
  [541] = {.lex_state = 11, .external_lex_state = 3},
  [542] = {.lex_state = 11, .external_lex_state = 3},
  [543] = {.lex_state = 11, .external_lex_state = 3},
  [544] = {.lex_state = 11, .external_lex_state = 3},
  [545] = {.lex_state = 11, .external_lex_state = 3},
  [546] = {.lex_state = 11, .external_lex_state = 3},
  [547] = {.lex_state = 11, .external_lex_state = 3},
  [548] = {.lex_state = 11, .external_lex_state = 3},
  [549] = {.lex_state = 11, .external_lex_state = 3},
  [550] = {.lex_state = 11, .external_lex_state = 3},
  [551] = {.lex_state = 11, .external_lex_state = 3},
  [552] = {.lex_state = 11, .external_lex_state = 4},
  [553] = {.lex_state = 11, .external_lex_state = 3},
  [554] = {.lex_state = 11, .external_lex_state = 3},
  [555] = {.lex_state = 11, .external_lex_state = 3},
  [556] = {.lex_state = 11, .external_lex_state = 3},
  [557] = {.lex_state = 11, .external_lex_state = 3},
  [558] = {.lex_state = 11, .external_lex_state = 3},
  [559] = {.lex_state = 11, .external_lex_state = 3},
  [560] = {.lex_state = 11, .external_lex_state = 3},
  [561] = {.lex_state = 11, .external_lex_state = 3},
  [562] = {.lex_state = 11, .external_lex_state = 3},
  [563] = {.lex_state = 11, .external_lex_state = 3},
  [564] = {.lex_state = 11, .external_lex_state = 3},
  [565] = {.lex_state = 11, .external_lex_state = 3},
  [566] = {.lex_state = 11, .external_lex_state = 3},
  [567] = {.lex_state = 11, .external_lex_state = 3},
  [568] = {.lex_state = 11, .external_lex_state = 3},
  [569] = {.lex_state = 11, .external_lex_state = 3},
  [570] = {.lex_state = 11, .external_lex_state = 3},
  [571] = {.lex_state = 11, .external_lex_state = 3},
  [572] = {.lex_state = 11, .external_lex_state = 3},
  [573] = {.lex_state = 11, .external_lex_state = 3},
  [574] = {.lex_state = 11, .external_lex_state = 3},
  [575] = {.lex_state = 11, .external_lex_state = 4},
  [576] = {.lex_state = 11, .external_lex_state = 3},
  [577] = {.lex_state = 11, .external_lex_state = 3},
  [578] = {.lex_state = 11, .external_lex_state = 3},
  [579] = {.lex_state = 11, .external_lex_state = 3},
  [580] = {.lex_state = 11, .external_lex_state = 3},
  [581] = {.lex_state = 11, .external_lex_state = 4},
  [582] = {.lex_state = 11, .external_lex_state = 4},
  [583] = {.lex_state = 11, .external_lex_state = 4},
  [584] = {.lex_state = 11, .external_lex_state = 4},
  [585] = {.lex_state = 11, .external_lex_state = 4},
  [586] = {.lex_state = 11, .external_lex_state = 4},
  [587] = {.lex_state = 11, .external_lex_state = 4},
  [588] = {.lex_state = 11, .external_lex_state = 3},
  [589] = {.lex_state = 11, .external_lex_state = 4},
  [590] = {.lex_state = 11, .external_lex_state = 4},
  [591] = {.lex_state = 11, .external_lex_state = 3},
  [592] = {.lex_state = 11, .external_lex_state = 4},
  [593] = {.lex_state = 11, .external_lex_state = 4},
  [594] = {.lex_state = 11, .external_lex_state = 4},
  [595] = {.lex_state = 11, .external_lex_state = 4},
  [596] = {.lex_state = 11, .external_lex_state = 3},
  [597] = {.lex_state = 11, .external_lex_state = 4},
  [598] = {.lex_state = 11, .external_lex_state = 4},
  [599] = {.lex_state = 11, .external_lex_state = 4},
  [600] = {.lex_state = 11, .external_lex_state = 4},
  [601] = {.lex_state = 11, .external_lex_state = 4},
  [602] = {.lex_state = 11, .external_lex_state = 4},
  [603] = {.lex_state = 11, .external_lex_state = 4},
  [604] = {.lex_state = 11, .external_lex_state = 4},
  [605] = {.lex_state = 11, .external_lex_state = 4},
  [606] = {.lex_state = 11, .external_lex_state = 4},
  [607] = {.lex_state = 11, .external_lex_state = 4},
  [608] = {.lex_state = 11, .external_lex_state = 4},
  [609] = {.lex_state = 11, .external_lex_state = 4},
  [610] = {.lex_state = 11, .external_lex_state = 4},
  [611] = {.lex_state = 11, .external_lex_state = 4},
  [612] = {.lex_state = 11, .external_lex_state = 4},
  [613] = {.lex_state = 11, .external_lex_state = 4},
  [614] = {.lex_state = 11, .external_lex_state = 4},
  [615] = {.lex_state = 11, .external_lex_state = 4},
  [616] = {.lex_state = 11, .external_lex_state = 3},
  [617] = {.lex_state = 11, .external_lex_state = 4},
  [618] = {.lex_state = 11, .external_lex_state = 3},
  [619] = {.lex_state = 11, .external_lex_state = 4},
  [620] = {.lex_state = 11, .external_lex_state = 4},
  [621] = {.lex_state = 11, .external_lex_state = 4},
  [622] = {.lex_state = 11, .external_lex_state = 4},
  [623] = {.lex_state = 11, .external_lex_state = 4},
  [624] = {.lex_state = 11, .external_lex_state = 4},
  [625] = {.lex_state = 11, .external_lex_state = 4},
  [626] = {.lex_state = 11, .external_lex_state = 4},
  [627] = {.lex_state = 11, .external_lex_state = 4},
  [628] = {.lex_state = 11, .external_lex_state = 4},
  [629] = {.lex_state = 11, .external_lex_state = 4},
  [630] = {.lex_state = 11, .external_lex_state = 4},
  [631] = {.lex_state = 11, .external_lex_state = 4},
  [632] = {.lex_state = 11, .external_lex_state = 4},
  [633] = {.lex_state = 11, .external_lex_state = 4},
  [634] = {.lex_state = 11, .external_lex_state = 3},
  [635] = {.lex_state = 11, .external_lex_state = 4},
  [636] = {.lex_state = 11, .external_lex_state = 4},
  [637] = {.lex_state = 11, .external_lex_state = 4},
  [638] = {.lex_state = 11, .external_lex_state = 4},
  [639] = {.lex_state = 11, .external_lex_state = 4},
  [640] = {.lex_state = 11, .external_lex_state = 4},
  [641] = {.lex_state = 11, .external_lex_state = 4},
  [642] = {.lex_state = 11, .external_lex_state = 4},
  [643] = {.lex_state = 11, .external_lex_state = 4},
  [644] = {.lex_state = 11, .external_lex_state = 4},
  [645] = {.lex_state = 11, .external_lex_state = 4},
  [646] = {.lex_state = 11, .external_lex_state = 4},
  [647] = {.lex_state = 11, .external_lex_state = 4},
  [648] = {.lex_state = 11, .external_lex_state = 4},
  [649] = {.lex_state = 11, .external_lex_state = 4},
  [650] = {.lex_state = 11, .external_lex_state = 4},
  [651] = {.lex_state = 11, .external_lex_state = 4},
  [652] = {.lex_state = 11, .external_lex_state = 4},
  [653] = {.lex_state = 11, .external_lex_state = 4},
  [654] = {.lex_state = 11, .external_lex_state = 4},
  [655] = {.lex_state = 11, .external_lex_state = 4},
  [656] = {.lex_state = 12, .external_lex_state = 4},
  [657] = {.lex_state = 11, .external_lex_state = 4},
  [658] = {.lex_state = 11, .external_lex_state = 3},
  [659] = {.lex_state = 11, .external_lex_state = 3},
  [660] = {.lex_state = 11, .external_lex_state = 3},
  [661] = {.lex_state = 11, .external_lex_state = 4},
  [662] = {.lex_state = 11, .external_lex_state = 4},
  [663] = {.lex_state = 11, .external_lex_state = 3},
  [664] = {.lex_state = 11, .external_lex_state = 4},
  [665] = {.lex_state = 11, .external_lex_state = 4},
  [666] = {.lex_state = 11, .external_lex_state = 4},
  [667] = {.lex_state = 11, .external_lex_state = 4},
  [668] = {.lex_state = 11, .external_lex_state = 3},
  [669] = {.lex_state = 11, .external_lex_state = 4},
  [670] = {.lex_state = 11, .external_lex_state = 3},
  [671] = {.lex_state = 11, .external_lex_state = 4},
  [672] = {.lex_state = 11, .external_lex_state = 4},
  [673] = {.lex_state = 11, .external_lex_state = 4},
  [674] = {.lex_state = 11, .external_lex_state = 4},
  [675] = {.lex_state = 11, .external_lex_state = 3},
  [676] = {.lex_state = 11, .external_lex_state = 4},
  [677] = {.lex_state = 11, .external_lex_state = 3},
  [678] = {.lex_state = 11, .external_lex_state = 4},
  [679] = {.lex_state = 12, .external_lex_state = 4},
  [680] = {.lex_state = 11, .external_lex_state = 4},
  [681] = {.lex_state = 11, .external_lex_state = 3},
  [682] = {.lex_state = 11, .external_lex_state = 4},
  [683] = {.lex_state = 11, .external_lex_state = 4},
  [684] = {.lex_state = 11, .external_lex_state = 4},
  [685] = {.lex_state = 11, .external_lex_state = 4},
  [686] = {.lex_state = 11, .external_lex_state = 4},
  [687] = {.lex_state = 11, .external_lex_state = 4},
  [688] = {.lex_state = 11, .external_lex_state = 4},
  [689] = {.lex_state = 11, .external_lex_state = 4},
  [690] = {.lex_state = 11, .external_lex_state = 4},
  [691] = {.lex_state = 11, .external_lex_state = 3},
  [692] = {.lex_state = 11, .external_lex_state = 4},
  [693] = {.lex_state = 11, .external_lex_state = 4},
  [694] = {.lex_state = 11, .external_lex_state = 4},
  [695] = {.lex_state = 11, .external_lex_state = 4},
  [696] = {.lex_state = 11, .external_lex_state = 4},
  [697] = {.lex_state = 11, .external_lex_state = 4},
  [698] = {.lex_state = 11, .external_lex_state = 3},
  [699] = {.lex_state = 11, .external_lex_state = 3},
  [700] = {.lex_state = 11, .external_lex_state = 4},
  [701] = {.lex_state = 11, .external_lex_state = 3},
  [702] = {.lex_state = 11, .external_lex_state = 3},
  [703] = {.lex_state = 11, .external_lex_state = 3},
  [704] = {.lex_state = 11, .external_lex_state = 4},
  [705] = {.lex_state = 11, .external_lex_state = 4},
  [706] = {.lex_state = 11, .external_lex_state = 4},
  [707] = {.lex_state = 11, .external_lex_state = 3},
  [708] = {.lex_state = 11, .external_lex_state = 4},
  [709] = {.lex_state = 11, .external_lex_state = 4},
  [710] = {.lex_state = 11, .external_lex_state = 4},
  [711] = {.lex_state = 11, .external_lex_state = 3},
  [712] = {.lex_state = 11, .external_lex_state = 4},
  [713] = {.lex_state = 11, .external_lex_state = 3},
  [714] = {.lex_state = 11, .external_lex_state = 3},
  [715] = {.lex_state = 11, .external_lex_state = 3},
  [716] = {.lex_state = 11, .external_lex_state = 4},
  [717] = {.lex_state = 11, .external_lex_state = 4},
  [718] = {.lex_state = 11, .external_lex_state = 4},
  [719] = {.lex_state = 11, .external_lex_state = 3},
  [720] = {.lex_state = 11, .external_lex_state = 3},
  [721] = {.lex_state = 11, .external_lex_state = 3},
  [722] = {.lex_state = 11, .external_lex_state = 4},
  [723] = {.lex_state = 11, .external_lex_state = 3},
  [724] = {.lex_state = 11, .external_lex_state = 4},
  [725] = {.lex_state = 11, .external_lex_state = 3},
  [726] = {.lex_state = 11, .external_lex_state = 3},
  [727] = {.lex_state = 11, .external_lex_state = 4},
  [728] = {.lex_state = 11, .external_lex_state = 4},
  [729] = {.lex_state = 11, .external_lex_state = 4},
  [730] = {.lex_state = 11, .external_lex_state = 3},
  [731] = {.lex_state = 11, .external_lex_state = 4},
  [732] = {.lex_state = 11, .external_lex_state = 4},
  [733] = {.lex_state = 11, .external_lex_state = 4},
  [734] = {.lex_state = 11, .external_lex_state = 3},
  [735] = {.lex_state = 11, .external_lex_state = 4},
  [736] = {.lex_state = 11, .external_lex_state = 4},
  [737] = {.lex_state = 11, .external_lex_state = 4},
  [738] = {.lex_state = 11, .external_lex_state = 4},
  [739] = {.lex_state = 11, .external_lex_state = 3},
  [740] = {.lex_state = 11, .external_lex_state = 4},
  [741] = {.lex_state = 11, .external_lex_state = 4},
  [742] = {.lex_state = 11, .external_lex_state = 3},
  [743] = {.lex_state = 11, .external_lex_state = 4},
  [744] = {.lex_state = 11, .external_lex_state = 4},
  [745] = {.lex_state = 11, .external_lex_state = 4},
  [746] = {.lex_state = 11, .external_lex_state = 4},
  [747] = {.lex_state = 11, .external_lex_state = 4},
  [748] = {.lex_state = 11, .external_lex_state = 4},
  [749] = {.lex_state = 11, .external_lex_state = 4},
  [750] = {.lex_state = 11, .external_lex_state = 3},
  [751] = {.lex_state = 11, .external_lex_state = 4},
  [752] = {.lex_state = 11, .external_lex_state = 4},
  [753] = {.lex_state = 11, .external_lex_state = 4},
  [754] = {.lex_state = 11, .external_lex_state = 4},
  [755] = {.lex_state = 11, .external_lex_state = 3},
  [756] = {.lex_state = 11, .external_lex_state = 4},
  [757] = {.lex_state = 11, .external_lex_state = 4},
  [758] = {.lex_state = 11, .external_lex_state = 4},
  [759] = {.lex_state = 11, .external_lex_state = 3},
  [760] = {.lex_state = 11, .external_lex_state = 3},
  [761] = {.lex_state = 11, .external_lex_state = 3},
  [762] = {.lex_state = 11, .external_lex_state = 3},
  [763] = {.lex_state = 11, .external_lex_state = 3},
  [764] = {.lex_state = 11, .external_lex_state = 3},
  [765] = {.lex_state = 11, .external_lex_state = 3},
  [766] = {.lex_state = 11, .external_lex_state = 3},
  [767] = {.lex_state = 11, .external_lex_state = 3},
  [768] = {.lex_state = 11, .external_lex_state = 3},
  [769] = {.lex_state = 11, .external_lex_state = 4},
  [770] = {.lex_state = 11, .external_lex_state = 3},
  [771] = {.lex_state = 11, .external_lex_state = 3},
  [772] = {.lex_state = 11, .external_lex_state = 3},
  [773] = {.lex_state = 11, .external_lex_state = 3},
  [774] = {.lex_state = 11, .external_lex_state = 3},
  [775] = {.lex_state = 11, .external_lex_state = 3},
  [776] = {.lex_state = 11, .external_lex_state = 3},
  [777] = {.lex_state = 11, .external_lex_state = 3},
  [778] = {.lex_state = 11, .external_lex_state = 4},
  [779] = {.lex_state = 11, .external_lex_state = 3},
  [780] = {.lex_state = 11, .external_lex_state = 3},
  [781] = {.lex_state = 11, .external_lex_state = 3},
  [782] = {.lex_state = 11, .external_lex_state = 3},
  [783] = {.lex_state = 11, .external_lex_state = 3},
  [784] = {.lex_state = 11, .external_lex_state = 3},
  [785] = {.lex_state = 11, .external_lex_state = 3},
  [786] = {.lex_state = 11, .external_lex_state = 3},
  [787] = {.lex_state = 11, .external_lex_state = 4},
  [788] = {.lex_state = 11, .external_lex_state = 3},
  [789] = {.lex_state = 11, .external_lex_state = 3},
  [790] = {.lex_state = 11, .external_lex_state = 3},
  [791] = {.lex_state = 11, .external_lex_state = 3},
  [792] = {.lex_state = 11, .external_lex_state = 3},
  [793] = {.lex_state = 11, .external_lex_state = 3},
  [794] = {.lex_state = 11, .external_lex_state = 3},
  [795] = {.lex_state = 11, .external_lex_state = 3},
  [796] = {.lex_state = 11, .external_lex_state = 3},
  [797] = {.lex_state = 11, .external_lex_state = 3},
  [798] = {.lex_state = 11, .external_lex_state = 3},
  [799] = {.lex_state = 11, .external_lex_state = 3},
  [800] = {.lex_state = 11, .external_lex_state = 3},
  [801] = {.lex_state = 11, .external_lex_state = 3},
  [802] = {.lex_state = 11, .external_lex_state = 3},
  [803] = {.lex_state = 11, .external_lex_state = 3},
  [804] = {.lex_state = 11, .external_lex_state = 3},
  [805] = {.lex_state = 11, .external_lex_state = 3},
  [806] = {.lex_state = 11, .external_lex_state = 3},
  [807] = {.lex_state = 11, .external_lex_state = 3},
  [808] = {.lex_state = 11, .external_lex_state = 3},
  [809] = {.lex_state = 11, .external_lex_state = 3},
  [810] = {.lex_state = 11, .external_lex_state = 3},
  [811] = {.lex_state = 11, .external_lex_state = 3},
  [812] = {.lex_state = 11, .external_lex_state = 3},
  [813] = {.lex_state = 11, .external_lex_state = 3},
  [814] = {.lex_state = 11, .external_lex_state = 3},
  [815] = {.lex_state = 11, .external_lex_state = 3},
  [816] = {.lex_state = 11, .external_lex_state = 3},
  [817] = {.lex_state = 11, .external_lex_state = 3},
  [818] = {.lex_state = 11, .external_lex_state = 3},
  [819] = {.lex_state = 11, .external_lex_state = 3},
  [820] = {.lex_state = 11, .external_lex_state = 3},
  [821] = {.lex_state = 11, .external_lex_state = 3},
  [822] = {.lex_state = 11, .external_lex_state = 3},
  [823] = {.lex_state = 11, .external_lex_state = 3},
  [824] = {.lex_state = 11, .external_lex_state = 3},
  [825] = {.lex_state = 11, .external_lex_state = 3},
  [826] = {.lex_state = 11, .external_lex_state = 3},
  [827] = {.lex_state = 8, .external_lex_state = 2},
  [828] = {.lex_state = 8, .external_lex_state = 2},
  [829] = {.lex_state = 8, .external_lex_state = 2},
  [830] = {.lex_state = 11, .external_lex_state = 3},
  [831] = {.lex_state = 11, .external_lex_state = 3},
  [832] = {.lex_state = 8, .external_lex_state = 2},
  [833] = {.lex_state = 11, .external_lex_state = 3},
  [834] = {.lex_state = 11, .external_lex_state = 3},
  [835] = {.lex_state = 11, .external_lex_state = 3},
  [836] = {.lex_state = 12, .external_lex_state = 3},
  [837] = {.lex_state = 8, .external_lex_state = 2},
  [838] = {.lex_state = 11, .external_lex_state = 3},
  [839] = {.lex_state = 11, .external_lex_state = 3},
  [840] = {.lex_state = 8, .external_lex_state = 2},
  [841] = {.lex_state = 8, .external_lex_state = 2},
  [842] = {.lex_state = 8, .external_lex_state = 2},
  [843] = {.lex_state = 8, .external_lex_state = 2},
  [844] = {.lex_state = 8, .external_lex_state = 2},
  [845] = {.lex_state = 8, .external_lex_state = 2},
  [846] = {.lex_state = 8, .external_lex_state = 2},
  [847] = {.lex_state = 8, .external_lex_state = 2},
  [848] = {.lex_state = 8, .external_lex_state = 2},
  [849] = {.lex_state = 8, .external_lex_state = 2},
  [850] = {.lex_state = 8, .external_lex_state = 2},
  [851] = {.lex_state = 8, .external_lex_state = 2},
  [852] = {.lex_state = 8, .external_lex_state = 2},
  [853] = {.lex_state = 8, .external_lex_state = 2},
  [854] = {.lex_state = 148, .external_lex_state = 2},
  [855] = {.lex_state = 148, .external_lex_state = 2},
  [856] = {.lex_state = 148, .external_lex_state = 2},
  [857] = {.lex_state = 148, .external_lex_state = 2},
  [858] = {.lex_state = 148, .external_lex_state = 2},
  [859] = {.lex_state = 148, .external_lex_state = 2},
  [860] = {.lex_state = 148, .external_lex_state = 2},
  [861] = {.lex_state = 148, .external_lex_state = 2},
  [862] = {.lex_state = 148, .external_lex_state = 2},
  [863] = {.lex_state = 148, .external_lex_state = 2},
  [864] = {.lex_state = 148, .external_lex_state = 2},
  [865] = {.lex_state = 148, .external_lex_state = 2},
  [866] = {.lex_state = 148, .external_lex_state = 2},
  [867] = {.lex_state = 148, .external_lex_state = 2},
  [868] = {.lex_state = 148, .external_lex_state = 2},
  [869] = {.lex_state = 148, .external_lex_state = 2},
  [870] = {.lex_state = 148, .external_lex_state = 2},
  [871] = {.lex_state = 148, .external_lex_state = 2},
  [872] = {.lex_state = 148, .external_lex_state = 2},
  [873] = {.lex_state = 148, .external_lex_state = 2},
  [874] = {.lex_state = 148, .external_lex_state = 2},
  [875] = {.lex_state = 148, .external_lex_state = 5},
  [876] = {.lex_state = 148, .external_lex_state = 2},
  [877] = {.lex_state = 148, .external_lex_state = 2},
  [878] = {.lex_state = 148, .external_lex_state = 2},
  [879] = {.lex_state = 8, .external_lex_state = 2},
  [880] = {.lex_state = 148, .external_lex_state = 2},
  [881] = {.lex_state = 148, .external_lex_state = 2},
  [882] = {.lex_state = 148, .external_lex_state = 2},
  [883] = {.lex_state = 148, .external_lex_state = 2},
  [884] = {.lex_state = 8, .external_lex_state = 2},
  [885] = {.lex_state = 148, .external_lex_state = 2},
  [886] = {.lex_state = 148, .external_lex_state = 2},
  [887] = {.lex_state = 148, .external_lex_state = 5},
  [888] = {.lex_state = 8, .external_lex_state = 2},
  [889] = {.lex_state = 148, .external_lex_state = 5},
  [890] = {.lex_state = 148, .external_lex_state = 5},
  [891] = {.lex_state = 148, .external_lex_state = 5},
  [892] = {.lex_state = 148, .external_lex_state = 2},
  [893] = {.lex_state = 148, .external_lex_state = 5},
  [894] = {.lex_state = 148, .external_lex_state = 2},
  [895] = {.lex_state = 8, .external_lex_state = 2},
  [896] = {.lex_state = 148, .external_lex_state = 5},
  [897] = {.lex_state = 8, .external_lex_state = 2},
  [898] = {.lex_state = 8, .external_lex_state = 2},
  [899] = {.lex_state = 8, .external_lex_state = 2},
  [900] = {.lex_state = 8, .external_lex_state = 2},
  [901] = {.lex_state = 8, .external_lex_state = 2},
  [902] = {.lex_state = 8, .external_lex_state = 5},
  [903] = {.lex_state = 148, .external_lex_state = 5},
  [904] = {.lex_state = 148, .external_lex_state = 5},
  [905] = {.lex_state = 148, .external_lex_state = 2},
  [906] = {.lex_state = 8, .external_lex_state = 2},
  [907] = {.lex_state = 8, .external_lex_state = 2},
  [908] = {.lex_state = 8, .external_lex_state = 2},
  [909] = {.lex_state = 8, .external_lex_state = 2},
  [910] = {.lex_state = 8, .external_lex_state = 2},
  [911] = {.lex_state = 8, .external_lex_state = 2},
  [912] = {.lex_state = 8, .external_lex_state = 2},
  [913] = {.lex_state = 8, .external_lex_state = 2},
  [914] = {.lex_state = 8, .external_lex_state = 2},
  [915] = {.lex_state = 8, .external_lex_state = 2},
  [916] = {.lex_state = 8, .external_lex_state = 2},
  [917] = {.lex_state = 8, .external_lex_state = 2},
  [918] = {.lex_state = 8, .external_lex_state = 2},
  [919] = {.lex_state = 8, .external_lex_state = 2},
  [920] = {.lex_state = 8, .external_lex_state = 5},
  [921] = {.lex_state = 8, .external_lex_state = 2},
  [922] = {.lex_state = 8, .external_lex_state = 2},
  [923] = {.lex_state = 8, .external_lex_state = 2},
  [924] = {.lex_state = 8, .external_lex_state = 2},
  [925] = {.lex_state = 8, .external_lex_state = 2},
  [926] = {.lex_state = 14, .external_lex_state = 2},
  [927] = {.lex_state = 148, .external_lex_state = 5},
  [928] = {.lex_state = 148, .external_lex_state = 5},
  [929] = {.lex_state = 8, .external_lex_state = 2},
  [930] = {.lex_state = 8, .external_lex_state = 2},
  [931] = {.lex_state = 8, .external_lex_state = 2},
  [932] = {.lex_state = 148, .external_lex_state = 5},
  [933] = {.lex_state = 8, .external_lex_state = 2},
  [934] = {.lex_state = 8, .external_lex_state = 2},
  [935] = {.lex_state = 8, .external_lex_state = 2},
  [936] = {.lex_state = 8, .external_lex_state = 2},
  [937] = {.lex_state = 14, .external_lex_state = 2},
  [938] = {.lex_state = 8, .external_lex_state = 2},
  [939] = {.lex_state = 8, .external_lex_state = 2},
  [940] = {.lex_state = 8, .external_lex_state = 2},
  [941] = {.lex_state = 8, .external_lex_state = 2},
  [942] = {.lex_state = 8, .external_lex_state = 2},
  [943] = {.lex_state = 8, .external_lex_state = 2},
  [944] = {.lex_state = 8, .external_lex_state = 2},
  [945] = {.lex_state = 8, .external_lex_state = 2},
  [946] = {.lex_state = 148, .external_lex_state = 2},
  [947] = {.lex_state = 148, .external_lex_state = 2},
  [948] = {.lex_state = 148, .external_lex_state = 2},
  [949] = {.lex_state = 148, .external_lex_state = 2},
  [950] = {.lex_state = 148, .external_lex_state = 2},
  [951] = {.lex_state = 148, .external_lex_state = 2},
  [952] = {.lex_state = 148, .external_lex_state = 2},
  [953] = {.lex_state = 148, .external_lex_state = 2},
  [954] = {.lex_state = 148, .external_lex_state = 2},
  [955] = {.lex_state = 148, .external_lex_state = 2},
  [956] = {.lex_state = 148, .external_lex_state = 2},
  [957] = {.lex_state = 148, .external_lex_state = 2},
  [958] = {.lex_state = 148, .external_lex_state = 2},
  [959] = {.lex_state = 148, .external_lex_state = 2},
  [960] = {.lex_state = 148, .external_lex_state = 2},
  [961] = {.lex_state = 148, .external_lex_state = 2},
  [962] = {.lex_state = 8, .external_lex_state = 2},
  [963] = {.lex_state = 148, .external_lex_state = 2},
  [964] = {.lex_state = 148, .external_lex_state = 2},
  [965] = {.lex_state = 148, .external_lex_state = 2},
  [966] = {.lex_state = 148, .external_lex_state = 2},
  [967] = {.lex_state = 148, .external_lex_state = 2},
  [968] = {.lex_state = 148, .external_lex_state = 2},
  [969] = {.lex_state = 8, .external_lex_state = 2},
  [970] = {.lex_state = 148, .external_lex_state = 2},
  [971] = {.lex_state = 148, .external_lex_state = 2},
  [972] = {.lex_state = 148, .external_lex_state = 2},
  [973] = {.lex_state = 148, .external_lex_state = 2},
  [974] = {.lex_state = 8, .external_lex_state = 2},
  [975] = {.lex_state = 8, .external_lex_state = 2},
  [976] = {.lex_state = 148, .external_lex_state = 2},
  [977] = {.lex_state = 148, .external_lex_state = 2},
  [978] = {.lex_state = 148, .external_lex_state = 2},
  [979] = {.lex_state = 148, .external_lex_state = 2},
  [980] = {.lex_state = 148, .external_lex_state = 2},
  [981] = {.lex_state = 148, .external_lex_state = 2},
  [982] = {.lex_state = 8, .external_lex_state = 2},
  [983] = {.lex_state = 148, .external_lex_state = 2},
  [984] = {.lex_state = 148, .external_lex_state = 2},
  [985] = {.lex_state = 8, .external_lex_state = 2},
  [986] = {.lex_state = 148, .external_lex_state = 2},
  [987] = {.lex_state = 148, .external_lex_state = 2},
  [988] = {.lex_state = 148, .external_lex_state = 2},
  [989] = {.lex_state = 148, .external_lex_state = 2},
  [990] = {.lex_state = 148, .external_lex_state = 2},
  [991] = {.lex_state = 148, .external_lex_state = 2},
  [992] = {.lex_state = 10, .external_lex_state = 2},
  [993] = {.lex_state = 148, .external_lex_state = 2},
  [994] = {.lex_state = 148, .external_lex_state = 2},
  [995] = {.lex_state = 148, .external_lex_state = 2},
  [996] = {.lex_state = 10, .external_lex_state = 2},
  [997] = {.lex_state = 148, .external_lex_state = 2},
  [998] = {.lex_state = 10, .external_lex_state = 2},
  [999] = {.lex_state = 148, .external_lex_state = 2},
  [1000] = {.lex_state = 148, .external_lex_state = 2},
  [1001] = {.lex_state = 148, .external_lex_state = 2},
  [1002] = {.lex_state = 148, .external_lex_state = 2},
  [1003] = {.lex_state = 148, .external_lex_state = 2},
  [1004] = {.lex_state = 10, .external_lex_state = 2},
  [1005] = {.lex_state = 148, .external_lex_state = 2},
  [1006] = {.lex_state = 148, .external_lex_state = 2},
  [1007] = {.lex_state = 148, .external_lex_state = 2},
  [1008] = {.lex_state = 10, .external_lex_state = 2},
  [1009] = {.lex_state = 148, .external_lex_state = 2},
  [1010] = {.lex_state = 148, .external_lex_state = 2},
  [1011] = {.lex_state = 148, .external_lex_state = 2},
  [1012] = {.lex_state = 148, .external_lex_state = 2},
  [1013] = {.lex_state = 148, .external_lex_state = 2},
  [1014] = {.lex_state = 23, .external_lex_state = 2},
  [1015] = {.lex_state = 23, .external_lex_state = 2},
  [1016] = {.lex_state = 23, .external_lex_state = 2},
  [1017] = {.lex_state = 23, .external_lex_state = 2},
  [1018] = {.lex_state = 147, .external_lex_state = 2},
  [1019] = {.lex_state = 23, .external_lex_state = 2},
  [1020] = {.lex_state = 23, .external_lex_state = 2},
  [1021] = {.lex_state = 23, .external_lex_state = 2},
  [1022] = {.lex_state = 23, .external_lex_state = 2},
  [1023] = {.lex_state = 23, .external_lex_state = 2},
  [1024] = {.lex_state = 37, .external_lex_state = 2},
  [1025] = {.lex_state = 37, .external_lex_state = 2},
  [1026] = {.lex_state = 37, .external_lex_state = 2},
  [1027] = {.lex_state = 37, .external_lex_state = 2},
  [1028] = {.lex_state = 37, .external_lex_state = 2},
  [1029] = {.lex_state = 37, .external_lex_state = 2},
  [1030] = {.lex_state = 37, .external_lex_state = 2},
  [1031] = {.lex_state = 37, .external_lex_state = 2},
  [1032] = {.lex_state = 37, .external_lex_state = 2},
  [1033] = {.lex_state = 37, .external_lex_state = 2},
  [1034] = {.lex_state = 37, .external_lex_state = 2},
  [1035] = {.lex_state = 37, .external_lex_state = 2},
  [1036] = {.lex_state = 37, .external_lex_state = 2},
  [1037] = {.lex_state = 37, .external_lex_state = 2},
  [1038] = {.lex_state = 37, .external_lex_state = 2},
  [1039] = {.lex_state = 37, .external_lex_state = 2},
  [1040] = {.lex_state = 37, .external_lex_state = 2},
  [1041] = {.lex_state = 37, .external_lex_state = 2},
  [1042] = {.lex_state = 37, .external_lex_state = 2},
  [1043] = {.lex_state = 37, .external_lex_state = 2},
  [1044] = {.lex_state = 37, .external_lex_state = 2},
  [1045] = {.lex_state = 37, .external_lex_state = 2},
  [1046] = {.lex_state = 37, .external_lex_state = 2},
  [1047] = {.lex_state = 37, .external_lex_state = 2},
  [1048] = {.lex_state = 37, .external_lex_state = 2},
  [1049] = {.lex_state = 37, .external_lex_state = 2},
  [1050] = {.lex_state = 14, .external_lex_state = 2},
  [1051] = {.lex_state = 14, .external_lex_state = 2},
  [1052] = {.lex_state = 37, .external_lex_state = 2},
  [1053] = {.lex_state = 37, .external_lex_state = 2},
  [1054] = {.lex_state = 37, .external_lex_state = 2},
  [1055] = {.lex_state = 37, .external_lex_state = 2},
  [1056] = {.lex_state = 37, .external_lex_state = 2},
  [1057] = {.lex_state = 37, .external_lex_state = 2},
  [1058] = {.lex_state = 37, .external_lex_state = 2},
  [1059] = {.lex_state = 148, .external_lex_state = 2},
  [1060] = {.lex_state = 148, .external_lex_state = 2},
  [1061] = {.lex_state = 148, .external_lex_state = 2},
  [1062] = {.lex_state = 148, .external_lex_state = 2},
  [1063] = {.lex_state = 148, .external_lex_state = 2},
  [1064] = {.lex_state = 37, .external_lex_state = 2},
  [1065] = {.lex_state = 148, .external_lex_state = 2},
  [1066] = {.lex_state = 148, .external_lex_state = 2},
  [1067] = {.lex_state = 148, .external_lex_state = 2},
  [1068] = {.lex_state = 148, .external_lex_state = 2},
  [1069] = {.lex_state = 148, .external_lex_state = 2},
  [1070] = {.lex_state = 148, .external_lex_state = 2},
  [1071] = {.lex_state = 148, .external_lex_state = 2},
  [1072] = {.lex_state = 148, .external_lex_state = 2},
  [1073] = {.lex_state = 148, .external_lex_state = 2},
  [1074] = {.lex_state = 148, .external_lex_state = 2},
  [1075] = {.lex_state = 148, .external_lex_state = 2},
  [1076] = {.lex_state = 148, .external_lex_state = 5},
  [1077] = {.lex_state = 148, .external_lex_state = 2},
  [1078] = {.lex_state = 148, .external_lex_state = 2},
  [1079] = {.lex_state = 148, .external_lex_state = 2},
  [1080] = {.lex_state = 148, .external_lex_state = 2},
  [1081] = {.lex_state = 148, .external_lex_state = 2},
  [1082] = {.lex_state = 148, .external_lex_state = 5},
  [1083] = {.lex_state = 148, .external_lex_state = 2},
  [1084] = {.lex_state = 148, .external_lex_state = 2},
  [1085] = {.lex_state = 23, .external_lex_state = 2},
  [1086] = {.lex_state = 23, .external_lex_state = 2},
  [1087] = {.lex_state = 23, .external_lex_state = 2},
  [1088] = {.lex_state = 148, .external_lex_state = 5},
  [1089] = {.lex_state = 23, .external_lex_state = 2},
  [1090] = {.lex_state = 148, .external_lex_state = 5},
  [1091] = {.lex_state = 23, .external_lex_state = 2},
  [1092] = {.lex_state = 21, .external_lex_state = 6},
  [1093] = {.lex_state = 148, .external_lex_state = 2},
  [1094] = {.lex_state = 23, .external_lex_state = 2},
  [1095] = {.lex_state = 148, .external_lex_state = 2},
  [1096] = {.lex_state = 148, .external_lex_state = 2},
  [1097] = {.lex_state = 148, .external_lex_state = 5},
  [1098] = {.lex_state = 23, .external_lex_state = 2},
  [1099] = {.lex_state = 23, .external_lex_state = 2},
  [1100] = {.lex_state = 148, .external_lex_state = 2},
  [1101] = {.lex_state = 148, .external_lex_state = 2},
  [1102] = {.lex_state = 148, .external_lex_state = 2},
  [1103] = {.lex_state = 21, .external_lex_state = 6},
  [1104] = {.lex_state = 148, .external_lex_state = 2},
  [1105] = {.lex_state = 23, .external_lex_state = 2},
  [1106] = {.lex_state = 37, .external_lex_state = 2},
  [1107] = {.lex_state = 148, .external_lex_state = 5},
  [1108] = {.lex_state = 23, .external_lex_state = 2},
  [1109] = {.lex_state = 148, .external_lex_state = 5},
  [1110] = {.lex_state = 148, .external_lex_state = 5},
  [1111] = {.lex_state = 148, .external_lex_state = 2},
  [1112] = {.lex_state = 23, .external_lex_state = 2},
  [1113] = {.lex_state = 23, .external_lex_state = 2},
  [1114] = {.lex_state = 148, .external_lex_state = 2},
  [1115] = {.lex_state = 148, .external_lex_state = 5},
  [1116] = {.lex_state = 21, .external_lex_state = 6},
  [1117] = {.lex_state = 148, .external_lex_state = 5},
  [1118] = {.lex_state = 23, .external_lex_state = 2},
  [1119] = {.lex_state = 37, .external_lex_state = 2},
  [1120] = {.lex_state = 148, .external_lex_state = 2},
  [1121] = {.lex_state = 23, .external_lex_state = 2},
  [1122] = {.lex_state = 23, .external_lex_state = 2},
  [1123] = {.lex_state = 23, .external_lex_state = 2},
  [1124] = {.lex_state = 23, .external_lex_state = 2},
  [1125] = {.lex_state = 21, .external_lex_state = 6},
  [1126] = {.lex_state = 147, .external_lex_state = 2},
  [1127] = {.lex_state = 147, .external_lex_state = 2},
  [1128] = {.lex_state = 148, .external_lex_state = 5},
  [1129] = {.lex_state = 148, .external_lex_state = 2},
  [1130] = {.lex_state = 148, .external_lex_state = 2},
  [1131] = {.lex_state = 148, .external_lex_state = 5},
  [1132] = {.lex_state = 148, .external_lex_state = 5},
  [1133] = {.lex_state = 37, .external_lex_state = 2},
  [1134] = {.lex_state = 148, .external_lex_state = 5},
  [1135] = {.lex_state = 21, .external_lex_state = 6},
  [1136] = {.lex_state = 23, .external_lex_state = 2},
  [1137] = {.lex_state = 148, .external_lex_state = 2},
  [1138] = {.lex_state = 148, .external_lex_state = 2},
  [1139] = {.lex_state = 37, .external_lex_state = 2},
  [1140] = {.lex_state = 37, .external_lex_state = 2},
  [1141] = {.lex_state = 37, .external_lex_state = 2},
  [1142] = {.lex_state = 148, .external_lex_state = 2},
  [1143] = {.lex_state = 37, .external_lex_state = 2},
  [1144] = {.lex_state = 148, .external_lex_state = 2},
  [1145] = {.lex_state = 148, .external_lex_state = 2},
  [1146] = {.lex_state = 37, .external_lex_state = 2},
  [1147] = {.lex_state = 148, .external_lex_state = 2},
  [1148] = {.lex_state = 37, .external_lex_state = 2},
  [1149] = {.lex_state = 148, .external_lex_state = 2},
  [1150] = {.lex_state = 37, .external_lex_state = 2},
  [1151] = {.lex_state = 148, .external_lex_state = 5},
  [1152] = {.lex_state = 37, .external_lex_state = 2},
  [1153] = {.lex_state = 148, .external_lex_state = 2},
  [1154] = {.lex_state = 148, .external_lex_state = 2},
  [1155] = {.lex_state = 148, .external_lex_state = 2},
  [1156] = {.lex_state = 148, .external_lex_state = 2},
  [1157] = {.lex_state = 148, .external_lex_state = 2},
  [1158] = {.lex_state = 148, .external_lex_state = 2},
  [1159] = {.lex_state = 37, .external_lex_state = 2},
  [1160] = {.lex_state = 148, .external_lex_state = 5},
  [1161] = {.lex_state = 148, .external_lex_state = 2},
  [1162] = {.lex_state = 148, .external_lex_state = 5},
  [1163] = {.lex_state = 148, .external_lex_state = 2},
  [1164] = {.lex_state = 148, .external_lex_state = 2},
  [1165] = {.lex_state = 148, .external_lex_state = 2},
  [1166] = {.lex_state = 37, .external_lex_state = 2},
  [1167] = {.lex_state = 148, .external_lex_state = 2},
  [1168] = {.lex_state = 37, .external_lex_state = 2},
  [1169] = {.lex_state = 148, .external_lex_state = 2},
  [1170] = {.lex_state = 37, .external_lex_state = 2},
  [1171] = {.lex_state = 37, .external_lex_state = 2},
  [1172] = {.lex_state = 37, .external_lex_state = 2},
  [1173] = {.lex_state = 148, .external_lex_state = 2},
  [1174] = {.lex_state = 148, .external_lex_state = 2},
  [1175] = {.lex_state = 37, .external_lex_state = 2},
  [1176] = {.lex_state = 37, .external_lex_state = 2},
  [1177] = {.lex_state = 37, .external_lex_state = 2},
  [1178] = {.lex_state = 37, .external_lex_state = 2},
  [1179] = {.lex_state = 37, .external_lex_state = 2},
  [1180] = {.lex_state = 37, .external_lex_state = 2},
  [1181] = {.lex_state = 37, .external_lex_state = 2},
  [1182] = {.lex_state = 37, .external_lex_state = 2},
  [1183] = {.lex_state = 148, .external_lex_state = 5},
  [1184] = {.lex_state = 37, .external_lex_state = 2},
  [1185] = {.lex_state = 148, .external_lex_state = 2},
  [1186] = {.lex_state = 37, .external_lex_state = 2},
  [1187] = {.lex_state = 148, .external_lex_state = 2},
  [1188] = {.lex_state = 148, .external_lex_state = 2},
  [1189] = {.lex_state = 148, .external_lex_state = 2},
  [1190] = {.lex_state = 148, .external_lex_state = 5},
  [1191] = {.lex_state = 17, .external_lex_state = 7},
  [1192] = {.lex_state = 17, .external_lex_state = 7},
  [1193] = {.lex_state = 148, .external_lex_state = 2},
  [1194] = {.lex_state = 26, .external_lex_state = 7},
  [1195] = {.lex_state = 148, .external_lex_state = 2},
  [1196] = {.lex_state = 24, .external_lex_state = 2},
  [1197] = {.lex_state = 17, .external_lex_state = 7},
  [1198] = {.lex_state = 26, .external_lex_state = 7},
  [1199] = {.lex_state = 148, .external_lex_state = 2},
  [1200] = {.lex_state = 148, .external_lex_state = 2},
  [1201] = {.lex_state = 148, .external_lex_state = 2},
  [1202] = {.lex_state = 147, .external_lex_state = 2},
  [1203] = {.lex_state = 3, .external_lex_state = 2},
  [1204] = {.lex_state = 26, .external_lex_state = 7},
  [1205] = {.lex_state = 148, .external_lex_state = 2},
  [1206] = {.lex_state = 26, .external_lex_state = 7},
  [1207] = {.lex_state = 17, .external_lex_state = 7},
  [1208] = {.lex_state = 148, .external_lex_state = 2},
  [1209] = {.lex_state = 148, .external_lex_state = 2},
  [1210] = {.lex_state = 3, .external_lex_state = 2},
  [1211] = {.lex_state = 148, .external_lex_state = 2},
  [1212] = {.lex_state = 24, .external_lex_state = 2},
  [1213] = {.lex_state = 148, .external_lex_state = 2},
  [1214] = {.lex_state = 148, .external_lex_state = 2},
  [1215] = {.lex_state = 148, .external_lex_state = 2},
  [1216] = {.lex_state = 148, .external_lex_state = 5},
  [1217] = {.lex_state = 148, .external_lex_state = 5},
  [1218] = {.lex_state = 148, .external_lex_state = 2},
  [1219] = {.lex_state = 15, .external_lex_state = 2},
  [1220] = {.lex_state = 148, .external_lex_state = 2},
  [1221] = {.lex_state = 21, .external_lex_state = 6},
  [1222] = {.lex_state = 148, .external_lex_state = 2},
  [1223] = {.lex_state = 15, .external_lex_state = 2},
  [1224] = {.lex_state = 17, .external_lex_state = 7},
  [1225] = {.lex_state = 148, .external_lex_state = 2},
  [1226] = {.lex_state = 26, .external_lex_state = 7},
  [1227] = {.lex_state = 17, .external_lex_state = 7},
  [1228] = {.lex_state = 26, .external_lex_state = 7},
  [1229] = {.lex_state = 3, .external_lex_state = 2},
  [1230] = {.lex_state = 148, .external_lex_state = 5},
  [1231] = {.lex_state = 148, .external_lex_state = 2},
  [1232] = {.lex_state = 148, .external_lex_state = 5},
  [1233] = {.lex_state = 3, .external_lex_state = 2},
  [1234] = {.lex_state = 148, .external_lex_state = 2},
  [1235] = {.lex_state = 24, .external_lex_state = 2},
  [1236] = {.lex_state = 3, .external_lex_state = 2},
  [1237] = {.lex_state = 148, .external_lex_state = 2},
  [1238] = {.lex_state = 26, .external_lex_state = 7},
  [1239] = {.lex_state = 148, .external_lex_state = 2},
  [1240] = {.lex_state = 17, .external_lex_state = 7},
  [1241] = {.lex_state = 148, .external_lex_state = 5},
  [1242] = {.lex_state = 148, .external_lex_state = 2},
  [1243] = {.lex_state = 15, .external_lex_state = 2},
  [1244] = {.lex_state = 148, .external_lex_state = 2},
  [1245] = {.lex_state = 148, .external_lex_state = 2},
  [1246] = {.lex_state = 148, .external_lex_state = 2},
  [1247] = {.lex_state = 148, .external_lex_state = 5},
  [1248] = {.lex_state = 148, .external_lex_state = 2},
  [1249] = {.lex_state = 148, .external_lex_state = 2},
  [1250] = {.lex_state = 148, .external_lex_state = 5},
  [1251] = {.lex_state = 148, .external_lex_state = 2},
  [1252] = {.lex_state = 148, .external_lex_state = 5},
  [1253] = {.lex_state = 148, .external_lex_state = 5},
  [1254] = {.lex_state = 26, .external_lex_state = 7},
  [1255] = {.lex_state = 17, .external_lex_state = 7},
  [1256] = {.lex_state = 148, .external_lex_state = 2},
  [1257] = {.lex_state = 17, .external_lex_state = 7},
  [1258] = {.lex_state = 26, .external_lex_state = 7},
  [1259] = {.lex_state = 148, .external_lex_state = 2},
  [1260] = {.lex_state = 148, .external_lex_state = 5},
  [1261] = {.lex_state = 148, .external_lex_state = 2},
  [1262] = {.lex_state = 148, .external_lex_state = 5},
  [1263] = {.lex_state = 148, .external_lex_state = 2},
  [1264] = {.lex_state = 148, .external_lex_state = 2},
  [1265] = {.lex_state = 3, .external_lex_state = 2},
  [1266] = {.lex_state = 148, .external_lex_state = 2},
  [1267] = {.lex_state = 148, .external_lex_state = 2},
  [1268] = {.lex_state = 148, .external_lex_state = 2},
  [1269] = {.lex_state = 148, .external_lex_state = 2},
  [1270] = {.lex_state = 148, .external_lex_state = 2},
  [1271] = {.lex_state = 148, .external_lex_state = 2},
  [1272] = {.lex_state = 9, .external_lex_state = 2},
  [1273] = {.lex_state = 148, .external_lex_state = 2},
  [1274] = {.lex_state = 148, .external_lex_state = 2},
  [1275] = {.lex_state = 148, .external_lex_state = 2},
  [1276] = {.lex_state = 148, .external_lex_state = 2},
  [1277] = {.lex_state = 148, .external_lex_state = 2},
  [1278] = {.lex_state = 148, .external_lex_state = 2},
  [1279] = {.lex_state = 148, .external_lex_state = 2},
  [1280] = {.lex_state = 148, .external_lex_state = 2},
  [1281] = {.lex_state = 148, .external_lex_state = 2},
  [1282] = {.lex_state = 148, .external_lex_state = 2},
  [1283] = {.lex_state = 148, .external_lex_state = 2},
  [1284] = {.lex_state = 148, .external_lex_state = 2},
  [1285] = {.lex_state = 148, .external_lex_state = 2},
  [1286] = {.lex_state = 148, .external_lex_state = 2},
  [1287] = {.lex_state = 148, .external_lex_state = 2},
  [1288] = {.lex_state = 148, .external_lex_state = 2},
  [1289] = {.lex_state = 148, .external_lex_state = 2},
  [1290] = {.lex_state = 148, .external_lex_state = 2},
  [1291] = {.lex_state = 148, .external_lex_state = 2},
  [1292] = {.lex_state = 148, .external_lex_state = 2},
  [1293] = {.lex_state = 148, .external_lex_state = 2},
  [1294] = {.lex_state = 148, .external_lex_state = 2},
  [1295] = {.lex_state = 3, .external_lex_state = 2},
  [1296] = {.lex_state = 148, .external_lex_state = 2},
  [1297] = {.lex_state = 148, .external_lex_state = 2},
  [1298] = {.lex_state = 148, .external_lex_state = 5},
  [1299] = {.lex_state = 148, .external_lex_state = 2},
  [1300] = {.lex_state = 148, .external_lex_state = 2},
  [1301] = {.lex_state = 148, .external_lex_state = 2},
  [1302] = {.lex_state = 148, .external_lex_state = 2},
  [1303] = {.lex_state = 148, .external_lex_state = 2},
  [1304] = {.lex_state = 148, .external_lex_state = 5},
  [1305] = {.lex_state = 148, .external_lex_state = 2},
  [1306] = {.lex_state = 9, .external_lex_state = 2},
  [1307] = {.lex_state = 148, .external_lex_state = 2},
  [1308] = {.lex_state = 148, .external_lex_state = 2},
  [1309] = {.lex_state = 148, .external_lex_state = 5},
  [1310] = {.lex_state = 148, .external_lex_state = 2},
  [1311] = {.lex_state = 148, .external_lex_state = 2},
  [1312] = {.lex_state = 9, .external_lex_state = 2},
  [1313] = {.lex_state = 148, .external_lex_state = 2},
  [1314] = {.lex_state = 148, .external_lex_state = 2},
  [1315] = {.lex_state = 148, .external_lex_state = 2},
  [1316] = {.lex_state = 148, .external_lex_state = 2},
  [1317] = {.lex_state = 148, .external_lex_state = 2},
  [1318] = {.lex_state = 148, .external_lex_state = 2},
  [1319] = {.lex_state = 148, .external_lex_state = 2},
  [1320] = {.lex_state = 148, .external_lex_state = 2},
  [1321] = {.lex_state = 148, .external_lex_state = 2},
  [1322] = {.lex_state = 148, .external_lex_state = 2},
  [1323] = {.lex_state = 148, .external_lex_state = 2},
  [1324] = {.lex_state = 148, .external_lex_state = 2},
  [1325] = {.lex_state = 148, .external_lex_state = 2},
  [1326] = {.lex_state = 148, .external_lex_state = 2},
  [1327] = {.lex_state = 148, .external_lex_state = 2},
  [1328] = {.lex_state = 148, .external_lex_state = 2},
  [1329] = {.lex_state = 148, .external_lex_state = 2},
  [1330] = {.lex_state = 148, .external_lex_state = 2},
  [1331] = {.lex_state = 148, .external_lex_state = 5},
  [1332] = {.lex_state = 148, .external_lex_state = 2},
  [1333] = {.lex_state = 148, .external_lex_state = 2},
  [1334] = {.lex_state = 148, .external_lex_state = 2},
  [1335] = {.lex_state = 148, .external_lex_state = 2},
  [1336] = {.lex_state = 148, .external_lex_state = 5},
  [1337] = {.lex_state = 148, .external_lex_state = 5},
  [1338] = {.lex_state = 148, .external_lex_state = 2},
  [1339] = {.lex_state = 148, .external_lex_state = 5},
  [1340] = {.lex_state = 148, .external_lex_state = 2},
  [1341] = {.lex_state = 148, .external_lex_state = 2},
  [1342] = {.lex_state = 148, .external_lex_state = 2},
  [1343] = {.lex_state = 148, .external_lex_state = 2},
  [1344] = {.lex_state = 9, .external_lex_state = 2},
  [1345] = {.lex_state = 148, .external_lex_state = 2},
  [1346] = {.lex_state = 148, .external_lex_state = 2},
  [1347] = {.lex_state = 148, .external_lex_state = 2},
  [1348] = {.lex_state = 148, .external_lex_state = 2},
  [1349] = {.lex_state = 148, .external_lex_state = 2},
  [1350] = {.lex_state = 148, .external_lex_state = 5},
  [1351] = {.lex_state = 148, .external_lex_state = 5},
  [1352] = {.lex_state = 148, .external_lex_state = 2},
  [1353] = {.lex_state = 148, .external_lex_state = 2},
  [1354] = {.lex_state = 148, .external_lex_state = 2},
  [1355] = {.lex_state = 148, .external_lex_state = 2},
  [1356] = {.lex_state = 148, .external_lex_state = 2},
  [1357] = {.lex_state = 148, .external_lex_state = 2},
  [1358] = {.lex_state = 148, .external_lex_state = 2},
  [1359] = {.lex_state = 148, .external_lex_state = 2},
  [1360] = {.lex_state = 148, .external_lex_state = 2},
  [1361] = {.lex_state = 148, .external_lex_state = 2},
  [1362] = {.lex_state = 148, .external_lex_state = 2},
  [1363] = {.lex_state = 148, .external_lex_state = 2},
  [1364] = {.lex_state = 148, .external_lex_state = 2},
  [1365] = {.lex_state = 148, .external_lex_state = 2},
  [1366] = {.lex_state = 148, .external_lex_state = 2},
  [1367] = {.lex_state = 148, .external_lex_state = 2},
  [1368] = {.lex_state = 148, .external_lex_state = 2},
  [1369] = {.lex_state = 148, .external_lex_state = 2},
  [1370] = {.lex_state = 148, .external_lex_state = 5},
  [1371] = {.lex_state = 3, .external_lex_state = 2},
  [1372] = {.lex_state = 148, .external_lex_state = 5},
  [1373] = {.lex_state = 148, .external_lex_state = 2},
  [1374] = {.lex_state = 148, .external_lex_state = 2},
  [1375] = {.lex_state = 148, .external_lex_state = 2},
  [1376] = {.lex_state = 148, .external_lex_state = 2},
  [1377] = {.lex_state = 148, .external_lex_state = 2},
  [1378] = {.lex_state = 148, .external_lex_state = 2},
  [1379] = {.lex_state = 148, .external_lex_state = 2},
  [1380] = {.lex_state = 148, .external_lex_state = 2},
  [1381] = {.lex_state = 148, .external_lex_state = 2},
  [1382] = {.lex_state = 148, .external_lex_state = 2},
  [1383] = {.lex_state = 148, .external_lex_state = 2},
  [1384] = {.lex_state = 148, .external_lex_state = 2},
  [1385] = {.lex_state = 148, .external_lex_state = 2},
  [1386] = {.lex_state = 148, .external_lex_state = 2},
  [1387] = {.lex_state = 148, .external_lex_state = 2},
  [1388] = {.lex_state = 148, .external_lex_state = 2},
  [1389] = {.lex_state = 148, .external_lex_state = 2},
  [1390] = {.lex_state = 148, .external_lex_state = 2},
  [1391] = {.lex_state = 148, .external_lex_state = 2},
  [1392] = {.lex_state = 148, .external_lex_state = 2},
  [1393] = {.lex_state = 148, .external_lex_state = 2},
  [1394] = {.lex_state = 9, .external_lex_state = 2},
  [1395] = {.lex_state = 148, .external_lex_state = 2},
  [1396] = {.lex_state = 148, .external_lex_state = 2},
  [1397] = {.lex_state = 148, .external_lex_state = 2},
  [1398] = {.lex_state = 148, .external_lex_state = 2},
  [1399] = {.lex_state = 148, .external_lex_state = 2},
  [1400] = {.lex_state = 148, .external_lex_state = 2},
  [1401] = {.lex_state = 148, .external_lex_state = 2},
  [1402] = {.lex_state = 148, .external_lex_state = 2},
  [1403] = {.lex_state = 148, .external_lex_state = 2},
  [1404] = {.lex_state = 148, .external_lex_state = 2},
  [1405] = {.lex_state = 148, .external_lex_state = 2},
  [1406] = {.lex_state = 148, .external_lex_state = 2},
  [1407] = {.lex_state = 148, .external_lex_state = 2},
  [1408] = {.lex_state = 148, .external_lex_state = 2},
  [1409] = {.lex_state = 148, .external_lex_state = 2},
  [1410] = {.lex_state = 148, .external_lex_state = 2},
  [1411] = {.lex_state = 148, .external_lex_state = 2},
  [1412] = {.lex_state = 148, .external_lex_state = 2},
  [1413] = {.lex_state = 148, .external_lex_state = 2},
  [1414] = {.lex_state = 148, .external_lex_state = 2},
  [1415] = {.lex_state = 148, .external_lex_state = 2},
  [1416] = {.lex_state = 148, .external_lex_state = 2},
  [1417] = {.lex_state = 9, .external_lex_state = 2},
  [1418] = {.lex_state = 148, .external_lex_state = 2},
  [1419] = {.lex_state = 148, .external_lex_state = 2},
  [1420] = {.lex_state = 148, .external_lex_state = 2},
  [1421] = {.lex_state = 148, .external_lex_state = 2},
  [1422] = {.lex_state = 148, .external_lex_state = 2},
  [1423] = {.lex_state = 148, .external_lex_state = 2},
  [1424] = {.lex_state = 148, .external_lex_state = 2},
  [1425] = {.lex_state = 148, .external_lex_state = 2},
  [1426] = {.lex_state = 148, .external_lex_state = 2},
  [1427] = {.lex_state = 148, .external_lex_state = 2},
  [1428] = {.lex_state = 148, .external_lex_state = 2},
  [1429] = {.lex_state = 148, .external_lex_state = 5},
  [1430] = {.lex_state = 9, .external_lex_state = 2},
  [1431] = {.lex_state = 148, .external_lex_state = 5},
  [1432] = {.lex_state = 148, .external_lex_state = 5},
  [1433] = {.lex_state = 148, .external_lex_state = 2},
  [1434] = {.lex_state = 148, .external_lex_state = 5},
  [1435] = {.lex_state = 148, .external_lex_state = 2},
  [1436] = {.lex_state = 148, .external_lex_state = 2},
  [1437] = {.lex_state = 148, .external_lex_state = 2},
  [1438] = {.lex_state = 148, .external_lex_state = 2},
  [1439] = {.lex_state = 148, .external_lex_state = 2},
  [1440] = {.lex_state = 148, .external_lex_state = 2},
  [1441] = {.lex_state = 148, .external_lex_state = 5},
  [1442] = {.lex_state = 148, .external_lex_state = 5},
  [1443] = {.lex_state = 148, .external_lex_state = 5},
  [1444] = {.lex_state = 148, .external_lex_state = 2},
  [1445] = {.lex_state = 148, .external_lex_state = 5},
  [1446] = {.lex_state = 148, .external_lex_state = 2},
  [1447] = {.lex_state = 148, .external_lex_state = 2},
  [1448] = {.lex_state = 148, .external_lex_state = 2},
  [1449] = {.lex_state = 148, .external_lex_state = 2},
  [1450] = {.lex_state = 148, .external_lex_state = 2},
  [1451] = {.lex_state = 148, .external_lex_state = 2},
  [1452] = {.lex_state = 148, .external_lex_state = 2},
  [1453] = {.lex_state = 148, .external_lex_state = 2},
  [1454] = {.lex_state = 148, .external_lex_state = 2},
  [1455] = {.lex_state = 148, .external_lex_state = 5},
  [1456] = {.lex_state = 148, .external_lex_state = 2},
  [1457] = {.lex_state = 148, .external_lex_state = 2},
  [1458] = {.lex_state = 148, .external_lex_state = 2},
  [1459] = {.lex_state = 148, .external_lex_state = 2},
  [1460] = {.lex_state = 148, .external_lex_state = 2},
  [1461] = {.lex_state = 148, .external_lex_state = 5},
  [1462] = {.lex_state = 148, .external_lex_state = 5},
  [1463] = {.lex_state = 148, .external_lex_state = 5},
  [1464] = {.lex_state = 148, .external_lex_state = 2},
  [1465] = {.lex_state = 148, .external_lex_state = 2},
  [1466] = {.lex_state = 148, .external_lex_state = 2},
  [1467] = {.lex_state = 148, .external_lex_state = 2},
  [1468] = {.lex_state = 148, .external_lex_state = 2},
  [1469] = {.lex_state = 148, .external_lex_state = 2},
  [1470] = {.lex_state = 148, .external_lex_state = 2},
  [1471] = {.lex_state = 148, .external_lex_state = 2},
  [1472] = {.lex_state = 148, .external_lex_state = 2},
  [1473] = {.lex_state = 148, .external_lex_state = 2},
  [1474] = {.lex_state = 148, .external_lex_state = 2},
  [1475] = {.lex_state = 148, .external_lex_state = 2},
  [1476] = {.lex_state = 148, .external_lex_state = 2},
  [1477] = {.lex_state = 148, .external_lex_state = 2},
  [1478] = {.lex_state = 148, .external_lex_state = 2},
  [1479] = {.lex_state = 148, .external_lex_state = 2},
  [1480] = {.lex_state = 148, .external_lex_state = 2},
  [1481] = {.lex_state = 148, .external_lex_state = 2},
  [1482] = {.lex_state = 148, .external_lex_state = 2},
  [1483] = {.lex_state = 148, .external_lex_state = 2},
  [1484] = {.lex_state = 148, .external_lex_state = 5},
  [1485] = {.lex_state = 148, .external_lex_state = 2},
  [1486] = {.lex_state = 148, .external_lex_state = 5},
  [1487] = {.lex_state = 148, .external_lex_state = 5},
  [1488] = {.lex_state = 148, .external_lex_state = 2},
  [1489] = {.lex_state = 148, .external_lex_state = 2},
  [1490] = {.lex_state = 148, .external_lex_state = 2},
  [1491] = {.lex_state = 148, .external_lex_state = 2},
  [1492] = {.lex_state = 148, .external_lex_state = 2},
  [1493] = {.lex_state = 148, .external_lex_state = 2},
  [1494] = {.lex_state = 148, .external_lex_state = 2},
  [1495] = {.lex_state = 148, .external_lex_state = 2},
  [1496] = {.lex_state = 148, .external_lex_state = 2},
  [1497] = {.lex_state = 148, .external_lex_state = 2},
  [1498] = {.lex_state = 148, .external_lex_state = 2},
  [1499] = {.lex_state = 148, .external_lex_state = 5},
  [1500] = {.lex_state = 148, .external_lex_state = 2},
  [1501] = {.lex_state = 148, .external_lex_state = 2},
  [1502] = {.lex_state = 148, .external_lex_state = 2},
  [1503] = {.lex_state = 148, .external_lex_state = 2},
  [1504] = {.lex_state = 148, .external_lex_state = 2},
  [1505] = {.lex_state = 148, .external_lex_state = 2},
  [1506] = {.lex_state = 148, .external_lex_state = 2},
  [1507] = {.lex_state = 148, .external_lex_state = 2},
  [1508] = {.lex_state = 148, .external_lex_state = 2},
  [1509] = {.lex_state = 148, .external_lex_state = 2},
  [1510] = {.lex_state = 148, .external_lex_state = 2},
  [1511] = {.lex_state = 148, .external_lex_state = 2},
  [1512] = {.lex_state = 148, .external_lex_state = 2},
  [1513] = {.lex_state = 148, .external_lex_state = 2},
  [1514] = {.lex_state = 148, .external_lex_state = 2},
  [1515] = {.lex_state = 148, .external_lex_state = 2},
  [1516] = {.lex_state = 148, .external_lex_state = 2},
  [1517] = {.lex_state = 148, .external_lex_state = 2},
  [1518] = {.lex_state = 148, .external_lex_state = 2},
  [1519] = {.lex_state = 148, .external_lex_state = 2},
  [1520] = {.lex_state = 148, .external_lex_state = 2},
  [1521] = {.lex_state = 148, .external_lex_state = 2},
  [1522] = {.lex_state = 148, .external_lex_state = 2},
  [1523] = {.lex_state = 148, .external_lex_state = 2},
  [1524] = {.lex_state = 148, .external_lex_state = 2},
  [1525] = {.lex_state = 148, .external_lex_state = 2},
  [1526] = {.lex_state = 148, .external_lex_state = 2},
  [1527] = {.lex_state = 148, .external_lex_state = 2},
  [1528] = {.lex_state = 148, .external_lex_state = 2},
  [1529] = {.lex_state = 148, .external_lex_state = 2},
  [1530] = {.lex_state = 148, .external_lex_state = 2},
  [1531] = {.lex_state = 148, .external_lex_state = 2},
  [1532] = {.lex_state = 148, .external_lex_state = 2},
  [1533] = {.lex_state = 148, .external_lex_state = 2},
  [1534] = {.lex_state = 148, .external_lex_state = 2},
  [1535] = {.lex_state = 148, .external_lex_state = 2},
  [1536] = {.lex_state = 148, .external_lex_state = 2},
  [1537] = {.lex_state = 148, .external_lex_state = 2},
  [1538] = {.lex_state = 148, .external_lex_state = 2},
  [1539] = {.lex_state = 148, .external_lex_state = 2},
  [1540] = {.lex_state = 148, .external_lex_state = 2},
  [1541] = {.lex_state = 148, .external_lex_state = 2},
  [1542] = {.lex_state = 148, .external_lex_state = 2},
  [1543] = {.lex_state = 148, .external_lex_state = 2},
  [1544] = {.lex_state = 148, .external_lex_state = 2},
  [1545] = {.lex_state = 148, .external_lex_state = 2},
  [1546] = {.lex_state = 148, .external_lex_state = 2},
  [1547] = {.lex_state = 148, .external_lex_state = 2},
  [1548] = {.lex_state = 148, .external_lex_state = 2},
  [1549] = {.lex_state = 148, .external_lex_state = 2},
  [1550] = {.lex_state = 148, .external_lex_state = 2},
  [1551] = {.lex_state = 148, .external_lex_state = 2},
  [1552] = {.lex_state = 148, .external_lex_state = 2},
  [1553] = {.lex_state = 148, .external_lex_state = 2},
  [1554] = {.lex_state = 148, .external_lex_state = 2},
  [1555] = {.lex_state = 148, .external_lex_state = 2},
  [1556] = {.lex_state = 148, .external_lex_state = 2},
  [1557] = {.lex_state = 148, .external_lex_state = 2},
  [1558] = {.lex_state = 148, .external_lex_state = 2},
  [1559] = {.lex_state = 148, .external_lex_state = 2},
  [1560] = {.lex_state = 148, .external_lex_state = 2},
  [1561] = {.lex_state = 148, .external_lex_state = 2},
  [1562] = {.lex_state = 148, .external_lex_state = 2},
  [1563] = {.lex_state = 148, .external_lex_state = 2},
  [1564] = {.lex_state = 148, .external_lex_state = 2},
  [1565] = {.lex_state = 148, .external_lex_state = 2},
  [1566] = {.lex_state = 148, .external_lex_state = 2},
  [1567] = {.lex_state = 148, .external_lex_state = 2},
  [1568] = {.lex_state = 148, .external_lex_state = 5},
  [1569] = {.lex_state = 148, .external_lex_state = 2},
  [1570] = {.lex_state = 148, .external_lex_state = 2},
  [1571] = {.lex_state = 148, .external_lex_state = 2},
  [1572] = {.lex_state = 148, .external_lex_state = 2},
  [1573] = {.lex_state = 148, .external_lex_state = 2},
  [1574] = {.lex_state = 148, .external_lex_state = 2},
  [1575] = {.lex_state = 148, .external_lex_state = 2},
  [1576] = {.lex_state = 148, .external_lex_state = 5},
  [1577] = {.lex_state = 148, .external_lex_state = 5},
  [1578] = {.lex_state = 148, .external_lex_state = 2},
  [1579] = {.lex_state = 148, .external_lex_state = 2},
  [1580] = {.lex_state = 148, .external_lex_state = 2},
  [1581] = {.lex_state = 148, .external_lex_state = 2},
  [1582] = {.lex_state = 148, .external_lex_state = 2},
  [1583] = {.lex_state = 148, .external_lex_state = 2},
  [1584] = {.lex_state = 148, .external_lex_state = 2},
  [1585] = {.lex_state = 148, .external_lex_state = 2},
  [1586] = {.lex_state = 148, .external_lex_state = 2},
  [1587] = {.lex_state = 148, .external_lex_state = 2},
  [1588] = {.lex_state = 148, .external_lex_state = 2},
  [1589] = {.lex_state = 148, .external_lex_state = 2},
  [1590] = {.lex_state = 148, .external_lex_state = 2},
  [1591] = {.lex_state = 148, .external_lex_state = 2},
  [1592] = {.lex_state = 9, .external_lex_state = 2},
  [1593] = {.lex_state = 148, .external_lex_state = 2},
  [1594] = {.lex_state = 148, .external_lex_state = 2},
  [1595] = {.lex_state = 148, .external_lex_state = 2},
  [1596] = {.lex_state = 148, .external_lex_state = 2},
  [1597] = {.lex_state = 148, .external_lex_state = 2},
  [1598] = {.lex_state = 148, .external_lex_state = 2},
  [1599] = {.lex_state = 148, .external_lex_state = 5},
  [1600] = {.lex_state = 37, .external_lex_state = 2},
  [1601] = {.lex_state = 148, .external_lex_state = 2},
  [1602] = {.lex_state = 148, .external_lex_state = 2},
  [1603] = {.lex_state = 148, .external_lex_state = 2},
  [1604] = {.lex_state = 148, .external_lex_state = 2},
  [1605] = {.lex_state = 148, .external_lex_state = 2},
  [1606] = {.lex_state = 148, .external_lex_state = 2},
  [1607] = {.lex_state = 148, .external_lex_state = 2},
  [1608] = {.lex_state = 148, .external_lex_state = 2},
  [1609] = {.lex_state = 148, .external_lex_state = 2},
  [1610] = {.lex_state = 148, .external_lex_state = 2},
  [1611] = {.lex_state = 148, .external_lex_state = 2},
  [1612] = {.lex_state = 148, .external_lex_state = 2},
  [1613] = {.lex_state = 148, .external_lex_state = 2},
  [1614] = {.lex_state = 148, .external_lex_state = 2},
  [1615] = {.lex_state = 148, .external_lex_state = 2},
  [1616] = {.lex_state = 148, .external_lex_state = 2},
  [1617] = {.lex_state = 148, .external_lex_state = 2},
  [1618] = {.lex_state = 148, .external_lex_state = 2},
  [1619] = {.lex_state = 148, .external_lex_state = 2},
  [1620] = {.lex_state = 148, .external_lex_state = 2},
  [1621] = {.lex_state = 148, .external_lex_state = 2},
  [1622] = {.lex_state = 4, .external_lex_state = 8},
  [1623] = {.lex_state = 4, .external_lex_state = 8},
  [1624] = {.lex_state = 148, .external_lex_state = 2},
  [1625] = {.lex_state = 148, .external_lex_state = 2},
  [1626] = {.lex_state = 148, .external_lex_state = 2},
  [1627] = {.lex_state = 148, .external_lex_state = 2},
  [1628] = {.lex_state = 148, .external_lex_state = 2},
  [1629] = {.lex_state = 148, .external_lex_state = 2},
  [1630] = {.lex_state = 148, .external_lex_state = 2},
  [1631] = {.lex_state = 148, .external_lex_state = 2},
  [1632] = {.lex_state = 148, .external_lex_state = 2},
  [1633] = {.lex_state = 148, .external_lex_state = 2},
  [1634] = {.lex_state = 148, .external_lex_state = 2},
  [1635] = {.lex_state = 148, .external_lex_state = 2},
  [1636] = {.lex_state = 148, .external_lex_state = 2},
  [1637] = {.lex_state = 148, .external_lex_state = 2},
  [1638] = {.lex_state = 148, .external_lex_state = 2},
  [1639] = {.lex_state = 148, .external_lex_state = 2},
  [1640] = {.lex_state = 148, .external_lex_state = 2},
  [1641] = {.lex_state = 148, .external_lex_state = 2},
  [1642] = {.lex_state = 148, .external_lex_state = 2},
  [1643] = {.lex_state = 148, .external_lex_state = 2},
  [1644] = {.lex_state = 148, .external_lex_state = 2},
  [1645] = {.lex_state = 148, .external_lex_state = 2},
  [1646] = {.lex_state = 148, .external_lex_state = 2},
  [1647] = {.lex_state = 148, .external_lex_state = 2},
  [1648] = {.lex_state = 148, .external_lex_state = 2},
  [1649] = {.lex_state = 4, .external_lex_state = 8},
  [1650] = {.lex_state = 148, .external_lex_state = 2},
  [1651] = {.lex_state = 148, .external_lex_state = 2},
  [1652] = {.lex_state = 148, .external_lex_state = 2},
  [1653] = {.lex_state = 148, .external_lex_state = 2},
  [1654] = {.lex_state = 38, .external_lex_state = 2},
  [1655] = {.lex_state = 148, .external_lex_state = 2},
  [1656] = {.lex_state = 148, .external_lex_state = 2},
  [1657] = {.lex_state = 148, .external_lex_state = 2},
  [1658] = {.lex_state = 148, .external_lex_state = 2},
  [1659] = {.lex_state = 148, .external_lex_state = 2},
  [1660] = {.lex_state = 148, .external_lex_state = 2},
  [1661] = {.lex_state = 148, .external_lex_state = 2},
  [1662] = {.lex_state = 148, .external_lex_state = 2},
  [1663] = {.lex_state = 148, .external_lex_state = 2},
  [1664] = {.lex_state = 148, .external_lex_state = 2},
  [1665] = {.lex_state = 148, .external_lex_state = 2},
  [1666] = {.lex_state = 38, .external_lex_state = 2},
  [1667] = {.lex_state = 148, .external_lex_state = 2},
  [1668] = {.lex_state = 148, .external_lex_state = 2},
  [1669] = {.lex_state = 148, .external_lex_state = 2},
  [1670] = {.lex_state = 38, .external_lex_state = 2},
  [1671] = {.lex_state = 148, .external_lex_state = 2},
  [1672] = {.lex_state = 148, .external_lex_state = 2},
  [1673] = {.lex_state = 148, .external_lex_state = 2},
  [1674] = {.lex_state = 148, .external_lex_state = 2},
  [1675] = {.lex_state = 148, .external_lex_state = 2},
  [1676] = {.lex_state = 148, .external_lex_state = 2},
  [1677] = {.lex_state = 148, .external_lex_state = 2},
  [1678] = {.lex_state = 148, .external_lex_state = 2},
  [1679] = {.lex_state = 148, .external_lex_state = 2},
  [1680] = {.lex_state = 148, .external_lex_state = 2},
  [1681] = {.lex_state = 148, .external_lex_state = 2},
  [1682] = {.lex_state = 148, .external_lex_state = 2},
  [1683] = {.lex_state = 148, .external_lex_state = 2},
  [1684] = {.lex_state = 148, .external_lex_state = 2},
  [1685] = {.lex_state = 148, .external_lex_state = 2},
  [1686] = {.lex_state = 38, .external_lex_state = 2},
  [1687] = {.lex_state = 148, .external_lex_state = 2},
  [1688] = {.lex_state = 148, .external_lex_state = 2},
  [1689] = {.lex_state = 148, .external_lex_state = 2},
  [1690] = {.lex_state = 4, .external_lex_state = 8},
  [1691] = {.lex_state = 148, .external_lex_state = 2},
  [1692] = {.lex_state = 148, .external_lex_state = 2},
  [1693] = {.lex_state = 148, .external_lex_state = 2},
  [1694] = {.lex_state = 148, .external_lex_state = 2},
  [1695] = {.lex_state = 148, .external_lex_state = 2},
  [1696] = {.lex_state = 148, .external_lex_state = 2},
  [1697] = {.lex_state = 148, .external_lex_state = 2},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LTtemplate_GT] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_LT_SLASH] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [sym_optional_chain] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_private_property_identifier] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [aux_sym_method_definition_token1] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
    [sym__ternary_qmark] = ACTIONS(1),
    [sym_html_comment] = ACTIONS(5),
  },
  [1] = {
    [sym_program] = STATE(1688),
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(20),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_program_repeat1] = STATE(20),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_identifier] = ACTIONS(9),
    [sym_hash_bang_line] = ACTIONS(11),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [2] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(24),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1675),
    [sym_object_assignment_pattern] = STATE(1289),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1675),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1675),
    [sym_spread_element] = STATE(1303),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(778),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [sym_rest_pattern] = STATE(1289),
    [sym_method_definition] = STATE(1303),
    [sym_pair] = STATE(1303),
    [sym_pair_pattern] = STATE(1289),
    [sym__property_name] = STATE(1287),
    [sym_computed_property_name] = STATE(1287),
    [aux_sym_program_repeat1] = STATE(24),
    [aux_sym_export_statement_repeat1] = STATE(879),
    [aux_sym_object_repeat1] = STATE(1294),
    [aux_sym_object_pattern_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(97),
    [anon_sym_export] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(103),
    [anon_sym_RBRACE] = ACTIONS(105),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(107),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(111),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(115),
    [sym_private_property_identifier] = ACTIONS(117),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(119),
    [aux_sym_method_definition_token1] = ACTIONS(121),
    [anon_sym_get] = ACTIONS(123),
    [anon_sym_set] = ACTIONS(123),
    [sym_html_comment] = ACTIONS(5),
  },
  [3] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(22),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1675),
    [sym_object_assignment_pattern] = STATE(1289),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1675),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1675),
    [sym_spread_element] = STATE(1288),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(778),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [sym_rest_pattern] = STATE(1289),
    [sym_method_definition] = STATE(1288),
    [sym_pair] = STATE(1288),
    [sym_pair_pattern] = STATE(1289),
    [sym__property_name] = STATE(1287),
    [sym_computed_property_name] = STATE(1287),
    [aux_sym_program_repeat1] = STATE(22),
    [aux_sym_export_statement_repeat1] = STATE(879),
    [aux_sym_object_repeat1] = STATE(1281),
    [aux_sym_object_pattern_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(125),
    [anon_sym_export] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(103),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(131),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(133),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(115),
    [sym_private_property_identifier] = ACTIONS(117),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(135),
    [aux_sym_method_definition_token1] = ACTIONS(121),
    [anon_sym_get] = ACTIONS(137),
    [anon_sym_set] = ACTIONS(137),
    [sym_html_comment] = ACTIONS(5),
  },
  [4] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(24),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1675),
    [sym_object_assignment_pattern] = STATE(1289),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1675),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1675),
    [sym_spread_element] = STATE(1303),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(778),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [sym_rest_pattern] = STATE(1289),
    [sym_method_definition] = STATE(1303),
    [sym_pair] = STATE(1303),
    [sym_pair_pattern] = STATE(1289),
    [sym__property_name] = STATE(1287),
    [sym_computed_property_name] = STATE(1287),
    [aux_sym_program_repeat1] = STATE(24),
    [aux_sym_export_statement_repeat1] = STATE(879),
    [aux_sym_object_repeat1] = STATE(1294),
    [aux_sym_object_pattern_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(139),
    [anon_sym_export] = ACTIONS(141),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(103),
    [anon_sym_RBRACE] = ACTIONS(105),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(143),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(145),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(115),
    [sym_private_property_identifier] = ACTIONS(117),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(147),
    [aux_sym_method_definition_token1] = ACTIONS(121),
    [anon_sym_get] = ACTIONS(149),
    [anon_sym_set] = ACTIONS(149),
    [sym_html_comment] = ACTIONS(5),
  },
  [5] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(22),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1675),
    [sym_object_assignment_pattern] = STATE(1289),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1675),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1675),
    [sym_spread_element] = STATE(1288),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(778),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [sym_rest_pattern] = STATE(1289),
    [sym_method_definition] = STATE(1288),
    [sym_pair] = STATE(1288),
    [sym_pair_pattern] = STATE(1289),
    [sym__property_name] = STATE(1287),
    [sym_computed_property_name] = STATE(1287),
    [aux_sym_program_repeat1] = STATE(22),
    [aux_sym_export_statement_repeat1] = STATE(879),
    [aux_sym_object_repeat1] = STATE(1281),
    [aux_sym_object_pattern_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(125),
    [anon_sym_export] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(103),
    [anon_sym_RBRACE] = ACTIONS(151),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(131),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(133),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(115),
    [sym_private_property_identifier] = ACTIONS(117),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(135),
    [aux_sym_method_definition_token1] = ACTIONS(121),
    [anon_sym_get] = ACTIONS(137),
    [anon_sym_set] = ACTIONS(137),
    [sym_html_comment] = ACTIONS(5),
  },
  [6] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(25),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1675),
    [sym_object_assignment_pattern] = STATE(1289),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1675),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1675),
    [sym_spread_element] = STATE(1288),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(778),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [sym_rest_pattern] = STATE(1289),
    [sym_method_definition] = STATE(1288),
    [sym_pair] = STATE(1288),
    [sym_pair_pattern] = STATE(1289),
    [sym__property_name] = STATE(1287),
    [sym_computed_property_name] = STATE(1287),
    [aux_sym_program_repeat1] = STATE(25),
    [aux_sym_export_statement_repeat1] = STATE(879),
    [aux_sym_object_repeat1] = STATE(1281),
    [aux_sym_object_pattern_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(125),
    [anon_sym_export] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(103),
    [anon_sym_RBRACE] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(131),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(133),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(115),
    [sym_private_property_identifier] = ACTIONS(117),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(135),
    [aux_sym_method_definition_token1] = ACTIONS(121),
    [anon_sym_get] = ACTIONS(137),
    [anon_sym_set] = ACTIONS(137),
    [sym_html_comment] = ACTIONS(5),
  },
  [7] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [ts_builtin_sym_end] = ACTIONS(155),
    [sym_identifier] = ACTIONS(157),
    [anon_sym_export] = ACTIONS(160),
    [anon_sym_default] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_RBRACE] = ACTIONS(155),
    [anon_sym_import] = ACTIONS(168),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_var] = ACTIONS(174),
    [anon_sym_let] = ACTIONS(177),
    [anon_sym_const] = ACTIONS(180),
    [anon_sym_if] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(186),
    [anon_sym_for] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(192),
    [anon_sym_await] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(198),
    [anon_sym_do] = ACTIONS(201),
    [anon_sym_try] = ACTIONS(204),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(210),
    [anon_sym_debugger] = ACTIONS(213),
    [anon_sym_return] = ACTIONS(216),
    [anon_sym_throw] = ACTIONS(219),
    [anon_sym_SEMI] = ACTIONS(222),
    [anon_sym_case] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(228),
    [anon_sym_LTtemplate_GT] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(234),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE] = ACTIONS(240),
    [anon_sym_class] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(246),
    [anon_sym_function] = ACTIONS(249),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(255),
    [anon_sym_DASH] = ACTIONS(255),
    [anon_sym_SLASH] = ACTIONS(258),
    [anon_sym_BANG] = ACTIONS(261),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_typeof] = ACTIONS(255),
    [anon_sym_void] = ACTIONS(255),
    [anon_sym_delete] = ACTIONS(255),
    [anon_sym_PLUS_PLUS] = ACTIONS(264),
    [anon_sym_DASH_DASH] = ACTIONS(264),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(267),
    [sym_number] = ACTIONS(270),
    [sym_private_property_identifier] = ACTIONS(273),
    [sym_this] = ACTIONS(276),
    [sym_super] = ACTIONS(276),
    [sym_true] = ACTIONS(276),
    [sym_false] = ACTIONS(276),
    [sym_null] = ACTIONS(276),
    [sym_undefined] = ACTIONS(279),
    [anon_sym_AT] = ACTIONS(282),
    [anon_sym_static] = ACTIONS(285),
    [anon_sym_get] = ACTIONS(285),
    [anon_sym_set] = ACTIONS(285),
    [sym_html_comment] = ACTIONS(5),
  },
  [8] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(288),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(290),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_case] = ACTIONS(288),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [9] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(11),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_program_repeat1] = STATE(11),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(292),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(294),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_case] = ACTIONS(292),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [10] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(8),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_program_repeat1] = STATE(8),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(296),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(298),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_case] = ACTIONS(296),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [11] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(300),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(302),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_case] = ACTIONS(300),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [12] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(304),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [13] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(18),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_program_repeat1] = STATE(18),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [ts_builtin_sym_end] = ACTIONS(306),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [14] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(12),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(308),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [15] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(17),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(310),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [16] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(21),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_program_repeat1] = STATE(21),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(312),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [17] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(314),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [18] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [ts_builtin_sym_end] = ACTIONS(316),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [19] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(25),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_program_repeat1] = STATE(25),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(318),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [20] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [ts_builtin_sym_end] = ACTIONS(306),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [21] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(320),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [22] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(322),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [23] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(24),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_program_repeat1] = STATE(24),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(324),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [24] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(326),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [25] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(328),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [26] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(22),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_program_repeat1] = STATE(22),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(330),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [27] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(389),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1155),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [28] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(334),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [29] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(398),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [30] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(1643),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1155),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [31] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(344),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1155),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [32] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(342),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [33] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(366),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1155),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [34] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(366),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [35] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(389),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [36] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(365),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1155),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [37] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(355),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [38] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(355),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1155),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [39] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(398),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1155),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [40] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(393),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1155),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [41] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(393),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [42] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(365),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [43] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(342),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1155),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [44] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(1307),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1155),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [45] = {
    [sym_export_statement] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym_import] = STATE(1126),
    [sym_import_statement] = STATE(361),
    [sym_statement] = STATE(344),
    [sym_expression_statement] = STATE(361),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_statement_block] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_for_in_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_try_statement] = STATE(361),
    [sym_with_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_debugger_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_throw_statement] = STATE(361),
    [sym_empty_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [anon_sym_do] = ACTIONS(39),
    [anon_sym_try] = ACTIONS(41),
    [anon_sym_break] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_debugger] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_throw] = ACTIONS(51),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [46] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(493),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_STAR] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_COMMA] = ACTIONS(364),
    [anon_sym_RBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(364),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_in] = ACTIONS(372),
    [anon_sym_COLON] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_RBRACK] = ACTIONS(364),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_GT] = ACTIONS(372),
    [anon_sym_DOT] = ACTIONS(372),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [sym_optional_chain] = ACTIONS(364),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_AMP_AMP] = ACTIONS(364),
    [anon_sym_PIPE_PIPE] = ACTIONS(364),
    [anon_sym_GT_GT] = ACTIONS(372),
    [anon_sym_GT_GT_GT] = ACTIONS(364),
    [anon_sym_LT_LT] = ACTIONS(364),
    [anon_sym_AMP] = ACTIONS(372),
    [anon_sym_CARET] = ACTIONS(364),
    [anon_sym_PIPE] = ACTIONS(372),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_PERCENT] = ACTIONS(364),
    [anon_sym_STAR_STAR] = ACTIONS(364),
    [anon_sym_LT_EQ] = ACTIONS(364),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(364),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(364),
    [anon_sym_GT_EQ] = ACTIONS(364),
    [anon_sym_QMARK_QMARK] = ACTIONS(364),
    [anon_sym_instanceof] = ACTIONS(372),
    [anon_sym_BANG] = ACTIONS(392),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym__ternary_qmark] = ACTIONS(364),
    [sym_html_comment] = ACTIONS(5),
  },
  [47] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(595),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1625),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1625),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(996),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1625),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1627),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(410),
    [anon_sym_export] = ACTIONS(412),
    [anon_sym_STAR] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_COMMA] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(412),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(418),
    [anon_sym_in] = ACTIONS(372),
    [anon_sym_of] = ACTIONS(372),
    [anon_sym_SEMI] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(420),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(372),
    [anon_sym_DOT] = ACTIONS(372),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [sym_optional_chain] = ACTIONS(364),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_AMP_AMP] = ACTIONS(364),
    [anon_sym_PIPE_PIPE] = ACTIONS(364),
    [anon_sym_GT_GT] = ACTIONS(372),
    [anon_sym_GT_GT_GT] = ACTIONS(364),
    [anon_sym_LT_LT] = ACTIONS(364),
    [anon_sym_AMP] = ACTIONS(372),
    [anon_sym_CARET] = ACTIONS(364),
    [anon_sym_PIPE] = ACTIONS(372),
    [anon_sym_PLUS] = ACTIONS(430),
    [anon_sym_DASH] = ACTIONS(430),
    [anon_sym_SLASH] = ACTIONS(432),
    [anon_sym_PERCENT] = ACTIONS(364),
    [anon_sym_STAR_STAR] = ACTIONS(364),
    [anon_sym_LT_EQ] = ACTIONS(364),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(364),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(364),
    [anon_sym_GT_EQ] = ACTIONS(364),
    [anon_sym_QMARK_QMARK] = ACTIONS(364),
    [anon_sym_instanceof] = ACTIONS(372),
    [anon_sym_BANG] = ACTIONS(430),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_typeof] = ACTIONS(430),
    [anon_sym_void] = ACTIONS(430),
    [anon_sym_delete] = ACTIONS(430),
    [anon_sym_PLUS_PLUS] = ACTIONS(436),
    [anon_sym_DASH_DASH] = ACTIONS(436),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(438),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(440),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(412),
    [anon_sym_get] = ACTIONS(412),
    [anon_sym_set] = ACTIONS(412),
    [sym__automatic_semicolon] = ACTIONS(364),
    [sym__ternary_qmark] = ACTIONS(364),
    [sym_html_comment] = ACTIONS(5),
  },
  [48] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(651),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_STAR] = ACTIONS(446),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_COMMA] = ACTIONS(364),
    [anon_sym_RBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_in] = ACTIONS(372),
    [anon_sym_SEMI] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(372),
    [anon_sym_DOT] = ACTIONS(372),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(448),
    [anon_sym_function] = ACTIONS(426),
    [sym_optional_chain] = ACTIONS(364),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(364),
    [anon_sym_PIPE_PIPE] = ACTIONS(364),
    [anon_sym_GT_GT] = ACTIONS(372),
    [anon_sym_GT_GT_GT] = ACTIONS(364),
    [anon_sym_LT_LT] = ACTIONS(364),
    [anon_sym_AMP] = ACTIONS(372),
    [anon_sym_CARET] = ACTIONS(364),
    [anon_sym_PIPE] = ACTIONS(372),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(364),
    [anon_sym_STAR_STAR] = ACTIONS(364),
    [anon_sym_LT_EQ] = ACTIONS(364),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(364),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(364),
    [anon_sym_GT_EQ] = ACTIONS(364),
    [anon_sym_QMARK_QMARK] = ACTIONS(364),
    [anon_sym_instanceof] = ACTIONS(372),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym__automatic_semicolon] = ACTIONS(364),
    [sym__ternary_qmark] = ACTIONS(364),
    [sym_html_comment] = ACTIONS(5),
  },
  [49] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(795),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1697),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1697),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(992),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1697),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1680),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_STAR] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(452),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(458),
    [anon_sym_in] = ACTIONS(372),
    [anon_sym_of] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_GT] = ACTIONS(372),
    [anon_sym_DOT] = ACTIONS(372),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(464),
    [anon_sym_function] = ACTIONS(388),
    [sym_optional_chain] = ACTIONS(364),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_AMP_AMP] = ACTIONS(364),
    [anon_sym_PIPE_PIPE] = ACTIONS(364),
    [anon_sym_GT_GT] = ACTIONS(372),
    [anon_sym_GT_GT_GT] = ACTIONS(364),
    [anon_sym_LT_LT] = ACTIONS(364),
    [anon_sym_AMP] = ACTIONS(372),
    [anon_sym_CARET] = ACTIONS(364),
    [anon_sym_PIPE] = ACTIONS(372),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_PERCENT] = ACTIONS(364),
    [anon_sym_STAR_STAR] = ACTIONS(364),
    [anon_sym_LT_EQ] = ACTIONS(364),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(364),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(364),
    [anon_sym_GT_EQ] = ACTIONS(364),
    [anon_sym_QMARK_QMARK] = ACTIONS(364),
    [anon_sym_instanceof] = ACTIONS(372),
    [anon_sym_BANG] = ACTIONS(468),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(468),
    [anon_sym_void] = ACTIONS(468),
    [anon_sym_delete] = ACTIONS(468),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
    [sym__ternary_qmark] = ACTIONS(364),
    [sym_html_comment] = ACTIONS(5),
  },
  [50] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(789),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_STAR] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_in] = ACTIONS(372),
    [anon_sym_COLON] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_GT] = ACTIONS(372),
    [anon_sym_DOT] = ACTIONS(372),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(388),
    [sym_optional_chain] = ACTIONS(364),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_AMP_AMP] = ACTIONS(364),
    [anon_sym_PIPE_PIPE] = ACTIONS(364),
    [anon_sym_GT_GT] = ACTIONS(372),
    [anon_sym_GT_GT_GT] = ACTIONS(364),
    [anon_sym_LT_LT] = ACTIONS(364),
    [anon_sym_AMP] = ACTIONS(372),
    [anon_sym_CARET] = ACTIONS(364),
    [anon_sym_PIPE] = ACTIONS(372),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_PERCENT] = ACTIONS(364),
    [anon_sym_STAR_STAR] = ACTIONS(364),
    [anon_sym_LT_EQ] = ACTIONS(364),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(364),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(364),
    [anon_sym_GT_EQ] = ACTIONS(364),
    [anon_sym_QMARK_QMARK] = ACTIONS(364),
    [anon_sym_instanceof] = ACTIONS(372),
    [anon_sym_BANG] = ACTIONS(494),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym__ternary_qmark] = ACTIONS(364),
    [sym_html_comment] = ACTIONS(5),
  },
  [51] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(681),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1161),
    [sym_assignment_pattern] = STATE(1358),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1161),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(456),
    [sym_subscript_expression] = STATE(456),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1161),
    [sym_spread_element] = STATE(1280),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [sym_pattern] = STATE(1259),
    [sym_rest_pattern] = STATE(1157),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [aux_sym_array_repeat1] = STATE(1273),
    [aux_sym_array_pattern_repeat1] = STATE(1356),
    [sym_identifier] = ACTIONS(504),
    [anon_sym_export] = ACTIONS(506),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_COMMA] = ACTIONS(508),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(506),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_RBRACK] = ACTIONS(510),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(512),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(514),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(506),
    [anon_sym_get] = ACTIONS(506),
    [anon_sym_set] = ACTIONS(506),
    [sym_html_comment] = ACTIONS(5),
  },
  [52] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(681),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1161),
    [sym_assignment_pattern] = STATE(1358),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1161),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(456),
    [sym_subscript_expression] = STATE(456),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1161),
    [sym_spread_element] = STATE(1280),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [sym_pattern] = STATE(1259),
    [sym_rest_pattern] = STATE(1157),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [aux_sym_array_repeat1] = STATE(1273),
    [aux_sym_array_pattern_repeat1] = STATE(1356),
    [sym_identifier] = ACTIONS(504),
    [anon_sym_export] = ACTIONS(506),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_COMMA] = ACTIONS(508),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(506),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_RBRACK] = ACTIONS(516),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(512),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(514),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(506),
    [anon_sym_get] = ACTIONS(506),
    [anon_sym_set] = ACTIONS(506),
    [sym_html_comment] = ACTIONS(5),
  },
  [53] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(714),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1161),
    [sym_assignment_pattern] = STATE(1358),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1161),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(456),
    [sym_subscript_expression] = STATE(456),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1161),
    [sym_spread_element] = STATE(1348),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [sym_pattern] = STATE(1259),
    [sym_rest_pattern] = STATE(1157),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [aux_sym_array_repeat1] = STATE(1347),
    [aux_sym_array_pattern_repeat1] = STATE(1356),
    [sym_identifier] = ACTIONS(504),
    [anon_sym_export] = ACTIONS(506),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_COMMA] = ACTIONS(508),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(506),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_RBRACK] = ACTIONS(518),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(512),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(514),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(506),
    [anon_sym_get] = ACTIONS(506),
    [anon_sym_set] = ACTIONS(506),
    [sym_html_comment] = ACTIONS(5),
  },
  [54] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(714),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1161),
    [sym_assignment_pattern] = STATE(1358),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1161),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(456),
    [sym_subscript_expression] = STATE(456),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1161),
    [sym_spread_element] = STATE(1348),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [sym_pattern] = STATE(1259),
    [sym_rest_pattern] = STATE(1157),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [aux_sym_array_repeat1] = STATE(1347),
    [aux_sym_array_pattern_repeat1] = STATE(1356),
    [sym_identifier] = ACTIONS(504),
    [anon_sym_export] = ACTIONS(506),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_COMMA] = ACTIONS(508),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(506),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_RBRACK] = ACTIONS(520),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(512),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(514),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(506),
    [anon_sym_get] = ACTIONS(506),
    [anon_sym_set] = ACTIONS(506),
    [sym_html_comment] = ACTIONS(5),
  },
  [55] = {
    [ts_builtin_sym_end] = ACTIONS(522),
    [sym_identifier] = ACTIONS(524),
    [anon_sym_export] = ACTIONS(524),
    [anon_sym_STAR] = ACTIONS(526),
    [anon_sym_default] = ACTIONS(524),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_COMMA] = ACTIONS(528),
    [anon_sym_RBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(524),
    [anon_sym_var] = ACTIONS(524),
    [anon_sym_let] = ACTIONS(524),
    [anon_sym_const] = ACTIONS(524),
    [anon_sym_else] = ACTIONS(524),
    [anon_sym_if] = ACTIONS(524),
    [anon_sym_switch] = ACTIONS(524),
    [anon_sym_for] = ACTIONS(524),
    [anon_sym_LPAREN] = ACTIONS(522),
    [anon_sym_await] = ACTIONS(524),
    [anon_sym_in] = ACTIONS(526),
    [anon_sym_while] = ACTIONS(524),
    [anon_sym_do] = ACTIONS(524),
    [anon_sym_try] = ACTIONS(524),
    [anon_sym_break] = ACTIONS(524),
    [anon_sym_continue] = ACTIONS(524),
    [anon_sym_debugger] = ACTIONS(524),
    [anon_sym_return] = ACTIONS(524),
    [anon_sym_throw] = ACTIONS(524),
    [anon_sym_SEMI] = ACTIONS(522),
    [anon_sym_case] = ACTIONS(524),
    [anon_sym_yield] = ACTIONS(524),
    [anon_sym_EQ] = ACTIONS(530),
    [anon_sym_LBRACK] = ACTIONS(522),
    [anon_sym_LTtemplate_GT] = ACTIONS(522),
    [anon_sym_LT] = ACTIONS(524),
    [anon_sym_GT] = ACTIONS(526),
    [anon_sym_DOT] = ACTIONS(526),
    [anon_sym_DQUOTE] = ACTIONS(522),
    [anon_sym_SQUOTE] = ACTIONS(522),
    [anon_sym_class] = ACTIONS(524),
    [anon_sym_async] = ACTIONS(524),
    [anon_sym_function] = ACTIONS(524),
    [sym_optional_chain] = ACTIONS(528),
    [anon_sym_new] = ACTIONS(524),
    [anon_sym_AMP_AMP] = ACTIONS(528),
    [anon_sym_PIPE_PIPE] = ACTIONS(528),
    [anon_sym_GT_GT] = ACTIONS(526),
    [anon_sym_GT_GT_GT] = ACTIONS(528),
    [anon_sym_LT_LT] = ACTIONS(528),
    [anon_sym_AMP] = ACTIONS(526),
    [anon_sym_CARET] = ACTIONS(528),
    [anon_sym_PIPE] = ACTIONS(526),
    [anon_sym_PLUS] = ACTIONS(524),
    [anon_sym_DASH] = ACTIONS(524),
    [anon_sym_SLASH] = ACTIONS(524),
    [anon_sym_PERCENT] = ACTIONS(528),
    [anon_sym_STAR_STAR] = ACTIONS(528),
    [anon_sym_LT_EQ] = ACTIONS(528),
    [anon_sym_EQ_EQ] = ACTIONS(526),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(528),
    [anon_sym_BANG_EQ] = ACTIONS(526),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(528),
    [anon_sym_GT_EQ] = ACTIONS(528),
    [anon_sym_QMARK_QMARK] = ACTIONS(528),
    [anon_sym_instanceof] = ACTIONS(526),
    [anon_sym_BANG] = ACTIONS(524),
    [anon_sym_TILDE] = ACTIONS(522),
    [anon_sym_typeof] = ACTIONS(524),
    [anon_sym_void] = ACTIONS(524),
    [anon_sym_delete] = ACTIONS(524),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(522),
    [sym_number] = ACTIONS(522),
    [sym_private_property_identifier] = ACTIONS(522),
    [sym_this] = ACTIONS(524),
    [sym_super] = ACTIONS(524),
    [sym_true] = ACTIONS(524),
    [sym_false] = ACTIONS(524),
    [sym_null] = ACTIONS(524),
    [sym_undefined] = ACTIONS(524),
    [anon_sym_AT] = ACTIONS(522),
    [anon_sym_static] = ACTIONS(524),
    [anon_sym_get] = ACTIONS(524),
    [anon_sym_set] = ACTIONS(524),
    [sym__automatic_semicolon] = ACTIONS(532),
    [sym__ternary_qmark] = ACTIONS(528),
    [sym_html_comment] = ACTIONS(5),
  },
  [56] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(714),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1161),
    [sym_assignment_pattern] = STATE(1358),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1161),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(456),
    [sym_subscript_expression] = STATE(456),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1161),
    [sym_spread_element] = STATE(1348),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [sym_pattern] = STATE(1259),
    [sym_rest_pattern] = STATE(1157),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [aux_sym_array_repeat1] = STATE(1347),
    [aux_sym_array_pattern_repeat1] = STATE(1356),
    [sym_identifier] = ACTIONS(504),
    [anon_sym_export] = ACTIONS(506),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_COMMA] = ACTIONS(508),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(506),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_RBRACK] = ACTIONS(534),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(512),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(514),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(506),
    [anon_sym_get] = ACTIONS(506),
    [anon_sym_set] = ACTIONS(506),
    [sym_html_comment] = ACTIONS(5),
  },
  [57] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(714),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1161),
    [sym_assignment_pattern] = STATE(1358),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1161),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(456),
    [sym_subscript_expression] = STATE(456),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1161),
    [sym_spread_element] = STATE(1348),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [sym_pattern] = STATE(1259),
    [sym_rest_pattern] = STATE(1157),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [aux_sym_array_repeat1] = STATE(1347),
    [aux_sym_array_pattern_repeat1] = STATE(1356),
    [sym_identifier] = ACTIONS(504),
    [anon_sym_export] = ACTIONS(506),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_COMMA] = ACTIONS(508),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(506),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_RBRACK] = ACTIONS(536),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(512),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(514),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(506),
    [anon_sym_get] = ACTIONS(506),
    [anon_sym_set] = ACTIONS(506),
    [sym_html_comment] = ACTIONS(5),
  },
  [58] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(658),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1161),
    [sym_assignment_pattern] = STATE(1358),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1161),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(456),
    [sym_subscript_expression] = STATE(456),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1161),
    [sym_spread_element] = STATE(1280),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [sym_pattern] = STATE(1259),
    [sym_rest_pattern] = STATE(1157),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [aux_sym_array_repeat1] = STATE(1273),
    [aux_sym_array_pattern_repeat1] = STATE(1356),
    [sym_identifier] = ACTIONS(504),
    [anon_sym_export] = ACTIONS(506),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_COMMA] = ACTIONS(508),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(506),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_RBRACK] = ACTIONS(510),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(512),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(514),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(506),
    [anon_sym_get] = ACTIONS(506),
    [anon_sym_set] = ACTIONS(506),
    [sym_html_comment] = ACTIONS(5),
  },
  [59] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(714),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1161),
    [sym_assignment_pattern] = STATE(1358),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1161),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(456),
    [sym_subscript_expression] = STATE(456),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1161),
    [sym_spread_element] = STATE(1348),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [sym_pattern] = STATE(1259),
    [sym_rest_pattern] = STATE(1157),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [aux_sym_array_repeat1] = STATE(1347),
    [aux_sym_array_pattern_repeat1] = STATE(1356),
    [sym_identifier] = ACTIONS(504),
    [anon_sym_export] = ACTIONS(506),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_COMMA] = ACTIONS(508),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(506),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_RBRACK] = ACTIONS(538),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(512),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(514),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(506),
    [anon_sym_get] = ACTIONS(506),
    [anon_sym_set] = ACTIONS(506),
    [sym_html_comment] = ACTIONS(5),
  },
  [60] = {
    [ts_builtin_sym_end] = ACTIONS(540),
    [sym_identifier] = ACTIONS(542),
    [anon_sym_export] = ACTIONS(542),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_default] = ACTIONS(542),
    [anon_sym_LBRACE] = ACTIONS(540),
    [anon_sym_COMMA] = ACTIONS(546),
    [anon_sym_RBRACE] = ACTIONS(540),
    [anon_sym_import] = ACTIONS(542),
    [anon_sym_with] = ACTIONS(542),
    [anon_sym_var] = ACTIONS(542),
    [anon_sym_let] = ACTIONS(542),
    [anon_sym_const] = ACTIONS(542),
    [anon_sym_else] = ACTIONS(542),
    [anon_sym_if] = ACTIONS(542),
    [anon_sym_switch] = ACTIONS(542),
    [anon_sym_for] = ACTIONS(542),
    [anon_sym_LPAREN] = ACTIONS(540),
    [anon_sym_await] = ACTIONS(542),
    [anon_sym_in] = ACTIONS(544),
    [anon_sym_while] = ACTIONS(542),
    [anon_sym_do] = ACTIONS(542),
    [anon_sym_try] = ACTIONS(542),
    [anon_sym_break] = ACTIONS(542),
    [anon_sym_continue] = ACTIONS(542),
    [anon_sym_debugger] = ACTIONS(542),
    [anon_sym_return] = ACTIONS(542),
    [anon_sym_throw] = ACTIONS(542),
    [anon_sym_SEMI] = ACTIONS(540),
    [anon_sym_case] = ACTIONS(542),
    [anon_sym_yield] = ACTIONS(542),
    [anon_sym_LBRACK] = ACTIONS(540),
    [anon_sym_LTtemplate_GT] = ACTIONS(540),
    [anon_sym_LT] = ACTIONS(542),
    [anon_sym_GT] = ACTIONS(544),
    [anon_sym_DOT] = ACTIONS(544),
    [anon_sym_DQUOTE] = ACTIONS(540),
    [anon_sym_SQUOTE] = ACTIONS(540),
    [anon_sym_class] = ACTIONS(542),
    [anon_sym_async] = ACTIONS(542),
    [anon_sym_function] = ACTIONS(542),
    [sym_optional_chain] = ACTIONS(546),
    [anon_sym_new] = ACTIONS(542),
    [anon_sym_AMP_AMP] = ACTIONS(546),
    [anon_sym_PIPE_PIPE] = ACTIONS(546),
    [anon_sym_GT_GT] = ACTIONS(544),
    [anon_sym_GT_GT_GT] = ACTIONS(546),
    [anon_sym_LT_LT] = ACTIONS(546),
    [anon_sym_AMP] = ACTIONS(544),
    [anon_sym_CARET] = ACTIONS(546),
    [anon_sym_PIPE] = ACTIONS(544),
    [anon_sym_PLUS] = ACTIONS(542),
    [anon_sym_DASH] = ACTIONS(542),
    [anon_sym_SLASH] = ACTIONS(542),
    [anon_sym_PERCENT] = ACTIONS(546),
    [anon_sym_STAR_STAR] = ACTIONS(546),
    [anon_sym_LT_EQ] = ACTIONS(546),
    [anon_sym_EQ_EQ] = ACTIONS(544),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(546),
    [anon_sym_BANG_EQ] = ACTIONS(544),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(546),
    [anon_sym_GT_EQ] = ACTIONS(546),
    [anon_sym_QMARK_QMARK] = ACTIONS(546),
    [anon_sym_instanceof] = ACTIONS(544),
    [anon_sym_BANG] = ACTIONS(542),
    [anon_sym_TILDE] = ACTIONS(540),
    [anon_sym_typeof] = ACTIONS(542),
    [anon_sym_void] = ACTIONS(542),
    [anon_sym_delete] = ACTIONS(542),
    [anon_sym_PLUS_PLUS] = ACTIONS(540),
    [anon_sym_DASH_DASH] = ACTIONS(540),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(540),
    [sym_number] = ACTIONS(540),
    [sym_private_property_identifier] = ACTIONS(540),
    [sym_this] = ACTIONS(542),
    [sym_super] = ACTIONS(542),
    [sym_true] = ACTIONS(542),
    [sym_false] = ACTIONS(542),
    [sym_null] = ACTIONS(542),
    [sym_undefined] = ACTIONS(542),
    [anon_sym_AT] = ACTIONS(540),
    [anon_sym_static] = ACTIONS(542),
    [anon_sym_get] = ACTIONS(542),
    [anon_sym_set] = ACTIONS(542),
    [sym__automatic_semicolon] = ACTIONS(548),
    [sym__ternary_qmark] = ACTIONS(546),
    [sym_html_comment] = ACTIONS(5),
  },
  [61] = {
    [ts_builtin_sym_end] = ACTIONS(550),
    [sym_identifier] = ACTIONS(552),
    [anon_sym_export] = ACTIONS(552),
    [anon_sym_STAR] = ACTIONS(552),
    [anon_sym_default] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(550),
    [anon_sym_COMMA] = ACTIONS(550),
    [anon_sym_RBRACE] = ACTIONS(550),
    [anon_sym_import] = ACTIONS(552),
    [anon_sym_with] = ACTIONS(552),
    [anon_sym_var] = ACTIONS(552),
    [anon_sym_let] = ACTIONS(552),
    [anon_sym_const] = ACTIONS(552),
    [anon_sym_else] = ACTIONS(552),
    [anon_sym_if] = ACTIONS(552),
    [anon_sym_switch] = ACTIONS(552),
    [anon_sym_for] = ACTIONS(552),
    [anon_sym_LPAREN] = ACTIONS(550),
    [anon_sym_await] = ACTIONS(552),
    [anon_sym_in] = ACTIONS(552),
    [anon_sym_while] = ACTIONS(552),
    [anon_sym_do] = ACTIONS(552),
    [anon_sym_try] = ACTIONS(552),
    [anon_sym_break] = ACTIONS(552),
    [anon_sym_continue] = ACTIONS(552),
    [anon_sym_debugger] = ACTIONS(552),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_throw] = ACTIONS(552),
    [anon_sym_SEMI] = ACTIONS(550),
    [anon_sym_case] = ACTIONS(552),
    [anon_sym_yield] = ACTIONS(552),
    [anon_sym_LBRACK] = ACTIONS(550),
    [anon_sym_LTtemplate_GT] = ACTIONS(550),
    [anon_sym_LT] = ACTIONS(552),
    [anon_sym_GT] = ACTIONS(552),
    [anon_sym_DOT] = ACTIONS(552),
    [anon_sym_DQUOTE] = ACTIONS(550),
    [anon_sym_SQUOTE] = ACTIONS(550),
    [anon_sym_class] = ACTIONS(552),
    [anon_sym_async] = ACTIONS(552),
    [anon_sym_function] = ACTIONS(552),
    [sym_optional_chain] = ACTIONS(550),
    [anon_sym_new] = ACTIONS(552),
    [anon_sym_AMP_AMP] = ACTIONS(550),
    [anon_sym_PIPE_PIPE] = ACTIONS(550),
    [anon_sym_GT_GT] = ACTIONS(552),
    [anon_sym_GT_GT_GT] = ACTIONS(550),
    [anon_sym_LT_LT] = ACTIONS(550),
    [anon_sym_AMP] = ACTIONS(552),
    [anon_sym_CARET] = ACTIONS(550),
    [anon_sym_PIPE] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(552),
    [anon_sym_DASH] = ACTIONS(552),
    [anon_sym_SLASH] = ACTIONS(552),
    [anon_sym_PERCENT] = ACTIONS(550),
    [anon_sym_STAR_STAR] = ACTIONS(550),
    [anon_sym_LT_EQ] = ACTIONS(550),
    [anon_sym_EQ_EQ] = ACTIONS(552),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(550),
    [anon_sym_BANG_EQ] = ACTIONS(552),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(550),
    [anon_sym_GT_EQ] = ACTIONS(550),
    [anon_sym_QMARK_QMARK] = ACTIONS(550),
    [anon_sym_instanceof] = ACTIONS(552),
    [anon_sym_BANG] = ACTIONS(552),
    [anon_sym_TILDE] = ACTIONS(550),
    [anon_sym_typeof] = ACTIONS(552),
    [anon_sym_void] = ACTIONS(552),
    [anon_sym_delete] = ACTIONS(552),
    [anon_sym_PLUS_PLUS] = ACTIONS(550),
    [anon_sym_DASH_DASH] = ACTIONS(550),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(550),
    [sym_number] = ACTIONS(550),
    [sym_private_property_identifier] = ACTIONS(550),
    [sym_this] = ACTIONS(552),
    [sym_super] = ACTIONS(552),
    [sym_true] = ACTIONS(552),
    [sym_false] = ACTIONS(552),
    [sym_null] = ACTIONS(552),
    [sym_undefined] = ACTIONS(552),
    [anon_sym_AT] = ACTIONS(550),
    [anon_sym_static] = ACTIONS(552),
    [anon_sym_get] = ACTIONS(552),
    [anon_sym_set] = ACTIONS(552),
    [sym__automatic_semicolon] = ACTIONS(550),
    [sym__ternary_qmark] = ACTIONS(550),
    [sym_html_comment] = ACTIONS(5),
  },
  [62] = {
    [sym_import] = STATE(1126),
    [sym_expression_statement] = STATE(99),
    [sym_variable_declaration] = STATE(99),
    [sym_lexical_declaration] = STATE(99),
    [sym_empty_statement] = STATE(99),
    [sym_parenthesized_expression] = STATE(462),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1354),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1354),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(462),
    [sym_subscript_expression] = STATE(462),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1354),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(554),
    [anon_sym_export] = ACTIONS(556),
    [anon_sym_LBRACE] = ACTIONS(558),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_var] = ACTIONS(560),
    [anon_sym_let] = ACTIONS(562),
    [anon_sym_const] = ACTIONS(564),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(566),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(570),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(556),
    [anon_sym_get] = ACTIONS(556),
    [anon_sym_set] = ACTIONS(556),
    [sym_html_comment] = ACTIONS(5),
  },
  [63] = {
    [sym_declaration] = STATE(338),
    [sym_import] = STATE(1126),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(758),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1214),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(572),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(574),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [64] = {
    [ts_builtin_sym_end] = ACTIONS(576),
    [sym_identifier] = ACTIONS(578),
    [anon_sym_export] = ACTIONS(578),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_default] = ACTIONS(578),
    [anon_sym_LBRACE] = ACTIONS(576),
    [anon_sym_COMMA] = ACTIONS(582),
    [anon_sym_RBRACE] = ACTIONS(576),
    [anon_sym_import] = ACTIONS(578),
    [anon_sym_with] = ACTIONS(578),
    [anon_sym_var] = ACTIONS(578),
    [anon_sym_let] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(578),
    [anon_sym_else] = ACTIONS(578),
    [anon_sym_if] = ACTIONS(578),
    [anon_sym_switch] = ACTIONS(578),
    [anon_sym_for] = ACTIONS(578),
    [anon_sym_LPAREN] = ACTIONS(576),
    [anon_sym_await] = ACTIONS(578),
    [anon_sym_in] = ACTIONS(580),
    [anon_sym_while] = ACTIONS(578),
    [anon_sym_do] = ACTIONS(578),
    [anon_sym_try] = ACTIONS(578),
    [anon_sym_break] = ACTIONS(578),
    [anon_sym_continue] = ACTIONS(578),
    [anon_sym_debugger] = ACTIONS(578),
    [anon_sym_return] = ACTIONS(578),
    [anon_sym_throw] = ACTIONS(578),
    [anon_sym_SEMI] = ACTIONS(576),
    [anon_sym_case] = ACTIONS(578),
    [anon_sym_yield] = ACTIONS(578),
    [anon_sym_LBRACK] = ACTIONS(576),
    [anon_sym_LTtemplate_GT] = ACTIONS(576),
    [anon_sym_LT] = ACTIONS(578),
    [anon_sym_GT] = ACTIONS(580),
    [anon_sym_DOT] = ACTIONS(580),
    [anon_sym_DQUOTE] = ACTIONS(576),
    [anon_sym_SQUOTE] = ACTIONS(576),
    [anon_sym_class] = ACTIONS(578),
    [anon_sym_async] = ACTIONS(578),
    [anon_sym_function] = ACTIONS(578),
    [sym_optional_chain] = ACTIONS(582),
    [anon_sym_new] = ACTIONS(578),
    [anon_sym_AMP_AMP] = ACTIONS(582),
    [anon_sym_PIPE_PIPE] = ACTIONS(582),
    [anon_sym_GT_GT] = ACTIONS(580),
    [anon_sym_GT_GT_GT] = ACTIONS(582),
    [anon_sym_LT_LT] = ACTIONS(582),
    [anon_sym_AMP] = ACTIONS(580),
    [anon_sym_CARET] = ACTIONS(582),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(578),
    [anon_sym_DASH] = ACTIONS(578),
    [anon_sym_SLASH] = ACTIONS(578),
    [anon_sym_PERCENT] = ACTIONS(582),
    [anon_sym_STAR_STAR] = ACTIONS(582),
    [anon_sym_LT_EQ] = ACTIONS(582),
    [anon_sym_EQ_EQ] = ACTIONS(580),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(582),
    [anon_sym_BANG_EQ] = ACTIONS(580),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(582),
    [anon_sym_GT_EQ] = ACTIONS(582),
    [anon_sym_QMARK_QMARK] = ACTIONS(582),
    [anon_sym_instanceof] = ACTIONS(580),
    [anon_sym_BANG] = ACTIONS(578),
    [anon_sym_TILDE] = ACTIONS(576),
    [anon_sym_typeof] = ACTIONS(578),
    [anon_sym_void] = ACTIONS(578),
    [anon_sym_delete] = ACTIONS(578),
    [anon_sym_PLUS_PLUS] = ACTIONS(576),
    [anon_sym_DASH_DASH] = ACTIONS(576),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(576),
    [sym_number] = ACTIONS(576),
    [sym_private_property_identifier] = ACTIONS(576),
    [sym_this] = ACTIONS(578),
    [sym_super] = ACTIONS(578),
    [sym_true] = ACTIONS(578),
    [sym_false] = ACTIONS(578),
    [sym_null] = ACTIONS(578),
    [sym_undefined] = ACTIONS(578),
    [anon_sym_AT] = ACTIONS(576),
    [anon_sym_static] = ACTIONS(578),
    [anon_sym_get] = ACTIONS(578),
    [anon_sym_set] = ACTIONS(578),
    [sym__automatic_semicolon] = ACTIONS(584),
    [sym__ternary_qmark] = ACTIONS(582),
    [sym_html_comment] = ACTIONS(5),
  },
  [65] = {
    [ts_builtin_sym_end] = ACTIONS(586),
    [sym_identifier] = ACTIONS(588),
    [anon_sym_export] = ACTIONS(588),
    [anon_sym_STAR] = ACTIONS(590),
    [anon_sym_default] = ACTIONS(588),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COMMA] = ACTIONS(592),
    [anon_sym_RBRACE] = ACTIONS(586),
    [anon_sym_import] = ACTIONS(588),
    [anon_sym_with] = ACTIONS(588),
    [anon_sym_var] = ACTIONS(588),
    [anon_sym_let] = ACTIONS(588),
    [anon_sym_const] = ACTIONS(588),
    [anon_sym_else] = ACTIONS(588),
    [anon_sym_if] = ACTIONS(588),
    [anon_sym_switch] = ACTIONS(588),
    [anon_sym_for] = ACTIONS(588),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_await] = ACTIONS(588),
    [anon_sym_in] = ACTIONS(590),
    [anon_sym_while] = ACTIONS(588),
    [anon_sym_do] = ACTIONS(588),
    [anon_sym_try] = ACTIONS(588),
    [anon_sym_break] = ACTIONS(588),
    [anon_sym_continue] = ACTIONS(588),
    [anon_sym_debugger] = ACTIONS(588),
    [anon_sym_return] = ACTIONS(588),
    [anon_sym_throw] = ACTIONS(588),
    [anon_sym_SEMI] = ACTIONS(586),
    [anon_sym_case] = ACTIONS(588),
    [anon_sym_yield] = ACTIONS(588),
    [anon_sym_LBRACK] = ACTIONS(586),
    [anon_sym_LTtemplate_GT] = ACTIONS(586),
    [anon_sym_LT] = ACTIONS(588),
    [anon_sym_GT] = ACTIONS(590),
    [anon_sym_DOT] = ACTIONS(590),
    [anon_sym_DQUOTE] = ACTIONS(586),
    [anon_sym_SQUOTE] = ACTIONS(586),
    [anon_sym_class] = ACTIONS(588),
    [anon_sym_async] = ACTIONS(588),
    [anon_sym_function] = ACTIONS(588),
    [sym_optional_chain] = ACTIONS(592),
    [anon_sym_new] = ACTIONS(588),
    [anon_sym_AMP_AMP] = ACTIONS(592),
    [anon_sym_PIPE_PIPE] = ACTIONS(592),
    [anon_sym_GT_GT] = ACTIONS(590),
    [anon_sym_GT_GT_GT] = ACTIONS(592),
    [anon_sym_LT_LT] = ACTIONS(592),
    [anon_sym_AMP] = ACTIONS(590),
    [anon_sym_CARET] = ACTIONS(592),
    [anon_sym_PIPE] = ACTIONS(590),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(588),
    [anon_sym_PERCENT] = ACTIONS(592),
    [anon_sym_STAR_STAR] = ACTIONS(592),
    [anon_sym_LT_EQ] = ACTIONS(592),
    [anon_sym_EQ_EQ] = ACTIONS(590),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(592),
    [anon_sym_BANG_EQ] = ACTIONS(590),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(592),
    [anon_sym_GT_EQ] = ACTIONS(592),
    [anon_sym_QMARK_QMARK] = ACTIONS(592),
    [anon_sym_instanceof] = ACTIONS(590),
    [anon_sym_BANG] = ACTIONS(588),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_typeof] = ACTIONS(588),
    [anon_sym_void] = ACTIONS(588),
    [anon_sym_delete] = ACTIONS(588),
    [anon_sym_PLUS_PLUS] = ACTIONS(586),
    [anon_sym_DASH_DASH] = ACTIONS(586),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(586),
    [sym_number] = ACTIONS(586),
    [sym_private_property_identifier] = ACTIONS(586),
    [sym_this] = ACTIONS(588),
    [sym_super] = ACTIONS(588),
    [sym_true] = ACTIONS(588),
    [sym_false] = ACTIONS(588),
    [sym_null] = ACTIONS(588),
    [sym_undefined] = ACTIONS(588),
    [anon_sym_AT] = ACTIONS(586),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_get] = ACTIONS(588),
    [anon_sym_set] = ACTIONS(588),
    [sym__automatic_semicolon] = ACTIONS(594),
    [sym__ternary_qmark] = ACTIONS(592),
    [sym_html_comment] = ACTIONS(5),
  },
  [66] = {
    [sym_declaration] = STATE(338),
    [sym_import] = STATE(1126),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(758),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(572),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(596),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [67] = {
    [ts_builtin_sym_end] = ACTIONS(598),
    [sym_identifier] = ACTIONS(600),
    [anon_sym_export] = ACTIONS(600),
    [anon_sym_STAR] = ACTIONS(602),
    [anon_sym_default] = ACTIONS(600),
    [anon_sym_LBRACE] = ACTIONS(598),
    [anon_sym_COMMA] = ACTIONS(604),
    [anon_sym_RBRACE] = ACTIONS(598),
    [anon_sym_import] = ACTIONS(600),
    [anon_sym_with] = ACTIONS(600),
    [anon_sym_var] = ACTIONS(600),
    [anon_sym_let] = ACTIONS(600),
    [anon_sym_const] = ACTIONS(600),
    [anon_sym_else] = ACTIONS(600),
    [anon_sym_if] = ACTIONS(600),
    [anon_sym_switch] = ACTIONS(600),
    [anon_sym_for] = ACTIONS(600),
    [anon_sym_LPAREN] = ACTIONS(598),
    [anon_sym_await] = ACTIONS(600),
    [anon_sym_in] = ACTIONS(602),
    [anon_sym_while] = ACTIONS(600),
    [anon_sym_do] = ACTIONS(600),
    [anon_sym_try] = ACTIONS(600),
    [anon_sym_break] = ACTIONS(600),
    [anon_sym_continue] = ACTIONS(600),
    [anon_sym_debugger] = ACTIONS(600),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(600),
    [anon_sym_SEMI] = ACTIONS(598),
    [anon_sym_case] = ACTIONS(600),
    [anon_sym_yield] = ACTIONS(600),
    [anon_sym_LBRACK] = ACTIONS(598),
    [anon_sym_LTtemplate_GT] = ACTIONS(598),
    [anon_sym_LT] = ACTIONS(600),
    [anon_sym_GT] = ACTIONS(602),
    [anon_sym_DOT] = ACTIONS(602),
    [anon_sym_DQUOTE] = ACTIONS(598),
    [anon_sym_SQUOTE] = ACTIONS(598),
    [anon_sym_class] = ACTIONS(600),
    [anon_sym_async] = ACTIONS(600),
    [anon_sym_function] = ACTIONS(600),
    [sym_optional_chain] = ACTIONS(604),
    [anon_sym_new] = ACTIONS(600),
    [anon_sym_AMP_AMP] = ACTIONS(604),
    [anon_sym_PIPE_PIPE] = ACTIONS(604),
    [anon_sym_GT_GT] = ACTIONS(602),
    [anon_sym_GT_GT_GT] = ACTIONS(604),
    [anon_sym_LT_LT] = ACTIONS(604),
    [anon_sym_AMP] = ACTIONS(602),
    [anon_sym_CARET] = ACTIONS(604),
    [anon_sym_PIPE] = ACTIONS(602),
    [anon_sym_PLUS] = ACTIONS(600),
    [anon_sym_DASH] = ACTIONS(600),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_PERCENT] = ACTIONS(604),
    [anon_sym_STAR_STAR] = ACTIONS(604),
    [anon_sym_LT_EQ] = ACTIONS(604),
    [anon_sym_EQ_EQ] = ACTIONS(602),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(604),
    [anon_sym_BANG_EQ] = ACTIONS(602),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(604),
    [anon_sym_GT_EQ] = ACTIONS(604),
    [anon_sym_QMARK_QMARK] = ACTIONS(604),
    [anon_sym_instanceof] = ACTIONS(602),
    [anon_sym_BANG] = ACTIONS(600),
    [anon_sym_TILDE] = ACTIONS(598),
    [anon_sym_typeof] = ACTIONS(600),
    [anon_sym_void] = ACTIONS(600),
    [anon_sym_delete] = ACTIONS(600),
    [anon_sym_PLUS_PLUS] = ACTIONS(598),
    [anon_sym_DASH_DASH] = ACTIONS(598),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(598),
    [sym_number] = ACTIONS(598),
    [sym_private_property_identifier] = ACTIONS(598),
    [sym_this] = ACTIONS(600),
    [sym_super] = ACTIONS(600),
    [sym_true] = ACTIONS(600),
    [sym_false] = ACTIONS(600),
    [sym_null] = ACTIONS(600),
    [sym_undefined] = ACTIONS(600),
    [anon_sym_AT] = ACTIONS(598),
    [anon_sym_static] = ACTIONS(600),
    [anon_sym_get] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [sym__automatic_semicolon] = ACTIONS(606),
    [sym__ternary_qmark] = ACTIONS(604),
    [sym_html_comment] = ACTIONS(5),
  },
  [68] = {
    [sym_declaration] = STATE(394),
    [sym_import] = STATE(1126),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(787),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1214),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(572),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(574),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [69] = {
    [ts_builtin_sym_end] = ACTIONS(608),
    [sym_identifier] = ACTIONS(610),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_STAR] = ACTIONS(610),
    [anon_sym_default] = ACTIONS(610),
    [anon_sym_LBRACE] = ACTIONS(608),
    [anon_sym_COMMA] = ACTIONS(608),
    [anon_sym_RBRACE] = ACTIONS(608),
    [anon_sym_import] = ACTIONS(610),
    [anon_sym_with] = ACTIONS(610),
    [anon_sym_var] = ACTIONS(610),
    [anon_sym_let] = ACTIONS(610),
    [anon_sym_const] = ACTIONS(610),
    [anon_sym_else] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(610),
    [anon_sym_switch] = ACTIONS(610),
    [anon_sym_for] = ACTIONS(610),
    [anon_sym_LPAREN] = ACTIONS(608),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_in] = ACTIONS(610),
    [anon_sym_while] = ACTIONS(610),
    [anon_sym_do] = ACTIONS(610),
    [anon_sym_try] = ACTIONS(610),
    [anon_sym_break] = ACTIONS(610),
    [anon_sym_continue] = ACTIONS(610),
    [anon_sym_debugger] = ACTIONS(610),
    [anon_sym_return] = ACTIONS(610),
    [anon_sym_throw] = ACTIONS(610),
    [anon_sym_SEMI] = ACTIONS(608),
    [anon_sym_case] = ACTIONS(610),
    [anon_sym_yield] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(608),
    [anon_sym_LTtemplate_GT] = ACTIONS(608),
    [anon_sym_LT] = ACTIONS(610),
    [anon_sym_GT] = ACTIONS(610),
    [anon_sym_DOT] = ACTIONS(610),
    [anon_sym_DQUOTE] = ACTIONS(608),
    [anon_sym_SQUOTE] = ACTIONS(608),
    [anon_sym_class] = ACTIONS(610),
    [anon_sym_async] = ACTIONS(610),
    [anon_sym_function] = ACTIONS(610),
    [sym_optional_chain] = ACTIONS(608),
    [anon_sym_new] = ACTIONS(610),
    [anon_sym_AMP_AMP] = ACTIONS(608),
    [anon_sym_PIPE_PIPE] = ACTIONS(608),
    [anon_sym_GT_GT] = ACTIONS(610),
    [anon_sym_GT_GT_GT] = ACTIONS(608),
    [anon_sym_LT_LT] = ACTIONS(608),
    [anon_sym_AMP] = ACTIONS(610),
    [anon_sym_CARET] = ACTIONS(608),
    [anon_sym_PIPE] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(610),
    [anon_sym_DASH] = ACTIONS(610),
    [anon_sym_SLASH] = ACTIONS(610),
    [anon_sym_PERCENT] = ACTIONS(608),
    [anon_sym_STAR_STAR] = ACTIONS(608),
    [anon_sym_LT_EQ] = ACTIONS(608),
    [anon_sym_EQ_EQ] = ACTIONS(610),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(608),
    [anon_sym_BANG_EQ] = ACTIONS(610),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(608),
    [anon_sym_GT_EQ] = ACTIONS(608),
    [anon_sym_QMARK_QMARK] = ACTIONS(608),
    [anon_sym_instanceof] = ACTIONS(610),
    [anon_sym_BANG] = ACTIONS(610),
    [anon_sym_TILDE] = ACTIONS(608),
    [anon_sym_typeof] = ACTIONS(610),
    [anon_sym_void] = ACTIONS(610),
    [anon_sym_delete] = ACTIONS(610),
    [anon_sym_PLUS_PLUS] = ACTIONS(608),
    [anon_sym_DASH_DASH] = ACTIONS(608),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(608),
    [sym_number] = ACTIONS(608),
    [sym_private_property_identifier] = ACTIONS(608),
    [sym_this] = ACTIONS(610),
    [sym_super] = ACTIONS(610),
    [sym_true] = ACTIONS(610),
    [sym_false] = ACTIONS(610),
    [sym_null] = ACTIONS(610),
    [sym_undefined] = ACTIONS(610),
    [anon_sym_AT] = ACTIONS(608),
    [anon_sym_static] = ACTIONS(610),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
    [sym__automatic_semicolon] = ACTIONS(608),
    [sym__ternary_qmark] = ACTIONS(608),
    [sym_html_comment] = ACTIONS(5),
  },
  [70] = {
    [ts_builtin_sym_end] = ACTIONS(612),
    [sym_identifier] = ACTIONS(614),
    [anon_sym_export] = ACTIONS(614),
    [anon_sym_STAR] = ACTIONS(616),
    [anon_sym_default] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_COMMA] = ACTIONS(618),
    [anon_sym_RBRACE] = ACTIONS(612),
    [anon_sym_import] = ACTIONS(614),
    [anon_sym_with] = ACTIONS(614),
    [anon_sym_var] = ACTIONS(614),
    [anon_sym_let] = ACTIONS(614),
    [anon_sym_const] = ACTIONS(614),
    [anon_sym_else] = ACTIONS(614),
    [anon_sym_if] = ACTIONS(614),
    [anon_sym_switch] = ACTIONS(614),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_LPAREN] = ACTIONS(612),
    [anon_sym_await] = ACTIONS(614),
    [anon_sym_in] = ACTIONS(616),
    [anon_sym_while] = ACTIONS(614),
    [anon_sym_do] = ACTIONS(614),
    [anon_sym_try] = ACTIONS(614),
    [anon_sym_break] = ACTIONS(614),
    [anon_sym_continue] = ACTIONS(614),
    [anon_sym_debugger] = ACTIONS(614),
    [anon_sym_return] = ACTIONS(614),
    [anon_sym_throw] = ACTIONS(614),
    [anon_sym_SEMI] = ACTIONS(612),
    [anon_sym_case] = ACTIONS(614),
    [anon_sym_yield] = ACTIONS(614),
    [anon_sym_LBRACK] = ACTIONS(612),
    [anon_sym_LTtemplate_GT] = ACTIONS(612),
    [anon_sym_LT] = ACTIONS(614),
    [anon_sym_GT] = ACTIONS(616),
    [anon_sym_DOT] = ACTIONS(616),
    [anon_sym_DQUOTE] = ACTIONS(612),
    [anon_sym_SQUOTE] = ACTIONS(612),
    [anon_sym_class] = ACTIONS(614),
    [anon_sym_async] = ACTIONS(614),
    [anon_sym_function] = ACTIONS(614),
    [sym_optional_chain] = ACTIONS(618),
    [anon_sym_new] = ACTIONS(614),
    [anon_sym_AMP_AMP] = ACTIONS(618),
    [anon_sym_PIPE_PIPE] = ACTIONS(618),
    [anon_sym_GT_GT] = ACTIONS(616),
    [anon_sym_GT_GT_GT] = ACTIONS(618),
    [anon_sym_LT_LT] = ACTIONS(618),
    [anon_sym_AMP] = ACTIONS(616),
    [anon_sym_CARET] = ACTIONS(618),
    [anon_sym_PIPE] = ACTIONS(616),
    [anon_sym_PLUS] = ACTIONS(614),
    [anon_sym_DASH] = ACTIONS(614),
    [anon_sym_SLASH] = ACTIONS(614),
    [anon_sym_PERCENT] = ACTIONS(618),
    [anon_sym_STAR_STAR] = ACTIONS(618),
    [anon_sym_LT_EQ] = ACTIONS(618),
    [anon_sym_EQ_EQ] = ACTIONS(616),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(618),
    [anon_sym_BANG_EQ] = ACTIONS(616),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(618),
    [anon_sym_GT_EQ] = ACTIONS(618),
    [anon_sym_QMARK_QMARK] = ACTIONS(618),
    [anon_sym_instanceof] = ACTIONS(616),
    [anon_sym_BANG] = ACTIONS(614),
    [anon_sym_TILDE] = ACTIONS(612),
    [anon_sym_typeof] = ACTIONS(614),
    [anon_sym_void] = ACTIONS(614),
    [anon_sym_delete] = ACTIONS(614),
    [anon_sym_PLUS_PLUS] = ACTIONS(612),
    [anon_sym_DASH_DASH] = ACTIONS(612),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(612),
    [sym_number] = ACTIONS(612),
    [sym_private_property_identifier] = ACTIONS(612),
    [sym_this] = ACTIONS(614),
    [sym_super] = ACTIONS(614),
    [sym_true] = ACTIONS(614),
    [sym_false] = ACTIONS(614),
    [sym_null] = ACTIONS(614),
    [sym_undefined] = ACTIONS(614),
    [anon_sym_AT] = ACTIONS(612),
    [anon_sym_static] = ACTIONS(614),
    [anon_sym_get] = ACTIONS(614),
    [anon_sym_set] = ACTIONS(614),
    [sym__automatic_semicolon] = ACTIONS(620),
    [sym__ternary_qmark] = ACTIONS(618),
    [sym_html_comment] = ACTIONS(5),
  },
  [71] = {
    [ts_builtin_sym_end] = ACTIONS(622),
    [sym_identifier] = ACTIONS(624),
    [anon_sym_export] = ACTIONS(624),
    [anon_sym_STAR] = ACTIONS(624),
    [anon_sym_default] = ACTIONS(624),
    [anon_sym_LBRACE] = ACTIONS(622),
    [anon_sym_COMMA] = ACTIONS(622),
    [anon_sym_RBRACE] = ACTIONS(622),
    [anon_sym_import] = ACTIONS(624),
    [anon_sym_with] = ACTIONS(624),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(624),
    [anon_sym_const] = ACTIONS(624),
    [anon_sym_else] = ACTIONS(624),
    [anon_sym_if] = ACTIONS(624),
    [anon_sym_switch] = ACTIONS(624),
    [anon_sym_for] = ACTIONS(624),
    [anon_sym_LPAREN] = ACTIONS(622),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_in] = ACTIONS(624),
    [anon_sym_while] = ACTIONS(624),
    [anon_sym_do] = ACTIONS(624),
    [anon_sym_try] = ACTIONS(624),
    [anon_sym_break] = ACTIONS(624),
    [anon_sym_continue] = ACTIONS(624),
    [anon_sym_debugger] = ACTIONS(624),
    [anon_sym_return] = ACTIONS(624),
    [anon_sym_throw] = ACTIONS(624),
    [anon_sym_SEMI] = ACTIONS(622),
    [anon_sym_case] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(624),
    [anon_sym_LBRACK] = ACTIONS(622),
    [anon_sym_LTtemplate_GT] = ACTIONS(622),
    [anon_sym_LT] = ACTIONS(624),
    [anon_sym_GT] = ACTIONS(624),
    [anon_sym_DOT] = ACTIONS(624),
    [anon_sym_DQUOTE] = ACTIONS(622),
    [anon_sym_SQUOTE] = ACTIONS(622),
    [anon_sym_class] = ACTIONS(624),
    [anon_sym_async] = ACTIONS(624),
    [anon_sym_function] = ACTIONS(624),
    [sym_optional_chain] = ACTIONS(622),
    [anon_sym_new] = ACTIONS(624),
    [anon_sym_AMP_AMP] = ACTIONS(622),
    [anon_sym_PIPE_PIPE] = ACTIONS(622),
    [anon_sym_GT_GT] = ACTIONS(624),
    [anon_sym_GT_GT_GT] = ACTIONS(622),
    [anon_sym_LT_LT] = ACTIONS(622),
    [anon_sym_AMP] = ACTIONS(624),
    [anon_sym_CARET] = ACTIONS(622),
    [anon_sym_PIPE] = ACTIONS(624),
    [anon_sym_PLUS] = ACTIONS(624),
    [anon_sym_DASH] = ACTIONS(624),
    [anon_sym_SLASH] = ACTIONS(624),
    [anon_sym_PERCENT] = ACTIONS(622),
    [anon_sym_STAR_STAR] = ACTIONS(622),
    [anon_sym_LT_EQ] = ACTIONS(622),
    [anon_sym_EQ_EQ] = ACTIONS(624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(622),
    [anon_sym_BANG_EQ] = ACTIONS(624),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(622),
    [anon_sym_GT_EQ] = ACTIONS(622),
    [anon_sym_QMARK_QMARK] = ACTIONS(622),
    [anon_sym_instanceof] = ACTIONS(624),
    [anon_sym_BANG] = ACTIONS(624),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_typeof] = ACTIONS(624),
    [anon_sym_void] = ACTIONS(624),
    [anon_sym_delete] = ACTIONS(624),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(622),
    [sym_number] = ACTIONS(622),
    [sym_private_property_identifier] = ACTIONS(622),
    [sym_this] = ACTIONS(624),
    [sym_super] = ACTIONS(624),
    [sym_true] = ACTIONS(624),
    [sym_false] = ACTIONS(624),
    [sym_null] = ACTIONS(624),
    [sym_undefined] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(622),
    [anon_sym_static] = ACTIONS(624),
    [anon_sym_get] = ACTIONS(624),
    [anon_sym_set] = ACTIONS(624),
    [sym__automatic_semicolon] = ACTIONS(622),
    [sym__ternary_qmark] = ACTIONS(622),
    [sym_html_comment] = ACTIONS(5),
  },
  [72] = {
    [ts_builtin_sym_end] = ACTIONS(626),
    [sym_identifier] = ACTIONS(628),
    [anon_sym_export] = ACTIONS(628),
    [anon_sym_STAR] = ACTIONS(630),
    [anon_sym_default] = ACTIONS(628),
    [anon_sym_LBRACE] = ACTIONS(626),
    [anon_sym_COMMA] = ACTIONS(632),
    [anon_sym_RBRACE] = ACTIONS(626),
    [anon_sym_import] = ACTIONS(628),
    [anon_sym_with] = ACTIONS(628),
    [anon_sym_var] = ACTIONS(628),
    [anon_sym_let] = ACTIONS(628),
    [anon_sym_const] = ACTIONS(628),
    [anon_sym_else] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(628),
    [anon_sym_switch] = ACTIONS(628),
    [anon_sym_for] = ACTIONS(628),
    [anon_sym_LPAREN] = ACTIONS(626),
    [anon_sym_await] = ACTIONS(628),
    [anon_sym_in] = ACTIONS(630),
    [anon_sym_while] = ACTIONS(628),
    [anon_sym_do] = ACTIONS(628),
    [anon_sym_try] = ACTIONS(628),
    [anon_sym_break] = ACTIONS(628),
    [anon_sym_continue] = ACTIONS(628),
    [anon_sym_debugger] = ACTIONS(628),
    [anon_sym_return] = ACTIONS(628),
    [anon_sym_throw] = ACTIONS(628),
    [anon_sym_SEMI] = ACTIONS(626),
    [anon_sym_case] = ACTIONS(628),
    [anon_sym_yield] = ACTIONS(628),
    [anon_sym_LBRACK] = ACTIONS(626),
    [anon_sym_LTtemplate_GT] = ACTIONS(626),
    [anon_sym_LT] = ACTIONS(628),
    [anon_sym_GT] = ACTIONS(630),
    [anon_sym_DOT] = ACTIONS(630),
    [anon_sym_DQUOTE] = ACTIONS(626),
    [anon_sym_SQUOTE] = ACTIONS(626),
    [anon_sym_class] = ACTIONS(628),
    [anon_sym_async] = ACTIONS(628),
    [anon_sym_function] = ACTIONS(628),
    [sym_optional_chain] = ACTIONS(632),
    [anon_sym_new] = ACTIONS(628),
    [anon_sym_AMP_AMP] = ACTIONS(632),
    [anon_sym_PIPE_PIPE] = ACTIONS(632),
    [anon_sym_GT_GT] = ACTIONS(630),
    [anon_sym_GT_GT_GT] = ACTIONS(632),
    [anon_sym_LT_LT] = ACTIONS(632),
    [anon_sym_AMP] = ACTIONS(630),
    [anon_sym_CARET] = ACTIONS(632),
    [anon_sym_PIPE] = ACTIONS(630),
    [anon_sym_PLUS] = ACTIONS(628),
    [anon_sym_DASH] = ACTIONS(628),
    [anon_sym_SLASH] = ACTIONS(628),
    [anon_sym_PERCENT] = ACTIONS(632),
    [anon_sym_STAR_STAR] = ACTIONS(632),
    [anon_sym_LT_EQ] = ACTIONS(632),
    [anon_sym_EQ_EQ] = ACTIONS(630),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(632),
    [anon_sym_BANG_EQ] = ACTIONS(630),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(632),
    [anon_sym_GT_EQ] = ACTIONS(632),
    [anon_sym_QMARK_QMARK] = ACTIONS(632),
    [anon_sym_instanceof] = ACTIONS(630),
    [anon_sym_BANG] = ACTIONS(628),
    [anon_sym_TILDE] = ACTIONS(626),
    [anon_sym_typeof] = ACTIONS(628),
    [anon_sym_void] = ACTIONS(628),
    [anon_sym_delete] = ACTIONS(628),
    [anon_sym_PLUS_PLUS] = ACTIONS(626),
    [anon_sym_DASH_DASH] = ACTIONS(626),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(626),
    [sym_number] = ACTIONS(626),
    [sym_private_property_identifier] = ACTIONS(626),
    [sym_this] = ACTIONS(628),
    [sym_super] = ACTIONS(628),
    [sym_true] = ACTIONS(628),
    [sym_false] = ACTIONS(628),
    [sym_null] = ACTIONS(628),
    [sym_undefined] = ACTIONS(628),
    [anon_sym_AT] = ACTIONS(626),
    [anon_sym_static] = ACTIONS(628),
    [anon_sym_get] = ACTIONS(628),
    [anon_sym_set] = ACTIONS(628),
    [sym__automatic_semicolon] = ACTIONS(634),
    [sym__ternary_qmark] = ACTIONS(632),
    [sym_html_comment] = ACTIONS(5),
  },
  [73] = {
    [ts_builtin_sym_end] = ACTIONS(636),
    [sym_identifier] = ACTIONS(638),
    [anon_sym_export] = ACTIONS(638),
    [anon_sym_STAR] = ACTIONS(640),
    [anon_sym_default] = ACTIONS(638),
    [anon_sym_LBRACE] = ACTIONS(636),
    [anon_sym_COMMA] = ACTIONS(642),
    [anon_sym_RBRACE] = ACTIONS(636),
    [anon_sym_import] = ACTIONS(638),
    [anon_sym_with] = ACTIONS(638),
    [anon_sym_var] = ACTIONS(638),
    [anon_sym_let] = ACTIONS(638),
    [anon_sym_const] = ACTIONS(638),
    [anon_sym_else] = ACTIONS(638),
    [anon_sym_if] = ACTIONS(638),
    [anon_sym_switch] = ACTIONS(638),
    [anon_sym_for] = ACTIONS(638),
    [anon_sym_LPAREN] = ACTIONS(636),
    [anon_sym_await] = ACTIONS(638),
    [anon_sym_in] = ACTIONS(640),
    [anon_sym_while] = ACTIONS(638),
    [anon_sym_do] = ACTIONS(638),
    [anon_sym_try] = ACTIONS(638),
    [anon_sym_break] = ACTIONS(638),
    [anon_sym_continue] = ACTIONS(638),
    [anon_sym_debugger] = ACTIONS(638),
    [anon_sym_return] = ACTIONS(638),
    [anon_sym_throw] = ACTIONS(638),
    [anon_sym_SEMI] = ACTIONS(636),
    [anon_sym_case] = ACTIONS(638),
    [anon_sym_yield] = ACTIONS(638),
    [anon_sym_LBRACK] = ACTIONS(636),
    [anon_sym_LTtemplate_GT] = ACTIONS(636),
    [anon_sym_LT] = ACTIONS(638),
    [anon_sym_GT] = ACTIONS(640),
    [anon_sym_DOT] = ACTIONS(640),
    [anon_sym_DQUOTE] = ACTIONS(636),
    [anon_sym_SQUOTE] = ACTIONS(636),
    [anon_sym_class] = ACTIONS(638),
    [anon_sym_async] = ACTIONS(638),
    [anon_sym_function] = ACTIONS(638),
    [sym_optional_chain] = ACTIONS(642),
    [anon_sym_new] = ACTIONS(638),
    [anon_sym_AMP_AMP] = ACTIONS(642),
    [anon_sym_PIPE_PIPE] = ACTIONS(642),
    [anon_sym_GT_GT] = ACTIONS(640),
    [anon_sym_GT_GT_GT] = ACTIONS(642),
    [anon_sym_LT_LT] = ACTIONS(642),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_CARET] = ACTIONS(642),
    [anon_sym_PIPE] = ACTIONS(640),
    [anon_sym_PLUS] = ACTIONS(638),
    [anon_sym_DASH] = ACTIONS(638),
    [anon_sym_SLASH] = ACTIONS(638),
    [anon_sym_PERCENT] = ACTIONS(642),
    [anon_sym_STAR_STAR] = ACTIONS(642),
    [anon_sym_LT_EQ] = ACTIONS(642),
    [anon_sym_EQ_EQ] = ACTIONS(640),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(642),
    [anon_sym_BANG_EQ] = ACTIONS(640),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(642),
    [anon_sym_GT_EQ] = ACTIONS(642),
    [anon_sym_QMARK_QMARK] = ACTIONS(642),
    [anon_sym_instanceof] = ACTIONS(640),
    [anon_sym_BANG] = ACTIONS(638),
    [anon_sym_TILDE] = ACTIONS(636),
    [anon_sym_typeof] = ACTIONS(638),
    [anon_sym_void] = ACTIONS(638),
    [anon_sym_delete] = ACTIONS(638),
    [anon_sym_PLUS_PLUS] = ACTIONS(636),
    [anon_sym_DASH_DASH] = ACTIONS(636),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(636),
    [sym_number] = ACTIONS(636),
    [sym_private_property_identifier] = ACTIONS(636),
    [sym_this] = ACTIONS(638),
    [sym_super] = ACTIONS(638),
    [sym_true] = ACTIONS(638),
    [sym_false] = ACTIONS(638),
    [sym_null] = ACTIONS(638),
    [sym_undefined] = ACTIONS(638),
    [anon_sym_AT] = ACTIONS(636),
    [anon_sym_static] = ACTIONS(638),
    [anon_sym_get] = ACTIONS(638),
    [anon_sym_set] = ACTIONS(638),
    [sym__automatic_semicolon] = ACTIONS(644),
    [sym__ternary_qmark] = ACTIONS(642),
    [sym_html_comment] = ACTIONS(5),
  },
  [74] = {
    [sym_declaration] = STATE(394),
    [sym_import] = STATE(1126),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(787),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_class_declaration] = STATE(390),
    [sym_function_expression] = STATE(687),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function] = STATE(687),
    [sym_generator_function_declaration] = STATE(390),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(572),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(596),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [75] = {
    [ts_builtin_sym_end] = ACTIONS(646),
    [sym_identifier] = ACTIONS(648),
    [anon_sym_export] = ACTIONS(648),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_default] = ACTIONS(648),
    [anon_sym_LBRACE] = ACTIONS(646),
    [anon_sym_COMMA] = ACTIONS(652),
    [anon_sym_RBRACE] = ACTIONS(646),
    [anon_sym_import] = ACTIONS(648),
    [anon_sym_with] = ACTIONS(648),
    [anon_sym_var] = ACTIONS(648),
    [anon_sym_let] = ACTIONS(648),
    [anon_sym_const] = ACTIONS(648),
    [anon_sym_else] = ACTIONS(648),
    [anon_sym_if] = ACTIONS(648),
    [anon_sym_switch] = ACTIONS(648),
    [anon_sym_for] = ACTIONS(648),
    [anon_sym_LPAREN] = ACTIONS(646),
    [anon_sym_await] = ACTIONS(648),
    [anon_sym_in] = ACTIONS(650),
    [anon_sym_while] = ACTIONS(648),
    [anon_sym_do] = ACTIONS(648),
    [anon_sym_try] = ACTIONS(648),
    [anon_sym_break] = ACTIONS(648),
    [anon_sym_continue] = ACTIONS(648),
    [anon_sym_debugger] = ACTIONS(648),
    [anon_sym_return] = ACTIONS(648),
    [anon_sym_throw] = ACTIONS(648),
    [anon_sym_SEMI] = ACTIONS(646),
    [anon_sym_case] = ACTIONS(648),
    [anon_sym_yield] = ACTIONS(648),
    [anon_sym_LBRACK] = ACTIONS(646),
    [anon_sym_LTtemplate_GT] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_DQUOTE] = ACTIONS(646),
    [anon_sym_SQUOTE] = ACTIONS(646),
    [anon_sym_class] = ACTIONS(648),
    [anon_sym_async] = ACTIONS(648),
    [anon_sym_function] = ACTIONS(648),
    [sym_optional_chain] = ACTIONS(652),
    [anon_sym_new] = ACTIONS(648),
    [anon_sym_AMP_AMP] = ACTIONS(652),
    [anon_sym_PIPE_PIPE] = ACTIONS(652),
    [anon_sym_GT_GT] = ACTIONS(650),
    [anon_sym_GT_GT_GT] = ACTIONS(652),
    [anon_sym_LT_LT] = ACTIONS(652),
    [anon_sym_AMP] = ACTIONS(650),
    [anon_sym_CARET] = ACTIONS(652),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(648),
    [anon_sym_DASH] = ACTIONS(648),
    [anon_sym_SLASH] = ACTIONS(648),
    [anon_sym_PERCENT] = ACTIONS(652),
    [anon_sym_STAR_STAR] = ACTIONS(652),
    [anon_sym_LT_EQ] = ACTIONS(652),
    [anon_sym_EQ_EQ] = ACTIONS(650),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(652),
    [anon_sym_BANG_EQ] = ACTIONS(650),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(652),
    [anon_sym_GT_EQ] = ACTIONS(652),
    [anon_sym_QMARK_QMARK] = ACTIONS(652),
    [anon_sym_instanceof] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(648),
    [anon_sym_TILDE] = ACTIONS(646),
    [anon_sym_typeof] = ACTIONS(648),
    [anon_sym_void] = ACTIONS(648),
    [anon_sym_delete] = ACTIONS(648),
    [anon_sym_PLUS_PLUS] = ACTIONS(646),
    [anon_sym_DASH_DASH] = ACTIONS(646),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(646),
    [sym_number] = ACTIONS(646),
    [sym_private_property_identifier] = ACTIONS(646),
    [sym_this] = ACTIONS(648),
    [sym_super] = ACTIONS(648),
    [sym_true] = ACTIONS(648),
    [sym_false] = ACTIONS(648),
    [sym_null] = ACTIONS(648),
    [sym_undefined] = ACTIONS(648),
    [anon_sym_AT] = ACTIONS(646),
    [anon_sym_static] = ACTIONS(648),
    [anon_sym_get] = ACTIONS(648),
    [anon_sym_set] = ACTIONS(648),
    [sym__automatic_semicolon] = ACTIONS(654),
    [sym__ternary_qmark] = ACTIONS(652),
    [sym_html_comment] = ACTIONS(5),
  },
  [76] = {
    [ts_builtin_sym_end] = ACTIONS(622),
    [sym_identifier] = ACTIONS(624),
    [anon_sym_export] = ACTIONS(624),
    [anon_sym_STAR] = ACTIONS(624),
    [anon_sym_default] = ACTIONS(624),
    [anon_sym_LBRACE] = ACTIONS(622),
    [anon_sym_COMMA] = ACTIONS(622),
    [anon_sym_RBRACE] = ACTIONS(622),
    [anon_sym_import] = ACTIONS(624),
    [anon_sym_with] = ACTIONS(624),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(624),
    [anon_sym_const] = ACTIONS(624),
    [anon_sym_else] = ACTIONS(624),
    [anon_sym_if] = ACTIONS(624),
    [anon_sym_switch] = ACTIONS(624),
    [anon_sym_for] = ACTIONS(624),
    [anon_sym_LPAREN] = ACTIONS(622),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_in] = ACTIONS(624),
    [anon_sym_while] = ACTIONS(624),
    [anon_sym_do] = ACTIONS(624),
    [anon_sym_try] = ACTIONS(624),
    [anon_sym_break] = ACTIONS(624),
    [anon_sym_continue] = ACTIONS(624),
    [anon_sym_debugger] = ACTIONS(624),
    [anon_sym_return] = ACTIONS(624),
    [anon_sym_throw] = ACTIONS(624),
    [anon_sym_SEMI] = ACTIONS(622),
    [anon_sym_case] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(624),
    [anon_sym_LBRACK] = ACTIONS(622),
    [anon_sym_LTtemplate_GT] = ACTIONS(622),
    [anon_sym_LT] = ACTIONS(624),
    [anon_sym_GT] = ACTIONS(624),
    [anon_sym_DOT] = ACTIONS(624),
    [anon_sym_DQUOTE] = ACTIONS(622),
    [anon_sym_SQUOTE] = ACTIONS(622),
    [anon_sym_class] = ACTIONS(624),
    [anon_sym_async] = ACTIONS(624),
    [anon_sym_function] = ACTIONS(624),
    [sym_optional_chain] = ACTIONS(622),
    [anon_sym_new] = ACTIONS(624),
    [anon_sym_AMP_AMP] = ACTIONS(622),
    [anon_sym_PIPE_PIPE] = ACTIONS(622),
    [anon_sym_GT_GT] = ACTIONS(624),
    [anon_sym_GT_GT_GT] = ACTIONS(622),
    [anon_sym_LT_LT] = ACTIONS(622),
    [anon_sym_AMP] = ACTIONS(624),
    [anon_sym_CARET] = ACTIONS(622),
    [anon_sym_PIPE] = ACTIONS(624),
    [anon_sym_PLUS] = ACTIONS(624),
    [anon_sym_DASH] = ACTIONS(624),
    [anon_sym_SLASH] = ACTIONS(624),
    [anon_sym_PERCENT] = ACTIONS(622),
    [anon_sym_STAR_STAR] = ACTIONS(622),
    [anon_sym_LT_EQ] = ACTIONS(622),
    [anon_sym_EQ_EQ] = ACTIONS(624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(622),
    [anon_sym_BANG_EQ] = ACTIONS(624),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(622),
    [anon_sym_GT_EQ] = ACTIONS(622),
    [anon_sym_QMARK_QMARK] = ACTIONS(622),
    [anon_sym_instanceof] = ACTIONS(624),
    [anon_sym_BANG] = ACTIONS(624),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_typeof] = ACTIONS(624),
    [anon_sym_void] = ACTIONS(624),
    [anon_sym_delete] = ACTIONS(624),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(622),
    [sym_number] = ACTIONS(622),
    [sym_private_property_identifier] = ACTIONS(622),
    [sym_this] = ACTIONS(624),
    [sym_super] = ACTIONS(624),
    [sym_true] = ACTIONS(624),
    [sym_false] = ACTIONS(624),
    [sym_null] = ACTIONS(624),
    [sym_undefined] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(622),
    [anon_sym_static] = ACTIONS(624),
    [anon_sym_get] = ACTIONS(624),
    [anon_sym_set] = ACTIONS(624),
    [sym__automatic_semicolon] = ACTIONS(656),
    [sym__ternary_qmark] = ACTIONS(622),
    [sym_html_comment] = ACTIONS(5),
  },
  [77] = {
    [ts_builtin_sym_end] = ACTIONS(522),
    [sym_identifier] = ACTIONS(524),
    [anon_sym_export] = ACTIONS(524),
    [anon_sym_STAR] = ACTIONS(524),
    [anon_sym_default] = ACTIONS(524),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_COMMA] = ACTIONS(522),
    [anon_sym_RBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(524),
    [anon_sym_var] = ACTIONS(524),
    [anon_sym_let] = ACTIONS(524),
    [anon_sym_const] = ACTIONS(524),
    [anon_sym_else] = ACTIONS(524),
    [anon_sym_if] = ACTIONS(524),
    [anon_sym_switch] = ACTIONS(524),
    [anon_sym_for] = ACTIONS(524),
    [anon_sym_LPAREN] = ACTIONS(522),
    [anon_sym_await] = ACTIONS(524),
    [anon_sym_in] = ACTIONS(524),
    [anon_sym_while] = ACTIONS(524),
    [anon_sym_do] = ACTIONS(524),
    [anon_sym_try] = ACTIONS(524),
    [anon_sym_break] = ACTIONS(524),
    [anon_sym_continue] = ACTIONS(524),
    [anon_sym_debugger] = ACTIONS(524),
    [anon_sym_return] = ACTIONS(524),
    [anon_sym_throw] = ACTIONS(524),
    [anon_sym_SEMI] = ACTIONS(522),
    [anon_sym_case] = ACTIONS(524),
    [anon_sym_yield] = ACTIONS(524),
    [anon_sym_LBRACK] = ACTIONS(522),
    [anon_sym_LTtemplate_GT] = ACTIONS(522),
    [anon_sym_LT] = ACTIONS(524),
    [anon_sym_GT] = ACTIONS(524),
    [anon_sym_DOT] = ACTIONS(524),
    [anon_sym_DQUOTE] = ACTIONS(522),
    [anon_sym_SQUOTE] = ACTIONS(522),
    [anon_sym_class] = ACTIONS(524),
    [anon_sym_async] = ACTIONS(524),
    [anon_sym_function] = ACTIONS(524),
    [sym_optional_chain] = ACTIONS(522),
    [anon_sym_new] = ACTIONS(524),
    [anon_sym_AMP_AMP] = ACTIONS(522),
    [anon_sym_PIPE_PIPE] = ACTIONS(522),
    [anon_sym_GT_GT] = ACTIONS(524),
    [anon_sym_GT_GT_GT] = ACTIONS(522),
    [anon_sym_LT_LT] = ACTIONS(522),
    [anon_sym_AMP] = ACTIONS(524),
    [anon_sym_CARET] = ACTIONS(522),
    [anon_sym_PIPE] = ACTIONS(524),
    [anon_sym_PLUS] = ACTIONS(524),
    [anon_sym_DASH] = ACTIONS(524),
    [anon_sym_SLASH] = ACTIONS(524),
    [anon_sym_PERCENT] = ACTIONS(522),
    [anon_sym_STAR_STAR] = ACTIONS(522),
    [anon_sym_LT_EQ] = ACTIONS(522),
    [anon_sym_EQ_EQ] = ACTIONS(524),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(522),
    [anon_sym_BANG_EQ] = ACTIONS(524),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(522),
    [anon_sym_GT_EQ] = ACTIONS(522),
    [anon_sym_QMARK_QMARK] = ACTIONS(522),
    [anon_sym_instanceof] = ACTIONS(524),
    [anon_sym_BANG] = ACTIONS(524),
    [anon_sym_TILDE] = ACTIONS(522),
    [anon_sym_typeof] = ACTIONS(524),
    [anon_sym_void] = ACTIONS(524),
    [anon_sym_delete] = ACTIONS(524),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(522),
    [sym_number] = ACTIONS(522),
    [sym_private_property_identifier] = ACTIONS(522),
    [sym_this] = ACTIONS(524),
    [sym_super] = ACTIONS(524),
    [sym_true] = ACTIONS(524),
    [sym_false] = ACTIONS(524),
    [sym_null] = ACTIONS(524),
    [sym_undefined] = ACTIONS(524),
    [anon_sym_AT] = ACTIONS(522),
    [anon_sym_static] = ACTIONS(524),
    [anon_sym_get] = ACTIONS(524),
    [anon_sym_set] = ACTIONS(524),
    [sym__automatic_semicolon] = ACTIONS(658),
    [sym__ternary_qmark] = ACTIONS(522),
    [sym_html_comment] = ACTIONS(5),
  },
  [78] = {
    [ts_builtin_sym_end] = ACTIONS(660),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(662),
    [anon_sym_STAR] = ACTIONS(662),
    [anon_sym_default] = ACTIONS(662),
    [anon_sym_LBRACE] = ACTIONS(660),
    [anon_sym_COMMA] = ACTIONS(660),
    [anon_sym_RBRACE] = ACTIONS(660),
    [anon_sym_import] = ACTIONS(662),
    [anon_sym_with] = ACTIONS(662),
    [anon_sym_var] = ACTIONS(662),
    [anon_sym_let] = ACTIONS(662),
    [anon_sym_const] = ACTIONS(662),
    [anon_sym_else] = ACTIONS(662),
    [anon_sym_if] = ACTIONS(662),
    [anon_sym_switch] = ACTIONS(662),
    [anon_sym_for] = ACTIONS(662),
    [anon_sym_LPAREN] = ACTIONS(660),
    [anon_sym_await] = ACTIONS(662),
    [anon_sym_in] = ACTIONS(662),
    [anon_sym_while] = ACTIONS(662),
    [anon_sym_do] = ACTIONS(662),
    [anon_sym_try] = ACTIONS(662),
    [anon_sym_break] = ACTIONS(662),
    [anon_sym_continue] = ACTIONS(662),
    [anon_sym_debugger] = ACTIONS(662),
    [anon_sym_return] = ACTIONS(662),
    [anon_sym_throw] = ACTIONS(662),
    [anon_sym_SEMI] = ACTIONS(660),
    [anon_sym_case] = ACTIONS(662),
    [anon_sym_yield] = ACTIONS(662),
    [anon_sym_LBRACK] = ACTIONS(660),
    [anon_sym_LTtemplate_GT] = ACTIONS(660),
    [anon_sym_LT] = ACTIONS(662),
    [anon_sym_GT] = ACTIONS(662),
    [anon_sym_DOT] = ACTIONS(662),
    [anon_sym_DQUOTE] = ACTIONS(660),
    [anon_sym_SQUOTE] = ACTIONS(660),
    [anon_sym_class] = ACTIONS(662),
    [anon_sym_async] = ACTIONS(662),
    [anon_sym_function] = ACTIONS(662),
    [sym_optional_chain] = ACTIONS(660),
    [anon_sym_new] = ACTIONS(662),
    [anon_sym_AMP_AMP] = ACTIONS(660),
    [anon_sym_PIPE_PIPE] = ACTIONS(660),
    [anon_sym_GT_GT] = ACTIONS(662),
    [anon_sym_GT_GT_GT] = ACTIONS(660),
    [anon_sym_LT_LT] = ACTIONS(660),
    [anon_sym_AMP] = ACTIONS(662),
    [anon_sym_CARET] = ACTIONS(660),
    [anon_sym_PIPE] = ACTIONS(662),
    [anon_sym_PLUS] = ACTIONS(662),
    [anon_sym_DASH] = ACTIONS(662),
    [anon_sym_SLASH] = ACTIONS(662),
    [anon_sym_PERCENT] = ACTIONS(660),
    [anon_sym_STAR_STAR] = ACTIONS(660),
    [anon_sym_LT_EQ] = ACTIONS(660),
    [anon_sym_EQ_EQ] = ACTIONS(662),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(660),
    [anon_sym_BANG_EQ] = ACTIONS(662),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(660),
    [anon_sym_GT_EQ] = ACTIONS(660),
    [anon_sym_QMARK_QMARK] = ACTIONS(660),
    [anon_sym_instanceof] = ACTIONS(662),
    [anon_sym_BANG] = ACTIONS(662),
    [anon_sym_TILDE] = ACTIONS(660),
    [anon_sym_typeof] = ACTIONS(662),
    [anon_sym_void] = ACTIONS(662),
    [anon_sym_delete] = ACTIONS(662),
    [anon_sym_PLUS_PLUS] = ACTIONS(660),
    [anon_sym_DASH_DASH] = ACTIONS(660),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(660),
    [sym_number] = ACTIONS(660),
    [sym_private_property_identifier] = ACTIONS(660),
    [sym_this] = ACTIONS(662),
    [sym_super] = ACTIONS(662),
    [sym_true] = ACTIONS(662),
    [sym_false] = ACTIONS(662),
    [sym_null] = ACTIONS(662),
    [sym_undefined] = ACTIONS(662),
    [anon_sym_AT] = ACTIONS(660),
    [anon_sym_static] = ACTIONS(662),
    [anon_sym_get] = ACTIONS(662),
    [anon_sym_set] = ACTIONS(662),
    [sym__automatic_semicolon] = ACTIONS(660),
    [sym__ternary_qmark] = ACTIONS(660),
    [sym_html_comment] = ACTIONS(5),
  },
  [79] = {
    [sym_import] = STATE(1126),
    [sym_expression_statement] = STATE(97),
    [sym_variable_declaration] = STATE(97),
    [sym_lexical_declaration] = STATE(97),
    [sym_empty_statement] = STATE(97),
    [sym_parenthesized_expression] = STATE(462),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1354),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1354),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(462),
    [sym_subscript_expression] = STATE(462),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1354),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(554),
    [anon_sym_export] = ACTIONS(556),
    [anon_sym_LBRACE] = ACTIONS(558),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_var] = ACTIONS(560),
    [anon_sym_let] = ACTIONS(562),
    [anon_sym_const] = ACTIONS(564),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(566),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(570),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(556),
    [anon_sym_get] = ACTIONS(556),
    [anon_sym_set] = ACTIONS(556),
    [sym_html_comment] = ACTIONS(5),
  },
  [80] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(713),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1161),
    [sym_assignment_pattern] = STATE(1601),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1161),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(456),
    [sym_subscript_expression] = STATE(456),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1161),
    [sym_spread_element] = STATE(1341),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [sym_pattern] = STATE(1359),
    [sym_rest_pattern] = STATE(1157),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(504),
    [anon_sym_export] = ACTIONS(506),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_COMMA] = ACTIONS(664),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(506),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_RBRACK] = ACTIONS(664),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(512),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(514),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(506),
    [anon_sym_get] = ACTIONS(506),
    [anon_sym_set] = ACTIONS(506),
    [sym_html_comment] = ACTIONS(5),
  },
  [81] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(834),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1173),
    [sym_assignment_pattern] = STATE(1358),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1173),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(459),
    [sym_subscript_expression] = STATE(459),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1173),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [sym_pattern] = STATE(1259),
    [sym_rest_pattern] = STATE(1157),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [aux_sym_array_pattern_repeat1] = STATE(1356),
    [sym_identifier] = ACTIONS(667),
    [anon_sym_export] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_COMMA] = ACTIONS(673),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_RBRACK] = ACTIONS(677),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(679),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(669),
    [anon_sym_set] = ACTIONS(669),
    [sym_html_comment] = ACTIONS(5),
  },
  [82] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(824),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1161),
    [sym_assignment_pattern] = STATE(1358),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1161),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(472),
    [sym_subscript_expression] = STATE(472),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1161),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [sym_pattern] = STATE(1259),
    [sym_rest_pattern] = STATE(1157),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [aux_sym_array_pattern_repeat1] = STATE(1356),
    [sym_identifier] = ACTIONS(685),
    [anon_sym_export] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(689),
    [anon_sym_COMMA] = ACTIONS(673),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(687),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_RBRACK] = ACTIONS(677),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(693),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(687),
    [anon_sym_get] = ACTIONS(687),
    [anon_sym_set] = ACTIONS(687),
    [sym_html_comment] = ACTIONS(5),
  },
  [83] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(834),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1173),
    [sym_assignment_pattern] = STATE(1349),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1173),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(459),
    [sym_subscript_expression] = STATE(459),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1173),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [sym_pattern] = STATE(1193),
    [sym_rest_pattern] = STATE(1157),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [aux_sym_array_pattern_repeat1] = STATE(1346),
    [sym_identifier] = ACTIONS(667),
    [anon_sym_export] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_COMMA] = ACTIONS(673),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_RBRACK] = ACTIONS(697),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(679),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(669),
    [anon_sym_set] = ACTIONS(669),
    [sym_html_comment] = ACTIONS(5),
  },
  [84] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(742),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1161),
    [sym_assignment_pattern] = STATE(1279),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1161),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(456),
    [sym_subscript_expression] = STATE(456),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1161),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_sequence_expression] = STATE(1667),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [sym_pattern] = STATE(1256),
    [sym_rest_pattern] = STATE(1157),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(504),
    [anon_sym_export] = ACTIONS(506),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(506),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(699),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(512),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(514),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(506),
    [anon_sym_get] = ACTIONS(506),
    [anon_sym_set] = ACTIONS(506),
    [sym_html_comment] = ACTIONS(5),
  },
  [85] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(834),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1173),
    [sym_assignment_pattern] = STATE(1601),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1173),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(459),
    [sym_subscript_expression] = STATE(459),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1173),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [sym_pattern] = STATE(1359),
    [sym_rest_pattern] = STATE(1157),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(667),
    [anon_sym_export] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_COMMA] = ACTIONS(701),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_RBRACK] = ACTIONS(701),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(679),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(669),
    [anon_sym_set] = ACTIONS(669),
    [sym_html_comment] = ACTIONS(5),
  },
  [86] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(660),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1161),
    [sym_assignment_pattern] = STATE(1279),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1161),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(456),
    [sym_subscript_expression] = STATE(456),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1161),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_sequence_expression] = STATE(1695),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [sym_pattern] = STATE(1256),
    [sym_rest_pattern] = STATE(1157),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(504),
    [anon_sym_export] = ACTIONS(506),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(506),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(699),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(512),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(514),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(506),
    [anon_sym_get] = ACTIONS(506),
    [anon_sym_set] = ACTIONS(506),
    [sym_html_comment] = ACTIONS(5),
  },
  [87] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(834),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1173),
    [sym_assignment_pattern] = STATE(1570),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1173),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(459),
    [sym_subscript_expression] = STATE(459),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1173),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [sym_pattern] = STATE(1318),
    [sym_rest_pattern] = STATE(1157),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(667),
    [anon_sym_export] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(703),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(679),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(669),
    [anon_sym_set] = ACTIONS(669),
    [sym_html_comment] = ACTIONS(5),
  },
  [88] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(702),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_spread_element] = STATE(1269),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [aux_sym_array_repeat1] = STATE(1271),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_COMMA] = ACTIONS(705),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(707),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(709),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [89] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(703),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_spread_element] = STATE(1311),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [aux_sym_array_repeat1] = STATE(1308),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_COMMA] = ACTIONS(705),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(711),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(709),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [90] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(670),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_spread_element] = STATE(1340),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [aux_sym_array_repeat1] = STATE(1321),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_COMMA] = ACTIONS(705),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(713),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(709),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [91] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(713),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_spread_element] = STATE(1341),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_COMMA] = ACTIONS(715),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(715),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_RBRACK] = ACTIONS(715),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(709),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [92] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(834),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1173),
    [sym_assignment_pattern] = STATE(1570),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1173),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(459),
    [sym_subscript_expression] = STATE(459),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1173),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [sym_pattern] = STATE(1318),
    [sym_rest_pattern] = STATE(1157),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(667),
    [anon_sym_export] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(717),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(679),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(669),
    [anon_sym_set] = ACTIONS(669),
    [sym_html_comment] = ACTIONS(5),
  },
  [93] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(834),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1173),
    [sym_assignment_pattern] = STATE(1279),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1173),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(459),
    [sym_subscript_expression] = STATE(459),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1173),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [sym_pattern] = STATE(1256),
    [sym_rest_pattern] = STATE(1157),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(667),
    [anon_sym_export] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(699),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(679),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(669),
    [anon_sym_set] = ACTIONS(669),
    [sym_html_comment] = ACTIONS(5),
  },
  [94] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(786),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1161),
    [sym_assignment_pattern] = STATE(1569),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1161),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(456),
    [sym_subscript_expression] = STATE(456),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1161),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [sym_pattern] = STATE(1316),
    [sym_rest_pattern] = STATE(1157),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(504),
    [anon_sym_export] = ACTIONS(506),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(506),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(512),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(514),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(506),
    [anon_sym_get] = ACTIONS(506),
    [anon_sym_set] = ACTIONS(506),
    [sym_html_comment] = ACTIONS(5),
  },
  [95] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(707),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_spread_element] = STATE(1611),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_sequence_expression] = STATE(1611),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_RBRACE] = ACTIONS(719),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(709),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [96] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(834),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1173),
    [sym_assignment_pattern] = STATE(1570),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1173),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(459),
    [sym_subscript_expression] = STATE(459),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1173),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [sym_pattern] = STATE(1318),
    [sym_rest_pattern] = STATE(1157),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(667),
    [anon_sym_export] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(679),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(669),
    [anon_sym_set] = ACTIONS(669),
    [sym_html_comment] = ACTIONS(5),
  },
  [97] = {
    [sym_import] = STATE(1126),
    [sym_expression_statement] = STATE(103),
    [sym_empty_statement] = STATE(103),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(448),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [98] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(834),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1173),
    [sym_assignment_pattern] = STATE(1569),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1173),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(459),
    [sym_subscript_expression] = STATE(459),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1173),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [sym_pattern] = STATE(1316),
    [sym_rest_pattern] = STATE(1157),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(667),
    [anon_sym_export] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(679),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(683),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(669),
    [anon_sym_get] = ACTIONS(669),
    [anon_sym_set] = ACTIONS(669),
    [sym_html_comment] = ACTIONS(5),
  },
  [99] = {
    [sym_import] = STATE(1126),
    [sym_expression_statement] = STATE(102),
    [sym_empty_statement] = STATE(102),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1372),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(448),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [100] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(734),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_spread_element] = STATE(1669),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_sequence_expression] = STATE(1669),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_RBRACE] = ACTIONS(721),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(709),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [101] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(621),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1432),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_SEMI] = ACTIONS(723),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(448),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym__automatic_semicolon] = ACTIONS(723),
    [sym_html_comment] = ACTIONS(5),
  },
  [102] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(663),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_sequence_expression] = STATE(1635),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(725),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [103] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(726),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_sequence_expression] = STATE(1630),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(727),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [104] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(476),
    [sym_expression] = STATE(834),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1282),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1282),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(476),
    [sym_subscript_expression] = STATE(476),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1282),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(729),
    [anon_sym_export] = ACTIONS(731),
    [anon_sym_LBRACE] = ACTIONS(733),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_var] = ACTIONS(735),
    [anon_sym_let] = ACTIONS(737),
    [anon_sym_const] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(743),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(745),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_get] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(731),
    [sym_html_comment] = ACTIONS(5),
  },
  [105] = {
    [sym_import] = STATE(1126),
    [sym_statement_block] = STATE(662),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(630),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(747),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(448),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [106] = {
    [sym_import] = STATE(1127),
    [sym_statement_block] = STATE(504),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(505),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [107] = {
    [sym_import] = STATE(1127),
    [sym_statement_block] = STATE(504),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(783),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [108] = {
    [sym_import] = STATE(1127),
    [sym_statement_block] = STATE(522),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(523),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [109] = {
    [sym_import] = STATE(1127),
    [sym_statement_block] = STATE(522),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(821),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1697),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1697),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(992),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1697),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1680),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(452),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(458),
    [anon_sym_yield] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(464),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(468),
    [anon_sym_void] = ACTIONS(468),
    [anon_sym_delete] = ACTIONS(468),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
    [sym_html_comment] = ACTIONS(5),
  },
  [110] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(739),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_sequence_expression] = STATE(1694),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [111] = {
    [sym_import] = STATE(1127),
    [sym_statement_block] = STATE(547),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(794),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1697),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1697),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(992),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1697),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1680),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(452),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(458),
    [anon_sym_yield] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(464),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(468),
    [anon_sym_void] = ACTIONS(468),
    [anon_sym_delete] = ACTIONS(468),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
    [sym_html_comment] = ACTIONS(5),
  },
  [112] = {
    [sym_import] = STATE(1127),
    [sym_statement_block] = STATE(504),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(808),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1697),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1697),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(992),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1697),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1680),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(452),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(458),
    [anon_sym_yield] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(464),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(468),
    [anon_sym_void] = ACTIONS(468),
    [anon_sym_delete] = ACTIONS(468),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
    [sym_html_comment] = ACTIONS(5),
  },
  [113] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(428),
    [sym_expression] = STATE(839),
    [sym_primary_expression] = STATE(606),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(604),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(428),
    [sym_subscript_expression] = STATE(428),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1627),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(753),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DOT] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(759),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(432),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(755),
    [anon_sym_get] = ACTIONS(755),
    [anon_sym_set] = ACTIONS(755),
    [sym_html_comment] = ACTIONS(5),
  },
  [114] = {
    [sym_import] = STATE(1127),
    [sym_statement_block] = STATE(522),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(761),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [115] = {
    [sym_import] = STATE(1126),
    [sym_statement_block] = STATE(657),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(586),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(747),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(448),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [116] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(720),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_sequence_expression] = STATE(1606),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [117] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(721),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_sequence_expression] = STATE(1651),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [118] = {
    [sym_import] = STATE(1126),
    [sym_statement_block] = STATE(682),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(589),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(747),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(448),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [119] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(834),
    [sym_primary_expression] = STATE(488),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(487),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1680),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(763),
    [anon_sym_export] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DOT] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(769),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(765),
    [anon_sym_get] = ACTIONS(765),
    [anon_sym_set] = ACTIONS(765),
    [sym_html_comment] = ACTIONS(5),
  },
  [120] = {
    [sym_import] = STATE(1127),
    [sym_statement_block] = STATE(547),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(548),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [121] = {
    [sym_import] = STATE(1126),
    [sym_statement_block] = STATE(682),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(652),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1625),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1625),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(996),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1625),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1627),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(410),
    [anon_sym_export] = ACTIONS(412),
    [anon_sym_LBRACE] = ACTIONS(747),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(412),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(418),
    [anon_sym_yield] = ACTIONS(420),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_PLUS] = ACTIONS(430),
    [anon_sym_DASH] = ACTIONS(430),
    [anon_sym_SLASH] = ACTIONS(432),
    [anon_sym_BANG] = ACTIONS(434),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_typeof] = ACTIONS(430),
    [anon_sym_void] = ACTIONS(430),
    [anon_sym_delete] = ACTIONS(430),
    [anon_sym_PLUS_PLUS] = ACTIONS(436),
    [anon_sym_DASH_DASH] = ACTIONS(436),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(438),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(440),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(412),
    [anon_sym_get] = ACTIONS(412),
    [anon_sym_set] = ACTIONS(412),
    [sym_html_comment] = ACTIONS(5),
  },
  [122] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(755),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_sequence_expression] = STATE(1673),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [123] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(659),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_sequence_expression] = STATE(1612),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [124] = {
    [sym_import] = STATE(1126),
    [sym_statement_block] = STATE(661),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(644),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1625),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1625),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(996),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1625),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1627),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(410),
    [anon_sym_export] = ACTIONS(412),
    [anon_sym_LBRACE] = ACTIONS(747),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(412),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(418),
    [anon_sym_yield] = ACTIONS(420),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_PLUS] = ACTIONS(430),
    [anon_sym_DASH] = ACTIONS(430),
    [anon_sym_SLASH] = ACTIONS(432),
    [anon_sym_BANG] = ACTIONS(434),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_typeof] = ACTIONS(430),
    [anon_sym_void] = ACTIONS(430),
    [anon_sym_delete] = ACTIONS(430),
    [anon_sym_PLUS_PLUS] = ACTIONS(436),
    [anon_sym_DASH_DASH] = ACTIONS(436),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(438),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(440),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(412),
    [anon_sym_get] = ACTIONS(412),
    [anon_sym_set] = ACTIONS(412),
    [sym_html_comment] = ACTIONS(5),
  },
  [125] = {
    [sym_import] = STATE(1127),
    [sym_statement_block] = STATE(559),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(802),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1697),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1697),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(992),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1697),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1680),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(452),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(458),
    [anon_sym_yield] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(464),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(468),
    [anon_sym_void] = ACTIONS(468),
    [anon_sym_delete] = ACTIONS(468),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
    [sym_html_comment] = ACTIONS(5),
  },
  [126] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(730),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_sequence_expression] = STATE(1668),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [127] = {
    [sym_import] = STATE(1127),
    [sym_statement_block] = STATE(547),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(775),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [128] = {
    [sym_import] = STATE(1126),
    [sym_statement_block] = STATE(657),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(635),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1625),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1625),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(996),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1625),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1627),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(410),
    [anon_sym_export] = ACTIONS(412),
    [anon_sym_LBRACE] = ACTIONS(747),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(412),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(418),
    [anon_sym_yield] = ACTIONS(420),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_PLUS] = ACTIONS(430),
    [anon_sym_DASH] = ACTIONS(430),
    [anon_sym_SLASH] = ACTIONS(432),
    [anon_sym_BANG] = ACTIONS(434),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_typeof] = ACTIONS(430),
    [anon_sym_void] = ACTIONS(430),
    [anon_sym_delete] = ACTIONS(430),
    [anon_sym_PLUS_PLUS] = ACTIONS(436),
    [anon_sym_DASH_DASH] = ACTIONS(436),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(438),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(440),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(412),
    [anon_sym_get] = ACTIONS(412),
    [anon_sym_set] = ACTIONS(412),
    [sym_html_comment] = ACTIONS(5),
  },
  [129] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(691),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_sequence_expression] = STATE(1647),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [130] = {
    [sym_import] = STATE(1127),
    [sym_statement_block] = STATE(559),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(776),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [131] = {
    [sym_import] = STATE(1127),
    [sym_statement_block] = STATE(490),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(777),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [132] = {
    [sym_import] = STATE(1126),
    [sym_statement_block] = STATE(662),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(585),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1625),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1625),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(996),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1625),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1627),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(410),
    [anon_sym_export] = ACTIONS(412),
    [anon_sym_LBRACE] = ACTIONS(747),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(412),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(418),
    [anon_sym_yield] = ACTIONS(420),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_PLUS] = ACTIONS(430),
    [anon_sym_DASH] = ACTIONS(430),
    [anon_sym_SLASH] = ACTIONS(432),
    [anon_sym_BANG] = ACTIONS(434),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_typeof] = ACTIONS(430),
    [anon_sym_void] = ACTIONS(430),
    [anon_sym_delete] = ACTIONS(430),
    [anon_sym_PLUS_PLUS] = ACTIONS(436),
    [anon_sym_DASH_DASH] = ACTIONS(436),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(438),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(440),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(412),
    [anon_sym_get] = ACTIONS(412),
    [anon_sym_set] = ACTIONS(412),
    [sym_html_comment] = ACTIONS(5),
  },
  [133] = {
    [sym_import] = STATE(1127),
    [sym_statement_block] = STATE(563),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(779),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [134] = {
    [sym_import] = STATE(1126),
    [sym_statement_block] = STATE(665),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(650),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1625),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1625),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(996),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1625),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1627),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(410),
    [anon_sym_export] = ACTIONS(412),
    [anon_sym_LBRACE] = ACTIONS(747),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(412),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(418),
    [anon_sym_yield] = ACTIONS(420),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_PLUS] = ACTIONS(430),
    [anon_sym_DASH] = ACTIONS(430),
    [anon_sym_SLASH] = ACTIONS(432),
    [anon_sym_BANG] = ACTIONS(434),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_typeof] = ACTIONS(430),
    [anon_sym_void] = ACTIONS(430),
    [anon_sym_delete] = ACTIONS(430),
    [anon_sym_PLUS_PLUS] = ACTIONS(436),
    [anon_sym_DASH_DASH] = ACTIONS(436),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(438),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(440),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(412),
    [anon_sym_get] = ACTIONS(412),
    [anon_sym_set] = ACTIONS(412),
    [sym_html_comment] = ACTIONS(5),
  },
  [135] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(834),
    [sym_primary_expression] = STATE(488),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(487),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(773),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DOT] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(775),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(773),
    [anon_sym_get] = ACTIONS(773),
    [anon_sym_set] = ACTIONS(773),
    [sym_html_comment] = ACTIONS(5),
  },
  [136] = {
    [sym_import] = STATE(1126),
    [sym_statement_block] = STATE(666),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(639),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1625),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1625),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(996),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1625),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1627),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(410),
    [anon_sym_export] = ACTIONS(412),
    [anon_sym_LBRACE] = ACTIONS(747),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(412),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(418),
    [anon_sym_yield] = ACTIONS(420),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_PLUS] = ACTIONS(430),
    [anon_sym_DASH] = ACTIONS(430),
    [anon_sym_SLASH] = ACTIONS(432),
    [anon_sym_BANG] = ACTIONS(434),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_typeof] = ACTIONS(430),
    [anon_sym_void] = ACTIONS(430),
    [anon_sym_delete] = ACTIONS(430),
    [anon_sym_PLUS_PLUS] = ACTIONS(436),
    [anon_sym_DASH_DASH] = ACTIONS(436),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(438),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(440),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(412),
    [anon_sym_get] = ACTIONS(412),
    [anon_sym_set] = ACTIONS(412),
    [sym_html_comment] = ACTIONS(5),
  },
  [137] = {
    [sym_import] = STATE(1127),
    [sym_statement_block] = STATE(559),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(560),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [138] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(725),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_sequence_expression] = STATE(1676),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [139] = {
    [sym_import] = STATE(1126),
    [sym_statement_block] = STATE(665),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(636),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(747),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(448),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [140] = {
    [sym_import] = STATE(1126),
    [sym_statement_block] = STATE(666),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(638),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(747),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(448),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [141] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(428),
    [sym_expression] = STATE(839),
    [sym_primary_expression] = STATE(606),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(604),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(428),
    [sym_subscript_expression] = STATE(428),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(777),
    [anon_sym_export] = ACTIONS(779),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(779),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DOT] = ACTIONS(757),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(781),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(779),
    [anon_sym_get] = ACTIONS(779),
    [anon_sym_set] = ACTIONS(779),
    [sym_html_comment] = ACTIONS(5),
  },
  [142] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(834),
    [sym_primary_expression] = STATE(488),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(487),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DOT] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [143] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(624),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_sequence_expression] = STATE(1434),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(448),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [144] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(675),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_sequence_expression] = STATE(1645),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [145] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(723),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_sequence_expression] = STATE(1639),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [146] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(719),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_sequence_expression] = STATE(1638),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [147] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(715),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_sequence_expression] = STATE(1637),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [148] = {
    [sym_import] = STATE(1127),
    [sym_statement_block] = STATE(563),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(800),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1697),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1697),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(992),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1697),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1680),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(452),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(458),
    [anon_sym_yield] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(464),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(468),
    [anon_sym_void] = ACTIONS(468),
    [anon_sym_delete] = ACTIONS(468),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
    [sym_html_comment] = ACTIONS(5),
  },
  [149] = {
    [sym_import] = STATE(1127),
    [sym_statement_block] = STATE(490),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(803),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1697),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1697),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(992),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1697),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1680),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(452),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(458),
    [anon_sym_yield] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(464),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(468),
    [anon_sym_void] = ACTIONS(468),
    [anon_sym_delete] = ACTIONS(468),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
    [sym_html_comment] = ACTIONS(5),
  },
  [150] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(677),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_sequence_expression] = STATE(1614),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [151] = {
    [sym_import] = STATE(1127),
    [sym_statement_block] = STATE(563),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(564),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [152] = {
    [sym_import] = STATE(1126),
    [sym_statement_block] = STATE(661),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(627),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(747),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(448),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [153] = {
    [sym_import] = STATE(1127),
    [sym_statement_block] = STATE(490),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(562),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [154] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(531),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [155] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(478),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [156] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(479),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1697),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1697),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(992),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1697),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1680),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(452),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(458),
    [anon_sym_yield] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(464),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(468),
    [anon_sym_void] = ACTIONS(468),
    [anon_sym_delete] = ACTIONS(468),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
    [sym_html_comment] = ACTIONS(5),
  },
  [157] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(766),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [158] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(788),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [159] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(526),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1625),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1625),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(996),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1625),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1627),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(410),
    [anon_sym_export] = ACTIONS(412),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(412),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(418),
    [anon_sym_yield] = ACTIONS(420),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_PLUS] = ACTIONS(430),
    [anon_sym_DASH] = ACTIONS(430),
    [anon_sym_SLASH] = ACTIONS(432),
    [anon_sym_BANG] = ACTIONS(434),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_typeof] = ACTIONS(430),
    [anon_sym_void] = ACTIONS(430),
    [anon_sym_delete] = ACTIONS(430),
    [anon_sym_PLUS_PLUS] = ACTIONS(436),
    [anon_sym_DASH_DASH] = ACTIONS(436),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(438),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(440),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(412),
    [anon_sym_get] = ACTIONS(412),
    [anon_sym_set] = ACTIONS(412),
    [sym_html_comment] = ACTIONS(5),
  },
  [160] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(617),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1625),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1625),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(996),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1625),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1627),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(410),
    [anon_sym_export] = ACTIONS(412),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(412),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(418),
    [anon_sym_yield] = ACTIONS(420),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_PLUS] = ACTIONS(430),
    [anon_sym_DASH] = ACTIONS(430),
    [anon_sym_SLASH] = ACTIONS(432),
    [anon_sym_BANG] = ACTIONS(434),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_typeof] = ACTIONS(430),
    [anon_sym_void] = ACTIONS(430),
    [anon_sym_delete] = ACTIONS(430),
    [anon_sym_PLUS_PLUS] = ACTIONS(436),
    [anon_sym_DASH_DASH] = ACTIONS(436),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(438),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(440),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(412),
    [anon_sym_get] = ACTIONS(412),
    [anon_sym_set] = ACTIONS(412),
    [sym_html_comment] = ACTIONS(5),
  },
  [161] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(767),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [162] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(753),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(448),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [163] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(588),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1189),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1189),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(468),
    [sym_subscript_expression] = STATE(468),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1189),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(783),
    [anon_sym_export] = ACTIONS(785),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(785),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(789),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(785),
    [anon_sym_get] = ACTIONS(785),
    [anon_sym_set] = ACTIONS(785),
    [sym_html_comment] = ACTIONS(5),
  },
  [164] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(785),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [165] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(765),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [166] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(799),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [167] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(781),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [168] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(760),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [169] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(784),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [170] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(810),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [171] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(480),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1697),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1697),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(992),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1697),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1680),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(452),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(458),
    [anon_sym_yield] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(464),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(468),
    [anon_sym_void] = ACTIONS(468),
    [anon_sym_delete] = ACTIONS(468),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
    [sym_html_comment] = ACTIONS(5),
  },
  [172] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(582),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1625),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1625),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(996),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1625),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1627),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(410),
    [anon_sym_export] = ACTIONS(412),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(412),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(418),
    [anon_sym_yield] = ACTIONS(420),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_PLUS] = ACTIONS(430),
    [anon_sym_DASH] = ACTIONS(430),
    [anon_sym_SLASH] = ACTIONS(432),
    [anon_sym_BANG] = ACTIONS(434),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_typeof] = ACTIONS(430),
    [anon_sym_void] = ACTIONS(430),
    [anon_sym_delete] = ACTIONS(430),
    [anon_sym_PLUS_PLUS] = ACTIONS(436),
    [anon_sym_DASH_DASH] = ACTIONS(436),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(438),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(440),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(412),
    [anon_sym_get] = ACTIONS(412),
    [anon_sym_set] = ACTIONS(412),
    [sym_html_comment] = ACTIONS(5),
  },
  [173] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(478),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1697),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1697),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(992),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1697),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1680),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(452),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(458),
    [anon_sym_yield] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(464),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(468),
    [anon_sym_void] = ACTIONS(468),
    [anon_sym_delete] = ACTIONS(468),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
    [sym_html_comment] = ACTIONS(5),
  },
  [174] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(759),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [175] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(762),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [176] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(581),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1625),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1625),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(996),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1625),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1627),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(410),
    [anon_sym_export] = ACTIONS(412),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(412),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(418),
    [anon_sym_yield] = ACTIONS(420),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_PLUS] = ACTIONS(430),
    [anon_sym_DASH] = ACTIONS(430),
    [anon_sym_SLASH] = ACTIONS(432),
    [anon_sym_BANG] = ACTIONS(434),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_typeof] = ACTIONS(430),
    [anon_sym_void] = ACTIONS(430),
    [anon_sym_delete] = ACTIONS(430),
    [anon_sym_PLUS_PLUS] = ACTIONS(436),
    [anon_sym_DASH_DASH] = ACTIONS(436),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(438),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(440),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(412),
    [anon_sym_get] = ACTIONS(412),
    [anon_sym_set] = ACTIONS(412),
    [sym_html_comment] = ACTIONS(5),
  },
  [177] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(805),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1697),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1697),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(992),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1697),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1680),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(452),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(458),
    [anon_sym_yield] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(464),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(468),
    [anon_sym_void] = ACTIONS(468),
    [anon_sym_delete] = ACTIONS(468),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
    [sym_html_comment] = ACTIONS(5),
  },
  [178] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(581),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(448),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [179] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(823),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1697),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1697),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(992),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1697),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1680),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(452),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(458),
    [anon_sym_yield] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(464),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(468),
    [anon_sym_void] = ACTIONS(468),
    [anon_sym_delete] = ACTIONS(468),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
    [sym_html_comment] = ACTIONS(5),
  },
  [180] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(801),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [181] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(791),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1697),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1697),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(992),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1697),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1680),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(452),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(458),
    [anon_sym_yield] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(464),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(468),
    [anon_sym_void] = ACTIONS(468),
    [anon_sym_delete] = ACTIONS(468),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
    [sym_html_comment] = ACTIONS(5),
  },
  [182] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(642),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1625),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1625),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(996),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1625),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1627),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(410),
    [anon_sym_export] = ACTIONS(412),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(412),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(418),
    [anon_sym_yield] = ACTIONS(420),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_PLUS] = ACTIONS(430),
    [anon_sym_DASH] = ACTIONS(430),
    [anon_sym_SLASH] = ACTIONS(432),
    [anon_sym_BANG] = ACTIONS(434),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_typeof] = ACTIONS(430),
    [anon_sym_void] = ACTIONS(430),
    [anon_sym_delete] = ACTIONS(430),
    [anon_sym_PLUS_PLUS] = ACTIONS(436),
    [anon_sym_DASH_DASH] = ACTIONS(436),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(438),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(440),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(412),
    [anon_sym_get] = ACTIONS(412),
    [anon_sym_set] = ACTIONS(412),
    [sym_html_comment] = ACTIONS(5),
  },
  [183] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(782),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [184] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(572),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [185] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(478),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [186] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(596),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [187] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(588),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [188] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(645),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1625),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1625),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(996),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1625),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1627),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(410),
    [anon_sym_export] = ACTIONS(412),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(412),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(418),
    [anon_sym_yield] = ACTIONS(420),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_PLUS] = ACTIONS(430),
    [anon_sym_DASH] = ACTIONS(430),
    [anon_sym_SLASH] = ACTIONS(432),
    [anon_sym_BANG] = ACTIONS(434),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_typeof] = ACTIONS(430),
    [anon_sym_void] = ACTIONS(430),
    [anon_sym_delete] = ACTIONS(430),
    [anon_sym_PLUS_PLUS] = ACTIONS(436),
    [anon_sym_DASH_DASH] = ACTIONS(436),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(438),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(440),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(412),
    [anon_sym_get] = ACTIONS(412),
    [anon_sym_set] = ACTIONS(412),
    [sym_html_comment] = ACTIONS(5),
  },
  [189] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(798),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [190] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(631),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1625),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1625),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(996),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1625),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1627),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(410),
    [anon_sym_export] = ACTIONS(412),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(412),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(418),
    [anon_sym_yield] = ACTIONS(420),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_PLUS] = ACTIONS(430),
    [anon_sym_DASH] = ACTIONS(430),
    [anon_sym_SLASH] = ACTIONS(432),
    [anon_sym_BANG] = ACTIONS(434),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_typeof] = ACTIONS(430),
    [anon_sym_void] = ACTIONS(430),
    [anon_sym_delete] = ACTIONS(430),
    [anon_sym_PLUS_PLUS] = ACTIONS(436),
    [anon_sym_DASH_DASH] = ACTIONS(436),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(438),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(440),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(412),
    [anon_sym_get] = ACTIONS(412),
    [anon_sym_set] = ACTIONS(412),
    [sym_html_comment] = ACTIONS(5),
  },
  [191] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(602),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(448),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [192] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(633),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(448),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [193] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(764),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [194] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(622),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(448),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [195] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(819),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1697),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1697),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(992),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1697),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1680),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(452),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(458),
    [anon_sym_yield] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(464),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(468),
    [anon_sym_void] = ACTIONS(468),
    [anon_sym_delete] = ACTIONS(468),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
    [sym_html_comment] = ACTIONS(5),
  },
  [196] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(479),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [197] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(796),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1697),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1697),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(992),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1697),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1680),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(452),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(458),
    [anon_sym_yield] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(464),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(468),
    [anon_sym_void] = ACTIONS(468),
    [anon_sym_delete] = ACTIONS(468),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
    [sym_html_comment] = ACTIONS(5),
  },
  [198] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(584),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1625),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1625),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(996),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1625),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1627),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(410),
    [anon_sym_export] = ACTIONS(412),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(412),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(418),
    [anon_sym_yield] = ACTIONS(420),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_PLUS] = ACTIONS(430),
    [anon_sym_DASH] = ACTIONS(430),
    [anon_sym_SLASH] = ACTIONS(432),
    [anon_sym_BANG] = ACTIONS(434),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_typeof] = ACTIONS(430),
    [anon_sym_void] = ACTIONS(430),
    [anon_sym_delete] = ACTIONS(430),
    [anon_sym_PLUS_PLUS] = ACTIONS(436),
    [anon_sym_DASH_DASH] = ACTIONS(436),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(438),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(440),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(412),
    [anon_sym_get] = ACTIONS(412),
    [anon_sym_set] = ACTIONS(412),
    [sym_html_comment] = ACTIONS(5),
  },
  [199] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(605),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(448),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [200] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(817),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [201] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(448),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [202] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(797),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [203] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(599),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(448),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [204] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(674),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(448),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [205] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(480),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [206] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(480),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [207] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(647),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(448),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [208] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(632),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(448),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [209] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(629),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(448),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [210] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(614),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(448),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [211] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(612),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(448),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [212] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(611),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(448),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [213] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(610),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(448),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [214] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(448),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [215] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(608),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(448),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [216] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(607),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(448),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [217] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(479),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [218] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(582),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(448),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [219] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(809),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1697),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1697),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(992),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1697),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1680),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(452),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(458),
    [anon_sym_yield] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(464),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(468),
    [anon_sym_void] = ACTIONS(468),
    [anon_sym_delete] = ACTIONS(468),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
    [sym_html_comment] = ACTIONS(5),
  },
  [220] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(763),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [221] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(526),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(448),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [222] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(640),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1625),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1625),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(996),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1625),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1627),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(410),
    [anon_sym_export] = ACTIONS(412),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(412),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(418),
    [anon_sym_yield] = ACTIONS(420),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_PLUS] = ACTIONS(430),
    [anon_sym_DASH] = ACTIONS(430),
    [anon_sym_SLASH] = ACTIONS(432),
    [anon_sym_BANG] = ACTIONS(434),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_typeof] = ACTIONS(430),
    [anon_sym_void] = ACTIONS(430),
    [anon_sym_delete] = ACTIONS(430),
    [anon_sym_PLUS_PLUS] = ACTIONS(436),
    [anon_sym_DASH_DASH] = ACTIONS(436),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(438),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(440),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(412),
    [anon_sym_get] = ACTIONS(412),
    [anon_sym_set] = ACTIONS(412),
    [sym_html_comment] = ACTIONS(5),
  },
  [223] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(503),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [224] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(597),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(448),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [225] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(786),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [226] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(834),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1158),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1158),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(461),
    [sym_subscript_expression] = STATE(461),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1158),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(791),
    [anon_sym_export] = ACTIONS(793),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(795),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(797),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(793),
    [anon_sym_get] = ACTIONS(793),
    [anon_sym_set] = ACTIONS(793),
    [sym_html_comment] = ACTIONS(5),
  },
  [227] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(546),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [228] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(603),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(448),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [229] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(592),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(448),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [230] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(780),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [231] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(541),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [232] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(540),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [233] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(539),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [234] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(538),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [235] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(537),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [236] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(536),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [237] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(815),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [238] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(770),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [239] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(774),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [240] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(535),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [241] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(534),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [242] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(533),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [243] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(532),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [244] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(637),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1625),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1625),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(996),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1625),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1627),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(410),
    [anon_sym_export] = ACTIONS(412),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(412),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(418),
    [anon_sym_yield] = ACTIONS(420),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_PLUS] = ACTIONS(430),
    [anon_sym_DASH] = ACTIONS(430),
    [anon_sym_SLASH] = ACTIONS(432),
    [anon_sym_BANG] = ACTIONS(434),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_typeof] = ACTIONS(430),
    [anon_sym_void] = ACTIONS(430),
    [anon_sym_delete] = ACTIONS(430),
    [anon_sym_PLUS_PLUS] = ACTIONS(436),
    [anon_sym_DASH_DASH] = ACTIONS(436),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(438),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(440),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(412),
    [anon_sym_get] = ACTIONS(412),
    [anon_sym_set] = ACTIONS(412),
    [sym_html_comment] = ACTIONS(5),
  },
  [245] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(530),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [246] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(641),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1625),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1625),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(996),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1625),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1627),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(410),
    [anon_sym_export] = ACTIONS(412),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(412),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(418),
    [anon_sym_yield] = ACTIONS(420),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_PLUS] = ACTIONS(430),
    [anon_sym_DASH] = ACTIONS(430),
    [anon_sym_SLASH] = ACTIONS(432),
    [anon_sym_BANG] = ACTIONS(434),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_typeof] = ACTIONS(430),
    [anon_sym_void] = ACTIONS(430),
    [anon_sym_delete] = ACTIONS(430),
    [anon_sym_PLUS_PLUS] = ACTIONS(436),
    [anon_sym_DASH_DASH] = ACTIONS(436),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(438),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(440),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(412),
    [anon_sym_get] = ACTIONS(412),
    [anon_sym_set] = ACTIONS(412),
    [sym_html_comment] = ACTIONS(5),
  },
  [247] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(524),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [248] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(626),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1625),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1625),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(996),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1625),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1627),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(410),
    [anon_sym_export] = ACTIONS(412),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(412),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(418),
    [anon_sym_yield] = ACTIONS(420),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_PLUS] = ACTIONS(430),
    [anon_sym_DASH] = ACTIONS(430),
    [anon_sym_SLASH] = ACTIONS(432),
    [anon_sym_BANG] = ACTIONS(434),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_typeof] = ACTIONS(430),
    [anon_sym_void] = ACTIONS(430),
    [anon_sym_delete] = ACTIONS(430),
    [anon_sym_PLUS_PLUS] = ACTIONS(436),
    [anon_sym_DASH_DASH] = ACTIONS(436),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(438),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(440),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(412),
    [anon_sym_get] = ACTIONS(412),
    [anon_sym_set] = ACTIONS(412),
    [sym_html_comment] = ACTIONS(5),
  },
  [249] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(601),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1625),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1625),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(996),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1625),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1627),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(410),
    [anon_sym_export] = ACTIONS(412),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(412),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(418),
    [anon_sym_yield] = ACTIONS(420),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_PLUS] = ACTIONS(430),
    [anon_sym_DASH] = ACTIONS(430),
    [anon_sym_SLASH] = ACTIONS(432),
    [anon_sym_BANG] = ACTIONS(434),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_typeof] = ACTIONS(430),
    [anon_sym_void] = ACTIONS(430),
    [anon_sym_delete] = ACTIONS(430),
    [anon_sym_PLUS_PLUS] = ACTIONS(436),
    [anon_sym_DASH_DASH] = ACTIONS(436),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(438),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(440),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(412),
    [anon_sym_get] = ACTIONS(412),
    [anon_sym_set] = ACTIONS(412),
    [sym_html_comment] = ACTIONS(5),
  },
  [250] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(822),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1697),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1697),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(992),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1697),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1680),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(452),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(458),
    [anon_sym_yield] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(464),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(468),
    [anon_sym_void] = ACTIONS(468),
    [anon_sym_delete] = ACTIONS(468),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
    [sym_html_comment] = ACTIONS(5),
  },
  [251] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(826),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1697),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1697),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(992),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1697),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1680),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(452),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(458),
    [anon_sym_yield] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(464),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(468),
    [anon_sym_void] = ACTIONS(468),
    [anon_sym_delete] = ACTIONS(468),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
    [sym_html_comment] = ACTIONS(5),
  },
  [252] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(521),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [253] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(643),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1625),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1625),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(996),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1625),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1627),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(410),
    [anon_sym_export] = ACTIONS(412),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(412),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(418),
    [anon_sym_yield] = ACTIONS(420),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_PLUS] = ACTIONS(430),
    [anon_sym_DASH] = ACTIONS(430),
    [anon_sym_SLASH] = ACTIONS(432),
    [anon_sym_BANG] = ACTIONS(434),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_typeof] = ACTIONS(430),
    [anon_sym_void] = ACTIONS(430),
    [anon_sym_delete] = ACTIONS(430),
    [anon_sym_PLUS_PLUS] = ACTIONS(436),
    [anon_sym_DASH_DASH] = ACTIONS(436),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(438),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(440),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(412),
    [anon_sym_get] = ACTIONS(412),
    [anon_sym_set] = ACTIONS(412),
    [sym_html_comment] = ACTIONS(5),
  },
  [254] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(816),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1697),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1697),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(992),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1697),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1680),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(452),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(458),
    [anon_sym_yield] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(464),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(468),
    [anon_sym_void] = ACTIONS(468),
    [anon_sym_delete] = ACTIONS(468),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
    [sym_html_comment] = ACTIONS(5),
  },
  [255] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(648),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1625),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1625),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(996),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1625),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1627),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(410),
    [anon_sym_export] = ACTIONS(412),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(412),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(418),
    [anon_sym_yield] = ACTIONS(420),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_PLUS] = ACTIONS(430),
    [anon_sym_DASH] = ACTIONS(430),
    [anon_sym_SLASH] = ACTIONS(432),
    [anon_sym_BANG] = ACTIONS(434),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_typeof] = ACTIONS(430),
    [anon_sym_void] = ACTIONS(430),
    [anon_sym_delete] = ACTIONS(430),
    [anon_sym_PLUS_PLUS] = ACTIONS(436),
    [anon_sym_DASH_DASH] = ACTIONS(436),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(438),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(440),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(412),
    [anon_sym_get] = ACTIONS(412),
    [anon_sym_set] = ACTIONS(412),
    [sym_html_comment] = ACTIONS(5),
  },
  [256] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(825),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1697),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1697),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(992),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1697),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1680),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(452),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(458),
    [anon_sym_yield] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(464),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(468),
    [anon_sym_void] = ACTIONS(468),
    [anon_sym_delete] = ACTIONS(468),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
    [sym_html_comment] = ACTIONS(5),
  },
  [257] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(814),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1697),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1697),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(992),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1697),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1680),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(452),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(458),
    [anon_sym_yield] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(464),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(468),
    [anon_sym_void] = ACTIONS(468),
    [anon_sym_delete] = ACTIONS(468),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
    [sym_html_comment] = ACTIONS(5),
  },
  [258] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(649),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1625),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1625),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(996),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1625),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1627),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(410),
    [anon_sym_export] = ACTIONS(412),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(412),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(418),
    [anon_sym_yield] = ACTIONS(420),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_PLUS] = ACTIONS(430),
    [anon_sym_DASH] = ACTIONS(430),
    [anon_sym_SLASH] = ACTIONS(432),
    [anon_sym_BANG] = ACTIONS(434),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_typeof] = ACTIONS(430),
    [anon_sym_void] = ACTIONS(430),
    [anon_sym_delete] = ACTIONS(430),
    [anon_sym_PLUS_PLUS] = ACTIONS(436),
    [anon_sym_DASH_DASH] = ACTIONS(436),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(438),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(440),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(412),
    [anon_sym_get] = ACTIONS(412),
    [anon_sym_set] = ACTIONS(412),
    [sym_html_comment] = ACTIONS(5),
  },
  [259] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(463),
    [sym_expression] = STATE(593),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1687),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1687),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(463),
    [sym_subscript_expression] = STATE(463),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(1004),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1687),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1685),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_export] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(448),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_get] = ACTIONS(444),
    [anon_sym_set] = ACTIONS(444),
    [sym_html_comment] = ACTIONS(5),
  },
  [260] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(773),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [261] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(653),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1625),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1625),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(996),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1625),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1627),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(410),
    [anon_sym_export] = ACTIONS(412),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(412),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(418),
    [anon_sym_yield] = ACTIONS(420),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_PLUS] = ACTIONS(430),
    [anon_sym_DASH] = ACTIONS(430),
    [anon_sym_SLASH] = ACTIONS(432),
    [anon_sym_BANG] = ACTIONS(434),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_typeof] = ACTIONS(430),
    [anon_sym_void] = ACTIONS(430),
    [anon_sym_delete] = ACTIONS(430),
    [anon_sym_PLUS_PLUS] = ACTIONS(436),
    [anon_sym_DASH_DASH] = ACTIONS(436),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(438),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(440),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(412),
    [anon_sym_get] = ACTIONS(412),
    [anon_sym_set] = ACTIONS(412),
    [sym_html_comment] = ACTIONS(5),
  },
  [262] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(813),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1697),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1697),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(992),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1697),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1680),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(452),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(458),
    [anon_sym_yield] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(464),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(468),
    [anon_sym_void] = ACTIONS(468),
    [anon_sym_delete] = ACTIONS(468),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
    [sym_html_comment] = ACTIONS(5),
  },
  [263] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(824),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [264] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(811),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1697),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1697),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(992),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1697),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1680),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(452),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(458),
    [anon_sym_yield] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(464),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(468),
    [anon_sym_void] = ACTIONS(468),
    [anon_sym_delete] = ACTIONS(468),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
    [sym_html_comment] = ACTIONS(5),
  },
  [265] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(654),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1625),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1625),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(996),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1625),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1627),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(410),
    [anon_sym_export] = ACTIONS(412),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(412),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(418),
    [anon_sym_yield] = ACTIONS(420),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_PLUS] = ACTIONS(430),
    [anon_sym_DASH] = ACTIONS(430),
    [anon_sym_SLASH] = ACTIONS(432),
    [anon_sym_BANG] = ACTIONS(434),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_typeof] = ACTIONS(430),
    [anon_sym_void] = ACTIONS(430),
    [anon_sym_delete] = ACTIONS(430),
    [anon_sym_PLUS_PLUS] = ACTIONS(436),
    [anon_sym_DASH_DASH] = ACTIONS(436),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(438),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(440),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(412),
    [anon_sym_get] = ACTIONS(412),
    [anon_sym_set] = ACTIONS(412),
    [sym_html_comment] = ACTIONS(5),
  },
  [266] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(771),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [267] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(427),
    [sym_expression] = STATE(511),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1696),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1696),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(427),
    [sym_subscript_expression] = STATE(427),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(1008),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1696),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1656),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(386),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(392),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_TILDE] = ACTIONS(396),
    [anon_sym_typeof] = ACTIONS(392),
    [anon_sym_void] = ACTIONS(392),
    [anon_sym_delete] = ACTIONS(392),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(404),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(408),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [268] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(619),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1625),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1625),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(996),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1625),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1627),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(410),
    [anon_sym_export] = ACTIONS(412),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(412),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(418),
    [anon_sym_yield] = ACTIONS(420),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_PLUS] = ACTIONS(430),
    [anon_sym_DASH] = ACTIONS(430),
    [anon_sym_SLASH] = ACTIONS(432),
    [anon_sym_BANG] = ACTIONS(434),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_typeof] = ACTIONS(430),
    [anon_sym_void] = ACTIONS(430),
    [anon_sym_delete] = ACTIONS(430),
    [anon_sym_PLUS_PLUS] = ACTIONS(436),
    [anon_sym_DASH_DASH] = ACTIONS(436),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(438),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(440),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(412),
    [anon_sym_get] = ACTIONS(412),
    [anon_sym_set] = ACTIONS(412),
    [sym_html_comment] = ACTIONS(5),
  },
  [269] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(620),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1625),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1625),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(996),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1625),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1627),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(410),
    [anon_sym_export] = ACTIONS(412),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(412),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(418),
    [anon_sym_yield] = ACTIONS(420),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_PLUS] = ACTIONS(430),
    [anon_sym_DASH] = ACTIONS(430),
    [anon_sym_SLASH] = ACTIONS(432),
    [anon_sym_BANG] = ACTIONS(434),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_typeof] = ACTIONS(430),
    [anon_sym_void] = ACTIONS(430),
    [anon_sym_delete] = ACTIONS(430),
    [anon_sym_PLUS_PLUS] = ACTIONS(436),
    [anon_sym_DASH_DASH] = ACTIONS(436),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(438),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(440),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(412),
    [anon_sym_get] = ACTIONS(412),
    [anon_sym_set] = ACTIONS(412),
    [sym_html_comment] = ACTIONS(5),
  },
  [270] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(792),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1697),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1697),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(992),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1697),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1680),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(452),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(458),
    [anon_sym_yield] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(464),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(468),
    [anon_sym_void] = ACTIONS(468),
    [anon_sym_delete] = ACTIONS(468),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
    [sym_html_comment] = ACTIONS(5),
  },
  [271] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(793),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1697),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1697),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(992),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1697),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1680),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(452),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(458),
    [anon_sym_yield] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(464),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(468),
    [anon_sym_void] = ACTIONS(468),
    [anon_sym_delete] = ACTIONS(468),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
    [sym_html_comment] = ACTIONS(5),
  },
  [272] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(812),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1697),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1697),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(992),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1697),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1680),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(452),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(458),
    [anon_sym_yield] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(464),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(468),
    [anon_sym_void] = ACTIONS(468),
    [anon_sym_delete] = ACTIONS(468),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
    [sym_html_comment] = ACTIONS(5),
  },
  [273] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(818),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1697),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1697),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(992),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1697),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1680),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(452),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(458),
    [anon_sym_yield] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(464),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(468),
    [anon_sym_void] = ACTIONS(468),
    [anon_sym_delete] = ACTIONS(468),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
    [sym_html_comment] = ACTIONS(5),
  },
  [274] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(406),
    [sym_expression] = STATE(772),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1653),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1653),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(406),
    [sym_subscript_expression] = STATE(406),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(998),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1653),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(480),
    [anon_sym_export] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(482),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(486),
    [anon_sym_yield] = ACTIONS(488),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(490),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(494),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_typeof] = ACTIONS(494),
    [anon_sym_void] = ACTIONS(494),
    [anon_sym_delete] = ACTIONS(494),
    [anon_sym_PLUS_PLUS] = ACTIONS(498),
    [anon_sym_DASH_DASH] = ACTIONS(498),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(500),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(482),
    [anon_sym_get] = ACTIONS(482),
    [anon_sym_set] = ACTIONS(482),
    [sym_html_comment] = ACTIONS(5),
  },
  [275] = {
    [sym_import] = STATE(1126),
    [sym_parenthesized_expression] = STATE(457),
    [sym_expression] = STATE(625),
    [sym_primary_expression] = STATE(689),
    [sym_yield_expression] = STATE(690),
    [sym_object] = STATE(687),
    [sym_object_pattern] = STATE(1625),
    [sym_array] = STATE(687),
    [sym_array_pattern] = STATE(1625),
    [sym_glimmer_template] = STATE(690),
    [sym_glimmer_opening_tag] = STATE(1236),
    [sym_jsx_element] = STATE(690),
    [sym_jsx_opening_element] = STATE(1020),
    [sym_jsx_self_closing_element] = STATE(690),
    [sym_class] = STATE(687),
    [sym_function_expression] = STATE(687),
    [sym_generator_function] = STATE(687),
    [sym_arrow_function] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_new_expression] = STATE(690),
    [sym_await_expression] = STATE(690),
    [sym_member_expression] = STATE(457),
    [sym_subscript_expression] = STATE(457),
    [sym_assignment_expression] = STATE(690),
    [sym__augmented_assignment_lhs] = STATE(996),
    [sym_augmented_assignment_expression] = STATE(690),
    [sym__destructuring_pattern] = STATE(1625),
    [sym_ternary_expression] = STATE(690),
    [sym_binary_expression] = STATE(690),
    [sym_unary_expression] = STATE(690),
    [sym_update_expression] = STATE(690),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_regex] = STATE(687),
    [sym_meta_property] = STATE(687),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1627),
    [aux_sym_export_statement_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(410),
    [anon_sym_export] = ACTIONS(412),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(412),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(418),
    [anon_sym_yield] = ACTIONS(420),
    [anon_sym_LBRACK] = ACTIONS(57),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_PLUS] = ACTIONS(430),
    [anon_sym_DASH] = ACTIONS(430),
    [anon_sym_SLASH] = ACTIONS(432),
    [anon_sym_BANG] = ACTIONS(434),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_typeof] = ACTIONS(430),
    [anon_sym_void] = ACTIONS(430),
    [anon_sym_delete] = ACTIONS(430),
    [anon_sym_PLUS_PLUS] = ACTIONS(436),
    [anon_sym_DASH_DASH] = ACTIONS(436),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(438),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(440),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(412),
    [anon_sym_get] = ACTIONS(412),
    [anon_sym_set] = ACTIONS(412),
    [sym_html_comment] = ACTIONS(5),
  },
  [276] = {
    [sym_import] = STATE(1127),
    [sym_parenthesized_expression] = STATE(477),
    [sym_expression] = STATE(790),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(496),
    [sym_object] = STATE(498),
    [sym_object_pattern] = STATE(1697),
    [sym_array] = STATE(498),
    [sym_array_pattern] = STATE(1697),
    [sym_glimmer_template] = STATE(496),
    [sym_glimmer_opening_tag] = STATE(1210),
    [sym_jsx_element] = STATE(496),
    [sym_jsx_opening_element] = STATE(1017),
    [sym_jsx_self_closing_element] = STATE(496),
    [sym_class] = STATE(498),
    [sym_function_expression] = STATE(498),
    [sym_generator_function] = STATE(498),
    [sym_arrow_function] = STATE(498),
    [sym_call_expression] = STATE(498),
    [sym_new_expression] = STATE(496),
    [sym_await_expression] = STATE(496),
    [sym_member_expression] = STATE(477),
    [sym_subscript_expression] = STATE(477),
    [sym_assignment_expression] = STATE(496),
    [sym__augmented_assignment_lhs] = STATE(992),
    [sym_augmented_assignment_expression] = STATE(496),
    [sym__destructuring_pattern] = STATE(1697),
    [sym_ternary_expression] = STATE(496),
    [sym_binary_expression] = STATE(496),
    [sym_unary_expression] = STATE(496),
    [sym_update_expression] = STATE(496),
    [sym_string] = STATE(498),
    [sym_template_string] = STATE(498),
    [sym_regex] = STATE(498),
    [sym_meta_property] = STATE(498),
    [sym_decorator] = STATE(974),
    [sym_formal_parameters] = STATE(1680),
    [aux_sym_export_statement_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(452),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(458),
    [anon_sym_yield] = ACTIONS(460),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_LTtemplate_GT] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [anon_sym_SQUOTE] = ACTIONS(382),
    [anon_sym_class] = ACTIONS(384),
    [anon_sym_async] = ACTIONS(464),
    [anon_sym_function] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_SLASH] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(472),
    [anon_sym_typeof] = ACTIONS(468),
    [anon_sym_void] = ACTIONS(468),
    [anon_sym_delete] = ACTIONS(468),
    [anon_sym_PLUS_PLUS] = ACTIONS(474),
    [anon_sym_DASH_DASH] = ACTIONS(474),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(400),
    [sym_number] = ACTIONS(402),
    [sym_private_property_identifier] = ACTIONS(476),
    [sym_this] = ACTIONS(406),
    [sym_super] = ACTIONS(406),
    [sym_true] = ACTIONS(406),
    [sym_false] = ACTIONS(406),
    [sym_null] = ACTIONS(406),
    [sym_undefined] = ACTIONS(478),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
    [sym_html_comment] = ACTIONS(5),
  },
  [277] = {
    [sym_namespace_export] = STATE(1395),
    [sym_export_clause] = STATE(1250),
    [sym_declaration] = STATE(353),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_class_declaration] = STATE(390),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function_declaration] = STATE(390),
    [sym_decorator] = STATE(974),
    [aux_sym_export_statement_repeat1] = STATE(1251),
    [aux_sym_object_repeat1] = STATE(1360),
    [aux_sym_object_pattern_repeat1] = STATE(1302),
    [anon_sym_STAR] = ACTIONS(799),
    [anon_sym_default] = ACTIONS(801),
    [anon_sym_LBRACE] = ACTIONS(803),
    [anon_sym_COMMA] = ACTIONS(805),
    [anon_sym_RBRACE] = ACTIONS(807),
    [anon_sym_var] = ACTIONS(809),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_const] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(813),
    [anon_sym_in] = ACTIONS(816),
    [anon_sym_SEMI] = ACTIONS(805),
    [anon_sym_COLON] = ACTIONS(818),
    [anon_sym_EQ] = ACTIONS(821),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_LT] = ACTIONS(816),
    [anon_sym_GT] = ACTIONS(816),
    [anon_sym_DOT] = ACTIONS(805),
    [anon_sym_class] = ACTIONS(823),
    [anon_sym_async] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_EQ_GT] = ACTIONS(829),
    [sym_optional_chain] = ACTIONS(805),
    [anon_sym_PLUS_EQ] = ACTIONS(831),
    [anon_sym_DASH_EQ] = ACTIONS(831),
    [anon_sym_STAR_EQ] = ACTIONS(831),
    [anon_sym_SLASH_EQ] = ACTIONS(831),
    [anon_sym_PERCENT_EQ] = ACTIONS(831),
    [anon_sym_CARET_EQ] = ACTIONS(831),
    [anon_sym_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_LT_EQ] = ACTIONS(831),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(831),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP] = ACTIONS(816),
    [anon_sym_PIPE_PIPE] = ACTIONS(816),
    [anon_sym_GT_GT] = ACTIONS(816),
    [anon_sym_GT_GT_GT] = ACTIONS(816),
    [anon_sym_LT_LT] = ACTIONS(816),
    [anon_sym_AMP] = ACTIONS(816),
    [anon_sym_CARET] = ACTIONS(816),
    [anon_sym_PIPE] = ACTIONS(816),
    [anon_sym_PLUS] = ACTIONS(816),
    [anon_sym_DASH] = ACTIONS(816),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_PERCENT] = ACTIONS(816),
    [anon_sym_STAR_STAR] = ACTIONS(816),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(816),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(816),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(805),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_QMARK_QMARK] = ACTIONS(816),
    [anon_sym_instanceof] = ACTIONS(805),
    [anon_sym_PLUS_PLUS] = ACTIONS(805),
    [anon_sym_DASH_DASH] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(805),
    [anon_sym_AT] = ACTIONS(93),
    [sym__automatic_semicolon] = ACTIONS(805),
    [sym__ternary_qmark] = ACTIONS(805),
    [sym_html_comment] = ACTIONS(5),
  },
  [278] = {
    [sym_namespace_export] = STATE(1395),
    [sym_export_clause] = STATE(1250),
    [sym_declaration] = STATE(353),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_class_declaration] = STATE(390),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function_declaration] = STATE(390),
    [sym_decorator] = STATE(974),
    [aux_sym_export_statement_repeat1] = STATE(1251),
    [aux_sym_object_repeat1] = STATE(1330),
    [aux_sym_object_pattern_repeat1] = STATE(1302),
    [anon_sym_STAR] = ACTIONS(799),
    [anon_sym_default] = ACTIONS(801),
    [anon_sym_LBRACE] = ACTIONS(803),
    [anon_sym_COMMA] = ACTIONS(805),
    [anon_sym_RBRACE] = ACTIONS(833),
    [anon_sym_var] = ACTIONS(809),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_const] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(813),
    [anon_sym_in] = ACTIONS(816),
    [anon_sym_SEMI] = ACTIONS(805),
    [anon_sym_COLON] = ACTIONS(818),
    [anon_sym_EQ] = ACTIONS(821),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_LT] = ACTIONS(816),
    [anon_sym_GT] = ACTIONS(816),
    [anon_sym_DOT] = ACTIONS(805),
    [anon_sym_class] = ACTIONS(823),
    [anon_sym_async] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_EQ_GT] = ACTIONS(829),
    [sym_optional_chain] = ACTIONS(805),
    [anon_sym_PLUS_EQ] = ACTIONS(831),
    [anon_sym_DASH_EQ] = ACTIONS(831),
    [anon_sym_STAR_EQ] = ACTIONS(831),
    [anon_sym_SLASH_EQ] = ACTIONS(831),
    [anon_sym_PERCENT_EQ] = ACTIONS(831),
    [anon_sym_CARET_EQ] = ACTIONS(831),
    [anon_sym_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_LT_EQ] = ACTIONS(831),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(831),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP] = ACTIONS(816),
    [anon_sym_PIPE_PIPE] = ACTIONS(816),
    [anon_sym_GT_GT] = ACTIONS(816),
    [anon_sym_GT_GT_GT] = ACTIONS(816),
    [anon_sym_LT_LT] = ACTIONS(816),
    [anon_sym_AMP] = ACTIONS(816),
    [anon_sym_CARET] = ACTIONS(816),
    [anon_sym_PIPE] = ACTIONS(816),
    [anon_sym_PLUS] = ACTIONS(816),
    [anon_sym_DASH] = ACTIONS(816),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_PERCENT] = ACTIONS(816),
    [anon_sym_STAR_STAR] = ACTIONS(816),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(816),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(816),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(805),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_QMARK_QMARK] = ACTIONS(816),
    [anon_sym_instanceof] = ACTIONS(805),
    [anon_sym_PLUS_PLUS] = ACTIONS(805),
    [anon_sym_DASH_DASH] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(805),
    [anon_sym_AT] = ACTIONS(93),
    [sym__automatic_semicolon] = ACTIONS(805),
    [sym__ternary_qmark] = ACTIONS(805),
    [sym_html_comment] = ACTIONS(5),
  },
  [279] = {
    [sym_namespace_export] = STATE(1395),
    [sym_export_clause] = STATE(1250),
    [sym_declaration] = STATE(353),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_class_declaration] = STATE(390),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function_declaration] = STATE(390),
    [sym_decorator] = STATE(974),
    [aux_sym_export_statement_repeat1] = STATE(1251),
    [aux_sym_object_repeat1] = STATE(1330),
    [aux_sym_object_pattern_repeat1] = STATE(1302),
    [anon_sym_STAR] = ACTIONS(799),
    [anon_sym_default] = ACTIONS(801),
    [anon_sym_LBRACE] = ACTIONS(803),
    [anon_sym_COMMA] = ACTIONS(805),
    [anon_sym_RBRACE] = ACTIONS(835),
    [anon_sym_var] = ACTIONS(809),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_const] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(813),
    [anon_sym_in] = ACTIONS(816),
    [anon_sym_SEMI] = ACTIONS(805),
    [anon_sym_COLON] = ACTIONS(818),
    [anon_sym_EQ] = ACTIONS(821),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_LT] = ACTIONS(816),
    [anon_sym_GT] = ACTIONS(816),
    [anon_sym_DOT] = ACTIONS(805),
    [anon_sym_class] = ACTIONS(823),
    [anon_sym_async] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_EQ_GT] = ACTIONS(829),
    [sym_optional_chain] = ACTIONS(805),
    [anon_sym_PLUS_EQ] = ACTIONS(831),
    [anon_sym_DASH_EQ] = ACTIONS(831),
    [anon_sym_STAR_EQ] = ACTIONS(831),
    [anon_sym_SLASH_EQ] = ACTIONS(831),
    [anon_sym_PERCENT_EQ] = ACTIONS(831),
    [anon_sym_CARET_EQ] = ACTIONS(831),
    [anon_sym_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_LT_EQ] = ACTIONS(831),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(831),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP] = ACTIONS(816),
    [anon_sym_PIPE_PIPE] = ACTIONS(816),
    [anon_sym_GT_GT] = ACTIONS(816),
    [anon_sym_GT_GT_GT] = ACTIONS(816),
    [anon_sym_LT_LT] = ACTIONS(816),
    [anon_sym_AMP] = ACTIONS(816),
    [anon_sym_CARET] = ACTIONS(816),
    [anon_sym_PIPE] = ACTIONS(816),
    [anon_sym_PLUS] = ACTIONS(816),
    [anon_sym_DASH] = ACTIONS(816),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_PERCENT] = ACTIONS(816),
    [anon_sym_STAR_STAR] = ACTIONS(816),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(816),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(816),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(805),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_QMARK_QMARK] = ACTIONS(816),
    [anon_sym_instanceof] = ACTIONS(805),
    [anon_sym_PLUS_PLUS] = ACTIONS(805),
    [anon_sym_DASH_DASH] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(805),
    [anon_sym_AT] = ACTIONS(93),
    [sym__automatic_semicolon] = ACTIONS(805),
    [sym__ternary_qmark] = ACTIONS(805),
    [sym_html_comment] = ACTIONS(5),
  },
  [280] = {
    [sym_namespace_export] = STATE(1395),
    [sym_export_clause] = STATE(1250),
    [sym_declaration] = STATE(353),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_class_declaration] = STATE(390),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function_declaration] = STATE(390),
    [sym_decorator] = STATE(974),
    [aux_sym_export_statement_repeat1] = STATE(1251),
    [anon_sym_STAR] = ACTIONS(799),
    [anon_sym_default] = ACTIONS(801),
    [anon_sym_LBRACE] = ACTIONS(803),
    [anon_sym_COMMA] = ACTIONS(805),
    [anon_sym_var] = ACTIONS(809),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_const] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(805),
    [anon_sym_in] = ACTIONS(816),
    [anon_sym_SEMI] = ACTIONS(805),
    [anon_sym_COLON] = ACTIONS(837),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_LT] = ACTIONS(816),
    [anon_sym_GT] = ACTIONS(816),
    [anon_sym_DOT] = ACTIONS(805),
    [anon_sym_class] = ACTIONS(823),
    [anon_sym_async] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_EQ_GT] = ACTIONS(829),
    [sym_optional_chain] = ACTIONS(805),
    [anon_sym_PLUS_EQ] = ACTIONS(831),
    [anon_sym_DASH_EQ] = ACTIONS(831),
    [anon_sym_STAR_EQ] = ACTIONS(831),
    [anon_sym_SLASH_EQ] = ACTIONS(831),
    [anon_sym_PERCENT_EQ] = ACTIONS(831),
    [anon_sym_CARET_EQ] = ACTIONS(831),
    [anon_sym_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_LT_EQ] = ACTIONS(831),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(831),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP] = ACTIONS(816),
    [anon_sym_PIPE_PIPE] = ACTIONS(816),
    [anon_sym_GT_GT] = ACTIONS(816),
    [anon_sym_GT_GT_GT] = ACTIONS(816),
    [anon_sym_LT_LT] = ACTIONS(816),
    [anon_sym_AMP] = ACTIONS(816),
    [anon_sym_CARET] = ACTIONS(816),
    [anon_sym_PIPE] = ACTIONS(816),
    [anon_sym_PLUS] = ACTIONS(816),
    [anon_sym_DASH] = ACTIONS(816),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_PERCENT] = ACTIONS(816),
    [anon_sym_STAR_STAR] = ACTIONS(816),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(816),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(816),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(805),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_QMARK_QMARK] = ACTIONS(816),
    [anon_sym_instanceof] = ACTIONS(805),
    [anon_sym_PLUS_PLUS] = ACTIONS(805),
    [anon_sym_DASH_DASH] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(805),
    [anon_sym_AT] = ACTIONS(93),
    [sym__automatic_semicolon] = ACTIONS(805),
    [sym__ternary_qmark] = ACTIONS(805),
    [sym_html_comment] = ACTIONS(5),
  },
  [281] = {
    [sym_string] = STATE(1479),
    [sym_formal_parameters] = STATE(1658),
    [sym__property_name] = STATE(1479),
    [sym_computed_property_name] = STATE(1479),
    [aux_sym_object_repeat1] = STATE(1360),
    [aux_sym_object_pattern_repeat1] = STATE(1302),
    [sym_identifier] = ACTIONS(841),
    [anon_sym_export] = ACTIONS(843),
    [anon_sym_STAR] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(805),
    [anon_sym_RBRACE] = ACTIONS(807),
    [anon_sym_let] = ACTIONS(843),
    [anon_sym_LPAREN] = ACTIONS(848),
    [anon_sym_in] = ACTIONS(816),
    [anon_sym_SEMI] = ACTIONS(805),
    [anon_sym_COLON] = ACTIONS(818),
    [anon_sym_EQ] = ACTIONS(821),
    [anon_sym_LBRACK] = ACTIONS(852),
    [anon_sym_LT] = ACTIONS(816),
    [anon_sym_GT] = ACTIONS(816),
    [anon_sym_DOT] = ACTIONS(816),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [anon_sym_SQUOTE] = ACTIONS(857),
    [anon_sym_async] = ACTIONS(843),
    [anon_sym_function] = ACTIONS(859),
    [anon_sym_EQ_GT] = ACTIONS(829),
    [sym_optional_chain] = ACTIONS(805),
    [anon_sym_PLUS_EQ] = ACTIONS(831),
    [anon_sym_DASH_EQ] = ACTIONS(831),
    [anon_sym_STAR_EQ] = ACTIONS(831),
    [anon_sym_SLASH_EQ] = ACTIONS(831),
    [anon_sym_PERCENT_EQ] = ACTIONS(831),
    [anon_sym_CARET_EQ] = ACTIONS(831),
    [anon_sym_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_LT_EQ] = ACTIONS(831),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(831),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP] = ACTIONS(816),
    [anon_sym_PIPE_PIPE] = ACTIONS(816),
    [anon_sym_GT_GT] = ACTIONS(816),
    [anon_sym_GT_GT_GT] = ACTIONS(816),
    [anon_sym_LT_LT] = ACTIONS(816),
    [anon_sym_AMP] = ACTIONS(816),
    [anon_sym_CARET] = ACTIONS(816),
    [anon_sym_PIPE] = ACTIONS(816),
    [anon_sym_PLUS] = ACTIONS(816),
    [anon_sym_DASH] = ACTIONS(816),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_PERCENT] = ACTIONS(816),
    [anon_sym_STAR_STAR] = ACTIONS(816),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(816),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(816),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(805),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_QMARK_QMARK] = ACTIONS(816),
    [anon_sym_instanceof] = ACTIONS(816),
    [anon_sym_PLUS_PLUS] = ACTIONS(805),
    [anon_sym_DASH_DASH] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(805),
    [sym_number] = ACTIONS(861),
    [sym_private_property_identifier] = ACTIONS(861),
    [anon_sym_static] = ACTIONS(843),
    [anon_sym_get] = ACTIONS(863),
    [anon_sym_set] = ACTIONS(863),
    [sym__automatic_semicolon] = ACTIONS(805),
    [sym__ternary_qmark] = ACTIONS(805),
    [sym_html_comment] = ACTIONS(5),
  },
  [282] = {
    [sym_string] = STATE(1479),
    [sym_formal_parameters] = STATE(1658),
    [sym__property_name] = STATE(1479),
    [sym_computed_property_name] = STATE(1479),
    [aux_sym_object_repeat1] = STATE(1330),
    [aux_sym_object_pattern_repeat1] = STATE(1302),
    [sym_identifier] = ACTIONS(841),
    [anon_sym_export] = ACTIONS(843),
    [anon_sym_STAR] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(805),
    [anon_sym_RBRACE] = ACTIONS(833),
    [anon_sym_let] = ACTIONS(843),
    [anon_sym_LPAREN] = ACTIONS(848),
    [anon_sym_in] = ACTIONS(816),
    [anon_sym_SEMI] = ACTIONS(805),
    [anon_sym_COLON] = ACTIONS(818),
    [anon_sym_EQ] = ACTIONS(821),
    [anon_sym_LBRACK] = ACTIONS(852),
    [anon_sym_LT] = ACTIONS(816),
    [anon_sym_GT] = ACTIONS(816),
    [anon_sym_DOT] = ACTIONS(816),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [anon_sym_SQUOTE] = ACTIONS(857),
    [anon_sym_async] = ACTIONS(843),
    [anon_sym_function] = ACTIONS(859),
    [anon_sym_EQ_GT] = ACTIONS(829),
    [sym_optional_chain] = ACTIONS(805),
    [anon_sym_PLUS_EQ] = ACTIONS(831),
    [anon_sym_DASH_EQ] = ACTIONS(831),
    [anon_sym_STAR_EQ] = ACTIONS(831),
    [anon_sym_SLASH_EQ] = ACTIONS(831),
    [anon_sym_PERCENT_EQ] = ACTIONS(831),
    [anon_sym_CARET_EQ] = ACTIONS(831),
    [anon_sym_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_LT_EQ] = ACTIONS(831),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(831),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP] = ACTIONS(816),
    [anon_sym_PIPE_PIPE] = ACTIONS(816),
    [anon_sym_GT_GT] = ACTIONS(816),
    [anon_sym_GT_GT_GT] = ACTIONS(816),
    [anon_sym_LT_LT] = ACTIONS(816),
    [anon_sym_AMP] = ACTIONS(816),
    [anon_sym_CARET] = ACTIONS(816),
    [anon_sym_PIPE] = ACTIONS(816),
    [anon_sym_PLUS] = ACTIONS(816),
    [anon_sym_DASH] = ACTIONS(816),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_PERCENT] = ACTIONS(816),
    [anon_sym_STAR_STAR] = ACTIONS(816),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(816),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(816),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(805),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_QMARK_QMARK] = ACTIONS(816),
    [anon_sym_instanceof] = ACTIONS(816),
    [anon_sym_PLUS_PLUS] = ACTIONS(805),
    [anon_sym_DASH_DASH] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(805),
    [sym_number] = ACTIONS(861),
    [sym_private_property_identifier] = ACTIONS(861),
    [anon_sym_static] = ACTIONS(843),
    [anon_sym_get] = ACTIONS(863),
    [anon_sym_set] = ACTIONS(863),
    [sym__automatic_semicolon] = ACTIONS(805),
    [sym__ternary_qmark] = ACTIONS(805),
    [sym_html_comment] = ACTIONS(5),
  },
  [283] = {
    [sym_string] = STATE(1479),
    [sym_formal_parameters] = STATE(1658),
    [sym__property_name] = STATE(1479),
    [sym_computed_property_name] = STATE(1479),
    [aux_sym_object_repeat1] = STATE(1330),
    [aux_sym_object_pattern_repeat1] = STATE(1302),
    [sym_identifier] = ACTIONS(841),
    [anon_sym_export] = ACTIONS(843),
    [anon_sym_STAR] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(805),
    [anon_sym_RBRACE] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(843),
    [anon_sym_LPAREN] = ACTIONS(848),
    [anon_sym_in] = ACTIONS(816),
    [anon_sym_SEMI] = ACTIONS(805),
    [anon_sym_COLON] = ACTIONS(818),
    [anon_sym_EQ] = ACTIONS(821),
    [anon_sym_LBRACK] = ACTIONS(852),
    [anon_sym_LT] = ACTIONS(816),
    [anon_sym_GT] = ACTIONS(816),
    [anon_sym_DOT] = ACTIONS(816),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [anon_sym_SQUOTE] = ACTIONS(857),
    [anon_sym_async] = ACTIONS(843),
    [anon_sym_function] = ACTIONS(859),
    [anon_sym_EQ_GT] = ACTIONS(829),
    [sym_optional_chain] = ACTIONS(805),
    [anon_sym_PLUS_EQ] = ACTIONS(831),
    [anon_sym_DASH_EQ] = ACTIONS(831),
    [anon_sym_STAR_EQ] = ACTIONS(831),
    [anon_sym_SLASH_EQ] = ACTIONS(831),
    [anon_sym_PERCENT_EQ] = ACTIONS(831),
    [anon_sym_CARET_EQ] = ACTIONS(831),
    [anon_sym_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_LT_EQ] = ACTIONS(831),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(831),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP] = ACTIONS(816),
    [anon_sym_PIPE_PIPE] = ACTIONS(816),
    [anon_sym_GT_GT] = ACTIONS(816),
    [anon_sym_GT_GT_GT] = ACTIONS(816),
    [anon_sym_LT_LT] = ACTIONS(816),
    [anon_sym_AMP] = ACTIONS(816),
    [anon_sym_CARET] = ACTIONS(816),
    [anon_sym_PIPE] = ACTIONS(816),
    [anon_sym_PLUS] = ACTIONS(816),
    [anon_sym_DASH] = ACTIONS(816),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_PERCENT] = ACTIONS(816),
    [anon_sym_STAR_STAR] = ACTIONS(816),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(816),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(816),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(805),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_QMARK_QMARK] = ACTIONS(816),
    [anon_sym_instanceof] = ACTIONS(816),
    [anon_sym_PLUS_PLUS] = ACTIONS(805),
    [anon_sym_DASH_DASH] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(805),
    [sym_number] = ACTIONS(861),
    [sym_private_property_identifier] = ACTIONS(861),
    [anon_sym_static] = ACTIONS(843),
    [anon_sym_get] = ACTIONS(863),
    [anon_sym_set] = ACTIONS(863),
    [sym__automatic_semicolon] = ACTIONS(805),
    [sym__ternary_qmark] = ACTIONS(805),
    [sym_html_comment] = ACTIONS(5),
  },
  [284] = {
    [sym_namespace_export] = STATE(1395),
    [sym_export_clause] = STATE(1250),
    [sym_declaration] = STATE(353),
    [sym_variable_declaration] = STATE(390),
    [sym_lexical_declaration] = STATE(390),
    [sym_class_declaration] = STATE(390),
    [sym_function_declaration] = STATE(390),
    [sym_generator_function_declaration] = STATE(390),
    [sym_decorator] = STATE(974),
    [aux_sym_export_statement_repeat1] = STATE(1251),
    [anon_sym_STAR] = ACTIONS(799),
    [anon_sym_default] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(803),
    [anon_sym_COMMA] = ACTIONS(805),
    [anon_sym_var] = ACTIONS(809),
    [anon_sym_let] = ACTIONS(811),
    [anon_sym_const] = ACTIONS(811),
    [anon_sym_LPAREN] = ACTIONS(805),
    [anon_sym_in] = ACTIONS(816),
    [anon_sym_SEMI] = ACTIONS(805),
    [anon_sym_COLON] = ACTIONS(867),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_LT] = ACTIONS(816),
    [anon_sym_GT] = ACTIONS(816),
    [anon_sym_DOT] = ACTIONS(805),
    [anon_sym_class] = ACTIONS(823),
    [anon_sym_async] = ACTIONS(825),
    [anon_sym_function] = ACTIONS(827),
    [anon_sym_EQ_GT] = ACTIONS(829),
    [sym_optional_chain] = ACTIONS(805),
    [anon_sym_PLUS_EQ] = ACTIONS(831),
    [anon_sym_DASH_EQ] = ACTIONS(831),
    [anon_sym_STAR_EQ] = ACTIONS(831),
    [anon_sym_SLASH_EQ] = ACTIONS(831),
    [anon_sym_PERCENT_EQ] = ACTIONS(831),
    [anon_sym_CARET_EQ] = ACTIONS(831),
    [anon_sym_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_LT_EQ] = ACTIONS(831),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(831),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP] = ACTIONS(816),
    [anon_sym_PIPE_PIPE] = ACTIONS(816),
    [anon_sym_GT_GT] = ACTIONS(816),
    [anon_sym_GT_GT_GT] = ACTIONS(816),
    [anon_sym_LT_LT] = ACTIONS(816),
    [anon_sym_AMP] = ACTIONS(816),
    [anon_sym_CARET] = ACTIONS(816),
    [anon_sym_PIPE] = ACTIONS(816),
    [anon_sym_PLUS] = ACTIONS(816),
    [anon_sym_DASH] = ACTIONS(816),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_PERCENT] = ACTIONS(816),
    [anon_sym_STAR_STAR] = ACTIONS(816),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(816),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(816),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(805),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_QMARK_QMARK] = ACTIONS(816),
    [anon_sym_instanceof] = ACTIONS(805),
    [anon_sym_PLUS_PLUS] = ACTIONS(805),
    [anon_sym_DASH_DASH] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(805),
    [anon_sym_AT] = ACTIONS(93),
    [sym__automatic_semicolon] = ACTIONS(805),
    [sym__ternary_qmark] = ACTIONS(805),
    [sym_html_comment] = ACTIONS(5),
  },
  [285] = {
    [sym_string] = STATE(1479),
    [sym__property_name] = STATE(1479),
    [sym_computed_property_name] = STATE(1479),
    [aux_sym_object_repeat1] = STATE(1330),
    [aux_sym_object_pattern_repeat1] = STATE(1302),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_export] = ACTIONS(869),
    [anon_sym_STAR] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(805),
    [anon_sym_RBRACE] = ACTIONS(833),
    [anon_sym_let] = ACTIONS(869),
    [anon_sym_LPAREN] = ACTIONS(813),
    [anon_sym_in] = ACTIONS(816),
    [anon_sym_SEMI] = ACTIONS(805),
    [anon_sym_COLON] = ACTIONS(818),
    [anon_sym_EQ] = ACTIONS(821),
    [anon_sym_LBRACK] = ACTIONS(852),
    [anon_sym_LT] = ACTIONS(816),
    [anon_sym_GT] = ACTIONS(816),
    [anon_sym_DOT] = ACTIONS(816),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [anon_sym_SQUOTE] = ACTIONS(857),
    [anon_sym_async] = ACTIONS(871),
    [anon_sym_EQ_GT] = ACTIONS(829),
    [sym_optional_chain] = ACTIONS(805),
    [anon_sym_PLUS_EQ] = ACTIONS(831),
    [anon_sym_DASH_EQ] = ACTIONS(831),
    [anon_sym_STAR_EQ] = ACTIONS(831),
    [anon_sym_SLASH_EQ] = ACTIONS(831),
    [anon_sym_PERCENT_EQ] = ACTIONS(831),
    [anon_sym_CARET_EQ] = ACTIONS(831),
    [anon_sym_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_LT_EQ] = ACTIONS(831),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(831),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP] = ACTIONS(816),
    [anon_sym_PIPE_PIPE] = ACTIONS(816),
    [anon_sym_GT_GT] = ACTIONS(816),
    [anon_sym_GT_GT_GT] = ACTIONS(816),
    [anon_sym_LT_LT] = ACTIONS(816),
    [anon_sym_AMP] = ACTIONS(816),
    [anon_sym_CARET] = ACTIONS(816),
    [anon_sym_PIPE] = ACTIONS(816),
    [anon_sym_PLUS] = ACTIONS(816),
    [anon_sym_DASH] = ACTIONS(816),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_PERCENT] = ACTIONS(816),
    [anon_sym_STAR_STAR] = ACTIONS(816),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(816),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(816),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(805),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_QMARK_QMARK] = ACTIONS(816),
    [anon_sym_instanceof] = ACTIONS(816),
    [anon_sym_PLUS_PLUS] = ACTIONS(805),
    [anon_sym_DASH_DASH] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(805),
    [sym_number] = ACTIONS(861),
    [sym_private_property_identifier] = ACTIONS(861),
    [anon_sym_static] = ACTIONS(869),
    [anon_sym_get] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(873),
    [sym__automatic_semicolon] = ACTIONS(805),
    [sym__ternary_qmark] = ACTIONS(805),
    [sym_html_comment] = ACTIONS(5),
  },
  [286] = {
    [sym_string] = STATE(1479),
    [sym__property_name] = STATE(1479),
    [sym_computed_property_name] = STATE(1479),
    [aux_sym_object_repeat1] = STATE(1330),
    [aux_sym_object_pattern_repeat1] = STATE(1302),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_export] = ACTIONS(869),
    [anon_sym_STAR] = ACTIONS(816),
    [anon_sym_COMMA] = ACTIONS(805),
    [anon_sym_RBRACE] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(869),
    [anon_sym_LPAREN] = ACTIONS(813),
    [anon_sym_in] = ACTIONS(816),
    [anon_sym_SEMI] = ACTIONS(805),
    [anon_sym_COLON] = ACTIONS(818),
    [anon_sym_EQ] = ACTIONS(821),
    [anon_sym_LBRACK] = ACTIONS(852),
    [anon_sym_LT] = ACTIONS(816),
    [anon_sym_GT] = ACTIONS(816),
    [anon_sym_DOT] = ACTIONS(816),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [anon_sym_SQUOTE] = ACTIONS(857),
    [anon_sym_async] = ACTIONS(869),
    [anon_sym_EQ_GT] = ACTIONS(829),
    [sym_optional_chain] = ACTIONS(805),
    [anon_sym_PLUS_EQ] = ACTIONS(831),
    [anon_sym_DASH_EQ] = ACTIONS(831),
    [anon_sym_STAR_EQ] = ACTIONS(831),
    [anon_sym_SLASH_EQ] = ACTIONS(831),
    [anon_sym_PERCENT_EQ] = ACTIONS(831),
    [anon_sym_CARET_EQ] = ACTIONS(831),
    [anon_sym_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_LT_EQ] = ACTIONS(831),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(831),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP] = ACTIONS(816),
    [anon_sym_PIPE_PIPE] = ACTIONS(816),
    [anon_sym_GT_GT] = ACTIONS(816),
    [anon_sym_GT_GT_GT] = ACTIONS(816),
    [anon_sym_LT_LT] = ACTIONS(816),
    [anon_sym_AMP] = ACTIONS(816),
    [anon_sym_CARET] = ACTIONS(816),
    [anon_sym_PIPE] = ACTIONS(816),
    [anon_sym_PLUS] = ACTIONS(816),
    [anon_sym_DASH] = ACTIONS(816),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_PERCENT] = ACTIONS(816),
    [anon_sym_STAR_STAR] = ACTIONS(816),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(816),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(816),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(805),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_QMARK_QMARK] = ACTIONS(816),
    [anon_sym_instanceof] = ACTIONS(816),
    [anon_sym_PLUS_PLUS] = ACTIONS(805),
    [anon_sym_DASH_DASH] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(805),
    [sym_number] = ACTIONS(861),
    [sym_private_property_identifier] = ACTIONS(861),
    [anon_sym_static] = ACTIONS(869),
    [anon_sym_get] = ACTIONS(869),
    [anon_sym_set] = ACTIONS(869),
    [sym__automatic_semicolon] = ACTIONS(805),
    [sym__ternary_qmark] = ACTIONS(805),
    [sym_html_comment] = ACTIONS(5),
  },
  [287] = {
    [sym_string] = STATE(1479),
    [sym__property_name] = STATE(1479),
    [sym_computed_property_name] = STATE(1479),
    [aux_sym_object_repeat1] = STATE(1330),
    [aux_sym_object_pattern_repeat1] = STATE(1302),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_export] = ACTIONS(869),
    [anon_sym_STAR] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(805),
    [anon_sym_RBRACE] = ACTIONS(835),
    [anon_sym_let] = ACTIONS(869),
    [anon_sym_LPAREN] = ACTIONS(813),
    [anon_sym_in] = ACTIONS(816),
    [anon_sym_SEMI] = ACTIONS(805),
    [anon_sym_COLON] = ACTIONS(818),
    [anon_sym_EQ] = ACTIONS(821),
    [anon_sym_LBRACK] = ACTIONS(852),
    [anon_sym_LT] = ACTIONS(816),
    [anon_sym_GT] = ACTIONS(816),
    [anon_sym_DOT] = ACTIONS(816),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [anon_sym_SQUOTE] = ACTIONS(857),
    [anon_sym_async] = ACTIONS(871),
    [anon_sym_EQ_GT] = ACTIONS(829),
    [sym_optional_chain] = ACTIONS(805),
    [anon_sym_PLUS_EQ] = ACTIONS(831),
    [anon_sym_DASH_EQ] = ACTIONS(831),
    [anon_sym_STAR_EQ] = ACTIONS(831),
    [anon_sym_SLASH_EQ] = ACTIONS(831),
    [anon_sym_PERCENT_EQ] = ACTIONS(831),
    [anon_sym_CARET_EQ] = ACTIONS(831),
    [anon_sym_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_LT_EQ] = ACTIONS(831),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(831),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP] = ACTIONS(816),
    [anon_sym_PIPE_PIPE] = ACTIONS(816),
    [anon_sym_GT_GT] = ACTIONS(816),
    [anon_sym_GT_GT_GT] = ACTIONS(816),
    [anon_sym_LT_LT] = ACTIONS(816),
    [anon_sym_AMP] = ACTIONS(816),
    [anon_sym_CARET] = ACTIONS(816),
    [anon_sym_PIPE] = ACTIONS(816),
    [anon_sym_PLUS] = ACTIONS(816),
    [anon_sym_DASH] = ACTIONS(816),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_PERCENT] = ACTIONS(816),
    [anon_sym_STAR_STAR] = ACTIONS(816),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(816),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(816),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(805),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_QMARK_QMARK] = ACTIONS(816),
    [anon_sym_instanceof] = ACTIONS(816),
    [anon_sym_PLUS_PLUS] = ACTIONS(805),
    [anon_sym_DASH_DASH] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(805),
    [sym_number] = ACTIONS(861),
    [sym_private_property_identifier] = ACTIONS(861),
    [anon_sym_static] = ACTIONS(869),
    [anon_sym_get] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(873),
    [sym__automatic_semicolon] = ACTIONS(805),
    [sym__ternary_qmark] = ACTIONS(805),
    [sym_html_comment] = ACTIONS(5),
  },
  [288] = {
    [sym_string] = STATE(1479),
    [sym__property_name] = STATE(1479),
    [sym_computed_property_name] = STATE(1479),
    [aux_sym_object_repeat1] = STATE(1360),
    [aux_sym_object_pattern_repeat1] = STATE(1302),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_export] = ACTIONS(869),
    [anon_sym_STAR] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(805),
    [anon_sym_RBRACE] = ACTIONS(807),
    [anon_sym_let] = ACTIONS(869),
    [anon_sym_LPAREN] = ACTIONS(813),
    [anon_sym_in] = ACTIONS(816),
    [anon_sym_SEMI] = ACTIONS(805),
    [anon_sym_COLON] = ACTIONS(818),
    [anon_sym_EQ] = ACTIONS(821),
    [anon_sym_LBRACK] = ACTIONS(852),
    [anon_sym_LT] = ACTIONS(816),
    [anon_sym_GT] = ACTIONS(816),
    [anon_sym_DOT] = ACTIONS(816),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [anon_sym_SQUOTE] = ACTIONS(857),
    [anon_sym_async] = ACTIONS(871),
    [anon_sym_EQ_GT] = ACTIONS(829),
    [sym_optional_chain] = ACTIONS(805),
    [anon_sym_PLUS_EQ] = ACTIONS(831),
    [anon_sym_DASH_EQ] = ACTIONS(831),
    [anon_sym_STAR_EQ] = ACTIONS(831),
    [anon_sym_SLASH_EQ] = ACTIONS(831),
    [anon_sym_PERCENT_EQ] = ACTIONS(831),
    [anon_sym_CARET_EQ] = ACTIONS(831),
    [anon_sym_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_LT_EQ] = ACTIONS(831),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(831),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP] = ACTIONS(816),
    [anon_sym_PIPE_PIPE] = ACTIONS(816),
    [anon_sym_GT_GT] = ACTIONS(816),
    [anon_sym_GT_GT_GT] = ACTIONS(816),
    [anon_sym_LT_LT] = ACTIONS(816),
    [anon_sym_AMP] = ACTIONS(816),
    [anon_sym_CARET] = ACTIONS(816),
    [anon_sym_PIPE] = ACTIONS(816),
    [anon_sym_PLUS] = ACTIONS(816),
    [anon_sym_DASH] = ACTIONS(816),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_PERCENT] = ACTIONS(816),
    [anon_sym_STAR_STAR] = ACTIONS(816),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(816),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(816),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(805),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_QMARK_QMARK] = ACTIONS(816),
    [anon_sym_instanceof] = ACTIONS(816),
    [anon_sym_PLUS_PLUS] = ACTIONS(805),
    [anon_sym_DASH_DASH] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(805),
    [sym_number] = ACTIONS(861),
    [sym_private_property_identifier] = ACTIONS(861),
    [anon_sym_static] = ACTIONS(869),
    [anon_sym_get] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(873),
    [sym__automatic_semicolon] = ACTIONS(805),
    [sym__ternary_qmark] = ACTIONS(805),
    [sym_html_comment] = ACTIONS(5),
  },
  [289] = {
    [sym_string] = STATE(1479),
    [sym__property_name] = STATE(1479),
    [sym_computed_property_name] = STATE(1479),
    [aux_sym_object_repeat1] = STATE(1360),
    [aux_sym_object_pattern_repeat1] = STATE(1302),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_export] = ACTIONS(869),
    [anon_sym_STAR] = ACTIONS(816),
    [anon_sym_COMMA] = ACTIONS(805),
    [anon_sym_RBRACE] = ACTIONS(807),
    [anon_sym_let] = ACTIONS(869),
    [anon_sym_LPAREN] = ACTIONS(813),
    [anon_sym_in] = ACTIONS(816),
    [anon_sym_SEMI] = ACTIONS(805),
    [anon_sym_COLON] = ACTIONS(818),
    [anon_sym_EQ] = ACTIONS(821),
    [anon_sym_LBRACK] = ACTIONS(852),
    [anon_sym_LT] = ACTIONS(816),
    [anon_sym_GT] = ACTIONS(816),
    [anon_sym_DOT] = ACTIONS(816),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [anon_sym_SQUOTE] = ACTIONS(857),
    [anon_sym_async] = ACTIONS(869),
    [anon_sym_EQ_GT] = ACTIONS(829),
    [sym_optional_chain] = ACTIONS(805),
    [anon_sym_PLUS_EQ] = ACTIONS(831),
    [anon_sym_DASH_EQ] = ACTIONS(831),
    [anon_sym_STAR_EQ] = ACTIONS(831),
    [anon_sym_SLASH_EQ] = ACTIONS(831),
    [anon_sym_PERCENT_EQ] = ACTIONS(831),
    [anon_sym_CARET_EQ] = ACTIONS(831),
    [anon_sym_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_LT_EQ] = ACTIONS(831),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(831),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP] = ACTIONS(816),
    [anon_sym_PIPE_PIPE] = ACTIONS(816),
    [anon_sym_GT_GT] = ACTIONS(816),
    [anon_sym_GT_GT_GT] = ACTIONS(816),
    [anon_sym_LT_LT] = ACTIONS(816),
    [anon_sym_AMP] = ACTIONS(816),
    [anon_sym_CARET] = ACTIONS(816),
    [anon_sym_PIPE] = ACTIONS(816),
    [anon_sym_PLUS] = ACTIONS(816),
    [anon_sym_DASH] = ACTIONS(816),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_PERCENT] = ACTIONS(816),
    [anon_sym_STAR_STAR] = ACTIONS(816),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(816),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(816),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(805),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_QMARK_QMARK] = ACTIONS(816),
    [anon_sym_instanceof] = ACTIONS(816),
    [anon_sym_PLUS_PLUS] = ACTIONS(805),
    [anon_sym_DASH_DASH] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(805),
    [sym_number] = ACTIONS(861),
    [sym_private_property_identifier] = ACTIONS(861),
    [anon_sym_static] = ACTIONS(869),
    [anon_sym_get] = ACTIONS(869),
    [anon_sym_set] = ACTIONS(869),
    [sym__automatic_semicolon] = ACTIONS(805),
    [sym__ternary_qmark] = ACTIONS(805),
    [sym_html_comment] = ACTIONS(5),
  },
  [290] = {
    [sym_string] = STATE(1479),
    [sym__property_name] = STATE(1479),
    [sym_computed_property_name] = STATE(1479),
    [aux_sym_object_repeat1] = STATE(1330),
    [aux_sym_object_pattern_repeat1] = STATE(1302),
    [sym_identifier] = ACTIONS(869),
    [anon_sym_export] = ACTIONS(869),
    [anon_sym_STAR] = ACTIONS(816),
    [anon_sym_COMMA] = ACTIONS(805),
    [anon_sym_RBRACE] = ACTIONS(833),
    [anon_sym_let] = ACTIONS(869),
    [anon_sym_LPAREN] = ACTIONS(813),
    [anon_sym_in] = ACTIONS(816),
    [anon_sym_SEMI] = ACTIONS(805),
    [anon_sym_COLON] = ACTIONS(818),
    [anon_sym_EQ] = ACTIONS(821),
    [anon_sym_LBRACK] = ACTIONS(852),
    [anon_sym_LT] = ACTIONS(816),
    [anon_sym_GT] = ACTIONS(816),
    [anon_sym_DOT] = ACTIONS(816),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [anon_sym_SQUOTE] = ACTIONS(857),
    [anon_sym_async] = ACTIONS(869),
    [anon_sym_EQ_GT] = ACTIONS(829),
    [sym_optional_chain] = ACTIONS(805),
    [anon_sym_PLUS_EQ] = ACTIONS(831),
    [anon_sym_DASH_EQ] = ACTIONS(831),
    [anon_sym_STAR_EQ] = ACTIONS(831),
    [anon_sym_SLASH_EQ] = ACTIONS(831),
    [anon_sym_PERCENT_EQ] = ACTIONS(831),
    [anon_sym_CARET_EQ] = ACTIONS(831),
    [anon_sym_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_LT_EQ] = ACTIONS(831),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(831),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP] = ACTIONS(816),
    [anon_sym_PIPE_PIPE] = ACTIONS(816),
    [anon_sym_GT_GT] = ACTIONS(816),
    [anon_sym_GT_GT_GT] = ACTIONS(816),
    [anon_sym_LT_LT] = ACTIONS(816),
    [anon_sym_AMP] = ACTIONS(816),
    [anon_sym_CARET] = ACTIONS(816),
    [anon_sym_PIPE] = ACTIONS(816),
    [anon_sym_PLUS] = ACTIONS(816),
    [anon_sym_DASH] = ACTIONS(816),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_PERCENT] = ACTIONS(816),
    [anon_sym_STAR_STAR] = ACTIONS(816),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(816),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(816),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(805),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_QMARK_QMARK] = ACTIONS(816),
    [anon_sym_instanceof] = ACTIONS(816),
    [anon_sym_PLUS_PLUS] = ACTIONS(805),
    [anon_sym_DASH_DASH] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(805),
    [sym_number] = ACTIONS(861),
    [sym_private_property_identifier] = ACTIONS(861),
    [anon_sym_static] = ACTIONS(869),
    [anon_sym_get] = ACTIONS(869),
    [anon_sym_set] = ACTIONS(869),
    [sym__automatic_semicolon] = ACTIONS(805),
    [sym__ternary_qmark] = ACTIONS(805),
    [sym_html_comment] = ACTIONS(5),
  },
  [291] = {
    [sym_catch_clause] = STATE(311),
    [sym_finally_clause] = STATE(371),
    [ts_builtin_sym_end] = ACTIONS(875),
    [sym_identifier] = ACTIONS(877),
    [anon_sym_export] = ACTIONS(877),
    [anon_sym_default] = ACTIONS(877),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_RBRACE] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_with] = ACTIONS(877),
    [anon_sym_var] = ACTIONS(877),
    [anon_sym_let] = ACTIONS(877),
    [anon_sym_const] = ACTIONS(877),
    [anon_sym_else] = ACTIONS(877),
    [anon_sym_if] = ACTIONS(877),
    [anon_sym_switch] = ACTIONS(877),
    [anon_sym_for] = ACTIONS(877),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_await] = ACTIONS(877),
    [anon_sym_while] = ACTIONS(877),
    [anon_sym_do] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_break] = ACTIONS(877),
    [anon_sym_continue] = ACTIONS(877),
    [anon_sym_debugger] = ACTIONS(877),
    [anon_sym_return] = ACTIONS(877),
    [anon_sym_throw] = ACTIONS(877),
    [anon_sym_SEMI] = ACTIONS(875),
    [anon_sym_case] = ACTIONS(877),
    [anon_sym_catch] = ACTIONS(879),
    [anon_sym_finally] = ACTIONS(881),
    [anon_sym_yield] = ACTIONS(877),
    [anon_sym_LBRACK] = ACTIONS(875),
    [anon_sym_LTtemplate_GT] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(877),
    [anon_sym_DQUOTE] = ACTIONS(875),
    [anon_sym_SQUOTE] = ACTIONS(875),
    [anon_sym_class] = ACTIONS(877),
    [anon_sym_async] = ACTIONS(877),
    [anon_sym_function] = ACTIONS(877),
    [anon_sym_new] = ACTIONS(877),
    [anon_sym_PLUS] = ACTIONS(877),
    [anon_sym_DASH] = ACTIONS(877),
    [anon_sym_SLASH] = ACTIONS(877),
    [anon_sym_BANG] = ACTIONS(875),
    [anon_sym_TILDE] = ACTIONS(875),
    [anon_sym_typeof] = ACTIONS(877),
    [anon_sym_void] = ACTIONS(877),
    [anon_sym_delete] = ACTIONS(877),
    [anon_sym_PLUS_PLUS] = ACTIONS(875),
    [anon_sym_DASH_DASH] = ACTIONS(875),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(875),
    [sym_number] = ACTIONS(875),
    [sym_private_property_identifier] = ACTIONS(875),
    [sym_this] = ACTIONS(877),
    [sym_super] = ACTIONS(877),
    [sym_true] = ACTIONS(877),
    [sym_false] = ACTIONS(877),
    [sym_null] = ACTIONS(877),
    [sym_undefined] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(875),
    [anon_sym_static] = ACTIONS(877),
    [anon_sym_get] = ACTIONS(877),
    [anon_sym_set] = ACTIONS(877),
    [sym_html_comment] = ACTIONS(5),
  },
  [292] = {
    [sym_formal_parameters] = STATE(1663),
    [sym_identifier] = ACTIONS(883),
    [anon_sym_export] = ACTIONS(885),
    [anon_sym_STAR] = ACTIONS(816),
    [anon_sym_COMMA] = ACTIONS(805),
    [anon_sym_RBRACE] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(885),
    [anon_sym_LPAREN] = ACTIONS(887),
    [anon_sym_RPAREN] = ACTIONS(805),
    [anon_sym_in] = ACTIONS(816),
    [anon_sym_COLON] = ACTIONS(805),
    [anon_sym_EQ] = ACTIONS(890),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_RBRACK] = ACTIONS(805),
    [anon_sym_LT] = ACTIONS(816),
    [anon_sym_GT] = ACTIONS(816),
    [anon_sym_DOT] = ACTIONS(805),
    [anon_sym_async] = ACTIONS(885),
    [anon_sym_function] = ACTIONS(892),
    [anon_sym_EQ_GT] = ACTIONS(894),
    [sym_optional_chain] = ACTIONS(805),
    [anon_sym_PLUS_EQ] = ACTIONS(831),
    [anon_sym_DASH_EQ] = ACTIONS(831),
    [anon_sym_STAR_EQ] = ACTIONS(831),
    [anon_sym_SLASH_EQ] = ACTIONS(831),
    [anon_sym_PERCENT_EQ] = ACTIONS(831),
    [anon_sym_CARET_EQ] = ACTIONS(831),
    [anon_sym_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_LT_EQ] = ACTIONS(831),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(831),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP] = ACTIONS(816),
    [anon_sym_PIPE_PIPE] = ACTIONS(816),
    [anon_sym_GT_GT] = ACTIONS(816),
    [anon_sym_GT_GT_GT] = ACTIONS(816),
    [anon_sym_LT_LT] = ACTIONS(816),
    [anon_sym_AMP] = ACTIONS(816),
    [anon_sym_CARET] = ACTIONS(816),
    [anon_sym_PIPE] = ACTIONS(816),
    [anon_sym_PLUS] = ACTIONS(816),
    [anon_sym_DASH] = ACTIONS(816),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_PERCENT] = ACTIONS(816),
    [anon_sym_STAR_STAR] = ACTIONS(816),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(816),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(816),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(805),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_QMARK_QMARK] = ACTIONS(816),
    [anon_sym_instanceof] = ACTIONS(816),
    [anon_sym_PLUS_PLUS] = ACTIONS(805),
    [anon_sym_DASH_DASH] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(805),
    [anon_sym_static] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(885),
    [anon_sym_set] = ACTIONS(885),
    [sym__ternary_qmark] = ACTIONS(805),
    [sym_html_comment] = ACTIONS(5),
  },
  [293] = {
    [sym_formal_parameters] = STATE(1663),
    [sym_identifier] = ACTIONS(883),
    [anon_sym_export] = ACTIONS(885),
    [anon_sym_STAR] = ACTIONS(816),
    [anon_sym_COMMA] = ACTIONS(805),
    [anon_sym_RBRACE] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(885),
    [anon_sym_LPAREN] = ACTIONS(887),
    [anon_sym_RPAREN] = ACTIONS(805),
    [anon_sym_in] = ACTIONS(816),
    [anon_sym_COLON] = ACTIONS(805),
    [anon_sym_EQ] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_RBRACK] = ACTIONS(805),
    [anon_sym_LT] = ACTIONS(816),
    [anon_sym_GT] = ACTIONS(816),
    [anon_sym_DOT] = ACTIONS(805),
    [anon_sym_async] = ACTIONS(885),
    [anon_sym_function] = ACTIONS(892),
    [anon_sym_EQ_GT] = ACTIONS(894),
    [sym_optional_chain] = ACTIONS(805),
    [anon_sym_PLUS_EQ] = ACTIONS(831),
    [anon_sym_DASH_EQ] = ACTIONS(831),
    [anon_sym_STAR_EQ] = ACTIONS(831),
    [anon_sym_SLASH_EQ] = ACTIONS(831),
    [anon_sym_PERCENT_EQ] = ACTIONS(831),
    [anon_sym_CARET_EQ] = ACTIONS(831),
    [anon_sym_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_LT_EQ] = ACTIONS(831),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(831),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP] = ACTIONS(816),
    [anon_sym_PIPE_PIPE] = ACTIONS(816),
    [anon_sym_GT_GT] = ACTIONS(816),
    [anon_sym_GT_GT_GT] = ACTIONS(816),
    [anon_sym_LT_LT] = ACTIONS(816),
    [anon_sym_AMP] = ACTIONS(816),
    [anon_sym_CARET] = ACTIONS(816),
    [anon_sym_PIPE] = ACTIONS(816),
    [anon_sym_PLUS] = ACTIONS(816),
    [anon_sym_DASH] = ACTIONS(816),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_PERCENT] = ACTIONS(816),
    [anon_sym_STAR_STAR] = ACTIONS(816),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(816),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(816),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(805),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_QMARK_QMARK] = ACTIONS(816),
    [anon_sym_instanceof] = ACTIONS(816),
    [anon_sym_PLUS_PLUS] = ACTIONS(805),
    [anon_sym_DASH_DASH] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(805),
    [anon_sym_static] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(885),
    [anon_sym_set] = ACTIONS(885),
    [sym__ternary_qmark] = ACTIONS(805),
    [sym_html_comment] = ACTIONS(5),
  },
  [294] = {
    [ts_builtin_sym_end] = ACTIONS(622),
    [sym_identifier] = ACTIONS(624),
    [anon_sym_export] = ACTIONS(624),
    [anon_sym_default] = ACTIONS(624),
    [anon_sym_LBRACE] = ACTIONS(622),
    [anon_sym_COMMA] = ACTIONS(622),
    [anon_sym_RBRACE] = ACTIONS(622),
    [anon_sym_import] = ACTIONS(624),
    [anon_sym_with] = ACTIONS(624),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(624),
    [anon_sym_const] = ACTIONS(624),
    [anon_sym_else] = ACTIONS(624),
    [anon_sym_if] = ACTIONS(624),
    [anon_sym_switch] = ACTIONS(624),
    [anon_sym_for] = ACTIONS(624),
    [anon_sym_LPAREN] = ACTIONS(622),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_while] = ACTIONS(624),
    [anon_sym_do] = ACTIONS(624),
    [anon_sym_try] = ACTIONS(624),
    [anon_sym_break] = ACTIONS(624),
    [anon_sym_continue] = ACTIONS(624),
    [anon_sym_debugger] = ACTIONS(624),
    [anon_sym_return] = ACTIONS(624),
    [anon_sym_throw] = ACTIONS(624),
    [anon_sym_SEMI] = ACTIONS(622),
    [anon_sym_case] = ACTIONS(624),
    [anon_sym_catch] = ACTIONS(624),
    [anon_sym_finally] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(624),
    [anon_sym_LBRACK] = ACTIONS(622),
    [anon_sym_LTtemplate_GT] = ACTIONS(622),
    [anon_sym_LT] = ACTIONS(624),
    [anon_sym_DQUOTE] = ACTIONS(622),
    [anon_sym_SQUOTE] = ACTIONS(622),
    [anon_sym_class] = ACTIONS(624),
    [anon_sym_async] = ACTIONS(624),
    [anon_sym_function] = ACTIONS(624),
    [anon_sym_new] = ACTIONS(624),
    [anon_sym_PLUS] = ACTIONS(624),
    [anon_sym_DASH] = ACTIONS(624),
    [anon_sym_SLASH] = ACTIONS(624),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_typeof] = ACTIONS(624),
    [anon_sym_void] = ACTIONS(624),
    [anon_sym_delete] = ACTIONS(624),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(622),
    [sym_number] = ACTIONS(622),
    [sym_private_property_identifier] = ACTIONS(622),
    [sym_this] = ACTIONS(624),
    [sym_super] = ACTIONS(624),
    [sym_true] = ACTIONS(624),
    [sym_false] = ACTIONS(624),
    [sym_null] = ACTIONS(624),
    [sym_undefined] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(622),
    [anon_sym_static] = ACTIONS(624),
    [anon_sym_get] = ACTIONS(624),
    [anon_sym_set] = ACTIONS(624),
    [sym__automatic_semicolon] = ACTIONS(898),
    [sym_html_comment] = ACTIONS(5),
  },
  [295] = {
    [ts_builtin_sym_end] = ACTIONS(522),
    [sym_identifier] = ACTIONS(524),
    [anon_sym_export] = ACTIONS(524),
    [anon_sym_default] = ACTIONS(524),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_COMMA] = ACTIONS(522),
    [anon_sym_RBRACE] = ACTIONS(522),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_with] = ACTIONS(524),
    [anon_sym_var] = ACTIONS(524),
    [anon_sym_let] = ACTIONS(524),
    [anon_sym_const] = ACTIONS(524),
    [anon_sym_else] = ACTIONS(524),
    [anon_sym_if] = ACTIONS(524),
    [anon_sym_switch] = ACTIONS(524),
    [anon_sym_for] = ACTIONS(524),
    [anon_sym_LPAREN] = ACTIONS(522),
    [anon_sym_await] = ACTIONS(524),
    [anon_sym_while] = ACTIONS(524),
    [anon_sym_do] = ACTIONS(524),
    [anon_sym_try] = ACTIONS(524),
    [anon_sym_break] = ACTIONS(524),
    [anon_sym_continue] = ACTIONS(524),
    [anon_sym_debugger] = ACTIONS(524),
    [anon_sym_return] = ACTIONS(524),
    [anon_sym_throw] = ACTIONS(524),
    [anon_sym_SEMI] = ACTIONS(522),
    [anon_sym_case] = ACTIONS(524),
    [anon_sym_catch] = ACTIONS(524),
    [anon_sym_finally] = ACTIONS(524),
    [anon_sym_yield] = ACTIONS(524),
    [anon_sym_LBRACK] = ACTIONS(522),
    [anon_sym_LTtemplate_GT] = ACTIONS(522),
    [anon_sym_LT] = ACTIONS(524),
    [anon_sym_DQUOTE] = ACTIONS(522),
    [anon_sym_SQUOTE] = ACTIONS(522),
    [anon_sym_class] = ACTIONS(524),
    [anon_sym_async] = ACTIONS(524),
    [anon_sym_function] = ACTIONS(524),
    [anon_sym_new] = ACTIONS(524),
    [anon_sym_PLUS] = ACTIONS(524),
    [anon_sym_DASH] = ACTIONS(524),
    [anon_sym_SLASH] = ACTIONS(524),
    [anon_sym_BANG] = ACTIONS(522),
    [anon_sym_TILDE] = ACTIONS(522),
    [anon_sym_typeof] = ACTIONS(524),
    [anon_sym_void] = ACTIONS(524),
    [anon_sym_delete] = ACTIONS(524),
    [anon_sym_PLUS_PLUS] = ACTIONS(522),
    [anon_sym_DASH_DASH] = ACTIONS(522),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(522),
    [sym_number] = ACTIONS(522),
    [sym_private_property_identifier] = ACTIONS(522),
    [sym_this] = ACTIONS(524),
    [sym_super] = ACTIONS(524),
    [sym_true] = ACTIONS(524),
    [sym_false] = ACTIONS(524),
    [sym_null] = ACTIONS(524),
    [sym_undefined] = ACTIONS(524),
    [anon_sym_AT] = ACTIONS(522),
    [anon_sym_static] = ACTIONS(524),
    [anon_sym_get] = ACTIONS(524),
    [anon_sym_set] = ACTIONS(524),
    [sym__automatic_semicolon] = ACTIONS(532),
    [sym_html_comment] = ACTIONS(5),
  },
  [296] = {
    [sym_variable_declarator] = STATE(1216),
    [sym_object_pattern] = STATE(1151),
    [sym_array_pattern] = STATE(1151),
    [sym__destructuring_pattern] = STATE(1151),
    [aux_sym_object_repeat1] = STATE(1330),
    [aux_sym_object_pattern_repeat1] = STATE(1302),
    [sym_identifier] = ACTIONS(900),
    [anon_sym_STAR] = ACTIONS(816),
    [anon_sym_LBRACE] = ACTIONS(902),
    [anon_sym_COMMA] = ACTIONS(805),
    [anon_sym_RBRACE] = ACTIONS(833),
    [anon_sym_LPAREN] = ACTIONS(813),
    [anon_sym_in] = ACTIONS(816),
    [anon_sym_SEMI] = ACTIONS(805),
    [anon_sym_COLON] = ACTIONS(818),
    [anon_sym_EQ] = ACTIONS(821),
    [anon_sym_LBRACK] = ACTIONS(904),
    [anon_sym_LT] = ACTIONS(816),
    [anon_sym_GT] = ACTIONS(816),
    [anon_sym_DOT] = ACTIONS(805),
    [anon_sym_EQ_GT] = ACTIONS(829),
    [sym_optional_chain] = ACTIONS(805),
    [anon_sym_PLUS_EQ] = ACTIONS(831),
    [anon_sym_DASH_EQ] = ACTIONS(831),
    [anon_sym_STAR_EQ] = ACTIONS(831),
    [anon_sym_SLASH_EQ] = ACTIONS(831),
    [anon_sym_PERCENT_EQ] = ACTIONS(831),
    [anon_sym_CARET_EQ] = ACTIONS(831),
    [anon_sym_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_LT_EQ] = ACTIONS(831),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(831),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP] = ACTIONS(816),
    [anon_sym_PIPE_PIPE] = ACTIONS(816),
    [anon_sym_GT_GT] = ACTIONS(816),
    [anon_sym_GT_GT_GT] = ACTIONS(816),
    [anon_sym_LT_LT] = ACTIONS(816),
    [anon_sym_AMP] = ACTIONS(816),
    [anon_sym_CARET] = ACTIONS(816),
    [anon_sym_PIPE] = ACTIONS(816),
    [anon_sym_PLUS] = ACTIONS(816),
    [anon_sym_DASH] = ACTIONS(816),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_PERCENT] = ACTIONS(816),
    [anon_sym_STAR_STAR] = ACTIONS(816),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(816),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(816),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(805),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_QMARK_QMARK] = ACTIONS(816),
    [anon_sym_instanceof] = ACTIONS(816),
    [anon_sym_PLUS_PLUS] = ACTIONS(805),
    [anon_sym_DASH_DASH] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(805),
    [sym__automatic_semicolon] = ACTIONS(805),
    [sym__ternary_qmark] = ACTIONS(805),
    [sym_html_comment] = ACTIONS(5),
  },
  [297] = {
    [sym_formal_parameters] = STATE(1620),
    [sym_identifier] = ACTIONS(906),
    [anon_sym_export] = ACTIONS(908),
    [anon_sym_STAR] = ACTIONS(816),
    [anon_sym_COMMA] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_LPAREN] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(816),
    [anon_sym_of] = ACTIONS(816),
    [anon_sym_SEMI] = ACTIONS(805),
    [anon_sym_EQ] = ACTIONS(910),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_LT] = ACTIONS(816),
    [anon_sym_GT] = ACTIONS(816),
    [anon_sym_DOT] = ACTIONS(805),
    [anon_sym_async] = ACTIONS(908),
    [anon_sym_function] = ACTIONS(912),
    [anon_sym_EQ_GT] = ACTIONS(914),
    [sym_optional_chain] = ACTIONS(805),
    [anon_sym_PLUS_EQ] = ACTIONS(831),
    [anon_sym_DASH_EQ] = ACTIONS(831),
    [anon_sym_STAR_EQ] = ACTIONS(831),
    [anon_sym_SLASH_EQ] = ACTIONS(831),
    [anon_sym_PERCENT_EQ] = ACTIONS(831),
    [anon_sym_CARET_EQ] = ACTIONS(831),
    [anon_sym_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_LT_EQ] = ACTIONS(831),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(831),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP] = ACTIONS(816),
    [anon_sym_PIPE_PIPE] = ACTIONS(816),
    [anon_sym_GT_GT] = ACTIONS(816),
    [anon_sym_GT_GT_GT] = ACTIONS(816),
    [anon_sym_LT_LT] = ACTIONS(816),
    [anon_sym_AMP] = ACTIONS(816),
    [anon_sym_CARET] = ACTIONS(816),
    [anon_sym_PIPE] = ACTIONS(816),
    [anon_sym_PLUS] = ACTIONS(816),
    [anon_sym_DASH] = ACTIONS(816),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_PERCENT] = ACTIONS(816),
    [anon_sym_STAR_STAR] = ACTIONS(816),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(816),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(816),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(805),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_QMARK_QMARK] = ACTIONS(816),
    [anon_sym_instanceof] = ACTIONS(816),
    [anon_sym_PLUS_PLUS] = ACTIONS(805),
    [anon_sym_DASH_DASH] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(805),
    [anon_sym_static] = ACTIONS(908),
    [anon_sym_get] = ACTIONS(908),
    [anon_sym_set] = ACTIONS(908),
    [sym__automatic_semicolon] = ACTIONS(805),
    [sym__ternary_qmark] = ACTIONS(805),
    [sym_html_comment] = ACTIONS(5),
  },
  [298] = {
    [sym_formal_parameters] = STATE(1658),
    [sym_identifier] = ACTIONS(916),
    [anon_sym_export] = ACTIONS(918),
    [anon_sym_STAR] = ACTIONS(816),
    [anon_sym_COMMA] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(816),
    [anon_sym_SEMI] = ACTIONS(805),
    [anon_sym_COLON] = ACTIONS(837),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_LT] = ACTIONS(816),
    [anon_sym_GT] = ACTIONS(816),
    [anon_sym_DOT] = ACTIONS(805),
    [anon_sym_async] = ACTIONS(918),
    [anon_sym_function] = ACTIONS(859),
    [anon_sym_EQ_GT] = ACTIONS(829),
    [sym_optional_chain] = ACTIONS(805),
    [anon_sym_PLUS_EQ] = ACTIONS(831),
    [anon_sym_DASH_EQ] = ACTIONS(831),
    [anon_sym_STAR_EQ] = ACTIONS(831),
    [anon_sym_SLASH_EQ] = ACTIONS(831),
    [anon_sym_PERCENT_EQ] = ACTIONS(831),
    [anon_sym_CARET_EQ] = ACTIONS(831),
    [anon_sym_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_LT_EQ] = ACTIONS(831),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(831),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP] = ACTIONS(816),
    [anon_sym_PIPE_PIPE] = ACTIONS(816),
    [anon_sym_GT_GT] = ACTIONS(816),
    [anon_sym_GT_GT_GT] = ACTIONS(816),
    [anon_sym_LT_LT] = ACTIONS(816),
    [anon_sym_AMP] = ACTIONS(816),
    [anon_sym_CARET] = ACTIONS(816),
    [anon_sym_PIPE] = ACTIONS(816),
    [anon_sym_PLUS] = ACTIONS(816),
    [anon_sym_DASH] = ACTIONS(816),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_PERCENT] = ACTIONS(816),
    [anon_sym_STAR_STAR] = ACTIONS(816),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(816),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(816),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(805),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_QMARK_QMARK] = ACTIONS(816),
    [anon_sym_instanceof] = ACTIONS(816),
    [anon_sym_PLUS_PLUS] = ACTIONS(805),
    [anon_sym_DASH_DASH] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(805),
    [anon_sym_static] = ACTIONS(918),
    [anon_sym_get] = ACTIONS(918),
    [anon_sym_set] = ACTIONS(918),
    [sym__automatic_semicolon] = ACTIONS(805),
    [sym__ternary_qmark] = ACTIONS(805),
    [sym_html_comment] = ACTIONS(5),
  },
  [299] = {
    [sym_formal_parameters] = STATE(1658),
    [sym_identifier] = ACTIONS(916),
    [anon_sym_export] = ACTIONS(918),
    [anon_sym_STAR] = ACTIONS(816),
    [anon_sym_COMMA] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(816),
    [anon_sym_SEMI] = ACTIONS(805),
    [anon_sym_COLON] = ACTIONS(867),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_LT] = ACTIONS(816),
    [anon_sym_GT] = ACTIONS(816),
    [anon_sym_DOT] = ACTIONS(805),
    [anon_sym_async] = ACTIONS(918),
    [anon_sym_function] = ACTIONS(920),
    [anon_sym_EQ_GT] = ACTIONS(829),
    [sym_optional_chain] = ACTIONS(805),
    [anon_sym_PLUS_EQ] = ACTIONS(831),
    [anon_sym_DASH_EQ] = ACTIONS(831),
    [anon_sym_STAR_EQ] = ACTIONS(831),
    [anon_sym_SLASH_EQ] = ACTIONS(831),
    [anon_sym_PERCENT_EQ] = ACTIONS(831),
    [anon_sym_CARET_EQ] = ACTIONS(831),
    [anon_sym_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_LT_EQ] = ACTIONS(831),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(831),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP] = ACTIONS(816),
    [anon_sym_PIPE_PIPE] = ACTIONS(816),
    [anon_sym_GT_GT] = ACTIONS(816),
    [anon_sym_GT_GT_GT] = ACTIONS(816),
    [anon_sym_LT_LT] = ACTIONS(816),
    [anon_sym_AMP] = ACTIONS(816),
    [anon_sym_CARET] = ACTIONS(816),
    [anon_sym_PIPE] = ACTIONS(816),
    [anon_sym_PLUS] = ACTIONS(816),
    [anon_sym_DASH] = ACTIONS(816),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_PERCENT] = ACTIONS(816),
    [anon_sym_STAR_STAR] = ACTIONS(816),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(816),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(816),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(805),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_QMARK_QMARK] = ACTIONS(816),
    [anon_sym_instanceof] = ACTIONS(816),
    [anon_sym_PLUS_PLUS] = ACTIONS(805),
    [anon_sym_DASH_DASH] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(805),
    [anon_sym_static] = ACTIONS(918),
    [anon_sym_get] = ACTIONS(918),
    [anon_sym_set] = ACTIONS(918),
    [sym__automatic_semicolon] = ACTIONS(805),
    [sym__ternary_qmark] = ACTIONS(805),
    [sym_html_comment] = ACTIONS(5),
  },
  [300] = {
    [sym_variable_declarator] = STATE(1216),
    [sym_object_pattern] = STATE(1151),
    [sym_array_pattern] = STATE(1151),
    [sym__destructuring_pattern] = STATE(1151),
    [aux_sym_object_repeat1] = STATE(1330),
    [aux_sym_object_pattern_repeat1] = STATE(1302),
    [sym_identifier] = ACTIONS(900),
    [anon_sym_STAR] = ACTIONS(816),
    [anon_sym_LBRACE] = ACTIONS(902),
    [anon_sym_COMMA] = ACTIONS(805),
    [anon_sym_RBRACE] = ACTIONS(835),
    [anon_sym_LPAREN] = ACTIONS(813),
    [anon_sym_in] = ACTIONS(816),
    [anon_sym_SEMI] = ACTIONS(805),
    [anon_sym_COLON] = ACTIONS(818),
    [anon_sym_EQ] = ACTIONS(821),
    [anon_sym_LBRACK] = ACTIONS(904),
    [anon_sym_LT] = ACTIONS(816),
    [anon_sym_GT] = ACTIONS(816),
    [anon_sym_DOT] = ACTIONS(805),
    [anon_sym_EQ_GT] = ACTIONS(829),
    [sym_optional_chain] = ACTIONS(805),
    [anon_sym_PLUS_EQ] = ACTIONS(831),
    [anon_sym_DASH_EQ] = ACTIONS(831),
    [anon_sym_STAR_EQ] = ACTIONS(831),
    [anon_sym_SLASH_EQ] = ACTIONS(831),
    [anon_sym_PERCENT_EQ] = ACTIONS(831),
    [anon_sym_CARET_EQ] = ACTIONS(831),
    [anon_sym_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_LT_EQ] = ACTIONS(831),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(831),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP] = ACTIONS(816),
    [anon_sym_PIPE_PIPE] = ACTIONS(816),
    [anon_sym_GT_GT] = ACTIONS(816),
    [anon_sym_GT_GT_GT] = ACTIONS(816),
    [anon_sym_LT_LT] = ACTIONS(816),
    [anon_sym_AMP] = ACTIONS(816),
    [anon_sym_CARET] = ACTIONS(816),
    [anon_sym_PIPE] = ACTIONS(816),
    [anon_sym_PLUS] = ACTIONS(816),
    [anon_sym_DASH] = ACTIONS(816),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_PERCENT] = ACTIONS(816),
    [anon_sym_STAR_STAR] = ACTIONS(816),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(816),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(816),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(805),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_QMARK_QMARK] = ACTIONS(816),
    [anon_sym_instanceof] = ACTIONS(816),
    [anon_sym_PLUS_PLUS] = ACTIONS(805),
    [anon_sym_DASH_DASH] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(805),
    [sym__automatic_semicolon] = ACTIONS(805),
    [sym__ternary_qmark] = ACTIONS(805),
    [sym_html_comment] = ACTIONS(5),
  },
  [301] = {
    [sym_formal_parameters] = STATE(1663),
    [sym_identifier] = ACTIONS(883),
    [anon_sym_export] = ACTIONS(885),
    [anon_sym_STAR] = ACTIONS(816),
    [anon_sym_COMMA] = ACTIONS(922),
    [anon_sym_RBRACE] = ACTIONS(922),
    [anon_sym_let] = ACTIONS(885),
    [anon_sym_LPAREN] = ACTIONS(887),
    [anon_sym_RPAREN] = ACTIONS(922),
    [anon_sym_in] = ACTIONS(816),
    [anon_sym_EQ] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_RBRACK] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(816),
    [anon_sym_GT] = ACTIONS(816),
    [anon_sym_DOT] = ACTIONS(805),
    [anon_sym_async] = ACTIONS(885),
    [anon_sym_function] = ACTIONS(892),
    [anon_sym_EQ_GT] = ACTIONS(894),
    [sym_optional_chain] = ACTIONS(805),
    [anon_sym_PLUS_EQ] = ACTIONS(831),
    [anon_sym_DASH_EQ] = ACTIONS(831),
    [anon_sym_STAR_EQ] = ACTIONS(831),
    [anon_sym_SLASH_EQ] = ACTIONS(831),
    [anon_sym_PERCENT_EQ] = ACTIONS(831),
    [anon_sym_CARET_EQ] = ACTIONS(831),
    [anon_sym_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_LT_EQ] = ACTIONS(831),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(831),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP] = ACTIONS(816),
    [anon_sym_PIPE_PIPE] = ACTIONS(816),
    [anon_sym_GT_GT] = ACTIONS(816),
    [anon_sym_GT_GT_GT] = ACTIONS(816),
    [anon_sym_LT_LT] = ACTIONS(816),
    [anon_sym_AMP] = ACTIONS(816),
    [anon_sym_CARET] = ACTIONS(816),
    [anon_sym_PIPE] = ACTIONS(816),
    [anon_sym_PLUS] = ACTIONS(816),
    [anon_sym_DASH] = ACTIONS(816),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_PERCENT] = ACTIONS(816),
    [anon_sym_STAR_STAR] = ACTIONS(816),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(816),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(816),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(805),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_QMARK_QMARK] = ACTIONS(816),
    [anon_sym_instanceof] = ACTIONS(816),
    [anon_sym_PLUS_PLUS] = ACTIONS(805),
    [anon_sym_DASH_DASH] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(805),
    [anon_sym_static] = ACTIONS(885),
    [anon_sym_get] = ACTIONS(885),
    [anon_sym_set] = ACTIONS(885),
    [sym__ternary_qmark] = ACTIONS(805),
    [sym_html_comment] = ACTIONS(5),
  },
  [302] = {
    [sym_variable_declarator] = STATE(1216),
    [sym_object_pattern] = STATE(1151),
    [sym_array_pattern] = STATE(1151),
    [sym__destructuring_pattern] = STATE(1151),
    [aux_sym_object_repeat1] = STATE(1360),
    [aux_sym_object_pattern_repeat1] = STATE(1302),
    [sym_identifier] = ACTIONS(900),
    [anon_sym_STAR] = ACTIONS(816),
    [anon_sym_LBRACE] = ACTIONS(902),
    [anon_sym_COMMA] = ACTIONS(805),
    [anon_sym_RBRACE] = ACTIONS(807),
    [anon_sym_LPAREN] = ACTIONS(813),
    [anon_sym_in] = ACTIONS(816),
    [anon_sym_SEMI] = ACTIONS(805),
    [anon_sym_COLON] = ACTIONS(818),
    [anon_sym_EQ] = ACTIONS(821),
    [anon_sym_LBRACK] = ACTIONS(904),
    [anon_sym_LT] = ACTIONS(816),
    [anon_sym_GT] = ACTIONS(816),
    [anon_sym_DOT] = ACTIONS(805),
    [anon_sym_EQ_GT] = ACTIONS(829),
    [sym_optional_chain] = ACTIONS(805),
    [anon_sym_PLUS_EQ] = ACTIONS(831),
    [anon_sym_DASH_EQ] = ACTIONS(831),
    [anon_sym_STAR_EQ] = ACTIONS(831),
    [anon_sym_SLASH_EQ] = ACTIONS(831),
    [anon_sym_PERCENT_EQ] = ACTIONS(831),
    [anon_sym_CARET_EQ] = ACTIONS(831),
    [anon_sym_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_LT_EQ] = ACTIONS(831),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(831),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP] = ACTIONS(816),
    [anon_sym_PIPE_PIPE] = ACTIONS(816),
    [anon_sym_GT_GT] = ACTIONS(816),
    [anon_sym_GT_GT_GT] = ACTIONS(816),
    [anon_sym_LT_LT] = ACTIONS(816),
    [anon_sym_AMP] = ACTIONS(816),
    [anon_sym_CARET] = ACTIONS(816),
    [anon_sym_PIPE] = ACTIONS(816),
    [anon_sym_PLUS] = ACTIONS(816),
    [anon_sym_DASH] = ACTIONS(816),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_PERCENT] = ACTIONS(816),
    [anon_sym_STAR_STAR] = ACTIONS(816),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(816),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(816),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(805),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_QMARK_QMARK] = ACTIONS(816),
    [anon_sym_instanceof] = ACTIONS(816),
    [anon_sym_PLUS_PLUS] = ACTIONS(805),
    [anon_sym_DASH_DASH] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(805),
    [sym__automatic_semicolon] = ACTIONS(805),
    [sym__ternary_qmark] = ACTIONS(805),
    [sym_html_comment] = ACTIONS(5),
  },
  [303] = {
    [sym_formal_parameters] = STATE(1691),
    [sym_identifier] = ACTIONS(928),
    [anon_sym_export] = ACTIONS(930),
    [anon_sym_STAR] = ACTIONS(816),
    [anon_sym_COMMA] = ACTIONS(932),
    [anon_sym_RBRACE] = ACTIONS(932),
    [anon_sym_let] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(887),
    [anon_sym_RPAREN] = ACTIONS(932),
    [anon_sym_in] = ACTIONS(816),
    [anon_sym_EQ] = ACTIONS(934),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_RBRACK] = ACTIONS(932),
    [anon_sym_LT] = ACTIONS(816),
    [anon_sym_GT] = ACTIONS(816),
    [anon_sym_DOT] = ACTIONS(805),
    [anon_sym_async] = ACTIONS(930),
    [anon_sym_function] = ACTIONS(892),
    [anon_sym_EQ_GT] = ACTIONS(937),
    [sym_optional_chain] = ACTIONS(805),
    [anon_sym_PLUS_EQ] = ACTIONS(831),
    [anon_sym_DASH_EQ] = ACTIONS(831),
    [anon_sym_STAR_EQ] = ACTIONS(831),
    [anon_sym_SLASH_EQ] = ACTIONS(831),
    [anon_sym_PERCENT_EQ] = ACTIONS(831),
    [anon_sym_CARET_EQ] = ACTIONS(831),
    [anon_sym_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_LT_EQ] = ACTIONS(831),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(831),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP] = ACTIONS(816),
    [anon_sym_PIPE_PIPE] = ACTIONS(816),
    [anon_sym_GT_GT] = ACTIONS(816),
    [anon_sym_GT_GT_GT] = ACTIONS(816),
    [anon_sym_LT_LT] = ACTIONS(816),
    [anon_sym_AMP] = ACTIONS(816),
    [anon_sym_CARET] = ACTIONS(816),
    [anon_sym_PIPE] = ACTIONS(816),
    [anon_sym_PLUS] = ACTIONS(816),
    [anon_sym_DASH] = ACTIONS(816),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_PERCENT] = ACTIONS(816),
    [anon_sym_STAR_STAR] = ACTIONS(816),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(816),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(816),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(805),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_QMARK_QMARK] = ACTIONS(816),
    [anon_sym_instanceof] = ACTIONS(816),
    [anon_sym_PLUS_PLUS] = ACTIONS(805),
    [anon_sym_DASH_DASH] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(805),
    [anon_sym_static] = ACTIONS(930),
    [anon_sym_get] = ACTIONS(930),
    [anon_sym_set] = ACTIONS(930),
    [sym__ternary_qmark] = ACTIONS(805),
    [sym_html_comment] = ACTIONS(5),
  },
  [304] = {
    [ts_builtin_sym_end] = ACTIONS(622),
    [sym_identifier] = ACTIONS(624),
    [anon_sym_export] = ACTIONS(624),
    [anon_sym_default] = ACTIONS(624),
    [anon_sym_LBRACE] = ACTIONS(622),
    [anon_sym_COMMA] = ACTIONS(622),
    [anon_sym_RBRACE] = ACTIONS(622),
    [anon_sym_import] = ACTIONS(624),
    [anon_sym_with] = ACTIONS(624),
    [anon_sym_var] = ACTIONS(624),
    [anon_sym_let] = ACTIONS(624),
    [anon_sym_const] = ACTIONS(624),
    [anon_sym_else] = ACTIONS(624),
    [anon_sym_if] = ACTIONS(624),
    [anon_sym_switch] = ACTIONS(624),
    [anon_sym_for] = ACTIONS(624),
    [anon_sym_LPAREN] = ACTIONS(622),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_while] = ACTIONS(624),
    [anon_sym_do] = ACTIONS(624),
    [anon_sym_try] = ACTIONS(624),
    [anon_sym_break] = ACTIONS(624),
    [anon_sym_continue] = ACTIONS(624),
    [anon_sym_debugger] = ACTIONS(624),
    [anon_sym_return] = ACTIONS(624),
    [anon_sym_throw] = ACTIONS(624),
    [anon_sym_SEMI] = ACTIONS(622),
    [anon_sym_case] = ACTIONS(624),
    [anon_sym_catch] = ACTIONS(624),
    [anon_sym_finally] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(624),
    [anon_sym_LBRACK] = ACTIONS(622),
    [anon_sym_LTtemplate_GT] = ACTIONS(622),
    [anon_sym_LT] = ACTIONS(624),
    [anon_sym_DQUOTE] = ACTIONS(622),
    [anon_sym_SQUOTE] = ACTIONS(622),
    [anon_sym_class] = ACTIONS(624),
    [anon_sym_async] = ACTIONS(624),
    [anon_sym_function] = ACTIONS(624),
    [anon_sym_new] = ACTIONS(624),
    [anon_sym_PLUS] = ACTIONS(624),
    [anon_sym_DASH] = ACTIONS(624),
    [anon_sym_SLASH] = ACTIONS(624),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_typeof] = ACTIONS(624),
    [anon_sym_void] = ACTIONS(624),
    [anon_sym_delete] = ACTIONS(624),
    [anon_sym_PLUS_PLUS] = ACTIONS(622),
    [anon_sym_DASH_DASH] = ACTIONS(622),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(622),
    [sym_number] = ACTIONS(622),
    [sym_private_property_identifier] = ACTIONS(622),
    [sym_this] = ACTIONS(624),
    [sym_super] = ACTIONS(624),
    [sym_true] = ACTIONS(624),
    [sym_false] = ACTIONS(624),
    [sym_null] = ACTIONS(624),
    [sym_undefined] = ACTIONS(624),
    [anon_sym_AT] = ACTIONS(622),
    [anon_sym_static] = ACTIONS(624),
    [anon_sym_get] = ACTIONS(624),
    [anon_sym_set] = ACTIONS(624),
    [sym_html_comment] = ACTIONS(5),
  },
  [305] = {
    [sym_formal_parameters] = STATE(1620),
    [sym_identifier] = ACTIONS(906),
    [anon_sym_export] = ACTIONS(908),
    [anon_sym_STAR] = ACTIONS(816),
    [anon_sym_COMMA] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(908),
    [anon_sym_LPAREN] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(816),
    [anon_sym_of] = ACTIONS(816),
    [anon_sym_SEMI] = ACTIONS(805),
    [anon_sym_EQ] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_LT] = ACTIONS(816),
    [anon_sym_GT] = ACTIONS(816),
    [anon_sym_DOT] = ACTIONS(805),
    [anon_sym_async] = ACTIONS(908),
    [anon_sym_function] = ACTIONS(912),
    [anon_sym_EQ_GT] = ACTIONS(914),
    [sym_optional_chain] = ACTIONS(805),
    [anon_sym_PLUS_EQ] = ACTIONS(831),
    [anon_sym_DASH_EQ] = ACTIONS(831),
    [anon_sym_STAR_EQ] = ACTIONS(831),
    [anon_sym_SLASH_EQ] = ACTIONS(831),
    [anon_sym_PERCENT_EQ] = ACTIONS(831),
    [anon_sym_CARET_EQ] = ACTIONS(831),
    [anon_sym_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_LT_EQ] = ACTIONS(831),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(831),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP] = ACTIONS(816),
    [anon_sym_PIPE_PIPE] = ACTIONS(816),
    [anon_sym_GT_GT] = ACTIONS(816),
    [anon_sym_GT_GT_GT] = ACTIONS(816),
    [anon_sym_LT_LT] = ACTIONS(816),
    [anon_sym_AMP] = ACTIONS(816),
    [anon_sym_CARET] = ACTIONS(816),
    [anon_sym_PIPE] = ACTIONS(816),
    [anon_sym_PLUS] = ACTIONS(816),
    [anon_sym_DASH] = ACTIONS(816),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_PERCENT] = ACTIONS(816),
    [anon_sym_STAR_STAR] = ACTIONS(816),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(816),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(816),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(805),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_QMARK_QMARK] = ACTIONS(816),
    [anon_sym_instanceof] = ACTIONS(816),
    [anon_sym_PLUS_PLUS] = ACTIONS(805),
    [anon_sym_DASH_DASH] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(805),
    [anon_sym_static] = ACTIONS(908),
    [anon_sym_get] = ACTIONS(908),
    [anon_sym_set] = ACTIONS(908),
    [sym__automatic_semicolon] = ACTIONS(805),
    [sym__ternary_qmark] = ACTIONS(805),
    [sym_html_comment] = ACTIONS(5),
  },
  [306] = {
    [sym_formal_parameters] = STATE(1658),
    [sym_identifier] = ACTIONS(916),
    [anon_sym_export] = ACTIONS(918),
    [anon_sym_STAR] = ACTIONS(816),
    [anon_sym_COMMA] = ACTIONS(805),
    [anon_sym_RBRACE] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(816),
    [anon_sym_SEMI] = ACTIONS(805),
    [anon_sym_EQ] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_LT] = ACTIONS(816),
    [anon_sym_GT] = ACTIONS(816),
    [anon_sym_DOT] = ACTIONS(805),
    [anon_sym_async] = ACTIONS(918),
    [anon_sym_function] = ACTIONS(912),
    [anon_sym_EQ_GT] = ACTIONS(829),
    [sym_optional_chain] = ACTIONS(805),
    [anon_sym_PLUS_EQ] = ACTIONS(831),
    [anon_sym_DASH_EQ] = ACTIONS(831),
    [anon_sym_STAR_EQ] = ACTIONS(831),
    [anon_sym_SLASH_EQ] = ACTIONS(831),
    [anon_sym_PERCENT_EQ] = ACTIONS(831),
    [anon_sym_CARET_EQ] = ACTIONS(831),
    [anon_sym_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_LT_EQ] = ACTIONS(831),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(831),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP] = ACTIONS(816),
    [anon_sym_PIPE_PIPE] = ACTIONS(816),
    [anon_sym_GT_GT] = ACTIONS(816),
    [anon_sym_GT_GT_GT] = ACTIONS(816),
    [anon_sym_LT_LT] = ACTIONS(816),
    [anon_sym_AMP] = ACTIONS(816),
    [anon_sym_CARET] = ACTIONS(816),
    [anon_sym_PIPE] = ACTIONS(816),
    [anon_sym_PLUS] = ACTIONS(816),
    [anon_sym_DASH] = ACTIONS(816),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_PERCENT] = ACTIONS(816),
    [anon_sym_STAR_STAR] = ACTIONS(816),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(816),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(816),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(805),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_QMARK_QMARK] = ACTIONS(816),
    [anon_sym_instanceof] = ACTIONS(816),
    [anon_sym_PLUS_PLUS] = ACTIONS(805),
    [anon_sym_DASH_DASH] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(805),
    [anon_sym_static] = ACTIONS(918),
    [anon_sym_get] = ACTIONS(918),
    [anon_sym_set] = ACTIONS(918),
    [sym__automatic_semicolon] = ACTIONS(805),
    [sym__ternary_qmark] = ACTIONS(805),
    [sym_html_comment] = ACTIONS(5),
  },
  [307] = {
    [sym_formal_parameters] = STATE(1658),
    [sym_identifier] = ACTIONS(916),
    [anon_sym_export] = ACTIONS(918),
    [anon_sym_STAR] = ACTIONS(816),
    [anon_sym_COMMA] = ACTIONS(805),
    [anon_sym_RBRACE] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(816),
    [anon_sym_SEMI] = ACTIONS(805),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_LT] = ACTIONS(816),
    [anon_sym_GT] = ACTIONS(816),
    [anon_sym_DOT] = ACTIONS(805),
    [anon_sym_async] = ACTIONS(918),
    [anon_sym_function] = ACTIONS(912),
    [anon_sym_EQ_GT] = ACTIONS(829),
    [sym_optional_chain] = ACTIONS(805),
    [anon_sym_PLUS_EQ] = ACTIONS(831),
    [anon_sym_DASH_EQ] = ACTIONS(831),
    [anon_sym_STAR_EQ] = ACTIONS(831),
    [anon_sym_SLASH_EQ] = ACTIONS(831),
    [anon_sym_PERCENT_EQ] = ACTIONS(831),
    [anon_sym_CARET_EQ] = ACTIONS(831),
    [anon_sym_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_LT_EQ] = ACTIONS(831),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(831),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP] = ACTIONS(816),
    [anon_sym_PIPE_PIPE] = ACTIONS(816),
    [anon_sym_GT_GT] = ACTIONS(816),
    [anon_sym_GT_GT_GT] = ACTIONS(816),
    [anon_sym_LT_LT] = ACTIONS(816),
    [anon_sym_AMP] = ACTIONS(816),
    [anon_sym_CARET] = ACTIONS(816),
    [anon_sym_PIPE] = ACTIONS(816),
    [anon_sym_PLUS] = ACTIONS(816),
    [anon_sym_DASH] = ACTIONS(816),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_PERCENT] = ACTIONS(816),
    [anon_sym_STAR_STAR] = ACTIONS(816),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(816),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(816),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(805),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_QMARK_QMARK] = ACTIONS(816),
    [anon_sym_instanceof] = ACTIONS(816),
    [anon_sym_PLUS_PLUS] = ACTIONS(805),
    [anon_sym_DASH_DASH] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(805),
    [anon_sym_static] = ACTIONS(918),
    [anon_sym_get] = ACTIONS(918),
    [anon_sym_set] = ACTIONS(918),
    [sym__automatic_semicolon] = ACTIONS(805),
    [sym__ternary_qmark] = ACTIONS(805),
    [sym_html_comment] = ACTIONS(5),
  },
  [308] = {
    [ts_builtin_sym_end] = ACTIONS(660),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_export] = ACTIONS(662),
    [anon_sym_default] = ACTIONS(662),
    [anon_sym_LBRACE] = ACTIONS(660),
    [anon_sym_COMMA] = ACTIONS(660),
    [anon_sym_RBRACE] = ACTIONS(660),
    [anon_sym_import] = ACTIONS(662),
    [anon_sym_with] = ACTIONS(662),
    [anon_sym_var] = ACTIONS(662),
    [anon_sym_let] = ACTIONS(662),
    [anon_sym_const] = ACTIONS(662),
    [anon_sym_else] = ACTIONS(662),
    [anon_sym_if] = ACTIONS(662),
    [anon_sym_switch] = ACTIONS(662),
    [anon_sym_for] = ACTIONS(662),
    [anon_sym_LPAREN] = ACTIONS(660),
    [anon_sym_await] = ACTIONS(662),
    [anon_sym_while] = ACTIONS(662),
    [anon_sym_do] = ACTIONS(662),
    [anon_sym_try] = ACTIONS(662),
    [anon_sym_break] = ACTIONS(662),
    [anon_sym_continue] = ACTIONS(662),
    [anon_sym_debugger] = ACTIONS(662),
    [anon_sym_return] = ACTIONS(662),
    [anon_sym_throw] = ACTIONS(662),
    [anon_sym_SEMI] = ACTIONS(660),
    [anon_sym_case] = ACTIONS(662),
    [anon_sym_catch] = ACTIONS(662),
    [anon_sym_finally] = ACTIONS(662),
    [anon_sym_yield] = ACTIONS(662),
    [anon_sym_LBRACK] = ACTIONS(660),
    [anon_sym_LTtemplate_GT] = ACTIONS(660),
    [anon_sym_LT] = ACTIONS(662),
    [anon_sym_DQUOTE] = ACTIONS(660),
    [anon_sym_SQUOTE] = ACTIONS(660),
    [anon_sym_class] = ACTIONS(662),
    [anon_sym_async] = ACTIONS(662),
    [anon_sym_function] = ACTIONS(662),
    [anon_sym_new] = ACTIONS(662),
    [anon_sym_PLUS] = ACTIONS(662),
    [anon_sym_DASH] = ACTIONS(662),
    [anon_sym_SLASH] = ACTIONS(662),
    [anon_sym_BANG] = ACTIONS(660),
    [anon_sym_TILDE] = ACTIONS(660),
    [anon_sym_typeof] = ACTIONS(662),
    [anon_sym_void] = ACTIONS(662),
    [anon_sym_delete] = ACTIONS(662),
    [anon_sym_PLUS_PLUS] = ACTIONS(660),
    [anon_sym_DASH_DASH] = ACTIONS(660),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(660),
    [sym_number] = ACTIONS(660),
    [sym_private_property_identifier] = ACTIONS(660),
    [sym_this] = ACTIONS(662),
    [sym_super] = ACTIONS(662),
    [sym_true] = ACTIONS(662),
    [sym_false] = ACTIONS(662),
    [sym_null] = ACTIONS(662),
    [sym_undefined] = ACTIONS(662),
    [anon_sym_AT] = ACTIONS(660),
    [anon_sym_static] = ACTIONS(662),
    [anon_sym_get] = ACTIONS(662),
    [anon_sym_set] = ACTIONS(662),
    [sym_html_comment] = ACTIONS(5),
  },
  [309] = {
    [sym_formal_parameters] = STATE(1658),
    [sym_identifier] = ACTIONS(916),
    [anon_sym_export] = ACTIONS(918),
    [anon_sym_STAR] = ACTIONS(816),
    [anon_sym_COMMA] = ACTIONS(805),
    [anon_sym_let] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(887),
    [anon_sym_in] = ACTIONS(939),
    [anon_sym_of] = ACTIONS(942),
    [anon_sym_SEMI] = ACTIONS(805),
    [anon_sym_EQ] = ACTIONS(839),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_LT] = ACTIONS(816),
    [anon_sym_GT] = ACTIONS(816),
    [anon_sym_DOT] = ACTIONS(805),
    [anon_sym_async] = ACTIONS(918),
    [anon_sym_function] = ACTIONS(912),
    [anon_sym_EQ_GT] = ACTIONS(829),
    [sym_optional_chain] = ACTIONS(805),
    [anon_sym_PLUS_EQ] = ACTIONS(831),
    [anon_sym_DASH_EQ] = ACTIONS(831),
    [anon_sym_STAR_EQ] = ACTIONS(831),
    [anon_sym_SLASH_EQ] = ACTIONS(831),
    [anon_sym_PERCENT_EQ] = ACTIONS(831),
    [anon_sym_CARET_EQ] = ACTIONS(831),
    [anon_sym_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_LT_EQ] = ACTIONS(831),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(831),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP] = ACTIONS(816),
    [anon_sym_PIPE_PIPE] = ACTIONS(816),
    [anon_sym_GT_GT] = ACTIONS(816),
    [anon_sym_GT_GT_GT] = ACTIONS(816),
    [anon_sym_LT_LT] = ACTIONS(816),
    [anon_sym_AMP] = ACTIONS(816),
    [anon_sym_CARET] = ACTIONS(816),
    [anon_sym_PIPE] = ACTIONS(816),
    [anon_sym_PLUS] = ACTIONS(816),
    [anon_sym_DASH] = ACTIONS(816),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_PERCENT] = ACTIONS(816),
    [anon_sym_STAR_STAR] = ACTIONS(816),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(816),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(816),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(805),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_QMARK_QMARK] = ACTIONS(816),
    [anon_sym_instanceof] = ACTIONS(816),
    [anon_sym_PLUS_PLUS] = ACTIONS(805),
    [anon_sym_DASH_DASH] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(805),
    [anon_sym_static] = ACTIONS(918),
    [anon_sym_get] = ACTIONS(918),
    [anon_sym_set] = ACTIONS(918),
    [sym__automatic_semicolon] = ACTIONS(805),
    [sym__ternary_qmark] = ACTIONS(805),
    [sym_html_comment] = ACTIONS(5),
  },
  [310] = {
    [sym_formal_parameters] = STATE(1691),
    [sym_identifier] = ACTIONS(928),
    [anon_sym_export] = ACTIONS(930),
    [anon_sym_STAR] = ACTIONS(816),
    [anon_sym_COMMA] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(944),
    [anon_sym_let] = ACTIONS(930),
    [anon_sym_LPAREN] = ACTIONS(887),
    [anon_sym_RPAREN] = ACTIONS(944),
    [anon_sym_in] = ACTIONS(816),
    [anon_sym_EQ] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(805),
    [anon_sym_RBRACK] = ACTIONS(944),
    [anon_sym_LT] = ACTIONS(816),
    [anon_sym_GT] = ACTIONS(816),
    [anon_sym_DOT] = ACTIONS(805),
    [anon_sym_async] = ACTIONS(930),
    [anon_sym_function] = ACTIONS(892),
    [anon_sym_EQ_GT] = ACTIONS(937),
    [sym_optional_chain] = ACTIONS(805),
    [anon_sym_PLUS_EQ] = ACTIONS(831),
    [anon_sym_DASH_EQ] = ACTIONS(831),
    [anon_sym_STAR_EQ] = ACTIONS(831),
    [anon_sym_SLASH_EQ] = ACTIONS(831),
    [anon_sym_PERCENT_EQ] = ACTIONS(831),
    [anon_sym_CARET_EQ] = ACTIONS(831),
    [anon_sym_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(831),
    [anon_sym_LT_LT_EQ] = ACTIONS(831),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(831),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(831),
    [anon_sym_AMP_AMP] = ACTIONS(816),
    [anon_sym_PIPE_PIPE] = ACTIONS(816),
    [anon_sym_GT_GT] = ACTIONS(816),
    [anon_sym_GT_GT_GT] = ACTIONS(816),
    [anon_sym_LT_LT] = ACTIONS(816),
    [anon_sym_AMP] = ACTIONS(816),
    [anon_sym_CARET] = ACTIONS(816),
    [anon_sym_PIPE] = ACTIONS(816),
    [anon_sym_PLUS] = ACTIONS(816),
    [anon_sym_DASH] = ACTIONS(816),
    [anon_sym_SLASH] = ACTIONS(816),
    [anon_sym_PERCENT] = ACTIONS(816),
    [anon_sym_STAR_STAR] = ACTIONS(816),
    [anon_sym_LT_EQ] = ACTIONS(805),
    [anon_sym_EQ_EQ] = ACTIONS(816),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(805),
    [anon_sym_BANG_EQ] = ACTIONS(816),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(805),
    [anon_sym_GT_EQ] = ACTIONS(805),
    [anon_sym_QMARK_QMARK] = ACTIONS(816),
    [anon_sym_instanceof] = ACTIONS(816),
    [anon_sym_PLUS_PLUS] = ACTIONS(805),
    [anon_sym_DASH_DASH] = ACTIONS(805),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(805),
    [anon_sym_static] = ACTIONS(930),
    [anon_sym_get] = ACTIONS(930),
    [anon_sym_set] = ACTIONS(930),
    [sym__ternary_qmark] = ACTIONS(805),
    [sym_html_comment] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 5,
    ACTIONS(881), 1,
      anon_sym_finally,
    STATE(400), 1,
      sym_finally_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(946), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(948), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [75] = 12,
    ACTIONS(883), 1,
      sym_identifier,
    ACTIONS(887), 1,
      anon_sym_LPAREN,
    ACTIONS(890), 1,
      anon_sym_EQ,
    ACTIONS(892), 1,
      anon_sym_function,
    ACTIONS(894), 1,
      anon_sym_EQ_GT,
    STATE(1663), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(950), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(885), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(805), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(831), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(816), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [164] = 4,
    ACTIONS(594), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(586), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(588), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [236] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(957), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(953), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(955), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [308] = 4,
    ACTIONS(644), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(636), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(638), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [380] = 11,
    ACTIONS(829), 1,
      anon_sym_EQ_GT,
    ACTIONS(839), 1,
      anon_sym_EQ,
    ACTIONS(859), 1,
      anon_sym_function,
    ACTIONS(887), 1,
      anon_sym_LPAREN,
    ACTIONS(916), 1,
      sym_identifier,
    STATE(1658), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(918), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(805), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(831), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(816), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [466] = 4,
    ACTIONS(606), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(598), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(600), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [538] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(959), 18,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(961), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [608] = 4,
    ACTIONS(634), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(626), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(628), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [680] = 13,
    ACTIONS(883), 1,
      sym_identifier,
    ACTIONS(887), 1,
      anon_sym_LPAREN,
    ACTIONS(892), 1,
      anon_sym_function,
    ACTIONS(894), 1,
      anon_sym_EQ_GT,
    ACTIONS(922), 1,
      anon_sym_RBRACK,
    ACTIONS(925), 1,
      anon_sym_EQ,
    ACTIONS(932), 1,
      anon_sym_COMMA,
    STATE(1663), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(885), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(805), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(831), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(816), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [770] = 4,
    ACTIONS(548), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(540), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(542), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [842] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(963), 18,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(965), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [912] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(967), 18,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(969), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [982] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(608), 18,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(610), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1052] = 4,
    ACTIONS(620), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(612), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(614), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1124] = 4,
    ACTIONS(584), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(576), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(578), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1196] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(550), 18,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(552), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1266] = 4,
    ACTIONS(654), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(646), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(648), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1338] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(971), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(973), 44,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1408] = 11,
    ACTIONS(829), 1,
      anon_sym_EQ_GT,
    ACTIONS(839), 1,
      anon_sym_EQ,
    ACTIONS(887), 1,
      anon_sym_LPAREN,
    ACTIONS(916), 1,
      sym_identifier,
    ACTIONS(920), 1,
      anon_sym_function,
    STATE(1658), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(918), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(805), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(831), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(816), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [1494] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(622), 18,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(624), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1564] = 4,
    ACTIONS(975), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(522), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(524), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1636] = 4,
    ACTIONS(977), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(622), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(624), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1708] = 5,
    ACTIONS(983), 1,
      anon_sym_else,
    STATE(380), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(979), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(981), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1782] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(985), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(987), 44,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1852] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(660), 18,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(662), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1922] = 11,
    ACTIONS(887), 1,
      anon_sym_LPAREN,
    ACTIONS(892), 1,
      anon_sym_function,
    ACTIONS(896), 1,
      anon_sym_EQ,
    ACTIONS(928), 1,
      sym_identifier,
    ACTIONS(937), 1,
      anon_sym_EQ_GT,
    STATE(1691), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(930), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(805), 13,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(831), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(816), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [2008] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(989), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(991), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2077] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(993), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(995), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2146] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(997), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(999), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2215] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1001), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1003), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2284] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1005), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1007), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2353] = 13,
    ACTIONS(887), 1,
      anon_sym_LPAREN,
    ACTIONS(892), 1,
      anon_sym_function,
    ACTIONS(896), 1,
      anon_sym_EQ,
    ACTIONS(928), 1,
      sym_identifier,
    ACTIONS(937), 1,
      anon_sym_EQ_GT,
    ACTIONS(939), 1,
      anon_sym_in,
    ACTIONS(942), 1,
      anon_sym_of,
    STATE(1691), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(930), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(805), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(831), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(816), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [2442] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1009), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1011), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2511] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1013), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1015), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2580] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1017), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1019), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2649] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1021), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1023), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2718] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1025), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1027), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2787] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1029), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1031), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2856] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1017), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1019), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2925] = 13,
    ACTIONS(829), 1,
      anon_sym_EQ_GT,
    ACTIONS(839), 1,
      anon_sym_EQ,
    ACTIONS(902), 1,
      anon_sym_LBRACE,
    ACTIONS(904), 1,
      anon_sym_LBRACK,
    ACTIONS(939), 1,
      anon_sym_in,
    ACTIONS(942), 1,
      anon_sym_of,
    ACTIONS(1033), 1,
      sym_identifier,
    STATE(1216), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1082), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(805), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(831), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(816), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [3014] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1017), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1019), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3083] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1035), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1037), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3152] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1017), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1019), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3221] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1039), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1041), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3290] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1043), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1045), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3359] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1047), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1049), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3428] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1017), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1019), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3497] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1051), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1053), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3566] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1055), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1057), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3635] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1059), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1061), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3704] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1063), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1065), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3773] = 12,
    ACTIONS(829), 1,
      anon_sym_EQ_GT,
    ACTIONS(839), 1,
      anon_sym_EQ,
    ACTIONS(867), 1,
      anon_sym_COLON,
    ACTIONS(900), 1,
      sym_identifier,
    ACTIONS(902), 1,
      anon_sym_LBRACE,
    ACTIONS(904), 1,
      anon_sym_LBRACK,
    STATE(1216), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1151), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(805), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(831), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(816), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [3860] = 12,
    ACTIONS(829), 1,
      anon_sym_EQ_GT,
    ACTIONS(837), 1,
      anon_sym_COLON,
    ACTIONS(839), 1,
      anon_sym_EQ,
    ACTIONS(900), 1,
      sym_identifier,
    ACTIONS(902), 1,
      anon_sym_LBRACE,
    ACTIONS(904), 1,
      anon_sym_LBRACK,
    STATE(1216), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1151), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(805), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(831), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(816), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [3947] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1067), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1069), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4016] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1071), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1073), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4085] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1075), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1077), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4154] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1079), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1081), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4223] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1083), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1085), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4292] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1083), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1085), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4361] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1087), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1089), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4430] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1091), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1093), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4499] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1095), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1097), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4568] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1099), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1101), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4637] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1103), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1105), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4706] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1107), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1109), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4775] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1111), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1113), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4844] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1115), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1117), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4913] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1119), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1121), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4982] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1123), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1125), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5051] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1111), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1113), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5120] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1127), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1129), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5189] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1131), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1133), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5258] = 11,
    ACTIONS(887), 1,
      anon_sym_LPAREN,
    ACTIONS(892), 1,
      anon_sym_function,
    ACTIONS(1135), 1,
      sym_identifier,
    ACTIONS(1139), 1,
      anon_sym_EQ,
    ACTIONS(1141), 1,
      anon_sym_EQ_GT,
    STATE(1683), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1137), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(805), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(831), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(816), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [5343] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1143), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1145), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5412] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1143), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1145), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5481] = 11,
    ACTIONS(887), 1,
      anon_sym_LPAREN,
    ACTIONS(892), 1,
      anon_sym_function,
    ACTIONS(896), 1,
      anon_sym_EQ,
    ACTIONS(1135), 1,
      sym_identifier,
    ACTIONS(1141), 1,
      anon_sym_EQ_GT,
    STATE(1683), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1137), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(805), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(831), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(816), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [5566] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1147), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1149), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5635] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1151), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1153), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5704] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1155), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1157), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5773] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1159), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1161), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5842] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1163), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1165), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5911] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1167), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1169), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5980] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1171), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1173), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6049] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1175), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1177), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6118] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1179), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1181), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6187] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1017), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1019), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6256] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1183), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1185), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6325] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1187), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1189), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6394] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1191), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1193), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6463] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1195), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1197), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6532] = 11,
    ACTIONS(829), 1,
      anon_sym_EQ_GT,
    ACTIONS(839), 1,
      anon_sym_EQ,
    ACTIONS(900), 1,
      sym_identifier,
    ACTIONS(902), 1,
      anon_sym_LBRACE,
    ACTIONS(904), 1,
      anon_sym_LBRACK,
    STATE(1216), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1151), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(805), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(831), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(816), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [6615] = 11,
    ACTIONS(818), 1,
      anon_sym_COLON,
    ACTIONS(835), 1,
      anon_sym_RBRACE,
    ACTIONS(1203), 1,
      anon_sym_LPAREN,
    ACTIONS(1206), 1,
      anon_sym_EQ,
    ACTIONS(1208), 1,
      anon_sym_EQ_GT,
    STATE(1302), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1330), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1201), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1210), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1199), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6697] = 11,
    ACTIONS(818), 1,
      anon_sym_COLON,
    ACTIONS(833), 1,
      anon_sym_RBRACE,
    ACTIONS(1203), 1,
      anon_sym_LPAREN,
    ACTIONS(1206), 1,
      anon_sym_EQ,
    ACTIONS(1208), 1,
      anon_sym_EQ_GT,
    STATE(1302), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1330), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1201), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1210), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1199), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6779] = 11,
    ACTIONS(807), 1,
      anon_sym_RBRACE,
    ACTIONS(818), 1,
      anon_sym_COLON,
    ACTIONS(1203), 1,
      anon_sym_LPAREN,
    ACTIONS(1206), 1,
      anon_sym_EQ,
    ACTIONS(1208), 1,
      anon_sym_EQ_GT,
    STATE(1302), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1360), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1201), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1210), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1199), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6861] = 5,
    ACTIONS(1212), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1210), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1199), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1201), 20,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [6930] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1214), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1216), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [6995] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1218), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1220), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7060] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1222), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1224), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7125] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1226), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1228), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7190] = 12,
    ACTIONS(896), 1,
      anon_sym_EQ,
    ACTIONS(937), 1,
      anon_sym_EQ_GT,
    ACTIONS(939), 1,
      anon_sym_in,
    ACTIONS(942), 1,
      anon_sym_of,
    ACTIONS(1230), 1,
      sym_identifier,
    ACTIONS(1232), 1,
      anon_sym_LBRACE,
    ACTIONS(1234), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1494), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(805), 11,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(831), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(816), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [7273] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1237), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1239), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7338] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1241), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1243), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7403] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(969), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(967), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7468] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1247), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1245), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7532] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(967), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(969), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7596] = 6,
    ACTIONS(1249), 1,
      anon_sym_EQ,
    ACTIONS(1251), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1210), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1199), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7666] = 6,
    ACTIONS(894), 1,
      anon_sym_EQ_GT,
    ACTIONS(896), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(831), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(805), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(816), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7736] = 6,
    ACTIONS(1212), 1,
      anon_sym_EQ,
    ACTIONS(1251), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1210), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1199), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7806] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1247), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1245), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7870] = 6,
    ACTIONS(890), 1,
      anon_sym_EQ,
    ACTIONS(894), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(831), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(805), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(816), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7940] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1247), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1245), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8004] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1247), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1245), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8068] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1255), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1253), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8132] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1259), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1257), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8196] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1263), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1261), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8260] = 5,
    ACTIONS(1249), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1210), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1199), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8327] = 5,
    ACTIONS(1212), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1210), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1199), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8394] = 6,
    ACTIONS(1208), 1,
      anon_sym_EQ_GT,
    ACTIONS(1212), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1210), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1199), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8463] = 7,
    ACTIONS(829), 1,
      anon_sym_EQ_GT,
    ACTIONS(837), 1,
      anon_sym_COLON,
    ACTIONS(839), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(831), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(805), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(816), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8534] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1237), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1239), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [8597] = 7,
    ACTIONS(829), 1,
      anon_sym_EQ_GT,
    ACTIONS(839), 1,
      anon_sym_EQ,
    ACTIONS(867), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(831), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(805), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(816), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8668] = 6,
    ACTIONS(910), 1,
      anon_sym_EQ,
    ACTIONS(914), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(831), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(805), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(816), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8737] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(969), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(967), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [8800] = 6,
    ACTIONS(1208), 1,
      anon_sym_EQ_GT,
    ACTIONS(1265), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1210), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1199), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8869] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1241), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1243), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [8932] = 6,
    ACTIONS(1267), 1,
      anon_sym_EQ,
    ACTIONS(1269), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1210), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1199), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9001] = 7,
    ACTIONS(837), 1,
      anon_sym_COLON,
    ACTIONS(1208), 1,
      anon_sym_EQ_GT,
    ACTIONS(1265), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1210), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1199), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9072] = 8,
    ACTIONS(1208), 1,
      anon_sym_EQ_GT,
    ACTIONS(1265), 1,
      anon_sym_EQ,
    ACTIONS(1271), 1,
      anon_sym_in,
    ACTIONS(1274), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1210), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1199), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9145] = 7,
    ACTIONS(1212), 1,
      anon_sym_EQ,
    ACTIONS(1278), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1276), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1201), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1210), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1199), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9216] = 7,
    ACTIONS(1251), 1,
      anon_sym_EQ_GT,
    ACTIONS(1283), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1280), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1201), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1210), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1199), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9287] = 7,
    ACTIONS(867), 1,
      anon_sym_COLON,
    ACTIONS(1208), 1,
      anon_sym_EQ_GT,
    ACTIONS(1265), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1210), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1199), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9358] = 7,
    ACTIONS(896), 1,
      anon_sym_EQ,
    ACTIONS(937), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(944), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(805), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(831), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(816), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9429] = 6,
    ACTIONS(896), 1,
      anon_sym_EQ,
    ACTIONS(914), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(831), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(805), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(816), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9498] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1214), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1216), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9561] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1218), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1220), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9624] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1222), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1224), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9687] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1226), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1228), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9750] = 6,
    ACTIONS(829), 1,
      anon_sym_EQ_GT,
    ACTIONS(839), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(831), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(805), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(816), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9819] = 8,
    ACTIONS(829), 1,
      anon_sym_EQ_GT,
    ACTIONS(839), 1,
      anon_sym_EQ,
    ACTIONS(939), 1,
      anon_sym_in,
    ACTIONS(1286), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(831), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(805), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(816), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9892] = 6,
    ACTIONS(1212), 1,
      anon_sym_EQ,
    ACTIONS(1269), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1210), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1199), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9961] = 7,
    ACTIONS(894), 1,
      anon_sym_EQ_GT,
    ACTIONS(925), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(922), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(805), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(831), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(816), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10032] = 6,
    ACTIONS(829), 1,
      anon_sym_EQ_GT,
    ACTIONS(896), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(831), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(805), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(816), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10101] = 7,
    ACTIONS(934), 1,
      anon_sym_EQ,
    ACTIONS(937), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(932), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(805), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(831), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(816), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10172] = 7,
    ACTIONS(1278), 1,
      anon_sym_EQ_GT,
    ACTIONS(1290), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1288), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1201), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1210), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1199), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10243] = 6,
    ACTIONS(1283), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1280), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1201), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1210), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1199), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10311] = 5,
    ACTIONS(1267), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1210), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1199), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10377] = 7,
    ACTIONS(890), 1,
      anon_sym_EQ,
    ACTIONS(894), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(950), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(805), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(831), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(816), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10447] = 6,
    ACTIONS(1290), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1288), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1201), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1210), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1199), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10515] = 7,
    ACTIONS(1249), 1,
      anon_sym_EQ,
    ACTIONS(1251), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1293), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1201), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1210), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1199), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10585] = 6,
    ACTIONS(1212), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1276), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1201), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1210), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1199), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10653] = 7,
    ACTIONS(1265), 1,
      anon_sym_EQ,
    ACTIONS(1271), 1,
      anon_sym_in,
    ACTIONS(1274), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1210), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1199), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10723] = 5,
    ACTIONS(1265), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1210), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1201), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1199), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10789] = 8,
    ACTIONS(1251), 1,
      anon_sym_EQ_GT,
    ACTIONS(1280), 1,
      anon_sym_RBRACK,
    ACTIONS(1283), 1,
      anon_sym_EQ,
    ACTIONS(1288), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1201), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1210), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1199), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10860] = 6,
    ACTIONS(896), 1,
      anon_sym_EQ,
    ACTIONS(937), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(805), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(831), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(816), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10927] = 6,
    ACTIONS(1212), 1,
      anon_sym_EQ,
    ACTIONS(1278), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1201), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1210), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1199), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10994] = 8,
    ACTIONS(894), 1,
      anon_sym_EQ_GT,
    ACTIONS(922), 1,
      anon_sym_RBRACK,
    ACTIONS(925), 1,
      anon_sym_EQ,
    ACTIONS(932), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(805), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(831), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(816), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11065] = 6,
    ACTIONS(1249), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1293), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1201), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1210), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1199), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11132] = 6,
    ACTIONS(1139), 1,
      anon_sym_EQ,
    ACTIONS(1141), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(805), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(831), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(816), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11198] = 6,
    ACTIONS(896), 1,
      anon_sym_EQ,
    ACTIONS(1141), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(805), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(831), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(816), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11264] = 6,
    ACTIONS(1296), 1,
      anon_sym_EQ,
    ACTIONS(1298), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1201), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1210), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1199), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11330] = 7,
    ACTIONS(1280), 1,
      anon_sym_RBRACK,
    ACTIONS(1283), 1,
      anon_sym_EQ,
    ACTIONS(1288), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1201), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1210), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1199), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11398] = 6,
    ACTIONS(1212), 1,
      anon_sym_EQ,
    ACTIONS(1298), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1201), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1210), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1199), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11464] = 8,
    ACTIONS(896), 1,
      anon_sym_EQ,
    ACTIONS(937), 1,
      anon_sym_EQ_GT,
    ACTIONS(939), 1,
      anon_sym_in,
    ACTIONS(1286), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(805), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(831), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(816), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11534] = 8,
    ACTIONS(1212), 1,
      anon_sym_EQ,
    ACTIONS(1271), 1,
      anon_sym_in,
    ACTIONS(1274), 1,
      anon_sym_of,
    ACTIONS(1278), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1201), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1210), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1199), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11604] = 7,
    ACTIONS(1212), 1,
      anon_sym_EQ,
    ACTIONS(1271), 1,
      anon_sym_in,
    ACTIONS(1274), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1201), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1210), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1199), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11671] = 5,
    ACTIONS(1296), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1201), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1210), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1199), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11734] = 9,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1300), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1302), 23,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [11797] = 10,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1312), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1314), 21,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [11862] = 10,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1318), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1320), 21,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [11927] = 5,
    ACTIONS(530), 1,
      anon_sym_EQ,
    ACTIONS(1322), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(524), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(522), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [11982] = 4,
    ACTIONS(1322), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(524), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(522), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12034] = 4,
    ACTIONS(1212), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1199), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1201), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12086] = 4,
    ACTIONS(1324), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(624), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(622), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12138] = 5,
    ACTIONS(530), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1326), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(526), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(528), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12192] = 5,
    ACTIONS(1336), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1333), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1329), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12246] = 5,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    STATE(518), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1338), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1340), 27,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12300] = 8,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1342), 1,
      sym_optional_chain,
    STATE(518), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1338), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1340), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12360] = 5,
    ACTIONS(1351), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1348), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1344), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1346), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12414] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1353), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1355), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12463] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(650), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(652), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12512] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1357), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1359), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12561] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1363), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [12656] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1397), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1399), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12705] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1401), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12754] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1405), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1407), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12803] = 6,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1342), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1405), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1407), 25,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12858] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1199), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1201), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12907] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1411), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12956] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1413), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1415), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13005] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1417), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1419), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13054] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1421), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1423), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13103] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1425), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [13198] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1427), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1429), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13247] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1429), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [13342] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(624), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(622), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13391] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1431), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1433), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13440] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(580), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(582), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13489] = 4,
    ACTIONS(1435), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(624), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(622), 27,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13540] = 4,
    ACTIONS(1437), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(524), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(522), 27,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13591] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1439), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [13686] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1441), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1443), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13735] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1445), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1447), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13784] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(610), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(608), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13833] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1449), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1451), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13882] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1453), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1455), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13931] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1457), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1459), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13980] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1461), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1463), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14029] = 4,
    ACTIONS(1469), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1465), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1467), 26,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14080] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1471), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1473), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14129] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1475), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [14224] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1477), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1479), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14273] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1479), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [14368] = 16,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1483), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1481), 15,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [14443] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1485), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1487), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14492] = 9,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1300), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1302), 21,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [14553] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(590), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(592), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14602] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(630), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(632), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14651] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(616), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(618), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14700] = 11,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1483), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1481), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [14765] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1497), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [14860] = 22,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1481), 9,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [14947] = 23,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1481), 8,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [15036] = 14,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1483), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1481), 17,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15107] = 20,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1483), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1481), 10,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [15190] = 21,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1481), 10,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [15275] = 22,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1483), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1481), 9,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [15362] = 13,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1483), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1481), 17,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15431] = 11,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1483), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1481), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15496] = 18,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1483), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1481), 12,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [15575] = 24,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1481), 7,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
  [15666] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1499), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15715] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1503), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1505), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15764] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1507), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1509), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15813] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1511), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1513), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15862] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1515), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [15957] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1517), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1519), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16006] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1519), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [16101] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1521), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1523), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16150] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1525), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1527), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16199] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1529), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1531), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16248] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(662), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(660), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16297] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1533), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1535), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16346] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1537), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1539), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16395] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1537), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1539), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16444] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1537), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1539), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16493] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1537), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1539), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16542] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(552), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(550), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16591] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1541), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1543), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16640] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1543), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [16735] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1545), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1547), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16784] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1355), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [16879] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1549), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1551), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16928] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1551), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [17023] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1553), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1555), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17072] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1557), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1559), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17121] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1561), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1563), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17170] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1565), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1567), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17219] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1569), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1571), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17268] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1573), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1575), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17317] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1577), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1579), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17366] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1581), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [17461] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(640), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(642), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17510] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(544), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(546), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17559] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(610), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(608), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17608] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(602), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(604), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17657] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1583), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1585), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17706] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(624), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(622), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17755] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1587), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17804] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(662), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(660), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17853] = 10,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1312), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1314), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [17916] = 10,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1318), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1320), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [17979] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(552), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(550), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18028] = 16,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_PERCENT,
    ACTIONS(1603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1597), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1483), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1481), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [18102] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_PERCENT,
    ACTIONS(1603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1611), 1,
      anon_sym_AMP,
    ACTIONS(1613), 1,
      anon_sym_CARET,
    ACTIONS(1615), 1,
      anon_sym_PIPE,
    ACTIONS(1623), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1625), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1597), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1621), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1605), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1543), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [18196] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1633), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1635), 1,
      anon_sym_GT_GT,
    ACTIONS(1639), 1,
      anon_sym_AMP,
    ACTIONS(1641), 1,
      anon_sym_CARET,
    ACTIONS(1643), 1,
      anon_sym_PIPE,
    ACTIONS(1647), 1,
      anon_sym_PERCENT,
    ACTIONS(1649), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1645), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1519), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [18290] = 4,
    ACTIONS(1336), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1329), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18340] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1661), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [18434] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1633), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1635), 1,
      anon_sym_GT_GT,
    ACTIONS(1639), 1,
      anon_sym_AMP,
    ACTIONS(1641), 1,
      anon_sym_CARET,
    ACTIONS(1643), 1,
      anon_sym_PIPE,
    ACTIONS(1647), 1,
      anon_sym_PERCENT,
    ACTIONS(1649), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1645), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1429), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [18528] = 6,
    ACTIONS(530), 1,
      anon_sym_EQ,
    ACTIONS(532), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(522), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(526), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(528), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18582] = 4,
    ACTIONS(1249), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1199), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1201), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18632] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1633), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1635), 1,
      anon_sym_GT_GT,
    ACTIONS(1639), 1,
      anon_sym_AMP,
    ACTIONS(1641), 1,
      anon_sym_CARET,
    ACTIONS(1643), 1,
      anon_sym_PIPE,
    ACTIONS(1647), 1,
      anon_sym_PERCENT,
    ACTIONS(1649), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1645), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1425), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [18726] = 28,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1633), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1635), 1,
      anon_sym_GT_GT,
    ACTIONS(1639), 1,
      anon_sym_AMP,
    ACTIONS(1641), 1,
      anon_sym_CARET,
    ACTIONS(1643), 1,
      anon_sym_PIPE,
    ACTIONS(1647), 1,
      anon_sym_PERCENT,
    ACTIONS(1649), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    ACTIONS(1663), 1,
      anon_sym_COMMA,
    ACTIONS(1666), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1425), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1645), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [18824] = 4,
    ACTIONS(530), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(526), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(528), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18874] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_PERCENT,
    ACTIONS(1603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1611), 1,
      anon_sym_AMP,
    ACTIONS(1613), 1,
      anon_sym_CARET,
    ACTIONS(1615), 1,
      anon_sym_PIPE,
    ACTIONS(1623), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1625), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1597), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1621), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1605), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1363), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [18968] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1668), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [19062] = 28,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1633), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1635), 1,
      anon_sym_GT_GT,
    ACTIONS(1639), 1,
      anon_sym_AMP,
    ACTIONS(1641), 1,
      anon_sym_CARET,
    ACTIONS(1643), 1,
      anon_sym_PIPE,
    ACTIONS(1647), 1,
      anon_sym_PERCENT,
    ACTIONS(1649), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    ACTIONS(1666), 1,
      anon_sym_RBRACE,
    ACTIONS(1670), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1475), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1645), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [19160] = 28,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1633), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1635), 1,
      anon_sym_GT_GT,
    ACTIONS(1639), 1,
      anon_sym_AMP,
    ACTIONS(1641), 1,
      anon_sym_CARET,
    ACTIONS(1643), 1,
      anon_sym_PIPE,
    ACTIONS(1647), 1,
      anon_sym_PERCENT,
    ACTIONS(1649), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    ACTIONS(1673), 1,
      anon_sym_COMMA,
    ACTIONS(1676), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1475), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1645), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [19258] = 11,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1649), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1483), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1481), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [19322] = 28,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1633), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1635), 1,
      anon_sym_GT_GT,
    ACTIONS(1639), 1,
      anon_sym_AMP,
    ACTIONS(1641), 1,
      anon_sym_CARET,
    ACTIONS(1643), 1,
      anon_sym_PIPE,
    ACTIONS(1647), 1,
      anon_sym_PERCENT,
    ACTIONS(1649), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    ACTIONS(1678), 1,
      anon_sym_COMMA,
    STATE(1253), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1645), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1680), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [19420] = 27,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_PERCENT,
    ACTIONS(1603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1611), 1,
      anon_sym_AMP,
    ACTIONS(1613), 1,
      anon_sym_CARET,
    ACTIONS(1615), 1,
      anon_sym_PIPE,
    ACTIONS(1623), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1625), 1,
      sym__ternary_qmark,
    ACTIONS(1684), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1597), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1605), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1621), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1617), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1682), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [19516] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1633), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1635), 1,
      anon_sym_GT_GT,
    ACTIONS(1639), 1,
      anon_sym_AMP,
    ACTIONS(1641), 1,
      anon_sym_CARET,
    ACTIONS(1643), 1,
      anon_sym_PIPE,
    ACTIONS(1647), 1,
      anon_sym_PERCENT,
    ACTIONS(1649), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1645), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1439), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [19610] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1633), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1635), 1,
      anon_sym_GT_GT,
    ACTIONS(1639), 1,
      anon_sym_AMP,
    ACTIONS(1641), 1,
      anon_sym_CARET,
    ACTIONS(1643), 1,
      anon_sym_PIPE,
    ACTIONS(1647), 1,
      anon_sym_PERCENT,
    ACTIONS(1649), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1645), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1515), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [19704] = 5,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    STATE(684), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1338), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1340), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19756] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1633), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1635), 1,
      anon_sym_GT_GT,
    ACTIONS(1639), 1,
      anon_sym_AMP,
    ACTIONS(1641), 1,
      anon_sym_CARET,
    ACTIONS(1643), 1,
      anon_sym_PIPE,
    ACTIONS(1647), 1,
      anon_sym_PERCENT,
    ACTIONS(1649), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1645), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1581), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [19850] = 8,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1687), 1,
      sym_optional_chain,
    STATE(684), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1338), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1340), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19908] = 24,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1633), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1635), 1,
      anon_sym_GT_GT,
    ACTIONS(1639), 1,
      anon_sym_AMP,
    ACTIONS(1641), 1,
      anon_sym_CARET,
    ACTIONS(1643), 1,
      anon_sym_PIPE,
    ACTIONS(1647), 1,
      anon_sym_PERCENT,
    ACTIONS(1649), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1645), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1481), 6,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
  [19998] = 18,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1635), 1,
      anon_sym_GT_GT,
    ACTIONS(1647), 1,
      anon_sym_PERCENT,
    ACTIONS(1649), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1645), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1483), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1481), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [20076] = 11,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1649), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1483), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1481), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [20140] = 13,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1647), 1,
      anon_sym_PERCENT,
    ACTIONS(1649), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1483), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1481), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [20208] = 22,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1483), 1,
      anon_sym_PIPE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1635), 1,
      anon_sym_GT_GT,
    ACTIONS(1639), 1,
      anon_sym_AMP,
    ACTIONS(1641), 1,
      anon_sym_CARET,
    ACTIONS(1647), 1,
      anon_sym_PERCENT,
    ACTIONS(1649), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1645), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1481), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [20294] = 21,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1483), 1,
      anon_sym_PIPE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1635), 1,
      anon_sym_GT_GT,
    ACTIONS(1639), 1,
      anon_sym_AMP,
    ACTIONS(1647), 1,
      anon_sym_PERCENT,
    ACTIONS(1649), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1645), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1481), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [20378] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1587), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20426] = 20,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1635), 1,
      anon_sym_GT_GT,
    ACTIONS(1647), 1,
      anon_sym_PERCENT,
    ACTIONS(1649), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1483), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1645), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1481), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [20508] = 5,
    ACTIONS(530), 1,
      anon_sym_EQ,
    ACTIONS(1437), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(524), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(522), 25,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20560] = 4,
    ACTIONS(1351), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1344), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1346), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20610] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_PERCENT,
    ACTIONS(1603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1611), 1,
      anon_sym_AMP,
    ACTIONS(1613), 1,
      anon_sym_CARET,
    ACTIONS(1615), 1,
      anon_sym_PIPE,
    ACTIONS(1623), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1625), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1597), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1621), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1605), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1425), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [20704] = 4,
    ACTIONS(1336), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1329), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20754] = 20,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_PERCENT,
    ACTIONS(1603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1483), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1597), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1621), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1605), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1481), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [20836] = 14,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1601), 1,
      anon_sym_PERCENT,
    ACTIONS(1603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1483), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1481), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [20906] = 28,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1633), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1635), 1,
      anon_sym_GT_GT,
    ACTIONS(1639), 1,
      anon_sym_AMP,
    ACTIONS(1641), 1,
      anon_sym_CARET,
    ACTIONS(1643), 1,
      anon_sym_PIPE,
    ACTIONS(1647), 1,
      anon_sym_PERCENT,
    ACTIONS(1649), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    ACTIONS(1678), 1,
      anon_sym_COMMA,
    STATE(1253), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1645), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1689), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [21004] = 16,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1635), 1,
      anon_sym_GT_GT,
    ACTIONS(1647), 1,
      anon_sym_PERCENT,
    ACTIONS(1649), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1645), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1483), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1481), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [21078] = 4,
    ACTIONS(1351), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1344), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1346), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21128] = 28,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1633), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1635), 1,
      anon_sym_GT_GT,
    ACTIONS(1639), 1,
      anon_sym_AMP,
    ACTIONS(1641), 1,
      anon_sym_CARET,
    ACTIONS(1643), 1,
      anon_sym_PIPE,
    ACTIONS(1647), 1,
      anon_sym_PERCENT,
    ACTIONS(1649), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    ACTIONS(1678), 1,
      anon_sym_COMMA,
    STATE(1253), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1645), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1691), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [21226] = 23,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_PERCENT,
    ACTIONS(1603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1611), 1,
      anon_sym_AMP,
    ACTIONS(1613), 1,
      anon_sym_CARET,
    ACTIONS(1615), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1597), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1621), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1605), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1481), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [21314] = 22,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_PERCENT,
    ACTIONS(1603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1611), 1,
      anon_sym_AMP,
    ACTIONS(1613), 1,
      anon_sym_CARET,
    ACTIONS(1615), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1597), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1621), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1605), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1481), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [21400] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1633), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1635), 1,
      anon_sym_GT_GT,
    ACTIONS(1639), 1,
      anon_sym_AMP,
    ACTIONS(1641), 1,
      anon_sym_CARET,
    ACTIONS(1643), 1,
      anon_sym_PIPE,
    ACTIONS(1647), 1,
      anon_sym_PERCENT,
    ACTIONS(1649), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1645), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1479), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [21494] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1583), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1585), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21542] = 14,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1647), 1,
      anon_sym_PERCENT,
    ACTIONS(1649), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1645), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1483), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1481), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [21612] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1633), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1635), 1,
      anon_sym_GT_GT,
    ACTIONS(1639), 1,
      anon_sym_AMP,
    ACTIONS(1641), 1,
      anon_sym_CARET,
    ACTIONS(1643), 1,
      anon_sym_PIPE,
    ACTIONS(1647), 1,
      anon_sym_PERCENT,
    ACTIONS(1649), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1645), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1543), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [21706] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_PERCENT,
    ACTIONS(1603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1611), 1,
      anon_sym_AMP,
    ACTIONS(1613), 1,
      anon_sym_CARET,
    ACTIONS(1615), 1,
      anon_sym_PIPE,
    ACTIONS(1623), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1625), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1597), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1621), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1605), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1581), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [21800] = 23,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1635), 1,
      anon_sym_GT_GT,
    ACTIONS(1639), 1,
      anon_sym_AMP,
    ACTIONS(1641), 1,
      anon_sym_CARET,
    ACTIONS(1643), 1,
      anon_sym_PIPE,
    ACTIONS(1647), 1,
      anon_sym_PERCENT,
    ACTIONS(1649), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1645), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1481), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [21888] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1633), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1635), 1,
      anon_sym_GT_GT,
    ACTIONS(1639), 1,
      anon_sym_AMP,
    ACTIONS(1641), 1,
      anon_sym_CARET,
    ACTIONS(1643), 1,
      anon_sym_PIPE,
    ACTIONS(1647), 1,
      anon_sym_PERCENT,
    ACTIONS(1649), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1645), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1475), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [21982] = 4,
    ACTIONS(530), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(526), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(528), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22032] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_PERCENT,
    ACTIONS(1603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1611), 1,
      anon_sym_AMP,
    ACTIONS(1613), 1,
      anon_sym_CARET,
    ACTIONS(1615), 1,
      anon_sym_PIPE,
    ACTIONS(1623), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1625), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1597), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1621), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1605), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1519), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [22126] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1633), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1635), 1,
      anon_sym_GT_GT,
    ACTIONS(1639), 1,
      anon_sym_AMP,
    ACTIONS(1641), 1,
      anon_sym_CARET,
    ACTIONS(1643), 1,
      anon_sym_PIPE,
    ACTIONS(1647), 1,
      anon_sym_PERCENT,
    ACTIONS(1649), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1645), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1355), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [22220] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_PERCENT,
    ACTIONS(1603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1611), 1,
      anon_sym_AMP,
    ACTIONS(1613), 1,
      anon_sym_CARET,
    ACTIONS(1615), 1,
      anon_sym_PIPE,
    ACTIONS(1623), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1625), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1597), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1621), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1605), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1515), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [22314] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1633), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1635), 1,
      anon_sym_GT_GT,
    ACTIONS(1639), 1,
      anon_sym_AMP,
    ACTIONS(1641), 1,
      anon_sym_CARET,
    ACTIONS(1643), 1,
      anon_sym_PIPE,
    ACTIONS(1647), 1,
      anon_sym_PERCENT,
    ACTIONS(1649), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1645), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1551), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [22408] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_PERCENT,
    ACTIONS(1603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1611), 1,
      anon_sym_AMP,
    ACTIONS(1613), 1,
      anon_sym_CARET,
    ACTIONS(1615), 1,
      anon_sym_PIPE,
    ACTIONS(1623), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1625), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1597), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1621), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1605), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1551), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [22502] = 11,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1483), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1481), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [22566] = 24,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_PERCENT,
    ACTIONS(1603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1611), 1,
      anon_sym_AMP,
    ACTIONS(1613), 1,
      anon_sym_CARET,
    ACTIONS(1615), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1597), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1621), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1605), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1481), 6,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
  [22656] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_PERCENT,
    ACTIONS(1603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1611), 1,
      anon_sym_AMP,
    ACTIONS(1613), 1,
      anon_sym_CARET,
    ACTIONS(1615), 1,
      anon_sym_PIPE,
    ACTIONS(1623), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1625), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1597), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1621), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1605), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1439), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [22750] = 18,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_PERCENT,
    ACTIONS(1603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1597), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1605), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1483), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1481), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [22828] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_PERCENT,
    ACTIONS(1603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1611), 1,
      anon_sym_AMP,
    ACTIONS(1613), 1,
      anon_sym_CARET,
    ACTIONS(1615), 1,
      anon_sym_PIPE,
    ACTIONS(1623), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1625), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1597), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1621), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1605), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1479), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [22922] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_PERCENT,
    ACTIONS(1603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1611), 1,
      anon_sym_AMP,
    ACTIONS(1613), 1,
      anon_sym_CARET,
    ACTIONS(1615), 1,
      anon_sym_PIPE,
    ACTIONS(1623), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1625), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1597), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1621), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1605), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1475), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [23016] = 4,
    ACTIONS(1212), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1199), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1201), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23066] = 22,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1635), 1,
      anon_sym_GT_GT,
    ACTIONS(1639), 1,
      anon_sym_AMP,
    ACTIONS(1641), 1,
      anon_sym_CARET,
    ACTIONS(1643), 1,
      anon_sym_PIPE,
    ACTIONS(1647), 1,
      anon_sym_PERCENT,
    ACTIONS(1649), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1645), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1481), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [23152] = 11,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1483), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1481), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [23216] = 13,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1601), 1,
      anon_sym_PERCENT,
    ACTIONS(1603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1483), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1481), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [23284] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_PERCENT,
    ACTIONS(1603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1611), 1,
      anon_sym_AMP,
    ACTIONS(1613), 1,
      anon_sym_CARET,
    ACTIONS(1615), 1,
      anon_sym_PIPE,
    ACTIONS(1623), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1625), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1597), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1621), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1605), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1355), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [23378] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1633), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1635), 1,
      anon_sym_GT_GT,
    ACTIONS(1639), 1,
      anon_sym_AMP,
    ACTIONS(1641), 1,
      anon_sym_CARET,
    ACTIONS(1643), 1,
      anon_sym_PIPE,
    ACTIONS(1647), 1,
      anon_sym_PERCENT,
    ACTIONS(1649), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1645), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1363), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [23472] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_PERCENT,
    ACTIONS(1603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1607), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1609), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1611), 1,
      anon_sym_AMP,
    ACTIONS(1613), 1,
      anon_sym_CARET,
    ACTIONS(1615), 1,
      anon_sym_PIPE,
    ACTIONS(1623), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1625), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1597), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1621), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1605), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1429), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [23566] = 22,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1483), 1,
      anon_sym_PIPE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_PERCENT,
    ACTIONS(1603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1611), 1,
      anon_sym_AMP,
    ACTIONS(1613), 1,
      anon_sym_CARET,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1597), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1621), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1605), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1481), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [23652] = 21,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1483), 1,
      anon_sym_PIPE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1595), 1,
      anon_sym_GT_GT,
    ACTIONS(1601), 1,
      anon_sym_PERCENT,
    ACTIONS(1603), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1611), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1593), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1597), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1599), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1619), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1621), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1605), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1617), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1481), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [23736] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(590), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(592), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23783] = 4,
    ACTIONS(1693), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1465), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1467), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23832] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1517), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1519), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23879] = 28,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(1695), 1,
      anon_sym_RBRACK,
    STATE(1338), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [23976] = 28,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(1697), 1,
      anon_sym_COMMA,
    ACTIONS(1699), 1,
      anon_sym_RBRACK,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24073] = 28,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(1697), 1,
      anon_sym_COMMA,
    ACTIONS(1701), 1,
      anon_sym_RPAREN,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24170] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1477), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1479), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24217] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1541), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1543), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24264] = 28,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(1697), 1,
      anon_sym_COMMA,
    ACTIONS(1703), 1,
      anon_sym_RPAREN,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24361] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1545), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1547), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24408] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1353), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1355), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24455] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1549), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1551), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24502] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1553), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1555), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24549] = 5,
    ACTIONS(1290), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1288), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1199), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1201), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24600] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1557), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1559), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24647] = 28,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(1705), 1,
      anon_sym_RPAREN,
    STATE(1333), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24744] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1511), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1513), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24791] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1561), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1563), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24838] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1471), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1473), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24885] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1633), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1635), 1,
      anon_sym_GT_GT,
    ACTIONS(1639), 1,
      anon_sym_AMP,
    ACTIONS(1641), 1,
      anon_sym_CARET,
    ACTIONS(1643), 1,
      anon_sym_PIPE,
    ACTIONS(1647), 1,
      anon_sym_PERCENT,
    ACTIONS(1649), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1645), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1497), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24978] = 28,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(1697), 1,
      anon_sym_COMMA,
    ACTIONS(1707), 1,
      anon_sym_RBRACK,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [25075] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1565), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1567), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25122] = 28,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(1697), 1,
      anon_sym_COMMA,
    ACTIONS(1709), 1,
      anon_sym_RBRACE,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [25219] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1485), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1487), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25266] = 4,
    ACTIONS(1693), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1465), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1467), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25315] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1569), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1571), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25362] = 28,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(1711), 1,
      anon_sym_RBRACK,
    STATE(1338), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [25459] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1427), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1429), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25506] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1521), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1523), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25553] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1461), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1463), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25600] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1457), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1459), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25647] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1453), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1455), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25694] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1199), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1201), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25741] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1431), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1433), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25788] = 6,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1687), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1405), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1407), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25841] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1405), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1407), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25888] = 28,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(1697), 1,
      anon_sym_COMMA,
    ACTIONS(1713), 1,
      anon_sym_RPAREN,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [25985] = 4,
    ACTIONS(1265), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1199), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1201), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26034] = 6,
    ACTIONS(530), 1,
      anon_sym_EQ,
    ACTIONS(1715), 1,
      anon_sym_in,
    ACTIONS(1718), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(526), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(528), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26087] = 6,
    ACTIONS(1336), 1,
      anon_sym_EQ,
    ACTIONS(1720), 1,
      anon_sym_in,
    ACTIONS(1723), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1329), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26140] = 6,
    ACTIONS(1351), 1,
      anon_sym_EQ,
    ACTIONS(1725), 1,
      anon_sym_in,
    ACTIONS(1728), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1344), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1346), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26193] = 6,
    ACTIONS(1265), 1,
      anon_sym_EQ,
    ACTIONS(1271), 1,
      anon_sym_in,
    ACTIONS(1274), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1199), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1201), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26246] = 4,
    ACTIONS(1267), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1199), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1201), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26295] = 5,
    ACTIONS(530), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1718), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(526), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(528), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26346] = 5,
    ACTIONS(1336), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1723), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1329), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26397] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1449), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1451), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26444] = 5,
    ACTIONS(1351), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1728), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1344), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1346), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26495] = 28,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(1730), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [26592] = 28,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(1732), 1,
      anon_sym_RPAREN,
    STATE(1296), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [26689] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1507), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1509), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26736] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(650), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(652), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26783] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1397), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1399), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26830] = 28,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(1697), 1,
      anon_sym_COMMA,
    ACTIONS(1734), 1,
      anon_sym_RBRACE,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [26927] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1421), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1423), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26974] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1533), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1535), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27021] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1357), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1359), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27068] = 5,
    ACTIONS(1212), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1276), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1199), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1201), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27119] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1417), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1419), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27166] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1736), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [27259] = 28,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(1738), 1,
      anon_sym_RBRACK,
    STATE(1315), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27356] = 28,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(1697), 1,
      anon_sym_COMMA,
    ACTIONS(1740), 1,
      anon_sym_COLON,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27453] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1525), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1527), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27500] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1413), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1415), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27547] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1537), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1539), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27594] = 28,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(1697), 1,
      anon_sym_COMMA,
    ACTIONS(1742), 1,
      anon_sym_RPAREN,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27691] = 28,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(1697), 1,
      anon_sym_COMMA,
    ACTIONS(1744), 1,
      anon_sym_RPAREN,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27788] = 28,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(1697), 1,
      anon_sym_COMMA,
    ACTIONS(1746), 1,
      anon_sym_RPAREN,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27885] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1411), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27932] = 28,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(1697), 1,
      anon_sym_COMMA,
    ACTIONS(1748), 1,
      anon_sym_RPAREN,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28029] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1401), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28076] = 28,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(1697), 1,
      anon_sym_COMMA,
    ACTIONS(1750), 1,
      anon_sym_RBRACK,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28173] = 28,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(1697), 1,
      anon_sym_COMMA,
    ACTIONS(1752), 1,
      anon_sym_RPAREN,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28270] = 5,
    ACTIONS(606), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(598), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(602), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(604), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28321] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(580), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(582), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28368] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1529), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1531), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28415] = 28,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(1697), 1,
      anon_sym_COMMA,
    ACTIONS(1754), 1,
      anon_sym_RBRACK,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28512] = 5,
    ACTIONS(584), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(576), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(580), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(582), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28563] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1537), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1539), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28610] = 5,
    ACTIONS(654), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(646), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(650), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(652), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28661] = 28,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(1697), 1,
      anon_sym_COMMA,
    ACTIONS(1756), 1,
      anon_sym_RBRACE,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28758] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(630), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(632), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28805] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(616), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(618), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28852] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1537), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1539), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28899] = 5,
    ACTIONS(594), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(586), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(590), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(592), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28950] = 28,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(1697), 1,
      anon_sym_COMMA,
    ACTIONS(1758), 1,
      anon_sym_RPAREN,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29047] = 5,
    ACTIONS(634), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(626), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(630), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(632), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29098] = 5,
    ACTIONS(620), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(612), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(616), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(618), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29149] = 28,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(1697), 1,
      anon_sym_COMMA,
    ACTIONS(1760), 1,
      anon_sym_RPAREN,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29246] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(640), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(642), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29293] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(544), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(546), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29340] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(602), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(604), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29387] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1537), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1539), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29434] = 5,
    ACTIONS(644), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(636), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(640), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(642), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29485] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1573), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1575), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29532] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1445), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1447), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29579] = 5,
    ACTIONS(1283), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1280), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1199), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1201), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29630] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1577), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1579), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29677] = 5,
    ACTIONS(548), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(540), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(544), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(546), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29728] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1633), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1635), 1,
      anon_sym_GT_GT,
    ACTIONS(1639), 1,
      anon_sym_AMP,
    ACTIONS(1641), 1,
      anon_sym_CARET,
    ACTIONS(1643), 1,
      anon_sym_PIPE,
    ACTIONS(1647), 1,
      anon_sym_PERCENT,
    ACTIONS(1649), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1645), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1682), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [29821] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1499), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29868] = 28,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(1697), 1,
      anon_sym_COMMA,
    ACTIONS(1762), 1,
      anon_sym_RPAREN,
    STATE(1129), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29965] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1441), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1443), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [30012] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1503), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1505), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [30059] = 26,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1633), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1635), 1,
      anon_sym_GT_GT,
    ACTIONS(1639), 1,
      anon_sym_AMP,
    ACTIONS(1641), 1,
      anon_sym_CARET,
    ACTIONS(1643), 1,
      anon_sym_PIPE,
    ACTIONS(1647), 1,
      anon_sym_PERCENT,
    ACTIONS(1649), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1645), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1764), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30151] = 16,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1768), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1766), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1483), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1481), 12,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [30223] = 21,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1483), 1,
      anon_sym_PIPE,
    ACTIONS(1768), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1780), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1766), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1778), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1782), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1481), 7,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [30305] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1768), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1780), 1,
      anon_sym_AMP,
    ACTIONS(1788), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1790), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1798), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1479), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1766), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1778), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1782), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30397] = 20,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1768), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1483), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1766), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1778), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1782), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1481), 7,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [30477] = 14,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1766), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1483), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1481), 14,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [30545] = 22,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1483), 1,
      anon_sym_PIPE,
    ACTIONS(1768), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1780), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1766), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1778), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1782), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1481), 6,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [30629] = 23,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1768), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1780), 1,
      anon_sym_AMP,
    ACTIONS(1788), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1766), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1778), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1782), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1481), 5,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [30715] = 22,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1768), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1780), 1,
      anon_sym_AMP,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1766), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1778), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1782), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1481), 6,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [30799] = 11,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1483), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1481), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [30861] = 5,
    ACTIONS(1249), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1293), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1199), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1201), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [30911] = 5,
    ACTIONS(1800), 1,
      anon_sym_LPAREN,
    ACTIONS(1803), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1441), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1443), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [30961] = 13,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1766), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1483), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1481), 14,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [31027] = 11,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1483), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1481), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [31089] = 18,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1768), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1766), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1778), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1782), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1483), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1481), 9,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [31165] = 24,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1768), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1780), 1,
      anon_sym_AMP,
    ACTIONS(1788), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1790), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1766), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1778), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1782), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1481), 4,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
  [31253] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1768), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1780), 1,
      anon_sym_AMP,
    ACTIONS(1788), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1790), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1798), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1515), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1766), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1778), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1782), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31345] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1768), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1780), 1,
      anon_sym_AMP,
    ACTIONS(1788), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1790), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1798), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1519), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1766), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1778), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1782), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31437] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1768), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1780), 1,
      anon_sym_AMP,
    ACTIONS(1788), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1790), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1798), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1543), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1766), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1778), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1782), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31529] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1768), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1780), 1,
      anon_sym_AMP,
    ACTIONS(1788), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1790), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1798), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1355), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1766), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1778), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1782), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31621] = 5,
    ACTIONS(1805), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1199), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1201), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [31671] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1768), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1780), 1,
      anon_sym_AMP,
    ACTIONS(1788), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1790), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1798), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1551), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1766), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1778), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1782), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31763] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1768), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1780), 1,
      anon_sym_AMP,
    ACTIONS(1788), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1790), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1798), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1581), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1766), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1778), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1782), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31855] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1676), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31947] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1768), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1780), 1,
      anon_sym_AMP,
    ACTIONS(1788), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1790), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1798), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1425), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1766), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1778), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1782), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32039] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1768), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1780), 1,
      anon_sym_AMP,
    ACTIONS(1788), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1790), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1798), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1429), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1766), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1778), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1782), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32131] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1666), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32223] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1768), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1780), 1,
      anon_sym_AMP,
    ACTIONS(1788), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1790), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1798), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1439), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1766), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1778), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1782), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32315] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1810), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32407] = 27,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1633), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1635), 1,
      anon_sym_GT_GT,
    ACTIONS(1639), 1,
      anon_sym_AMP,
    ACTIONS(1641), 1,
      anon_sym_CARET,
    ACTIONS(1643), 1,
      anon_sym_PIPE,
    ACTIONS(1647), 1,
      anon_sym_PERCENT,
    ACTIONS(1649), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    ACTIONS(1812), 1,
      anon_sym_SEMI,
    ACTIONS(1814), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1591), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1645), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1653), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1655), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1651), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32501] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1768), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1780), 1,
      anon_sym_AMP,
    ACTIONS(1788), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1790), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1798), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1475), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1766), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1778), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1782), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32593] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1768), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1780), 1,
      anon_sym_AMP,
    ACTIONS(1788), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1790), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1798), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1363), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1766), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1778), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1782), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32685] = 22,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1820), 1,
      anon_sym_GT_GT,
    ACTIONS(1824), 1,
      anon_sym_AMP,
    ACTIONS(1826), 1,
      anon_sym_CARET,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1832), 1,
      anon_sym_PERCENT,
    ACTIONS(1834), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1816), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1822), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1830), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1838), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1818), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1481), 5,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [32768] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1475), 1,
      anon_sym_of,
    ACTIONS(1820), 1,
      anon_sym_GT_GT,
    ACTIONS(1824), 1,
      anon_sym_AMP,
    ACTIONS(1826), 1,
      anon_sym_CARET,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1832), 1,
      anon_sym_PERCENT,
    ACTIONS(1834), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1842), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1844), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1846), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1848), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1816), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1822), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1830), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1838), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1818), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32859] = 20,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1820), 1,
      anon_sym_GT_GT,
    ACTIONS(1832), 1,
      anon_sym_PERCENT,
    ACTIONS(1834), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1483), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1816), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1822), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1830), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1838), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1818), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1481), 6,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [32938] = 14,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1832), 1,
      anon_sym_PERCENT,
    ACTIONS(1834), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1816), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1830), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1483), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1481), 13,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [33005] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1519), 1,
      anon_sym_of,
    ACTIONS(1820), 1,
      anon_sym_GT_GT,
    ACTIONS(1824), 1,
      anon_sym_AMP,
    ACTIONS(1826), 1,
      anon_sym_CARET,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1832), 1,
      anon_sym_PERCENT,
    ACTIONS(1834), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1842), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1844), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1846), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1848), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1816), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1822), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1830), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1838), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1818), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33096] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1363), 1,
      anon_sym_of,
    ACTIONS(1820), 1,
      anon_sym_GT_GT,
    ACTIONS(1824), 1,
      anon_sym_AMP,
    ACTIONS(1826), 1,
      anon_sym_CARET,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1832), 1,
      anon_sym_PERCENT,
    ACTIONS(1834), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1842), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1844), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1846), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1848), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1816), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1822), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1830), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1838), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1818), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33187] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1581), 1,
      anon_sym_of,
    ACTIONS(1820), 1,
      anon_sym_GT_GT,
    ACTIONS(1824), 1,
      anon_sym_AMP,
    ACTIONS(1826), 1,
      anon_sym_CARET,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1832), 1,
      anon_sym_PERCENT,
    ACTIONS(1834), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1842), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1844), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1846), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1848), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1816), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1822), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1830), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1838), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1818), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33278] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1768), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1780), 1,
      anon_sym_AMP,
    ACTIONS(1788), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1790), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1798), 1,
      sym__ternary_qmark,
    ACTIONS(1850), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1766), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1778), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1782), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33369] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1768), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1780), 1,
      anon_sym_AMP,
    ACTIONS(1788), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1790), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1798), 1,
      sym__ternary_qmark,
    ACTIONS(1852), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1766), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1778), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1782), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33460] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1768), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1780), 1,
      anon_sym_AMP,
    ACTIONS(1788), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1790), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1798), 1,
      sym__ternary_qmark,
    ACTIONS(1854), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1766), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1778), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1782), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33551] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1551), 1,
      anon_sym_of,
    ACTIONS(1820), 1,
      anon_sym_GT_GT,
    ACTIONS(1824), 1,
      anon_sym_AMP,
    ACTIONS(1826), 1,
      anon_sym_CARET,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1832), 1,
      anon_sym_PERCENT,
    ACTIONS(1834), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1842), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1844), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1846), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1848), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1816), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1822), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1830), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1838), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1818), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33642] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1768), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1780), 1,
      anon_sym_AMP,
    ACTIONS(1788), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1790), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1798), 1,
      sym__ternary_qmark,
    ACTIONS(1856), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1766), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1778), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1782), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33733] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1543), 1,
      anon_sym_of,
    ACTIONS(1820), 1,
      anon_sym_GT_GT,
    ACTIONS(1824), 1,
      anon_sym_AMP,
    ACTIONS(1826), 1,
      anon_sym_CARET,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1832), 1,
      anon_sym_PERCENT,
    ACTIONS(1834), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1842), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1844), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1846), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1848), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1816), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1822), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1830), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1838), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1818), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33824] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1355), 1,
      anon_sym_of,
    ACTIONS(1820), 1,
      anon_sym_GT_GT,
    ACTIONS(1824), 1,
      anon_sym_AMP,
    ACTIONS(1826), 1,
      anon_sym_CARET,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1832), 1,
      anon_sym_PERCENT,
    ACTIONS(1834), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1842), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1844), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1846), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1848), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1816), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1822), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1830), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1838), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1818), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33915] = 6,
    ACTIONS(530), 1,
      anon_sym_EQ,
    ACTIONS(1326), 1,
      anon_sym_RBRACK,
    ACTIONS(1718), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(526), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(528), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [33966] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1425), 1,
      anon_sym_of,
    ACTIONS(1820), 1,
      anon_sym_GT_GT,
    ACTIONS(1824), 1,
      anon_sym_AMP,
    ACTIONS(1826), 1,
      anon_sym_CARET,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1832), 1,
      anon_sym_PERCENT,
    ACTIONS(1834), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1842), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1844), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1846), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1848), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1816), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1822), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1830), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1838), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1818), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34057] = 6,
    ACTIONS(1333), 1,
      anon_sym_RBRACK,
    ACTIONS(1336), 1,
      anon_sym_EQ,
    ACTIONS(1723), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1329), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [34108] = 6,
    ACTIONS(1348), 1,
      anon_sym_RBRACK,
    ACTIONS(1351), 1,
      anon_sym_EQ,
    ACTIONS(1728), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1344), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1346), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [34159] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1429), 1,
      anon_sym_of,
    ACTIONS(1820), 1,
      anon_sym_GT_GT,
    ACTIONS(1824), 1,
      anon_sym_AMP,
    ACTIONS(1826), 1,
      anon_sym_CARET,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1832), 1,
      anon_sym_PERCENT,
    ACTIONS(1834), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1842), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1844), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1846), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1848), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1816), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1822), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1830), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1838), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1818), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34250] = 27,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1682), 1,
      anon_sym_of,
    ACTIONS(1820), 1,
      anon_sym_GT_GT,
    ACTIONS(1824), 1,
      anon_sym_AMP,
    ACTIONS(1826), 1,
      anon_sym_CARET,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1832), 1,
      anon_sym_PERCENT,
    ACTIONS(1834), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1842), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1844), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1846), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1848), 1,
      sym__ternary_qmark,
    ACTIONS(1858), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1816), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1818), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1822), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1830), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1838), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34343] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1768), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1780), 1,
      anon_sym_AMP,
    ACTIONS(1788), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1790), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1798), 1,
      sym__ternary_qmark,
    ACTIONS(1861), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1766), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1778), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1782), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34434] = 21,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1483), 1,
      anon_sym_PIPE,
    ACTIONS(1820), 1,
      anon_sym_GT_GT,
    ACTIONS(1824), 1,
      anon_sym_AMP,
    ACTIONS(1832), 1,
      anon_sym_PERCENT,
    ACTIONS(1834), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1816), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1822), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1830), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1838), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1818), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1481), 6,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [34515] = 23,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1820), 1,
      anon_sym_GT_GT,
    ACTIONS(1824), 1,
      anon_sym_AMP,
    ACTIONS(1826), 1,
      anon_sym_CARET,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1832), 1,
      anon_sym_PERCENT,
    ACTIONS(1834), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1842), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1816), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1822), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1830), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1838), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1818), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1481), 4,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [34600] = 22,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1483), 1,
      anon_sym_PIPE,
    ACTIONS(1820), 1,
      anon_sym_GT_GT,
    ACTIONS(1824), 1,
      anon_sym_AMP,
    ACTIONS(1826), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_PERCENT,
    ACTIONS(1834), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1816), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1822), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1830), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1838), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1818), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1481), 5,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [34683] = 13,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1832), 1,
      anon_sym_PERCENT,
    ACTIONS(1834), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1816), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1483), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1481), 13,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [34748] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(1863), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34839] = 18,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1820), 1,
      anon_sym_GT_GT,
    ACTIONS(1832), 1,
      anon_sym_PERCENT,
    ACTIONS(1834), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1816), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1822), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1830), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1818), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1483), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1481), 8,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [34914] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1768), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1780), 1,
      anon_sym_AMP,
    ACTIONS(1788), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1790), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1798), 1,
      sym__ternary_qmark,
    ACTIONS(1865), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1766), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1778), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1782), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35005] = 11,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1834), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1483), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1481), 14,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [35066] = 16,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1820), 1,
      anon_sym_GT_GT,
    ACTIONS(1832), 1,
      anon_sym_PERCENT,
    ACTIONS(1834), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1816), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1822), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1830), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1483), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1481), 11,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [35137] = 6,
    ACTIONS(1280), 1,
      anon_sym_RBRACK,
    ACTIONS(1283), 1,
      anon_sym_EQ,
    ACTIONS(1288), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1199), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1201), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [35188] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1479), 1,
      anon_sym_of,
    ACTIONS(1820), 1,
      anon_sym_GT_GT,
    ACTIONS(1824), 1,
      anon_sym_AMP,
    ACTIONS(1826), 1,
      anon_sym_CARET,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1832), 1,
      anon_sym_PERCENT,
    ACTIONS(1834), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1842), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1844), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1846), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1848), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1816), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1822), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1830), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1838), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1818), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35279] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1515), 1,
      anon_sym_of,
    ACTIONS(1820), 1,
      anon_sym_GT_GT,
    ACTIONS(1824), 1,
      anon_sym_AMP,
    ACTIONS(1826), 1,
      anon_sym_CARET,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1832), 1,
      anon_sym_PERCENT,
    ACTIONS(1834), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1842), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1844), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1846), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1848), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1816), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1822), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1830), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1838), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1818), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35370] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1439), 1,
      anon_sym_of,
    ACTIONS(1820), 1,
      anon_sym_GT_GT,
    ACTIONS(1824), 1,
      anon_sym_AMP,
    ACTIONS(1826), 1,
      anon_sym_CARET,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1832), 1,
      anon_sym_PERCENT,
    ACTIONS(1834), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1842), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1844), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1846), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1848), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1816), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1822), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1830), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1838), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1818), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35461] = 26,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1367), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1369), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 1,
      anon_sym_GT_GT,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1379), 1,
      anon_sym_PIPE,
    ACTIONS(1383), 1,
      anon_sym_PERCENT,
    ACTIONS(1385), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1393), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      sym__ternary_qmark,
    ACTIONS(1867), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1373), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1381), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1365), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35552] = 11,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1834), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1483), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1481), 14,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [35613] = 24,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1820), 1,
      anon_sym_GT_GT,
    ACTIONS(1824), 1,
      anon_sym_AMP,
    ACTIONS(1826), 1,
      anon_sym_CARET,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1832), 1,
      anon_sym_PERCENT,
    ACTIONS(1834), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1842), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1844), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1816), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1822), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1830), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1838), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1481), 3,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_QMARK_QMARK,
    ACTIONS(1818), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35700] = 24,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(1232), 1,
      anon_sym_LBRACE,
    ACTIONS(1871), 1,
      anon_sym_RBRACE,
    ACTIONS(1873), 1,
      anon_sym_LBRACK,
    ACTIONS(1875), 1,
      anon_sym_async,
    ACTIONS(1879), 1,
      anon_sym_static,
    STATE(888), 1,
      aux_sym_export_statement_repeat1,
    STATE(974), 1,
      sym_decorator,
    STATE(1278), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1294), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1877), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1881), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1869), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1287), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1289), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1303), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1640), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [35786] = 24,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(1232), 1,
      anon_sym_LBRACE,
    ACTIONS(1873), 1,
      anon_sym_LBRACK,
    ACTIONS(1885), 1,
      anon_sym_RBRACE,
    ACTIONS(1887), 1,
      anon_sym_async,
    ACTIONS(1889), 1,
      anon_sym_static,
    STATE(888), 1,
      aux_sym_export_statement_repeat1,
    STATE(974), 1,
      sym_decorator,
    STATE(1278), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1281), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1877), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1891), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1883), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1287), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1288), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1289), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1640), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [35872] = 24,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(1232), 1,
      anon_sym_LBRACE,
    ACTIONS(1873), 1,
      anon_sym_LBRACK,
    ACTIONS(1895), 1,
      anon_sym_RBRACE,
    ACTIONS(1897), 1,
      anon_sym_async,
    ACTIONS(1899), 1,
      anon_sym_static,
    STATE(888), 1,
      aux_sym_export_statement_repeat1,
    STATE(974), 1,
      sym_decorator,
    STATE(1278), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1294), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1877), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1901), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1893), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1287), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1289), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1303), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1640), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [35958] = 6,
    ACTIONS(530), 1,
      anon_sym_EQ,
    ACTIONS(1715), 1,
      anon_sym_in,
    ACTIONS(1718), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(526), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(528), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [36008] = 6,
    ACTIONS(1336), 1,
      anon_sym_EQ,
    ACTIONS(1720), 1,
      anon_sym_in,
    ACTIONS(1723), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1329), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [36058] = 24,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(1232), 1,
      anon_sym_LBRACE,
    ACTIONS(1873), 1,
      anon_sym_LBRACK,
    ACTIONS(1905), 1,
      anon_sym_RBRACE,
    ACTIONS(1907), 1,
      anon_sym_async,
    ACTIONS(1909), 1,
      anon_sym_static,
    STATE(888), 1,
      aux_sym_export_statement_repeat1,
    STATE(974), 1,
      sym_decorator,
    STATE(1278), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1294), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1877), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1911), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1903), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1287), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1289), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1303), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1640), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [36144] = 6,
    ACTIONS(1351), 1,
      anon_sym_EQ,
    ACTIONS(1725), 1,
      anon_sym_in,
    ACTIONS(1728), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1344), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1346), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [36194] = 25,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1306), 1,
      anon_sym_LBRACK,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(1310), 1,
      sym_optional_chain,
    ACTIONS(1768), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1780), 1,
      anon_sym_AMP,
    ACTIONS(1788), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1790), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1798), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1766), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1778), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1782), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36282] = 4,
    ACTIONS(1296), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1199), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1201), 22,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [36328] = 4,
    ACTIONS(1469), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1465), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1467), 20,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [36374] = 24,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(1232), 1,
      anon_sym_LBRACE,
    ACTIONS(1873), 1,
      anon_sym_LBRACK,
    ACTIONS(1915), 1,
      anon_sym_RBRACE,
    ACTIONS(1917), 1,
      anon_sym_async,
    ACTIONS(1919), 1,
      anon_sym_static,
    STATE(888), 1,
      aux_sym_export_statement_repeat1,
    STATE(974), 1,
      sym_decorator,
    STATE(1278), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1294), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1877), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1921), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1913), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1287), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1289), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1303), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1640), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [36460] = 6,
    ACTIONS(1212), 1,
      anon_sym_EQ,
    ACTIONS(1271), 1,
      anon_sym_in,
    ACTIONS(1274), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1199), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1201), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [36510] = 25,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1491), 1,
      anon_sym_LBRACK,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(1495), 1,
      sym_optional_chain,
    ACTIONS(1768), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1780), 1,
      anon_sym_AMP,
    ACTIONS(1788), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1790), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1792), 1,
      anon_sym_CARET,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    ACTIONS(1796), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1798), 1,
      sym__ternary_qmark,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1766), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1770), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1784), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1786), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1778), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1782), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36598] = 24,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(1232), 1,
      anon_sym_LBRACE,
    ACTIONS(1873), 1,
      anon_sym_LBRACK,
    ACTIONS(1925), 1,
      anon_sym_RBRACE,
    ACTIONS(1927), 1,
      anon_sym_async,
    ACTIONS(1929), 1,
      anon_sym_static,
    STATE(888), 1,
      aux_sym_export_statement_repeat1,
    STATE(974), 1,
      sym_decorator,
    STATE(1278), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1281), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1877), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1931), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1923), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1287), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1288), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1289), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1640), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [36684] = 24,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(1232), 1,
      anon_sym_LBRACE,
    ACTIONS(1873), 1,
      anon_sym_LBRACK,
    ACTIONS(1935), 1,
      anon_sym_RBRACE,
    ACTIONS(1937), 1,
      anon_sym_async,
    ACTIONS(1939), 1,
      anon_sym_static,
    STATE(888), 1,
      aux_sym_export_statement_repeat1,
    STATE(974), 1,
      sym_decorator,
    STATE(1278), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1294), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1877), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1941), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1933), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1287), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1289), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1303), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1640), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [36770] = 21,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(1232), 1,
      anon_sym_LBRACE,
    ACTIONS(1873), 1,
      anon_sym_LBRACK,
    ACTIONS(1948), 1,
      anon_sym_async,
    ACTIONS(1950), 1,
      anon_sym_static,
    STATE(888), 1,
      aux_sym_export_statement_repeat1,
    STATE(974), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1877), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1945), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1952), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1943), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1287), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1488), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1495), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1640), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [36848] = 24,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(1956), 1,
      anon_sym_STAR,
    ACTIONS(1958), 1,
      anon_sym_RBRACE,
    ACTIONS(1960), 1,
      anon_sym_SEMI,
    ACTIONS(1962), 1,
      anon_sym_LBRACK,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    ACTIONS(1968), 1,
      anon_sym_async,
    ACTIONS(1972), 1,
      anon_sym_static,
    ACTIONS(1974), 1,
      aux_sym_method_definition_token1,
    STATE(845), 1,
      aux_sym_class_body_repeat1,
    STATE(884), 1,
      aux_sym_export_statement_repeat1,
    STATE(934), 1,
      sym_glimmer_template,
    STATE(944), 1,
      sym_method_definition,
    STATE(945), 1,
      sym_class_static_block,
    STATE(974), 1,
      sym_decorator,
    STATE(1203), 1,
      sym_glimmer_opening_tag,
    STATE(1599), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1970), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1976), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1954), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1110), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [36928] = 24,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(1956), 1,
      anon_sym_STAR,
    ACTIONS(1962), 1,
      anon_sym_LBRACK,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    ACTIONS(1968), 1,
      anon_sym_async,
    ACTIONS(1972), 1,
      anon_sym_static,
    ACTIONS(1974), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1978), 1,
      anon_sym_RBRACE,
    ACTIONS(1980), 1,
      anon_sym_SEMI,
    STATE(846), 1,
      aux_sym_class_body_repeat1,
    STATE(884), 1,
      aux_sym_export_statement_repeat1,
    STATE(934), 1,
      sym_glimmer_template,
    STATE(944), 1,
      sym_method_definition,
    STATE(945), 1,
      sym_class_static_block,
    STATE(974), 1,
      sym_decorator,
    STATE(1203), 1,
      sym_glimmer_opening_tag,
    STATE(1599), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1970), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1976), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1954), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1110), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [37008] = 24,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(1956), 1,
      anon_sym_STAR,
    ACTIONS(1962), 1,
      anon_sym_LBRACK,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    ACTIONS(1968), 1,
      anon_sym_async,
    ACTIONS(1972), 1,
      anon_sym_static,
    ACTIONS(1974), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1982), 1,
      anon_sym_RBRACE,
    ACTIONS(1984), 1,
      anon_sym_SEMI,
    STATE(847), 1,
      aux_sym_class_body_repeat1,
    STATE(884), 1,
      aux_sym_export_statement_repeat1,
    STATE(934), 1,
      sym_glimmer_template,
    STATE(944), 1,
      sym_method_definition,
    STATE(945), 1,
      sym_class_static_block,
    STATE(974), 1,
      sym_decorator,
    STATE(1203), 1,
      sym_glimmer_opening_tag,
    STATE(1599), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1970), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1976), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1954), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1110), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [37088] = 24,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(1956), 1,
      anon_sym_STAR,
    ACTIONS(1962), 1,
      anon_sym_LBRACK,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    ACTIONS(1968), 1,
      anon_sym_async,
    ACTIONS(1972), 1,
      anon_sym_static,
    ACTIONS(1974), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1984), 1,
      anon_sym_SEMI,
    ACTIONS(1986), 1,
      anon_sym_RBRACE,
    STATE(847), 1,
      aux_sym_class_body_repeat1,
    STATE(884), 1,
      aux_sym_export_statement_repeat1,
    STATE(934), 1,
      sym_glimmer_template,
    STATE(944), 1,
      sym_method_definition,
    STATE(945), 1,
      sym_class_static_block,
    STATE(974), 1,
      sym_decorator,
    STATE(1203), 1,
      sym_glimmer_opening_tag,
    STATE(1599), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1970), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1976), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1954), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1110), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [37168] = 24,
    ACTIONS(1991), 1,
      anon_sym_STAR,
    ACTIONS(1994), 1,
      anon_sym_RBRACE,
    ACTIONS(1996), 1,
      anon_sym_SEMI,
    ACTIONS(1999), 1,
      anon_sym_LBRACK,
    ACTIONS(2002), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(2005), 1,
      anon_sym_DQUOTE,
    ACTIONS(2008), 1,
      anon_sym_SQUOTE,
    ACTIONS(2011), 1,
      anon_sym_async,
    ACTIONS(2017), 1,
      anon_sym_AT,
    ACTIONS(2020), 1,
      anon_sym_static,
    ACTIONS(2023), 1,
      aux_sym_method_definition_token1,
    STATE(847), 1,
      aux_sym_class_body_repeat1,
    STATE(884), 1,
      aux_sym_export_statement_repeat1,
    STATE(934), 1,
      sym_glimmer_template,
    STATE(944), 1,
      sym_method_definition,
    STATE(945), 1,
      sym_class_static_block,
    STATE(974), 1,
      sym_decorator,
    STATE(1203), 1,
      sym_glimmer_opening_tag,
    STATE(1599), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2014), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2026), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1988), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1110), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [37248] = 24,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(1956), 1,
      anon_sym_STAR,
    ACTIONS(1962), 1,
      anon_sym_LBRACK,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    ACTIONS(1968), 1,
      anon_sym_async,
    ACTIONS(1972), 1,
      anon_sym_static,
    ACTIONS(1974), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1984), 1,
      anon_sym_SEMI,
    ACTIONS(2029), 1,
      anon_sym_RBRACE,
    STATE(847), 1,
      aux_sym_class_body_repeat1,
    STATE(884), 1,
      aux_sym_export_statement_repeat1,
    STATE(934), 1,
      sym_glimmer_template,
    STATE(944), 1,
      sym_method_definition,
    STATE(945), 1,
      sym_class_static_block,
    STATE(974), 1,
      sym_decorator,
    STATE(1203), 1,
      sym_glimmer_opening_tag,
    STATE(1599), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1970), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1976), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1954), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1110), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [37328] = 24,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(1956), 1,
      anon_sym_STAR,
    ACTIONS(1962), 1,
      anon_sym_LBRACK,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    ACTIONS(1968), 1,
      anon_sym_async,
    ACTIONS(1972), 1,
      anon_sym_static,
    ACTIONS(1974), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2031), 1,
      anon_sym_RBRACE,
    ACTIONS(2033), 1,
      anon_sym_SEMI,
    STATE(851), 1,
      aux_sym_class_body_repeat1,
    STATE(884), 1,
      aux_sym_export_statement_repeat1,
    STATE(934), 1,
      sym_glimmer_template,
    STATE(944), 1,
      sym_method_definition,
    STATE(945), 1,
      sym_class_static_block,
    STATE(974), 1,
      sym_decorator,
    STATE(1203), 1,
      sym_glimmer_opening_tag,
    STATE(1599), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1970), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1976), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1954), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1110), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [37408] = 24,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(1956), 1,
      anon_sym_STAR,
    ACTIONS(1962), 1,
      anon_sym_LBRACK,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    ACTIONS(1968), 1,
      anon_sym_async,
    ACTIONS(1972), 1,
      anon_sym_static,
    ACTIONS(1974), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2035), 1,
      anon_sym_RBRACE,
    ACTIONS(2037), 1,
      anon_sym_SEMI,
    STATE(848), 1,
      aux_sym_class_body_repeat1,
    STATE(884), 1,
      aux_sym_export_statement_repeat1,
    STATE(934), 1,
      sym_glimmer_template,
    STATE(944), 1,
      sym_method_definition,
    STATE(945), 1,
      sym_class_static_block,
    STATE(974), 1,
      sym_decorator,
    STATE(1203), 1,
      sym_glimmer_opening_tag,
    STATE(1599), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1970), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1976), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1954), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1110), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [37488] = 24,
    ACTIONS(59), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(1956), 1,
      anon_sym_STAR,
    ACTIONS(1962), 1,
      anon_sym_LBRACK,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    ACTIONS(1968), 1,
      anon_sym_async,
    ACTIONS(1972), 1,
      anon_sym_static,
    ACTIONS(1974), 1,
      aux_sym_method_definition_token1,
    ACTIONS(1984), 1,
      anon_sym_SEMI,
    ACTIONS(2039), 1,
      anon_sym_RBRACE,
    STATE(847), 1,
      aux_sym_class_body_repeat1,
    STATE(884), 1,
      aux_sym_export_statement_repeat1,
    STATE(934), 1,
      sym_glimmer_template,
    STATE(944), 1,
      sym_method_definition,
    STATE(945), 1,
      sym_class_static_block,
    STATE(974), 1,
      sym_decorator,
    STATE(1203), 1,
      sym_glimmer_opening_tag,
    STATE(1599), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1970), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1976), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1954), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1110), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [37568] = 20,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(709), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(2045), 1,
      anon_sym_RBRACE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2049), 1,
      anon_sym_async,
    ACTIONS(2053), 1,
      anon_sym_static,
    STATE(888), 1,
      aux_sym_export_statement_repeat1,
    STATE(974), 1,
      sym_decorator,
    STATE(1355), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2051), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2055), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2041), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1317), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1353), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [37638] = 18,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(709), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2061), 1,
      anon_sym_async,
    ACTIONS(2063), 1,
      anon_sym_static,
    STATE(888), 1,
      aux_sym_export_statement_repeat1,
    STATE(974), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2051), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2059), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2065), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2057), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1317), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1495), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [37703] = 14,
    ACTIONS(681), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(1232), 1,
      anon_sym_LBRACE,
    ACTIONS(1873), 1,
      anon_sym_LBRACK,
    ACTIONS(2069), 1,
      anon_sym_COMMA,
    ACTIONS(2071), 1,
      anon_sym_RBRACE,
    STATE(1293), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2073), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1310), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1628), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1640), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(2067), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37760] = 14,
    ACTIONS(681), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(1232), 1,
      anon_sym_LBRACE,
    ACTIONS(1873), 1,
      anon_sym_LBRACK,
    ACTIONS(2069), 1,
      anon_sym_COMMA,
    ACTIONS(2077), 1,
      anon_sym_RBRACE,
    STATE(1278), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2073), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1289), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1628), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1640), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(2075), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37817] = 12,
    ACTIONS(681), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(1232), 1,
      anon_sym_LBRACE,
    ACTIONS(1873), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2073), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2081), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1488), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1628), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1640), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(2079), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [37869] = 16,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(833), 1,
      anon_sym_RBRACE,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_async,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    STATE(1302), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1330), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(861), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(873), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1479), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [37927] = 16,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_async,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(2089), 1,
      anon_sym_RBRACE,
    STATE(1302), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1360), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(861), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(873), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1479), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [37985] = 15,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(835), 1,
      anon_sym_RBRACE,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    STATE(1302), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1330), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(861), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(873), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1479), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [38041] = 16,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(835), 1,
      anon_sym_RBRACE,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_async,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    STATE(1302), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1330), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(861), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(873), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1479), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [38099] = 15,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(2089), 1,
      anon_sym_RBRACE,
    STATE(1302), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1360), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(861), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(873), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1479), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [38155] = 15,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(807), 1,
      anon_sym_RBRACE,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    STATE(1302), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1360), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(861), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(873), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1479), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [38211] = 16,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_async,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(2091), 1,
      anon_sym_RBRACE,
    STATE(1302), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1330), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(861), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(873), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1479), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [38269] = 15,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(2093), 1,
      anon_sym_RBRACE,
    STATE(1302), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1330), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(861), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(873), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1479), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [38325] = 15,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(2095), 1,
      anon_sym_RBRACE,
    STATE(1302), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1330), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(861), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(873), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1479), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [38381] = 15,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(833), 1,
      anon_sym_RBRACE,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    STATE(1302), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1330), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(861), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(873), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1479), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [38437] = 15,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(2091), 1,
      anon_sym_RBRACE,
    STATE(1302), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1330), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(861), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(873), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1479), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [38493] = 16,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(807), 1,
      anon_sym_RBRACE,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_async,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    STATE(1302), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1360), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(861), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(873), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1479), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [38551] = 16,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_async,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(2093), 1,
      anon_sym_RBRACE,
    STATE(1302), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1330), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(861), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(873), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1479), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [38609] = 16,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_async,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(2095), 1,
      anon_sym_RBRACE,
    STATE(1302), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1330), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(861), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(873), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1479), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [38667] = 13,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(2089), 1,
      anon_sym_RBRACE,
    STATE(1302), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1360), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(861), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1479), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38718] = 13,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(833), 1,
      anon_sym_RBRACE,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    STATE(1302), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1330), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(861), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1479), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38769] = 13,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(807), 1,
      anon_sym_RBRACE,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    STATE(1302), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1360), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(861), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1479), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38820] = 13,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(2095), 1,
      anon_sym_RBRACE,
    STATE(1302), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1330), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(861), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1479), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38871] = 14,
    ACTIONS(1962), 1,
      anon_sym_LBRACK,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    ACTIONS(2097), 1,
      anon_sym_STAR,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    ACTIONS(2101), 1,
      anon_sym_async,
    ACTIONS(2107), 1,
      sym__automatic_semicolon,
    STATE(935), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2103), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2105), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    STATE(1134), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1954), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [38924] = 13,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(2093), 1,
      anon_sym_RBRACE,
    STATE(1302), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1330), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(861), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1479), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38975] = 13,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(2091), 1,
      anon_sym_RBRACE,
    STATE(1302), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1330), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(861), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1479), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39026] = 13,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(835), 1,
      anon_sym_RBRACE,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    STATE(1302), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1330), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(861), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1479), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39077] = 18,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2110), 1,
      anon_sym_export,
    ACTIONS(2112), 1,
      anon_sym_STAR,
    ACTIONS(2114), 1,
      anon_sym_class,
    ACTIONS(2116), 1,
      anon_sym_async,
    ACTIONS(2120), 1,
      anon_sym_static,
    ACTIONS(2122), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2124), 1,
      anon_sym_get,
    ACTIONS(2126), 1,
      anon_sym_set,
    STATE(943), 1,
      aux_sym_export_statement_repeat1,
    STATE(974), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(869), 2,
      anon_sym_let,
      sym_identifier,
    ACTIONS(2118), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1502), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [39137] = 13,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2128), 1,
      anon_sym_RBRACE,
    STATE(1277), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(861), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(873), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1479), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39187] = 13,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_async,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(861), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(873), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2130), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1479), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [39237] = 14,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_async,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2128), 1,
      anon_sym_RBRACE,
    STATE(1277), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(861), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(873), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1479), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [39289] = 12,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(861), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(873), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2130), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1479), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39337] = 16,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(1962), 1,
      anon_sym_LBRACK,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    ACTIONS(2133), 1,
      anon_sym_STAR,
    ACTIONS(2135), 1,
      anon_sym_async,
    ACTIONS(2139), 1,
      anon_sym_static,
    ACTIONS(2141), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2143), 1,
      anon_sym_get,
    ACTIONS(2145), 1,
      anon_sym_set,
    STATE(943), 1,
      aux_sym_export_statement_repeat1,
    STATE(974), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2137), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1954), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1128), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [39392] = 11,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2128), 1,
      anon_sym_RBRACE,
    STATE(1277), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(861), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1479), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39437] = 10,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(861), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2130), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1479), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39480] = 11,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2147), 1,
      anon_sym_STAR,
    ACTIONS(2151), 1,
      anon_sym_get,
    ACTIONS(2153), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2149), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1532), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2085), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(869), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39525] = 16,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2112), 1,
      anon_sym_STAR,
    ACTIONS(2116), 1,
      anon_sym_async,
    ACTIONS(2120), 1,
      anon_sym_static,
    ACTIONS(2122), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2124), 1,
      anon_sym_get,
    ACTIONS(2126), 1,
      anon_sym_set,
    STATE(943), 1,
      aux_sym_export_statement_repeat1,
    STATE(974), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2118), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(869), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1502), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [39580] = 10,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2155), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2157), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2159), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1530), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2085), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(869), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39623] = 12,
    ACTIONS(1962), 1,
      anon_sym_LBRACK,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    ACTIONS(2161), 1,
      anon_sym_STAR,
    ACTIONS(2163), 1,
      anon_sym_async,
    ACTIONS(2167), 1,
      anon_sym_get,
    ACTIONS(2169), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2165), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1131), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1954), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
    ACTIONS(2085), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [39670] = 10,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2097), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2171), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2173), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1500), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2085), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(869), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39713] = 12,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_async,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(861), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(873), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2175), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1479), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [39760] = 11,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2177), 1,
      anon_sym_STAR,
    ACTIONS(2181), 1,
      anon_sym_get,
    ACTIONS(2183), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2179), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1550), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2085), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(869), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39805] = 11,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(861), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(873), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2175), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1479), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39850] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2185), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2187), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [39878] = 8,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2189), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1534), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2085), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39916] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2191), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2193), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [39944] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2185), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2187), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [39972] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2185), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2187), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40000] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2195), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2197), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40028] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2195), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2197), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40056] = 4,
    ACTIONS(2199), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(624), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(622), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40086] = 8,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2201), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1552), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2085), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40124] = 8,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2203), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1551), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2085), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40162] = 9,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(861), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2175), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1479), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40202] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2205), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2207), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40230] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2195), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2197), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40258] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2195), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2197), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40286] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2185), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2187), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40314] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2209), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2211), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40342] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2213), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2215), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40370] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2195), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2197), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40398] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2213), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2215), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40426] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2185), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2187), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40454] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2195), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2197), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40482] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2213), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2215), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40510] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2213), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2215), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40538] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2213), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2215), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40566] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2213), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2215), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40594] = 4,
    ACTIONS(2217), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(524), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(522), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40624] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2195), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2197), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40652] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2185), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2187), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40680] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2195), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2197), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40708] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2195), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2197), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40736] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2219), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2221), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40764] = 6,
    ACTIONS(2227), 1,
      anon_sym_LPAREN,
    ACTIONS(2229), 1,
      anon_sym_DOT,
    STATE(969), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2223), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2225), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40798] = 8,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2171), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1500), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2085), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40836] = 8,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2157), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1530), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2085), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40874] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2195), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2197), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40902] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2195), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2197), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40930] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2231), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2233), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40958] = 8,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2235), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1535), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2085), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40996] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2237), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2239), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41023] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2241), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2243), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41050] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2245), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2247), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41077] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2249), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2251), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41104] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2253), 9,
      anon_sym_export,
      anon_sym_let,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2255), 9,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41131] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(662), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(660), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41158] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1413), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1415), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41185] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1417), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1419), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41212] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(624), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(622), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41239] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1503), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1505), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41266] = 6,
    ACTIONS(2261), 1,
      anon_sym_AT,
    STATE(943), 1,
      aux_sym_export_statement_repeat1,
    STATE(974), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2259), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      aux_sym_method_definition_token1,
    ACTIONS(2257), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41299] = 4,
    ACTIONS(2268), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2264), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2266), 10,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41328] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2264), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2266), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41355] = 11,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(2271), 1,
      anon_sym_STAR,
    ACTIONS(2275), 1,
      anon_sym_get,
    ACTIONS(2277), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2273), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1583), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [41397] = 11,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(2279), 1,
      anon_sym_STAR,
    ACTIONS(2283), 1,
      anon_sym_get,
    ACTIONS(2285), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2281), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1512), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [41439] = 11,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(2287), 1,
      anon_sym_STAR,
    ACTIONS(2291), 1,
      anon_sym_get,
    ACTIONS(2293), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2289), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1517), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [41481] = 11,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(2295), 1,
      anon_sym_STAR,
    ACTIONS(2299), 1,
      anon_sym_get,
    ACTIONS(2301), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2297), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1554), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [41523] = 13,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(809), 1,
      anon_sym_var,
    ACTIONS(823), 1,
      anon_sym_class,
    ACTIONS(825), 1,
      anon_sym_async,
    ACTIONS(827), 1,
      anon_sym_function,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_default,
    STATE(356), 1,
      sym_declaration,
    STATE(974), 1,
      sym_decorator,
    STATE(1251), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(811), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(390), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [41569] = 10,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(2155), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2157), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2159), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1530), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [41609] = 10,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(2305), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2307), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2309), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1585), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [41649] = 9,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(2311), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2307), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1585), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41687] = 12,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(2313), 1,
      anon_sym_STAR,
    ACTIONS(2315), 1,
      anon_sym_async,
    ACTIONS(2319), 1,
      anon_sym_get,
    ACTIONS(2321), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2317), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1582), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [41731] = 8,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2323), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1562), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41766] = 8,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2325), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1565), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41801] = 11,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2327), 1,
      anon_sym_STAR,
    ACTIONS(2329), 1,
      anon_sym_async,
    ACTIONS(2333), 1,
      anon_sym_get,
    ACTIONS(2335), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2331), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1533), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [41842] = 8,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2337), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1556), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41877] = 8,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2339), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1468), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41912] = 12,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(809), 1,
      anon_sym_var,
    ACTIONS(823), 1,
      anon_sym_class,
    ACTIONS(825), 1,
      anon_sym_async,
    ACTIONS(827), 1,
      anon_sym_function,
    ACTIONS(2303), 1,
      anon_sym_default,
    STATE(356), 1,
      sym_declaration,
    STATE(974), 1,
      sym_decorator,
    STATE(1251), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(811), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(390), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [41955] = 10,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(871), 1,
      anon_sym_async,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2083), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(861), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(873), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1479), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [41994] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2223), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2225), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42019] = 11,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2341), 1,
      anon_sym_STAR,
    ACTIONS(2343), 1,
      anon_sym_async,
    ACTIONS(2347), 1,
      anon_sym_get,
    ACTIONS(2349), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2345), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1581), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [42060] = 8,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2351), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1563), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42095] = 8,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2353), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1515), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42130] = 8,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2307), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1585), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42165] = 8,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2355), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1555), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42200] = 8,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2357), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1580), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42235] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2359), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2361), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42260] = 12,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(809), 1,
      anon_sym_var,
    ACTIONS(823), 1,
      anon_sym_class,
    ACTIONS(825), 1,
      anon_sym_async,
    ACTIONS(827), 1,
      anon_sym_function,
    ACTIONS(2363), 1,
      anon_sym_default,
    STATE(356), 1,
      sym_declaration,
    STATE(974), 1,
      sym_decorator,
    STATE(1251), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(811), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(390), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [42303] = 8,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2365), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1545), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42338] = 8,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2367), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1579), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42373] = 8,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2369), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1516), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42408] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2371), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2373), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42433] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1485), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1487), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42458] = 8,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2375), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1524), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42493] = 10,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2097), 1,
      anon_sym_STAR,
    ACTIONS(2377), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2171), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2173), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1500), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [42532] = 8,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2379), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1547), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42567] = 8,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2381), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1548), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42602] = 8,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2383), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1509), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42637] = 8,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2385), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1521), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42672] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1561), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1563), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42697] = 8,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2387), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1477), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42732] = 8,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2389), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1475), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42767] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1577), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1579), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42792] = 8,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2391), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1566), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42827] = 8,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2157), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1530), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42862] = 8,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2393), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1510), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42897] = 8,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2395), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1520), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42932] = 8,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2397), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1467), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42967] = 7,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2365), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1545), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42999] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2399), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [43021] = 7,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2401), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1531), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43053] = 7,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2403), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1518), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43085] = 7,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2171), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1500), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43117] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2405), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [43139] = 7,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2307), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1585), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43171] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2407), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [43193] = 7,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2409), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1553), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43225] = 7,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2411), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1478), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43257] = 7,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2413), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1584), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43289] = 7,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2415), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1522), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43321] = 7,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2417), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1549), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43353] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2419), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [43375] = 7,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2421), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1546), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43407] = 7,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2423), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1561), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43439] = 7,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2425), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1513), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43471] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2427), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [43493] = 7,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2375), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1524), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43525] = 7,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2429), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1470), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43557] = 7,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2157), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1530), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43589] = 7,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2431), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1564), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43621] = 7,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2047), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(861), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1479), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(869), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43653] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACE,
    ACTIONS(2437), 1,
      sym_html_character_reference,
    ACTIONS(2439), 1,
      anon_sym_LT,
    ACTIONS(2441), 1,
      anon_sym_LT_SLASH,
    STATE(545), 1,
      sym_jsx_closing_element,
    STATE(1016), 1,
      sym_jsx_opening_element,
    ACTIONS(2435), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1023), 5,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [43689] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACE,
    ACTIONS(2437), 1,
      sym_html_character_reference,
    ACTIONS(2439), 1,
      anon_sym_LT,
    ACTIONS(2443), 1,
      anon_sym_LT_SLASH,
    STATE(1016), 1,
      sym_jsx_opening_element,
    STATE(1168), 1,
      sym_jsx_closing_element,
    ACTIONS(2435), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1023), 5,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [43725] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACE,
    ACTIONS(2439), 1,
      anon_sym_LT,
    ACTIONS(2445), 1,
      sym_html_character_reference,
    ACTIONS(2447), 1,
      anon_sym_LT_SLASH,
    STATE(1016), 1,
      sym_jsx_opening_element,
    STATE(1112), 1,
      sym_jsx_closing_element,
    ACTIONS(2435), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1021), 5,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [43761] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACE,
    ACTIONS(2439), 1,
      anon_sym_LT,
    ACTIONS(2441), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2449), 1,
      sym_html_character_reference,
    STATE(502), 1,
      sym_jsx_closing_element,
    STATE(1016), 1,
      sym_jsx_opening_element,
    ACTIONS(2435), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1014), 5,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [43797] = 10,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    ACTIONS(2451), 1,
      sym_identifier,
    ACTIONS(2453), 1,
      anon_sym_STAR,
    ACTIONS(2455), 1,
      anon_sym_LBRACE,
    STATE(1252), 1,
      sym_string,
    STATE(1407), 1,
      sym_import_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1671), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(2457), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [43833] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACE,
    ACTIONS(2439), 1,
      anon_sym_LT,
    ACTIONS(2443), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2459), 1,
      sym_html_character_reference,
    STATE(1016), 1,
      sym_jsx_opening_element,
    STATE(1182), 1,
      sym_jsx_closing_element,
    ACTIONS(2435), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1015), 5,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [43869] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACE,
    ACTIONS(2439), 1,
      anon_sym_LT,
    ACTIONS(2461), 1,
      sym_html_character_reference,
    ACTIONS(2463), 1,
      anon_sym_LT_SLASH,
    STATE(708), 1,
      sym_jsx_closing_element,
    STATE(1016), 1,
      sym_jsx_opening_element,
    ACTIONS(2435), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1022), 5,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [43905] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACE,
    ACTIONS(2437), 1,
      sym_html_character_reference,
    ACTIONS(2439), 1,
      anon_sym_LT,
    ACTIONS(2447), 1,
      anon_sym_LT_SLASH,
    STATE(1016), 1,
      sym_jsx_opening_element,
    STATE(1098), 1,
      sym_jsx_closing_element,
    ACTIONS(2435), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1023), 5,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [43941] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACE,
    ACTIONS(2437), 1,
      sym_html_character_reference,
    ACTIONS(2439), 1,
      anon_sym_LT,
    ACTIONS(2463), 1,
      anon_sym_LT_SLASH,
    STATE(671), 1,
      sym_jsx_closing_element,
    STATE(1016), 1,
      sym_jsx_opening_element,
    ACTIONS(2435), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1023), 5,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [43977] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2465), 1,
      anon_sym_LBRACE,
    ACTIONS(2471), 1,
      sym_html_character_reference,
    ACTIONS(2474), 1,
      anon_sym_LT,
    ACTIONS(2477), 1,
      anon_sym_LT_SLASH,
    STATE(1016), 1,
      sym_jsx_opening_element,
    ACTIONS(2468), 2,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
    STATE(1023), 5,
      sym_jsx_element,
      sym_jsx_text,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [44010] = 11,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(2491), 1,
      anon_sym_SLASH_GT,
    STATE(1039), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1139), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44046] = 11,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(2493), 1,
      anon_sym_SLASH_GT,
    STATE(1056), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1139), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44082] = 11,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(2495), 1,
      anon_sym_SLASH_GT,
    STATE(1042), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1139), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44118] = 11,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(2497), 1,
      anon_sym_SLASH_GT,
    STATE(1045), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1139), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44154] = 10,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(2495), 1,
      anon_sym_SLASH_GT,
    STATE(1043), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1139), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44187] = 10,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2497), 1,
      anon_sym_SLASH_GT,
    STATE(1048), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1139), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44220] = 10,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2493), 1,
      anon_sym_SLASH_GT,
    STATE(1058), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1139), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44253] = 10,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(2493), 1,
      anon_sym_SLASH_GT,
    STATE(1055), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1139), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44286] = 10,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2495), 1,
      anon_sym_SLASH_GT,
    STATE(1040), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1139), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44319] = 10,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(2491), 1,
      anon_sym_SLASH_GT,
    STATE(1049), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1139), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44352] = 10,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(2497), 1,
      anon_sym_SLASH_GT,
    STATE(1046), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1139), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44385] = 10,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2491), 1,
      anon_sym_SLASH_GT,
    STATE(1041), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1139), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44418] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2499), 1,
      anon_sym_GT,
    ACTIONS(2501), 1,
      anon_sym_SLASH_GT,
    STATE(1057), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1139), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44448] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2495), 1,
      anon_sym_SLASH_GT,
    STATE(1036), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1139), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44478] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2499), 1,
      anon_sym_GT,
    ACTIONS(2503), 1,
      anon_sym_SLASH_GT,
    STATE(1057), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1139), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44508] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2505), 1,
      anon_sym_GT,
    ACTIONS(2507), 1,
      anon_sym_SLASH_GT,
    STATE(1057), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1139), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44538] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2509), 1,
      anon_sym_GT,
    ACTIONS(2511), 1,
      anon_sym_SLASH_GT,
    STATE(1057), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1139), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44568] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2509), 1,
      anon_sym_GT,
    ACTIONS(2513), 1,
      anon_sym_SLASH_GT,
    STATE(1057), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1139), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44598] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2505), 1,
      anon_sym_GT,
    ACTIONS(2515), 1,
      anon_sym_SLASH_GT,
    STATE(1057), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1139), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44628] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2517), 1,
      anon_sym_GT,
    ACTIONS(2519), 1,
      anon_sym_SLASH_GT,
    STATE(1057), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1139), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44658] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2497), 1,
      anon_sym_SLASH_GT,
    STATE(1047), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1139), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44688] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2505), 1,
      anon_sym_GT,
    ACTIONS(2521), 1,
      anon_sym_SLASH_GT,
    STATE(1057), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1139), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44718] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2517), 1,
      anon_sym_GT,
    ACTIONS(2523), 1,
      anon_sym_SLASH_GT,
    STATE(1057), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1139), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44748] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2499), 1,
      anon_sym_GT,
    ACTIONS(2525), 1,
      anon_sym_SLASH_GT,
    STATE(1057), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1139), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44778] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2509), 1,
      anon_sym_GT,
    ACTIONS(2527), 1,
      anon_sym_SLASH_GT,
    STATE(1057), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1139), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44808] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2517), 1,
      anon_sym_GT,
    ACTIONS(2529), 1,
      anon_sym_SLASH_GT,
    STATE(1057), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1139), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44838] = 7,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2531), 1,
      anon_sym_LT,
    ACTIONS(2533), 1,
      anon_sym_DQUOTE,
    ACTIONS(2535), 1,
      anon_sym_SQUOTE,
    STATE(1019), 1,
      sym_jsx_opening_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1146), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym__jsx_string,
  [44864] = 7,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2531), 1,
      anon_sym_LT,
    ACTIONS(2533), 1,
      anon_sym_DQUOTE,
    ACTIONS(2535), 1,
      anon_sym_SQUOTE,
    STATE(1019), 1,
      sym_jsx_opening_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1143), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym__jsx_string,
  [44890] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2491), 1,
      anon_sym_SLASH_GT,
    STATE(1038), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1139), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44920] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2485), 1,
      anon_sym_GT,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2493), 1,
      anon_sym_SLASH_GT,
    STATE(1054), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1139), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44950] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2499), 1,
      anon_sym_GT,
    ACTIONS(2537), 1,
      anon_sym_SLASH_GT,
    STATE(1057), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1139), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44980] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2517), 1,
      anon_sym_GT,
    ACTIONS(2539), 1,
      anon_sym_SLASH_GT,
    STATE(1057), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1139), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45010] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2505), 1,
      anon_sym_GT,
    ACTIONS(2541), 1,
      anon_sym_SLASH_GT,
    STATE(1057), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1139), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45040] = 8,
    ACTIONS(2543), 1,
      sym_identifier,
    ACTIONS(2546), 1,
      anon_sym_LBRACE,
    ACTIONS(2551), 1,
      sym_jsx_identifier,
    STATE(1057), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2549), 2,
      anon_sym_GT,
      anon_sym_SLASH_GT,
    STATE(1139), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45068] = 9,
    ACTIONS(2479), 1,
      sym_identifier,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2487), 1,
      sym_jsx_identifier,
    ACTIONS(2509), 1,
      anon_sym_GT,
    ACTIONS(2554), 1,
      anon_sym_SLASH_GT,
    STATE(1057), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1133), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1139), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45098] = 8,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      sym_identifier,
    ACTIONS(2558), 1,
      anon_sym_COMMA,
    ACTIONS(2560), 1,
      anon_sym_RBRACE,
    STATE(1305), 1,
      sym_import_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1631), 2,
      sym__module_export_name,
      sym_string,
  [45125] = 8,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2562), 1,
      sym_identifier,
    ACTIONS(2564), 1,
      anon_sym_COMMA,
    ACTIONS(2566), 1,
      anon_sym_RBRACE,
    STATE(1332), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1345), 2,
      sym__module_export_name,
      sym_string,
  [45152] = 6,
    ACTIONS(902), 1,
      anon_sym_LBRACE,
    ACTIONS(904), 1,
      anon_sym_LBRACK,
    ACTIONS(2568), 1,
      sym_identifier,
    STATE(1217), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1076), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [45174] = 6,
    ACTIONS(902), 1,
      anon_sym_LBRACE,
    ACTIONS(904), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      sym_identifier,
    STATE(1216), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1082), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [45196] = 6,
    ACTIONS(902), 1,
      anon_sym_LBRACE,
    ACTIONS(904), 1,
      anon_sym_LBRACK,
    ACTIONS(2572), 1,
      sym_identifier,
    STATE(1217), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1151), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [45218] = 5,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2574), 1,
      sym_identifier,
    ACTIONS(2578), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2576), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [45238] = 7,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      sym_identifier,
    ACTIONS(2580), 1,
      anon_sym_RBRACE,
    STATE(1501), 1,
      sym_import_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1631), 2,
      sym__module_export_name,
      sym_string,
  [45262] = 7,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(2093), 1,
      anon_sym_RBRACE,
    STATE(1302), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1330), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45286] = 6,
    ACTIONS(902), 1,
      anon_sym_LBRACE,
    ACTIONS(904), 1,
      anon_sym_LBRACK,
    ACTIONS(2572), 1,
      sym_identifier,
    STATE(1216), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1151), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [45308] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2582), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [45322] = 7,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(2091), 1,
      anon_sym_RBRACE,
    STATE(1302), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1330), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45346] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2584), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [45360] = 7,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(807), 1,
      anon_sym_RBRACE,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    STATE(1302), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1360), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45384] = 7,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(835), 1,
      anon_sym_RBRACE,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    STATE(1302), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1330), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45408] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2586), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [45422] = 7,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      sym_identifier,
    ACTIONS(2588), 1,
      anon_sym_RBRACE,
    STATE(1501), 1,
      sym_import_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1631), 2,
      sym__module_export_name,
      sym_string,
  [45446] = 6,
    ACTIONS(902), 1,
      anon_sym_LBRACE,
    ACTIONS(904), 1,
      anon_sym_LBRACK,
    ACTIONS(2572), 1,
      sym_identifier,
    STATE(1298), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1151), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [45468] = 5,
    ACTIONS(2594), 1,
      anon_sym_EQ,
    STATE(1160), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2592), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(2590), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [45488] = 7,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(2095), 1,
      anon_sym_RBRACE,
    STATE(1302), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1330), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45512] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2596), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [45526] = 7,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(2089), 1,
      anon_sym_RBRACE,
    STATE(1302), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1360), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45550] = 7,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(833), 1,
      anon_sym_RBRACE,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    STATE(1302), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1330), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45574] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2598), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [45588] = 5,
    ACTIONS(2600), 1,
      anon_sym_EQ,
    STATE(1304), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2592), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(2590), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [45608] = 7,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2562), 1,
      sym_identifier,
    ACTIONS(2602), 1,
      anon_sym_RBRACE,
    STATE(1540), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1345), 2,
      sym__module_export_name,
      sym_string,
  [45632] = 7,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2562), 1,
      sym_identifier,
    ACTIONS(2604), 1,
      anon_sym_RBRACE,
    STATE(1540), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1345), 2,
      sym__module_export_name,
      sym_string,
  [45656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2606), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [45671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1537), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [45686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1537), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [45701] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2586), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [45714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1565), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [45729] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2596), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [45742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1537), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [45757] = 5,
    ACTIONS(2610), 1,
      anon_sym_BQUOTE,
    ACTIONS(2612), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2608), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1125), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [45776] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1585), 6,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1537), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [45804] = 5,
    ACTIONS(1232), 1,
      anon_sym_LBRACE,
    ACTIONS(2614), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1494), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [45823] = 5,
    ACTIONS(1232), 1,
      anon_sym_LBRACE,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2618), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1187), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [45842] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1718), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [45855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1511), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [45870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1507), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [45885] = 5,
    ACTIONS(2620), 1,
      anon_sym_default,
    ACTIONS(2622), 1,
      anon_sym_RBRACE,
    ACTIONS(2624), 1,
      anon_sym_case,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1114), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [45904] = 5,
    ACTIONS(1232), 1,
      anon_sym_LBRACE,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2626), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1642), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [45923] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1589), 6,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45936] = 5,
    ACTIONS(2612), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2630), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2628), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1116), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [45955] = 6,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2556), 1,
      sym_identifier,
    STATE(1501), 1,
      sym_import_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1631), 2,
      sym__module_export_name,
      sym_string,
  [45976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1445), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [45991] = 3,
    ACTIONS(2632), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2634), 5,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46006] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1723), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [46019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2636), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [46034] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2584), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [46047] = 6,
    ACTIONS(2600), 1,
      anon_sym_EQ,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1425), 1,
      sym_formal_parameters,
    STATE(1568), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2640), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [46068] = 4,
    ACTIONS(2642), 1,
      anon_sym_COMMA,
    STATE(1111), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1497), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [46085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(1421), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [46100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2645), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [46115] = 5,
    ACTIONS(2647), 1,
      anon_sym_default,
    ACTIONS(2650), 1,
      anon_sym_RBRACE,
    ACTIONS(2652), 1,
      anon_sym_case,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1114), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [46134] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2582), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [46147] = 5,
    ACTIONS(2658), 1,
      anon_sym_BQUOTE,
    ACTIONS(2660), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2655), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1116), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [46166] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2598), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [46179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2663), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [46194] = 3,
    ACTIONS(2665), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2667), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_DOT,
      anon_sym_SLASH_GT,
  [46209] = 5,
    ACTIONS(2620), 1,
      anon_sym_default,
    ACTIONS(2624), 1,
      anon_sym_case,
    ACTIONS(2669), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1100), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [46228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2671), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [46243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2645), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [46258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2645), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [46273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2645), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [46288] = 5,
    ACTIONS(2612), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2673), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2628), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1116), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [46307] = 6,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(1493), 1,
      anon_sym_DOT,
    ACTIONS(2675), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(724), 2,
      sym_template_string,
      sym_arguments,
  [46328] = 6,
    ACTIONS(400), 1,
      anon_sym_BQUOTE,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(1308), 1,
      anon_sym_DOT,
    ACTIONS(2677), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(495), 2,
      sym_template_string,
      sym_arguments,
  [46349] = 6,
    ACTIONS(2600), 1,
      anon_sym_EQ,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1412), 1,
      sym_formal_parameters,
    STATE(1486), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2679), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [46370] = 4,
    ACTIONS(1697), 1,
      anon_sym_COMMA,
    STATE(1111), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2681), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [46387] = 6,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2562), 1,
      sym_identifier,
    STATE(1540), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1345), 2,
      sym__module_export_name,
      sym_string,
  [46408] = 6,
    ACTIONS(2600), 1,
      anon_sym_EQ,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1400), 1,
      sym_formal_parameters,
    STATE(1455), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2683), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [46429] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1728), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [46442] = 4,
    ACTIONS(2685), 1,
      sym_identifier,
    ACTIONS(2689), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2687), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46459] = 6,
    ACTIONS(2600), 1,
      anon_sym_EQ,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1413), 1,
      sym_formal_parameters,
    STATE(1487), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2691), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [46480] = 5,
    ACTIONS(2612), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2695), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2693), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1103), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [46499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2697), 6,
      anon_sym_LBRACE,
      aux_sym_jsx_text_token1,
      aux_sym_jsx_text_token2,
      sym_html_character_reference,
      anon_sym_LT,
      anon_sym_LT_SLASH,
  [46514] = 6,
    ACTIONS(1304), 1,
      anon_sym_LPAREN,
    ACTIONS(2699), 1,
      sym_identifier,
    ACTIONS(2701), 1,
      anon_sym_LBRACK,
    ACTIONS(2703), 1,
      sym_private_property_identifier,
    STATE(542), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46534] = 6,
    ACTIONS(2069), 1,
      anon_sym_COMMA,
    ACTIONS(2085), 1,
      anon_sym_COLON,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(2705), 1,
      anon_sym_RBRACE,
    STATE(1328), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46554] = 3,
    ACTIONS(2707), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2709), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46568] = 3,
    ACTIONS(2711), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2713), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46582] = 6,
    ACTIONS(2715), 1,
      sym_identifier,
    ACTIONS(2717), 1,
      anon_sym_GT,
    ACTIONS(2719), 1,
      sym_jsx_identifier,
    STATE(1034), 1,
      sym_nested_identifier,
    STATE(1044), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46602] = 6,
    ACTIONS(2721), 1,
      sym_identifier,
    ACTIONS(2723), 1,
      anon_sym_LBRACE,
    ACTIONS(2725), 1,
      anon_sym_extends,
    STATE(710), 1,
      sym_class_body,
    STATE(1435), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46622] = 3,
    ACTIONS(2727), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2729), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46636] = 5,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1537), 2,
      sym__module_export_name,
      sym_string,
  [46654] = 6,
    ACTIONS(2723), 1,
      anon_sym_LBRACE,
    ACTIONS(2725), 1,
      anon_sym_extends,
    ACTIONS(2733), 1,
      sym_identifier,
    STATE(710), 1,
      sym_class_body,
    STATE(1435), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46674] = 3,
    ACTIONS(2735), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2737), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46688] = 5,
    ACTIONS(855), 1,
      anon_sym_DQUOTE,
    ACTIONS(857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2739), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1629), 2,
      sym__module_export_name,
      sym_string,
  [46706] = 6,
    ACTIONS(2717), 1,
      anon_sym_GT,
    ACTIONS(2741), 1,
      sym_identifier,
    ACTIONS(2743), 1,
      sym_jsx_identifier,
    STATE(1033), 1,
      sym_nested_identifier,
    STATE(1052), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46726] = 6,
    ACTIONS(2723), 1,
      anon_sym_LBRACE,
    ACTIONS(2725), 1,
      anon_sym_extends,
    ACTIONS(2745), 1,
      sym_identifier,
    STATE(683), 1,
      sym_class_body,
    STATE(1591), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46746] = 6,
    ACTIONS(2747), 1,
      sym_identifier,
    ACTIONS(2749), 1,
      anon_sym_GT,
    ACTIONS(2751), 1,
      sym_jsx_identifier,
    STATE(1592), 1,
      sym_nested_identifier,
    STATE(1608), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46766] = 4,
    ACTIONS(2600), 1,
      anon_sym_EQ,
    STATE(1304), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2590), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [46782] = 3,
    ACTIONS(2753), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2755), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46796] = 6,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2757), 1,
      anon_sym_export,
    ACTIONS(2759), 1,
      anon_sym_class,
    STATE(943), 1,
      aux_sym_export_statement_repeat1,
    STATE(974), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46816] = 6,
    ACTIONS(1489), 1,
      anon_sym_LPAREN,
    ACTIONS(2761), 1,
      sym_identifier,
    ACTIONS(2763), 1,
      anon_sym_LBRACK,
    ACTIONS(2765), 1,
      sym_private_property_identifier,
    STATE(754), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46836] = 6,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2767), 1,
      anon_sym_export,
    ACTIONS(2769), 1,
      anon_sym_class,
    STATE(943), 1,
      aux_sym_export_statement_repeat1,
    STATE(974), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46856] = 6,
    ACTIONS(2723), 1,
      anon_sym_LBRACE,
    ACTIONS(2725), 1,
      anon_sym_extends,
    ACTIONS(2771), 1,
      sym_identifier,
    STATE(683), 1,
      sym_class_body,
    STATE(1591), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46876] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1288), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [46888] = 3,
    ACTIONS(2773), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1276), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [46902] = 6,
    ACTIONS(2775), 1,
      sym_identifier,
    ACTIONS(2777), 1,
      anon_sym_GT,
    ACTIONS(2779), 1,
      sym_jsx_identifier,
    STATE(1394), 1,
      sym_nested_identifier,
    STATE(1677), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46922] = 4,
    ACTIONS(2783), 1,
      anon_sym_in,
    ACTIONS(2785), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2781), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [46938] = 3,
    ACTIONS(2787), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1288), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [46952] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1589), 5,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [46964] = 6,
    ACTIONS(2723), 1,
      anon_sym_LBRACE,
    ACTIONS(2725), 1,
      anon_sym_extends,
    ACTIONS(2790), 1,
      sym_identifier,
    STATE(710), 1,
      sym_class_body,
    STATE(1435), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [46984] = 6,
    ACTIONS(2725), 1,
      anon_sym_extends,
    ACTIONS(2792), 1,
      sym_identifier,
    ACTIONS(2794), 1,
      anon_sym_LBRACE,
    STATE(549), 1,
      sym_class_body,
    STATE(1414), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47004] = 5,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(2128), 1,
      anon_sym_RBRACE,
    STATE(1277), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [47022] = 6,
    ACTIONS(2717), 1,
      anon_sym_GT,
    ACTIONS(2796), 1,
      sym_identifier,
    ACTIONS(2798), 1,
      sym_jsx_identifier,
    STATE(1028), 1,
      sym_nested_identifier,
    STATE(1037), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47042] = 4,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2130), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [47058] = 3,
    ACTIONS(1511), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1513), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47072] = 6,
    ACTIONS(2723), 1,
      anon_sym_LBRACE,
    ACTIONS(2725), 1,
      anon_sym_extends,
    ACTIONS(2800), 1,
      sym_identifier,
    STATE(683), 1,
      sym_class_body,
    STATE(1591), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47092] = 3,
    ACTIONS(1507), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1509), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47106] = 3,
    ACTIONS(2636), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2802), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47120] = 3,
    ACTIONS(1445), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1447), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47134] = 3,
    ACTIONS(2804), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1288), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [47148] = 6,
    ACTIONS(2069), 1,
      anon_sym_COMMA,
    ACTIONS(2085), 1,
      anon_sym_COLON,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(2807), 1,
      anon_sym_RBRACE,
    STATE(1302), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47168] = 3,
    ACTIONS(1565), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1567), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47182] = 6,
    ACTIONS(2717), 1,
      anon_sym_GT,
    ACTIONS(2809), 1,
      sym_identifier,
    ACTIONS(2811), 1,
      sym_jsx_identifier,
    STATE(1031), 1,
      sym_nested_identifier,
    STATE(1053), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47202] = 3,
    ACTIONS(1537), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1539), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47216] = 3,
    ACTIONS(1537), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1539), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47230] = 6,
    ACTIONS(2813), 1,
      sym_identifier,
    ACTIONS(2815), 1,
      anon_sym_GT,
    ACTIONS(2817), 1,
      sym_jsx_identifier,
    STATE(1430), 1,
      sym_nested_identifier,
    STATE(1665), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47250] = 6,
    ACTIONS(2819), 1,
      sym_identifier,
    ACTIONS(2821), 1,
      anon_sym_GT,
    ACTIONS(2823), 1,
      sym_jsx_identifier,
    STATE(1417), 1,
      sym_nested_identifier,
    STATE(1672), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47270] = 3,
    ACTIONS(1537), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1539), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47284] = 3,
    ACTIONS(1421), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1423), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47298] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1585), 5,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [47310] = 3,
    ACTIONS(1537), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1539), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47324] = 6,
    ACTIONS(2725), 1,
      anon_sym_extends,
    ACTIONS(2794), 1,
      anon_sym_LBRACE,
    ACTIONS(2825), 1,
      sym_identifier,
    STATE(492), 1,
      sym_class_body,
    STATE(1437), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47344] = 3,
    ACTIONS(2697), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2827), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47358] = 4,
    ACTIONS(2829), 1,
      anon_sym_EQ,
    STATE(1459), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2592), 2,
      anon_sym_in,
      anon_sym_of,
  [47373] = 5,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    ACTIONS(2831), 1,
      sym_identifier,
    ACTIONS(2833), 1,
      anon_sym_STAR,
    STATE(1596), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47390] = 3,
    ACTIONS(2835), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1276), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [47403] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1803), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [47414] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2837), 1,
      anon_sym_DQUOTE,
    STATE(1197), 1,
      aux_sym_string_repeat1,
    ACTIONS(2839), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [47431] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2841), 1,
      anon_sym_DQUOTE,
    STATE(1227), 1,
      aux_sym_string_repeat1,
    ACTIONS(2843), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [47448] = 5,
    ACTIONS(673), 1,
      anon_sym_COMMA,
    ACTIONS(2845), 1,
      anon_sym_EQ,
    ACTIONS(2847), 1,
      anon_sym_RBRACK,
    STATE(1267), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47465] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2841), 1,
      anon_sym_SQUOTE,
    STATE(1228), 1,
      aux_sym_string_repeat2,
    ACTIONS(2849), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [47482] = 5,
    ACTIONS(2851), 1,
      anon_sym_LBRACE,
    ACTIONS(2853), 1,
      anon_sym_extends,
    STATE(328), 1,
      sym_class_body,
    STATE(1590), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47499] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2855), 1,
      sym_html_character_reference,
    ACTIONS(2857), 1,
      anon_sym_SQUOTE,
    ACTIONS(2859), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(1235), 1,
      aux_sym__jsx_string_repeat2,
  [47518] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2861), 1,
      anon_sym_DQUOTE,
    STATE(1224), 1,
      aux_sym_string_repeat1,
    ACTIONS(2863), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [47535] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2861), 1,
      anon_sym_SQUOTE,
    STATE(1226), 1,
      aux_sym_string_repeat2,
    ACTIONS(2865), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [47552] = 5,
    ACTIONS(2723), 1,
      anon_sym_LBRACE,
    ACTIONS(2853), 1,
      anon_sym_extends,
    STATE(733), 1,
      sym_class_body,
    STATE(1424), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47569] = 5,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    ACTIONS(2867), 1,
      sym_identifier,
    ACTIONS(2869), 1,
      anon_sym_STAR,
    STATE(1433), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47586] = 4,
    ACTIONS(2453), 1,
      anon_sym_STAR,
    ACTIONS(2455), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1607), 2,
      sym_namespace_import,
      sym_named_imports,
  [47601] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2457), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_BQUOTE,
  [47612] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2871), 1,
      sym__glimmer_template_content,
    ACTIONS(2873), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(940), 1,
      sym_glimmer_closing_tag,
    STATE(1265), 1,
      aux_sym_glimmer_template_repeat1,
  [47631] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2837), 1,
      anon_sym_SQUOTE,
    STATE(1198), 1,
      aux_sym_string_repeat2,
    ACTIONS(2875), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [47648] = 5,
    ACTIONS(2794), 1,
      anon_sym_LBRACE,
    ACTIONS(2853), 1,
      anon_sym_extends,
    STATE(491), 1,
      sym_class_body,
    STATE(1575), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47665] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2877), 1,
      anon_sym_SQUOTE,
    STATE(1258), 1,
      aux_sym_string_repeat2,
    ACTIONS(2879), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [47682] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2877), 1,
      anon_sym_DQUOTE,
    STATE(1257), 1,
      aux_sym_string_repeat1,
    ACTIONS(2881), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [47699] = 5,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    ACTIONS(2883), 1,
      sym_identifier,
    ACTIONS(2885), 1,
      anon_sym_STAR,
    STATE(1438), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47716] = 5,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    ACTIONS(2887), 1,
      sym_identifier,
    ACTIONS(2889), 1,
      anon_sym_STAR,
    STATE(1423), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47733] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2891), 1,
      sym__glimmer_template_content,
    ACTIONS(2893), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(501), 1,
      sym_glimmer_closing_tag,
    STATE(1229), 1,
      aux_sym_glimmer_template_repeat1,
  [47752] = 5,
    ACTIONS(2851), 1,
      anon_sym_LBRACE,
    ACTIONS(2853), 1,
      anon_sym_extends,
    STATE(315), 1,
      sym_class_body,
    STATE(1527), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47769] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2895), 1,
      sym_html_character_reference,
    ACTIONS(2897), 1,
      anon_sym_SQUOTE,
    ACTIONS(2899), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(1196), 1,
      aux_sym__jsx_string_repeat2,
  [47788] = 5,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      sym_identifier,
    ACTIONS(2903), 1,
      anon_sym_STAR,
    STATE(1596), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47805] = 5,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2759), 1,
      anon_sym_class,
    STATE(943), 1,
      aux_sym_export_statement_repeat1,
    STATE(974), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47822] = 5,
    ACTIONS(2794), 1,
      anon_sym_LBRACE,
    ACTIONS(2853), 1,
      anon_sym_extends,
    STATE(573), 1,
      sym_class_body,
    STATE(1489), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47839] = 4,
    ACTIONS(2905), 1,
      anon_sym_COMMA,
    STATE(1260), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2907), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [47854] = 4,
    ACTIONS(2905), 1,
      anon_sym_COMMA,
    STATE(1262), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2909), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [47869] = 4,
    ACTIONS(2085), 1,
      anon_sym_COLON,
    ACTIONS(2087), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2911), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [47884] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2897), 1,
      anon_sym_DQUOTE,
    ACTIONS(2913), 1,
      sym_html_character_reference,
    ACTIONS(2915), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(1223), 1,
      aux_sym__jsx_string_repeat1,
  [47903] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2085), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2175), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [47916] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2917), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [47927] = 5,
    ACTIONS(2723), 1,
      anon_sym_LBRACE,
    ACTIONS(2853), 1,
      anon_sym_extends,
    STATE(705), 1,
      sym_class_body,
    STATE(1411), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47944] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2857), 1,
      anon_sym_DQUOTE,
    ACTIONS(2919), 1,
      sym_html_character_reference,
    ACTIONS(2921), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(1243), 1,
      aux_sym__jsx_string_repeat1,
  [47963] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2923), 1,
      anon_sym_DQUOTE,
    STATE(1224), 1,
      aux_sym_string_repeat1,
    ACTIONS(2925), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [47980] = 5,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    ACTIONS(2928), 1,
      sym_identifier,
    ACTIONS(2930), 1,
      anon_sym_STAR,
    STATE(1438), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47997] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2932), 1,
      anon_sym_SQUOTE,
    STATE(1226), 1,
      aux_sym_string_repeat2,
    ACTIONS(2934), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [48014] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2937), 1,
      anon_sym_DQUOTE,
    STATE(1224), 1,
      aux_sym_string_repeat1,
    ACTIONS(2863), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [48031] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2937), 1,
      anon_sym_SQUOTE,
    STATE(1226), 1,
      aux_sym_string_repeat2,
    ACTIONS(2865), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [48048] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2893), 1,
      anon_sym_LT_SLASHtemplate_GT,
    ACTIONS(2939), 1,
      sym__glimmer_template_content,
    STATE(543), 1,
      sym_glimmer_closing_tag,
    STATE(1295), 1,
      aux_sym_glimmer_template_repeat1,
  [48067] = 5,
    ACTIONS(2941), 1,
      anon_sym_with,
    ACTIONS(2943), 1,
      anon_sym_SEMI,
    ACTIONS(2945), 1,
      sym__automatic_semicolon,
    STATE(1577), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48084] = 5,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    ACTIONS(2947), 1,
      sym_identifier,
    ACTIONS(2949), 1,
      anon_sym_STAR,
    STATE(1596), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48101] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2085), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [48112] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2939), 1,
      sym__glimmer_template_content,
    ACTIONS(2951), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(757), 1,
      sym_glimmer_closing_tag,
    STATE(1295), 1,
      aux_sym_glimmer_template_repeat1,
  [48131] = 5,
    ACTIONS(2853), 1,
      anon_sym_extends,
    ACTIONS(2953), 1,
      anon_sym_LBRACE,
    STATE(73), 1,
      sym_class_body,
    STATE(1542), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48148] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2955), 1,
      sym_html_character_reference,
    ACTIONS(2958), 1,
      anon_sym_SQUOTE,
    ACTIONS(2960), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(1235), 1,
      aux_sym__jsx_string_repeat2,
  [48167] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2951), 1,
      anon_sym_LT_SLASHtemplate_GT,
    ACTIONS(2963), 1,
      sym__glimmer_template_content,
    STATE(712), 1,
      sym_glimmer_closing_tag,
    STATE(1233), 1,
      aux_sym_glimmer_template_repeat1,
  [48186] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1723), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [48197] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2965), 1,
      anon_sym_SQUOTE,
    STATE(1226), 1,
      aux_sym_string_repeat2,
    ACTIONS(2865), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [48214] = 5,
    ACTIONS(2723), 1,
      anon_sym_LBRACE,
    ACTIONS(2853), 1,
      anon_sym_extends,
    STATE(747), 1,
      sym_class_body,
    STATE(1404), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48231] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2965), 1,
      anon_sym_DQUOTE,
    STATE(1224), 1,
      aux_sym_string_repeat1,
    ACTIONS(2863), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [48248] = 4,
    ACTIONS(2967), 1,
      anon_sym_COMMA,
    STATE(1241), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2970), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [48263] = 5,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2972), 1,
      anon_sym_class,
    STATE(943), 1,
      aux_sym_export_statement_repeat1,
    STATE(974), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48280] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2974), 1,
      sym_html_character_reference,
    ACTIONS(2977), 1,
      anon_sym_DQUOTE,
    ACTIONS(2979), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(1243), 1,
      aux_sym__jsx_string_repeat1,
  [48299] = 5,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2982), 1,
      anon_sym_class,
    STATE(943), 1,
      aux_sym_export_statement_repeat1,
    STATE(974), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48316] = 5,
    ACTIONS(2853), 1,
      anon_sym_extends,
    ACTIONS(2953), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym_class_body,
    STATE(1598), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48333] = 5,
    ACTIONS(2723), 1,
      anon_sym_LBRACE,
    ACTIONS(2853), 1,
      anon_sym_extends,
    STATE(743), 1,
      sym_class_body,
    STATE(1391), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48350] = 4,
    ACTIONS(2984), 1,
      anon_sym_COMMA,
    STATE(1247), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1497), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [48365] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1718), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [48376] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1728), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [48387] = 4,
    ACTIONS(2987), 1,
      anon_sym_from,
    STATE(1463), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2989), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [48402] = 5,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2991), 1,
      anon_sym_class,
    STATE(943), 1,
      aux_sym_export_statement_repeat1,
    STATE(974), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48419] = 4,
    ACTIONS(2941), 1,
      anon_sym_with,
    STATE(1484), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2993), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [48434] = 4,
    ACTIONS(1678), 1,
      anon_sym_COMMA,
    STATE(1247), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2681), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [48449] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2995), 1,
      anon_sym_SQUOTE,
    STATE(1238), 1,
      aux_sym_string_repeat2,
    ACTIONS(2997), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [48466] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2995), 1,
      anon_sym_DQUOTE,
    STATE(1240), 1,
      aux_sym_string_repeat1,
    ACTIONS(2999), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [48483] = 5,
    ACTIONS(2845), 1,
      anon_sym_EQ,
    ACTIONS(3001), 1,
      anon_sym_COMMA,
    ACTIONS(3003), 1,
      anon_sym_RPAREN,
    STATE(1284), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48500] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3005), 1,
      anon_sym_DQUOTE,
    STATE(1224), 1,
      aux_sym_string_repeat1,
    ACTIONS(2863), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [48517] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3005), 1,
      anon_sym_SQUOTE,
    STATE(1226), 1,
      aux_sym_string_repeat2,
    ACTIONS(2865), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [48534] = 5,
    ACTIONS(673), 1,
      anon_sym_COMMA,
    ACTIONS(2845), 1,
      anon_sym_EQ,
    ACTIONS(3007), 1,
      anon_sym_RBRACK,
    STATE(1299), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48551] = 4,
    ACTIONS(2905), 1,
      anon_sym_COMMA,
    STATE(1241), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3009), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [48566] = 5,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2769), 1,
      anon_sym_class,
    STATE(943), 1,
      aux_sym_export_statement_repeat1,
    STATE(974), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48583] = 4,
    ACTIONS(2905), 1,
      anon_sym_COMMA,
    STATE(1241), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3011), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [48598] = 5,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    ACTIONS(3013), 1,
      sym_identifier,
    ACTIONS(3015), 1,
      anon_sym_STAR,
    STATE(1438), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48615] = 4,
    ACTIONS(3017), 1,
      anon_sym_COMMA,
    STATE(1264), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1736), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [48630] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2873), 1,
      anon_sym_LT_SLASHtemplate_GT,
    ACTIONS(2939), 1,
      sym__glimmer_template_content,
    STATE(942), 1,
      sym_glimmer_closing_tag,
    STATE(1295), 1,
      aux_sym_glimmer_template_repeat1,
  [48649] = 4,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    ACTIONS(3020), 1,
      sym_identifier,
    STATE(1409), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48663] = 4,
    ACTIONS(673), 1,
      anon_sym_COMMA,
    ACTIONS(3022), 1,
      anon_sym_RBRACK,
    STATE(1270), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48677] = 4,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    ACTIONS(3026), 1,
      anon_sym_LPAREN,
    STATE(329), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48691] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1730), 1,
      anon_sym_RPAREN,
    STATE(1275), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48705] = 4,
    ACTIONS(3028), 1,
      anon_sym_COMMA,
    ACTIONS(3031), 1,
      anon_sym_RBRACK,
    STATE(1270), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48719] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1730), 1,
      anon_sym_RPAREN,
    STATE(1264), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48733] = 4,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(3033), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48747] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1711), 1,
      anon_sym_RBRACK,
    STATE(1264), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48761] = 4,
    ACTIONS(3035), 1,
      anon_sym_COMMA,
    ACTIONS(3038), 1,
      anon_sym_RBRACE,
    STATE(1274), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48775] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(3040), 1,
      anon_sym_RPAREN,
    STATE(1264), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48789] = 4,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(3042), 1,
      anon_sym_RBRACE,
    STATE(1274), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48803] = 4,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(3044), 1,
      anon_sym_RBRACE,
    STATE(1274), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48817] = 4,
    ACTIONS(2069), 1,
      anon_sym_COMMA,
    ACTIONS(3046), 1,
      anon_sym_RBRACE,
    STATE(1292), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48831] = 4,
    ACTIONS(3001), 1,
      anon_sym_COMMA,
    ACTIONS(3003), 1,
      anon_sym_RPAREN,
    STATE(1284), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48845] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1711), 1,
      anon_sym_RBRACK,
    STATE(1338), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48859] = 4,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(3048), 1,
      anon_sym_RBRACE,
    STATE(1274), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48873] = 3,
    ACTIONS(2773), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1274), 2,
      anon_sym_in,
      anon_sym_of,
  [48885] = 4,
    ACTIONS(2580), 1,
      anon_sym_RBRACE,
    ACTIONS(3050), 1,
      anon_sym_COMMA,
    STATE(1297), 1,
      aux_sym_named_imports_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48899] = 4,
    ACTIONS(717), 1,
      anon_sym_RPAREN,
    ACTIONS(3052), 1,
      anon_sym_COMMA,
    STATE(1322), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48913] = 4,
    ACTIONS(3054), 1,
      anon_sym_COMMA,
    ACTIONS(3057), 1,
      anon_sym_RBRACE,
    STATE(1285), 1,
      aux_sym_export_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48927] = 4,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    ACTIONS(3059), 1,
      sym_identifier,
    STATE(1361), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48941] = 4,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    ACTIONS(3061), 1,
      anon_sym_COLON,
    STATE(1498), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48955] = 4,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(3048), 1,
      anon_sym_RBRACE,
    STATE(1320), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48969] = 4,
    ACTIONS(2069), 1,
      anon_sym_COMMA,
    ACTIONS(3046), 1,
      anon_sym_RBRACE,
    STATE(1324), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48983] = 4,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    ACTIONS(3063), 1,
      sym_identifier,
    STATE(1361), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48997] = 3,
    ACTIONS(1651), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1808), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [49009] = 4,
    ACTIONS(3065), 1,
      anon_sym_COMMA,
    ACTIONS(3068), 1,
      anon_sym_RBRACE,
    STATE(1292), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49023] = 4,
    ACTIONS(2069), 1,
      anon_sym_COMMA,
    ACTIONS(3070), 1,
      anon_sym_RBRACE,
    STATE(1292), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49037] = 4,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(3072), 1,
      anon_sym_RBRACE,
    STATE(1274), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49051] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3074), 1,
      sym__glimmer_template_content,
    ACTIONS(3077), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1295), 1,
      aux_sym_glimmer_template_repeat1,
  [49067] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(3079), 1,
      anon_sym_RPAREN,
    STATE(1264), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49081] = 4,
    ACTIONS(3081), 1,
      anon_sym_COMMA,
    ACTIONS(3084), 1,
      anon_sym_RBRACE,
    STATE(1297), 1,
      aux_sym_named_imports_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49095] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2970), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [49105] = 4,
    ACTIONS(673), 1,
      anon_sym_COMMA,
    ACTIONS(3086), 1,
      anon_sym_RBRACK,
    STATE(1270), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49119] = 4,
    ACTIONS(2987), 1,
      anon_sym_from,
    ACTIONS(3088), 1,
      anon_sym_as,
    STATE(1445), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49133] = 3,
    ACTIONS(3090), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3092), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [49145] = 4,
    ACTIONS(2069), 1,
      anon_sym_COMMA,
    ACTIONS(3094), 1,
      anon_sym_RBRACE,
    STATE(1292), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49159] = 4,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(3072), 1,
      anon_sym_RBRACE,
    STATE(1326), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49173] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2781), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [49183] = 4,
    ACTIONS(3096), 1,
      anon_sym_COMMA,
    ACTIONS(3098), 1,
      anon_sym_RBRACE,
    STATE(1283), 1,
      aux_sym_named_imports_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49197] = 4,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(3100), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49211] = 4,
    ACTIONS(979), 1,
      anon_sym_while,
    ACTIONS(3102), 1,
      anon_sym_else,
    STATE(380), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49225] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1732), 1,
      anon_sym_RPAREN,
    STATE(1264), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49239] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3104), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [49249] = 4,
    ACTIONS(2069), 1,
      anon_sym_COMMA,
    ACTIONS(3070), 1,
      anon_sym_RBRACE,
    STATE(1327), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49263] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1732), 1,
      anon_sym_RPAREN,
    STATE(1296), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49277] = 4,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(3106), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49291] = 4,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    ACTIONS(3108), 1,
      sym_identifier,
    STATE(1560), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49305] = 4,
    ACTIONS(2761), 1,
      sym_identifier,
    ACTIONS(2763), 1,
      anon_sym_LBRACK,
    ACTIONS(2765), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49319] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(3110), 1,
      anon_sym_RBRACK,
    STATE(1264), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49333] = 3,
    ACTIONS(2845), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3112), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [49345] = 4,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    ACTIONS(3114), 1,
      anon_sym_COLON,
    STATE(1498), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49359] = 3,
    ACTIONS(2845), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3116), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [49371] = 4,
    ACTIONS(1964), 1,
      anon_sym_DQUOTE,
    ACTIONS(1966), 1,
      anon_sym_SQUOTE,
    STATE(1339), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49385] = 4,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(3118), 1,
      anon_sym_RBRACE,
    STATE(1274), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49399] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1705), 1,
      anon_sym_RPAREN,
    STATE(1264), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49413] = 4,
    ACTIONS(3116), 1,
      anon_sym_RPAREN,
    ACTIONS(3120), 1,
      anon_sym_COMMA,
    STATE(1322), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49427] = 4,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    ACTIONS(3123), 1,
      sym_identifier,
    STATE(1422), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49441] = 4,
    ACTIONS(2069), 1,
      anon_sym_COMMA,
    ACTIONS(3125), 1,
      anon_sym_RBRACE,
    STATE(1292), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49455] = 4,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    ACTIONS(3127), 1,
      sym_identifier,
    STATE(1560), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49469] = 4,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(3129), 1,
      anon_sym_RBRACE,
    STATE(1274), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49483] = 4,
    ACTIONS(2069), 1,
      anon_sym_COMMA,
    ACTIONS(3131), 1,
      anon_sym_RBRACE,
    STATE(1292), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49497] = 4,
    ACTIONS(2069), 1,
      anon_sym_COMMA,
    ACTIONS(3133), 1,
      anon_sym_RBRACE,
    STATE(1292), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49511] = 4,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    ACTIONS(3135), 1,
      sym_identifier,
    STATE(1361), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49525] = 4,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(3137), 1,
      anon_sym_RBRACE,
    STATE(1274), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49539] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3139), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [49549] = 4,
    ACTIONS(3141), 1,
      anon_sym_COMMA,
    ACTIONS(3143), 1,
      anon_sym_RBRACE,
    STATE(1335), 1,
      aux_sym_export_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49563] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(3145), 1,
      anon_sym_RPAREN,
    STATE(1264), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49577] = 4,
    ACTIONS(3147), 1,
      sym_identifier,
    STATE(926), 1,
      sym_decorator_member_expression,
    STATE(962), 1,
      sym_decorator_call_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49591] = 4,
    ACTIONS(2602), 1,
      anon_sym_RBRACE,
    ACTIONS(3149), 1,
      anon_sym_COMMA,
    STATE(1285), 1,
      aux_sym_export_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49605] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3151), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [49615] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3153), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [49625] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(3155), 1,
      anon_sym_RBRACK,
    STATE(1264), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49639] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3157), 3,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_SEMI,
  [49649] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1705), 1,
      anon_sym_RPAREN,
    STATE(1333), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49663] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1736), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [49673] = 4,
    ACTIONS(2699), 1,
      sym_identifier,
    ACTIONS(2701), 1,
      anon_sym_LBRACK,
    ACTIONS(2703), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49687] = 4,
    ACTIONS(3159), 1,
      anon_sym_LPAREN,
    ACTIONS(3161), 1,
      anon_sym_await,
    STATE(38), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49701] = 4,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(3163), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49715] = 3,
    ACTIONS(3165), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3167), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [49727] = 4,
    ACTIONS(673), 1,
      anon_sym_COMMA,
    ACTIONS(2847), 1,
      anon_sym_RBRACK,
    STATE(1270), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49741] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1738), 1,
      anon_sym_RBRACK,
    STATE(1264), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49755] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1738), 1,
      anon_sym_RBRACK,
    STATE(1315), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49769] = 4,
    ACTIONS(673), 1,
      anon_sym_COMMA,
    ACTIONS(2847), 1,
      anon_sym_RBRACK,
    STATE(1267), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49783] = 3,
    ACTIONS(3169), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3171), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [49795] = 3,
    ACTIONS(3173), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3175), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [49807] = 4,
    ACTIONS(3177), 1,
      anon_sym_LPAREN,
    ACTIONS(3179), 1,
      anon_sym_await,
    STATE(37), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49821] = 4,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(3181), 1,
      anon_sym_RBRACE,
    STATE(1276), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49835] = 3,
    ACTIONS(3183), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1274), 2,
      anon_sym_in,
      anon_sym_of,
  [49847] = 4,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(3181), 1,
      anon_sym_RBRACE,
    STATE(1274), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49861] = 4,
    ACTIONS(673), 1,
      anon_sym_COMMA,
    ACTIONS(3007), 1,
      anon_sym_RBRACK,
    STATE(1270), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49875] = 4,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    ACTIONS(3185), 1,
      sym_identifier,
    STATE(1560), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49889] = 4,
    ACTIONS(673), 1,
      anon_sym_COMMA,
    ACTIONS(3007), 1,
      anon_sym_RBRACK,
    STATE(1299), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49903] = 3,
    ACTIONS(2845), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3031), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [49915] = 4,
    ACTIONS(2043), 1,
      anon_sym_COMMA,
    ACTIONS(3187), 1,
      anon_sym_RBRACE,
    STATE(1274), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49929] = 3,
    ACTIONS(3189), 1,
      anon_sym_LBRACE,
    STATE(667), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49940] = 3,
    ACTIONS(3191), 1,
      anon_sym_LBRACE,
    STATE(326), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49951] = 3,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(28), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49962] = 3,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(1415), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49973] = 3,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(42), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49984] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(291), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49995] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(911), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50006] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(913), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50017] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(916), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50028] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3195), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3197), 2,
      sym__glimmer_template_content,
      anon_sym_LT_SLASHtemplate_GT,
  [50048] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1680), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50057] = 3,
    ACTIONS(3199), 1,
      sym_identifier,
    ACTIONS(3201), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50068] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(917), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50079] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(918), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50090] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(919), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50101] = 3,
    ACTIONS(3189), 1,
      anon_sym_LBRACE,
    STATE(728), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50112] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(915), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50123] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(921), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50134] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(912), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50145] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(907), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50156] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(901), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50167] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(900), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50178] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(908), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50189] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(923), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50200] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(924), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50211] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(929), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50222] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(930), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50233] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(931), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50244] = 3,
    ACTIONS(3189), 1,
      anon_sym_LBRACE,
    STATE(731), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50255] = 3,
    ACTIONS(2723), 1,
      anon_sym_LBRACE,
    STATE(655), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50266] = 3,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(3033), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50277] = 3,
    ACTIONS(3189), 1,
      anon_sym_LBRACE,
    STATE(735), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50288] = 3,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(3033), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50299] = 3,
    ACTIONS(2987), 1,
      anon_sym_from,
    STATE(1461), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50310] = 3,
    ACTIONS(3189), 1,
      anon_sym_LBRACE,
    STATE(736), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50321] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(922), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50332] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(895), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50343] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(914), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50354] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(909), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50365] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(899), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50376] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(898), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50387] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(897), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50398] = 3,
    ACTIONS(2723), 1,
      anon_sym_LBRACE,
    STATE(738), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50409] = 3,
    ACTIONS(3203), 1,
      anon_sym_COMMA,
    ACTIONS(3205), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50420] = 3,
    ACTIONS(3189), 1,
      anon_sym_LBRACE,
    STATE(740), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50431] = 3,
    ACTIONS(2987), 1,
      anon_sym_from,
    STATE(1230), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50442] = 3,
    ACTIONS(3189), 1,
      anon_sym_LBRACE,
    STATE(741), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50453] = 3,
    ACTIONS(3207), 1,
      anon_sym_LBRACE,
    STATE(570), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50464] = 3,
    ACTIONS(3189), 1,
      anon_sym_LBRACE,
    STATE(744), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50475] = 3,
    ACTIONS(2723), 1,
      anon_sym_LBRACE,
    STATE(745), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50486] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(910), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50497] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(925), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50508] = 3,
    ACTIONS(2794), 1,
      anon_sym_LBRACE,
    STATE(569), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50519] = 3,
    ACTIONS(3209), 1,
      anon_sym_LBRACE,
    STATE(348), 1,
      sym_switch_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50530] = 3,
    ACTIONS(3211), 1,
      anon_sym_LPAREN,
    STATE(41), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50541] = 3,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(3100), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50552] = 3,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(3100), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50563] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3213), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [50572] = 3,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(32), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50583] = 3,
    ACTIONS(3189), 1,
      anon_sym_LBRACE,
    STATE(752), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50594] = 3,
    ACTIONS(3207), 1,
      anon_sym_LBRACE,
    STATE(565), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50605] = 3,
    ACTIONS(3207), 1,
      anon_sym_LBRACE,
    STATE(561), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50616] = 3,
    ACTIONS(2723), 1,
      anon_sym_LBRACE,
    STATE(727), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50627] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(906), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50638] = 3,
    ACTIONS(2699), 1,
      sym_identifier,
    ACTIONS(2703), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50649] = 3,
    ACTIONS(3215), 1,
      sym_identifier,
    ACTIONS(3217), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50660] = 3,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(3163), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50671] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3219), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50680] = 3,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(3163), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50691] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3221), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50700] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1689), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50709] = 3,
    ACTIONS(3207), 1,
      anon_sym_LBRACE,
    STATE(516), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50720] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1691), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50729] = 3,
    ACTIONS(2723), 1,
      anon_sym_LBRACE,
    STATE(700), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50740] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1594), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50751] = 3,
    ACTIONS(2794), 1,
      anon_sym_LBRACE,
    STATE(515), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50762] = 3,
    ACTIONS(3189), 1,
      anon_sym_LBRACE,
    STATE(686), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50773] = 3,
    ACTIONS(3223), 1,
      sym_identifier,
    ACTIONS(3225), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50784] = 3,
    ACTIONS(2761), 1,
      sym_identifier,
    ACTIONS(2765), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50795] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1433), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50804] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1531), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50813] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1527), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50822] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(923), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50833] = 3,
    ACTIONS(3227), 1,
      anon_sym_SEMI,
    ACTIONS(3229), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50844] = 3,
    ACTIONS(3231), 1,
      sym_identifier,
    ACTIONS(3233), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50855] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(911), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50866] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(913), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50877] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(916), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50888] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(917), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50899] = 3,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(43), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50910] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(918), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50921] = 3,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(44), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50932] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(919), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50943] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3235), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50952] = 3,
    ACTIONS(3193), 1,
      anon_sym_LPAREN,
    STATE(36), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50963] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(335), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50974] = 3,
    ACTIONS(3207), 1,
      anon_sym_LBRACE,
    STATE(508), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50985] = 3,
    ACTIONS(2783), 1,
      anon_sym_in,
    ACTIONS(2785), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50996] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1587), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51007] = 3,
    ACTIONS(3237), 1,
      anon_sym_SEMI,
    ACTIONS(3239), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51018] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1331), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51027] = 3,
    ACTIONS(3241), 1,
      anon_sym_SEMI,
    ACTIONS(3243), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51038] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(915), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51049] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(921), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51060] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(912), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51071] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1447), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51082] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1448), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51093] = 3,
    ACTIONS(3211), 1,
      anon_sym_LPAREN,
    STATE(40), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51104] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1449), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51115] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(907), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51126] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(901), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51137] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(900), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51148] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(908), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51159] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1450), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51170] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1421), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51181] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1452), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51192] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1454), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51203] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1586), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51214] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(924), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51225] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(929), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51236] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(930), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51247] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(931), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51258] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3245), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51267] = 3,
    ACTIONS(3247), 1,
      anon_sym_LBRACE,
    STATE(64), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51278] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3249), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51287] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3251), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51296] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3068), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51305] = 3,
    ACTIONS(2794), 1,
      anon_sym_LBRACE,
    STATE(527), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51316] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3253), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [51325] = 3,
    ACTIONS(3207), 1,
      anon_sym_LBRACE,
    STATE(528), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51336] = 3,
    ACTIONS(3207), 1,
      anon_sym_LBRACE,
    STATE(529), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51347] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1458), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51358] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2592), 2,
      anon_sym_in,
      anon_sym_of,
  [51367] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3038), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51376] = 3,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(2311), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51387] = 3,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(3255), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51398] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(906), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51409] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(528), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51418] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1413), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51429] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3084), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51438] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1578), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51449] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3257), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51458] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(922), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51469] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1410), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51480] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(895), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51491] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(914), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51502] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1408), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51513] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1464), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51524] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1465), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51535] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1406), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51546] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1466), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51557] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1471), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51568] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(909), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51579] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1472), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51590] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1473), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51601] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1474), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51612] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1444), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51623] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(899), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51634] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1480), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51645] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1481), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51656] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1482), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51667] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(898), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51678] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1483), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51689] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(897), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51700] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1803), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [51709] = 3,
    ACTIONS(2851), 1,
      anon_sym_LBRACE,
    STATE(313), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51720] = 3,
    ACTIONS(3191), 1,
      anon_sym_LBRACE,
    STATE(319), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51731] = 3,
    ACTIONS(3191), 1,
      anon_sym_LBRACE,
    STATE(325), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51742] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1403), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51753] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1402), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51764] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1401), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51775] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1399), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51786] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1398), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51797] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1397), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51808] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1362), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51819] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51828] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1396), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51839] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1393), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51850] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3057), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51859] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1390), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51870] = 3,
    ACTIONS(2953), 1,
      anon_sym_LBRACE,
    STATE(65), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51881] = 3,
    ACTIONS(2099), 1,
      anon_sym_LBRACE,
    STATE(933), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51892] = 3,
    ACTIONS(3247), 1,
      anon_sym_LBRACE,
    STATE(72), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51903] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1389), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51914] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1388), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51925] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1387), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51936] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1386), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51947] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1385), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51958] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1384), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51969] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1383), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51980] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1382), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51991] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1381), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52002] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1380), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52013] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1379), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52024] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1378), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52035] = 3,
    ACTIONS(3247), 1,
      anon_sym_LBRACE,
    STATE(70), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52046] = 3,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(1576), 1,
      sym_object,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52057] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1377), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52068] = 3,
    ACTIONS(3189), 1,
      anon_sym_LBRACE,
    STATE(748), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52079] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1376), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52090] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1375), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52101] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1374), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52112] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1369), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52123] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1368), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52134] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1367), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52145] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1485), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52156] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3263), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [52165] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3112), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [52174] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3116), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [52183] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3265), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [52192] = 3,
    ACTIONS(3207), 1,
      anon_sym_LBRACE,
    STATE(574), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52203] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1491), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52214] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1492), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52225] = 3,
    ACTIONS(2794), 1,
      anon_sym_LBRACE,
    STATE(576), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52236] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3267), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [52245] = 3,
    ACTIONS(3269), 1,
      anon_sym_SEMI,
    ACTIONS(3271), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52256] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(910), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52267] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1504), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52278] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1506), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52289] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1507), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52300] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1514), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52311] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1519), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52322] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1523), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52333] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1525), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52344] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(925), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52355] = 3,
    ACTIONS(3191), 1,
      anon_sym_LBRACE,
    STATE(321), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52366] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1528), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52377] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1529), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52388] = 3,
    ACTIONS(2851), 1,
      anon_sym_LBRACE,
    STATE(317), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52399] = 3,
    ACTIONS(2723), 1,
      anon_sym_LBRACE,
    STATE(680), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52410] = 3,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(3106), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52421] = 3,
    ACTIONS(2483), 1,
      anon_sym_COLON,
    ACTIONS(3106), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52432] = 3,
    ACTIONS(3247), 1,
      anon_sym_LBRACE,
    STATE(60), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52443] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1544), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52454] = 3,
    ACTIONS(3189), 1,
      anon_sym_LBRACE,
    STATE(664), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52465] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1557), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52476] = 3,
    ACTIONS(2953), 1,
      anon_sym_LBRACE,
    STATE(67), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52487] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3273), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [52496] = 3,
    ACTIONS(3275), 1,
      sym_identifier,
    ACTIONS(3277), 1,
      sym_jsx_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52507] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3031), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [52516] = 3,
    ACTIONS(3024), 1,
      anon_sym_LBRACE,
    STATE(399), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52527] = 3,
    ACTIONS(3279), 1,
      anon_sym_LPAREN,
    STATE(314), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52538] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3281), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [52547] = 3,
    ACTIONS(2638), 1,
      anon_sym_LPAREN,
    STATE(1572), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52558] = 2,
    ACTIONS(3283), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52566] = 2,
    ACTIONS(3285), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52574] = 2,
    ACTIONS(3106), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52582] = 2,
    ACTIONS(3287), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52590] = 2,
    ACTIONS(3289), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52598] = 2,
    ACTIONS(1734), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52606] = 2,
    ACTIONS(1699), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52614] = 2,
    ACTIONS(3291), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52622] = 2,
    ACTIONS(1709), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52630] = 2,
    ACTIONS(3293), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52638] = 2,
    ACTIONS(3295), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52646] = 2,
    ACTIONS(3297), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52654] = 2,
    ACTIONS(1617), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52662] = 2,
    ACTIONS(3299), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52670] = 2,
    ACTIONS(3301), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52678] = 2,
    ACTIONS(2085), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3303), 1,
      sym_regex_pattern,
  [52696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3305), 1,
      sym_regex_pattern,
  [52706] = 2,
    ACTIONS(3307), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52714] = 2,
    ACTIONS(3309), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52722] = 2,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52730] = 2,
    ACTIONS(3313), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52738] = 2,
    ACTIONS(3315), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52746] = 2,
    ACTIONS(3317), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52754] = 2,
    ACTIONS(1752), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52762] = 2,
    ACTIONS(3319), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52770] = 2,
    ACTIONS(3321), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52778] = 2,
    ACTIONS(3098), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52786] = 2,
    ACTIONS(3323), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52794] = 2,
    ACTIONS(1703), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52802] = 2,
    ACTIONS(3325), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52810] = 2,
    ACTIONS(1740), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52818] = 2,
    ACTIONS(1742), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52826] = 2,
    ACTIONS(1748), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52834] = 2,
    ACTIONS(3327), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52842] = 2,
    ACTIONS(1782), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52850] = 2,
    ACTIONS(3329), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52858] = 2,
    ACTIONS(3331), 1,
      anon_sym_while,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52866] = 2,
    ACTIONS(3333), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52874] = 2,
    ACTIONS(1707), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52882] = 2,
    ACTIONS(3335), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52890] = 2,
    ACTIONS(1713), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52898] = 2,
    ACTIONS(3337), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3339), 1,
      sym_regex_pattern,
  [52916] = 2,
    ACTIONS(3143), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52924] = 2,
    ACTIONS(3341), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52932] = 2,
    ACTIONS(3343), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52940] = 2,
    ACTIONS(2773), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3345), 1,
      anon_sym_SLASH2,
  [52958] = 2,
    ACTIONS(3347), 1,
      anon_sym_target,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52966] = 2,
    ACTIONS(3349), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52974] = 2,
    ACTIONS(1387), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52982] = 2,
    ACTIONS(3351), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52990] = 2,
    ACTIONS(3255), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52998] = 2,
    ACTIONS(2311), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53006] = 2,
    ACTIONS(3353), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53014] = 2,
    ACTIONS(3355), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53022] = 2,
    ACTIONS(3357), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53030] = 2,
    ACTIONS(3359), 1,
      anon_sym_target,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53038] = 2,
    ACTIONS(3163), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3361), 1,
      anon_sym_SLASH2,
  [53056] = 2,
    ACTIONS(1760), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53064] = 2,
    ACTIONS(1754), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53072] = 2,
    ACTIONS(1756), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3363), 1,
      anon_sym_SLASH2,
  [53090] = 2,
    ACTIONS(3205), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53098] = 2,
    ACTIONS(3100), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53106] = 2,
    ACTIONS(1762), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53114] = 2,
    ACTIONS(3365), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53122] = 2,
    ACTIONS(3367), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53130] = 2,
    ACTIONS(1750), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53138] = 2,
    ACTIONS(3033), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53146] = 2,
    ACTIONS(1836), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53154] = 2,
    ACTIONS(3369), 1,
      anon_sym_function,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53162] = 2,
    ACTIONS(3371), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53170] = 2,
    ACTIONS(3373), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53178] = 2,
    ACTIONS(3375), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53186] = 2,
    ACTIONS(3377), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53194] = 2,
    ACTIONS(3379), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53202] = 2,
    ACTIONS(3381), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3383), 1,
      anon_sym_SLASH2,
  [53220] = 2,
    ACTIONS(3183), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53228] = 2,
    ACTIONS(3385), 1,
      ts_builtin_sym_end,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53236] = 2,
    ACTIONS(1651), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3387), 1,
      sym_regex_pattern,
  [53254] = 2,
    ACTIONS(3389), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53262] = 2,
    ACTIONS(3391), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53270] = 2,
    ACTIONS(3393), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53278] = 2,
    ACTIONS(1758), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53286] = 2,
    ACTIONS(1701), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53294] = 2,
    ACTIONS(2835), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53302] = 2,
    ACTIONS(3395), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(311)] = 0,
  [SMALL_STATE(312)] = 75,
  [SMALL_STATE(313)] = 164,
  [SMALL_STATE(314)] = 236,
  [SMALL_STATE(315)] = 308,
  [SMALL_STATE(316)] = 380,
  [SMALL_STATE(317)] = 466,
  [SMALL_STATE(318)] = 538,
  [SMALL_STATE(319)] = 608,
  [SMALL_STATE(320)] = 680,
  [SMALL_STATE(321)] = 770,
  [SMALL_STATE(322)] = 842,
  [SMALL_STATE(323)] = 912,
  [SMALL_STATE(324)] = 982,
  [SMALL_STATE(325)] = 1052,
  [SMALL_STATE(326)] = 1124,
  [SMALL_STATE(327)] = 1196,
  [SMALL_STATE(328)] = 1266,
  [SMALL_STATE(329)] = 1338,
  [SMALL_STATE(330)] = 1408,
  [SMALL_STATE(331)] = 1494,
  [SMALL_STATE(332)] = 1564,
  [SMALL_STATE(333)] = 1636,
  [SMALL_STATE(334)] = 1708,
  [SMALL_STATE(335)] = 1782,
  [SMALL_STATE(336)] = 1852,
  [SMALL_STATE(337)] = 1922,
  [SMALL_STATE(338)] = 2008,
  [SMALL_STATE(339)] = 2077,
  [SMALL_STATE(340)] = 2146,
  [SMALL_STATE(341)] = 2215,
  [SMALL_STATE(342)] = 2284,
  [SMALL_STATE(343)] = 2353,
  [SMALL_STATE(344)] = 2442,
  [SMALL_STATE(345)] = 2511,
  [SMALL_STATE(346)] = 2580,
  [SMALL_STATE(347)] = 2649,
  [SMALL_STATE(348)] = 2718,
  [SMALL_STATE(349)] = 2787,
  [SMALL_STATE(350)] = 2856,
  [SMALL_STATE(351)] = 2925,
  [SMALL_STATE(352)] = 3014,
  [SMALL_STATE(353)] = 3083,
  [SMALL_STATE(354)] = 3152,
  [SMALL_STATE(355)] = 3221,
  [SMALL_STATE(356)] = 3290,
  [SMALL_STATE(357)] = 3359,
  [SMALL_STATE(358)] = 3428,
  [SMALL_STATE(359)] = 3497,
  [SMALL_STATE(360)] = 3566,
  [SMALL_STATE(361)] = 3635,
  [SMALL_STATE(362)] = 3704,
  [SMALL_STATE(363)] = 3773,
  [SMALL_STATE(364)] = 3860,
  [SMALL_STATE(365)] = 3947,
  [SMALL_STATE(366)] = 4016,
  [SMALL_STATE(367)] = 4085,
  [SMALL_STATE(368)] = 4154,
  [SMALL_STATE(369)] = 4223,
  [SMALL_STATE(370)] = 4292,
  [SMALL_STATE(371)] = 4361,
  [SMALL_STATE(372)] = 4430,
  [SMALL_STATE(373)] = 4499,
  [SMALL_STATE(374)] = 4568,
  [SMALL_STATE(375)] = 4637,
  [SMALL_STATE(376)] = 4706,
  [SMALL_STATE(377)] = 4775,
  [SMALL_STATE(378)] = 4844,
  [SMALL_STATE(379)] = 4913,
  [SMALL_STATE(380)] = 4982,
  [SMALL_STATE(381)] = 5051,
  [SMALL_STATE(382)] = 5120,
  [SMALL_STATE(383)] = 5189,
  [SMALL_STATE(384)] = 5258,
  [SMALL_STATE(385)] = 5343,
  [SMALL_STATE(386)] = 5412,
  [SMALL_STATE(387)] = 5481,
  [SMALL_STATE(388)] = 5566,
  [SMALL_STATE(389)] = 5635,
  [SMALL_STATE(390)] = 5704,
  [SMALL_STATE(391)] = 5773,
  [SMALL_STATE(392)] = 5842,
  [SMALL_STATE(393)] = 5911,
  [SMALL_STATE(394)] = 5980,
  [SMALL_STATE(395)] = 6049,
  [SMALL_STATE(396)] = 6118,
  [SMALL_STATE(397)] = 6187,
  [SMALL_STATE(398)] = 6256,
  [SMALL_STATE(399)] = 6325,
  [SMALL_STATE(400)] = 6394,
  [SMALL_STATE(401)] = 6463,
  [SMALL_STATE(402)] = 6532,
  [SMALL_STATE(403)] = 6615,
  [SMALL_STATE(404)] = 6697,
  [SMALL_STATE(405)] = 6779,
  [SMALL_STATE(406)] = 6861,
  [SMALL_STATE(407)] = 6930,
  [SMALL_STATE(408)] = 6995,
  [SMALL_STATE(409)] = 7060,
  [SMALL_STATE(410)] = 7125,
  [SMALL_STATE(411)] = 7190,
  [SMALL_STATE(412)] = 7273,
  [SMALL_STATE(413)] = 7338,
  [SMALL_STATE(414)] = 7403,
  [SMALL_STATE(415)] = 7468,
  [SMALL_STATE(416)] = 7532,
  [SMALL_STATE(417)] = 7596,
  [SMALL_STATE(418)] = 7666,
  [SMALL_STATE(419)] = 7736,
  [SMALL_STATE(420)] = 7806,
  [SMALL_STATE(421)] = 7870,
  [SMALL_STATE(422)] = 7940,
  [SMALL_STATE(423)] = 8004,
  [SMALL_STATE(424)] = 8068,
  [SMALL_STATE(425)] = 8132,
  [SMALL_STATE(426)] = 8196,
  [SMALL_STATE(427)] = 8260,
  [SMALL_STATE(428)] = 8327,
  [SMALL_STATE(429)] = 8394,
  [SMALL_STATE(430)] = 8463,
  [SMALL_STATE(431)] = 8534,
  [SMALL_STATE(432)] = 8597,
  [SMALL_STATE(433)] = 8668,
  [SMALL_STATE(434)] = 8737,
  [SMALL_STATE(435)] = 8800,
  [SMALL_STATE(436)] = 8869,
  [SMALL_STATE(437)] = 8932,
  [SMALL_STATE(438)] = 9001,
  [SMALL_STATE(439)] = 9072,
  [SMALL_STATE(440)] = 9145,
  [SMALL_STATE(441)] = 9216,
  [SMALL_STATE(442)] = 9287,
  [SMALL_STATE(443)] = 9358,
  [SMALL_STATE(444)] = 9429,
  [SMALL_STATE(445)] = 9498,
  [SMALL_STATE(446)] = 9561,
  [SMALL_STATE(447)] = 9624,
  [SMALL_STATE(448)] = 9687,
  [SMALL_STATE(449)] = 9750,
  [SMALL_STATE(450)] = 9819,
  [SMALL_STATE(451)] = 9892,
  [SMALL_STATE(452)] = 9961,
  [SMALL_STATE(453)] = 10032,
  [SMALL_STATE(454)] = 10101,
  [SMALL_STATE(455)] = 10172,
  [SMALL_STATE(456)] = 10243,
  [SMALL_STATE(457)] = 10311,
  [SMALL_STATE(458)] = 10377,
  [SMALL_STATE(459)] = 10447,
  [SMALL_STATE(460)] = 10515,
  [SMALL_STATE(461)] = 10585,
  [SMALL_STATE(462)] = 10653,
  [SMALL_STATE(463)] = 10723,
  [SMALL_STATE(464)] = 10789,
  [SMALL_STATE(465)] = 10860,
  [SMALL_STATE(466)] = 10927,
  [SMALL_STATE(467)] = 10994,
  [SMALL_STATE(468)] = 11065,
  [SMALL_STATE(469)] = 11132,
  [SMALL_STATE(470)] = 11198,
  [SMALL_STATE(471)] = 11264,
  [SMALL_STATE(472)] = 11330,
  [SMALL_STATE(473)] = 11398,
  [SMALL_STATE(474)] = 11464,
  [SMALL_STATE(475)] = 11534,
  [SMALL_STATE(476)] = 11604,
  [SMALL_STATE(477)] = 11671,
  [SMALL_STATE(478)] = 11734,
  [SMALL_STATE(479)] = 11797,
  [SMALL_STATE(480)] = 11862,
  [SMALL_STATE(481)] = 11927,
  [SMALL_STATE(482)] = 11982,
  [SMALL_STATE(483)] = 12034,
  [SMALL_STATE(484)] = 12086,
  [SMALL_STATE(485)] = 12138,
  [SMALL_STATE(486)] = 12192,
  [SMALL_STATE(487)] = 12246,
  [SMALL_STATE(488)] = 12300,
  [SMALL_STATE(489)] = 12360,
  [SMALL_STATE(490)] = 12414,
  [SMALL_STATE(491)] = 12463,
  [SMALL_STATE(492)] = 12512,
  [SMALL_STATE(493)] = 12561,
  [SMALL_STATE(494)] = 12656,
  [SMALL_STATE(495)] = 12705,
  [SMALL_STATE(496)] = 12754,
  [SMALL_STATE(497)] = 12803,
  [SMALL_STATE(498)] = 12858,
  [SMALL_STATE(499)] = 12907,
  [SMALL_STATE(500)] = 12956,
  [SMALL_STATE(501)] = 13005,
  [SMALL_STATE(502)] = 13054,
  [SMALL_STATE(503)] = 13103,
  [SMALL_STATE(504)] = 13198,
  [SMALL_STATE(505)] = 13247,
  [SMALL_STATE(506)] = 13342,
  [SMALL_STATE(507)] = 13391,
  [SMALL_STATE(508)] = 13440,
  [SMALL_STATE(509)] = 13489,
  [SMALL_STATE(510)] = 13540,
  [SMALL_STATE(511)] = 13591,
  [SMALL_STATE(512)] = 13686,
  [SMALL_STATE(513)] = 13735,
  [SMALL_STATE(514)] = 13784,
  [SMALL_STATE(515)] = 13833,
  [SMALL_STATE(516)] = 13882,
  [SMALL_STATE(517)] = 13931,
  [SMALL_STATE(518)] = 13980,
  [SMALL_STATE(519)] = 14029,
  [SMALL_STATE(520)] = 14080,
  [SMALL_STATE(521)] = 14129,
  [SMALL_STATE(522)] = 14224,
  [SMALL_STATE(523)] = 14273,
  [SMALL_STATE(524)] = 14368,
  [SMALL_STATE(525)] = 14443,
  [SMALL_STATE(526)] = 14492,
  [SMALL_STATE(527)] = 14553,
  [SMALL_STATE(528)] = 14602,
  [SMALL_STATE(529)] = 14651,
  [SMALL_STATE(530)] = 14700,
  [SMALL_STATE(531)] = 14765,
  [SMALL_STATE(532)] = 14860,
  [SMALL_STATE(533)] = 14947,
  [SMALL_STATE(534)] = 15036,
  [SMALL_STATE(535)] = 15107,
  [SMALL_STATE(536)] = 15190,
  [SMALL_STATE(537)] = 15275,
  [SMALL_STATE(538)] = 15362,
  [SMALL_STATE(539)] = 15431,
  [SMALL_STATE(540)] = 15496,
  [SMALL_STATE(541)] = 15575,
  [SMALL_STATE(542)] = 15666,
  [SMALL_STATE(543)] = 15715,
  [SMALL_STATE(544)] = 15764,
  [SMALL_STATE(545)] = 15813,
  [SMALL_STATE(546)] = 15862,
  [SMALL_STATE(547)] = 15957,
  [SMALL_STATE(548)] = 16006,
  [SMALL_STATE(549)] = 16101,
  [SMALL_STATE(550)] = 16150,
  [SMALL_STATE(551)] = 16199,
  [SMALL_STATE(552)] = 16248,
  [SMALL_STATE(553)] = 16297,
  [SMALL_STATE(554)] = 16346,
  [SMALL_STATE(555)] = 16395,
  [SMALL_STATE(556)] = 16444,
  [SMALL_STATE(557)] = 16493,
  [SMALL_STATE(558)] = 16542,
  [SMALL_STATE(559)] = 16591,
  [SMALL_STATE(560)] = 16640,
  [SMALL_STATE(561)] = 16735,
  [SMALL_STATE(562)] = 16784,
  [SMALL_STATE(563)] = 16879,
  [SMALL_STATE(564)] = 16928,
  [SMALL_STATE(565)] = 17023,
  [SMALL_STATE(566)] = 17072,
  [SMALL_STATE(567)] = 17121,
  [SMALL_STATE(568)] = 17170,
  [SMALL_STATE(569)] = 17219,
  [SMALL_STATE(570)] = 17268,
  [SMALL_STATE(571)] = 17317,
  [SMALL_STATE(572)] = 17366,
  [SMALL_STATE(573)] = 17461,
  [SMALL_STATE(574)] = 17510,
  [SMALL_STATE(575)] = 17559,
  [SMALL_STATE(576)] = 17608,
  [SMALL_STATE(577)] = 17657,
  [SMALL_STATE(578)] = 17706,
  [SMALL_STATE(579)] = 17755,
  [SMALL_STATE(580)] = 17804,
  [SMALL_STATE(581)] = 17853,
  [SMALL_STATE(582)] = 17916,
  [SMALL_STATE(583)] = 17979,
  [SMALL_STATE(584)] = 18028,
  [SMALL_STATE(585)] = 18102,
  [SMALL_STATE(586)] = 18196,
  [SMALL_STATE(587)] = 18290,
  [SMALL_STATE(588)] = 18340,
  [SMALL_STATE(589)] = 18434,
  [SMALL_STATE(590)] = 18528,
  [SMALL_STATE(591)] = 18582,
  [SMALL_STATE(592)] = 18632,
  [SMALL_STATE(593)] = 18726,
  [SMALL_STATE(594)] = 18824,
  [SMALL_STATE(595)] = 18874,
  [SMALL_STATE(596)] = 18968,
  [SMALL_STATE(597)] = 19062,
  [SMALL_STATE(598)] = 19160,
  [SMALL_STATE(599)] = 19258,
  [SMALL_STATE(600)] = 19322,
  [SMALL_STATE(601)] = 19420,
  [SMALL_STATE(602)] = 19516,
  [SMALL_STATE(603)] = 19610,
  [SMALL_STATE(604)] = 19704,
  [SMALL_STATE(605)] = 19756,
  [SMALL_STATE(606)] = 19850,
  [SMALL_STATE(607)] = 19908,
  [SMALL_STATE(608)] = 19998,
  [SMALL_STATE(609)] = 20076,
  [SMALL_STATE(610)] = 20140,
  [SMALL_STATE(611)] = 20208,
  [SMALL_STATE(612)] = 20294,
  [SMALL_STATE(613)] = 20378,
  [SMALL_STATE(614)] = 20426,
  [SMALL_STATE(615)] = 20508,
  [SMALL_STATE(616)] = 20560,
  [SMALL_STATE(617)] = 20610,
  [SMALL_STATE(618)] = 20704,
  [SMALL_STATE(619)] = 20754,
  [SMALL_STATE(620)] = 20836,
  [SMALL_STATE(621)] = 20906,
  [SMALL_STATE(622)] = 21004,
  [SMALL_STATE(623)] = 21078,
  [SMALL_STATE(624)] = 21128,
  [SMALL_STATE(625)] = 21226,
  [SMALL_STATE(626)] = 21314,
  [SMALL_STATE(627)] = 21400,
  [SMALL_STATE(628)] = 21494,
  [SMALL_STATE(629)] = 21542,
  [SMALL_STATE(630)] = 21612,
  [SMALL_STATE(631)] = 21706,
  [SMALL_STATE(632)] = 21800,
  [SMALL_STATE(633)] = 21888,
  [SMALL_STATE(634)] = 21982,
  [SMALL_STATE(635)] = 22032,
  [SMALL_STATE(636)] = 22126,
  [SMALL_STATE(637)] = 22220,
  [SMALL_STATE(638)] = 22314,
  [SMALL_STATE(639)] = 22408,
  [SMALL_STATE(640)] = 22502,
  [SMALL_STATE(641)] = 22566,
  [SMALL_STATE(642)] = 22656,
  [SMALL_STATE(643)] = 22750,
  [SMALL_STATE(644)] = 22828,
  [SMALL_STATE(645)] = 22922,
  [SMALL_STATE(646)] = 23016,
  [SMALL_STATE(647)] = 23066,
  [SMALL_STATE(648)] = 23152,
  [SMALL_STATE(649)] = 23216,
  [SMALL_STATE(650)] = 23284,
  [SMALL_STATE(651)] = 23378,
  [SMALL_STATE(652)] = 23472,
  [SMALL_STATE(653)] = 23566,
  [SMALL_STATE(654)] = 23652,
  [SMALL_STATE(655)] = 23736,
  [SMALL_STATE(656)] = 23783,
  [SMALL_STATE(657)] = 23832,
  [SMALL_STATE(658)] = 23879,
  [SMALL_STATE(659)] = 23976,
  [SMALL_STATE(660)] = 24073,
  [SMALL_STATE(661)] = 24170,
  [SMALL_STATE(662)] = 24217,
  [SMALL_STATE(663)] = 24264,
  [SMALL_STATE(664)] = 24361,
  [SMALL_STATE(665)] = 24408,
  [SMALL_STATE(666)] = 24455,
  [SMALL_STATE(667)] = 24502,
  [SMALL_STATE(668)] = 24549,
  [SMALL_STATE(669)] = 24600,
  [SMALL_STATE(670)] = 24647,
  [SMALL_STATE(671)] = 24744,
  [SMALL_STATE(672)] = 24791,
  [SMALL_STATE(673)] = 24838,
  [SMALL_STATE(674)] = 24885,
  [SMALL_STATE(675)] = 24978,
  [SMALL_STATE(676)] = 25075,
  [SMALL_STATE(677)] = 25122,
  [SMALL_STATE(678)] = 25219,
  [SMALL_STATE(679)] = 25266,
  [SMALL_STATE(680)] = 25315,
  [SMALL_STATE(681)] = 25362,
  [SMALL_STATE(682)] = 25459,
  [SMALL_STATE(683)] = 25506,
  [SMALL_STATE(684)] = 25553,
  [SMALL_STATE(685)] = 25600,
  [SMALL_STATE(686)] = 25647,
  [SMALL_STATE(687)] = 25694,
  [SMALL_STATE(688)] = 25741,
  [SMALL_STATE(689)] = 25788,
  [SMALL_STATE(690)] = 25841,
  [SMALL_STATE(691)] = 25888,
  [SMALL_STATE(692)] = 25985,
  [SMALL_STATE(693)] = 26034,
  [SMALL_STATE(694)] = 26087,
  [SMALL_STATE(695)] = 26140,
  [SMALL_STATE(696)] = 26193,
  [SMALL_STATE(697)] = 26246,
  [SMALL_STATE(698)] = 26295,
  [SMALL_STATE(699)] = 26346,
  [SMALL_STATE(700)] = 26397,
  [SMALL_STATE(701)] = 26444,
  [SMALL_STATE(702)] = 26495,
  [SMALL_STATE(703)] = 26592,
  [SMALL_STATE(704)] = 26689,
  [SMALL_STATE(705)] = 26736,
  [SMALL_STATE(706)] = 26783,
  [SMALL_STATE(707)] = 26830,
  [SMALL_STATE(708)] = 26927,
  [SMALL_STATE(709)] = 26974,
  [SMALL_STATE(710)] = 27021,
  [SMALL_STATE(711)] = 27068,
  [SMALL_STATE(712)] = 27119,
  [SMALL_STATE(713)] = 27166,
  [SMALL_STATE(714)] = 27259,
  [SMALL_STATE(715)] = 27356,
  [SMALL_STATE(716)] = 27453,
  [SMALL_STATE(717)] = 27500,
  [SMALL_STATE(718)] = 27547,
  [SMALL_STATE(719)] = 27594,
  [SMALL_STATE(720)] = 27691,
  [SMALL_STATE(721)] = 27788,
  [SMALL_STATE(722)] = 27885,
  [SMALL_STATE(723)] = 27932,
  [SMALL_STATE(724)] = 28029,
  [SMALL_STATE(725)] = 28076,
  [SMALL_STATE(726)] = 28173,
  [SMALL_STATE(727)] = 28270,
  [SMALL_STATE(728)] = 28321,
  [SMALL_STATE(729)] = 28368,
  [SMALL_STATE(730)] = 28415,
  [SMALL_STATE(731)] = 28512,
  [SMALL_STATE(732)] = 28563,
  [SMALL_STATE(733)] = 28610,
  [SMALL_STATE(734)] = 28661,
  [SMALL_STATE(735)] = 28758,
  [SMALL_STATE(736)] = 28805,
  [SMALL_STATE(737)] = 28852,
  [SMALL_STATE(738)] = 28899,
  [SMALL_STATE(739)] = 28950,
  [SMALL_STATE(740)] = 29047,
  [SMALL_STATE(741)] = 29098,
  [SMALL_STATE(742)] = 29149,
  [SMALL_STATE(743)] = 29246,
  [SMALL_STATE(744)] = 29293,
  [SMALL_STATE(745)] = 29340,
  [SMALL_STATE(746)] = 29387,
  [SMALL_STATE(747)] = 29434,
  [SMALL_STATE(748)] = 29485,
  [SMALL_STATE(749)] = 29532,
  [SMALL_STATE(750)] = 29579,
  [SMALL_STATE(751)] = 29630,
  [SMALL_STATE(752)] = 29677,
  [SMALL_STATE(753)] = 29728,
  [SMALL_STATE(754)] = 29821,
  [SMALL_STATE(755)] = 29868,
  [SMALL_STATE(756)] = 29965,
  [SMALL_STATE(757)] = 30012,
  [SMALL_STATE(758)] = 30059,
  [SMALL_STATE(759)] = 30151,
  [SMALL_STATE(760)] = 30223,
  [SMALL_STATE(761)] = 30305,
  [SMALL_STATE(762)] = 30397,
  [SMALL_STATE(763)] = 30477,
  [SMALL_STATE(764)] = 30545,
  [SMALL_STATE(765)] = 30629,
  [SMALL_STATE(766)] = 30715,
  [SMALL_STATE(767)] = 30799,
  [SMALL_STATE(768)] = 30861,
  [SMALL_STATE(769)] = 30911,
  [SMALL_STATE(770)] = 30961,
  [SMALL_STATE(771)] = 31027,
  [SMALL_STATE(772)] = 31089,
  [SMALL_STATE(773)] = 31165,
  [SMALL_STATE(774)] = 31253,
  [SMALL_STATE(775)] = 31345,
  [SMALL_STATE(776)] = 31437,
  [SMALL_STATE(777)] = 31529,
  [SMALL_STATE(778)] = 31621,
  [SMALL_STATE(779)] = 31671,
  [SMALL_STATE(780)] = 31763,
  [SMALL_STATE(781)] = 31855,
  [SMALL_STATE(782)] = 31947,
  [SMALL_STATE(783)] = 32039,
  [SMALL_STATE(784)] = 32131,
  [SMALL_STATE(785)] = 32223,
  [SMALL_STATE(786)] = 32315,
  [SMALL_STATE(787)] = 32407,
  [SMALL_STATE(788)] = 32501,
  [SMALL_STATE(789)] = 32593,
  [SMALL_STATE(790)] = 32685,
  [SMALL_STATE(791)] = 32768,
  [SMALL_STATE(792)] = 32859,
  [SMALL_STATE(793)] = 32938,
  [SMALL_STATE(794)] = 33005,
  [SMALL_STATE(795)] = 33096,
  [SMALL_STATE(796)] = 33187,
  [SMALL_STATE(797)] = 33278,
  [SMALL_STATE(798)] = 33369,
  [SMALL_STATE(799)] = 33460,
  [SMALL_STATE(800)] = 33551,
  [SMALL_STATE(801)] = 33642,
  [SMALL_STATE(802)] = 33733,
  [SMALL_STATE(803)] = 33824,
  [SMALL_STATE(804)] = 33915,
  [SMALL_STATE(805)] = 33966,
  [SMALL_STATE(806)] = 34057,
  [SMALL_STATE(807)] = 34108,
  [SMALL_STATE(808)] = 34159,
  [SMALL_STATE(809)] = 34250,
  [SMALL_STATE(810)] = 34343,
  [SMALL_STATE(811)] = 34434,
  [SMALL_STATE(812)] = 34515,
  [SMALL_STATE(813)] = 34600,
  [SMALL_STATE(814)] = 34683,
  [SMALL_STATE(815)] = 34748,
  [SMALL_STATE(816)] = 34839,
  [SMALL_STATE(817)] = 34914,
  [SMALL_STATE(818)] = 35005,
  [SMALL_STATE(819)] = 35066,
  [SMALL_STATE(820)] = 35137,
  [SMALL_STATE(821)] = 35188,
  [SMALL_STATE(822)] = 35279,
  [SMALL_STATE(823)] = 35370,
  [SMALL_STATE(824)] = 35461,
  [SMALL_STATE(825)] = 35552,
  [SMALL_STATE(826)] = 35613,
  [SMALL_STATE(827)] = 35700,
  [SMALL_STATE(828)] = 35786,
  [SMALL_STATE(829)] = 35872,
  [SMALL_STATE(830)] = 35958,
  [SMALL_STATE(831)] = 36008,
  [SMALL_STATE(832)] = 36058,
  [SMALL_STATE(833)] = 36144,
  [SMALL_STATE(834)] = 36194,
  [SMALL_STATE(835)] = 36282,
  [SMALL_STATE(836)] = 36328,
  [SMALL_STATE(837)] = 36374,
  [SMALL_STATE(838)] = 36460,
  [SMALL_STATE(839)] = 36510,
  [SMALL_STATE(840)] = 36598,
  [SMALL_STATE(841)] = 36684,
  [SMALL_STATE(842)] = 36770,
  [SMALL_STATE(843)] = 36848,
  [SMALL_STATE(844)] = 36928,
  [SMALL_STATE(845)] = 37008,
  [SMALL_STATE(846)] = 37088,
  [SMALL_STATE(847)] = 37168,
  [SMALL_STATE(848)] = 37248,
  [SMALL_STATE(849)] = 37328,
  [SMALL_STATE(850)] = 37408,
  [SMALL_STATE(851)] = 37488,
  [SMALL_STATE(852)] = 37568,
  [SMALL_STATE(853)] = 37638,
  [SMALL_STATE(854)] = 37703,
  [SMALL_STATE(855)] = 37760,
  [SMALL_STATE(856)] = 37817,
  [SMALL_STATE(857)] = 37869,
  [SMALL_STATE(858)] = 37927,
  [SMALL_STATE(859)] = 37985,
  [SMALL_STATE(860)] = 38041,
  [SMALL_STATE(861)] = 38099,
  [SMALL_STATE(862)] = 38155,
  [SMALL_STATE(863)] = 38211,
  [SMALL_STATE(864)] = 38269,
  [SMALL_STATE(865)] = 38325,
  [SMALL_STATE(866)] = 38381,
  [SMALL_STATE(867)] = 38437,
  [SMALL_STATE(868)] = 38493,
  [SMALL_STATE(869)] = 38551,
  [SMALL_STATE(870)] = 38609,
  [SMALL_STATE(871)] = 38667,
  [SMALL_STATE(872)] = 38718,
  [SMALL_STATE(873)] = 38769,
  [SMALL_STATE(874)] = 38820,
  [SMALL_STATE(875)] = 38871,
  [SMALL_STATE(876)] = 38924,
  [SMALL_STATE(877)] = 38975,
  [SMALL_STATE(878)] = 39026,
  [SMALL_STATE(879)] = 39077,
  [SMALL_STATE(880)] = 39137,
  [SMALL_STATE(881)] = 39187,
  [SMALL_STATE(882)] = 39237,
  [SMALL_STATE(883)] = 39289,
  [SMALL_STATE(884)] = 39337,
  [SMALL_STATE(885)] = 39392,
  [SMALL_STATE(886)] = 39437,
  [SMALL_STATE(887)] = 39480,
  [SMALL_STATE(888)] = 39525,
  [SMALL_STATE(889)] = 39580,
  [SMALL_STATE(890)] = 39623,
  [SMALL_STATE(891)] = 39670,
  [SMALL_STATE(892)] = 39713,
  [SMALL_STATE(893)] = 39760,
  [SMALL_STATE(894)] = 39805,
  [SMALL_STATE(895)] = 39850,
  [SMALL_STATE(896)] = 39878,
  [SMALL_STATE(897)] = 39916,
  [SMALL_STATE(898)] = 39944,
  [SMALL_STATE(899)] = 39972,
  [SMALL_STATE(900)] = 40000,
  [SMALL_STATE(901)] = 40028,
  [SMALL_STATE(902)] = 40056,
  [SMALL_STATE(903)] = 40086,
  [SMALL_STATE(904)] = 40124,
  [SMALL_STATE(905)] = 40162,
  [SMALL_STATE(906)] = 40202,
  [SMALL_STATE(907)] = 40230,
  [SMALL_STATE(908)] = 40258,
  [SMALL_STATE(909)] = 40286,
  [SMALL_STATE(910)] = 40314,
  [SMALL_STATE(911)] = 40342,
  [SMALL_STATE(912)] = 40370,
  [SMALL_STATE(913)] = 40398,
  [SMALL_STATE(914)] = 40426,
  [SMALL_STATE(915)] = 40454,
  [SMALL_STATE(916)] = 40482,
  [SMALL_STATE(917)] = 40510,
  [SMALL_STATE(918)] = 40538,
  [SMALL_STATE(919)] = 40566,
  [SMALL_STATE(920)] = 40594,
  [SMALL_STATE(921)] = 40624,
  [SMALL_STATE(922)] = 40652,
  [SMALL_STATE(923)] = 40680,
  [SMALL_STATE(924)] = 40708,
  [SMALL_STATE(925)] = 40736,
  [SMALL_STATE(926)] = 40764,
  [SMALL_STATE(927)] = 40798,
  [SMALL_STATE(928)] = 40836,
  [SMALL_STATE(929)] = 40874,
  [SMALL_STATE(930)] = 40902,
  [SMALL_STATE(931)] = 40930,
  [SMALL_STATE(932)] = 40958,
  [SMALL_STATE(933)] = 40996,
  [SMALL_STATE(934)] = 41023,
  [SMALL_STATE(935)] = 41050,
  [SMALL_STATE(936)] = 41077,
  [SMALL_STATE(937)] = 41104,
  [SMALL_STATE(938)] = 41131,
  [SMALL_STATE(939)] = 41158,
  [SMALL_STATE(940)] = 41185,
  [SMALL_STATE(941)] = 41212,
  [SMALL_STATE(942)] = 41239,
  [SMALL_STATE(943)] = 41266,
  [SMALL_STATE(944)] = 41299,
  [SMALL_STATE(945)] = 41328,
  [SMALL_STATE(946)] = 41355,
  [SMALL_STATE(947)] = 41397,
  [SMALL_STATE(948)] = 41439,
  [SMALL_STATE(949)] = 41481,
  [SMALL_STATE(950)] = 41523,
  [SMALL_STATE(951)] = 41569,
  [SMALL_STATE(952)] = 41609,
  [SMALL_STATE(953)] = 41649,
  [SMALL_STATE(954)] = 41687,
  [SMALL_STATE(955)] = 41731,
  [SMALL_STATE(956)] = 41766,
  [SMALL_STATE(957)] = 41801,
  [SMALL_STATE(958)] = 41842,
  [SMALL_STATE(959)] = 41877,
  [SMALL_STATE(960)] = 41912,
  [SMALL_STATE(961)] = 41955,
  [SMALL_STATE(962)] = 41994,
  [SMALL_STATE(963)] = 42019,
  [SMALL_STATE(964)] = 42060,
  [SMALL_STATE(965)] = 42095,
  [SMALL_STATE(966)] = 42130,
  [SMALL_STATE(967)] = 42165,
  [SMALL_STATE(968)] = 42200,
  [SMALL_STATE(969)] = 42235,
  [SMALL_STATE(970)] = 42260,
  [SMALL_STATE(971)] = 42303,
  [SMALL_STATE(972)] = 42338,
  [SMALL_STATE(973)] = 42373,
  [SMALL_STATE(974)] = 42408,
  [SMALL_STATE(975)] = 42433,
  [SMALL_STATE(976)] = 42458,
  [SMALL_STATE(977)] = 42493,
  [SMALL_STATE(978)] = 42532,
  [SMALL_STATE(979)] = 42567,
  [SMALL_STATE(980)] = 42602,
  [SMALL_STATE(981)] = 42637,
  [SMALL_STATE(982)] = 42672,
  [SMALL_STATE(983)] = 42697,
  [SMALL_STATE(984)] = 42732,
  [SMALL_STATE(985)] = 42767,
  [SMALL_STATE(986)] = 42792,
  [SMALL_STATE(987)] = 42827,
  [SMALL_STATE(988)] = 42862,
  [SMALL_STATE(989)] = 42897,
  [SMALL_STATE(990)] = 42932,
  [SMALL_STATE(991)] = 42967,
  [SMALL_STATE(992)] = 42999,
  [SMALL_STATE(993)] = 43021,
  [SMALL_STATE(994)] = 43053,
  [SMALL_STATE(995)] = 43085,
  [SMALL_STATE(996)] = 43117,
  [SMALL_STATE(997)] = 43139,
  [SMALL_STATE(998)] = 43171,
  [SMALL_STATE(999)] = 43193,
  [SMALL_STATE(1000)] = 43225,
  [SMALL_STATE(1001)] = 43257,
  [SMALL_STATE(1002)] = 43289,
  [SMALL_STATE(1003)] = 43321,
  [SMALL_STATE(1004)] = 43353,
  [SMALL_STATE(1005)] = 43375,
  [SMALL_STATE(1006)] = 43407,
  [SMALL_STATE(1007)] = 43439,
  [SMALL_STATE(1008)] = 43471,
  [SMALL_STATE(1009)] = 43493,
  [SMALL_STATE(1010)] = 43525,
  [SMALL_STATE(1011)] = 43557,
  [SMALL_STATE(1012)] = 43589,
  [SMALL_STATE(1013)] = 43621,
  [SMALL_STATE(1014)] = 43653,
  [SMALL_STATE(1015)] = 43689,
  [SMALL_STATE(1016)] = 43725,
  [SMALL_STATE(1017)] = 43761,
  [SMALL_STATE(1018)] = 43797,
  [SMALL_STATE(1019)] = 43833,
  [SMALL_STATE(1020)] = 43869,
  [SMALL_STATE(1021)] = 43905,
  [SMALL_STATE(1022)] = 43941,
  [SMALL_STATE(1023)] = 43977,
  [SMALL_STATE(1024)] = 44010,
  [SMALL_STATE(1025)] = 44046,
  [SMALL_STATE(1026)] = 44082,
  [SMALL_STATE(1027)] = 44118,
  [SMALL_STATE(1028)] = 44154,
  [SMALL_STATE(1029)] = 44187,
  [SMALL_STATE(1030)] = 44220,
  [SMALL_STATE(1031)] = 44253,
  [SMALL_STATE(1032)] = 44286,
  [SMALL_STATE(1033)] = 44319,
  [SMALL_STATE(1034)] = 44352,
  [SMALL_STATE(1035)] = 44385,
  [SMALL_STATE(1036)] = 44418,
  [SMALL_STATE(1037)] = 44448,
  [SMALL_STATE(1038)] = 44478,
  [SMALL_STATE(1039)] = 44508,
  [SMALL_STATE(1040)] = 44538,
  [SMALL_STATE(1041)] = 44568,
  [SMALL_STATE(1042)] = 44598,
  [SMALL_STATE(1043)] = 44628,
  [SMALL_STATE(1044)] = 44658,
  [SMALL_STATE(1045)] = 44688,
  [SMALL_STATE(1046)] = 44718,
  [SMALL_STATE(1047)] = 44748,
  [SMALL_STATE(1048)] = 44778,
  [SMALL_STATE(1049)] = 44808,
  [SMALL_STATE(1050)] = 44838,
  [SMALL_STATE(1051)] = 44864,
  [SMALL_STATE(1052)] = 44890,
  [SMALL_STATE(1053)] = 44920,
  [SMALL_STATE(1054)] = 44950,
  [SMALL_STATE(1055)] = 44980,
  [SMALL_STATE(1056)] = 45010,
  [SMALL_STATE(1057)] = 45040,
  [SMALL_STATE(1058)] = 45068,
  [SMALL_STATE(1059)] = 45098,
  [SMALL_STATE(1060)] = 45125,
  [SMALL_STATE(1061)] = 45152,
  [SMALL_STATE(1062)] = 45174,
  [SMALL_STATE(1063)] = 45196,
  [SMALL_STATE(1064)] = 45218,
  [SMALL_STATE(1065)] = 45238,
  [SMALL_STATE(1066)] = 45262,
  [SMALL_STATE(1067)] = 45286,
  [SMALL_STATE(1068)] = 45308,
  [SMALL_STATE(1069)] = 45322,
  [SMALL_STATE(1070)] = 45346,
  [SMALL_STATE(1071)] = 45360,
  [SMALL_STATE(1072)] = 45384,
  [SMALL_STATE(1073)] = 45408,
  [SMALL_STATE(1074)] = 45422,
  [SMALL_STATE(1075)] = 45446,
  [SMALL_STATE(1076)] = 45468,
  [SMALL_STATE(1077)] = 45488,
  [SMALL_STATE(1078)] = 45512,
  [SMALL_STATE(1079)] = 45526,
  [SMALL_STATE(1080)] = 45550,
  [SMALL_STATE(1081)] = 45574,
  [SMALL_STATE(1082)] = 45588,
  [SMALL_STATE(1083)] = 45608,
  [SMALL_STATE(1084)] = 45632,
  [SMALL_STATE(1085)] = 45656,
  [SMALL_STATE(1086)] = 45671,
  [SMALL_STATE(1087)] = 45686,
  [SMALL_STATE(1088)] = 45701,
  [SMALL_STATE(1089)] = 45714,
  [SMALL_STATE(1090)] = 45729,
  [SMALL_STATE(1091)] = 45742,
  [SMALL_STATE(1092)] = 45757,
  [SMALL_STATE(1093)] = 45776,
  [SMALL_STATE(1094)] = 45789,
  [SMALL_STATE(1095)] = 45804,
  [SMALL_STATE(1096)] = 45823,
  [SMALL_STATE(1097)] = 45842,
  [SMALL_STATE(1098)] = 45855,
  [SMALL_STATE(1099)] = 45870,
  [SMALL_STATE(1100)] = 45885,
  [SMALL_STATE(1101)] = 45904,
  [SMALL_STATE(1102)] = 45923,
  [SMALL_STATE(1103)] = 45936,
  [SMALL_STATE(1104)] = 45955,
  [SMALL_STATE(1105)] = 45976,
  [SMALL_STATE(1106)] = 45991,
  [SMALL_STATE(1107)] = 46006,
  [SMALL_STATE(1108)] = 46019,
  [SMALL_STATE(1109)] = 46034,
  [SMALL_STATE(1110)] = 46047,
  [SMALL_STATE(1111)] = 46068,
  [SMALL_STATE(1112)] = 46085,
  [SMALL_STATE(1113)] = 46100,
  [SMALL_STATE(1114)] = 46115,
  [SMALL_STATE(1115)] = 46134,
  [SMALL_STATE(1116)] = 46147,
  [SMALL_STATE(1117)] = 46166,
  [SMALL_STATE(1118)] = 46179,
  [SMALL_STATE(1119)] = 46194,
  [SMALL_STATE(1120)] = 46209,
  [SMALL_STATE(1121)] = 46228,
  [SMALL_STATE(1122)] = 46243,
  [SMALL_STATE(1123)] = 46258,
  [SMALL_STATE(1124)] = 46273,
  [SMALL_STATE(1125)] = 46288,
  [SMALL_STATE(1126)] = 46307,
  [SMALL_STATE(1127)] = 46328,
  [SMALL_STATE(1128)] = 46349,
  [SMALL_STATE(1129)] = 46370,
  [SMALL_STATE(1130)] = 46387,
  [SMALL_STATE(1131)] = 46408,
  [SMALL_STATE(1132)] = 46429,
  [SMALL_STATE(1133)] = 46442,
  [SMALL_STATE(1134)] = 46459,
  [SMALL_STATE(1135)] = 46480,
  [SMALL_STATE(1136)] = 46499,
  [SMALL_STATE(1137)] = 46514,
  [SMALL_STATE(1138)] = 46534,
  [SMALL_STATE(1139)] = 46554,
  [SMALL_STATE(1140)] = 46568,
  [SMALL_STATE(1141)] = 46582,
  [SMALL_STATE(1142)] = 46602,
  [SMALL_STATE(1143)] = 46622,
  [SMALL_STATE(1144)] = 46636,
  [SMALL_STATE(1145)] = 46654,
  [SMALL_STATE(1146)] = 46674,
  [SMALL_STATE(1147)] = 46688,
  [SMALL_STATE(1148)] = 46706,
  [SMALL_STATE(1149)] = 46726,
  [SMALL_STATE(1150)] = 46746,
  [SMALL_STATE(1151)] = 46766,
  [SMALL_STATE(1152)] = 46782,
  [SMALL_STATE(1153)] = 46796,
  [SMALL_STATE(1154)] = 46816,
  [SMALL_STATE(1155)] = 46836,
  [SMALL_STATE(1156)] = 46856,
  [SMALL_STATE(1157)] = 46876,
  [SMALL_STATE(1158)] = 46888,
  [SMALL_STATE(1159)] = 46902,
  [SMALL_STATE(1160)] = 46922,
  [SMALL_STATE(1161)] = 46938,
  [SMALL_STATE(1162)] = 46952,
  [SMALL_STATE(1163)] = 46964,
  [SMALL_STATE(1164)] = 46984,
  [SMALL_STATE(1165)] = 47004,
  [SMALL_STATE(1166)] = 47022,
  [SMALL_STATE(1167)] = 47042,
  [SMALL_STATE(1168)] = 47058,
  [SMALL_STATE(1169)] = 47072,
  [SMALL_STATE(1170)] = 47092,
  [SMALL_STATE(1171)] = 47106,
  [SMALL_STATE(1172)] = 47120,
  [SMALL_STATE(1173)] = 47134,
  [SMALL_STATE(1174)] = 47148,
  [SMALL_STATE(1175)] = 47168,
  [SMALL_STATE(1176)] = 47182,
  [SMALL_STATE(1177)] = 47202,
  [SMALL_STATE(1178)] = 47216,
  [SMALL_STATE(1179)] = 47230,
  [SMALL_STATE(1180)] = 47250,
  [SMALL_STATE(1181)] = 47270,
  [SMALL_STATE(1182)] = 47284,
  [SMALL_STATE(1183)] = 47298,
  [SMALL_STATE(1184)] = 47310,
  [SMALL_STATE(1185)] = 47324,
  [SMALL_STATE(1186)] = 47344,
  [SMALL_STATE(1187)] = 47358,
  [SMALL_STATE(1188)] = 47373,
  [SMALL_STATE(1189)] = 47390,
  [SMALL_STATE(1190)] = 47403,
  [SMALL_STATE(1191)] = 47414,
  [SMALL_STATE(1192)] = 47431,
  [SMALL_STATE(1193)] = 47448,
  [SMALL_STATE(1194)] = 47465,
  [SMALL_STATE(1195)] = 47482,
  [SMALL_STATE(1196)] = 47499,
  [SMALL_STATE(1197)] = 47518,
  [SMALL_STATE(1198)] = 47535,
  [SMALL_STATE(1199)] = 47552,
  [SMALL_STATE(1200)] = 47569,
  [SMALL_STATE(1201)] = 47586,
  [SMALL_STATE(1202)] = 47601,
  [SMALL_STATE(1203)] = 47612,
  [SMALL_STATE(1204)] = 47631,
  [SMALL_STATE(1205)] = 47648,
  [SMALL_STATE(1206)] = 47665,
  [SMALL_STATE(1207)] = 47682,
  [SMALL_STATE(1208)] = 47699,
  [SMALL_STATE(1209)] = 47716,
  [SMALL_STATE(1210)] = 47733,
  [SMALL_STATE(1211)] = 47752,
  [SMALL_STATE(1212)] = 47769,
  [SMALL_STATE(1213)] = 47788,
  [SMALL_STATE(1214)] = 47805,
  [SMALL_STATE(1215)] = 47822,
  [SMALL_STATE(1216)] = 47839,
  [SMALL_STATE(1217)] = 47854,
  [SMALL_STATE(1218)] = 47869,
  [SMALL_STATE(1219)] = 47884,
  [SMALL_STATE(1220)] = 47903,
  [SMALL_STATE(1221)] = 47916,
  [SMALL_STATE(1222)] = 47927,
  [SMALL_STATE(1223)] = 47944,
  [SMALL_STATE(1224)] = 47963,
  [SMALL_STATE(1225)] = 47980,
  [SMALL_STATE(1226)] = 47997,
  [SMALL_STATE(1227)] = 48014,
  [SMALL_STATE(1228)] = 48031,
  [SMALL_STATE(1229)] = 48048,
  [SMALL_STATE(1230)] = 48067,
  [SMALL_STATE(1231)] = 48084,
  [SMALL_STATE(1232)] = 48101,
  [SMALL_STATE(1233)] = 48112,
  [SMALL_STATE(1234)] = 48131,
  [SMALL_STATE(1235)] = 48148,
  [SMALL_STATE(1236)] = 48167,
  [SMALL_STATE(1237)] = 48186,
  [SMALL_STATE(1238)] = 48197,
  [SMALL_STATE(1239)] = 48214,
  [SMALL_STATE(1240)] = 48231,
  [SMALL_STATE(1241)] = 48248,
  [SMALL_STATE(1242)] = 48263,
  [SMALL_STATE(1243)] = 48280,
  [SMALL_STATE(1244)] = 48299,
  [SMALL_STATE(1245)] = 48316,
  [SMALL_STATE(1246)] = 48333,
  [SMALL_STATE(1247)] = 48350,
  [SMALL_STATE(1248)] = 48365,
  [SMALL_STATE(1249)] = 48376,
  [SMALL_STATE(1250)] = 48387,
  [SMALL_STATE(1251)] = 48402,
  [SMALL_STATE(1252)] = 48419,
  [SMALL_STATE(1253)] = 48434,
  [SMALL_STATE(1254)] = 48449,
  [SMALL_STATE(1255)] = 48466,
  [SMALL_STATE(1256)] = 48483,
  [SMALL_STATE(1257)] = 48500,
  [SMALL_STATE(1258)] = 48517,
  [SMALL_STATE(1259)] = 48534,
  [SMALL_STATE(1260)] = 48551,
  [SMALL_STATE(1261)] = 48566,
  [SMALL_STATE(1262)] = 48583,
  [SMALL_STATE(1263)] = 48598,
  [SMALL_STATE(1264)] = 48615,
  [SMALL_STATE(1265)] = 48630,
  [SMALL_STATE(1266)] = 48649,
  [SMALL_STATE(1267)] = 48663,
  [SMALL_STATE(1268)] = 48677,
  [SMALL_STATE(1269)] = 48691,
  [SMALL_STATE(1270)] = 48705,
  [SMALL_STATE(1271)] = 48719,
  [SMALL_STATE(1272)] = 48733,
  [SMALL_STATE(1273)] = 48747,
  [SMALL_STATE(1274)] = 48761,
  [SMALL_STATE(1275)] = 48775,
  [SMALL_STATE(1276)] = 48789,
  [SMALL_STATE(1277)] = 48803,
  [SMALL_STATE(1278)] = 48817,
  [SMALL_STATE(1279)] = 48831,
  [SMALL_STATE(1280)] = 48845,
  [SMALL_STATE(1281)] = 48859,
  [SMALL_STATE(1282)] = 48873,
  [SMALL_STATE(1283)] = 48885,
  [SMALL_STATE(1284)] = 48899,
  [SMALL_STATE(1285)] = 48913,
  [SMALL_STATE(1286)] = 48927,
  [SMALL_STATE(1287)] = 48941,
  [SMALL_STATE(1288)] = 48955,
  [SMALL_STATE(1289)] = 48969,
  [SMALL_STATE(1290)] = 48983,
  [SMALL_STATE(1291)] = 48997,
  [SMALL_STATE(1292)] = 49009,
  [SMALL_STATE(1293)] = 49023,
  [SMALL_STATE(1294)] = 49037,
  [SMALL_STATE(1295)] = 49051,
  [SMALL_STATE(1296)] = 49067,
  [SMALL_STATE(1297)] = 49081,
  [SMALL_STATE(1298)] = 49095,
  [SMALL_STATE(1299)] = 49105,
  [SMALL_STATE(1300)] = 49119,
  [SMALL_STATE(1301)] = 49133,
  [SMALL_STATE(1302)] = 49145,
  [SMALL_STATE(1303)] = 49159,
  [SMALL_STATE(1304)] = 49173,
  [SMALL_STATE(1305)] = 49183,
  [SMALL_STATE(1306)] = 49197,
  [SMALL_STATE(1307)] = 49211,
  [SMALL_STATE(1308)] = 49225,
  [SMALL_STATE(1309)] = 49239,
  [SMALL_STATE(1310)] = 49249,
  [SMALL_STATE(1311)] = 49263,
  [SMALL_STATE(1312)] = 49277,
  [SMALL_STATE(1313)] = 49291,
  [SMALL_STATE(1314)] = 49305,
  [SMALL_STATE(1315)] = 49319,
  [SMALL_STATE(1316)] = 49333,
  [SMALL_STATE(1317)] = 49345,
  [SMALL_STATE(1318)] = 49359,
  [SMALL_STATE(1319)] = 49371,
  [SMALL_STATE(1320)] = 49385,
  [SMALL_STATE(1321)] = 49399,
  [SMALL_STATE(1322)] = 49413,
  [SMALL_STATE(1323)] = 49427,
  [SMALL_STATE(1324)] = 49441,
  [SMALL_STATE(1325)] = 49455,
  [SMALL_STATE(1326)] = 49469,
  [SMALL_STATE(1327)] = 49483,
  [SMALL_STATE(1328)] = 49497,
  [SMALL_STATE(1329)] = 49511,
  [SMALL_STATE(1330)] = 49525,
  [SMALL_STATE(1331)] = 49539,
  [SMALL_STATE(1332)] = 49549,
  [SMALL_STATE(1333)] = 49563,
  [SMALL_STATE(1334)] = 49577,
  [SMALL_STATE(1335)] = 49591,
  [SMALL_STATE(1336)] = 49605,
  [SMALL_STATE(1337)] = 49615,
  [SMALL_STATE(1338)] = 49625,
  [SMALL_STATE(1339)] = 49639,
  [SMALL_STATE(1340)] = 49649,
  [SMALL_STATE(1341)] = 49663,
  [SMALL_STATE(1342)] = 49673,
  [SMALL_STATE(1343)] = 49687,
  [SMALL_STATE(1344)] = 49701,
  [SMALL_STATE(1345)] = 49715,
  [SMALL_STATE(1346)] = 49727,
  [SMALL_STATE(1347)] = 49741,
  [SMALL_STATE(1348)] = 49755,
  [SMALL_STATE(1349)] = 49769,
  [SMALL_STATE(1350)] = 49783,
  [SMALL_STATE(1351)] = 49795,
  [SMALL_STATE(1352)] = 49807,
  [SMALL_STATE(1353)] = 49821,
  [SMALL_STATE(1354)] = 49835,
  [SMALL_STATE(1355)] = 49847,
  [SMALL_STATE(1356)] = 49861,
  [SMALL_STATE(1357)] = 49875,
  [SMALL_STATE(1358)] = 49889,
  [SMALL_STATE(1359)] = 49903,
  [SMALL_STATE(1360)] = 49915,
  [SMALL_STATE(1361)] = 49929,
  [SMALL_STATE(1362)] = 49940,
  [SMALL_STATE(1363)] = 49951,
  [SMALL_STATE(1364)] = 49962,
  [SMALL_STATE(1365)] = 49973,
  [SMALL_STATE(1366)] = 49984,
  [SMALL_STATE(1367)] = 49995,
  [SMALL_STATE(1368)] = 50006,
  [SMALL_STATE(1369)] = 50017,
  [SMALL_STATE(1370)] = 50028,
  [SMALL_STATE(1371)] = 50037,
  [SMALL_STATE(1372)] = 50048,
  [SMALL_STATE(1373)] = 50057,
  [SMALL_STATE(1374)] = 50068,
  [SMALL_STATE(1375)] = 50079,
  [SMALL_STATE(1376)] = 50090,
  [SMALL_STATE(1377)] = 50101,
  [SMALL_STATE(1378)] = 50112,
  [SMALL_STATE(1379)] = 50123,
  [SMALL_STATE(1380)] = 50134,
  [SMALL_STATE(1381)] = 50145,
  [SMALL_STATE(1382)] = 50156,
  [SMALL_STATE(1383)] = 50167,
  [SMALL_STATE(1384)] = 50178,
  [SMALL_STATE(1385)] = 50189,
  [SMALL_STATE(1386)] = 50200,
  [SMALL_STATE(1387)] = 50211,
  [SMALL_STATE(1388)] = 50222,
  [SMALL_STATE(1389)] = 50233,
  [SMALL_STATE(1390)] = 50244,
  [SMALL_STATE(1391)] = 50255,
  [SMALL_STATE(1392)] = 50266,
  [SMALL_STATE(1393)] = 50277,
  [SMALL_STATE(1394)] = 50288,
  [SMALL_STATE(1395)] = 50299,
  [SMALL_STATE(1396)] = 50310,
  [SMALL_STATE(1397)] = 50321,
  [SMALL_STATE(1398)] = 50332,
  [SMALL_STATE(1399)] = 50343,
  [SMALL_STATE(1400)] = 50354,
  [SMALL_STATE(1401)] = 50365,
  [SMALL_STATE(1402)] = 50376,
  [SMALL_STATE(1403)] = 50387,
  [SMALL_STATE(1404)] = 50398,
  [SMALL_STATE(1405)] = 50409,
  [SMALL_STATE(1406)] = 50420,
  [SMALL_STATE(1407)] = 50431,
  [SMALL_STATE(1408)] = 50442,
  [SMALL_STATE(1409)] = 50453,
  [SMALL_STATE(1410)] = 50464,
  [SMALL_STATE(1411)] = 50475,
  [SMALL_STATE(1412)] = 50486,
  [SMALL_STATE(1413)] = 50497,
  [SMALL_STATE(1414)] = 50508,
  [SMALL_STATE(1415)] = 50519,
  [SMALL_STATE(1416)] = 50530,
  [SMALL_STATE(1417)] = 50541,
  [SMALL_STATE(1418)] = 50552,
  [SMALL_STATE(1419)] = 50563,
  [SMALL_STATE(1420)] = 50572,
  [SMALL_STATE(1421)] = 50583,
  [SMALL_STATE(1422)] = 50594,
  [SMALL_STATE(1423)] = 50605,
  [SMALL_STATE(1424)] = 50616,
  [SMALL_STATE(1425)] = 50627,
  [SMALL_STATE(1426)] = 50638,
  [SMALL_STATE(1427)] = 50649,
  [SMALL_STATE(1428)] = 50660,
  [SMALL_STATE(1429)] = 50671,
  [SMALL_STATE(1430)] = 50680,
  [SMALL_STATE(1431)] = 50691,
  [SMALL_STATE(1432)] = 50700,
  [SMALL_STATE(1433)] = 50709,
  [SMALL_STATE(1434)] = 50720,
  [SMALL_STATE(1435)] = 50729,
  [SMALL_STATE(1436)] = 50740,
  [SMALL_STATE(1437)] = 50751,
  [SMALL_STATE(1438)] = 50762,
  [SMALL_STATE(1439)] = 50773,
  [SMALL_STATE(1440)] = 50784,
  [SMALL_STATE(1441)] = 50795,
  [SMALL_STATE(1442)] = 50804,
  [SMALL_STATE(1443)] = 50813,
  [SMALL_STATE(1444)] = 50822,
  [SMALL_STATE(1445)] = 50833,
  [SMALL_STATE(1446)] = 50844,
  [SMALL_STATE(1447)] = 50855,
  [SMALL_STATE(1448)] = 50866,
  [SMALL_STATE(1449)] = 50877,
  [SMALL_STATE(1450)] = 50888,
  [SMALL_STATE(1451)] = 50899,
  [SMALL_STATE(1452)] = 50910,
  [SMALL_STATE(1453)] = 50921,
  [SMALL_STATE(1454)] = 50932,
  [SMALL_STATE(1455)] = 50943,
  [SMALL_STATE(1456)] = 50952,
  [SMALL_STATE(1457)] = 50963,
  [SMALL_STATE(1458)] = 50974,
  [SMALL_STATE(1459)] = 50985,
  [SMALL_STATE(1460)] = 50996,
  [SMALL_STATE(1461)] = 51007,
  [SMALL_STATE(1462)] = 51018,
  [SMALL_STATE(1463)] = 51027,
  [SMALL_STATE(1464)] = 51038,
  [SMALL_STATE(1465)] = 51049,
  [SMALL_STATE(1466)] = 51060,
  [SMALL_STATE(1467)] = 51071,
  [SMALL_STATE(1468)] = 51082,
  [SMALL_STATE(1469)] = 51093,
  [SMALL_STATE(1470)] = 51104,
  [SMALL_STATE(1471)] = 51115,
  [SMALL_STATE(1472)] = 51126,
  [SMALL_STATE(1473)] = 51137,
  [SMALL_STATE(1474)] = 51148,
  [SMALL_STATE(1475)] = 51159,
  [SMALL_STATE(1476)] = 51170,
  [SMALL_STATE(1477)] = 51181,
  [SMALL_STATE(1478)] = 51192,
  [SMALL_STATE(1479)] = 51203,
  [SMALL_STATE(1480)] = 51214,
  [SMALL_STATE(1481)] = 51225,
  [SMALL_STATE(1482)] = 51236,
  [SMALL_STATE(1483)] = 51247,
  [SMALL_STATE(1484)] = 51258,
  [SMALL_STATE(1485)] = 51267,
  [SMALL_STATE(1486)] = 51278,
  [SMALL_STATE(1487)] = 51287,
  [SMALL_STATE(1488)] = 51296,
  [SMALL_STATE(1489)] = 51305,
  [SMALL_STATE(1490)] = 51316,
  [SMALL_STATE(1491)] = 51325,
  [SMALL_STATE(1492)] = 51336,
  [SMALL_STATE(1493)] = 51347,
  [SMALL_STATE(1494)] = 51358,
  [SMALL_STATE(1495)] = 51367,
  [SMALL_STATE(1496)] = 51376,
  [SMALL_STATE(1497)] = 51387,
  [SMALL_STATE(1498)] = 51398,
  [SMALL_STATE(1499)] = 51409,
  [SMALL_STATE(1500)] = 51418,
  [SMALL_STATE(1501)] = 51429,
  [SMALL_STATE(1502)] = 51438,
  [SMALL_STATE(1503)] = 51449,
  [SMALL_STATE(1504)] = 51458,
  [SMALL_STATE(1505)] = 51469,
  [SMALL_STATE(1506)] = 51480,
  [SMALL_STATE(1507)] = 51491,
  [SMALL_STATE(1508)] = 51502,
  [SMALL_STATE(1509)] = 51513,
  [SMALL_STATE(1510)] = 51524,
  [SMALL_STATE(1511)] = 51535,
  [SMALL_STATE(1512)] = 51546,
  [SMALL_STATE(1513)] = 51557,
  [SMALL_STATE(1514)] = 51568,
  [SMALL_STATE(1515)] = 51579,
  [SMALL_STATE(1516)] = 51590,
  [SMALL_STATE(1517)] = 51601,
  [SMALL_STATE(1518)] = 51612,
  [SMALL_STATE(1519)] = 51623,
  [SMALL_STATE(1520)] = 51634,
  [SMALL_STATE(1521)] = 51645,
  [SMALL_STATE(1522)] = 51656,
  [SMALL_STATE(1523)] = 51667,
  [SMALL_STATE(1524)] = 51678,
  [SMALL_STATE(1525)] = 51689,
  [SMALL_STATE(1526)] = 51700,
  [SMALL_STATE(1527)] = 51709,
  [SMALL_STATE(1528)] = 51720,
  [SMALL_STATE(1529)] = 51731,
  [SMALL_STATE(1530)] = 51742,
  [SMALL_STATE(1531)] = 51753,
  [SMALL_STATE(1532)] = 51764,
  [SMALL_STATE(1533)] = 51775,
  [SMALL_STATE(1534)] = 51786,
  [SMALL_STATE(1535)] = 51797,
  [SMALL_STATE(1536)] = 51808,
  [SMALL_STATE(1537)] = 51819,
  [SMALL_STATE(1538)] = 51828,
  [SMALL_STATE(1539)] = 51839,
  [SMALL_STATE(1540)] = 51850,
  [SMALL_STATE(1541)] = 51859,
  [SMALL_STATE(1542)] = 51870,
  [SMALL_STATE(1543)] = 51881,
  [SMALL_STATE(1544)] = 51892,
  [SMALL_STATE(1545)] = 51903,
  [SMALL_STATE(1546)] = 51914,
  [SMALL_STATE(1547)] = 51925,
  [SMALL_STATE(1548)] = 51936,
  [SMALL_STATE(1549)] = 51947,
  [SMALL_STATE(1550)] = 51958,
  [SMALL_STATE(1551)] = 51969,
  [SMALL_STATE(1552)] = 51980,
  [SMALL_STATE(1553)] = 51991,
  [SMALL_STATE(1554)] = 52002,
  [SMALL_STATE(1555)] = 52013,
  [SMALL_STATE(1556)] = 52024,
  [SMALL_STATE(1557)] = 52035,
  [SMALL_STATE(1558)] = 52046,
  [SMALL_STATE(1559)] = 52057,
  [SMALL_STATE(1560)] = 52068,
  [SMALL_STATE(1561)] = 52079,
  [SMALL_STATE(1562)] = 52090,
  [SMALL_STATE(1563)] = 52101,
  [SMALL_STATE(1564)] = 52112,
  [SMALL_STATE(1565)] = 52123,
  [SMALL_STATE(1566)] = 52134,
  [SMALL_STATE(1567)] = 52145,
  [SMALL_STATE(1568)] = 52156,
  [SMALL_STATE(1569)] = 52165,
  [SMALL_STATE(1570)] = 52174,
  [SMALL_STATE(1571)] = 52183,
  [SMALL_STATE(1572)] = 52192,
  [SMALL_STATE(1573)] = 52203,
  [SMALL_STATE(1574)] = 52214,
  [SMALL_STATE(1575)] = 52225,
  [SMALL_STATE(1576)] = 52236,
  [SMALL_STATE(1577)] = 52245,
  [SMALL_STATE(1578)] = 52256,
  [SMALL_STATE(1579)] = 52267,
  [SMALL_STATE(1580)] = 52278,
  [SMALL_STATE(1581)] = 52289,
  [SMALL_STATE(1582)] = 52300,
  [SMALL_STATE(1583)] = 52311,
  [SMALL_STATE(1584)] = 52322,
  [SMALL_STATE(1585)] = 52333,
  [SMALL_STATE(1586)] = 52344,
  [SMALL_STATE(1587)] = 52355,
  [SMALL_STATE(1588)] = 52366,
  [SMALL_STATE(1589)] = 52377,
  [SMALL_STATE(1590)] = 52388,
  [SMALL_STATE(1591)] = 52399,
  [SMALL_STATE(1592)] = 52410,
  [SMALL_STATE(1593)] = 52421,
  [SMALL_STATE(1594)] = 52432,
  [SMALL_STATE(1595)] = 52443,
  [SMALL_STATE(1596)] = 52454,
  [SMALL_STATE(1597)] = 52465,
  [SMALL_STATE(1598)] = 52476,
  [SMALL_STATE(1599)] = 52487,
  [SMALL_STATE(1600)] = 52496,
  [SMALL_STATE(1601)] = 52507,
  [SMALL_STATE(1602)] = 52516,
  [SMALL_STATE(1603)] = 52527,
  [SMALL_STATE(1604)] = 52538,
  [SMALL_STATE(1605)] = 52547,
  [SMALL_STATE(1606)] = 52558,
  [SMALL_STATE(1607)] = 52566,
  [SMALL_STATE(1608)] = 52574,
  [SMALL_STATE(1609)] = 52582,
  [SMALL_STATE(1610)] = 52590,
  [SMALL_STATE(1611)] = 52598,
  [SMALL_STATE(1612)] = 52606,
  [SMALL_STATE(1613)] = 52614,
  [SMALL_STATE(1614)] = 52622,
  [SMALL_STATE(1615)] = 52630,
  [SMALL_STATE(1616)] = 52638,
  [SMALL_STATE(1617)] = 52646,
  [SMALL_STATE(1618)] = 52654,
  [SMALL_STATE(1619)] = 52662,
  [SMALL_STATE(1620)] = 52670,
  [SMALL_STATE(1621)] = 52678,
  [SMALL_STATE(1622)] = 52686,
  [SMALL_STATE(1623)] = 52696,
  [SMALL_STATE(1624)] = 52706,
  [SMALL_STATE(1625)] = 52714,
  [SMALL_STATE(1626)] = 52722,
  [SMALL_STATE(1627)] = 52730,
  [SMALL_STATE(1628)] = 52738,
  [SMALL_STATE(1629)] = 52746,
  [SMALL_STATE(1630)] = 52754,
  [SMALL_STATE(1631)] = 52762,
  [SMALL_STATE(1632)] = 52770,
  [SMALL_STATE(1633)] = 52778,
  [SMALL_STATE(1634)] = 52786,
  [SMALL_STATE(1635)] = 52794,
  [SMALL_STATE(1636)] = 52802,
  [SMALL_STATE(1637)] = 52810,
  [SMALL_STATE(1638)] = 52818,
  [SMALL_STATE(1639)] = 52826,
  [SMALL_STATE(1640)] = 52834,
  [SMALL_STATE(1641)] = 52842,
  [SMALL_STATE(1642)] = 52850,
  [SMALL_STATE(1643)] = 52858,
  [SMALL_STATE(1644)] = 52866,
  [SMALL_STATE(1645)] = 52874,
  [SMALL_STATE(1646)] = 52882,
  [SMALL_STATE(1647)] = 52890,
  [SMALL_STATE(1648)] = 52898,
  [SMALL_STATE(1649)] = 52906,
  [SMALL_STATE(1650)] = 52916,
  [SMALL_STATE(1651)] = 52924,
  [SMALL_STATE(1652)] = 52932,
  [SMALL_STATE(1653)] = 52940,
  [SMALL_STATE(1654)] = 52948,
  [SMALL_STATE(1655)] = 52958,
  [SMALL_STATE(1656)] = 52966,
  [SMALL_STATE(1657)] = 52974,
  [SMALL_STATE(1658)] = 52982,
  [SMALL_STATE(1659)] = 52990,
  [SMALL_STATE(1660)] = 52998,
  [SMALL_STATE(1661)] = 53006,
  [SMALL_STATE(1662)] = 53014,
  [SMALL_STATE(1663)] = 53022,
  [SMALL_STATE(1664)] = 53030,
  [SMALL_STATE(1665)] = 53038,
  [SMALL_STATE(1666)] = 53046,
  [SMALL_STATE(1667)] = 53056,
  [SMALL_STATE(1668)] = 53064,
  [SMALL_STATE(1669)] = 53072,
  [SMALL_STATE(1670)] = 53080,
  [SMALL_STATE(1671)] = 53090,
  [SMALL_STATE(1672)] = 53098,
  [SMALL_STATE(1673)] = 53106,
  [SMALL_STATE(1674)] = 53114,
  [SMALL_STATE(1675)] = 53122,
  [SMALL_STATE(1676)] = 53130,
  [SMALL_STATE(1677)] = 53138,
  [SMALL_STATE(1678)] = 53146,
  [SMALL_STATE(1679)] = 53154,
  [SMALL_STATE(1680)] = 53162,
  [SMALL_STATE(1681)] = 53170,
  [SMALL_STATE(1682)] = 53178,
  [SMALL_STATE(1683)] = 53186,
  [SMALL_STATE(1684)] = 53194,
  [SMALL_STATE(1685)] = 53202,
  [SMALL_STATE(1686)] = 53210,
  [SMALL_STATE(1687)] = 53220,
  [SMALL_STATE(1688)] = 53228,
  [SMALL_STATE(1689)] = 53236,
  [SMALL_STATE(1690)] = 53244,
  [SMALL_STATE(1691)] = 53254,
  [SMALL_STATE(1692)] = 53262,
  [SMALL_STATE(1693)] = 53270,
  [SMALL_STATE(1694)] = 53278,
  [SMALL_STATE(1695)] = 53286,
  [SMALL_STATE(1696)] = 53294,
  [SMALL_STATE(1697)] = 53302,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1018),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(48),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1690),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(438),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(280),
  [163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3),
  [168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1018),
  [171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1420),
  [174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1063),
  [177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(364),
  [180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1067),
  [183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1363),
  [186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1364),
  [189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1352),
  [192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(84),
  [195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(178),
  [198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1365),
  [201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(30),
  [204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1366),
  [207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1351),
  [210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1350),
  [213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1370),
  [216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(101),
  [219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(143),
  [222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(322),
  [225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(48),
  [228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(51),
  [231] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1371),
  [234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1141),
  [237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1192),
  [240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1194),
  [243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1142),
  [246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(298),
  [249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1208),
  [252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(141),
  [255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(218),
  [258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1690),
  [261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(218),
  [264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(221),
  [267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1092),
  [270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(687),
  [273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1689),
  [276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(687),
  [279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(692),
  [282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1334),
  [285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(430),
  [288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 3, 0, 37),
  [290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 3, 0, 37),
  [292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 3, 0, 59),
  [294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 3, 0, 59),
  [296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 2, 0, 0),
  [298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 2, 0, 0),
  [300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 4, 0, 100),
  [302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 4, 0, 100),
  [304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1456),
  [348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(46),
  [376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1649),
  [396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(47),
  [422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(49),
  [462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2, 0, 0),
  [524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2, 0, 0),
  [526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2, 0, 0),
  [528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2, 0, 0),
  [530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 2, 0, 0),
  [532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, 0, 76),
  [542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, 0, 76),
  [544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, 0, 76),
  [546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, 0, 76),
  [548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3, 0, 69),
  [552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3, 0, 69),
  [554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1061),
  [562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, 0, 98),
  [578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, 0, 98),
  [580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 6, 0, 98),
  [582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 6, 0, 98),
  [584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 92),
  [588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 92),
  [590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, 0, 92),
  [592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, 0, 92),
  [594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 71),
  [600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 71),
  [602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 71),
  [604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 71),
  [606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2, 0, 0),
  [610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2, 0, 0),
  [612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 88),
  [614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 88),
  [616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 5, 0, 88),
  [618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 5, 0, 88),
  [620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3, 0, 0),
  [624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3, 0, 0),
  [626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 5, 0, 88),
  [628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 5, 0, 88),
  [630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, 0, 88),
  [632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, 0, 88),
  [634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 80),
  [638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 80),
  [640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 80),
  [642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 80),
  [644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 36),
  [648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 36),
  [650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 36),
  [652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 36),
  [654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 4, 0, 0),
  [662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 4, 0, 0),
  [664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0), REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1096),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym__property_name, 1, 0, 4),
  [816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [818] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 4), SHIFT(29),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, 0, 1),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1497),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1496),
  [845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(997),
  [848] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym__property_name, 1, 0, 4), SHIFT(93),
  [852] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(263),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(966),
  [875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, 0, 6),
  [877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, 0, 6),
  [879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1662),
  [885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1661),
  [887] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(93),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1659),
  [918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_pattern, 1, -1, 1),
  [925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1), SHIFT(223),
  [928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1693),
  [932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 1),
  [934] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1), SHIFT(183),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [939] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(146),
  [942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, 0, 19),
  [946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 28),
  [948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 28),
  [950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_rest_pattern, 2, 0, 19),
  [953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 4, 0, 62),
  [955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 4, 0, 62),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, 0, 6),
  [973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, 0, 6),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 24),
  [981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 24),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(35),
  [985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 103),
  [987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, 0, 103),
  [989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 13),
  [991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 13),
  [993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 20),
  [995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 20),
  [997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, 0, 88),
  [999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, 0, 88),
  [1001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, 0, 20),
  [1003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, 0, 20),
  [1005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 3, 0, 21),
  [1007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 3, 0, 21),
  [1009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 96),
  [1011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 96),
  [1013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3, 0, 0),
  [1015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3, 0, 0),
  [1017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 54),
  [1019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 54),
  [1021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 3, 0, 23),
  [1023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 3, 0, 23),
  [1025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 25),
  [1027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 25),
  [1029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [1035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 2, 0, 3),
  [1037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 2, 0, 3),
  [1039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 3, 0, 26),
  [1041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 3, 0, 26),
  [1043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 52),
  [1045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 52),
  [1047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_debugger_statement, 2, 0, 0),
  [1053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_debugger_statement, 2, 0, 0),
  [1055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 55),
  [1057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 55),
  [1059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [1061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [1063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 92),
  [1065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 92),
  [1067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 27),
  [1069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 27),
  [1071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 102),
  [1073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 102),
  [1075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 7, 0, 98),
  [1077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 7, 0, 98),
  [1079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 54),
  [1085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 54),
  [1087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 29),
  [1089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 29),
  [1091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, 0, 30),
  [1093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, 0, 30),
  [1095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, 0, 30),
  [1097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, 0, 30),
  [1099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [1105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [1107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, 0, 88),
  [1109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, 0, 88),
  [1111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, 0, 54),
  [1113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, 0, 54),
  [1115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4, 0, 0),
  [1117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4, 0, 0),
  [1119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 4, 0, 23),
  [1121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 4, 0, 23),
  [1123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 60),
  [1125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 60),
  [1127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 2, 0, 0),
  [1129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 2, 0, 0),
  [1131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 80),
  [1133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 80),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1681),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [1141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [1143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, 0, 91),
  [1145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, 0, 91),
  [1147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 76),
  [1149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 76),
  [1151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [1153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [1155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1, 0, 0),
  [1157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1, 0, 0),
  [1159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3, 0, 0),
  [1161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3, 0, 0),
  [1163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 71),
  [1165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 71),
  [1167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 4, 0, 61),
  [1169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 4, 0, 61),
  [1171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 79),
  [1173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 79),
  [1175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 36),
  [1177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 36),
  [1179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 62),
  [1181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 62),
  [1183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, -1, 14),
  [1185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, -1, 14),
  [1187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [1189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [1191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 63),
  [1193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 63),
  [1195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 0),
  [1197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 0),
  [1199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 4),
  [1206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [1208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [1210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, 0, 0),
  [1212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [1214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 44),
  [1216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 44),
  [1218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 45),
  [1220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 45),
  [1222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 46),
  [1224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 46),
  [1226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 47),
  [1228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 47),
  [1230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1494),
  [1232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [1234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(81),
  [1237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, 0, 78),
  [1239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, 0, 78),
  [1241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 5, 0, 90),
  [1243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 5, 0, 90),
  [1245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 7, 0, 105),
  [1247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 7, 0, 105),
  [1249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [1253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, 0, 94),
  [1255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, 0, 94),
  [1257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 6, 0, 101),
  [1259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 6, 0, 101),
  [1261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, 0, 95),
  [1263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, 0, 95),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(145),
  [1274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [1276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, 0, 0),
  [1278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [1280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_pattern, 1, -1, 0),
  [1283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(252),
  [1286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [1288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0),
  [1290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(158),
  [1293] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_rest_pattern, 2, 0, 0),
  [1296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [1298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [1300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8),
  [1302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 8),
  [1304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [1306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [1308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [1310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [1312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0),
  [1314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2, 0, 0),
  [1316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [1318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8),
  [1320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 8),
  [1322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [1324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [1326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_pattern, 2, 0, 0),
  [1329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 17),
  [1331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 17),
  [1333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 3, 0, 17), REDUCE(sym_object_pattern, 3, 0, 18),
  [1336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 3, 0, 18),
  [1338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 7),
  [1340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 7),
  [1342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [1344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2, 0, 0),
  [1346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2, 0, 0),
  [1348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0),
  [1351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [1353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 74),
  [1355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 74),
  [1357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 2, 0, 6),
  [1359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 2, 0, 6),
  [1361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [1363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [1365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [1367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [1369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [1371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [1373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [1375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [1377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [1379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [1381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [1383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [1387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [1389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [1393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [1395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [1397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 2, 0, 0),
  [1399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 2, 0, 0),
  [1401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 9),
  [1403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 9),
  [1405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [1407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [1409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 10),
  [1411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 10),
  [1413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_closing_tag, 1, 0, 0),
  [1415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_closing_tag, 1, 0, 0),
  [1417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 2, 0, 11),
  [1419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 2, 0, 11),
  [1421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 2, 0, 11),
  [1423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 2, 0, 11),
  [1425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 15),
  [1427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 16),
  [1429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 16),
  [1431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 0),
  [1433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 0),
  [1435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [1439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3, 0, 0),
  [1441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3, 0, 0),
  [1443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3, 0, 0),
  [1445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 3, 0, 31),
  [1447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 3, 0, 31),
  [1449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 37),
  [1451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 37),
  [1453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 3, 0, 38),
  [1455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 3, 0, 38),
  [1457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_meta_property, 3, 0, 0),
  [1459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_meta_property, 3, 0, 0),
  [1461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 1, 39),
  [1463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 1, 39),
  [1465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 3, 0, 40),
  [1467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 3, 0, 40),
  [1469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [1471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 3, 0, 0),
  [1473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 3, 0, 0),
  [1475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 41),
  [1477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 42),
  [1479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 42),
  [1481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 43),
  [1483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 43),
  [1485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [1487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [1493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [1495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [1497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0),
  [1499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 48),
  [1501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 48),
  [1503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 3, 0, 49),
  [1505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 3, 0, 49),
  [1507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 2, 0, 0),
  [1509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 2, 0, 0),
  [1511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 3, 0, 50),
  [1513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 3, 0, 50),
  [1515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, 0, 43),
  [1517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 51),
  [1519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 51),
  [1521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 53),
  [1523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 53),
  [1525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, 0, 17),
  [1527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, 0, 17),
  [1529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, 0, 0),
  [1531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, 0, 0),
  [1533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4, 0, 0),
  [1535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4, 0, 0),
  [1537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, 0, 64),
  [1539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, 0, 64),
  [1541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 72),
  [1543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 72),
  [1545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, 0, 73),
  [1547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, 0, 73),
  [1549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 75),
  [1551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 75),
  [1553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 4, 0, 73),
  [1555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 4, 0, 73),
  [1557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 4, 0, 77),
  [1559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 4, 0, 77),
  [1561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [1563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [1565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 3, 0, 31),
  [1567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 3, 0, 31),
  [1569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 81),
  [1571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 81),
  [1573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, 0, 87),
  [1575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, 0, 87),
  [1577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [1579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [1581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, 0, 89),
  [1583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [1585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [1587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [1589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [1593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [1595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [1597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [1599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [1601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [1603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [1605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [1607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [1609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [1611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [1613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [1615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [1617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [1619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [1621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [1623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [1625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [1629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [1631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [1633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [1635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [1637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [1639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [1643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [1645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [1649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [1651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [1653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [1657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [1659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [1661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 2, 0, 0),
  [1663] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 56), REDUCE(sym_assignment_expression, 3, 0, 15),
  [1666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 56),
  [1668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, 0, 41),
  [1670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 56), REDUCE(sym_assignment_expression, 3, 0, 41),
  [1673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 41), REDUCE(sym_assignment_expression, 3, 0, 41),
  [1676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 41),
  [1678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [1680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [1682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__initializer, 2, 0, 59),
  [1684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, 0, 59), SHIFT(198),
  [1687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [1689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [1691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [1693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [1695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [1697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [1699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [1703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [1705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [1711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [1715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_pattern, 2, 0, 0),
  [1718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 2, 0, 0),
  [1720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 3, 0, 17), REDUCE(sym_object_pattern, 3, 0, 18),
  [1723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, 0, 18),
  [1725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0),
  [1728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [1730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [1732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [1734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [1736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0),
  [1738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [1740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [1742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [1744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [1746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [1748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [1750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [1752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [1754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [1756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [1758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [1760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [1762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [1764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [1766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [1768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [1770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [1772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [1774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [1776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [1778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [1780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [1782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [1784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [1786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [1788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [1790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [1792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [1794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [1796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [1798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [1800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 3, 0, 0), REDUCE(sym_computed_property_name, 3, 0, 0),
  [1803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_property_name, 3, 0, 0),
  [1805] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 0),
  [1808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 0),
  [1810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, 0, 57),
  [1812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [1814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [1816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [1818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [1820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [1822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [1824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [1826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [1828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [1830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [1832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [1834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [1836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [1838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [1840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [1842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [1844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [1846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [1848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [1850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [1852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [1854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [1856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [1858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, 0, 59), SHIFT(195),
  [1861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 2, 0, 0),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [1869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [1875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [1879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [1881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [1883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [1887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [1889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [1891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [1893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1066),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [1897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [1899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [1909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [1913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [1919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [1923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [1933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [1937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [1939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [1941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [1943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [1945] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1, 0, 0), REDUCE(aux_sym_object_pattern_repeat1, 1, 0, 0),
  [1948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [1950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [1952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [1954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [1956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [1958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [1960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [1962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [1964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [1966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [1968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [1970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [1972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [1974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [1976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [1978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [1980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [1982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [1984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [1986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [1988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1232),
  [1991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(995),
  [1994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70),
  [1996] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(847),
  [1999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(237),
  [2002] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1371),
  [2005] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1191),
  [2008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1204),
  [2011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(891),
  [2014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1110),
  [2017] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1334),
  [2020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(875),
  [2023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(977),
  [2026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(927),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [2041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [2049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [2053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [2055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [2057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [2059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1, 0, 0),
  [2061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [2063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [2065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [2067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [2073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [2075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [2077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [2079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [2081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 1, 0, 0),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [2085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 4),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [2093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [2101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [2107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 4), SHIFT(1543),
  [2110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [2112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [2114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [2116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(946),
  [2118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [2120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [2122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [2124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [2126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [2128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [2130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 17), REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 18),
  [2133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [2135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [2139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [2143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [2151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [2153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [2155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [2159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [2161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [2163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [2167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [2169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [2171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [2173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [2175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 17),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [2179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [2181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [2183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [2185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 93),
  [2187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 93),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [2191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 88),
  [2193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 88),
  [2195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, 0, 99),
  [2197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 99),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [2203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [2205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, 0, 58),
  [2207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 58),
  [2209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 83),
  [2211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 83),
  [2213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, 0, 104),
  [2215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 104),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [2219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 76),
  [2221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 76),
  [2223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator, 2, 0, 0),
  [2225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 2, 0, 0),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [2229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [2231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, 0, 98),
  [2233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 98),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [2237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 3, 0, 37),
  [2239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_static_block, 3, 0, 37),
  [2241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 33),
  [2243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 33),
  [2245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 2, 0, 6),
  [2247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_static_block, 2, 0, 6),
  [2249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 34),
  [2251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 34),
  [2253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_member_expression, 3, 0, 44),
  [2255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_member_expression, 3, 0, 44),
  [2257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 12),
  [2259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 12),
  [2261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 12), SHIFT_REPEAT(1334),
  [2264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 34),
  [2266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 34),
  [2268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 34), SHIFT_REPEAT(936),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [2275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [2277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [2283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [2285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [2287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [2291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [2293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [2295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [2299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [2301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [2309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(976),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [2315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [2319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [2321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [2329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [2333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [2335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [2343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [2347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [2349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(980),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [2359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 2, 0, 9),
  [2361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 2, 0, 9),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [2371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 1, 0, 2),
  [2373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 1, 0, 2),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [2377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [2401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [2433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [2435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [2437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [2439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [2441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [2443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [2445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [2447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [2449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [2453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [2457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 1, 0, 0),
  [2459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1015),
  [2461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [2463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [2465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(95),
  [2468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(1121),
  [2471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(1023),
  [2474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(1176),
  [2477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0),
  [2479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [2503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [2505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [2507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [2509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [2511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [2513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [2519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [2521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [2525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [2527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [2529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [2535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [2537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [2539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [2543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 65), SHIFT_REPEAT(1064),
  [2546] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 65), SHIFT_REPEAT(100),
  [2549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 65),
  [2551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 65), SHIFT_REPEAT(1064),
  [2554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [2556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [2558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [2562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [2564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [2568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [2570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [2572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [2574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1, 0, 4),
  [2576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 1, 0, 4),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [2580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [2582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [2584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [2586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, 0, 0),
  [2588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [2590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, 0, 5),
  [2592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [2594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [2596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, 0, 18),
  [2598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, 0, 0),
  [2600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [2606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 3, -1, 31),
  [2608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [2612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [2614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [2616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [2618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [2620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [2622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [2628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [2632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_namespace_name, 3, 0, 0),
  [2634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_namespace_name, 3, 0, 0),
  [2636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 2, 0, 0),
  [2638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [2640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 1, 0, 35),
  [2642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(154),
  [2645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, -1, 64),
  [2647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1624),
  [2650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0),
  [2652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(147),
  [2655] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1116),
  [2658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0),
  [2660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0), SHIFT_REPEAT(150),
  [2663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 2, -1, 0),
  [2665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3, 0, 44),
  [2667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3, 0, 44),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [2671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_text, 1, 0, 0),
  [2673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [2677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [2679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, 0, 68),
  [2681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 2, 0, 0),
  [2683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, 0, 85),
  [2685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1, 0, 0),
  [2687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 1, 0, 0),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [2691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, 0, 66),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [2697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 3, 0, 0),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [2701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [2707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1, 0, 32),
  [2709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1, 0, 32),
  [2711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jsx_string, 2, 0, 0),
  [2713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__jsx_string, 2, 0, 0),
  [2715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [2721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [2725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [2727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3, 0, 0),
  [2729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 3, 0, 0),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [2733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [2735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3, 0, 4),
  [2737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 3, 0, 4),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [2741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [2745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [2747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [2753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jsx_string, 3, 0, 0),
  [2755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__jsx_string, 3, 0, 0),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [2759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [2763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [2771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [2775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [2781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, 0, 22),
  [2783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [2787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(252),
  [2790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [2792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [2794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [2796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [2798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [2800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [2802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_expression, 2, 0, 0),
  [2804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(158),
  [2807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [2809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1025),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [2813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1344),
  [2815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [2817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [2819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [2821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [2823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [2825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1205),
  [2827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_expression, 3, 0, 0),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [2833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [2837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [2841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [2855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [2857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [2861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [2863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [2871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [2873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [2877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [2889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [2891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [2893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [2895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [2897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [2911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 18),
  [2913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [2915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [2917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 3, 0, 0),
  [2919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [2921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [2923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [2925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1224),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [2930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [2932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0),
  [2934] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(1226),
  [2937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [2939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [2951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [2955] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat2, 2, 0, 0), SHIFT_REPEAT(1235),
  [2958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat2, 2, 0, 0),
  [2960] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat2, 2, 0, 0), SHIFT_REPEAT(1235),
  [2963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [2965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [2967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1075),
  [2970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 0),
  [2972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [2974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1243),
  [2977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat1, 2, 0, 0),
  [2979] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1243),
  [2982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [2984] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(204),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [2989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [2991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [2995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [3005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [3007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [3013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [3015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [3017] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(91),
  [3020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [3022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [3024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [3026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [3028] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(85),
  [3031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2, 0, 0),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [3035] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(853),
  [3038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0),
  [3040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [3042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [3044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [3046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [3048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [3054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1130),
  [3057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2, 0, 0),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [3065] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(856),
  [3068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 0),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [3072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [3074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2, 0, 0), SHIFT_REPEAT(1295),
  [3077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2, 0, 0),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [3081] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2, 0, 0), SHIFT_REPEAT(1104),
  [3084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2, 0, 0),
  [3086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [3088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [3090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_export_name, 1, 0, 0),
  [3092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 1, 0, 5),
  [3094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [3096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [3098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [3100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [3102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [3104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 5, 0, 0),
  [3106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [3108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [3110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [3112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair_pattern, 3, 0, 57),
  [3114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [3116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
  [3118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [3120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(96),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [3127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [3129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [3131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [3139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 2, 0, 0),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [3151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 4, 0, 0),
  [3153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3, 0, 0),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [3157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__from_clause, 2, 0, 20),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [3167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 1, 0, 5),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [3197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_opening_tag, 1, 0, 0),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [3205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 1, 0, 0),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [3213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [3233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [3235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 4, 0, 97),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [3249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, 0, 86),
  [3251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, 0, 84),
  [3253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [3257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, 0, 82),
  [3259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 3, 0, 82),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [3263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, 0, 67),
  [3265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [3267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_attribute, 2, 0, 0),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [3275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [3281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [3283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [3285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 3, 0, 0),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [3289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3, 0, 0),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [3293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_import, 3, 0, 0),
  [3295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [3303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1686),
  [3305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1670),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [3317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_export, 3, 0, 0),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [3321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 2, 0, 0),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [3325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 4, 0, 0),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [3335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 5, 0, 0),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [3339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1666),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [3385] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [3387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1654),
  [3389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
  ts_external_token__ternary_qmark = 2,
  ts_external_token_html_comment = 3,
  ts_external_token_PIPE_PIPE = 4,
  ts_external_token_escape_sequence = 5,
  ts_external_token_regex_pattern = 6,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
  [ts_external_token__ternary_qmark] = sym__ternary_qmark,
  [ts_external_token_html_comment] = sym_html_comment,
  [ts_external_token_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [ts_external_token_escape_sequence] = sym_escape_sequence,
  [ts_external_token_regex_pattern] = sym_regex_pattern,
};

static const bool ts_external_scanner_states[9][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [2] = {
    [ts_external_token_html_comment] = true,
  },
  [3] = {
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [4] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [5] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_html_comment] = true,
  },
  [6] = {
    [ts_external_token__template_chars] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [7] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [8] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_regex_pattern] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_javascript_external_scanner_create(void);
void tree_sitter_javascript_external_scanner_destroy(void *);
bool tree_sitter_javascript_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_javascript_external_scanner_serialize(void *, char *);
void tree_sitter_javascript_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_javascript(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_javascript_external_scanner_create,
      tree_sitter_javascript_external_scanner_destroy,
      tree_sitter_javascript_external_scanner_scan,
      tree_sitter_javascript_external_scanner_serialize,
      tree_sitter_javascript_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
