#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2045
#define LARGE_STATE_COUNT 365
#define SYMBOL_COUNT 166
#define ALIAS_COUNT 0
#define TOKEN_COUNT 96
#define EXTERNAL_TOKEN_COUNT 1
#define FIELD_COUNT 15
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 24

enum ts_symbol_identifiers {
  sym_identifier = 1,
  anon_sym_SEMI = 2,
  anon_sym_LBRACE = 3,
  anon_sym_RBRACE = 4,
  anon_sym_if = 5,
  anon_sym_else = 6,
  anon_sym_while = 7,
  anon_sym_LPAREN = 8,
  anon_sym_RPAREN = 9,
  anon_sym_do = 10,
  anon_sym_switch = 11,
  anon_sym_case = 12,
  anon_sym_COLON = 13,
  anon_sym_default = 14,
  anon_sym_for = 15,
  anon_sym_foreach = 16,
  anon_sym_COMMA = 17,
  anon_sym_in = 18,
  anon_sym_break = 19,
  anon_sym_continue = 20,
  anon_sym_return = 21,
  anon_sym_yield = 22,
  anon_sym_LF = 23,
  anon_sym_resume = 24,
  anon_sym_local = 25,
  anon_sym_EQ = 26,
  anon_sym_LT_DASH = 27,
  anon_sym_function = 28,
  anon_sym_COLON_COLON = 29,
  anon_sym_DOT_DOT_DOT = 30,
  anon_sym_class = 31,
  anon_sym_DOT = 32,
  anon_sym_extends = 33,
  anon_sym_LBRACK = 34,
  anon_sym_RBRACK = 35,
  anon_sym_constructor = 36,
  anon_sym_static = 37,
  anon_sym_try = 38,
  anon_sym_catch = 39,
  anon_sym_throw = 40,
  anon_sym_const = 41,
  anon_sym_enum = 42,
  anon_sym_LT_SLASH = 43,
  anon_sym_SLASH_GT = 44,
  anon_sym_DASH = 45,
  anon_sym_TILDE = 46,
  anon_sym_BANG = 47,
  anon_sym_typeof = 48,
  anon_sym_PLUS_PLUS = 49,
  anon_sym_DASH_DASH = 50,
  anon_sym_PLUS = 51,
  anon_sym_STAR = 52,
  anon_sym_SLASH = 53,
  anon_sym_PERCENT = 54,
  anon_sym_PIPE_PIPE = 55,
  anon_sym_AMP_AMP = 56,
  anon_sym_PIPE = 57,
  anon_sym_CARET = 58,
  anon_sym_AMP = 59,
  anon_sym_EQ_EQ = 60,
  anon_sym_BANG_EQ = 61,
  anon_sym_LT_EQ_GT = 62,
  anon_sym_GT = 63,
  anon_sym_GT_EQ = 64,
  anon_sym_LT_EQ = 65,
  anon_sym_LT = 66,
  anon_sym_instanceof = 67,
  anon_sym_LT_LT = 68,
  anon_sym_GT_GT = 69,
  anon_sym_GT_GT_GT = 70,
  anon_sym_QMARK = 71,
  anon_sym_PLUS_EQ = 72,
  anon_sym_DASH_EQ = 73,
  anon_sym_STAR_EQ = 74,
  anon_sym_SLASH_EQ = 75,
  anon_sym_PERCENT_EQ = 76,
  anon_sym_delete = 77,
  anon_sym_var = 78,
  anon_sym_rawcall = 79,
  anon_sym_AT = 80,
  anon_sym_clone = 81,
  sym_integer = 82,
  sym_float = 83,
  anon_sym_DQUOTE = 84,
  sym_string_content = 85,
  anon_sym_SQUOTE = 86,
  aux_sym_char_token1 = 87,
  anon_sym_SQUOTE_POUND_SQUOTE = 88,
  aux_sym__escape_sequence_token1 = 89,
  sym_escape_sequence = 90,
  anon_sym_true = 91,
  anon_sym_false = 92,
  sym_null = 93,
  sym_comment = 94,
  sym_verbatim_string = 95,
  sym_script = 96,
  aux_sym__statements = 97,
  sym_block = 98,
  sym_if_statement = 99,
  sym_else_statement = 100,
  sym_while_statement = 101,
  sym_do_while_statement = 102,
  sym_switch_statement = 103,
  sym_case_statement = 104,
  sym_default_statement = 105,
  sym_for_statement = 106,
  sym_foreach_statement = 107,
  sym_break = 108,
  sym_continue = 109,
  sym_return = 110,
  sym_yield = 111,
  sym_resume_expression = 112,
  sym_local_declaration = 113,
  sym__initz = 114,
  sym_function_declaration = 115,
  sym_parameters = 116,
  sym_parameter = 117,
  sym_class_declaration = 118,
  sym_member_declaration = 119,
  sym_qualifier = 120,
  sym_try_statement = 121,
  sym_catch_statement = 122,
  sym_throw_statement = 123,
  sym_const_declaration = 124,
  sym_const_value = 125,
  sym_enum_declaration = 126,
  sym_attribute_declaration = 127,
  sym_expression = 128,
  sym_primary_expression = 129,
  sym_unary_expression = 130,
  sym_binary_expression = 131,
  sym_ternary_expression = 132,
  sym_assignment_expression = 133,
  sym_update_expression = 134,
  sym_table = 135,
  sym_table_slots = 136,
  sym_table_slot = 137,
  sym_delete_expression = 138,
  sym_var_statement = 139,
  sym_deref_expression = 140,
  sym_index_expression = 141,
  sym_call_expression = 142,
  sym_call_args = 143,
  sym_anonymous_function = 144,
  sym_lambda_expression = 145,
  sym_parenthesized_expression = 146,
  sym_clone_expression = 147,
  sym_array = 148,
  sym_global_variable = 149,
  sym_string = 150,
  sym_char = 151,
  sym__escape_sequence = 152,
  sym_bool = 153,
  aux_sym_block_repeat1 = 154,
  aux_sym_switch_statement_repeat1 = 155,
  aux_sym_function_declaration_repeat1 = 156,
  aux_sym_parameters_repeat1 = 157,
  aux_sym_class_declaration_repeat1 = 158,
  aux_sym_class_declaration_repeat2 = 159,
  aux_sym_enum_declaration_repeat1 = 160,
  aux_sym_attribute_declaration_repeat1 = 161,
  aux_sym_table_slots_repeat1 = 162,
  aux_sym_call_args_repeat1 = 163,
  aux_sym_array_repeat1 = 164,
  aux_sym_string_repeat1 = 165,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_SEMI] = ";",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_while] = "while",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_do] = "do",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_COLON] = ":",
  [anon_sym_default] = "default",
  [anon_sym_for] = "for",
  [anon_sym_foreach] = "foreach",
  [anon_sym_COMMA] = ",",
  [anon_sym_in] = "in",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_return] = "return",
  [anon_sym_yield] = "yield",
  [anon_sym_LF] = "\n",
  [anon_sym_resume] = "resume",
  [anon_sym_local] = "local",
  [anon_sym_EQ] = "=",
  [anon_sym_LT_DASH] = "<-",
  [anon_sym_function] = "function",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_class] = "class",
  [anon_sym_DOT] = ".",
  [anon_sym_extends] = "extends",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_constructor] = "constructor",
  [anon_sym_static] = "static",
  [anon_sym_try] = "try",
  [anon_sym_catch] = "catch",
  [anon_sym_throw] = "throw",
  [anon_sym_const] = "const",
  [anon_sym_enum] = "enum",
  [anon_sym_LT_SLASH] = "</",
  [anon_sym_SLASH_GT] = "/>",
  [anon_sym_DASH] = "-",
  [anon_sym_TILDE] = "~",
  [anon_sym_BANG] = "!",
  [anon_sym_typeof] = "typeof",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_QMARK] = "\?",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_delete] = "delete",
  [anon_sym_var] = "var",
  [anon_sym_rawcall] = "rawcall",
  [anon_sym_AT] = "@",
  [anon_sym_clone] = "clone",
  [sym_integer] = "integer",
  [sym_float] = "float",
  [anon_sym_DQUOTE] = "\"",
  [sym_string_content] = "string_content",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_char_token1] = "char_token1",
  [anon_sym_SQUOTE_POUND_SQUOTE] = "'#'",
  [aux_sym__escape_sequence_token1] = "_escape_sequence_token1",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [sym_null] = "null",
  [sym_comment] = "comment",
  [sym_verbatim_string] = "verbatim_string",
  [sym_script] = "script",
  [aux_sym__statements] = "_statements",
  [sym_block] = "block",
  [sym_if_statement] = "if_statement",
  [sym_else_statement] = "else_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_while_statement] = "do_while_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_case_statement] = "case_statement",
  [sym_default_statement] = "default_statement",
  [sym_for_statement] = "for_statement",
  [sym_foreach_statement] = "foreach_statement",
  [sym_break] = "break",
  [sym_continue] = "continue",
  [sym_return] = "return",
  [sym_yield] = "yield",
  [sym_resume_expression] = "resume_expression",
  [sym_local_declaration] = "local_declaration",
  [sym__initz] = "_initz",
  [sym_function_declaration] = "function_declaration",
  [sym_parameters] = "parameters",
  [sym_parameter] = "parameter",
  [sym_class_declaration] = "class_declaration",
  [sym_member_declaration] = "member_declaration",
  [sym_qualifier] = "qualifier",
  [sym_try_statement] = "try_statement",
  [sym_catch_statement] = "catch_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_const_declaration] = "const_declaration",
  [sym_const_value] = "const_value",
  [sym_enum_declaration] = "enum_declaration",
  [sym_attribute_declaration] = "attribute_declaration",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_ternary_expression] = "ternary_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_update_expression] = "update_expression",
  [sym_table] = "table",
  [sym_table_slots] = "table_slots",
  [sym_table_slot] = "table_slot",
  [sym_delete_expression] = "delete_expression",
  [sym_var_statement] = "var_statement",
  [sym_deref_expression] = "deref_expression",
  [sym_index_expression] = "index_expression",
  [sym_call_expression] = "call_expression",
  [sym_call_args] = "call_args",
  [sym_anonymous_function] = "anonymous_function",
  [sym_lambda_expression] = "lambda_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_clone_expression] = "clone_expression",
  [sym_array] = "array",
  [sym_global_variable] = "global_variable",
  [sym_string] = "string",
  [sym_char] = "char",
  [sym__escape_sequence] = "_escape_sequence",
  [sym_bool] = "bool",
  [aux_sym_block_repeat1] = "block_repeat1",
  [aux_sym_switch_statement_repeat1] = "switch_statement_repeat1",
  [aux_sym_function_declaration_repeat1] = "function_declaration_repeat1",
  [aux_sym_parameters_repeat1] = "parameters_repeat1",
  [aux_sym_class_declaration_repeat1] = "class_declaration_repeat1",
  [aux_sym_class_declaration_repeat2] = "class_declaration_repeat2",
  [aux_sym_enum_declaration_repeat1] = "enum_declaration_repeat1",
  [aux_sym_attribute_declaration_repeat1] = "attribute_declaration_repeat1",
  [aux_sym_table_slots_repeat1] = "table_slots_repeat1",
  [aux_sym_call_args_repeat1] = "call_args_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_foreach] = anon_sym_foreach,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_LF] = anon_sym_LF,
  [anon_sym_resume] = anon_sym_resume,
  [anon_sym_local] = anon_sym_local,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_LT_DASH] = anon_sym_LT_DASH,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_constructor] = anon_sym_constructor,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_LT_SLASH] = anon_sym_LT_SLASH,
  [anon_sym_SLASH_GT] = anon_sym_SLASH_GT,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_typeof] = anon_sym_typeof,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_rawcall] = anon_sym_rawcall,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_clone] = anon_sym_clone,
  [sym_integer] = sym_integer,
  [sym_float] = sym_float,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [sym_string_content] = sym_string_content,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_char_token1] = aux_sym_char_token1,
  [anon_sym_SQUOTE_POUND_SQUOTE] = anon_sym_SQUOTE_POUND_SQUOTE,
  [aux_sym__escape_sequence_token1] = aux_sym__escape_sequence_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [sym_null] = sym_null,
  [sym_comment] = sym_comment,
  [sym_verbatim_string] = sym_verbatim_string,
  [sym_script] = sym_script,
  [aux_sym__statements] = aux_sym__statements,
  [sym_block] = sym_block,
  [sym_if_statement] = sym_if_statement,
  [sym_else_statement] = sym_else_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_while_statement] = sym_do_while_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_case_statement] = sym_case_statement,
  [sym_default_statement] = sym_default_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_foreach_statement] = sym_foreach_statement,
  [sym_break] = sym_break,
  [sym_continue] = sym_continue,
  [sym_return] = sym_return,
  [sym_yield] = sym_yield,
  [sym_resume_expression] = sym_resume_expression,
  [sym_local_declaration] = sym_local_declaration,
  [sym__initz] = sym__initz,
  [sym_function_declaration] = sym_function_declaration,
  [sym_parameters] = sym_parameters,
  [sym_parameter] = sym_parameter,
  [sym_class_declaration] = sym_class_declaration,
  [sym_member_declaration] = sym_member_declaration,
  [sym_qualifier] = sym_qualifier,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_statement] = sym_catch_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_const_declaration] = sym_const_declaration,
  [sym_const_value] = sym_const_value,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_attribute_declaration] = sym_attribute_declaration,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_table] = sym_table,
  [sym_table_slots] = sym_table_slots,
  [sym_table_slot] = sym_table_slot,
  [sym_delete_expression] = sym_delete_expression,
  [sym_var_statement] = sym_var_statement,
  [sym_deref_expression] = sym_deref_expression,
  [sym_index_expression] = sym_index_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_call_args] = sym_call_args,
  [sym_anonymous_function] = sym_anonymous_function,
  [sym_lambda_expression] = sym_lambda_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_clone_expression] = sym_clone_expression,
  [sym_array] = sym_array,
  [sym_global_variable] = sym_global_variable,
  [sym_string] = sym_string,
  [sym_char] = sym_char,
  [sym__escape_sequence] = sym__escape_sequence,
  [sym_bool] = sym_bool,
  [aux_sym_block_repeat1] = aux_sym_block_repeat1,
  [aux_sym_switch_statement_repeat1] = aux_sym_switch_statement_repeat1,
  [aux_sym_function_declaration_repeat1] = aux_sym_function_declaration_repeat1,
  [aux_sym_parameters_repeat1] = aux_sym_parameters_repeat1,
  [aux_sym_class_declaration_repeat1] = aux_sym_class_declaration_repeat1,
  [aux_sym_class_declaration_repeat2] = aux_sym_class_declaration_repeat2,
  [aux_sym_enum_declaration_repeat1] = aux_sym_enum_declaration_repeat1,
  [aux_sym_attribute_declaration_repeat1] = aux_sym_attribute_declaration_repeat1,
  [aux_sym_table_slots_repeat1] = aux_sym_table_slots_repeat1,
  [aux_sym_call_args_repeat1] = aux_sym_call_args_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_foreach] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_resume] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constructor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rawcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_clone] = {
    .visible = true,
    .named = false,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_char_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE_POUND_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__escape_sequence_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_verbatim_string] = {
    .visible = true,
    .named = true,
  },
  [sym_script] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__statements] = {
    .visible = false,
    .named = false,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_default_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break] = {
    .visible = true,
    .named = true,
  },
  [sym_continue] = {
    .visible = true,
    .named = true,
  },
  [sym_return] = {
    .visible = true,
    .named = true,
  },
  [sym_yield] = {
    .visible = true,
    .named = true,
  },
  [sym_resume_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_local_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__initz] = {
    .visible = false,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_member_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_const_value] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_table] = {
    .visible = true,
    .named = true,
  },
  [sym_table_slots] = {
    .visible = true,
    .named = true,
  },
  [sym_table_slot] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_var_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_deref_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_index_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_args] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_clone_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_global_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_char] = {
    .visible = true,
    .named = true,
  },
  [sym__escape_sequence] = {
    .visible = false,
    .named = true,
  },
  [sym_bool] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_declaration_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_table_slots_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_call_args_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_case = 2,
  field_collection = 3,
  field_condition = 4,
  field_consequence = 5,
  field_function = 6,
  field_increment = 7,
  field_index = 8,
  field_initial = 9,
  field_left = 10,
  field_object = 11,
  field_operand = 12,
  field_operator = 13,
  field_right = 14,
  field_value = 15,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_case] = "case",
  [field_collection] = "collection",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_function] = "function",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_initial] = "initial",
  [field_left] = "left",
  [field_object] = "object",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_right] = "right",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 2},
  [2] = {.index = 2, .length = 2},
  [3] = {.index = 4, .length = 2},
  [4] = {.index = 6, .length = 1},
  [5] = {.index = 7, .length = 3},
  [6] = {.index = 10, .length = 3},
  [7] = {.index = 13, .length = 2},
  [8] = {.index = 15, .length = 1},
  [9] = {.index = 16, .length = 3},
  [10] = {.index = 19, .length = 2},
  [11] = {.index = 21, .length = 1},
  [12] = {.index = 22, .length = 1},
  [13] = {.index = 23, .length = 1},
  [14] = {.index = 24, .length = 2},
  [15] = {.index = 26, .length = 3},
  [16] = {.index = 29, .length = 1},
  [17] = {.index = 30, .length = 2},
  [18] = {.index = 32, .length = 2},
  [19] = {.index = 34, .length = 2},
  [20] = {.index = 36, .length = 6},
  [21] = {.index = 42, .length = 6},
  [22] = {.index = 48, .length = 3},
  [23] = {.index = 51, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_operand, 1},
    {field_operator, 0},
  [2] =
    {field_operand, 0},
    {field_operator, 1},
  [4] =
    {field_condition, 1},
    {field_consequence, 2},
  [6] =
    {field_function, 0},
  [7] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [10] =
    {field_condition, 1},
    {field_consequence, 2},
    {field_consequence, 3},
  [13] =
    {field_index, 2},
    {field_object, 0},
  [15] =
    {field_alternative, 1},
  [16] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [19] =
    {field_alternative, 1},
    {field_alternative, 2},
  [21] =
    {field_increment, 4},
  [22] =
    {field_condition, 3},
  [23] =
    {field_initial, 2},
  [24] =
    {field_collection, 4},
    {field_value, 2},
  [26] =
    {field_left, 1},
    {field_operator, 2},
    {field_right, 3},
  [29] =
    {field_case, 1},
  [30] =
    {field_condition, 3},
    {field_increment, 5},
  [32] =
    {field_increment, 5},
    {field_initial, 2},
  [34] =
    {field_condition, 4},
    {field_initial, 2},
  [36] =
    {field_left, 1},
    {field_left, 4, .inherited = true},
    {field_operator, 2},
    {field_operator, 4, .inherited = true},
    {field_right, 3},
    {field_right, 4, .inherited = true},
  [42] =
    {field_left, 0, .inherited = true},
    {field_left, 1, .inherited = true},
    {field_operator, 0, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 0, .inherited = true},
    {field_right, 1, .inherited = true},
  [48] =
    {field_condition, 4},
    {field_increment, 6},
    {field_initial, 2},
  [51] =
    {field_collection, 6},
    {field_index, 2},
    {field_value, 4},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 2,
  [8] = 2,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 9,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 2,
  [19] = 19,
  [20] = 17,
  [21] = 15,
  [22] = 22,
  [23] = 17,
  [24] = 17,
  [25] = 15,
  [26] = 15,
  [27] = 9,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 30,
  [40] = 38,
  [41] = 30,
  [42] = 42,
  [43] = 30,
  [44] = 42,
  [45] = 29,
  [46] = 37,
  [47] = 47,
  [48] = 29,
  [49] = 49,
  [50] = 50,
  [51] = 29,
  [52] = 52,
  [53] = 42,
  [54] = 54,
  [55] = 49,
  [56] = 56,
  [57] = 57,
  [58] = 36,
  [59] = 56,
  [60] = 35,
  [61] = 36,
  [62] = 31,
  [63] = 29,
  [64] = 34,
  [65] = 33,
  [66] = 32,
  [67] = 42,
  [68] = 38,
  [69] = 28,
  [70] = 37,
  [71] = 35,
  [72] = 56,
  [73] = 34,
  [74] = 33,
  [75] = 32,
  [76] = 76,
  [77] = 30,
  [78] = 38,
  [79] = 47,
  [80] = 80,
  [81] = 81,
  [82] = 47,
  [83] = 81,
  [84] = 80,
  [85] = 52,
  [86] = 76,
  [87] = 32,
  [88] = 33,
  [89] = 34,
  [90] = 35,
  [91] = 80,
  [92] = 37,
  [93] = 38,
  [94] = 42,
  [95] = 29,
  [96] = 37,
  [97] = 49,
  [98] = 50,
  [99] = 36,
  [100] = 31,
  [101] = 31,
  [102] = 36,
  [103] = 47,
  [104] = 80,
  [105] = 81,
  [106] = 35,
  [107] = 34,
  [108] = 52,
  [109] = 76,
  [110] = 76,
  [111] = 32,
  [112] = 33,
  [113] = 49,
  [114] = 32,
  [115] = 33,
  [116] = 50,
  [117] = 47,
  [118] = 34,
  [119] = 35,
  [120] = 31,
  [121] = 37,
  [122] = 76,
  [123] = 80,
  [124] = 81,
  [125] = 38,
  [126] = 42,
  [127] = 47,
  [128] = 49,
  [129] = 28,
  [130] = 50,
  [131] = 80,
  [132] = 52,
  [133] = 30,
  [134] = 52,
  [135] = 28,
  [136] = 81,
  [137] = 76,
  [138] = 81,
  [139] = 31,
  [140] = 32,
  [141] = 33,
  [142] = 34,
  [143] = 35,
  [144] = 36,
  [145] = 145,
  [146] = 37,
  [147] = 80,
  [148] = 38,
  [149] = 47,
  [150] = 42,
  [151] = 50,
  [152] = 29,
  [153] = 49,
  [154] = 50,
  [155] = 30,
  [156] = 56,
  [157] = 47,
  [158] = 28,
  [159] = 28,
  [160] = 49,
  [161] = 50,
  [162] = 49,
  [163] = 29,
  [164] = 76,
  [165] = 42,
  [166] = 50,
  [167] = 81,
  [168] = 38,
  [169] = 52,
  [170] = 52,
  [171] = 28,
  [172] = 76,
  [173] = 36,
  [174] = 31,
  [175] = 37,
  [176] = 30,
  [177] = 31,
  [178] = 32,
  [179] = 33,
  [180] = 34,
  [181] = 28,
  [182] = 81,
  [183] = 35,
  [184] = 36,
  [185] = 9,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 206,
  [207] = 207,
  [208] = 208,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 214,
  [215] = 215,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 189,
  [366] = 278,
  [367] = 306,
  [368] = 348,
  [369] = 186,
  [370] = 195,
  [371] = 280,
  [372] = 279,
  [373] = 292,
  [374] = 194,
  [375] = 193,
  [376] = 192,
  [377] = 188,
  [378] = 187,
  [379] = 329,
  [380] = 203,
  [381] = 197,
  [382] = 330,
  [383] = 251,
  [384] = 250,
  [385] = 320,
  [386] = 204,
  [387] = 200,
  [388] = 202,
  [389] = 286,
  [390] = 190,
  [391] = 333,
  [392] = 334,
  [393] = 357,
  [394] = 351,
  [395] = 395,
  [396] = 396,
  [397] = 397,
  [398] = 398,
  [399] = 399,
  [400] = 400,
  [401] = 401,
  [402] = 401,
  [403] = 400,
  [404] = 404,
  [405] = 404,
  [406] = 404,
  [407] = 404,
  [408] = 401,
  [409] = 404,
  [410] = 401,
  [411] = 400,
  [412] = 404,
  [413] = 400,
  [414] = 404,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 419,
  [420] = 420,
  [421] = 418,
  [422] = 422,
  [423] = 420,
  [424] = 419,
  [425] = 419,
  [426] = 419,
  [427] = 427,
  [428] = 419,
  [429] = 419,
  [430] = 420,
  [431] = 419,
  [432] = 432,
  [433] = 419,
  [434] = 420,
  [435] = 435,
  [436] = 427,
  [437] = 427,
  [438] = 418,
  [439] = 427,
  [440] = 418,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 443,
  [447] = 445,
  [448] = 443,
  [449] = 449,
  [450] = 445,
  [451] = 451,
  [452] = 452,
  [453] = 445,
  [454] = 443,
  [455] = 441,
  [456] = 451,
  [457] = 457,
  [458] = 458,
  [459] = 452,
  [460] = 460,
  [461] = 460,
  [462] = 451,
  [463] = 443,
  [464] = 464,
  [465] = 442,
  [466] = 460,
  [467] = 441,
  [468] = 441,
  [469] = 445,
  [470] = 452,
  [471] = 460,
  [472] = 472,
  [473] = 472,
  [474] = 452,
  [475] = 442,
  [476] = 451,
  [477] = 441,
  [478] = 443,
  [479] = 472,
  [480] = 460,
  [481] = 460,
  [482] = 482,
  [483] = 451,
  [484] = 451,
  [485] = 460,
  [486] = 451,
  [487] = 441,
  [488] = 472,
  [489] = 445,
  [490] = 490,
  [491] = 491,
  [492] = 442,
  [493] = 445,
  [494] = 441,
  [495] = 443,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 499,
  [501] = 496,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 503,
  [506] = 503,
  [507] = 507,
  [508] = 499,
  [509] = 496,
  [510] = 497,
  [511] = 504,
  [512] = 512,
  [513] = 502,
  [514] = 502,
  [515] = 512,
  [516] = 507,
  [517] = 503,
  [518] = 499,
  [519] = 504,
  [520] = 497,
  [521] = 502,
  [522] = 496,
  [523] = 503,
  [524] = 507,
  [525] = 499,
  [526] = 512,
  [527] = 504,
  [528] = 497,
  [529] = 504,
  [530] = 497,
  [531] = 502,
  [532] = 504,
  [533] = 497,
  [534] = 496,
  [535] = 499,
  [536] = 503,
  [537] = 496,
  [538] = 497,
  [539] = 504,
  [540] = 496,
  [541] = 499,
  [542] = 502,
  [543] = 507,
  [544] = 502,
  [545] = 503,
  [546] = 512,
  [547] = 504,
  [548] = 503,
  [549] = 499,
  [550] = 497,
  [551] = 502,
  [552] = 496,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 189,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 553,
  [567] = 567,
  [568] = 559,
  [569] = 560,
  [570] = 570,
  [571] = 554,
  [572] = 572,
  [573] = 573,
  [574] = 570,
  [575] = 555,
  [576] = 554,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 567,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 583,
  [585] = 585,
  [586] = 561,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 573,
  [591] = 558,
  [592] = 561,
  [593] = 593,
  [594] = 594,
  [595] = 557,
  [596] = 585,
  [597] = 561,
  [598] = 555,
  [599] = 581,
  [600] = 572,
  [601] = 186,
  [602] = 579,
  [603] = 581,
  [604] = 572,
  [605] = 588,
  [606] = 606,
  [607] = 607,
  [608] = 555,
  [609] = 583,
  [610] = 593,
  [611] = 589,
  [612] = 588,
  [613] = 583,
  [614] = 614,
  [615] = 587,
  [616] = 579,
  [617] = 617,
  [618] = 557,
  [619] = 572,
  [620] = 577,
  [621] = 573,
  [622] = 554,
  [623] = 570,
  [624] = 558,
  [625] = 559,
  [626] = 593,
  [627] = 553,
  [628] = 565,
  [629] = 564,
  [630] = 563,
  [631] = 301,
  [632] = 302,
  [633] = 585,
  [634] = 617,
  [635] = 562,
  [636] = 577,
  [637] = 593,
  [638] = 588,
  [639] = 639,
  [640] = 578,
  [641] = 558,
  [642] = 560,
  [643] = 567,
  [644] = 581,
  [645] = 189,
  [646] = 188,
  [647] = 585,
  [648] = 557,
  [649] = 572,
  [650] = 578,
  [651] = 589,
  [652] = 187,
  [653] = 561,
  [654] = 361,
  [655] = 362,
  [656] = 555,
  [657] = 577,
  [658] = 579,
  [659] = 587,
  [660] = 581,
  [661] = 573,
  [662] = 554,
  [663] = 593,
  [664] = 570,
  [665] = 585,
  [666] = 559,
  [667] = 553,
  [668] = 565,
  [669] = 564,
  [670] = 563,
  [671] = 565,
  [672] = 562,
  [673] = 588,
  [674] = 567,
  [675] = 564,
  [676] = 578,
  [677] = 560,
  [678] = 617,
  [679] = 558,
  [680] = 313,
  [681] = 315,
  [682] = 593,
  [683] = 572,
  [684] = 617,
  [685] = 588,
  [686] = 558,
  [687] = 585,
  [688] = 562,
  [689] = 593,
  [690] = 572,
  [691] = 561,
  [692] = 560,
  [693] = 585,
  [694] = 567,
  [695] = 563,
  [696] = 579,
  [697] = 572,
  [698] = 554,
  [699] = 561,
  [700] = 567,
  [701] = 570,
  [702] = 561,
  [703] = 560,
  [704] = 581,
  [705] = 252,
  [706] = 562,
  [707] = 563,
  [708] = 564,
  [709] = 565,
  [710] = 553,
  [711] = 559,
  [712] = 570,
  [713] = 554,
  [714] = 573,
  [715] = 559,
  [716] = 555,
  [717] = 579,
  [718] = 579,
  [719] = 565,
  [720] = 564,
  [721] = 573,
  [722] = 553,
  [723] = 570,
  [724] = 559,
  [725] = 573,
  [726] = 585,
  [727] = 555,
  [728] = 587,
  [729] = 562,
  [730] = 581,
  [731] = 588,
  [732] = 589,
  [733] = 558,
  [734] = 560,
  [735] = 563,
  [736] = 567,
  [737] = 562,
  [738] = 563,
  [739] = 564,
  [740] = 565,
  [741] = 553,
  [742] = 312,
  [743] = 357,
  [744] = 348,
  [745] = 219,
  [746] = 220,
  [747] = 222,
  [748] = 330,
  [749] = 329,
  [750] = 223,
  [751] = 225,
  [752] = 226,
  [753] = 227,
  [754] = 228,
  [755] = 230,
  [756] = 306,
  [757] = 231,
  [758] = 232,
  [759] = 233,
  [760] = 234,
  [761] = 236,
  [762] = 237,
  [763] = 239,
  [764] = 241,
  [765] = 320,
  [766] = 351,
  [767] = 256,
  [768] = 360,
  [769] = 282,
  [770] = 285,
  [771] = 208,
  [772] = 306,
  [773] = 255,
  [774] = 353,
  [775] = 335,
  [776] = 319,
  [777] = 308,
  [778] = 329,
  [779] = 330,
  [780] = 310,
  [781] = 318,
  [782] = 322,
  [783] = 326,
  [784] = 327,
  [785] = 332,
  [786] = 203,
  [787] = 202,
  [788] = 331,
  [789] = 200,
  [790] = 339,
  [791] = 342,
  [792] = 197,
  [793] = 195,
  [794] = 194,
  [795] = 193,
  [796] = 192,
  [797] = 279,
  [798] = 280,
  [799] = 278,
  [800] = 292,
  [801] = 348,
  [802] = 349,
  [803] = 341,
  [804] = 343,
  [805] = 344,
  [806] = 350,
  [807] = 352,
  [808] = 354,
  [809] = 358,
  [810] = 217,
  [811] = 355,
  [812] = 305,
  [813] = 328,
  [814] = 323,
  [815] = 317,
  [816] = 299,
  [817] = 304,
  [818] = 251,
  [819] = 295,
  [820] = 190,
  [821] = 300,
  [822] = 291,
  [823] = 289,
  [824] = 213,
  [825] = 206,
  [826] = 245,
  [827] = 248,
  [828] = 249,
  [829] = 253,
  [830] = 269,
  [831] = 276,
  [832] = 287,
  [833] = 288,
  [834] = 293,
  [835] = 303,
  [836] = 307,
  [837] = 283,
  [838] = 311,
  [839] = 218,
  [840] = 281,
  [841] = 359,
  [842] = 191,
  [843] = 284,
  [844] = 347,
  [845] = 346,
  [846] = 333,
  [847] = 334,
  [848] = 345,
  [849] = 340,
  [850] = 338,
  [851] = 337,
  [852] = 336,
  [853] = 187,
  [854] = 294,
  [855] = 188,
  [856] = 189,
  [857] = 356,
  [858] = 325,
  [859] = 324,
  [860] = 321,
  [861] = 314,
  [862] = 298,
  [863] = 297,
  [864] = 309,
  [865] = 316,
  [866] = 286,
  [867] = 275,
  [868] = 274,
  [869] = 273,
  [870] = 272,
  [871] = 271,
  [872] = 270,
  [873] = 268,
  [874] = 267,
  [875] = 266,
  [876] = 876,
  [877] = 265,
  [878] = 264,
  [879] = 263,
  [880] = 262,
  [881] = 186,
  [882] = 186,
  [883] = 252,
  [884] = 261,
  [885] = 260,
  [886] = 259,
  [887] = 258,
  [888] = 315,
  [889] = 313,
  [890] = 257,
  [891] = 254,
  [892] = 243,
  [893] = 238,
  [894] = 221,
  [895] = 362,
  [896] = 361,
  [897] = 212,
  [898] = 211,
  [899] = 210,
  [900] = 209,
  [901] = 290,
  [902] = 302,
  [903] = 301,
  [904] = 207,
  [905] = 204,
  [906] = 296,
  [907] = 292,
  [908] = 278,
  [909] = 280,
  [910] = 279,
  [911] = 192,
  [912] = 193,
  [913] = 194,
  [914] = 195,
  [915] = 196,
  [916] = 197,
  [917] = 198,
  [918] = 199,
  [919] = 201,
  [920] = 203,
  [921] = 205,
  [922] = 214,
  [923] = 215,
  [924] = 216,
  [925] = 224,
  [926] = 229,
  [927] = 235,
  [928] = 240,
  [929] = 242,
  [930] = 244,
  [931] = 246,
  [932] = 247,
  [933] = 187,
  [934] = 188,
  [935] = 250,
  [936] = 277,
  [937] = 210,
  [938] = 241,
  [939] = 351,
  [940] = 334,
  [941] = 333,
  [942] = 190,
  [943] = 251,
  [944] = 200,
  [945] = 202,
  [946] = 320,
  [947] = 191,
  [948] = 204,
  [949] = 250,
  [950] = 251,
  [951] = 348,
  [952] = 357,
  [953] = 334,
  [954] = 333,
  [955] = 286,
  [956] = 190,
  [957] = 292,
  [958] = 278,
  [959] = 284,
  [960] = 213,
  [961] = 289,
  [962] = 291,
  [963] = 299,
  [964] = 317,
  [965] = 323,
  [966] = 328,
  [967] = 355,
  [968] = 354,
  [969] = 353,
  [970] = 351,
  [971] = 349,
  [972] = 280,
  [973] = 342,
  [974] = 339,
  [975] = 332,
  [976] = 279,
  [977] = 192,
  [978] = 320,
  [979] = 319,
  [980] = 193,
  [981] = 283,
  [982] = 194,
  [983] = 195,
  [984] = 189,
  [985] = 277,
  [986] = 250,
  [987] = 247,
  [988] = 246,
  [989] = 197,
  [990] = 244,
  [991] = 242,
  [992] = 240,
  [993] = 235,
  [994] = 229,
  [995] = 224,
  [996] = 216,
  [997] = 215,
  [998] = 214,
  [999] = 205,
  [1000] = 200,
  [1001] = 202,
  [1002] = 201,
  [1003] = 203,
  [1004] = 199,
  [1005] = 198,
  [1006] = 306,
  [1007] = 196,
  [1008] = 329,
  [1009] = 330,
  [1010] = 356,
  [1011] = 217,
  [1012] = 218,
  [1013] = 219,
  [1014] = 220,
  [1015] = 222,
  [1016] = 296,
  [1017] = 223,
  [1018] = 204,
  [1019] = 207,
  [1020] = 290,
  [1021] = 209,
  [1022] = 225,
  [1023] = 211,
  [1024] = 212,
  [1025] = 226,
  [1026] = 227,
  [1027] = 221,
  [1028] = 238,
  [1029] = 243,
  [1030] = 228,
  [1031] = 254,
  [1032] = 230,
  [1033] = 231,
  [1034] = 257,
  [1035] = 258,
  [1036] = 259,
  [1037] = 260,
  [1038] = 261,
  [1039] = 262,
  [1040] = 263,
  [1041] = 264,
  [1042] = 265,
  [1043] = 266,
  [1044] = 267,
  [1045] = 268,
  [1046] = 232,
  [1047] = 270,
  [1048] = 271,
  [1049] = 272,
  [1050] = 273,
  [1051] = 274,
  [1052] = 275,
  [1053] = 233,
  [1054] = 286,
  [1055] = 234,
  [1056] = 236,
  [1057] = 309,
  [1058] = 297,
  [1059] = 298,
  [1060] = 237,
  [1061] = 239,
  [1062] = 256,
  [1063] = 281,
  [1064] = 314,
  [1065] = 321,
  [1066] = 324,
  [1067] = 325,
  [1068] = 282,
  [1069] = 285,
  [1070] = 294,
  [1071] = 336,
  [1072] = 337,
  [1073] = 338,
  [1074] = 340,
  [1075] = 345,
  [1076] = 346,
  [1077] = 347,
  [1078] = 208,
  [1079] = 255,
  [1080] = 335,
  [1081] = 308,
  [1082] = 357,
  [1083] = 359,
  [1084] = 360,
  [1085] = 310,
  [1086] = 318,
  [1087] = 322,
  [1088] = 326,
  [1089] = 312,
  [1090] = 327,
  [1091] = 307,
  [1092] = 303,
  [1093] = 293,
  [1094] = 288,
  [1095] = 287,
  [1096] = 276,
  [1097] = 269,
  [1098] = 253,
  [1099] = 249,
  [1100] = 248,
  [1101] = 245,
  [1102] = 331,
  [1103] = 206,
  [1104] = 300,
  [1105] = 295,
  [1106] = 341,
  [1107] = 316,
  [1108] = 304,
  [1109] = 305,
  [1110] = 311,
  [1111] = 343,
  [1112] = 344,
  [1113] = 350,
  [1114] = 358,
  [1115] = 352,
  [1116] = 292,
  [1117] = 195,
  [1118] = 306,
  [1119] = 329,
  [1120] = 348,
  [1121] = 330,
  [1122] = 186,
  [1123] = 187,
  [1124] = 203,
  [1125] = 278,
  [1126] = 280,
  [1127] = 279,
  [1128] = 192,
  [1129] = 193,
  [1130] = 194,
  [1131] = 188,
  [1132] = 197,
  [1133] = 357,
  [1134] = 1134,
  [1135] = 200,
  [1136] = 351,
  [1137] = 320,
  [1138] = 334,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1141,
  [1142] = 250,
  [1143] = 204,
  [1144] = 202,
  [1145] = 251,
  [1146] = 1146,
  [1147] = 1147,
  [1148] = 190,
  [1149] = 286,
  [1150] = 1150,
  [1151] = 333,
  [1152] = 188,
  [1153] = 189,
  [1154] = 189,
  [1155] = 187,
  [1156] = 186,
  [1157] = 193,
  [1158] = 321,
  [1159] = 311,
  [1160] = 305,
  [1161] = 191,
  [1162] = 304,
  [1163] = 310,
  [1164] = 308,
  [1165] = 277,
  [1166] = 335,
  [1167] = 255,
  [1168] = 208,
  [1169] = 285,
  [1170] = 190,
  [1171] = 251,
  [1172] = 282,
  [1173] = 281,
  [1174] = 326,
  [1175] = 292,
  [1176] = 278,
  [1177] = 280,
  [1178] = 279,
  [1179] = 192,
  [1180] = 254,
  [1181] = 300,
  [1182] = 206,
  [1183] = 245,
  [1184] = 248,
  [1185] = 249,
  [1186] = 253,
  [1187] = 269,
  [1188] = 276,
  [1189] = 287,
  [1190] = 288,
  [1191] = 293,
  [1192] = 303,
  [1193] = 307,
  [1194] = 312,
  [1195] = 316,
  [1196] = 362,
  [1197] = 361,
  [1198] = 360,
  [1199] = 359,
  [1200] = 357,
  [1201] = 347,
  [1202] = 194,
  [1203] = 195,
  [1204] = 197,
  [1205] = 200,
  [1206] = 202,
  [1207] = 203,
  [1208] = 320,
  [1209] = 306,
  [1210] = 329,
  [1211] = 330,
  [1212] = 348,
  [1213] = 217,
  [1214] = 218,
  [1215] = 219,
  [1216] = 220,
  [1217] = 222,
  [1218] = 223,
  [1219] = 225,
  [1220] = 226,
  [1221] = 227,
  [1222] = 346,
  [1223] = 313,
  [1224] = 333,
  [1225] = 334,
  [1226] = 345,
  [1227] = 356,
  [1228] = 228,
  [1229] = 340,
  [1230] = 338,
  [1231] = 337,
  [1232] = 319,
  [1233] = 336,
  [1234] = 294,
  [1235] = 230,
  [1236] = 325,
  [1237] = 256,
  [1238] = 324,
  [1239] = 322,
  [1240] = 242,
  [1241] = 250,
  [1242] = 295,
  [1243] = 327,
  [1244] = 247,
  [1245] = 331,
  [1246] = 283,
  [1247] = 318,
  [1248] = 240,
  [1249] = 314,
  [1250] = 315,
  [1251] = 358,
  [1252] = 231,
  [1253] = 302,
  [1254] = 301,
  [1255] = 298,
  [1256] = 341,
  [1257] = 297,
  [1258] = 309,
  [1259] = 343,
  [1260] = 286,
  [1261] = 275,
  [1262] = 274,
  [1263] = 273,
  [1264] = 272,
  [1265] = 271,
  [1266] = 232,
  [1267] = 356,
  [1268] = 270,
  [1269] = 233,
  [1270] = 235,
  [1271] = 234,
  [1272] = 259,
  [1273] = 1273,
  [1274] = 1274,
  [1275] = 257,
  [1276] = 224,
  [1277] = 246,
  [1278] = 216,
  [1279] = 236,
  [1280] = 344,
  [1281] = 350,
  [1282] = 237,
  [1283] = 243,
  [1284] = 238,
  [1285] = 221,
  [1286] = 212,
  [1287] = 211,
  [1288] = 210,
  [1289] = 209,
  [1290] = 191,
  [1291] = 239,
  [1292] = 241,
  [1293] = 252,
  [1294] = 290,
  [1295] = 316,
  [1296] = 284,
  [1297] = 207,
  [1298] = 204,
  [1299] = 213,
  [1300] = 289,
  [1301] = 352,
  [1302] = 291,
  [1303] = 296,
  [1304] = 198,
  [1305] = 299,
  [1306] = 199,
  [1307] = 201,
  [1308] = 317,
  [1309] = 323,
  [1310] = 328,
  [1311] = 355,
  [1312] = 354,
  [1313] = 353,
  [1314] = 351,
  [1315] = 349,
  [1316] = 342,
  [1317] = 205,
  [1318] = 214,
  [1319] = 339,
  [1320] = 215,
  [1321] = 332,
  [1322] = 1322,
  [1323] = 1323,
  [1324] = 1322,
  [1325] = 1325,
  [1326] = 1323,
  [1327] = 1327,
  [1328] = 1322,
  [1329] = 1322,
  [1330] = 1323,
  [1331] = 1322,
  [1332] = 1323,
  [1333] = 1322,
  [1334] = 1322,
  [1335] = 1322,
  [1336] = 1336,
  [1337] = 1337,
  [1338] = 1338,
  [1339] = 1336,
  [1340] = 1340,
  [1341] = 1337,
  [1342] = 1337,
  [1343] = 1274,
  [1344] = 1273,
  [1345] = 1345,
  [1346] = 1338,
  [1347] = 1337,
  [1348] = 1336,
  [1349] = 1336,
  [1350] = 1338,
  [1351] = 1338,
  [1352] = 1352,
  [1353] = 1353,
  [1354] = 1354,
  [1355] = 1355,
  [1356] = 1356,
  [1357] = 1357,
  [1358] = 1358,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 1361,
  [1362] = 1362,
  [1363] = 1363,
  [1364] = 1353,
  [1365] = 1362,
  [1366] = 1353,
  [1367] = 1357,
  [1368] = 1362,
  [1369] = 1358,
  [1370] = 1370,
  [1371] = 1371,
  [1372] = 1361,
  [1373] = 1356,
  [1374] = 1353,
  [1375] = 1353,
  [1376] = 1376,
  [1377] = 1353,
  [1378] = 1358,
  [1379] = 1371,
  [1380] = 1353,
  [1381] = 1361,
  [1382] = 1376,
  [1383] = 1362,
  [1384] = 1358,
  [1385] = 1355,
  [1386] = 1359,
  [1387] = 1360,
  [1388] = 1376,
  [1389] = 1357,
  [1390] = 1355,
  [1391] = 1355,
  [1392] = 1352,
  [1393] = 1355,
  [1394] = 1361,
  [1395] = 1371,
  [1396] = 1361,
  [1397] = 1357,
  [1398] = 1398,
  [1399] = 1355,
  [1400] = 1370,
  [1401] = 1358,
  [1402] = 1357,
  [1403] = 1376,
  [1404] = 1361,
  [1405] = 1405,
  [1406] = 1398,
  [1407] = 1405,
  [1408] = 1361,
  [1409] = 1352,
  [1410] = 1370,
  [1411] = 1357,
  [1412] = 1360,
  [1413] = 1360,
  [1414] = 1355,
  [1415] = 1357,
  [1416] = 1359,
  [1417] = 1417,
  [1418] = 1359,
  [1419] = 1360,
  [1420] = 1363,
  [1421] = 1358,
  [1422] = 1363,
  [1423] = 1352,
  [1424] = 1405,
  [1425] = 1405,
  [1426] = 1371,
  [1427] = 1359,
  [1428] = 1360,
  [1429] = 1370,
  [1430] = 1353,
  [1431] = 1371,
  [1432] = 1358,
  [1433] = 1357,
  [1434] = 1434,
  [1435] = 1398,
  [1436] = 1405,
  [1437] = 1352,
  [1438] = 1352,
  [1439] = 1398,
  [1440] = 1359,
  [1441] = 1359,
  [1442] = 1360,
  [1443] = 1356,
  [1444] = 1356,
  [1445] = 1371,
  [1446] = 1370,
  [1447] = 1447,
  [1448] = 1370,
  [1449] = 1370,
  [1450] = 1405,
  [1451] = 1451,
  [1452] = 1370,
  [1453] = 1371,
  [1454] = 1358,
  [1455] = 1363,
  [1456] = 1352,
  [1457] = 1360,
  [1458] = 1359,
  [1459] = 1459,
  [1460] = 1355,
  [1461] = 1371,
  [1462] = 1405,
  [1463] = 1405,
  [1464] = 1352,
  [1465] = 1465,
  [1466] = 1465,
  [1467] = 1467,
  [1468] = 1468,
  [1469] = 1469,
  [1470] = 1470,
  [1471] = 1471,
  [1472] = 1472,
  [1473] = 1473,
  [1474] = 1474,
  [1475] = 1475,
  [1476] = 1476,
  [1477] = 1477,
  [1478] = 1478,
  [1479] = 1478,
  [1480] = 1480,
  [1481] = 1478,
  [1482] = 1474,
  [1483] = 1483,
  [1484] = 1476,
  [1485] = 1472,
  [1486] = 1474,
  [1487] = 1473,
  [1488] = 1475,
  [1489] = 1477,
  [1490] = 1471,
  [1491] = 1491,
  [1492] = 1471,
  [1493] = 1476,
  [1494] = 1471,
  [1495] = 1483,
  [1496] = 1475,
  [1497] = 1477,
  [1498] = 1473,
  [1499] = 1483,
  [1500] = 1491,
  [1501] = 1473,
  [1502] = 1491,
  [1503] = 1491,
  [1504] = 1475,
  [1505] = 1477,
  [1506] = 1472,
  [1507] = 1483,
  [1508] = 1474,
  [1509] = 1472,
  [1510] = 1478,
  [1511] = 1476,
  [1512] = 1512,
  [1513] = 1513,
  [1514] = 1514,
  [1515] = 1515,
  [1516] = 1516,
  [1517] = 1517,
  [1518] = 1518,
  [1519] = 1519,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 1522,
  [1523] = 1523,
  [1524] = 1524,
  [1525] = 1525,
  [1526] = 1526,
  [1527] = 1527,
  [1528] = 1528,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1528,
  [1532] = 1530,
  [1533] = 1527,
  [1534] = 1534,
  [1535] = 1535,
  [1536] = 1529,
  [1537] = 1537,
  [1538] = 1529,
  [1539] = 1530,
  [1540] = 1537,
  [1541] = 1535,
  [1542] = 1542,
  [1543] = 1530,
  [1544] = 1528,
  [1545] = 1535,
  [1546] = 1535,
  [1547] = 1527,
  [1548] = 1537,
  [1549] = 1527,
  [1550] = 1529,
  [1551] = 1537,
  [1552] = 1528,
  [1553] = 1553,
  [1554] = 1554,
  [1555] = 1555,
  [1556] = 1555,
  [1557] = 1553,
  [1558] = 1554,
  [1559] = 1555,
  [1560] = 1554,
  [1561] = 1561,
  [1562] = 1553,
  [1563] = 1563,
  [1564] = 1554,
  [1565] = 1563,
  [1566] = 1563,
  [1567] = 1567,
  [1568] = 1563,
  [1569] = 1555,
  [1570] = 1554,
  [1571] = 1563,
  [1572] = 1555,
  [1573] = 1555,
  [1574] = 1553,
  [1575] = 1563,
  [1576] = 1554,
  [1577] = 1554,
  [1578] = 1554,
  [1579] = 1553,
  [1580] = 1580,
  [1581] = 1581,
  [1582] = 1553,
  [1583] = 1563,
  [1584] = 1563,
  [1585] = 1555,
  [1586] = 1553,
  [1587] = 1587,
  [1588] = 1587,
  [1589] = 1589,
  [1590] = 1587,
  [1591] = 186,
  [1592] = 1589,
  [1593] = 188,
  [1594] = 1587,
  [1595] = 187,
  [1596] = 1589,
  [1597] = 1589,
  [1598] = 1598,
  [1599] = 1599,
  [1600] = 1600,
  [1601] = 1601,
  [1602] = 1602,
  [1603] = 1603,
  [1604] = 1604,
  [1605] = 1600,
  [1606] = 1606,
  [1607] = 1607,
  [1608] = 1600,
  [1609] = 1609,
  [1610] = 1610,
  [1611] = 1611,
  [1612] = 1612,
  [1613] = 1613,
  [1614] = 1614,
  [1615] = 1607,
  [1616] = 1616,
  [1617] = 1613,
  [1618] = 1607,
  [1619] = 1619,
  [1620] = 1620,
  [1621] = 1613,
  [1622] = 1603,
  [1623] = 1620,
  [1624] = 1624,
  [1625] = 1607,
  [1626] = 1619,
  [1627] = 1620,
  [1628] = 1628,
  [1629] = 1620,
  [1630] = 1606,
  [1631] = 1631,
  [1632] = 1632,
  [1633] = 1607,
  [1634] = 1613,
  [1635] = 1619,
  [1636] = 1619,
  [1637] = 1607,
  [1638] = 1606,
  [1639] = 1613,
  [1640] = 1640,
  [1641] = 1640,
  [1642] = 1628,
  [1643] = 1640,
  [1644] = 1644,
  [1645] = 1611,
  [1646] = 1628,
  [1647] = 1647,
  [1648] = 1613,
  [1649] = 1607,
  [1650] = 1611,
  [1651] = 1640,
  [1652] = 1600,
  [1653] = 1613,
  [1654] = 1654,
  [1655] = 1606,
  [1656] = 1656,
  [1657] = 1624,
  [1658] = 1632,
  [1659] = 1603,
  [1660] = 1624,
  [1661] = 1632,
  [1662] = 1613,
  [1663] = 1603,
  [1664] = 1611,
  [1665] = 1607,
  [1666] = 1632,
  [1667] = 1667,
  [1668] = 1628,
  [1669] = 1624,
  [1670] = 1670,
  [1671] = 1671,
  [1672] = 1672,
  [1673] = 1673,
  [1674] = 1674,
  [1675] = 1672,
  [1676] = 1676,
  [1677] = 1677,
  [1678] = 1678,
  [1679] = 1671,
  [1680] = 1674,
  [1681] = 1681,
  [1682] = 1681,
  [1683] = 1672,
  [1684] = 1678,
  [1685] = 1671,
  [1686] = 1599,
  [1687] = 1687,
  [1688] = 1688,
  [1689] = 1672,
  [1690] = 1688,
  [1691] = 1678,
  [1692] = 1692,
  [1693] = 1681,
  [1694] = 1677,
  [1695] = 1671,
  [1696] = 1677,
  [1697] = 1697,
  [1698] = 1671,
  [1699] = 1677,
  [1700] = 1671,
  [1701] = 1671,
  [1702] = 1687,
  [1703] = 1692,
  [1704] = 1688,
  [1705] = 1678,
  [1706] = 1681,
  [1707] = 1677,
  [1708] = 1678,
  [1709] = 1709,
  [1710] = 1710,
  [1711] = 1672,
  [1712] = 1687,
  [1713] = 1713,
  [1714] = 1676,
  [1715] = 1676,
  [1716] = 1677,
  [1717] = 1677,
  [1718] = 1688,
  [1719] = 1672,
  [1720] = 1671,
  [1721] = 1678,
  [1722] = 1722,
  [1723] = 1676,
  [1724] = 1676,
  [1725] = 1692,
  [1726] = 1687,
  [1727] = 1692,
  [1728] = 1677,
  [1729] = 1674,
  [1730] = 1676,
  [1731] = 1731,
  [1732] = 1676,
  [1733] = 1672,
  [1734] = 1713,
  [1735] = 1678,
  [1736] = 1687,
  [1737] = 1692,
  [1738] = 1676,
  [1739] = 1674,
  [1740] = 1677,
  [1741] = 1741,
  [1742] = 1672,
  [1743] = 1692,
  [1744] = 1687,
  [1745] = 1687,
  [1746] = 1692,
  [1747] = 1692,
  [1748] = 1713,
  [1749] = 1713,
  [1750] = 1687,
  [1751] = 1751,
  [1752] = 1752,
  [1753] = 1752,
  [1754] = 1754,
  [1755] = 1755,
  [1756] = 1756,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1759,
  [1760] = 1760,
  [1761] = 1761,
  [1762] = 1762,
  [1763] = 1763,
  [1764] = 1764,
  [1765] = 1765,
  [1766] = 1766,
  [1767] = 1767,
  [1768] = 1768,
  [1769] = 1769,
  [1770] = 1770,
  [1771] = 1771,
  [1772] = 1772,
  [1773] = 1773,
  [1774] = 1762,
  [1775] = 1775,
  [1776] = 1776,
  [1777] = 1777,
  [1778] = 1778,
  [1779] = 1779,
  [1780] = 1757,
  [1781] = 1773,
  [1782] = 1772,
  [1783] = 1760,
  [1784] = 1784,
  [1785] = 1762,
  [1786] = 1771,
  [1787] = 1787,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1763,
  [1791] = 1764,
  [1792] = 1765,
  [1793] = 1793,
  [1794] = 1794,
  [1795] = 1766,
  [1796] = 1796,
  [1797] = 1788,
  [1798] = 1798,
  [1799] = 1768,
  [1800] = 1800,
  [1801] = 1784,
  [1802] = 1771,
  [1803] = 1773,
  [1804] = 1760,
  [1805] = 1775,
  [1806] = 1777,
  [1807] = 1807,
  [1808] = 1808,
  [1809] = 1789,
  [1810] = 1810,
  [1811] = 1752,
  [1812] = 1767,
  [1813] = 1764,
  [1814] = 1763,
  [1815] = 1757,
  [1816] = 1816,
  [1817] = 1771,
  [1818] = 1773,
  [1819] = 1819,
  [1820] = 1775,
  [1821] = 1767,
  [1822] = 1822,
  [1823] = 1823,
  [1824] = 1816,
  [1825] = 1796,
  [1826] = 1796,
  [1827] = 1764,
  [1828] = 1764,
  [1829] = 1789,
  [1830] = 1830,
  [1831] = 1752,
  [1832] = 1789,
  [1833] = 1833,
  [1834] = 1834,
  [1835] = 1771,
  [1836] = 1773,
  [1837] = 1837,
  [1838] = 1775,
  [1839] = 1765,
  [1840] = 1789,
  [1841] = 1794,
  [1842] = 1842,
  [1843] = 1843,
  [1844] = 1810,
  [1845] = 1845,
  [1846] = 1751,
  [1847] = 1758,
  [1848] = 1848,
  [1849] = 1796,
  [1850] = 1816,
  [1851] = 1752,
  [1852] = 1852,
  [1853] = 1822,
  [1854] = 1808,
  [1855] = 1800,
  [1856] = 1776,
  [1857] = 1857,
  [1858] = 1787,
  [1859] = 1752,
  [1860] = 1807,
  [1861] = 1764,
  [1862] = 1862,
  [1863] = 1843,
  [1864] = 1864,
  [1865] = 1865,
  [1866] = 1766,
  [1867] = 1867,
  [1868] = 1837,
  [1869] = 1848,
  [1870] = 1796,
  [1871] = 1871,
  [1872] = 1833,
  [1873] = 1834,
  [1874] = 1874,
  [1875] = 1842,
  [1876] = 1867,
  [1877] = 1845,
  [1878] = 1878,
  [1879] = 1848,
  [1880] = 1778,
  [1881] = 1769,
  [1882] = 1822,
  [1883] = 1808,
  [1884] = 1800,
  [1885] = 1776,
  [1886] = 1807,
  [1887] = 1843,
  [1888] = 1768,
  [1889] = 1833,
  [1890] = 1834,
  [1891] = 1845,
  [1892] = 1842,
  [1893] = 1893,
  [1894] = 1845,
  [1895] = 1778,
  [1896] = 1848,
  [1897] = 1754,
  [1898] = 1775,
  [1899] = 1822,
  [1900] = 1808,
  [1901] = 1800,
  [1902] = 1776,
  [1903] = 1807,
  [1904] = 1843,
  [1905] = 1833,
  [1906] = 1769,
  [1907] = 1848,
  [1908] = 1816,
  [1909] = 1769,
  [1910] = 1808,
  [1911] = 1843,
  [1912] = 1833,
  [1913] = 1754,
  [1914] = 1848,
  [1915] = 1796,
  [1916] = 1766,
  [1917] = 1808,
  [1918] = 1843,
  [1919] = 1833,
  [1920] = 1920,
  [1921] = 1816,
  [1922] = 1922,
  [1923] = 1923,
  [1924] = 1924,
  [1925] = 1794,
  [1926] = 1788,
  [1927] = 1927,
  [1928] = 1928,
  [1929] = 1874,
  [1930] = 1848,
  [1931] = 1767,
  [1932] = 1765,
  [1933] = 1808,
  [1934] = 1784,
  [1935] = 1770,
  [1936] = 1843,
  [1937] = 1764,
  [1938] = 1769,
  [1939] = 1777,
  [1940] = 1763,
  [1941] = 1842,
  [1942] = 1784,
  [1943] = 1767,
  [1944] = 1944,
  [1945] = 1788,
  [1946] = 1867,
  [1947] = 1794,
  [1948] = 1777,
  [1949] = 1767,
  [1950] = 1758,
  [1951] = 1928,
  [1952] = 1762,
  [1953] = 1777,
  [1954] = 1788,
  [1955] = 1760,
  [1956] = 1956,
  [1957] = 1816,
  [1958] = 1789,
  [1959] = 1752,
  [1960] = 1924,
  [1961] = 1757,
  [1962] = 1754,
  [1963] = 1796,
  [1964] = 1758,
  [1965] = 1789,
  [1966] = 1775,
  [1967] = 1778,
  [1968] = 1837,
  [1969] = 1768,
  [1970] = 1769,
  [1971] = 1775,
  [1972] = 1773,
  [1973] = 1973,
  [1974] = 1772,
  [1975] = 1867,
  [1976] = 1771,
  [1977] = 1773,
  [1978] = 1772,
  [1979] = 1764,
  [1980] = 1787,
  [1981] = 1771,
  [1982] = 1923,
  [1983] = 1833,
  [1984] = 1922,
  [1985] = 1848,
  [1986] = 1837,
  [1987] = 1816,
  [1988] = 1808,
  [1989] = 1843,
  [1990] = 1920,
  [1991] = 1922,
  [1992] = 1923,
  [1993] = 1924,
  [1994] = 1751,
  [1995] = 1834,
  [1996] = 1928,
  [1997] = 1874,
  [1998] = 1770,
  [1999] = 1920,
  [2000] = 1922,
  [2001] = 1923,
  [2002] = 1924,
  [2003] = 1810,
  [2004] = 1787,
  [2005] = 1928,
  [2006] = 1874,
  [2007] = 1770,
  [2008] = 1920,
  [2009] = 1928,
  [2010] = 1770,
  [2011] = 1920,
  [2012] = 1928,
  [2013] = 1770,
  [2014] = 1920,
  [2015] = 1928,
  [2016] = 1770,
  [2017] = 1767,
  [2018] = 2018,
  [2019] = 1920,
  [2020] = 2020,
  [2021] = 1928,
  [2022] = 1777,
  [2023] = 1788,
  [2024] = 1769,
  [2025] = 1770,
  [2026] = 1816,
  [2027] = 1751,
  [2028] = 1810,
  [2029] = 1767,
  [2030] = 1777,
  [2031] = 1796,
  [2032] = 1788,
  [2033] = 2020,
  [2034] = 1920,
  [2035] = 2018,
  [2036] = 2020,
  [2037] = 2018,
  [2038] = 2018,
  [2039] = 2020,
  [2040] = 2020,
  [2041] = 2020,
  [2042] = 2020,
  [2043] = 2020,
  [2044] = 1833,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(39);
      ADVANCE_MAP(
        '!', 62,
        '"', 101,
        '#', 123,
        '%', 69,
        '&', 74,
        '\'', 109,
        '(', 43,
        ')', 44,
        '*', 66,
        '+', 65,
        ',', 47,
        '-', 59,
        '.', 54,
        '/', 68,
        '0', 95,
        ':', 46,
        ';', 40,
        '<', 81,
        '=', 49,
        '>', 78,
        '?', 86,
        '@', 92,
        '[', 55,
        '\\', 25,
        ']', 56,
        '^', 73,
        '{', 41,
        '|', 72,
        '}', 42,
        '~', 61,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(37);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(97);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(93);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '\n', 48,
        '!', 62,
        '"', 101,
        '#', 123,
        '%', 69,
        '&', 74,
        '\'', 109,
        '(', 43,
        '*', 66,
        '+', 65,
        ',', 47,
        '-', 59,
        '.', 53,
        '/', 67,
        '0', 95,
        ':', 23,
        ';', 40,
        '<', 82,
        '=', 49,
        '>', 78,
        '?', 86,
        '@', 92,
        '[', 55,
        '^', 73,
        '{', 41,
        '|', 72,
        '~', 61,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(97);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(93);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '\n', 48,
        '!', 24,
        '#', 123,
        '%', 69,
        '&', 74,
        '(', 43,
        '*', 66,
        '+', 65,
        ',', 47,
        '-', 60,
        '.', 53,
        '/', 67,
        ';', 40,
        '<', 82,
        '=', 49,
        '>', 78,
        '?', 86,
        '[', 55,
        '^', 73,
        '|', 72,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(2);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(93);
      END_STATE();
    case 3:
      if (lookahead == '\r') ADVANCE(122);
      if (lookahead != 0) ADVANCE(121);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '!', 62,
        '"', 101,
        '#', 123,
        '%', 69,
        '&', 74,
        '\'', 109,
        '(', 43,
        '*', 66,
        '+', 65,
        ',', 47,
        '-', 59,
        '.', 53,
        '/', 67,
        '0', 95,
        ':', 23,
        ';', 40,
        '<', 81,
        '=', 49,
        '>', 78,
        '?', 86,
        '@', 92,
        '[', 55,
        '^', 73,
        '{', 41,
        '|', 72,
        '}', 42,
        '~', 61,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(97);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(93);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 24,
        '#', 123,
        '%', 69,
        '&', 74,
        '\'', 108,
        '(', 43,
        ')', 44,
        '*', 66,
        '+', 65,
        ',', 47,
        '-', 60,
        '.', 53,
        '/', 68,
        ':', 45,
        ';', 40,
        '<', 82,
        '=', 49,
        '>', 78,
        '?', 86,
        '[', 55,
        ']', 56,
        '^', 73,
        '|', 72,
        '}', 42,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(5);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(93);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 24,
        '#', 123,
        '%', 69,
        '&', 74,
        '(', 43,
        '*', 66,
        '+', 65,
        ',', 47,
        '-', 60,
        '.', 53,
        '/', 67,
        ';', 40,
        '<', 81,
        '=', 49,
        '>', 78,
        '?', 86,
        '[', 55,
        '^', 73,
        '|', 72,
        '}', 42,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(93);
      END_STATE();
    case 7:
      if (lookahead == '"') ADVANCE(101);
      if (lookahead == '#') ADVANCE(102);
      if (lookahead == '/') ADVANCE(104);
      if (lookahead == '\\') ADVANCE(25);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(103);
      if (lookahead != 0) ADVANCE(107);
      END_STATE();
    case 8:
      if (lookahead == '#') ADVANCE(123);
      if (lookahead == ')') ADVANCE(44);
      if (lookahead == '.') ADVANCE(18);
      if (lookahead == '/') ADVANCE(15);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(8);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(93);
      END_STATE();
    case 9:
      if (lookahead == '#') ADVANCE(113);
      if (lookahead == '/') ADVANCE(112);
      if (lookahead == '\\') ADVANCE(26);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(110);
      END_STATE();
    case 10:
      if (lookahead == '\'') ADVANCE(114);
      END_STATE();
    case 11:
      if (lookahead == '\'') ADVANCE(94);
      END_STATE();
    case 12:
      if (lookahead == '\'') ADVANCE(22);
      END_STATE();
    case 13:
      if (lookahead == '\'') ADVANCE(14);
      if (lookahead == '.') ADVANCE(13);
      END_STATE();
    case 14:
      if (lookahead == '\'') ADVANCE(11);
      END_STATE();
    case 15:
      if (lookahead == '*') ADVANCE(17);
      if (lookahead == '/') ADVANCE(121);
      END_STATE();
    case 16:
      if (lookahead == '*') ADVANCE(16);
      if (lookahead == '/') ADVANCE(120);
      if (lookahead != 0) ADVANCE(17);
      END_STATE();
    case 17:
      if (lookahead == '*') ADVANCE(16);
      if (lookahead != 0) ADVANCE(17);
      END_STATE();
    case 18:
      if (lookahead == '.') ADVANCE(21);
      END_STATE();
    case 19:
      if (lookahead == '.') ADVANCE(30);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(19);
      END_STATE();
    case 20:
      if (lookahead == '.') ADVANCE(31);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(20);
      END_STATE();
    case 21:
      if (lookahead == '.') ADVANCE(52);
      END_STATE();
    case 22:
      if (lookahead == '.') ADVANCE(13);
      END_STATE();
    case 23:
      if (lookahead == ':') ADVANCE(51);
      END_STATE();
    case 24:
      if (lookahead == '=') ADVANCE(76);
      END_STATE();
    case 25:
      if (lookahead == 'u') ADVANCE(27);
      if (lookahead == 'x') ADVANCE(36);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(116);
      if (lookahead == '"' ||
          lookahead == '\'' ||
          lookahead == '?' ||
          lookahead == '\\' ||
          lookahead == 'a' ||
          lookahead == 'b' ||
          lookahead == 'f' ||
          lookahead == 'n' ||
          lookahead == 'r' ||
          ('t' <= lookahead && lookahead <= 'v')) ADVANCE(117);
      if (lookahead != 0) ADVANCE(115);
      END_STATE();
    case 26:
      if (lookahead == 'u') ADVANCE(27);
      if (lookahead == 'x') ADVANCE(36);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(119);
      if (lookahead != 0) ADVANCE(117);
      END_STATE();
    case 27:
      if (lookahead == '{') ADVANCE(34);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(35);
      END_STATE();
    case 28:
      if (lookahead == '}') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(28);
      END_STATE();
    case 29:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(31);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      END_STATE();
    case 30:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(29);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      END_STATE();
    case 31:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      END_STATE();
    case 32:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(117);
      END_STATE();
    case 33:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(99);
      END_STATE();
    case 34:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(28);
      END_STATE();
    case 35:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(36);
      END_STATE();
    case 36:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(32);
      END_STATE();
    case 37:
      if (eof) ADVANCE(39);
      ADVANCE_MAP(
        '!', 62,
        '"', 101,
        '#', 123,
        '%', 69,
        '&', 74,
        '\'', 109,
        '(', 43,
        ')', 44,
        '*', 66,
        '+', 65,
        ',', 47,
        '-', 59,
        '.', 54,
        '/', 68,
        '0', 95,
        ':', 46,
        ';', 40,
        '<', 81,
        '=', 49,
        '>', 78,
        '?', 86,
        '@', 92,
        '[', 55,
        ']', 56,
        '^', 73,
        '{', 41,
        '|', 72,
        '}', 42,
        '~', 61,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(37);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(97);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(93);
      END_STATE();
    case 38:
      if (eof) ADVANCE(39);
      ADVANCE_MAP(
        '!', 62,
        '"', 101,
        '#', 123,
        '%', 69,
        '&', 74,
        '\'', 109,
        '(', 43,
        ')', 44,
        '*', 66,
        '+', 65,
        ',', 47,
        '-', 59,
        '.', 53,
        '/', 68,
        '0', 95,
        ':', 46,
        ';', 40,
        '<', 82,
        '=', 49,
        '>', 78,
        '?', 86,
        '@', 92,
        '[', 55,
        ']', 56,
        '^', 73,
        '{', 41,
        '|', 72,
        '}', 42,
        '~', 61,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(38);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(97);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(93);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(51);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(48);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(75);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(21);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_LT_SLASH);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_SLASH_GT);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(64);
      if (lookahead == '0') ADVANCE(20);
      if (lookahead == '=') ADVANCE(88);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(98);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(64);
      if (lookahead == '=') ADVANCE(88);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(76);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(63);
      if (lookahead == '=') ADVANCE(87);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(89);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(17);
      if (lookahead == '/') ADVANCE(121);
      if (lookahead == '=') ADVANCE(90);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(17);
      if (lookahead == '/') ADVANCE(121);
      if (lookahead == '=') ADVANCE(90);
      if (lookahead == '>') ADVANCE(58);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(91);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(70);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(71);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(79);
      if (lookahead == '>') ADVANCE(84);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(77);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(50);
      if (lookahead == '/') ADVANCE(57);
      if (lookahead == '<') ADVANCE(83);
      if (lookahead == '=') ADVANCE(80);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(50);
      if (lookahead == '<') ADVANCE(83);
      if (lookahead == '=') ADVANCE(80);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(85);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(93);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(sym_integer);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(30);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(33);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(19);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(96);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(30);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(19);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(96);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(30);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(97);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(31);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(98);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(sym_integer);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(99);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(sym_float);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '\n') ADVANCE(107);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(102);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '#') ADVANCE(102);
      if (lookahead == '/') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(103);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '#' &&
          lookahead != '\\') ADVANCE(107);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '*') ADVANCE(106);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(107);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '*') ADVANCE(105);
      if (lookahead == '/') ADVANCE(107);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(106);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '*') ADVANCE(105);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(106);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(107);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      if (lookahead == '#') ADVANCE(10);
      if (lookahead == '\'') ADVANCE(12);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(aux_sym_char_token1);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(aux_sym_char_token1);
      if (lookahead == '#') ADVANCE(113);
      if (lookahead == '/') ADVANCE(112);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(111);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(110);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(aux_sym_char_token1);
      if (lookahead == '*') ADVANCE(17);
      if (lookahead == '/') ADVANCE(121);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(aux_sym_char_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(123);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_SQUOTE_POUND_SQUOTE);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(aux_sym__escape_sequence_token1);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(aux_sym__escape_sequence_token1);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(118);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(117);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(118);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(3);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(121);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(3);
      if (lookahead != 0) ADVANCE(121);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(123);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'b', 1,
        'c', 2,
        'd', 3,
        'e', 4,
        'f', 5,
        'i', 6,
        'l', 7,
        'n', 8,
        'r', 9,
        's', 10,
        't', 11,
        'v', 12,
        'w', 13,
        'y', 14,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'r') ADVANCE(15);
      END_STATE();
    case 2:
      if (lookahead == 'a') ADVANCE(16);
      if (lookahead == 'l') ADVANCE(17);
      if (lookahead == 'o') ADVANCE(18);
      END_STATE();
    case 3:
      if (lookahead == 'e') ADVANCE(19);
      if (lookahead == 'o') ADVANCE(20);
      END_STATE();
    case 4:
      if (lookahead == 'l') ADVANCE(21);
      if (lookahead == 'n') ADVANCE(22);
      if (lookahead == 'x') ADVANCE(23);
      END_STATE();
    case 5:
      if (lookahead == 'a') ADVANCE(24);
      if (lookahead == 'o') ADVANCE(25);
      if (lookahead == 'u') ADVANCE(26);
      END_STATE();
    case 6:
      if (lookahead == 'f') ADVANCE(27);
      if (lookahead == 'n') ADVANCE(28);
      END_STATE();
    case 7:
      if (lookahead == 'o') ADVANCE(29);
      END_STATE();
    case 8:
      if (lookahead == 'u') ADVANCE(30);
      END_STATE();
    case 9:
      if (lookahead == 'a') ADVANCE(31);
      if (lookahead == 'e') ADVANCE(32);
      END_STATE();
    case 10:
      if (lookahead == 't') ADVANCE(33);
      if (lookahead == 'w') ADVANCE(34);
      END_STATE();
    case 11:
      if (lookahead == 'h') ADVANCE(35);
      if (lookahead == 'r') ADVANCE(36);
      if (lookahead == 'y') ADVANCE(37);
      END_STATE();
    case 12:
      if (lookahead == 'a') ADVANCE(38);
      END_STATE();
    case 13:
      if (lookahead == 'h') ADVANCE(39);
      END_STATE();
    case 14:
      if (lookahead == 'i') ADVANCE(40);
      END_STATE();
    case 15:
      if (lookahead == 'e') ADVANCE(41);
      END_STATE();
    case 16:
      if (lookahead == 's') ADVANCE(42);
      if (lookahead == 't') ADVANCE(43);
      END_STATE();
    case 17:
      if (lookahead == 'a') ADVANCE(44);
      if (lookahead == 'o') ADVANCE(45);
      END_STATE();
    case 18:
      if (lookahead == 'n') ADVANCE(46);
      END_STATE();
    case 19:
      if (lookahead == 'f') ADVANCE(47);
      if (lookahead == 'l') ADVANCE(48);
      END_STATE();
    case 20:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 21:
      if (lookahead == 's') ADVANCE(49);
      END_STATE();
    case 22:
      if (lookahead == 'u') ADVANCE(50);
      END_STATE();
    case 23:
      if (lookahead == 't') ADVANCE(51);
      END_STATE();
    case 24:
      if (lookahead == 'l') ADVANCE(52);
      END_STATE();
    case 25:
      if (lookahead == 'r') ADVANCE(53);
      END_STATE();
    case 26:
      if (lookahead == 'n') ADVANCE(54);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 28:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(55);
      END_STATE();
    case 29:
      if (lookahead == 'c') ADVANCE(56);
      END_STATE();
    case 30:
      if (lookahead == 'l') ADVANCE(57);
      END_STATE();
    case 31:
      if (lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 32:
      if (lookahead == 's') ADVANCE(59);
      if (lookahead == 't') ADVANCE(60);
      END_STATE();
    case 33:
      if (lookahead == 'a') ADVANCE(61);
      END_STATE();
    case 34:
      if (lookahead == 'i') ADVANCE(62);
      END_STATE();
    case 35:
      if (lookahead == 'r') ADVANCE(63);
      END_STATE();
    case 36:
      if (lookahead == 'u') ADVANCE(64);
      if (lookahead == 'y') ADVANCE(65);
      END_STATE();
    case 37:
      if (lookahead == 'p') ADVANCE(66);
      END_STATE();
    case 38:
      if (lookahead == 'r') ADVANCE(67);
      END_STATE();
    case 39:
      if (lookahead == 'i') ADVANCE(68);
      END_STATE();
    case 40:
      if (lookahead == 'e') ADVANCE(69);
      END_STATE();
    case 41:
      if (lookahead == 'a') ADVANCE(70);
      END_STATE();
    case 42:
      if (lookahead == 'e') ADVANCE(71);
      END_STATE();
    case 43:
      if (lookahead == 'c') ADVANCE(72);
      END_STATE();
    case 44:
      if (lookahead == 's') ADVANCE(73);
      END_STATE();
    case 45:
      if (lookahead == 'n') ADVANCE(74);
      END_STATE();
    case 46:
      if (lookahead == 's') ADVANCE(75);
      if (lookahead == 't') ADVANCE(76);
      END_STATE();
    case 47:
      if (lookahead == 'a') ADVANCE(77);
      END_STATE();
    case 48:
      if (lookahead == 'e') ADVANCE(78);
      END_STATE();
    case 49:
      if (lookahead == 'e') ADVANCE(79);
      END_STATE();
    case 50:
      if (lookahead == 'm') ADVANCE(80);
      END_STATE();
    case 51:
      if (lookahead == 'e') ADVANCE(81);
      END_STATE();
    case 52:
      if (lookahead == 's') ADVANCE(82);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_for);
      if (lookahead == 'e') ADVANCE(83);
      END_STATE();
    case 54:
      if (lookahead == 'c') ADVANCE(84);
      END_STATE();
    case 55:
      if (lookahead == 't') ADVANCE(85);
      END_STATE();
    case 56:
      if (lookahead == 'a') ADVANCE(86);
      END_STATE();
    case 57:
      if (lookahead == 'l') ADVANCE(87);
      END_STATE();
    case 58:
      if (lookahead == 'c') ADVANCE(88);
      END_STATE();
    case 59:
      if (lookahead == 'u') ADVANCE(89);
      END_STATE();
    case 60:
      if (lookahead == 'u') ADVANCE(90);
      END_STATE();
    case 61:
      if (lookahead == 't') ADVANCE(91);
      END_STATE();
    case 62:
      if (lookahead == 't') ADVANCE(92);
      END_STATE();
    case 63:
      if (lookahead == 'o') ADVANCE(93);
      END_STATE();
    case 64:
      if (lookahead == 'e') ADVANCE(94);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(95);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 68:
      if (lookahead == 'l') ADVANCE(96);
      END_STATE();
    case 69:
      if (lookahead == 'l') ADVANCE(97);
      END_STATE();
    case 70:
      if (lookahead == 'k') ADVANCE(98);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 72:
      if (lookahead == 'h') ADVANCE(99);
      END_STATE();
    case 73:
      if (lookahead == 's') ADVANCE(100);
      END_STATE();
    case 74:
      if (lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 75:
      if (lookahead == 't') ADVANCE(102);
      END_STATE();
    case 76:
      if (lookahead == 'i') ADVANCE(103);
      END_STATE();
    case 77:
      if (lookahead == 'u') ADVANCE(104);
      END_STATE();
    case 78:
      if (lookahead == 't') ADVANCE(105);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 81:
      if (lookahead == 'n') ADVANCE(106);
      END_STATE();
    case 82:
      if (lookahead == 'e') ADVANCE(107);
      END_STATE();
    case 83:
      if (lookahead == 'a') ADVANCE(108);
      END_STATE();
    case 84:
      if (lookahead == 't') ADVANCE(109);
      END_STATE();
    case 85:
      if (lookahead == 'a') ADVANCE(110);
      END_STATE();
    case 86:
      if (lookahead == 'l') ADVANCE(111);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 88:
      if (lookahead == 'a') ADVANCE(112);
      END_STATE();
    case 89:
      if (lookahead == 'm') ADVANCE(113);
      END_STATE();
    case 90:
      if (lookahead == 'r') ADVANCE(114);
      END_STATE();
    case 91:
      if (lookahead == 'i') ADVANCE(115);
      END_STATE();
    case 92:
      if (lookahead == 'c') ADVANCE(116);
      END_STATE();
    case 93:
      if (lookahead == 'w') ADVANCE(117);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 95:
      if (lookahead == 'o') ADVANCE(118);
      END_STATE();
    case 96:
      if (lookahead == 'e') ADVANCE(119);
      END_STATE();
    case 97:
      if (lookahead == 'd') ADVANCE(120);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_clone);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == 'r') ADVANCE(121);
      END_STATE();
    case 103:
      if (lookahead == 'n') ADVANCE(122);
      END_STATE();
    case 104:
      if (lookahead == 'l') ADVANCE(123);
      END_STATE();
    case 105:
      if (lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 106:
      if (lookahead == 'd') ADVANCE(125);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 108:
      if (lookahead == 'c') ADVANCE(126);
      END_STATE();
    case 109:
      if (lookahead == 'i') ADVANCE(127);
      END_STATE();
    case 110:
      if (lookahead == 'n') ADVANCE(128);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_local);
      END_STATE();
    case 112:
      if (lookahead == 'l') ADVANCE(129);
      END_STATE();
    case 113:
      if (lookahead == 'e') ADVANCE(130);
      END_STATE();
    case 114:
      if (lookahead == 'n') ADVANCE(131);
      END_STATE();
    case 115:
      if (lookahead == 'c') ADVANCE(132);
      END_STATE();
    case 116:
      if (lookahead == 'h') ADVANCE(133);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 118:
      if (lookahead == 'f') ADVANCE(134);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 121:
      if (lookahead == 'u') ADVANCE(135);
      END_STATE();
    case 122:
      if (lookahead == 'u') ADVANCE(136);
      END_STATE();
    case 123:
      if (lookahead == 't') ADVANCE(137);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 125:
      if (lookahead == 's') ADVANCE(138);
      END_STATE();
    case 126:
      if (lookahead == 'h') ADVANCE(139);
      END_STATE();
    case 127:
      if (lookahead == 'o') ADVANCE(140);
      END_STATE();
    case 128:
      if (lookahead == 'c') ADVANCE(141);
      END_STATE();
    case 129:
      if (lookahead == 'l') ADVANCE(142);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_resume);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 135:
      if (lookahead == 'c') ADVANCE(143);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(144);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_foreach);
      END_STATE();
    case 140:
      if (lookahead == 'n') ADVANCE(145);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(146);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_rawcall);
      END_STATE();
    case 143:
      if (lookahead == 't') ADVANCE(147);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 146:
      if (lookahead == 'o') ADVANCE(148);
      END_STATE();
    case 147:
      if (lookahead == 'o') ADVANCE(149);
      END_STATE();
    case 148:
      if (lookahead == 'f') ADVANCE(150);
      END_STATE();
    case 149:
      if (lookahead == 'r') ADVANCE(151);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_constructor);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 0, .external_lex_state = 1},
  [2] = {.lex_state = 38, .external_lex_state = 1},
  [3] = {.lex_state = 38, .external_lex_state = 1},
  [4] = {.lex_state = 4, .external_lex_state = 1},
  [5] = {.lex_state = 38, .external_lex_state = 1},
  [6] = {.lex_state = 4, .external_lex_state = 1},
  [7] = {.lex_state = 38, .external_lex_state = 1},
  [8] = {.lex_state = 1, .external_lex_state = 1},
  [9] = {.lex_state = 38, .external_lex_state = 1},
  [10] = {.lex_state = 0, .external_lex_state = 1},
  [11] = {.lex_state = 0, .external_lex_state = 1},
  [12] = {.lex_state = 38, .external_lex_state = 1},
  [13] = {.lex_state = 0, .external_lex_state = 1},
  [14] = {.lex_state = 0, .external_lex_state = 1},
  [15] = {.lex_state = 0, .external_lex_state = 1},
  [16] = {.lex_state = 0, .external_lex_state = 1},
  [17] = {.lex_state = 0, .external_lex_state = 1},
  [18] = {.lex_state = 0, .external_lex_state = 1},
  [19] = {.lex_state = 0, .external_lex_state = 1},
  [20] = {.lex_state = 0, .external_lex_state = 1},
  [21] = {.lex_state = 0, .external_lex_state = 1},
  [22] = {.lex_state = 0, .external_lex_state = 1},
  [23] = {.lex_state = 0, .external_lex_state = 1},
  [24] = {.lex_state = 0, .external_lex_state = 1},
  [25] = {.lex_state = 0, .external_lex_state = 1},
  [26] = {.lex_state = 0, .external_lex_state = 1},
  [27] = {.lex_state = 4, .external_lex_state = 1},
  [28] = {.lex_state = 0, .external_lex_state = 1},
  [29] = {.lex_state = 0, .external_lex_state = 1},
  [30] = {.lex_state = 0, .external_lex_state = 1},
  [31] = {.lex_state = 0, .external_lex_state = 1},
  [32] = {.lex_state = 0, .external_lex_state = 1},
  [33] = {.lex_state = 0, .external_lex_state = 1},
  [34] = {.lex_state = 0, .external_lex_state = 1},
  [35] = {.lex_state = 0, .external_lex_state = 1},
  [36] = {.lex_state = 0, .external_lex_state = 1},
  [37] = {.lex_state = 0, .external_lex_state = 1},
  [38] = {.lex_state = 0, .external_lex_state = 1},
  [39] = {.lex_state = 0, .external_lex_state = 1},
  [40] = {.lex_state = 0, .external_lex_state = 1},
  [41] = {.lex_state = 0, .external_lex_state = 1},
  [42] = {.lex_state = 0, .external_lex_state = 1},
  [43] = {.lex_state = 0, .external_lex_state = 1},
  [44] = {.lex_state = 0, .external_lex_state = 1},
  [45] = {.lex_state = 0, .external_lex_state = 1},
  [46] = {.lex_state = 0, .external_lex_state = 1},
  [47] = {.lex_state = 0, .external_lex_state = 1},
  [48] = {.lex_state = 0, .external_lex_state = 1},
  [49] = {.lex_state = 0, .external_lex_state = 1},
  [50] = {.lex_state = 0, .external_lex_state = 1},
  [51] = {.lex_state = 0, .external_lex_state = 1},
  [52] = {.lex_state = 0, .external_lex_state = 1},
  [53] = {.lex_state = 0, .external_lex_state = 1},
  [54] = {.lex_state = 0, .external_lex_state = 1},
  [55] = {.lex_state = 0, .external_lex_state = 1},
  [56] = {.lex_state = 0, .external_lex_state = 1},
  [57] = {.lex_state = 0, .external_lex_state = 1},
  [58] = {.lex_state = 0, .external_lex_state = 1},
  [59] = {.lex_state = 0, .external_lex_state = 1},
  [60] = {.lex_state = 0, .external_lex_state = 1},
  [61] = {.lex_state = 0, .external_lex_state = 1},
  [62] = {.lex_state = 0, .external_lex_state = 1},
  [63] = {.lex_state = 0, .external_lex_state = 1},
  [64] = {.lex_state = 0, .external_lex_state = 1},
  [65] = {.lex_state = 0, .external_lex_state = 1},
  [66] = {.lex_state = 0, .external_lex_state = 1},
  [67] = {.lex_state = 0, .external_lex_state = 1},
  [68] = {.lex_state = 0, .external_lex_state = 1},
  [69] = {.lex_state = 0, .external_lex_state = 1},
  [70] = {.lex_state = 0, .external_lex_state = 1},
  [71] = {.lex_state = 0, .external_lex_state = 1},
  [72] = {.lex_state = 0, .external_lex_state = 1},
  [73] = {.lex_state = 0, .external_lex_state = 1},
  [74] = {.lex_state = 0, .external_lex_state = 1},
  [75] = {.lex_state = 0, .external_lex_state = 1},
  [76] = {.lex_state = 0, .external_lex_state = 1},
  [77] = {.lex_state = 0, .external_lex_state = 1},
  [78] = {.lex_state = 0, .external_lex_state = 1},
  [79] = {.lex_state = 0, .external_lex_state = 1},
  [80] = {.lex_state = 0, .external_lex_state = 1},
  [81] = {.lex_state = 0, .external_lex_state = 1},
  [82] = {.lex_state = 0, .external_lex_state = 1},
  [83] = {.lex_state = 0, .external_lex_state = 1},
  [84] = {.lex_state = 0, .external_lex_state = 1},
  [85] = {.lex_state = 0, .external_lex_state = 1},
  [86] = {.lex_state = 0, .external_lex_state = 1},
  [87] = {.lex_state = 0, .external_lex_state = 1},
  [88] = {.lex_state = 0, .external_lex_state = 1},
  [89] = {.lex_state = 0, .external_lex_state = 1},
  [90] = {.lex_state = 0, .external_lex_state = 1},
  [91] = {.lex_state = 0, .external_lex_state = 1},
  [92] = {.lex_state = 0, .external_lex_state = 1},
  [93] = {.lex_state = 0, .external_lex_state = 1},
  [94] = {.lex_state = 0, .external_lex_state = 1},
  [95] = {.lex_state = 0, .external_lex_state = 1},
  [96] = {.lex_state = 0, .external_lex_state = 1},
  [97] = {.lex_state = 0, .external_lex_state = 1},
  [98] = {.lex_state = 0, .external_lex_state = 1},
  [99] = {.lex_state = 0, .external_lex_state = 1},
  [100] = {.lex_state = 0, .external_lex_state = 1},
  [101] = {.lex_state = 0, .external_lex_state = 1},
  [102] = {.lex_state = 0, .external_lex_state = 1},
  [103] = {.lex_state = 0, .external_lex_state = 1},
  [104] = {.lex_state = 0, .external_lex_state = 1},
  [105] = {.lex_state = 0, .external_lex_state = 1},
  [106] = {.lex_state = 0, .external_lex_state = 1},
  [107] = {.lex_state = 0, .external_lex_state = 1},
  [108] = {.lex_state = 0, .external_lex_state = 1},
  [109] = {.lex_state = 0, .external_lex_state = 1},
  [110] = {.lex_state = 0, .external_lex_state = 1},
  [111] = {.lex_state = 0, .external_lex_state = 1},
  [112] = {.lex_state = 0, .external_lex_state = 1},
  [113] = {.lex_state = 0, .external_lex_state = 1},
  [114] = {.lex_state = 0, .external_lex_state = 1},
  [115] = {.lex_state = 0, .external_lex_state = 1},
  [116] = {.lex_state = 0, .external_lex_state = 1},
  [117] = {.lex_state = 0, .external_lex_state = 1},
  [118] = {.lex_state = 0, .external_lex_state = 1},
  [119] = {.lex_state = 0, .external_lex_state = 1},
  [120] = {.lex_state = 0, .external_lex_state = 1},
  [121] = {.lex_state = 0, .external_lex_state = 1},
  [122] = {.lex_state = 0, .external_lex_state = 1},
  [123] = {.lex_state = 0, .external_lex_state = 1},
  [124] = {.lex_state = 0, .external_lex_state = 1},
  [125] = {.lex_state = 0, .external_lex_state = 1},
  [126] = {.lex_state = 0, .external_lex_state = 1},
  [127] = {.lex_state = 0, .external_lex_state = 1},
  [128] = {.lex_state = 0, .external_lex_state = 1},
  [129] = {.lex_state = 0, .external_lex_state = 1},
  [130] = {.lex_state = 0, .external_lex_state = 1},
  [131] = {.lex_state = 0, .external_lex_state = 1},
  [132] = {.lex_state = 0, .external_lex_state = 1},
  [133] = {.lex_state = 0, .external_lex_state = 1},
  [134] = {.lex_state = 0, .external_lex_state = 1},
  [135] = {.lex_state = 0, .external_lex_state = 1},
  [136] = {.lex_state = 0, .external_lex_state = 1},
  [137] = {.lex_state = 0, .external_lex_state = 1},
  [138] = {.lex_state = 0, .external_lex_state = 1},
  [139] = {.lex_state = 0, .external_lex_state = 1},
  [140] = {.lex_state = 0, .external_lex_state = 1},
  [141] = {.lex_state = 0, .external_lex_state = 1},
  [142] = {.lex_state = 0, .external_lex_state = 1},
  [143] = {.lex_state = 0, .external_lex_state = 1},
  [144] = {.lex_state = 0, .external_lex_state = 1},
  [145] = {.lex_state = 0, .external_lex_state = 1},
  [146] = {.lex_state = 0, .external_lex_state = 1},
  [147] = {.lex_state = 0, .external_lex_state = 1},
  [148] = {.lex_state = 0, .external_lex_state = 1},
  [149] = {.lex_state = 0, .external_lex_state = 1},
  [150] = {.lex_state = 0, .external_lex_state = 1},
  [151] = {.lex_state = 0, .external_lex_state = 1},
  [152] = {.lex_state = 0, .external_lex_state = 1},
  [153] = {.lex_state = 0, .external_lex_state = 1},
  [154] = {.lex_state = 0, .external_lex_state = 1},
  [155] = {.lex_state = 0, .external_lex_state = 1},
  [156] = {.lex_state = 0, .external_lex_state = 1},
  [157] = {.lex_state = 0, .external_lex_state = 1},
  [158] = {.lex_state = 0, .external_lex_state = 1},
  [159] = {.lex_state = 0, .external_lex_state = 1},
  [160] = {.lex_state = 0, .external_lex_state = 1},
  [161] = {.lex_state = 0, .external_lex_state = 1},
  [162] = {.lex_state = 0, .external_lex_state = 1},
  [163] = {.lex_state = 0, .external_lex_state = 1},
  [164] = {.lex_state = 0, .external_lex_state = 1},
  [165] = {.lex_state = 0, .external_lex_state = 1},
  [166] = {.lex_state = 0, .external_lex_state = 1},
  [167] = {.lex_state = 0, .external_lex_state = 1},
  [168] = {.lex_state = 0, .external_lex_state = 1},
  [169] = {.lex_state = 0, .external_lex_state = 1},
  [170] = {.lex_state = 0, .external_lex_state = 1},
  [171] = {.lex_state = 0, .external_lex_state = 1},
  [172] = {.lex_state = 0, .external_lex_state = 1},
  [173] = {.lex_state = 0, .external_lex_state = 1},
  [174] = {.lex_state = 0, .external_lex_state = 1},
  [175] = {.lex_state = 0, .external_lex_state = 1},
  [176] = {.lex_state = 0, .external_lex_state = 1},
  [177] = {.lex_state = 0, .external_lex_state = 1},
  [178] = {.lex_state = 0, .external_lex_state = 1},
  [179] = {.lex_state = 0, .external_lex_state = 1},
  [180] = {.lex_state = 0, .external_lex_state = 1},
  [181] = {.lex_state = 0, .external_lex_state = 1},
  [182] = {.lex_state = 0, .external_lex_state = 1},
  [183] = {.lex_state = 0, .external_lex_state = 1},
  [184] = {.lex_state = 0, .external_lex_state = 1},
  [185] = {.lex_state = 1, .external_lex_state = 1},
  [186] = {.lex_state = 38, .external_lex_state = 1},
  [187] = {.lex_state = 38, .external_lex_state = 1},
  [188] = {.lex_state = 38, .external_lex_state = 1},
  [189] = {.lex_state = 38, .external_lex_state = 1},
  [190] = {.lex_state = 38, .external_lex_state = 1},
  [191] = {.lex_state = 38, .external_lex_state = 1},
  [192] = {.lex_state = 38, .external_lex_state = 1},
  [193] = {.lex_state = 38, .external_lex_state = 1},
  [194] = {.lex_state = 38, .external_lex_state = 1},
  [195] = {.lex_state = 38, .external_lex_state = 1},
  [196] = {.lex_state = 38, .external_lex_state = 1},
  [197] = {.lex_state = 38, .external_lex_state = 1},
  [198] = {.lex_state = 38, .external_lex_state = 1},
  [199] = {.lex_state = 38, .external_lex_state = 1},
  [200] = {.lex_state = 38, .external_lex_state = 1},
  [201] = {.lex_state = 38, .external_lex_state = 1},
  [202] = {.lex_state = 38, .external_lex_state = 1},
  [203] = {.lex_state = 38, .external_lex_state = 1},
  [204] = {.lex_state = 38, .external_lex_state = 1},
  [205] = {.lex_state = 38, .external_lex_state = 1},
  [206] = {.lex_state = 38, .external_lex_state = 1},
  [207] = {.lex_state = 38, .external_lex_state = 1},
  [208] = {.lex_state = 38, .external_lex_state = 1},
  [209] = {.lex_state = 38, .external_lex_state = 1},
  [210] = {.lex_state = 38, .external_lex_state = 1},
  [211] = {.lex_state = 38, .external_lex_state = 1},
  [212] = {.lex_state = 38, .external_lex_state = 1},
  [213] = {.lex_state = 38, .external_lex_state = 1},
  [214] = {.lex_state = 38, .external_lex_state = 1},
  [215] = {.lex_state = 38, .external_lex_state = 1},
  [216] = {.lex_state = 38, .external_lex_state = 1},
  [217] = {.lex_state = 38, .external_lex_state = 1},
  [218] = {.lex_state = 38, .external_lex_state = 1},
  [219] = {.lex_state = 38, .external_lex_state = 1},
  [220] = {.lex_state = 38, .external_lex_state = 1},
  [221] = {.lex_state = 38, .external_lex_state = 1},
  [222] = {.lex_state = 38, .external_lex_state = 1},
  [223] = {.lex_state = 38, .external_lex_state = 1},
  [224] = {.lex_state = 38, .external_lex_state = 1},
  [225] = {.lex_state = 38, .external_lex_state = 1},
  [226] = {.lex_state = 38, .external_lex_state = 1},
  [227] = {.lex_state = 38, .external_lex_state = 1},
  [228] = {.lex_state = 38, .external_lex_state = 1},
  [229] = {.lex_state = 38, .external_lex_state = 1},
  [230] = {.lex_state = 38, .external_lex_state = 1},
  [231] = {.lex_state = 38, .external_lex_state = 1},
  [232] = {.lex_state = 38, .external_lex_state = 1},
  [233] = {.lex_state = 38, .external_lex_state = 1},
  [234] = {.lex_state = 38, .external_lex_state = 1},
  [235] = {.lex_state = 38, .external_lex_state = 1},
  [236] = {.lex_state = 38, .external_lex_state = 1},
  [237] = {.lex_state = 38, .external_lex_state = 1},
  [238] = {.lex_state = 38, .external_lex_state = 1},
  [239] = {.lex_state = 38, .external_lex_state = 1},
  [240] = {.lex_state = 38, .external_lex_state = 1},
  [241] = {.lex_state = 38, .external_lex_state = 1},
  [242] = {.lex_state = 38, .external_lex_state = 1},
  [243] = {.lex_state = 38, .external_lex_state = 1},
  [244] = {.lex_state = 38, .external_lex_state = 1},
  [245] = {.lex_state = 38, .external_lex_state = 1},
  [246] = {.lex_state = 38, .external_lex_state = 1},
  [247] = {.lex_state = 38, .external_lex_state = 1},
  [248] = {.lex_state = 38, .external_lex_state = 1},
  [249] = {.lex_state = 38, .external_lex_state = 1},
  [250] = {.lex_state = 38, .external_lex_state = 1},
  [251] = {.lex_state = 38, .external_lex_state = 1},
  [252] = {.lex_state = 38, .external_lex_state = 1},
  [253] = {.lex_state = 38, .external_lex_state = 1},
  [254] = {.lex_state = 38, .external_lex_state = 1},
  [255] = {.lex_state = 38, .external_lex_state = 1},
  [256] = {.lex_state = 38, .external_lex_state = 1},
  [257] = {.lex_state = 38, .external_lex_state = 1},
  [258] = {.lex_state = 38, .external_lex_state = 1},
  [259] = {.lex_state = 38, .external_lex_state = 1},
  [260] = {.lex_state = 38, .external_lex_state = 1},
  [261] = {.lex_state = 38, .external_lex_state = 1},
  [262] = {.lex_state = 38, .external_lex_state = 1},
  [263] = {.lex_state = 38, .external_lex_state = 1},
  [264] = {.lex_state = 38, .external_lex_state = 1},
  [265] = {.lex_state = 38, .external_lex_state = 1},
  [266] = {.lex_state = 38, .external_lex_state = 1},
  [267] = {.lex_state = 38, .external_lex_state = 1},
  [268] = {.lex_state = 38, .external_lex_state = 1},
  [269] = {.lex_state = 38, .external_lex_state = 1},
  [270] = {.lex_state = 38, .external_lex_state = 1},
  [271] = {.lex_state = 38, .external_lex_state = 1},
  [272] = {.lex_state = 38, .external_lex_state = 1},
  [273] = {.lex_state = 38, .external_lex_state = 1},
  [274] = {.lex_state = 38, .external_lex_state = 1},
  [275] = {.lex_state = 38, .external_lex_state = 1},
  [276] = {.lex_state = 38, .external_lex_state = 1},
  [277] = {.lex_state = 38, .external_lex_state = 1},
  [278] = {.lex_state = 38, .external_lex_state = 1},
  [279] = {.lex_state = 38, .external_lex_state = 1},
  [280] = {.lex_state = 38, .external_lex_state = 1},
  [281] = {.lex_state = 38, .external_lex_state = 1},
  [282] = {.lex_state = 38, .external_lex_state = 1},
  [283] = {.lex_state = 38, .external_lex_state = 1},
  [284] = {.lex_state = 38, .external_lex_state = 1},
  [285] = {.lex_state = 38, .external_lex_state = 1},
  [286] = {.lex_state = 38, .external_lex_state = 1},
  [287] = {.lex_state = 38, .external_lex_state = 1},
  [288] = {.lex_state = 38, .external_lex_state = 1},
  [289] = {.lex_state = 38, .external_lex_state = 1},
  [290] = {.lex_state = 38, .external_lex_state = 1},
  [291] = {.lex_state = 38, .external_lex_state = 1},
  [292] = {.lex_state = 38, .external_lex_state = 1},
  [293] = {.lex_state = 38, .external_lex_state = 1},
  [294] = {.lex_state = 38, .external_lex_state = 1},
  [295] = {.lex_state = 38, .external_lex_state = 1},
  [296] = {.lex_state = 38, .external_lex_state = 1},
  [297] = {.lex_state = 38, .external_lex_state = 1},
  [298] = {.lex_state = 38, .external_lex_state = 1},
  [299] = {.lex_state = 38, .external_lex_state = 1},
  [300] = {.lex_state = 38, .external_lex_state = 1},
  [301] = {.lex_state = 38, .external_lex_state = 1},
  [302] = {.lex_state = 38, .external_lex_state = 1},
  [303] = {.lex_state = 38, .external_lex_state = 1},
  [304] = {.lex_state = 38, .external_lex_state = 1},
  [305] = {.lex_state = 38, .external_lex_state = 1},
  [306] = {.lex_state = 38, .external_lex_state = 1},
  [307] = {.lex_state = 38, .external_lex_state = 1},
  [308] = {.lex_state = 38, .external_lex_state = 1},
  [309] = {.lex_state = 38, .external_lex_state = 1},
  [310] = {.lex_state = 38, .external_lex_state = 1},
  [311] = {.lex_state = 38, .external_lex_state = 1},
  [312] = {.lex_state = 38, .external_lex_state = 1},
  [313] = {.lex_state = 38, .external_lex_state = 1},
  [314] = {.lex_state = 38, .external_lex_state = 1},
  [315] = {.lex_state = 38, .external_lex_state = 1},
  [316] = {.lex_state = 38, .external_lex_state = 1},
  [317] = {.lex_state = 38, .external_lex_state = 1},
  [318] = {.lex_state = 38, .external_lex_state = 1},
  [319] = {.lex_state = 38, .external_lex_state = 1},
  [320] = {.lex_state = 38, .external_lex_state = 1},
  [321] = {.lex_state = 38, .external_lex_state = 1},
  [322] = {.lex_state = 38, .external_lex_state = 1},
  [323] = {.lex_state = 38, .external_lex_state = 1},
  [324] = {.lex_state = 38, .external_lex_state = 1},
  [325] = {.lex_state = 38, .external_lex_state = 1},
  [326] = {.lex_state = 38, .external_lex_state = 1},
  [327] = {.lex_state = 38, .external_lex_state = 1},
  [328] = {.lex_state = 38, .external_lex_state = 1},
  [329] = {.lex_state = 38, .external_lex_state = 1},
  [330] = {.lex_state = 38, .external_lex_state = 1},
  [331] = {.lex_state = 38, .external_lex_state = 1},
  [332] = {.lex_state = 38, .external_lex_state = 1},
  [333] = {.lex_state = 38, .external_lex_state = 1},
  [334] = {.lex_state = 38, .external_lex_state = 1},
  [335] = {.lex_state = 38, .external_lex_state = 1},
  [336] = {.lex_state = 38, .external_lex_state = 1},
  [337] = {.lex_state = 38, .external_lex_state = 1},
  [338] = {.lex_state = 38, .external_lex_state = 1},
  [339] = {.lex_state = 38, .external_lex_state = 1},
  [340] = {.lex_state = 38, .external_lex_state = 1},
  [341] = {.lex_state = 38, .external_lex_state = 1},
  [342] = {.lex_state = 38, .external_lex_state = 1},
  [343] = {.lex_state = 38, .external_lex_state = 1},
  [344] = {.lex_state = 38, .external_lex_state = 1},
  [345] = {.lex_state = 38, .external_lex_state = 1},
  [346] = {.lex_state = 38, .external_lex_state = 1},
  [347] = {.lex_state = 38, .external_lex_state = 1},
  [348] = {.lex_state = 38, .external_lex_state = 1},
  [349] = {.lex_state = 38, .external_lex_state = 1},
  [350] = {.lex_state = 38, .external_lex_state = 1},
  [351] = {.lex_state = 38, .external_lex_state = 1},
  [352] = {.lex_state = 38, .external_lex_state = 1},
  [353] = {.lex_state = 38, .external_lex_state = 1},
  [354] = {.lex_state = 38, .external_lex_state = 1},
  [355] = {.lex_state = 38, .external_lex_state = 1},
  [356] = {.lex_state = 38, .external_lex_state = 1},
  [357] = {.lex_state = 38, .external_lex_state = 1},
  [358] = {.lex_state = 38, .external_lex_state = 1},
  [359] = {.lex_state = 38, .external_lex_state = 1},
  [360] = {.lex_state = 38, .external_lex_state = 1},
  [361] = {.lex_state = 38, .external_lex_state = 1},
  [362] = {.lex_state = 38, .external_lex_state = 1},
  [363] = {.lex_state = 38, .external_lex_state = 1},
  [364] = {.lex_state = 38, .external_lex_state = 1},
  [365] = {.lex_state = 38, .external_lex_state = 1},
  [366] = {.lex_state = 38, .external_lex_state = 1},
  [367] = {.lex_state = 38, .external_lex_state = 1},
  [368] = {.lex_state = 38, .external_lex_state = 1},
  [369] = {.lex_state = 38, .external_lex_state = 1},
  [370] = {.lex_state = 38, .external_lex_state = 1},
  [371] = {.lex_state = 38, .external_lex_state = 1},
  [372] = {.lex_state = 38, .external_lex_state = 1},
  [373] = {.lex_state = 38, .external_lex_state = 1},
  [374] = {.lex_state = 38, .external_lex_state = 1},
  [375] = {.lex_state = 38, .external_lex_state = 1},
  [376] = {.lex_state = 38, .external_lex_state = 1},
  [377] = {.lex_state = 38, .external_lex_state = 1},
  [378] = {.lex_state = 38, .external_lex_state = 1},
  [379] = {.lex_state = 38, .external_lex_state = 1},
  [380] = {.lex_state = 38, .external_lex_state = 1},
  [381] = {.lex_state = 38, .external_lex_state = 1},
  [382] = {.lex_state = 38, .external_lex_state = 1},
  [383] = {.lex_state = 38, .external_lex_state = 1},
  [384] = {.lex_state = 38, .external_lex_state = 1},
  [385] = {.lex_state = 38, .external_lex_state = 1},
  [386] = {.lex_state = 38, .external_lex_state = 1},
  [387] = {.lex_state = 38, .external_lex_state = 1},
  [388] = {.lex_state = 38, .external_lex_state = 1},
  [389] = {.lex_state = 38, .external_lex_state = 1},
  [390] = {.lex_state = 38, .external_lex_state = 1},
  [391] = {.lex_state = 38, .external_lex_state = 1},
  [392] = {.lex_state = 38, .external_lex_state = 1},
  [393] = {.lex_state = 38, .external_lex_state = 1},
  [394] = {.lex_state = 38, .external_lex_state = 1},
  [395] = {.lex_state = 38, .external_lex_state = 1},
  [396] = {.lex_state = 38, .external_lex_state = 1},
  [397] = {.lex_state = 0, .external_lex_state = 1},
  [398] = {.lex_state = 0, .external_lex_state = 1},
  [399] = {.lex_state = 0, .external_lex_state = 1},
  [400] = {.lex_state = 0, .external_lex_state = 1},
  [401] = {.lex_state = 0, .external_lex_state = 1},
  [402] = {.lex_state = 0, .external_lex_state = 1},
  [403] = {.lex_state = 0, .external_lex_state = 1},
  [404] = {.lex_state = 0, .external_lex_state = 1},
  [405] = {.lex_state = 0, .external_lex_state = 1},
  [406] = {.lex_state = 0, .external_lex_state = 1},
  [407] = {.lex_state = 0, .external_lex_state = 1},
  [408] = {.lex_state = 0, .external_lex_state = 1},
  [409] = {.lex_state = 0, .external_lex_state = 1},
  [410] = {.lex_state = 0, .external_lex_state = 1},
  [411] = {.lex_state = 0, .external_lex_state = 1},
  [412] = {.lex_state = 0, .external_lex_state = 1},
  [413] = {.lex_state = 0, .external_lex_state = 1},
  [414] = {.lex_state = 0, .external_lex_state = 1},
  [415] = {.lex_state = 0, .external_lex_state = 1},
  [416] = {.lex_state = 0, .external_lex_state = 1},
  [417] = {.lex_state = 0, .external_lex_state = 1},
  [418] = {.lex_state = 0, .external_lex_state = 1},
  [419] = {.lex_state = 0, .external_lex_state = 1},
  [420] = {.lex_state = 0, .external_lex_state = 1},
  [421] = {.lex_state = 0, .external_lex_state = 1},
  [422] = {.lex_state = 0, .external_lex_state = 1},
  [423] = {.lex_state = 0, .external_lex_state = 1},
  [424] = {.lex_state = 0, .external_lex_state = 1},
  [425] = {.lex_state = 0, .external_lex_state = 1},
  [426] = {.lex_state = 0, .external_lex_state = 1},
  [427] = {.lex_state = 0, .external_lex_state = 1},
  [428] = {.lex_state = 0, .external_lex_state = 1},
  [429] = {.lex_state = 0, .external_lex_state = 1},
  [430] = {.lex_state = 0, .external_lex_state = 1},
  [431] = {.lex_state = 0, .external_lex_state = 1},
  [432] = {.lex_state = 0, .external_lex_state = 1},
  [433] = {.lex_state = 0, .external_lex_state = 1},
  [434] = {.lex_state = 0, .external_lex_state = 1},
  [435] = {.lex_state = 0, .external_lex_state = 1},
  [436] = {.lex_state = 0, .external_lex_state = 1},
  [437] = {.lex_state = 0, .external_lex_state = 1},
  [438] = {.lex_state = 0, .external_lex_state = 1},
  [439] = {.lex_state = 0, .external_lex_state = 1},
  [440] = {.lex_state = 0, .external_lex_state = 1},
  [441] = {.lex_state = 0, .external_lex_state = 1},
  [442] = {.lex_state = 1, .external_lex_state = 1},
  [443] = {.lex_state = 0, .external_lex_state = 1},
  [444] = {.lex_state = 0, .external_lex_state = 1},
  [445] = {.lex_state = 0, .external_lex_state = 1},
  [446] = {.lex_state = 0, .external_lex_state = 1},
  [447] = {.lex_state = 0, .external_lex_state = 1},
  [448] = {.lex_state = 0, .external_lex_state = 1},
  [449] = {.lex_state = 0, .external_lex_state = 1},
  [450] = {.lex_state = 0, .external_lex_state = 1},
  [451] = {.lex_state = 0, .external_lex_state = 1},
  [452] = {.lex_state = 0, .external_lex_state = 1},
  [453] = {.lex_state = 0, .external_lex_state = 1},
  [454] = {.lex_state = 0, .external_lex_state = 1},
  [455] = {.lex_state = 0, .external_lex_state = 1},
  [456] = {.lex_state = 0, .external_lex_state = 1},
  [457] = {.lex_state = 0, .external_lex_state = 1},
  [458] = {.lex_state = 0, .external_lex_state = 1},
  [459] = {.lex_state = 0, .external_lex_state = 1},
  [460] = {.lex_state = 0, .external_lex_state = 1},
  [461] = {.lex_state = 0, .external_lex_state = 1},
  [462] = {.lex_state = 0, .external_lex_state = 1},
  [463] = {.lex_state = 0, .external_lex_state = 1},
  [464] = {.lex_state = 0, .external_lex_state = 1},
  [465] = {.lex_state = 1, .external_lex_state = 1},
  [466] = {.lex_state = 0, .external_lex_state = 1},
  [467] = {.lex_state = 0, .external_lex_state = 1},
  [468] = {.lex_state = 0, .external_lex_state = 1},
  [469] = {.lex_state = 0, .external_lex_state = 1},
  [470] = {.lex_state = 0, .external_lex_state = 1},
  [471] = {.lex_state = 0, .external_lex_state = 1},
  [472] = {.lex_state = 0, .external_lex_state = 1},
  [473] = {.lex_state = 0, .external_lex_state = 1},
  [474] = {.lex_state = 0, .external_lex_state = 1},
  [475] = {.lex_state = 1, .external_lex_state = 1},
  [476] = {.lex_state = 0, .external_lex_state = 1},
  [477] = {.lex_state = 0, .external_lex_state = 1},
  [478] = {.lex_state = 0, .external_lex_state = 1},
  [479] = {.lex_state = 0, .external_lex_state = 1},
  [480] = {.lex_state = 0, .external_lex_state = 1},
  [481] = {.lex_state = 0, .external_lex_state = 1},
  [482] = {.lex_state = 0, .external_lex_state = 1},
  [483] = {.lex_state = 0, .external_lex_state = 1},
  [484] = {.lex_state = 0, .external_lex_state = 1},
  [485] = {.lex_state = 0, .external_lex_state = 1},
  [486] = {.lex_state = 0, .external_lex_state = 1},
  [487] = {.lex_state = 0, .external_lex_state = 1},
  [488] = {.lex_state = 0, .external_lex_state = 1},
  [489] = {.lex_state = 0, .external_lex_state = 1},
  [490] = {.lex_state = 0, .external_lex_state = 1},
  [491] = {.lex_state = 0, .external_lex_state = 1},
  [492] = {.lex_state = 1, .external_lex_state = 1},
  [493] = {.lex_state = 0, .external_lex_state = 1},
  [494] = {.lex_state = 0, .external_lex_state = 1},
  [495] = {.lex_state = 0, .external_lex_state = 1},
  [496] = {.lex_state = 0, .external_lex_state = 1},
  [497] = {.lex_state = 0, .external_lex_state = 1},
  [498] = {.lex_state = 0, .external_lex_state = 1},
  [499] = {.lex_state = 0, .external_lex_state = 1},
  [500] = {.lex_state = 0, .external_lex_state = 1},
  [501] = {.lex_state = 0, .external_lex_state = 1},
  [502] = {.lex_state = 0, .external_lex_state = 1},
  [503] = {.lex_state = 0, .external_lex_state = 1},
  [504] = {.lex_state = 0, .external_lex_state = 1},
  [505] = {.lex_state = 0, .external_lex_state = 1},
  [506] = {.lex_state = 0, .external_lex_state = 1},
  [507] = {.lex_state = 0, .external_lex_state = 1},
  [508] = {.lex_state = 0, .external_lex_state = 1},
  [509] = {.lex_state = 0, .external_lex_state = 1},
  [510] = {.lex_state = 0, .external_lex_state = 1},
  [511] = {.lex_state = 0, .external_lex_state = 1},
  [512] = {.lex_state = 0, .external_lex_state = 1},
  [513] = {.lex_state = 0, .external_lex_state = 1},
  [514] = {.lex_state = 0, .external_lex_state = 1},
  [515] = {.lex_state = 0, .external_lex_state = 1},
  [516] = {.lex_state = 0, .external_lex_state = 1},
  [517] = {.lex_state = 0, .external_lex_state = 1},
  [518] = {.lex_state = 0, .external_lex_state = 1},
  [519] = {.lex_state = 0, .external_lex_state = 1},
  [520] = {.lex_state = 0, .external_lex_state = 1},
  [521] = {.lex_state = 0, .external_lex_state = 1},
  [522] = {.lex_state = 0, .external_lex_state = 1},
  [523] = {.lex_state = 0, .external_lex_state = 1},
  [524] = {.lex_state = 0, .external_lex_state = 1},
  [525] = {.lex_state = 0, .external_lex_state = 1},
  [526] = {.lex_state = 0, .external_lex_state = 1},
  [527] = {.lex_state = 0, .external_lex_state = 1},
  [528] = {.lex_state = 0, .external_lex_state = 1},
  [529] = {.lex_state = 0, .external_lex_state = 1},
  [530] = {.lex_state = 0, .external_lex_state = 1},
  [531] = {.lex_state = 0, .external_lex_state = 1},
  [532] = {.lex_state = 0, .external_lex_state = 1},
  [533] = {.lex_state = 0, .external_lex_state = 1},
  [534] = {.lex_state = 0, .external_lex_state = 1},
  [535] = {.lex_state = 0, .external_lex_state = 1},
  [536] = {.lex_state = 0, .external_lex_state = 1},
  [537] = {.lex_state = 0, .external_lex_state = 1},
  [538] = {.lex_state = 0, .external_lex_state = 1},
  [539] = {.lex_state = 0, .external_lex_state = 1},
  [540] = {.lex_state = 0, .external_lex_state = 1},
  [541] = {.lex_state = 0, .external_lex_state = 1},
  [542] = {.lex_state = 0, .external_lex_state = 1},
  [543] = {.lex_state = 0, .external_lex_state = 1},
  [544] = {.lex_state = 0, .external_lex_state = 1},
  [545] = {.lex_state = 0, .external_lex_state = 1},
  [546] = {.lex_state = 0, .external_lex_state = 1},
  [547] = {.lex_state = 0, .external_lex_state = 1},
  [548] = {.lex_state = 0, .external_lex_state = 1},
  [549] = {.lex_state = 0, .external_lex_state = 1},
  [550] = {.lex_state = 0, .external_lex_state = 1},
  [551] = {.lex_state = 0, .external_lex_state = 1},
  [552] = {.lex_state = 0, .external_lex_state = 1},
  [553] = {.lex_state = 0, .external_lex_state = 1},
  [554] = {.lex_state = 0, .external_lex_state = 1},
  [555] = {.lex_state = 0, .external_lex_state = 1},
  [556] = {.lex_state = 5},
  [557] = {.lex_state = 0, .external_lex_state = 1},
  [558] = {.lex_state = 0, .external_lex_state = 1},
  [559] = {.lex_state = 0, .external_lex_state = 1},
  [560] = {.lex_state = 0, .external_lex_state = 1},
  [561] = {.lex_state = 0, .external_lex_state = 1},
  [562] = {.lex_state = 0, .external_lex_state = 1},
  [563] = {.lex_state = 0, .external_lex_state = 1},
  [564] = {.lex_state = 0, .external_lex_state = 1},
  [565] = {.lex_state = 0, .external_lex_state = 1},
  [566] = {.lex_state = 0, .external_lex_state = 1},
  [567] = {.lex_state = 0, .external_lex_state = 1},
  [568] = {.lex_state = 0, .external_lex_state = 1},
  [569] = {.lex_state = 0, .external_lex_state = 1},
  [570] = {.lex_state = 0, .external_lex_state = 1},
  [571] = {.lex_state = 0, .external_lex_state = 1},
  [572] = {.lex_state = 0, .external_lex_state = 1},
  [573] = {.lex_state = 0, .external_lex_state = 1},
  [574] = {.lex_state = 0, .external_lex_state = 1},
  [575] = {.lex_state = 0, .external_lex_state = 1},
  [576] = {.lex_state = 0, .external_lex_state = 1},
  [577] = {.lex_state = 0, .external_lex_state = 1},
  [578] = {.lex_state = 0, .external_lex_state = 1},
  [579] = {.lex_state = 0, .external_lex_state = 1},
  [580] = {.lex_state = 0, .external_lex_state = 1},
  [581] = {.lex_state = 0, .external_lex_state = 1},
  [582] = {.lex_state = 0, .external_lex_state = 1},
  [583] = {.lex_state = 0, .external_lex_state = 1},
  [584] = {.lex_state = 0, .external_lex_state = 1},
  [585] = {.lex_state = 0, .external_lex_state = 1},
  [586] = {.lex_state = 0, .external_lex_state = 1},
  [587] = {.lex_state = 0, .external_lex_state = 1},
  [588] = {.lex_state = 0, .external_lex_state = 1},
  [589] = {.lex_state = 0, .external_lex_state = 1},
  [590] = {.lex_state = 0, .external_lex_state = 1},
  [591] = {.lex_state = 0, .external_lex_state = 1},
  [592] = {.lex_state = 0, .external_lex_state = 1},
  [593] = {.lex_state = 0, .external_lex_state = 1},
  [594] = {.lex_state = 0, .external_lex_state = 1},
  [595] = {.lex_state = 0, .external_lex_state = 1},
  [596] = {.lex_state = 0, .external_lex_state = 1},
  [597] = {.lex_state = 0, .external_lex_state = 1},
  [598] = {.lex_state = 0, .external_lex_state = 1},
  [599] = {.lex_state = 0, .external_lex_state = 1},
  [600] = {.lex_state = 0, .external_lex_state = 1},
  [601] = {.lex_state = 5},
  [602] = {.lex_state = 0, .external_lex_state = 1},
  [603] = {.lex_state = 0, .external_lex_state = 1},
  [604] = {.lex_state = 0, .external_lex_state = 1},
  [605] = {.lex_state = 0, .external_lex_state = 1},
  [606] = {.lex_state = 0, .external_lex_state = 1},
  [607] = {.lex_state = 0, .external_lex_state = 1},
  [608] = {.lex_state = 0, .external_lex_state = 1},
  [609] = {.lex_state = 0, .external_lex_state = 1},
  [610] = {.lex_state = 0, .external_lex_state = 1},
  [611] = {.lex_state = 0, .external_lex_state = 1},
  [612] = {.lex_state = 0, .external_lex_state = 1},
  [613] = {.lex_state = 0, .external_lex_state = 1},
  [614] = {.lex_state = 0, .external_lex_state = 1},
  [615] = {.lex_state = 0, .external_lex_state = 1},
  [616] = {.lex_state = 0, .external_lex_state = 1},
  [617] = {.lex_state = 0, .external_lex_state = 1},
  [618] = {.lex_state = 0, .external_lex_state = 1},
  [619] = {.lex_state = 0, .external_lex_state = 1},
  [620] = {.lex_state = 0, .external_lex_state = 1},
  [621] = {.lex_state = 0, .external_lex_state = 1},
  [622] = {.lex_state = 0, .external_lex_state = 1},
  [623] = {.lex_state = 0, .external_lex_state = 1},
  [624] = {.lex_state = 0, .external_lex_state = 1},
  [625] = {.lex_state = 0, .external_lex_state = 1},
  [626] = {.lex_state = 0, .external_lex_state = 1},
  [627] = {.lex_state = 0, .external_lex_state = 1},
  [628] = {.lex_state = 0, .external_lex_state = 1},
  [629] = {.lex_state = 0, .external_lex_state = 1},
  [630] = {.lex_state = 0, .external_lex_state = 1},
  [631] = {.lex_state = 6},
  [632] = {.lex_state = 6},
  [633] = {.lex_state = 0, .external_lex_state = 1},
  [634] = {.lex_state = 0, .external_lex_state = 1},
  [635] = {.lex_state = 0, .external_lex_state = 1},
  [636] = {.lex_state = 0, .external_lex_state = 1},
  [637] = {.lex_state = 0, .external_lex_state = 1},
  [638] = {.lex_state = 0, .external_lex_state = 1},
  [639] = {.lex_state = 0, .external_lex_state = 1},
  [640] = {.lex_state = 0, .external_lex_state = 1},
  [641] = {.lex_state = 0, .external_lex_state = 1},
  [642] = {.lex_state = 0, .external_lex_state = 1},
  [643] = {.lex_state = 0, .external_lex_state = 1},
  [644] = {.lex_state = 0, .external_lex_state = 1},
  [645] = {.lex_state = 5},
  [646] = {.lex_state = 5},
  [647] = {.lex_state = 0, .external_lex_state = 1},
  [648] = {.lex_state = 0, .external_lex_state = 1},
  [649] = {.lex_state = 0, .external_lex_state = 1},
  [650] = {.lex_state = 0, .external_lex_state = 1},
  [651] = {.lex_state = 0, .external_lex_state = 1},
  [652] = {.lex_state = 5},
  [653] = {.lex_state = 0, .external_lex_state = 1},
  [654] = {.lex_state = 6},
  [655] = {.lex_state = 6},
  [656] = {.lex_state = 0, .external_lex_state = 1},
  [657] = {.lex_state = 0, .external_lex_state = 1},
  [658] = {.lex_state = 0, .external_lex_state = 1},
  [659] = {.lex_state = 0, .external_lex_state = 1},
  [660] = {.lex_state = 0, .external_lex_state = 1},
  [661] = {.lex_state = 0, .external_lex_state = 1},
  [662] = {.lex_state = 0, .external_lex_state = 1},
  [663] = {.lex_state = 0, .external_lex_state = 1},
  [664] = {.lex_state = 0, .external_lex_state = 1},
  [665] = {.lex_state = 0, .external_lex_state = 1},
  [666] = {.lex_state = 0, .external_lex_state = 1},
  [667] = {.lex_state = 0, .external_lex_state = 1},
  [668] = {.lex_state = 0, .external_lex_state = 1},
  [669] = {.lex_state = 0, .external_lex_state = 1},
  [670] = {.lex_state = 0, .external_lex_state = 1},
  [671] = {.lex_state = 0, .external_lex_state = 1},
  [672] = {.lex_state = 0, .external_lex_state = 1},
  [673] = {.lex_state = 0, .external_lex_state = 1},
  [674] = {.lex_state = 0, .external_lex_state = 1},
  [675] = {.lex_state = 0, .external_lex_state = 1},
  [676] = {.lex_state = 0, .external_lex_state = 1},
  [677] = {.lex_state = 0, .external_lex_state = 1},
  [678] = {.lex_state = 0, .external_lex_state = 1},
  [679] = {.lex_state = 0, .external_lex_state = 1},
  [680] = {.lex_state = 6},
  [681] = {.lex_state = 6},
  [682] = {.lex_state = 0, .external_lex_state = 1},
  [683] = {.lex_state = 0, .external_lex_state = 1},
  [684] = {.lex_state = 0, .external_lex_state = 1},
  [685] = {.lex_state = 0, .external_lex_state = 1},
  [686] = {.lex_state = 0, .external_lex_state = 1},
  [687] = {.lex_state = 0, .external_lex_state = 1},
  [688] = {.lex_state = 0, .external_lex_state = 1},
  [689] = {.lex_state = 0, .external_lex_state = 1},
  [690] = {.lex_state = 0, .external_lex_state = 1},
  [691] = {.lex_state = 0, .external_lex_state = 1},
  [692] = {.lex_state = 0, .external_lex_state = 1},
  [693] = {.lex_state = 0, .external_lex_state = 1},
  [694] = {.lex_state = 0, .external_lex_state = 1},
  [695] = {.lex_state = 0, .external_lex_state = 1},
  [696] = {.lex_state = 0, .external_lex_state = 1},
  [697] = {.lex_state = 0, .external_lex_state = 1},
  [698] = {.lex_state = 0, .external_lex_state = 1},
  [699] = {.lex_state = 0, .external_lex_state = 1},
  [700] = {.lex_state = 0, .external_lex_state = 1},
  [701] = {.lex_state = 0, .external_lex_state = 1},
  [702] = {.lex_state = 0, .external_lex_state = 1},
  [703] = {.lex_state = 0, .external_lex_state = 1},
  [704] = {.lex_state = 0, .external_lex_state = 1},
  [705] = {.lex_state = 6},
  [706] = {.lex_state = 0, .external_lex_state = 1},
  [707] = {.lex_state = 0, .external_lex_state = 1},
  [708] = {.lex_state = 0, .external_lex_state = 1},
  [709] = {.lex_state = 0, .external_lex_state = 1},
  [710] = {.lex_state = 0, .external_lex_state = 1},
  [711] = {.lex_state = 0, .external_lex_state = 1},
  [712] = {.lex_state = 0, .external_lex_state = 1},
  [713] = {.lex_state = 0, .external_lex_state = 1},
  [714] = {.lex_state = 0, .external_lex_state = 1},
  [715] = {.lex_state = 0, .external_lex_state = 1},
  [716] = {.lex_state = 0, .external_lex_state = 1},
  [717] = {.lex_state = 0, .external_lex_state = 1},
  [718] = {.lex_state = 0, .external_lex_state = 1},
  [719] = {.lex_state = 0, .external_lex_state = 1},
  [720] = {.lex_state = 0, .external_lex_state = 1},
  [721] = {.lex_state = 0, .external_lex_state = 1},
  [722] = {.lex_state = 0, .external_lex_state = 1},
  [723] = {.lex_state = 0, .external_lex_state = 1},
  [724] = {.lex_state = 0, .external_lex_state = 1},
  [725] = {.lex_state = 0, .external_lex_state = 1},
  [726] = {.lex_state = 0, .external_lex_state = 1},
  [727] = {.lex_state = 0, .external_lex_state = 1},
  [728] = {.lex_state = 0, .external_lex_state = 1},
  [729] = {.lex_state = 0, .external_lex_state = 1},
  [730] = {.lex_state = 0, .external_lex_state = 1},
  [731] = {.lex_state = 0, .external_lex_state = 1},
  [732] = {.lex_state = 0, .external_lex_state = 1},
  [733] = {.lex_state = 0, .external_lex_state = 1},
  [734] = {.lex_state = 0, .external_lex_state = 1},
  [735] = {.lex_state = 0, .external_lex_state = 1},
  [736] = {.lex_state = 0, .external_lex_state = 1},
  [737] = {.lex_state = 0, .external_lex_state = 1},
  [738] = {.lex_state = 0, .external_lex_state = 1},
  [739] = {.lex_state = 0, .external_lex_state = 1},
  [740] = {.lex_state = 0, .external_lex_state = 1},
  [741] = {.lex_state = 0, .external_lex_state = 1},
  [742] = {.lex_state = 5},
  [743] = {.lex_state = 5},
  [744] = {.lex_state = 5},
  [745] = {.lex_state = 5},
  [746] = {.lex_state = 5},
  [747] = {.lex_state = 5},
  [748] = {.lex_state = 5},
  [749] = {.lex_state = 5},
  [750] = {.lex_state = 5},
  [751] = {.lex_state = 5},
  [752] = {.lex_state = 5},
  [753] = {.lex_state = 5},
  [754] = {.lex_state = 5},
  [755] = {.lex_state = 5},
  [756] = {.lex_state = 5},
  [757] = {.lex_state = 5},
  [758] = {.lex_state = 5},
  [759] = {.lex_state = 5},
  [760] = {.lex_state = 5},
  [761] = {.lex_state = 5},
  [762] = {.lex_state = 5},
  [763] = {.lex_state = 5},
  [764] = {.lex_state = 5},
  [765] = {.lex_state = 5},
  [766] = {.lex_state = 5},
  [767] = {.lex_state = 5},
  [768] = {.lex_state = 5},
  [769] = {.lex_state = 5},
  [770] = {.lex_state = 5},
  [771] = {.lex_state = 5},
  [772] = {.lex_state = 5},
  [773] = {.lex_state = 5},
  [774] = {.lex_state = 5},
  [775] = {.lex_state = 5},
  [776] = {.lex_state = 5},
  [777] = {.lex_state = 5},
  [778] = {.lex_state = 5},
  [779] = {.lex_state = 5},
  [780] = {.lex_state = 5},
  [781] = {.lex_state = 5},
  [782] = {.lex_state = 5},
  [783] = {.lex_state = 5},
  [784] = {.lex_state = 5},
  [785] = {.lex_state = 5},
  [786] = {.lex_state = 5},
  [787] = {.lex_state = 5},
  [788] = {.lex_state = 5},
  [789] = {.lex_state = 5},
  [790] = {.lex_state = 5},
  [791] = {.lex_state = 5},
  [792] = {.lex_state = 5},
  [793] = {.lex_state = 5},
  [794] = {.lex_state = 5},
  [795] = {.lex_state = 5},
  [796] = {.lex_state = 5},
  [797] = {.lex_state = 5},
  [798] = {.lex_state = 5},
  [799] = {.lex_state = 5},
  [800] = {.lex_state = 5},
  [801] = {.lex_state = 5},
  [802] = {.lex_state = 5},
  [803] = {.lex_state = 5},
  [804] = {.lex_state = 5},
  [805] = {.lex_state = 5},
  [806] = {.lex_state = 5},
  [807] = {.lex_state = 5},
  [808] = {.lex_state = 5},
  [809] = {.lex_state = 5},
  [810] = {.lex_state = 5},
  [811] = {.lex_state = 5},
  [812] = {.lex_state = 5},
  [813] = {.lex_state = 5},
  [814] = {.lex_state = 5},
  [815] = {.lex_state = 5},
  [816] = {.lex_state = 5},
  [817] = {.lex_state = 5},
  [818] = {.lex_state = 5},
  [819] = {.lex_state = 5},
  [820] = {.lex_state = 5},
  [821] = {.lex_state = 5},
  [822] = {.lex_state = 5},
  [823] = {.lex_state = 5},
  [824] = {.lex_state = 5},
  [825] = {.lex_state = 5},
  [826] = {.lex_state = 5},
  [827] = {.lex_state = 5},
  [828] = {.lex_state = 5},
  [829] = {.lex_state = 5},
  [830] = {.lex_state = 5},
  [831] = {.lex_state = 5},
  [832] = {.lex_state = 5},
  [833] = {.lex_state = 5},
  [834] = {.lex_state = 5},
  [835] = {.lex_state = 5},
  [836] = {.lex_state = 5},
  [837] = {.lex_state = 5},
  [838] = {.lex_state = 5},
  [839] = {.lex_state = 5},
  [840] = {.lex_state = 5},
  [841] = {.lex_state = 5},
  [842] = {.lex_state = 5},
  [843] = {.lex_state = 5},
  [844] = {.lex_state = 5},
  [845] = {.lex_state = 5},
  [846] = {.lex_state = 5},
  [847] = {.lex_state = 5},
  [848] = {.lex_state = 5},
  [849] = {.lex_state = 5},
  [850] = {.lex_state = 5},
  [851] = {.lex_state = 5},
  [852] = {.lex_state = 5},
  [853] = {.lex_state = 6},
  [854] = {.lex_state = 5},
  [855] = {.lex_state = 6},
  [856] = {.lex_state = 6},
  [857] = {.lex_state = 5},
  [858] = {.lex_state = 5},
  [859] = {.lex_state = 5},
  [860] = {.lex_state = 5},
  [861] = {.lex_state = 5},
  [862] = {.lex_state = 5},
  [863] = {.lex_state = 5},
  [864] = {.lex_state = 5},
  [865] = {.lex_state = 5},
  [866] = {.lex_state = 5},
  [867] = {.lex_state = 5},
  [868] = {.lex_state = 5},
  [869] = {.lex_state = 5},
  [870] = {.lex_state = 5},
  [871] = {.lex_state = 5},
  [872] = {.lex_state = 5},
  [873] = {.lex_state = 5},
  [874] = {.lex_state = 5},
  [875] = {.lex_state = 5},
  [876] = {.lex_state = 0, .external_lex_state = 1},
  [877] = {.lex_state = 5},
  [878] = {.lex_state = 5},
  [879] = {.lex_state = 5},
  [880] = {.lex_state = 5},
  [881] = {.lex_state = 5},
  [882] = {.lex_state = 6},
  [883] = {.lex_state = 5},
  [884] = {.lex_state = 5},
  [885] = {.lex_state = 5},
  [886] = {.lex_state = 5},
  [887] = {.lex_state = 5},
  [888] = {.lex_state = 5},
  [889] = {.lex_state = 5},
  [890] = {.lex_state = 5},
  [891] = {.lex_state = 5},
  [892] = {.lex_state = 5},
  [893] = {.lex_state = 5},
  [894] = {.lex_state = 5},
  [895] = {.lex_state = 5},
  [896] = {.lex_state = 5},
  [897] = {.lex_state = 5},
  [898] = {.lex_state = 5},
  [899] = {.lex_state = 5},
  [900] = {.lex_state = 5},
  [901] = {.lex_state = 5},
  [902] = {.lex_state = 5},
  [903] = {.lex_state = 5},
  [904] = {.lex_state = 5},
  [905] = {.lex_state = 5},
  [906] = {.lex_state = 5},
  [907] = {.lex_state = 5},
  [908] = {.lex_state = 5},
  [909] = {.lex_state = 5},
  [910] = {.lex_state = 5},
  [911] = {.lex_state = 5},
  [912] = {.lex_state = 5},
  [913] = {.lex_state = 5},
  [914] = {.lex_state = 5},
  [915] = {.lex_state = 5},
  [916] = {.lex_state = 5},
  [917] = {.lex_state = 5},
  [918] = {.lex_state = 5},
  [919] = {.lex_state = 5},
  [920] = {.lex_state = 5},
  [921] = {.lex_state = 5},
  [922] = {.lex_state = 5},
  [923] = {.lex_state = 5},
  [924] = {.lex_state = 5},
  [925] = {.lex_state = 5},
  [926] = {.lex_state = 5},
  [927] = {.lex_state = 5},
  [928] = {.lex_state = 5},
  [929] = {.lex_state = 5},
  [930] = {.lex_state = 5},
  [931] = {.lex_state = 5},
  [932] = {.lex_state = 5},
  [933] = {.lex_state = 5},
  [934] = {.lex_state = 5},
  [935] = {.lex_state = 5},
  [936] = {.lex_state = 5},
  [937] = {.lex_state = 6},
  [938] = {.lex_state = 6},
  [939] = {.lex_state = 5},
  [940] = {.lex_state = 5},
  [941] = {.lex_state = 5},
  [942] = {.lex_state = 5},
  [943] = {.lex_state = 5},
  [944] = {.lex_state = 5},
  [945] = {.lex_state = 5},
  [946] = {.lex_state = 5},
  [947] = {.lex_state = 6},
  [948] = {.lex_state = 5},
  [949] = {.lex_state = 5},
  [950] = {.lex_state = 6},
  [951] = {.lex_state = 6},
  [952] = {.lex_state = 6},
  [953] = {.lex_state = 6},
  [954] = {.lex_state = 6},
  [955] = {.lex_state = 6},
  [956] = {.lex_state = 6},
  [957] = {.lex_state = 6},
  [958] = {.lex_state = 6},
  [959] = {.lex_state = 6},
  [960] = {.lex_state = 6},
  [961] = {.lex_state = 6},
  [962] = {.lex_state = 6},
  [963] = {.lex_state = 6},
  [964] = {.lex_state = 6},
  [965] = {.lex_state = 6},
  [966] = {.lex_state = 6},
  [967] = {.lex_state = 6},
  [968] = {.lex_state = 6},
  [969] = {.lex_state = 6},
  [970] = {.lex_state = 6},
  [971] = {.lex_state = 6},
  [972] = {.lex_state = 6},
  [973] = {.lex_state = 6},
  [974] = {.lex_state = 6},
  [975] = {.lex_state = 6},
  [976] = {.lex_state = 6},
  [977] = {.lex_state = 6},
  [978] = {.lex_state = 6},
  [979] = {.lex_state = 6},
  [980] = {.lex_state = 6},
  [981] = {.lex_state = 6},
  [982] = {.lex_state = 6},
  [983] = {.lex_state = 6},
  [984] = {.lex_state = 6},
  [985] = {.lex_state = 6},
  [986] = {.lex_state = 6},
  [987] = {.lex_state = 6},
  [988] = {.lex_state = 6},
  [989] = {.lex_state = 6},
  [990] = {.lex_state = 6},
  [991] = {.lex_state = 6},
  [992] = {.lex_state = 6},
  [993] = {.lex_state = 6},
  [994] = {.lex_state = 6},
  [995] = {.lex_state = 6},
  [996] = {.lex_state = 6},
  [997] = {.lex_state = 6},
  [998] = {.lex_state = 6},
  [999] = {.lex_state = 6},
  [1000] = {.lex_state = 6},
  [1001] = {.lex_state = 6},
  [1002] = {.lex_state = 6},
  [1003] = {.lex_state = 6},
  [1004] = {.lex_state = 6},
  [1005] = {.lex_state = 6},
  [1006] = {.lex_state = 6},
  [1007] = {.lex_state = 6},
  [1008] = {.lex_state = 6},
  [1009] = {.lex_state = 6},
  [1010] = {.lex_state = 6},
  [1011] = {.lex_state = 6},
  [1012] = {.lex_state = 6},
  [1013] = {.lex_state = 6},
  [1014] = {.lex_state = 6},
  [1015] = {.lex_state = 6},
  [1016] = {.lex_state = 6},
  [1017] = {.lex_state = 6},
  [1018] = {.lex_state = 6},
  [1019] = {.lex_state = 6},
  [1020] = {.lex_state = 6},
  [1021] = {.lex_state = 6},
  [1022] = {.lex_state = 6},
  [1023] = {.lex_state = 6},
  [1024] = {.lex_state = 6},
  [1025] = {.lex_state = 6},
  [1026] = {.lex_state = 6},
  [1027] = {.lex_state = 6},
  [1028] = {.lex_state = 6},
  [1029] = {.lex_state = 6},
  [1030] = {.lex_state = 6},
  [1031] = {.lex_state = 6},
  [1032] = {.lex_state = 6},
  [1033] = {.lex_state = 6},
  [1034] = {.lex_state = 6},
  [1035] = {.lex_state = 6},
  [1036] = {.lex_state = 6},
  [1037] = {.lex_state = 6},
  [1038] = {.lex_state = 6},
  [1039] = {.lex_state = 6},
  [1040] = {.lex_state = 6},
  [1041] = {.lex_state = 6},
  [1042] = {.lex_state = 6},
  [1043] = {.lex_state = 6},
  [1044] = {.lex_state = 6},
  [1045] = {.lex_state = 6},
  [1046] = {.lex_state = 6},
  [1047] = {.lex_state = 6},
  [1048] = {.lex_state = 6},
  [1049] = {.lex_state = 6},
  [1050] = {.lex_state = 6},
  [1051] = {.lex_state = 6},
  [1052] = {.lex_state = 6},
  [1053] = {.lex_state = 6},
  [1054] = {.lex_state = 5},
  [1055] = {.lex_state = 6},
  [1056] = {.lex_state = 6},
  [1057] = {.lex_state = 6},
  [1058] = {.lex_state = 6},
  [1059] = {.lex_state = 6},
  [1060] = {.lex_state = 6},
  [1061] = {.lex_state = 6},
  [1062] = {.lex_state = 6},
  [1063] = {.lex_state = 6},
  [1064] = {.lex_state = 6},
  [1065] = {.lex_state = 6},
  [1066] = {.lex_state = 6},
  [1067] = {.lex_state = 6},
  [1068] = {.lex_state = 6},
  [1069] = {.lex_state = 6},
  [1070] = {.lex_state = 6},
  [1071] = {.lex_state = 6},
  [1072] = {.lex_state = 6},
  [1073] = {.lex_state = 6},
  [1074] = {.lex_state = 6},
  [1075] = {.lex_state = 6},
  [1076] = {.lex_state = 6},
  [1077] = {.lex_state = 6},
  [1078] = {.lex_state = 6},
  [1079] = {.lex_state = 6},
  [1080] = {.lex_state = 6},
  [1081] = {.lex_state = 6},
  [1082] = {.lex_state = 5},
  [1083] = {.lex_state = 6},
  [1084] = {.lex_state = 6},
  [1085] = {.lex_state = 6},
  [1086] = {.lex_state = 6},
  [1087] = {.lex_state = 6},
  [1088] = {.lex_state = 6},
  [1089] = {.lex_state = 6},
  [1090] = {.lex_state = 6},
  [1091] = {.lex_state = 6},
  [1092] = {.lex_state = 6},
  [1093] = {.lex_state = 6},
  [1094] = {.lex_state = 6},
  [1095] = {.lex_state = 6},
  [1096] = {.lex_state = 6},
  [1097] = {.lex_state = 6},
  [1098] = {.lex_state = 6},
  [1099] = {.lex_state = 6},
  [1100] = {.lex_state = 6},
  [1101] = {.lex_state = 6},
  [1102] = {.lex_state = 6},
  [1103] = {.lex_state = 6},
  [1104] = {.lex_state = 6},
  [1105] = {.lex_state = 6},
  [1106] = {.lex_state = 6},
  [1107] = {.lex_state = 6},
  [1108] = {.lex_state = 6},
  [1109] = {.lex_state = 6},
  [1110] = {.lex_state = 6},
  [1111] = {.lex_state = 6},
  [1112] = {.lex_state = 6},
  [1113] = {.lex_state = 6},
  [1114] = {.lex_state = 6},
  [1115] = {.lex_state = 6},
  [1116] = {.lex_state = 6},
  [1117] = {.lex_state = 6},
  [1118] = {.lex_state = 6},
  [1119] = {.lex_state = 6},
  [1120] = {.lex_state = 6},
  [1121] = {.lex_state = 6},
  [1122] = {.lex_state = 6},
  [1123] = {.lex_state = 6},
  [1124] = {.lex_state = 6},
  [1125] = {.lex_state = 6},
  [1126] = {.lex_state = 6},
  [1127] = {.lex_state = 6},
  [1128] = {.lex_state = 6},
  [1129] = {.lex_state = 6},
  [1130] = {.lex_state = 6},
  [1131] = {.lex_state = 6},
  [1132] = {.lex_state = 6},
  [1133] = {.lex_state = 6},
  [1134] = {.lex_state = 6},
  [1135] = {.lex_state = 6},
  [1136] = {.lex_state = 6},
  [1137] = {.lex_state = 6},
  [1138] = {.lex_state = 6},
  [1139] = {.lex_state = 6},
  [1140] = {.lex_state = 6},
  [1141] = {.lex_state = 6},
  [1142] = {.lex_state = 6},
  [1143] = {.lex_state = 6},
  [1144] = {.lex_state = 6},
  [1145] = {.lex_state = 6},
  [1146] = {.lex_state = 6},
  [1147] = {.lex_state = 6},
  [1148] = {.lex_state = 6},
  [1149] = {.lex_state = 6},
  [1150] = {.lex_state = 6},
  [1151] = {.lex_state = 6},
  [1152] = {.lex_state = 2},
  [1153] = {.lex_state = 5},
  [1154] = {.lex_state = 2},
  [1155] = {.lex_state = 2},
  [1156] = {.lex_state = 2},
  [1157] = {.lex_state = 2},
  [1158] = {.lex_state = 2},
  [1159] = {.lex_state = 2},
  [1160] = {.lex_state = 2},
  [1161] = {.lex_state = 2},
  [1162] = {.lex_state = 2},
  [1163] = {.lex_state = 2},
  [1164] = {.lex_state = 2},
  [1165] = {.lex_state = 2},
  [1166] = {.lex_state = 2},
  [1167] = {.lex_state = 2},
  [1168] = {.lex_state = 2},
  [1169] = {.lex_state = 2},
  [1170] = {.lex_state = 2},
  [1171] = {.lex_state = 2},
  [1172] = {.lex_state = 2},
  [1173] = {.lex_state = 2},
  [1174] = {.lex_state = 2},
  [1175] = {.lex_state = 2},
  [1176] = {.lex_state = 2},
  [1177] = {.lex_state = 2},
  [1178] = {.lex_state = 2},
  [1179] = {.lex_state = 2},
  [1180] = {.lex_state = 2},
  [1181] = {.lex_state = 2},
  [1182] = {.lex_state = 2},
  [1183] = {.lex_state = 2},
  [1184] = {.lex_state = 2},
  [1185] = {.lex_state = 2},
  [1186] = {.lex_state = 2},
  [1187] = {.lex_state = 2},
  [1188] = {.lex_state = 2},
  [1189] = {.lex_state = 2},
  [1190] = {.lex_state = 2},
  [1191] = {.lex_state = 2},
  [1192] = {.lex_state = 2},
  [1193] = {.lex_state = 2},
  [1194] = {.lex_state = 2},
  [1195] = {.lex_state = 2},
  [1196] = {.lex_state = 2},
  [1197] = {.lex_state = 2},
  [1198] = {.lex_state = 2},
  [1199] = {.lex_state = 2},
  [1200] = {.lex_state = 2},
  [1201] = {.lex_state = 2},
  [1202] = {.lex_state = 2},
  [1203] = {.lex_state = 2},
  [1204] = {.lex_state = 2},
  [1205] = {.lex_state = 2},
  [1206] = {.lex_state = 2},
  [1207] = {.lex_state = 2},
  [1208] = {.lex_state = 2},
  [1209] = {.lex_state = 2},
  [1210] = {.lex_state = 2},
  [1211] = {.lex_state = 2},
  [1212] = {.lex_state = 2},
  [1213] = {.lex_state = 2},
  [1214] = {.lex_state = 2},
  [1215] = {.lex_state = 2},
  [1216] = {.lex_state = 2},
  [1217] = {.lex_state = 2},
  [1218] = {.lex_state = 2},
  [1219] = {.lex_state = 2},
  [1220] = {.lex_state = 2},
  [1221] = {.lex_state = 2},
  [1222] = {.lex_state = 2},
  [1223] = {.lex_state = 2},
  [1224] = {.lex_state = 2},
  [1225] = {.lex_state = 2},
  [1226] = {.lex_state = 2},
  [1227] = {.lex_state = 5},
  [1228] = {.lex_state = 2},
  [1229] = {.lex_state = 2},
  [1230] = {.lex_state = 2},
  [1231] = {.lex_state = 2},
  [1232] = {.lex_state = 2},
  [1233] = {.lex_state = 2},
  [1234] = {.lex_state = 2},
  [1235] = {.lex_state = 2},
  [1236] = {.lex_state = 2},
  [1237] = {.lex_state = 2},
  [1238] = {.lex_state = 2},
  [1239] = {.lex_state = 2},
  [1240] = {.lex_state = 2},
  [1241] = {.lex_state = 2},
  [1242] = {.lex_state = 2},
  [1243] = {.lex_state = 2},
  [1244] = {.lex_state = 2},
  [1245] = {.lex_state = 2},
  [1246] = {.lex_state = 2},
  [1247] = {.lex_state = 2},
  [1248] = {.lex_state = 2},
  [1249] = {.lex_state = 2},
  [1250] = {.lex_state = 2},
  [1251] = {.lex_state = 2},
  [1252] = {.lex_state = 2},
  [1253] = {.lex_state = 2},
  [1254] = {.lex_state = 2},
  [1255] = {.lex_state = 2},
  [1256] = {.lex_state = 2},
  [1257] = {.lex_state = 2},
  [1258] = {.lex_state = 2},
  [1259] = {.lex_state = 2},
  [1260] = {.lex_state = 2},
  [1261] = {.lex_state = 2},
  [1262] = {.lex_state = 2},
  [1263] = {.lex_state = 2},
  [1264] = {.lex_state = 2},
  [1265] = {.lex_state = 2},
  [1266] = {.lex_state = 2},
  [1267] = {.lex_state = 2},
  [1268] = {.lex_state = 2},
  [1269] = {.lex_state = 2},
  [1270] = {.lex_state = 2},
  [1271] = {.lex_state = 2},
  [1272] = {.lex_state = 2},
  [1273] = {.lex_state = 5},
  [1274] = {.lex_state = 5},
  [1275] = {.lex_state = 2},
  [1276] = {.lex_state = 2},
  [1277] = {.lex_state = 2},
  [1278] = {.lex_state = 2},
  [1279] = {.lex_state = 2},
  [1280] = {.lex_state = 2},
  [1281] = {.lex_state = 2},
  [1282] = {.lex_state = 2},
  [1283] = {.lex_state = 2},
  [1284] = {.lex_state = 2},
  [1285] = {.lex_state = 2},
  [1286] = {.lex_state = 2},
  [1287] = {.lex_state = 2},
  [1288] = {.lex_state = 2},
  [1289] = {.lex_state = 2},
  [1290] = {.lex_state = 5},
  [1291] = {.lex_state = 2},
  [1292] = {.lex_state = 2},
  [1293] = {.lex_state = 2},
  [1294] = {.lex_state = 2},
  [1295] = {.lex_state = 5},
  [1296] = {.lex_state = 2},
  [1297] = {.lex_state = 2},
  [1298] = {.lex_state = 2},
  [1299] = {.lex_state = 2},
  [1300] = {.lex_state = 2},
  [1301] = {.lex_state = 2},
  [1302] = {.lex_state = 2},
  [1303] = {.lex_state = 2},
  [1304] = {.lex_state = 2},
  [1305] = {.lex_state = 2},
  [1306] = {.lex_state = 2},
  [1307] = {.lex_state = 2},
  [1308] = {.lex_state = 2},
  [1309] = {.lex_state = 2},
  [1310] = {.lex_state = 2},
  [1311] = {.lex_state = 2},
  [1312] = {.lex_state = 2},
  [1313] = {.lex_state = 2},
  [1314] = {.lex_state = 2},
  [1315] = {.lex_state = 2},
  [1316] = {.lex_state = 2},
  [1317] = {.lex_state = 2},
  [1318] = {.lex_state = 2},
  [1319] = {.lex_state = 2},
  [1320] = {.lex_state = 2},
  [1321] = {.lex_state = 2},
  [1322] = {.lex_state = 5},
  [1323] = {.lex_state = 5},
  [1324] = {.lex_state = 5},
  [1325] = {.lex_state = 5},
  [1326] = {.lex_state = 5},
  [1327] = {.lex_state = 5},
  [1328] = {.lex_state = 5},
  [1329] = {.lex_state = 5},
  [1330] = {.lex_state = 5},
  [1331] = {.lex_state = 5},
  [1332] = {.lex_state = 5},
  [1333] = {.lex_state = 5},
  [1334] = {.lex_state = 5},
  [1335] = {.lex_state = 5},
  [1336] = {.lex_state = 2},
  [1337] = {.lex_state = 2},
  [1338] = {.lex_state = 5},
  [1339] = {.lex_state = 2},
  [1340] = {.lex_state = 5},
  [1341] = {.lex_state = 2},
  [1342] = {.lex_state = 2},
  [1343] = {.lex_state = 2},
  [1344] = {.lex_state = 2},
  [1345] = {.lex_state = 5},
  [1346] = {.lex_state = 5},
  [1347] = {.lex_state = 2},
  [1348] = {.lex_state = 2},
  [1349] = {.lex_state = 2},
  [1350] = {.lex_state = 5},
  [1351] = {.lex_state = 5},
  [1352] = {.lex_state = 5},
  [1353] = {.lex_state = 5},
  [1354] = {.lex_state = 5},
  [1355] = {.lex_state = 5},
  [1356] = {.lex_state = 5},
  [1357] = {.lex_state = 5},
  [1358] = {.lex_state = 5},
  [1359] = {.lex_state = 5},
  [1360] = {.lex_state = 5},
  [1361] = {.lex_state = 5},
  [1362] = {.lex_state = 5},
  [1363] = {.lex_state = 5},
  [1364] = {.lex_state = 5},
  [1365] = {.lex_state = 5},
  [1366] = {.lex_state = 5},
  [1367] = {.lex_state = 5},
  [1368] = {.lex_state = 5},
  [1369] = {.lex_state = 5},
  [1370] = {.lex_state = 5},
  [1371] = {.lex_state = 5},
  [1372] = {.lex_state = 5},
  [1373] = {.lex_state = 5},
  [1374] = {.lex_state = 5},
  [1375] = {.lex_state = 5},
  [1376] = {.lex_state = 5},
  [1377] = {.lex_state = 5},
  [1378] = {.lex_state = 5},
  [1379] = {.lex_state = 5},
  [1380] = {.lex_state = 5},
  [1381] = {.lex_state = 5},
  [1382] = {.lex_state = 5},
  [1383] = {.lex_state = 5},
  [1384] = {.lex_state = 5},
  [1385] = {.lex_state = 5},
  [1386] = {.lex_state = 5},
  [1387] = {.lex_state = 5},
  [1388] = {.lex_state = 5},
  [1389] = {.lex_state = 5},
  [1390] = {.lex_state = 5},
  [1391] = {.lex_state = 5},
  [1392] = {.lex_state = 5},
  [1393] = {.lex_state = 5},
  [1394] = {.lex_state = 5},
  [1395] = {.lex_state = 5},
  [1396] = {.lex_state = 5},
  [1397] = {.lex_state = 5},
  [1398] = {.lex_state = 5},
  [1399] = {.lex_state = 5},
  [1400] = {.lex_state = 5},
  [1401] = {.lex_state = 5},
  [1402] = {.lex_state = 5},
  [1403] = {.lex_state = 5},
  [1404] = {.lex_state = 5},
  [1405] = {.lex_state = 5},
  [1406] = {.lex_state = 5},
  [1407] = {.lex_state = 5},
  [1408] = {.lex_state = 5},
  [1409] = {.lex_state = 5},
  [1410] = {.lex_state = 5},
  [1411] = {.lex_state = 5},
  [1412] = {.lex_state = 5},
  [1413] = {.lex_state = 5},
  [1414] = {.lex_state = 5},
  [1415] = {.lex_state = 5},
  [1416] = {.lex_state = 5},
  [1417] = {.lex_state = 5},
  [1418] = {.lex_state = 5},
  [1419] = {.lex_state = 5},
  [1420] = {.lex_state = 5},
  [1421] = {.lex_state = 5},
  [1422] = {.lex_state = 5},
  [1423] = {.lex_state = 5},
  [1424] = {.lex_state = 5},
  [1425] = {.lex_state = 5},
  [1426] = {.lex_state = 5},
  [1427] = {.lex_state = 5},
  [1428] = {.lex_state = 5},
  [1429] = {.lex_state = 5},
  [1430] = {.lex_state = 5},
  [1431] = {.lex_state = 5},
  [1432] = {.lex_state = 5},
  [1433] = {.lex_state = 5},
  [1434] = {.lex_state = 5},
  [1435] = {.lex_state = 5},
  [1436] = {.lex_state = 5},
  [1437] = {.lex_state = 5},
  [1438] = {.lex_state = 5},
  [1439] = {.lex_state = 5},
  [1440] = {.lex_state = 5},
  [1441] = {.lex_state = 5},
  [1442] = {.lex_state = 5},
  [1443] = {.lex_state = 5},
  [1444] = {.lex_state = 5},
  [1445] = {.lex_state = 5},
  [1446] = {.lex_state = 5},
  [1447] = {.lex_state = 5},
  [1448] = {.lex_state = 5},
  [1449] = {.lex_state = 5},
  [1450] = {.lex_state = 5},
  [1451] = {.lex_state = 5},
  [1452] = {.lex_state = 5},
  [1453] = {.lex_state = 5},
  [1454] = {.lex_state = 5},
  [1455] = {.lex_state = 5},
  [1456] = {.lex_state = 5},
  [1457] = {.lex_state = 5},
  [1458] = {.lex_state = 5},
  [1459] = {.lex_state = 5},
  [1460] = {.lex_state = 5},
  [1461] = {.lex_state = 5},
  [1462] = {.lex_state = 5},
  [1463] = {.lex_state = 5},
  [1464] = {.lex_state = 5},
  [1465] = {.lex_state = 5},
  [1466] = {.lex_state = 5},
  [1467] = {.lex_state = 0, .external_lex_state = 1},
  [1468] = {.lex_state = 0, .external_lex_state = 1},
  [1469] = {.lex_state = 0, .external_lex_state = 1},
  [1470] = {.lex_state = 0, .external_lex_state = 1},
  [1471] = {.lex_state = 0},
  [1472] = {.lex_state = 0},
  [1473] = {.lex_state = 0},
  [1474] = {.lex_state = 0},
  [1475] = {.lex_state = 0},
  [1476] = {.lex_state = 0},
  [1477] = {.lex_state = 0},
  [1478] = {.lex_state = 0},
  [1479] = {.lex_state = 0},
  [1480] = {.lex_state = 0},
  [1481] = {.lex_state = 0},
  [1482] = {.lex_state = 0},
  [1483] = {.lex_state = 0},
  [1484] = {.lex_state = 0},
  [1485] = {.lex_state = 0},
  [1486] = {.lex_state = 0},
  [1487] = {.lex_state = 0},
  [1488] = {.lex_state = 0},
  [1489] = {.lex_state = 0},
  [1490] = {.lex_state = 0},
  [1491] = {.lex_state = 0},
  [1492] = {.lex_state = 0},
  [1493] = {.lex_state = 0},
  [1494] = {.lex_state = 0},
  [1495] = {.lex_state = 0},
  [1496] = {.lex_state = 0},
  [1497] = {.lex_state = 0},
  [1498] = {.lex_state = 0},
  [1499] = {.lex_state = 0},
  [1500] = {.lex_state = 0},
  [1501] = {.lex_state = 0},
  [1502] = {.lex_state = 0},
  [1503] = {.lex_state = 0},
  [1504] = {.lex_state = 0},
  [1505] = {.lex_state = 0},
  [1506] = {.lex_state = 0},
  [1507] = {.lex_state = 0},
  [1508] = {.lex_state = 0},
  [1509] = {.lex_state = 0},
  [1510] = {.lex_state = 0},
  [1511] = {.lex_state = 0},
  [1512] = {.lex_state = 0},
  [1513] = {.lex_state = 0},
  [1514] = {.lex_state = 0},
  [1515] = {.lex_state = 0},
  [1516] = {.lex_state = 0},
  [1517] = {.lex_state = 0},
  [1518] = {.lex_state = 0},
  [1519] = {.lex_state = 0},
  [1520] = {.lex_state = 0},
  [1521] = {.lex_state = 0},
  [1522] = {.lex_state = 0},
  [1523] = {.lex_state = 0},
  [1524] = {.lex_state = 0},
  [1525] = {.lex_state = 0},
  [1526] = {.lex_state = 0},
  [1527] = {.lex_state = 4},
  [1528] = {.lex_state = 0},
  [1529] = {.lex_state = 7},
  [1530] = {.lex_state = 0},
  [1531] = {.lex_state = 0},
  [1532] = {.lex_state = 0},
  [1533] = {.lex_state = 4},
  [1534] = {.lex_state = 0},
  [1535] = {.lex_state = 7},
  [1536] = {.lex_state = 7},
  [1537] = {.lex_state = 4},
  [1538] = {.lex_state = 7},
  [1539] = {.lex_state = 0},
  [1540] = {.lex_state = 4},
  [1541] = {.lex_state = 7},
  [1542] = {.lex_state = 7},
  [1543] = {.lex_state = 0},
  [1544] = {.lex_state = 0},
  [1545] = {.lex_state = 7},
  [1546] = {.lex_state = 7},
  [1547] = {.lex_state = 4},
  [1548] = {.lex_state = 4},
  [1549] = {.lex_state = 4},
  [1550] = {.lex_state = 7},
  [1551] = {.lex_state = 4},
  [1552] = {.lex_state = 0},
  [1553] = {.lex_state = 8},
  [1554] = {.lex_state = 8},
  [1555] = {.lex_state = 8},
  [1556] = {.lex_state = 8},
  [1557] = {.lex_state = 8},
  [1558] = {.lex_state = 8},
  [1559] = {.lex_state = 8},
  [1560] = {.lex_state = 8},
  [1561] = {.lex_state = 8},
  [1562] = {.lex_state = 8},
  [1563] = {.lex_state = 8},
  [1564] = {.lex_state = 8},
  [1565] = {.lex_state = 8},
  [1566] = {.lex_state = 8},
  [1567] = {.lex_state = 4},
  [1568] = {.lex_state = 8},
  [1569] = {.lex_state = 8},
  [1570] = {.lex_state = 8},
  [1571] = {.lex_state = 8},
  [1572] = {.lex_state = 8},
  [1573] = {.lex_state = 8},
  [1574] = {.lex_state = 8},
  [1575] = {.lex_state = 8},
  [1576] = {.lex_state = 8},
  [1577] = {.lex_state = 8},
  [1578] = {.lex_state = 8},
  [1579] = {.lex_state = 8},
  [1580] = {.lex_state = 0},
  [1581] = {.lex_state = 8},
  [1582] = {.lex_state = 8},
  [1583] = {.lex_state = 8},
  [1584] = {.lex_state = 8},
  [1585] = {.lex_state = 8},
  [1586] = {.lex_state = 8},
  [1587] = {.lex_state = 0},
  [1588] = {.lex_state = 0},
  [1589] = {.lex_state = 0},
  [1590] = {.lex_state = 0},
  [1591] = {.lex_state = 0},
  [1592] = {.lex_state = 0},
  [1593] = {.lex_state = 0},
  [1594] = {.lex_state = 0},
  [1595] = {.lex_state = 0},
  [1596] = {.lex_state = 0},
  [1597] = {.lex_state = 0},
  [1598] = {.lex_state = 4},
  [1599] = {.lex_state = 0},
  [1600] = {.lex_state = 0},
  [1601] = {.lex_state = 0},
  [1602] = {.lex_state = 0},
  [1603] = {.lex_state = 0},
  [1604] = {.lex_state = 0},
  [1605] = {.lex_state = 0},
  [1606] = {.lex_state = 0},
  [1607] = {.lex_state = 0},
  [1608] = {.lex_state = 0},
  [1609] = {.lex_state = 0},
  [1610] = {.lex_state = 0},
  [1611] = {.lex_state = 0},
  [1612] = {.lex_state = 0},
  [1613] = {.lex_state = 0},
  [1614] = {.lex_state = 0},
  [1615] = {.lex_state = 0},
  [1616] = {.lex_state = 8},
  [1617] = {.lex_state = 0},
  [1618] = {.lex_state = 0},
  [1619] = {.lex_state = 0},
  [1620] = {.lex_state = 0},
  [1621] = {.lex_state = 0},
  [1622] = {.lex_state = 0},
  [1623] = {.lex_state = 0},
  [1624] = {.lex_state = 0},
  [1625] = {.lex_state = 0},
  [1626] = {.lex_state = 0},
  [1627] = {.lex_state = 0},
  [1628] = {.lex_state = 0},
  [1629] = {.lex_state = 0},
  [1630] = {.lex_state = 0},
  [1631] = {.lex_state = 0},
  [1632] = {.lex_state = 0},
  [1633] = {.lex_state = 0},
  [1634] = {.lex_state = 0},
  [1635] = {.lex_state = 0},
  [1636] = {.lex_state = 0},
  [1637] = {.lex_state = 0},
  [1638] = {.lex_state = 0},
  [1639] = {.lex_state = 0},
  [1640] = {.lex_state = 0},
  [1641] = {.lex_state = 0},
  [1642] = {.lex_state = 0},
  [1643] = {.lex_state = 0},
  [1644] = {.lex_state = 0},
  [1645] = {.lex_state = 0},
  [1646] = {.lex_state = 0},
  [1647] = {.lex_state = 0},
  [1648] = {.lex_state = 0},
  [1649] = {.lex_state = 0},
  [1650] = {.lex_state = 0},
  [1651] = {.lex_state = 0},
  [1652] = {.lex_state = 0},
  [1653] = {.lex_state = 0},
  [1654] = {.lex_state = 0},
  [1655] = {.lex_state = 0},
  [1656] = {.lex_state = 0},
  [1657] = {.lex_state = 0},
  [1658] = {.lex_state = 0},
  [1659] = {.lex_state = 0},
  [1660] = {.lex_state = 0},
  [1661] = {.lex_state = 0},
  [1662] = {.lex_state = 0},
  [1663] = {.lex_state = 0},
  [1664] = {.lex_state = 0},
  [1665] = {.lex_state = 0},
  [1666] = {.lex_state = 0},
  [1667] = {.lex_state = 0},
  [1668] = {.lex_state = 0},
  [1669] = {.lex_state = 0},
  [1670] = {.lex_state = 0},
  [1671] = {.lex_state = 0},
  [1672] = {.lex_state = 0},
  [1673] = {.lex_state = 0},
  [1674] = {.lex_state = 0},
  [1675] = {.lex_state = 0},
  [1676] = {.lex_state = 0},
  [1677] = {.lex_state = 0},
  [1678] = {.lex_state = 0},
  [1679] = {.lex_state = 0},
  [1680] = {.lex_state = 0},
  [1681] = {.lex_state = 0},
  [1682] = {.lex_state = 0},
  [1683] = {.lex_state = 0},
  [1684] = {.lex_state = 0},
  [1685] = {.lex_state = 0},
  [1686] = {.lex_state = 1},
  [1687] = {.lex_state = 0},
  [1688] = {.lex_state = 1},
  [1689] = {.lex_state = 0},
  [1690] = {.lex_state = 1},
  [1691] = {.lex_state = 0},
  [1692] = {.lex_state = 0},
  [1693] = {.lex_state = 0},
  [1694] = {.lex_state = 0},
  [1695] = {.lex_state = 0},
  [1696] = {.lex_state = 0},
  [1697] = {.lex_state = 0},
  [1698] = {.lex_state = 0},
  [1699] = {.lex_state = 0},
  [1700] = {.lex_state = 0},
  [1701] = {.lex_state = 0},
  [1702] = {.lex_state = 0},
  [1703] = {.lex_state = 0},
  [1704] = {.lex_state = 1},
  [1705] = {.lex_state = 0},
  [1706] = {.lex_state = 0},
  [1707] = {.lex_state = 0},
  [1708] = {.lex_state = 0},
  [1709] = {.lex_state = 0},
  [1710] = {.lex_state = 0},
  [1711] = {.lex_state = 0},
  [1712] = {.lex_state = 0},
  [1713] = {.lex_state = 9},
  [1714] = {.lex_state = 0},
  [1715] = {.lex_state = 0},
  [1716] = {.lex_state = 0},
  [1717] = {.lex_state = 0},
  [1718] = {.lex_state = 1},
  [1719] = {.lex_state = 0},
  [1720] = {.lex_state = 0},
  [1721] = {.lex_state = 0},
  [1722] = {.lex_state = 0},
  [1723] = {.lex_state = 0},
  [1724] = {.lex_state = 0},
  [1725] = {.lex_state = 0},
  [1726] = {.lex_state = 0},
  [1727] = {.lex_state = 0},
  [1728] = {.lex_state = 0},
  [1729] = {.lex_state = 0},
  [1730] = {.lex_state = 0},
  [1731] = {.lex_state = 0},
  [1732] = {.lex_state = 0},
  [1733] = {.lex_state = 0},
  [1734] = {.lex_state = 9},
  [1735] = {.lex_state = 0},
  [1736] = {.lex_state = 0},
  [1737] = {.lex_state = 0},
  [1738] = {.lex_state = 0},
  [1739] = {.lex_state = 0},
  [1740] = {.lex_state = 0},
  [1741] = {.lex_state = 0},
  [1742] = {.lex_state = 0},
  [1743] = {.lex_state = 0},
  [1744] = {.lex_state = 0},
  [1745] = {.lex_state = 0},
  [1746] = {.lex_state = 0},
  [1747] = {.lex_state = 0},
  [1748] = {.lex_state = 9},
  [1749] = {.lex_state = 9},
  [1750] = {.lex_state = 0},
  [1751] = {.lex_state = 0},
  [1752] = {.lex_state = 0},
  [1753] = {.lex_state = 0},
  [1754] = {.lex_state = 0},
  [1755] = {.lex_state = 0},
  [1756] = {.lex_state = 0},
  [1757] = {.lex_state = 0},
  [1758] = {.lex_state = 5},
  [1759] = {.lex_state = 0},
  [1760] = {.lex_state = 0},
  [1761] = {.lex_state = 0},
  [1762] = {.lex_state = 0},
  [1763] = {.lex_state = 0},
  [1764] = {.lex_state = 0},
  [1765] = {.lex_state = 0},
  [1766] = {.lex_state = 0},
  [1767] = {.lex_state = 0},
  [1768] = {.lex_state = 0},
  [1769] = {.lex_state = 0},
  [1770] = {.lex_state = 0},
  [1771] = {.lex_state = 0},
  [1772] = {.lex_state = 0},
  [1773] = {.lex_state = 0},
  [1774] = {.lex_state = 0},
  [1775] = {.lex_state = 0},
  [1776] = {.lex_state = 0},
  [1777] = {.lex_state = 5},
  [1778] = {.lex_state = 0},
  [1779] = {.lex_state = 0},
  [1780] = {.lex_state = 0},
  [1781] = {.lex_state = 0},
  [1782] = {.lex_state = 0},
  [1783] = {.lex_state = 0},
  [1784] = {.lex_state = 0},
  [1785] = {.lex_state = 0},
  [1786] = {.lex_state = 0},
  [1787] = {.lex_state = 0},
  [1788] = {.lex_state = 0},
  [1789] = {.lex_state = 0},
  [1790] = {.lex_state = 0},
  [1791] = {.lex_state = 0},
  [1792] = {.lex_state = 0},
  [1793] = {.lex_state = 0},
  [1794] = {.lex_state = 0},
  [1795] = {.lex_state = 0},
  [1796] = {.lex_state = 0},
  [1797] = {.lex_state = 0},
  [1798] = {.lex_state = 0},
  [1799] = {.lex_state = 0},
  [1800] = {.lex_state = 0},
  [1801] = {.lex_state = 0},
  [1802] = {.lex_state = 0},
  [1803] = {.lex_state = 0},
  [1804] = {.lex_state = 0},
  [1805] = {.lex_state = 0},
  [1806] = {.lex_state = 5},
  [1807] = {.lex_state = 0},
  [1808] = {.lex_state = 0},
  [1809] = {.lex_state = 0},
  [1810] = {.lex_state = 0},
  [1811] = {.lex_state = 0},
  [1812] = {.lex_state = 0},
  [1813] = {.lex_state = 0},
  [1814] = {.lex_state = 0},
  [1815] = {.lex_state = 0},
  [1816] = {.lex_state = 0},
  [1817] = {.lex_state = 0},
  [1818] = {.lex_state = 0},
  [1819] = {.lex_state = 0},
  [1820] = {.lex_state = 0},
  [1821] = {.lex_state = 0},
  [1822] = {.lex_state = 0},
  [1823] = {.lex_state = 0},
  [1824] = {.lex_state = 0},
  [1825] = {.lex_state = 0},
  [1826] = {.lex_state = 0},
  [1827] = {.lex_state = 0},
  [1828] = {.lex_state = 0},
  [1829] = {.lex_state = 0},
  [1830] = {.lex_state = 0},
  [1831] = {.lex_state = 0},
  [1832] = {.lex_state = 0},
  [1833] = {.lex_state = 0},
  [1834] = {.lex_state = 0},
  [1835] = {.lex_state = 0},
  [1836] = {.lex_state = 0},
  [1837] = {.lex_state = 0},
  [1838] = {.lex_state = 0},
  [1839] = {.lex_state = 0},
  [1840] = {.lex_state = 0},
  [1841] = {.lex_state = 0},
  [1842] = {.lex_state = 0},
  [1843] = {.lex_state = 0},
  [1844] = {.lex_state = 0},
  [1845] = {.lex_state = 0},
  [1846] = {.lex_state = 0},
  [1847] = {.lex_state = 5},
  [1848] = {.lex_state = 0},
  [1849] = {.lex_state = 0},
  [1850] = {.lex_state = 0},
  [1851] = {.lex_state = 0},
  [1852] = {.lex_state = 0},
  [1853] = {.lex_state = 0},
  [1854] = {.lex_state = 0},
  [1855] = {.lex_state = 0},
  [1856] = {.lex_state = 0},
  [1857] = {.lex_state = 0},
  [1858] = {.lex_state = 0},
  [1859] = {.lex_state = 0},
  [1860] = {.lex_state = 0},
  [1861] = {.lex_state = 0},
  [1862] = {.lex_state = 0},
  [1863] = {.lex_state = 0},
  [1864] = {.lex_state = 0},
  [1865] = {.lex_state = 0},
  [1866] = {.lex_state = 0},
  [1867] = {.lex_state = 0},
  [1868] = {.lex_state = 0},
  [1869] = {.lex_state = 0},
  [1870] = {.lex_state = 0},
  [1871] = {.lex_state = 0},
  [1872] = {.lex_state = 0},
  [1873] = {.lex_state = 0},
  [1874] = {.lex_state = 0},
  [1875] = {.lex_state = 0},
  [1876] = {.lex_state = 0},
  [1877] = {.lex_state = 0},
  [1878] = {.lex_state = 0},
  [1879] = {.lex_state = 0},
  [1880] = {.lex_state = 0},
  [1881] = {.lex_state = 0},
  [1882] = {.lex_state = 0},
  [1883] = {.lex_state = 0},
  [1884] = {.lex_state = 0},
  [1885] = {.lex_state = 0},
  [1886] = {.lex_state = 0},
  [1887] = {.lex_state = 0},
  [1888] = {.lex_state = 0},
  [1889] = {.lex_state = 0},
  [1890] = {.lex_state = 0},
  [1891] = {.lex_state = 0},
  [1892] = {.lex_state = 0},
  [1893] = {.lex_state = 5},
  [1894] = {.lex_state = 0},
  [1895] = {.lex_state = 0},
  [1896] = {.lex_state = 0},
  [1897] = {.lex_state = 0},
  [1898] = {.lex_state = 0},
  [1899] = {.lex_state = 0},
  [1900] = {.lex_state = 0},
  [1901] = {.lex_state = 0},
  [1902] = {.lex_state = 0},
  [1903] = {.lex_state = 0},
  [1904] = {.lex_state = 0},
  [1905] = {.lex_state = 0},
  [1906] = {.lex_state = 0},
  [1907] = {.lex_state = 0},
  [1908] = {.lex_state = 0},
  [1909] = {.lex_state = 0},
  [1910] = {.lex_state = 0},
  [1911] = {.lex_state = 0},
  [1912] = {.lex_state = 0},
  [1913] = {.lex_state = 0},
  [1914] = {.lex_state = 0},
  [1915] = {.lex_state = 0},
  [1916] = {.lex_state = 0},
  [1917] = {.lex_state = 0},
  [1918] = {.lex_state = 0},
  [1919] = {.lex_state = 0},
  [1920] = {.lex_state = 0},
  [1921] = {.lex_state = 0},
  [1922] = {.lex_state = 0},
  [1923] = {.lex_state = 0},
  [1924] = {.lex_state = 0},
  [1925] = {.lex_state = 0},
  [1926] = {.lex_state = 0},
  [1927] = {.lex_state = 0},
  [1928] = {.lex_state = 0},
  [1929] = {.lex_state = 0},
  [1930] = {.lex_state = 0},
  [1931] = {.lex_state = 0},
  [1932] = {.lex_state = 0},
  [1933] = {.lex_state = 0},
  [1934] = {.lex_state = 0},
  [1935] = {.lex_state = 0},
  [1936] = {.lex_state = 0},
  [1937] = {.lex_state = 0},
  [1938] = {.lex_state = 0},
  [1939] = {.lex_state = 5},
  [1940] = {.lex_state = 0},
  [1941] = {.lex_state = 0},
  [1942] = {.lex_state = 0},
  [1943] = {.lex_state = 0},
  [1944] = {.lex_state = 0},
  [1945] = {.lex_state = 0},
  [1946] = {.lex_state = 0},
  [1947] = {.lex_state = 0},
  [1948] = {.lex_state = 5},
  [1949] = {.lex_state = 0},
  [1950] = {.lex_state = 5},
  [1951] = {.lex_state = 0},
  [1952] = {.lex_state = 0},
  [1953] = {.lex_state = 5},
  [1954] = {.lex_state = 0},
  [1955] = {.lex_state = 0},
  [1956] = {.lex_state = 0},
  [1957] = {.lex_state = 0},
  [1958] = {.lex_state = 0},
  [1959] = {.lex_state = 0},
  [1960] = {.lex_state = 0},
  [1961] = {.lex_state = 0},
  [1962] = {.lex_state = 0},
  [1963] = {.lex_state = 0},
  [1964] = {.lex_state = 5},
  [1965] = {.lex_state = 0},
  [1966] = {.lex_state = 0},
  [1967] = {.lex_state = 0},
  [1968] = {.lex_state = 0},
  [1969] = {.lex_state = 0},
  [1970] = {.lex_state = 0},
  [1971] = {.lex_state = 0},
  [1972] = {.lex_state = 0},
  [1973] = {.lex_state = 0},
  [1974] = {.lex_state = 0},
  [1975] = {.lex_state = 0},
  [1976] = {.lex_state = 0},
  [1977] = {.lex_state = 0},
  [1978] = {.lex_state = 0},
  [1979] = {.lex_state = 0},
  [1980] = {.lex_state = 0},
  [1981] = {.lex_state = 0},
  [1982] = {.lex_state = 0},
  [1983] = {.lex_state = 0},
  [1984] = {.lex_state = 0},
  [1985] = {.lex_state = 0},
  [1986] = {.lex_state = 0},
  [1987] = {.lex_state = 0},
  [1988] = {.lex_state = 0},
  [1989] = {.lex_state = 0},
  [1990] = {.lex_state = 0},
  [1991] = {.lex_state = 0},
  [1992] = {.lex_state = 0},
  [1993] = {.lex_state = 0},
  [1994] = {.lex_state = 0},
  [1995] = {.lex_state = 0},
  [1996] = {.lex_state = 0},
  [1997] = {.lex_state = 0},
  [1998] = {.lex_state = 0},
  [1999] = {.lex_state = 0},
  [2000] = {.lex_state = 0},
  [2001] = {.lex_state = 0},
  [2002] = {.lex_state = 0},
  [2003] = {.lex_state = 0},
  [2004] = {.lex_state = 0},
  [2005] = {.lex_state = 0},
  [2006] = {.lex_state = 0},
  [2007] = {.lex_state = 0},
  [2008] = {.lex_state = 0},
  [2009] = {.lex_state = 0},
  [2010] = {.lex_state = 0},
  [2011] = {.lex_state = 0},
  [2012] = {.lex_state = 0},
  [2013] = {.lex_state = 0},
  [2014] = {.lex_state = 0},
  [2015] = {.lex_state = 0},
  [2016] = {.lex_state = 0},
  [2017] = {.lex_state = 0},
  [2018] = {.lex_state = 0},
  [2019] = {.lex_state = 0},
  [2020] = {.lex_state = 0},
  [2021] = {.lex_state = 0},
  [2022] = {.lex_state = 5},
  [2023] = {.lex_state = 0},
  [2024] = {.lex_state = 0},
  [2025] = {.lex_state = 0},
  [2026] = {.lex_state = 0},
  [2027] = {.lex_state = 0},
  [2028] = {.lex_state = 0},
  [2029] = {.lex_state = 0},
  [2030] = {.lex_state = 5},
  [2031] = {.lex_state = 0},
  [2032] = {.lex_state = 0},
  [2033] = {.lex_state = 0},
  [2034] = {.lex_state = 0},
  [2035] = {.lex_state = 0},
  [2036] = {.lex_state = 0},
  [2037] = {.lex_state = 0},
  [2038] = {.lex_state = 0},
  [2039] = {.lex_state = 0},
  [2040] = {.lex_state = 0},
  [2041] = {.lex_state = 0},
  [2042] = {.lex_state = 0},
  [2043] = {.lex_state = 0},
  [2044] = {.lex_state = 0},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_foreach] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_resume] = ACTIONS(1),
    [anon_sym_local] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_LT_DASH] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_constructor] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_LT_SLASH] = ACTIONS(1),
    [anon_sym_SLASH_GT] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ_GT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_rawcall] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_clone] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1),
    [aux_sym__escape_sequence_token1] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1),
  },
  [1] = {
    [sym_script] = STATE(1973),
    [aux_sym__statements] = STATE(22),
    [sym_block] = STATE(22),
    [sym_if_statement] = STATE(22),
    [sym_while_statement] = STATE(22),
    [sym_do_while_statement] = STATE(22),
    [sym_switch_statement] = STATE(22),
    [sym_for_statement] = STATE(22),
    [sym_foreach_statement] = STATE(22),
    [sym_break] = STATE(22),
    [sym_continue] = STATE(22),
    [sym_return] = STATE(22),
    [sym_yield] = STATE(22),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(22),
    [sym_function_declaration] = STATE(22),
    [sym_class_declaration] = STATE(22),
    [sym_try_statement] = STATE(22),
    [sym_throw_statement] = STATE(22),
    [sym_const_declaration] = STATE(22),
    [sym_enum_declaration] = STATE(22),
    [sym_expression] = STATE(364),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(22),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_foreach] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(61),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [2] = {
    [sym_block] = STATE(868),
    [sym_if_statement] = STATE(868),
    [sym_while_statement] = STATE(868),
    [sym_do_while_statement] = STATE(868),
    [sym_switch_statement] = STATE(868),
    [sym_for_statement] = STATE(868),
    [sym_foreach_statement] = STATE(868),
    [sym_break] = STATE(868),
    [sym_continue] = STATE(868),
    [sym_return] = STATE(868),
    [sym_yield] = STATE(868),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(868),
    [sym_function_declaration] = STATE(868),
    [sym_class_declaration] = STATE(868),
    [sym_try_statement] = STATE(868),
    [sym_throw_statement] = STATE(868),
    [sym_const_declaration] = STATE(868),
    [sym_enum_declaration] = STATE(868),
    [sym_expression] = STATE(867),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(868),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(85),
    [anon_sym_if] = ACTIONS(87),
    [anon_sym_else] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_RPAREN] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_foreach] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(85),
    [anon_sym_in] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_EQ] = ACTIONS(89),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_DOT] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_RBRACK] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(123),
    [anon_sym_catch] = ACTIONS(89),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_SLASH_GT] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(131),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_STAR] = ACTIONS(89),
    [anon_sym_SLASH] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(89),
    [anon_sym_PIPE_PIPE] = ACTIONS(85),
    [anon_sym_AMP_AMP] = ACTIONS(85),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_CARET] = ACTIONS(85),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_EQ_EQ] = ACTIONS(85),
    [anon_sym_BANG_EQ] = ACTIONS(85),
    [anon_sym_LT_EQ_GT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(89),
    [anon_sym_GT_EQ] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(89),
    [anon_sym_instanceof] = ACTIONS(89),
    [anon_sym_LT_LT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(89),
    [anon_sym_GT_GT_GT] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(85),
    [anon_sym_PLUS_EQ] = ACTIONS(85),
    [anon_sym_DASH_EQ] = ACTIONS(85),
    [anon_sym_STAR_EQ] = ACTIONS(85),
    [anon_sym_SLASH_EQ] = ACTIONS(85),
    [anon_sym_PERCENT_EQ] = ACTIONS(85),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [3] = {
    [sym_block] = STATE(868),
    [sym_if_statement] = STATE(868),
    [sym_while_statement] = STATE(868),
    [sym_do_while_statement] = STATE(868),
    [sym_switch_statement] = STATE(868),
    [sym_for_statement] = STATE(868),
    [sym_foreach_statement] = STATE(868),
    [sym_break] = STATE(868),
    [sym_continue] = STATE(868),
    [sym_return] = STATE(868),
    [sym_yield] = STATE(868),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(868),
    [sym_function_declaration] = STATE(868),
    [sym_class_declaration] = STATE(868),
    [sym_try_statement] = STATE(868),
    [sym_throw_statement] = STATE(868),
    [sym_const_declaration] = STATE(868),
    [sym_enum_declaration] = STATE(868),
    [sym_expression] = STATE(867),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(868),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(85),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_else] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_RPAREN] = ACTIONS(85),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_COLON] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_foreach] = ACTIONS(161),
    [anon_sym_COMMA] = ACTIONS(85),
    [anon_sym_in] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(163),
    [anon_sym_EQ] = ACTIONS(89),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_DOT] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_RBRACK] = ACTIONS(85),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_catch] = ACTIONS(89),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_SLASH_GT] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(131),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_STAR] = ACTIONS(89),
    [anon_sym_SLASH] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(89),
    [anon_sym_PIPE_PIPE] = ACTIONS(85),
    [anon_sym_AMP_AMP] = ACTIONS(85),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_CARET] = ACTIONS(85),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_EQ_EQ] = ACTIONS(85),
    [anon_sym_BANG_EQ] = ACTIONS(85),
    [anon_sym_LT_EQ_GT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(89),
    [anon_sym_GT_EQ] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(89),
    [anon_sym_instanceof] = ACTIONS(89),
    [anon_sym_LT_LT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(89),
    [anon_sym_GT_GT_GT] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(85),
    [anon_sym_PLUS_EQ] = ACTIONS(85),
    [anon_sym_DASH_EQ] = ACTIONS(85),
    [anon_sym_STAR_EQ] = ACTIONS(85),
    [anon_sym_SLASH_EQ] = ACTIONS(85),
    [anon_sym_PERCENT_EQ] = ACTIONS(85),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(169),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [4] = {
    [sym_block] = STATE(1051),
    [sym_if_statement] = STATE(1051),
    [sym_while_statement] = STATE(1051),
    [sym_do_while_statement] = STATE(1051),
    [sym_switch_statement] = STATE(1051),
    [sym_for_statement] = STATE(1051),
    [sym_foreach_statement] = STATE(1051),
    [sym_break] = STATE(1051),
    [sym_continue] = STATE(1051),
    [sym_return] = STATE(1051),
    [sym_yield] = STATE(1051),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(1051),
    [sym_function_declaration] = STATE(1051),
    [sym_class_declaration] = STATE(1051),
    [sym_try_statement] = STATE(1051),
    [sym_throw_statement] = STATE(1051),
    [sym_const_declaration] = STATE(1051),
    [sym_enum_declaration] = STATE(1051),
    [sym_expression] = STATE(1052),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(1051),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_RBRACE] = ACTIONS(85),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_else] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(187),
    [anon_sym_foreach] = ACTIONS(189),
    [anon_sym_COMMA] = ACTIONS(85),
    [anon_sym_in] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_EQ] = ACTIONS(89),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [anon_sym_function] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_DOT] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_constructor] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_LT_SLASH] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(219),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_STAR] = ACTIONS(89),
    [anon_sym_SLASH] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(89),
    [anon_sym_PIPE_PIPE] = ACTIONS(85),
    [anon_sym_AMP_AMP] = ACTIONS(85),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_CARET] = ACTIONS(85),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_EQ_EQ] = ACTIONS(85),
    [anon_sym_BANG_EQ] = ACTIONS(85),
    [anon_sym_LT_EQ_GT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(89),
    [anon_sym_GT_EQ] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(89),
    [anon_sym_instanceof] = ACTIONS(89),
    [anon_sym_LT_LT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(89),
    [anon_sym_GT_GT_GT] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(85),
    [anon_sym_PLUS_EQ] = ACTIONS(85),
    [anon_sym_DASH_EQ] = ACTIONS(85),
    [anon_sym_STAR_EQ] = ACTIONS(85),
    [anon_sym_SLASH_EQ] = ACTIONS(85),
    [anon_sym_PERCENT_EQ] = ACTIONS(85),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(225),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [5] = {
    [sym_block] = STATE(274),
    [sym_if_statement] = STATE(274),
    [sym_while_statement] = STATE(274),
    [sym_do_while_statement] = STATE(274),
    [sym_switch_statement] = STATE(274),
    [sym_for_statement] = STATE(274),
    [sym_foreach_statement] = STATE(274),
    [sym_break] = STATE(274),
    [sym_continue] = STATE(274),
    [sym_return] = STATE(274),
    [sym_yield] = STATE(274),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(274),
    [sym_function_declaration] = STATE(274),
    [sym_class_declaration] = STATE(274),
    [sym_try_statement] = STATE(274),
    [sym_throw_statement] = STATE(274),
    [sym_const_declaration] = STATE(274),
    [sym_enum_declaration] = STATE(274),
    [sym_expression] = STATE(275),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(274),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [ts_builtin_sym_end] = ACTIONS(85),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_RBRACE] = ACTIONS(85),
    [anon_sym_if] = ACTIONS(13),
    [anon_sym_else] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_case] = ACTIONS(89),
    [anon_sym_default] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_foreach] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(85),
    [anon_sym_in] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_EQ] = ACTIONS(89),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [anon_sym_function] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_DOT] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_STAR] = ACTIONS(89),
    [anon_sym_SLASH] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(89),
    [anon_sym_PIPE_PIPE] = ACTIONS(85),
    [anon_sym_AMP_AMP] = ACTIONS(85),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_CARET] = ACTIONS(85),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_EQ_EQ] = ACTIONS(85),
    [anon_sym_BANG_EQ] = ACTIONS(85),
    [anon_sym_LT_EQ_GT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(89),
    [anon_sym_GT_EQ] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(89),
    [anon_sym_instanceof] = ACTIONS(89),
    [anon_sym_LT_LT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(89),
    [anon_sym_GT_GT_GT] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(85),
    [anon_sym_PLUS_EQ] = ACTIONS(85),
    [anon_sym_DASH_EQ] = ACTIONS(85),
    [anon_sym_STAR_EQ] = ACTIONS(85),
    [anon_sym_SLASH_EQ] = ACTIONS(85),
    [anon_sym_PERCENT_EQ] = ACTIONS(85),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(61),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [6] = {
    [sym_block] = STATE(1051),
    [sym_if_statement] = STATE(1051),
    [sym_while_statement] = STATE(1051),
    [sym_do_while_statement] = STATE(1051),
    [sym_switch_statement] = STATE(1051),
    [sym_for_statement] = STATE(1051),
    [sym_foreach_statement] = STATE(1051),
    [sym_break] = STATE(1051),
    [sym_continue] = STATE(1051),
    [sym_return] = STATE(1051),
    [sym_yield] = STATE(1051),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(1051),
    [sym_function_declaration] = STATE(1051),
    [sym_class_declaration] = STATE(1051),
    [sym_try_statement] = STATE(1051),
    [sym_throw_statement] = STATE(1051),
    [sym_const_declaration] = STATE(1051),
    [sym_enum_declaration] = STATE(1051),
    [sym_expression] = STATE(1052),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(1051),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_RBRACE] = ACTIONS(85),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_else] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(249),
    [anon_sym_foreach] = ACTIONS(251),
    [anon_sym_in] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(253),
    [anon_sym_EQ] = ACTIONS(89),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_DOT] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_constructor] = ACTIONS(89),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_try] = ACTIONS(257),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_LT_SLASH] = ACTIONS(85),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(219),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_STAR] = ACTIONS(89),
    [anon_sym_SLASH] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(89),
    [anon_sym_PIPE_PIPE] = ACTIONS(85),
    [anon_sym_AMP_AMP] = ACTIONS(85),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_CARET] = ACTIONS(85),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_EQ_EQ] = ACTIONS(85),
    [anon_sym_BANG_EQ] = ACTIONS(85),
    [anon_sym_LT_EQ_GT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(89),
    [anon_sym_GT_EQ] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(89),
    [anon_sym_instanceof] = ACTIONS(89),
    [anon_sym_LT_LT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(89),
    [anon_sym_GT_GT_GT] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(85),
    [anon_sym_PLUS_EQ] = ACTIONS(85),
    [anon_sym_DASH_EQ] = ACTIONS(85),
    [anon_sym_STAR_EQ] = ACTIONS(85),
    [anon_sym_SLASH_EQ] = ACTIONS(85),
    [anon_sym_PERCENT_EQ] = ACTIONS(85),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(259),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [7] = {
    [sym_block] = STATE(274),
    [sym_if_statement] = STATE(274),
    [sym_while_statement] = STATE(274),
    [sym_do_while_statement] = STATE(274),
    [sym_switch_statement] = STATE(274),
    [sym_for_statement] = STATE(274),
    [sym_foreach_statement] = STATE(274),
    [sym_break] = STATE(274),
    [sym_continue] = STATE(274),
    [sym_return] = STATE(274),
    [sym_yield] = STATE(274),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(274),
    [sym_function_declaration] = STATE(274),
    [sym_class_declaration] = STATE(274),
    [sym_try_statement] = STATE(274),
    [sym_throw_statement] = STATE(274),
    [sym_const_declaration] = STATE(274),
    [sym_enum_declaration] = STATE(274),
    [sym_expression] = STATE(275),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(274),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_RBRACE] = ACTIONS(85),
    [anon_sym_if] = ACTIONS(261),
    [anon_sym_else] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(265),
    [anon_sym_foreach] = ACTIONS(267),
    [anon_sym_COMMA] = ACTIONS(85),
    [anon_sym_in] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_EQ] = ACTIONS(89),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [anon_sym_function] = ACTIONS(271),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_DOT] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(273),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_STAR] = ACTIONS(89),
    [anon_sym_SLASH] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(89),
    [anon_sym_PIPE_PIPE] = ACTIONS(85),
    [anon_sym_AMP_AMP] = ACTIONS(85),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_CARET] = ACTIONS(85),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_EQ_EQ] = ACTIONS(85),
    [anon_sym_BANG_EQ] = ACTIONS(85),
    [anon_sym_LT_EQ_GT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(89),
    [anon_sym_GT_EQ] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(89),
    [anon_sym_instanceof] = ACTIONS(89),
    [anon_sym_LT_LT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(89),
    [anon_sym_GT_GT_GT] = ACTIONS(85),
    [anon_sym_QMARK] = ACTIONS(85),
    [anon_sym_PLUS_EQ] = ACTIONS(85),
    [anon_sym_DASH_EQ] = ACTIONS(85),
    [anon_sym_STAR_EQ] = ACTIONS(85),
    [anon_sym_SLASH_EQ] = ACTIONS(85),
    [anon_sym_PERCENT_EQ] = ACTIONS(85),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(275),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [8] = {
    [sym_block] = STATE(1262),
    [sym_if_statement] = STATE(1262),
    [sym_while_statement] = STATE(1262),
    [sym_do_while_statement] = STATE(1262),
    [sym_switch_statement] = STATE(1262),
    [sym_for_statement] = STATE(1262),
    [sym_foreach_statement] = STATE(1262),
    [sym_break] = STATE(1262),
    [sym_continue] = STATE(1262),
    [sym_return] = STATE(1262),
    [sym_yield] = STATE(1262),
    [sym_resume_expression] = STATE(1302),
    [sym_local_declaration] = STATE(1262),
    [sym_function_declaration] = STATE(1262),
    [sym_class_declaration] = STATE(1262),
    [sym_try_statement] = STATE(1262),
    [sym_throw_statement] = STATE(1262),
    [sym_const_declaration] = STATE(1262),
    [sym_enum_declaration] = STATE(1262),
    [sym_expression] = STATE(1261),
    [sym_primary_expression] = STATE(1302),
    [sym_unary_expression] = STATE(1296),
    [sym_binary_expression] = STATE(1296),
    [sym_ternary_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(1302),
    [sym_update_expression] = STATE(1302),
    [sym_delete_expression] = STATE(1302),
    [sym_var_statement] = STATE(1262),
    [sym_deref_expression] = STATE(1296),
    [sym_index_expression] = STATE(1296),
    [sym_call_expression] = STATE(1296),
    [sym_anonymous_function] = STATE(1296),
    [sym_lambda_expression] = STATE(1296),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_clone_expression] = STATE(1302),
    [sym_array] = STATE(1302),
    [sym_global_variable] = STATE(1296),
    [sym_string] = STATE(1296),
    [sym_char] = STATE(1296),
    [sym_bool] = STATE(1296),
    [sym_identifier] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(281),
    [anon_sym_if] = ACTIONS(283),
    [anon_sym_else] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_do] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_for] = ACTIONS(293),
    [anon_sym_foreach] = ACTIONS(295),
    [anon_sym_COMMA] = ACTIONS(89),
    [anon_sym_in] = ACTIONS(89),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(299),
    [anon_sym_return] = ACTIONS(301),
    [anon_sym_yield] = ACTIONS(303),
    [anon_sym_LF] = ACTIONS(85),
    [anon_sym_resume] = ACTIONS(305),
    [anon_sym_local] = ACTIONS(307),
    [anon_sym_EQ] = ACTIONS(89),
    [anon_sym_LT_DASH] = ACTIONS(89),
    [anon_sym_function] = ACTIONS(309),
    [anon_sym_COLON_COLON] = ACTIONS(311),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_const] = ACTIONS(321),
    [anon_sym_enum] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_TILDE] = ACTIONS(325),
    [anon_sym_BANG] = ACTIONS(325),
    [anon_sym_typeof] = ACTIONS(325),
    [anon_sym_PLUS_PLUS] = ACTIONS(325),
    [anon_sym_DASH_DASH] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_STAR] = ACTIONS(89),
    [anon_sym_SLASH] = ACTIONS(89),
    [anon_sym_PERCENT] = ACTIONS(89),
    [anon_sym_PIPE_PIPE] = ACTIONS(89),
    [anon_sym_AMP_AMP] = ACTIONS(89),
    [anon_sym_PIPE] = ACTIONS(89),
    [anon_sym_CARET] = ACTIONS(89),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_EQ_EQ] = ACTIONS(89),
    [anon_sym_BANG_EQ] = ACTIONS(89),
    [anon_sym_LT_EQ_GT] = ACTIONS(89),
    [anon_sym_GT] = ACTIONS(89),
    [anon_sym_GT_EQ] = ACTIONS(89),
    [anon_sym_LT_EQ] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(89),
    [anon_sym_instanceof] = ACTIONS(89),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_GT_GT] = ACTIONS(89),
    [anon_sym_GT_GT_GT] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(89),
    [anon_sym_PLUS_EQ] = ACTIONS(89),
    [anon_sym_DASH_EQ] = ACTIONS(89),
    [anon_sym_STAR_EQ] = ACTIONS(89),
    [anon_sym_SLASH_EQ] = ACTIONS(89),
    [anon_sym_PERCENT_EQ] = ACTIONS(89),
    [anon_sym_delete] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(329),
    [anon_sym_rawcall] = ACTIONS(331),
    [anon_sym_AT] = ACTIONS(333),
    [anon_sym_clone] = ACTIONS(335),
    [sym_integer] = ACTIONS(277),
    [sym_float] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(337),
    [anon_sym_SQUOTE] = ACTIONS(339),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(341),
    [anon_sym_true] = ACTIONS(343),
    [anon_sym_false] = ACTIONS(343),
    [sym_null] = ACTIONS(277),
    [sym_comment] = ACTIONS(345),
    [sym_verbatim_string] = ACTIONS(347),
  },
  [9] = {
    [sym_resume_expression] = STATE(291),
    [sym_expression] = STATE(355),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_table] = STATE(354),
    [sym_delete_expression] = STATE(291),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [ts_builtin_sym_end] = ACTIONS(349),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(351),
    [anon_sym_LBRACE] = ACTIONS(353),
    [anon_sym_RBRACE] = ACTIONS(349),
    [anon_sym_if] = ACTIONS(355),
    [anon_sym_else] = ACTIONS(355),
    [anon_sym_while] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(355),
    [anon_sym_switch] = ACTIONS(355),
    [anon_sym_case] = ACTIONS(355),
    [anon_sym_default] = ACTIONS(355),
    [anon_sym_for] = ACTIONS(355),
    [anon_sym_foreach] = ACTIONS(355),
    [anon_sym_COMMA] = ACTIONS(349),
    [anon_sym_in] = ACTIONS(355),
    [anon_sym_break] = ACTIONS(355),
    [anon_sym_continue] = ACTIONS(355),
    [anon_sym_return] = ACTIONS(355),
    [anon_sym_yield] = ACTIONS(355),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(355),
    [anon_sym_EQ] = ACTIONS(355),
    [anon_sym_LT_DASH] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(357),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(355),
    [anon_sym_DOT] = ACTIONS(349),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(355),
    [anon_sym_throw] = ACTIONS(355),
    [anon_sym_const] = ACTIONS(355),
    [anon_sym_enum] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_STAR] = ACTIONS(355),
    [anon_sym_SLASH] = ACTIONS(355),
    [anon_sym_PERCENT] = ACTIONS(355),
    [anon_sym_PIPE_PIPE] = ACTIONS(349),
    [anon_sym_AMP_AMP] = ACTIONS(349),
    [anon_sym_PIPE] = ACTIONS(355),
    [anon_sym_CARET] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(355),
    [anon_sym_EQ_EQ] = ACTIONS(349),
    [anon_sym_BANG_EQ] = ACTIONS(349),
    [anon_sym_LT_EQ_GT] = ACTIONS(349),
    [anon_sym_GT] = ACTIONS(355),
    [anon_sym_GT_EQ] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(355),
    [anon_sym_instanceof] = ACTIONS(355),
    [anon_sym_LT_LT] = ACTIONS(349),
    [anon_sym_GT_GT] = ACTIONS(355),
    [anon_sym_GT_GT_GT] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(349),
    [anon_sym_PLUS_EQ] = ACTIONS(349),
    [anon_sym_DASH_EQ] = ACTIONS(349),
    [anon_sym_STAR_EQ] = ACTIONS(349),
    [anon_sym_SLASH_EQ] = ACTIONS(349),
    [anon_sym_PERCENT_EQ] = ACTIONS(349),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(355),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [10] = {
    [sym_block] = STATE(11),
    [sym_if_statement] = STATE(11),
    [sym_while_statement] = STATE(11),
    [sym_do_while_statement] = STATE(11),
    [sym_switch_statement] = STATE(11),
    [sym_for_statement] = STATE(11),
    [sym_foreach_statement] = STATE(11),
    [sym_break] = STATE(11),
    [sym_continue] = STATE(11),
    [sym_return] = STATE(11),
    [sym_yield] = STATE(11),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(11),
    [sym_function_declaration] = STATE(11),
    [sym_class_declaration] = STATE(11),
    [sym_try_statement] = STATE(11),
    [sym_throw_statement] = STATE(11),
    [sym_const_declaration] = STATE(11),
    [sym_enum_declaration] = STATE(11),
    [sym_expression] = STATE(363),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(11),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [aux_sym_block_repeat1] = STATE(11),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_RBRACE] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_case] = ACTIONS(363),
    [anon_sym_default] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_foreach] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(61),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [11] = {
    [sym_block] = STATE(13),
    [sym_if_statement] = STATE(13),
    [sym_while_statement] = STATE(13),
    [sym_do_while_statement] = STATE(13),
    [sym_switch_statement] = STATE(13),
    [sym_for_statement] = STATE(13),
    [sym_foreach_statement] = STATE(13),
    [sym_break] = STATE(13),
    [sym_continue] = STATE(13),
    [sym_return] = STATE(13),
    [sym_yield] = STATE(13),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(13),
    [sym_function_declaration] = STATE(13),
    [sym_class_declaration] = STATE(13),
    [sym_try_statement] = STATE(13),
    [sym_throw_statement] = STATE(13),
    [sym_const_declaration] = STATE(13),
    [sym_enum_declaration] = STATE(13),
    [sym_expression] = STATE(363),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(13),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [aux_sym_block_repeat1] = STATE(13),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(365),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_RBRACE] = ACTIONS(367),
    [anon_sym_if] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_case] = ACTIONS(369),
    [anon_sym_default] = ACTIONS(369),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_foreach] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(61),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [12] = {
    [sym_resume_expression] = STATE(822),
    [sym_expression] = STATE(811),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_table] = STATE(808),
    [sym_delete_expression] = STATE(822),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_RBRACE] = ACTIONS(349),
    [anon_sym_else] = ACTIONS(355),
    [anon_sym_while] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_RPAREN] = ACTIONS(349),
    [anon_sym_COLON] = ACTIONS(355),
    [anon_sym_COMMA] = ACTIONS(349),
    [anon_sym_in] = ACTIONS(355),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_EQ] = ACTIONS(355),
    [anon_sym_LT_DASH] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(375),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_DOT] = ACTIONS(349),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_RBRACK] = ACTIONS(349),
    [anon_sym_catch] = ACTIONS(355),
    [anon_sym_SLASH_GT] = ACTIONS(349),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(131),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_STAR] = ACTIONS(355),
    [anon_sym_SLASH] = ACTIONS(355),
    [anon_sym_PERCENT] = ACTIONS(355),
    [anon_sym_PIPE_PIPE] = ACTIONS(349),
    [anon_sym_AMP_AMP] = ACTIONS(349),
    [anon_sym_PIPE] = ACTIONS(355),
    [anon_sym_CARET] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(355),
    [anon_sym_EQ_EQ] = ACTIONS(349),
    [anon_sym_BANG_EQ] = ACTIONS(349),
    [anon_sym_LT_EQ_GT] = ACTIONS(349),
    [anon_sym_GT] = ACTIONS(355),
    [anon_sym_GT_EQ] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(355),
    [anon_sym_instanceof] = ACTIONS(355),
    [anon_sym_LT_LT] = ACTIONS(349),
    [anon_sym_GT_GT] = ACTIONS(355),
    [anon_sym_GT_GT_GT] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(349),
    [anon_sym_PLUS_EQ] = ACTIONS(349),
    [anon_sym_DASH_EQ] = ACTIONS(349),
    [anon_sym_STAR_EQ] = ACTIONS(349),
    [anon_sym_SLASH_EQ] = ACTIONS(349),
    [anon_sym_PERCENT_EQ] = ACTIONS(349),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [13] = {
    [sym_block] = STATE(13),
    [sym_if_statement] = STATE(13),
    [sym_while_statement] = STATE(13),
    [sym_do_while_statement] = STATE(13),
    [sym_switch_statement] = STATE(13),
    [sym_for_statement] = STATE(13),
    [sym_foreach_statement] = STATE(13),
    [sym_break] = STATE(13),
    [sym_continue] = STATE(13),
    [sym_return] = STATE(13),
    [sym_yield] = STATE(13),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(13),
    [sym_function_declaration] = STATE(13),
    [sym_class_declaration] = STATE(13),
    [sym_try_statement] = STATE(13),
    [sym_throw_statement] = STATE(13),
    [sym_const_declaration] = STATE(13),
    [sym_enum_declaration] = STATE(13),
    [sym_expression] = STATE(363),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(13),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [aux_sym_block_repeat1] = STATE(13),
    [sym_identifier] = ACTIONS(377),
    [anon_sym_SEMI] = ACTIONS(380),
    [anon_sym_LBRACE] = ACTIONS(383),
    [anon_sym_RBRACE] = ACTIONS(386),
    [anon_sym_if] = ACTIONS(388),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_LPAREN] = ACTIONS(394),
    [anon_sym_do] = ACTIONS(397),
    [anon_sym_switch] = ACTIONS(400),
    [anon_sym_case] = ACTIONS(403),
    [anon_sym_default] = ACTIONS(403),
    [anon_sym_for] = ACTIONS(405),
    [anon_sym_foreach] = ACTIONS(408),
    [anon_sym_break] = ACTIONS(411),
    [anon_sym_continue] = ACTIONS(414),
    [anon_sym_return] = ACTIONS(417),
    [anon_sym_yield] = ACTIONS(420),
    [anon_sym_resume] = ACTIONS(423),
    [anon_sym_local] = ACTIONS(426),
    [anon_sym_function] = ACTIONS(429),
    [anon_sym_COLON_COLON] = ACTIONS(432),
    [anon_sym_class] = ACTIONS(435),
    [anon_sym_LBRACK] = ACTIONS(438),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_throw] = ACTIONS(444),
    [anon_sym_const] = ACTIONS(447),
    [anon_sym_enum] = ACTIONS(450),
    [anon_sym_DASH] = ACTIONS(453),
    [anon_sym_TILDE] = ACTIONS(456),
    [anon_sym_BANG] = ACTIONS(456),
    [anon_sym_typeof] = ACTIONS(453),
    [anon_sym_PLUS_PLUS] = ACTIONS(456),
    [anon_sym_DASH_DASH] = ACTIONS(456),
    [anon_sym_delete] = ACTIONS(459),
    [anon_sym_var] = ACTIONS(462),
    [anon_sym_rawcall] = ACTIONS(465),
    [anon_sym_AT] = ACTIONS(468),
    [anon_sym_clone] = ACTIONS(471),
    [sym_integer] = ACTIONS(377),
    [sym_float] = ACTIONS(474),
    [anon_sym_DQUOTE] = ACTIONS(477),
    [anon_sym_SQUOTE] = ACTIONS(480),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(483),
    [anon_sym_true] = ACTIONS(486),
    [anon_sym_false] = ACTIONS(486),
    [sym_null] = ACTIONS(377),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(474),
  },
  [14] = {
    [sym_block] = STATE(13),
    [sym_if_statement] = STATE(13),
    [sym_while_statement] = STATE(13),
    [sym_do_while_statement] = STATE(13),
    [sym_switch_statement] = STATE(13),
    [sym_for_statement] = STATE(13),
    [sym_foreach_statement] = STATE(13),
    [sym_break] = STATE(13),
    [sym_continue] = STATE(13),
    [sym_return] = STATE(13),
    [sym_yield] = STATE(13),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(13),
    [sym_function_declaration] = STATE(13),
    [sym_class_declaration] = STATE(13),
    [sym_try_statement] = STATE(13),
    [sym_throw_statement] = STATE(13),
    [sym_const_declaration] = STATE(13),
    [sym_enum_declaration] = STATE(13),
    [sym_expression] = STATE(363),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(13),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [aux_sym_block_repeat1] = STATE(13),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(365),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_RBRACE] = ACTIONS(489),
    [anon_sym_if] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_foreach] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(61),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [15] = {
    [sym_block] = STATE(13),
    [sym_if_statement] = STATE(13),
    [sym_while_statement] = STATE(13),
    [sym_do_while_statement] = STATE(13),
    [sym_switch_statement] = STATE(13),
    [sym_for_statement] = STATE(13),
    [sym_foreach_statement] = STATE(13),
    [sym_break] = STATE(13),
    [sym_continue] = STATE(13),
    [sym_return] = STATE(13),
    [sym_yield] = STATE(13),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(13),
    [sym_function_declaration] = STATE(13),
    [sym_class_declaration] = STATE(13),
    [sym_try_statement] = STATE(13),
    [sym_throw_statement] = STATE(13),
    [sym_const_declaration] = STATE(13),
    [sym_enum_declaration] = STATE(13),
    [sym_expression] = STATE(363),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(13),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [aux_sym_block_repeat1] = STATE(13),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(365),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_RBRACE] = ACTIONS(491),
    [anon_sym_if] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_foreach] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(61),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [16] = {
    [sym_block] = STATE(14),
    [sym_if_statement] = STATE(14),
    [sym_while_statement] = STATE(14),
    [sym_do_while_statement] = STATE(14),
    [sym_switch_statement] = STATE(14),
    [sym_for_statement] = STATE(14),
    [sym_foreach_statement] = STATE(14),
    [sym_break] = STATE(14),
    [sym_continue] = STATE(14),
    [sym_return] = STATE(14),
    [sym_yield] = STATE(14),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(14),
    [sym_function_declaration] = STATE(14),
    [sym_class_declaration] = STATE(14),
    [sym_try_statement] = STATE(14),
    [sym_throw_statement] = STATE(14),
    [sym_const_declaration] = STATE(14),
    [sym_enum_declaration] = STATE(14),
    [sym_expression] = STATE(363),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(14),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [aux_sym_block_repeat1] = STATE(14),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_RBRACE] = ACTIONS(495),
    [anon_sym_if] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_foreach] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(61),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [17] = {
    [sym_block] = STATE(15),
    [sym_if_statement] = STATE(15),
    [sym_while_statement] = STATE(15),
    [sym_do_while_statement] = STATE(15),
    [sym_switch_statement] = STATE(15),
    [sym_for_statement] = STATE(15),
    [sym_foreach_statement] = STATE(15),
    [sym_break] = STATE(15),
    [sym_continue] = STATE(15),
    [sym_return] = STATE(15),
    [sym_yield] = STATE(15),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(15),
    [sym_function_declaration] = STATE(15),
    [sym_class_declaration] = STATE(15),
    [sym_try_statement] = STATE(15),
    [sym_throw_statement] = STATE(15),
    [sym_const_declaration] = STATE(15),
    [sym_enum_declaration] = STATE(15),
    [sym_expression] = STATE(363),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(15),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [aux_sym_block_repeat1] = STATE(15),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(497),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_RBRACE] = ACTIONS(499),
    [anon_sym_if] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_foreach] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(61),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [18] = {
    [sym_block] = STATE(868),
    [sym_if_statement] = STATE(868),
    [sym_while_statement] = STATE(868),
    [sym_do_while_statement] = STATE(868),
    [sym_switch_statement] = STATE(868),
    [sym_for_statement] = STATE(868),
    [sym_foreach_statement] = STATE(868),
    [sym_break] = STATE(868),
    [sym_continue] = STATE(868),
    [sym_return] = STATE(868),
    [sym_yield] = STATE(868),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(868),
    [sym_function_declaration] = STATE(868),
    [sym_class_declaration] = STATE(868),
    [sym_try_statement] = STATE(868),
    [sym_throw_statement] = STATE(868),
    [sym_const_declaration] = STATE(868),
    [sym_enum_declaration] = STATE(868),
    [sym_expression] = STATE(867),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(868),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(501),
    [anon_sym_else] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(505),
    [anon_sym_foreach] = ACTIONS(507),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(509),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_catch] = ACTIONS(89),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [19] = {
    [aux_sym__statements] = STATE(19),
    [sym_block] = STATE(19),
    [sym_if_statement] = STATE(19),
    [sym_while_statement] = STATE(19),
    [sym_do_while_statement] = STATE(19),
    [sym_switch_statement] = STATE(19),
    [sym_for_statement] = STATE(19),
    [sym_foreach_statement] = STATE(19),
    [sym_break] = STATE(19),
    [sym_continue] = STATE(19),
    [sym_return] = STATE(19),
    [sym_yield] = STATE(19),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(19),
    [sym_function_declaration] = STATE(19),
    [sym_class_declaration] = STATE(19),
    [sym_try_statement] = STATE(19),
    [sym_throw_statement] = STATE(19),
    [sym_const_declaration] = STATE(19),
    [sym_enum_declaration] = STATE(19),
    [sym_expression] = STATE(364),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(19),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [ts_builtin_sym_end] = ACTIONS(513),
    [sym_identifier] = ACTIONS(515),
    [anon_sym_SEMI] = ACTIONS(518),
    [anon_sym_LBRACE] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(524),
    [anon_sym_while] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(530),
    [anon_sym_do] = ACTIONS(533),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(539),
    [anon_sym_foreach] = ACTIONS(542),
    [anon_sym_break] = ACTIONS(545),
    [anon_sym_continue] = ACTIONS(548),
    [anon_sym_return] = ACTIONS(551),
    [anon_sym_yield] = ACTIONS(554),
    [anon_sym_resume] = ACTIONS(557),
    [anon_sym_local] = ACTIONS(560),
    [anon_sym_function] = ACTIONS(563),
    [anon_sym_COLON_COLON] = ACTIONS(566),
    [anon_sym_class] = ACTIONS(569),
    [anon_sym_LBRACK] = ACTIONS(572),
    [anon_sym_try] = ACTIONS(575),
    [anon_sym_throw] = ACTIONS(578),
    [anon_sym_const] = ACTIONS(581),
    [anon_sym_enum] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(587),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_typeof] = ACTIONS(587),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [anon_sym_delete] = ACTIONS(593),
    [anon_sym_var] = ACTIONS(596),
    [anon_sym_rawcall] = ACTIONS(599),
    [anon_sym_AT] = ACTIONS(602),
    [anon_sym_clone] = ACTIONS(605),
    [sym_integer] = ACTIONS(515),
    [sym_float] = ACTIONS(608),
    [anon_sym_DQUOTE] = ACTIONS(611),
    [anon_sym_SQUOTE] = ACTIONS(614),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(617),
    [anon_sym_true] = ACTIONS(620),
    [anon_sym_false] = ACTIONS(620),
    [sym_null] = ACTIONS(515),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(608),
  },
  [20] = {
    [sym_block] = STATE(21),
    [sym_if_statement] = STATE(21),
    [sym_while_statement] = STATE(21),
    [sym_do_while_statement] = STATE(21),
    [sym_switch_statement] = STATE(21),
    [sym_for_statement] = STATE(21),
    [sym_foreach_statement] = STATE(21),
    [sym_break] = STATE(21),
    [sym_continue] = STATE(21),
    [sym_return] = STATE(21),
    [sym_yield] = STATE(21),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(21),
    [sym_function_declaration] = STATE(21),
    [sym_class_declaration] = STATE(21),
    [sym_try_statement] = STATE(21),
    [sym_throw_statement] = STATE(21),
    [sym_const_declaration] = STATE(21),
    [sym_enum_declaration] = STATE(21),
    [sym_expression] = STATE(363),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(21),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [aux_sym_block_repeat1] = STATE(21),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(623),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_RBRACE] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_foreach] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(61),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [21] = {
    [sym_block] = STATE(13),
    [sym_if_statement] = STATE(13),
    [sym_while_statement] = STATE(13),
    [sym_do_while_statement] = STATE(13),
    [sym_switch_statement] = STATE(13),
    [sym_for_statement] = STATE(13),
    [sym_foreach_statement] = STATE(13),
    [sym_break] = STATE(13),
    [sym_continue] = STATE(13),
    [sym_return] = STATE(13),
    [sym_yield] = STATE(13),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(13),
    [sym_function_declaration] = STATE(13),
    [sym_class_declaration] = STATE(13),
    [sym_try_statement] = STATE(13),
    [sym_throw_statement] = STATE(13),
    [sym_const_declaration] = STATE(13),
    [sym_enum_declaration] = STATE(13),
    [sym_expression] = STATE(363),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(13),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [aux_sym_block_repeat1] = STATE(13),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(365),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_RBRACE] = ACTIONS(627),
    [anon_sym_if] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_foreach] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(61),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [22] = {
    [aux_sym__statements] = STATE(19),
    [sym_block] = STATE(19),
    [sym_if_statement] = STATE(19),
    [sym_while_statement] = STATE(19),
    [sym_do_while_statement] = STATE(19),
    [sym_switch_statement] = STATE(19),
    [sym_for_statement] = STATE(19),
    [sym_foreach_statement] = STATE(19),
    [sym_break] = STATE(19),
    [sym_continue] = STATE(19),
    [sym_return] = STATE(19),
    [sym_yield] = STATE(19),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(19),
    [sym_function_declaration] = STATE(19),
    [sym_class_declaration] = STATE(19),
    [sym_try_statement] = STATE(19),
    [sym_throw_statement] = STATE(19),
    [sym_const_declaration] = STATE(19),
    [sym_enum_declaration] = STATE(19),
    [sym_expression] = STATE(364),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(19),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [ts_builtin_sym_end] = ACTIONS(629),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(631),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_foreach] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(61),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [23] = {
    [sym_block] = STATE(26),
    [sym_if_statement] = STATE(26),
    [sym_while_statement] = STATE(26),
    [sym_do_while_statement] = STATE(26),
    [sym_switch_statement] = STATE(26),
    [sym_for_statement] = STATE(26),
    [sym_foreach_statement] = STATE(26),
    [sym_break] = STATE(26),
    [sym_continue] = STATE(26),
    [sym_return] = STATE(26),
    [sym_yield] = STATE(26),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(26),
    [sym_function_declaration] = STATE(26),
    [sym_class_declaration] = STATE(26),
    [sym_try_statement] = STATE(26),
    [sym_throw_statement] = STATE(26),
    [sym_const_declaration] = STATE(26),
    [sym_enum_declaration] = STATE(26),
    [sym_expression] = STATE(363),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(26),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [aux_sym_block_repeat1] = STATE(26),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_RBRACE] = ACTIONS(635),
    [anon_sym_if] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_foreach] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(61),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [24] = {
    [sym_block] = STATE(25),
    [sym_if_statement] = STATE(25),
    [sym_while_statement] = STATE(25),
    [sym_do_while_statement] = STATE(25),
    [sym_switch_statement] = STATE(25),
    [sym_for_statement] = STATE(25),
    [sym_foreach_statement] = STATE(25),
    [sym_break] = STATE(25),
    [sym_continue] = STATE(25),
    [sym_return] = STATE(25),
    [sym_yield] = STATE(25),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(25),
    [sym_function_declaration] = STATE(25),
    [sym_class_declaration] = STATE(25),
    [sym_try_statement] = STATE(25),
    [sym_throw_statement] = STATE(25),
    [sym_const_declaration] = STATE(25),
    [sym_enum_declaration] = STATE(25),
    [sym_expression] = STATE(363),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(25),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [aux_sym_block_repeat1] = STATE(25),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(637),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_RBRACE] = ACTIONS(639),
    [anon_sym_if] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_foreach] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(61),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [25] = {
    [sym_block] = STATE(13),
    [sym_if_statement] = STATE(13),
    [sym_while_statement] = STATE(13),
    [sym_do_while_statement] = STATE(13),
    [sym_switch_statement] = STATE(13),
    [sym_for_statement] = STATE(13),
    [sym_foreach_statement] = STATE(13),
    [sym_break] = STATE(13),
    [sym_continue] = STATE(13),
    [sym_return] = STATE(13),
    [sym_yield] = STATE(13),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(13),
    [sym_function_declaration] = STATE(13),
    [sym_class_declaration] = STATE(13),
    [sym_try_statement] = STATE(13),
    [sym_throw_statement] = STATE(13),
    [sym_const_declaration] = STATE(13),
    [sym_enum_declaration] = STATE(13),
    [sym_expression] = STATE(363),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(13),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [aux_sym_block_repeat1] = STATE(13),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(365),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_RBRACE] = ACTIONS(641),
    [anon_sym_if] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_foreach] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(61),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [26] = {
    [sym_block] = STATE(13),
    [sym_if_statement] = STATE(13),
    [sym_while_statement] = STATE(13),
    [sym_do_while_statement] = STATE(13),
    [sym_switch_statement] = STATE(13),
    [sym_for_statement] = STATE(13),
    [sym_foreach_statement] = STATE(13),
    [sym_break] = STATE(13),
    [sym_continue] = STATE(13),
    [sym_return] = STATE(13),
    [sym_yield] = STATE(13),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(13),
    [sym_function_declaration] = STATE(13),
    [sym_class_declaration] = STATE(13),
    [sym_try_statement] = STATE(13),
    [sym_throw_statement] = STATE(13),
    [sym_const_declaration] = STATE(13),
    [sym_enum_declaration] = STATE(13),
    [sym_expression] = STATE(363),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(13),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [aux_sym_block_repeat1] = STATE(13),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(365),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_RBRACE] = ACTIONS(643),
    [anon_sym_if] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_foreach] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(61),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [27] = {
    [sym_resume_expression] = STATE(962),
    [sym_expression] = STATE(967),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_table] = STATE(968),
    [sym_delete_expression] = STATE(962),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(645),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_RBRACE] = ACTIONS(349),
    [anon_sym_else] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_COMMA] = ACTIONS(349),
    [anon_sym_in] = ACTIONS(355),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_EQ] = ACTIONS(355),
    [anon_sym_LT_DASH] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(649),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_DOT] = ACTIONS(349),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_constructor] = ACTIONS(355),
    [anon_sym_static] = ACTIONS(355),
    [anon_sym_LT_SLASH] = ACTIONS(349),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(219),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_STAR] = ACTIONS(355),
    [anon_sym_SLASH] = ACTIONS(355),
    [anon_sym_PERCENT] = ACTIONS(355),
    [anon_sym_PIPE_PIPE] = ACTIONS(349),
    [anon_sym_AMP_AMP] = ACTIONS(349),
    [anon_sym_PIPE] = ACTIONS(355),
    [anon_sym_CARET] = ACTIONS(349),
    [anon_sym_AMP] = ACTIONS(355),
    [anon_sym_EQ_EQ] = ACTIONS(349),
    [anon_sym_BANG_EQ] = ACTIONS(349),
    [anon_sym_LT_EQ_GT] = ACTIONS(349),
    [anon_sym_GT] = ACTIONS(355),
    [anon_sym_GT_EQ] = ACTIONS(349),
    [anon_sym_LT_EQ] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(355),
    [anon_sym_instanceof] = ACTIONS(355),
    [anon_sym_LT_LT] = ACTIONS(349),
    [anon_sym_GT_GT] = ACTIONS(355),
    [anon_sym_GT_GT_GT] = ACTIONS(349),
    [anon_sym_QMARK] = ACTIONS(349),
    [anon_sym_PLUS_EQ] = ACTIONS(349),
    [anon_sym_DASH_EQ] = ACTIONS(349),
    [anon_sym_STAR_EQ] = ACTIONS(349),
    [anon_sym_SLASH_EQ] = ACTIONS(349),
    [anon_sym_PERCENT_EQ] = ACTIONS(349),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [28] = {
    [sym_block] = STATE(632),
    [sym_if_statement] = STATE(632),
    [sym_while_statement] = STATE(632),
    [sym_do_while_statement] = STATE(632),
    [sym_switch_statement] = STATE(632),
    [sym_for_statement] = STATE(632),
    [sym_foreach_statement] = STATE(632),
    [sym_break] = STATE(632),
    [sym_continue] = STATE(632),
    [sym_return] = STATE(632),
    [sym_yield] = STATE(632),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(632),
    [sym_function_declaration] = STATE(632),
    [sym_class_declaration] = STATE(632),
    [sym_try_statement] = STATE(632),
    [sym_throw_statement] = STATE(632),
    [sym_const_declaration] = STATE(632),
    [sym_enum_declaration] = STATE(632),
    [sym_expression] = STATE(947),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(632),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(651),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_while] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(187),
    [anon_sym_foreach] = ACTIONS(189),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_function] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(225),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [29] = {
    [sym_block] = STATE(1068),
    [sym_if_statement] = STATE(1068),
    [sym_while_statement] = STATE(1068),
    [sym_do_while_statement] = STATE(1068),
    [sym_switch_statement] = STATE(1068),
    [sym_for_statement] = STATE(1068),
    [sym_foreach_statement] = STATE(1068),
    [sym_break] = STATE(1068),
    [sym_continue] = STATE(1068),
    [sym_return] = STATE(1068),
    [sym_yield] = STATE(1068),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(1068),
    [sym_function_declaration] = STATE(1068),
    [sym_class_declaration] = STATE(1068),
    [sym_try_statement] = STATE(1068),
    [sym_throw_statement] = STATE(1068),
    [sym_const_declaration] = STATE(1068),
    [sym_enum_declaration] = STATE(1068),
    [sym_expression] = STATE(1063),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(1068),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(653),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_while] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(187),
    [anon_sym_foreach] = ACTIONS(189),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_function] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(225),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [30] = {
    [sym_block] = STATE(1747),
    [sym_if_statement] = STATE(1747),
    [sym_while_statement] = STATE(1747),
    [sym_do_while_statement] = STATE(1747),
    [sym_switch_statement] = STATE(1747),
    [sym_for_statement] = STATE(1747),
    [sym_foreach_statement] = STATE(1747),
    [sym_break] = STATE(1747),
    [sym_continue] = STATE(1747),
    [sym_return] = STATE(1747),
    [sym_yield] = STATE(1747),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(1747),
    [sym_function_declaration] = STATE(1747),
    [sym_class_declaration] = STATE(1747),
    [sym_try_statement] = STATE(1747),
    [sym_throw_statement] = STATE(1747),
    [sym_const_declaration] = STATE(1747),
    [sym_enum_declaration] = STATE(1747),
    [sym_expression] = STATE(1331),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(1747),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(655),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(501),
    [anon_sym_while] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(505),
    [anon_sym_foreach] = ACTIONS(507),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(509),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [31] = {
    [sym_block] = STATE(1196),
    [sym_if_statement] = STATE(1196),
    [sym_while_statement] = STATE(1196),
    [sym_do_while_statement] = STATE(1196),
    [sym_switch_statement] = STATE(1196),
    [sym_for_statement] = STATE(1196),
    [sym_foreach_statement] = STATE(1196),
    [sym_break] = STATE(1196),
    [sym_continue] = STATE(1196),
    [sym_return] = STATE(1196),
    [sym_yield] = STATE(1196),
    [sym_resume_expression] = STATE(1302),
    [sym_local_declaration] = STATE(1196),
    [sym_function_declaration] = STATE(1196),
    [sym_class_declaration] = STATE(1196),
    [sym_try_statement] = STATE(1196),
    [sym_throw_statement] = STATE(1196),
    [sym_const_declaration] = STATE(1196),
    [sym_enum_declaration] = STATE(1196),
    [sym_expression] = STATE(1267),
    [sym_primary_expression] = STATE(1302),
    [sym_unary_expression] = STATE(1296),
    [sym_binary_expression] = STATE(1296),
    [sym_ternary_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(1302),
    [sym_update_expression] = STATE(1302),
    [sym_delete_expression] = STATE(1302),
    [sym_var_statement] = STATE(1196),
    [sym_deref_expression] = STATE(1296),
    [sym_index_expression] = STATE(1296),
    [sym_call_expression] = STATE(1296),
    [sym_anonymous_function] = STATE(1296),
    [sym_lambda_expression] = STATE(1296),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_clone_expression] = STATE(1302),
    [sym_array] = STATE(1302),
    [sym_global_variable] = STATE(1296),
    [sym_string] = STATE(1296),
    [sym_char] = STATE(1296),
    [sym_bool] = STATE(1296),
    [sym_identifier] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(283),
    [anon_sym_while] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(661),
    [anon_sym_do] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_for] = ACTIONS(293),
    [anon_sym_foreach] = ACTIONS(295),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(299),
    [anon_sym_return] = ACTIONS(301),
    [anon_sym_yield] = ACTIONS(303),
    [anon_sym_resume] = ACTIONS(305),
    [anon_sym_local] = ACTIONS(307),
    [anon_sym_function] = ACTIONS(309),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_LBRACK] = ACTIONS(665),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_const] = ACTIONS(321),
    [anon_sym_enum] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_typeof] = ACTIONS(325),
    [anon_sym_PLUS_PLUS] = ACTIONS(667),
    [anon_sym_DASH_DASH] = ACTIONS(667),
    [anon_sym_delete] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(329),
    [anon_sym_rawcall] = ACTIONS(331),
    [anon_sym_AT] = ACTIONS(669),
    [anon_sym_clone] = ACTIONS(335),
    [sym_integer] = ACTIONS(277),
    [sym_float] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(339),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(673),
    [anon_sym_true] = ACTIONS(343),
    [anon_sym_false] = ACTIONS(343),
    [sym_null] = ACTIONS(277),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(347),
  },
  [32] = {
    [sym_block] = STATE(1097),
    [sym_if_statement] = STATE(1097),
    [sym_while_statement] = STATE(1097),
    [sym_do_while_statement] = STATE(1097),
    [sym_switch_statement] = STATE(1097),
    [sym_for_statement] = STATE(1097),
    [sym_foreach_statement] = STATE(1097),
    [sym_break] = STATE(1097),
    [sym_continue] = STATE(1097),
    [sym_return] = STATE(1097),
    [sym_yield] = STATE(1097),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(1097),
    [sym_function_declaration] = STATE(1097),
    [sym_class_declaration] = STATE(1097),
    [sym_try_statement] = STATE(1097),
    [sym_throw_statement] = STATE(1097),
    [sym_const_declaration] = STATE(1097),
    [sym_enum_declaration] = STATE(1097),
    [sym_expression] = STATE(1098),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(1097),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(675),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_while] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(249),
    [anon_sym_foreach] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(257),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(259),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [33] = {
    [sym_block] = STATE(1100),
    [sym_if_statement] = STATE(1100),
    [sym_while_statement] = STATE(1100),
    [sym_do_while_statement] = STATE(1100),
    [sym_switch_statement] = STATE(1100),
    [sym_for_statement] = STATE(1100),
    [sym_foreach_statement] = STATE(1100),
    [sym_break] = STATE(1100),
    [sym_continue] = STATE(1100),
    [sym_return] = STATE(1100),
    [sym_yield] = STATE(1100),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(1100),
    [sym_function_declaration] = STATE(1100),
    [sym_class_declaration] = STATE(1100),
    [sym_try_statement] = STATE(1100),
    [sym_throw_statement] = STATE(1100),
    [sym_const_declaration] = STATE(1100),
    [sym_enum_declaration] = STATE(1100),
    [sym_expression] = STATE(1101),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(1100),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_while] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(249),
    [anon_sym_foreach] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(257),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(259),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [34] = {
    [sym_block] = STATE(1104),
    [sym_if_statement] = STATE(1104),
    [sym_while_statement] = STATE(1104),
    [sym_do_while_statement] = STATE(1104),
    [sym_switch_statement] = STATE(1104),
    [sym_for_statement] = STATE(1104),
    [sym_foreach_statement] = STATE(1104),
    [sym_break] = STATE(1104),
    [sym_continue] = STATE(1104),
    [sym_return] = STATE(1104),
    [sym_yield] = STATE(1104),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(1104),
    [sym_function_declaration] = STATE(1104),
    [sym_class_declaration] = STATE(1104),
    [sym_try_statement] = STATE(1104),
    [sym_throw_statement] = STATE(1104),
    [sym_const_declaration] = STATE(1104),
    [sym_enum_declaration] = STATE(1104),
    [sym_expression] = STATE(1105),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(1104),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_while] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(249),
    [anon_sym_foreach] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(257),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(259),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [35] = {
    [sym_block] = STATE(1109),
    [sym_if_statement] = STATE(1109),
    [sym_while_statement] = STATE(1109),
    [sym_do_while_statement] = STATE(1109),
    [sym_switch_statement] = STATE(1109),
    [sym_for_statement] = STATE(1109),
    [sym_foreach_statement] = STATE(1109),
    [sym_break] = STATE(1109),
    [sym_continue] = STATE(1109),
    [sym_return] = STATE(1109),
    [sym_yield] = STATE(1109),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(1109),
    [sym_function_declaration] = STATE(1109),
    [sym_class_declaration] = STATE(1109),
    [sym_try_statement] = STATE(1109),
    [sym_throw_statement] = STATE(1109),
    [sym_const_declaration] = STATE(1109),
    [sym_enum_declaration] = STATE(1109),
    [sym_expression] = STATE(1110),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(1109),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_while] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(249),
    [anon_sym_foreach] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(257),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(259),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [36] = {
    [sym_block] = STATE(1250),
    [sym_if_statement] = STATE(1250),
    [sym_while_statement] = STATE(1250),
    [sym_do_while_statement] = STATE(1250),
    [sym_switch_statement] = STATE(1250),
    [sym_for_statement] = STATE(1250),
    [sym_foreach_statement] = STATE(1250),
    [sym_break] = STATE(1250),
    [sym_continue] = STATE(1250),
    [sym_return] = STATE(1250),
    [sym_yield] = STATE(1250),
    [sym_resume_expression] = STATE(1302),
    [sym_local_declaration] = STATE(1250),
    [sym_function_declaration] = STATE(1250),
    [sym_class_declaration] = STATE(1250),
    [sym_try_statement] = STATE(1250),
    [sym_throw_statement] = STATE(1250),
    [sym_const_declaration] = STATE(1250),
    [sym_enum_declaration] = STATE(1250),
    [sym_expression] = STATE(1195),
    [sym_primary_expression] = STATE(1302),
    [sym_unary_expression] = STATE(1296),
    [sym_binary_expression] = STATE(1296),
    [sym_ternary_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(1302),
    [sym_update_expression] = STATE(1302),
    [sym_delete_expression] = STATE(1302),
    [sym_var_statement] = STATE(1250),
    [sym_deref_expression] = STATE(1296),
    [sym_index_expression] = STATE(1296),
    [sym_call_expression] = STATE(1296),
    [sym_anonymous_function] = STATE(1296),
    [sym_lambda_expression] = STATE(1296),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_clone_expression] = STATE(1302),
    [sym_array] = STATE(1302),
    [sym_global_variable] = STATE(1296),
    [sym_string] = STATE(1296),
    [sym_char] = STATE(1296),
    [sym_bool] = STATE(1296),
    [sym_identifier] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(683),
    [anon_sym_LBRACE] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(283),
    [anon_sym_while] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(661),
    [anon_sym_do] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_for] = ACTIONS(293),
    [anon_sym_foreach] = ACTIONS(295),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(299),
    [anon_sym_return] = ACTIONS(301),
    [anon_sym_yield] = ACTIONS(303),
    [anon_sym_resume] = ACTIONS(305),
    [anon_sym_local] = ACTIONS(307),
    [anon_sym_function] = ACTIONS(309),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_LBRACK] = ACTIONS(665),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_const] = ACTIONS(321),
    [anon_sym_enum] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_typeof] = ACTIONS(325),
    [anon_sym_PLUS_PLUS] = ACTIONS(667),
    [anon_sym_DASH_DASH] = ACTIONS(667),
    [anon_sym_delete] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(329),
    [anon_sym_rawcall] = ACTIONS(331),
    [anon_sym_AT] = ACTIONS(669),
    [anon_sym_clone] = ACTIONS(335),
    [sym_integer] = ACTIONS(277),
    [sym_float] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(339),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(673),
    [anon_sym_true] = ACTIONS(343),
    [anon_sym_false] = ACTIONS(343),
    [sym_null] = ACTIONS(277),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(347),
  },
  [37] = {
    [sym_block] = STATE(1113),
    [sym_if_statement] = STATE(1113),
    [sym_while_statement] = STATE(1113),
    [sym_do_while_statement] = STATE(1113),
    [sym_switch_statement] = STATE(1113),
    [sym_for_statement] = STATE(1113),
    [sym_foreach_statement] = STATE(1113),
    [sym_break] = STATE(1113),
    [sym_continue] = STATE(1113),
    [sym_return] = STATE(1113),
    [sym_yield] = STATE(1113),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(1113),
    [sym_function_declaration] = STATE(1113),
    [sym_class_declaration] = STATE(1113),
    [sym_try_statement] = STATE(1113),
    [sym_throw_statement] = STATE(1113),
    [sym_const_declaration] = STATE(1113),
    [sym_enum_declaration] = STATE(1113),
    [sym_expression] = STATE(1112),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(1113),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(685),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_while] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(249),
    [anon_sym_foreach] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(257),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(259),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [38] = {
    [sym_block] = STATE(1086),
    [sym_if_statement] = STATE(1086),
    [sym_while_statement] = STATE(1086),
    [sym_do_while_statement] = STATE(1086),
    [sym_switch_statement] = STATE(1086),
    [sym_for_statement] = STATE(1086),
    [sym_foreach_statement] = STATE(1086),
    [sym_break] = STATE(1086),
    [sym_continue] = STATE(1086),
    [sym_return] = STATE(1086),
    [sym_yield] = STATE(1086),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(1086),
    [sym_function_declaration] = STATE(1086),
    [sym_class_declaration] = STATE(1086),
    [sym_try_statement] = STATE(1086),
    [sym_throw_statement] = STATE(1086),
    [sym_const_declaration] = STATE(1086),
    [sym_enum_declaration] = STATE(1086),
    [sym_expression] = STATE(1085),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(1086),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_while] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(249),
    [anon_sym_foreach] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(257),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(259),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [39] = {
    [sym_block] = STATE(1737),
    [sym_if_statement] = STATE(1737),
    [sym_while_statement] = STATE(1737),
    [sym_do_while_statement] = STATE(1737),
    [sym_switch_statement] = STATE(1737),
    [sym_for_statement] = STATE(1737),
    [sym_foreach_statement] = STATE(1737),
    [sym_break] = STATE(1737),
    [sym_continue] = STATE(1737),
    [sym_return] = STATE(1737),
    [sym_yield] = STATE(1737),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(1737),
    [sym_function_declaration] = STATE(1737),
    [sym_class_declaration] = STATE(1737),
    [sym_try_statement] = STATE(1737),
    [sym_throw_statement] = STATE(1737),
    [sym_const_declaration] = STATE(1737),
    [sym_enum_declaration] = STATE(1737),
    [sym_expression] = STATE(1324),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(1737),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(501),
    [anon_sym_while] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(505),
    [anon_sym_foreach] = ACTIONS(507),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(509),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [40] = {
    [sym_block] = STATE(318),
    [sym_if_statement] = STATE(318),
    [sym_while_statement] = STATE(318),
    [sym_do_while_statement] = STATE(318),
    [sym_switch_statement] = STATE(318),
    [sym_for_statement] = STATE(318),
    [sym_foreach_statement] = STATE(318),
    [sym_break] = STATE(318),
    [sym_continue] = STATE(318),
    [sym_return] = STATE(318),
    [sym_yield] = STATE(318),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(318),
    [sym_function_declaration] = STATE(318),
    [sym_class_declaration] = STATE(318),
    [sym_try_statement] = STATE(318),
    [sym_throw_statement] = STATE(318),
    [sym_const_declaration] = STATE(318),
    [sym_enum_declaration] = STATE(318),
    [sym_expression] = STATE(310),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(318),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(691),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_foreach] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(61),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [41] = {
    [sym_block] = STATE(1703),
    [sym_if_statement] = STATE(1703),
    [sym_while_statement] = STATE(1703),
    [sym_do_while_statement] = STATE(1703),
    [sym_switch_statement] = STATE(1703),
    [sym_for_statement] = STATE(1703),
    [sym_foreach_statement] = STATE(1703),
    [sym_break] = STATE(1703),
    [sym_continue] = STATE(1703),
    [sym_return] = STATE(1703),
    [sym_yield] = STATE(1703),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(1703),
    [sym_function_declaration] = STATE(1703),
    [sym_class_declaration] = STATE(1703),
    [sym_try_statement] = STATE(1703),
    [sym_throw_statement] = STATE(1703),
    [sym_const_declaration] = STATE(1703),
    [sym_enum_declaration] = STATE(1703),
    [sym_expression] = STATE(1335),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(1703),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(693),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(501),
    [anon_sym_while] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(505),
    [anon_sym_foreach] = ACTIONS(507),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(509),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [42] = {
    [sym_block] = STATE(1079),
    [sym_if_statement] = STATE(1079),
    [sym_while_statement] = STATE(1079),
    [sym_do_while_statement] = STATE(1079),
    [sym_switch_statement] = STATE(1079),
    [sym_for_statement] = STATE(1079),
    [sym_foreach_statement] = STATE(1079),
    [sym_break] = STATE(1079),
    [sym_continue] = STATE(1079),
    [sym_return] = STATE(1079),
    [sym_yield] = STATE(1079),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(1079),
    [sym_function_declaration] = STATE(1079),
    [sym_class_declaration] = STATE(1079),
    [sym_try_statement] = STATE(1079),
    [sym_throw_statement] = STATE(1079),
    [sym_const_declaration] = STATE(1079),
    [sym_enum_declaration] = STATE(1079),
    [sym_expression] = STATE(1078),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(1079),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(695),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_while] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(249),
    [anon_sym_foreach] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(257),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(259),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [43] = {
    [sym_block] = STATE(1743),
    [sym_if_statement] = STATE(1743),
    [sym_while_statement] = STATE(1743),
    [sym_do_while_statement] = STATE(1743),
    [sym_switch_statement] = STATE(1743),
    [sym_for_statement] = STATE(1743),
    [sym_foreach_statement] = STATE(1743),
    [sym_break] = STATE(1743),
    [sym_continue] = STATE(1743),
    [sym_return] = STATE(1743),
    [sym_yield] = STATE(1743),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(1743),
    [sym_function_declaration] = STATE(1743),
    [sym_class_declaration] = STATE(1743),
    [sym_try_statement] = STATE(1743),
    [sym_throw_statement] = STATE(1743),
    [sym_const_declaration] = STATE(1743),
    [sym_enum_declaration] = STATE(1743),
    [sym_expression] = STATE(1329),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(1743),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(697),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(501),
    [anon_sym_while] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(505),
    [anon_sym_foreach] = ACTIONS(507),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(509),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [44] = {
    [sym_block] = STATE(255),
    [sym_if_statement] = STATE(255),
    [sym_while_statement] = STATE(255),
    [sym_do_while_statement] = STATE(255),
    [sym_switch_statement] = STATE(255),
    [sym_for_statement] = STATE(255),
    [sym_foreach_statement] = STATE(255),
    [sym_break] = STATE(255),
    [sym_continue] = STATE(255),
    [sym_return] = STATE(255),
    [sym_yield] = STATE(255),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(255),
    [sym_function_declaration] = STATE(255),
    [sym_class_declaration] = STATE(255),
    [sym_try_statement] = STATE(255),
    [sym_throw_statement] = STATE(255),
    [sym_const_declaration] = STATE(255),
    [sym_enum_declaration] = STATE(255),
    [sym_expression] = STATE(208),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(255),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_foreach] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(61),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [45] = {
    [sym_block] = STATE(282),
    [sym_if_statement] = STATE(282),
    [sym_while_statement] = STATE(282),
    [sym_do_while_statement] = STATE(282),
    [sym_switch_statement] = STATE(282),
    [sym_for_statement] = STATE(282),
    [sym_foreach_statement] = STATE(282),
    [sym_break] = STATE(282),
    [sym_continue] = STATE(282),
    [sym_return] = STATE(282),
    [sym_yield] = STATE(282),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(282),
    [sym_function_declaration] = STATE(282),
    [sym_class_declaration] = STATE(282),
    [sym_try_statement] = STATE(282),
    [sym_throw_statement] = STATE(282),
    [sym_const_declaration] = STATE(282),
    [sym_enum_declaration] = STATE(282),
    [sym_expression] = STATE(281),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(282),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_foreach] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(61),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [46] = {
    [sym_block] = STATE(350),
    [sym_if_statement] = STATE(350),
    [sym_while_statement] = STATE(350),
    [sym_do_while_statement] = STATE(350),
    [sym_switch_statement] = STATE(350),
    [sym_for_statement] = STATE(350),
    [sym_foreach_statement] = STATE(350),
    [sym_break] = STATE(350),
    [sym_continue] = STATE(350),
    [sym_return] = STATE(350),
    [sym_yield] = STATE(350),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(350),
    [sym_function_declaration] = STATE(350),
    [sym_class_declaration] = STATE(350),
    [sym_try_statement] = STATE(350),
    [sym_throw_statement] = STATE(350),
    [sym_const_declaration] = STATE(350),
    [sym_enum_declaration] = STATE(350),
    [sym_expression] = STATE(344),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(350),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_foreach] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(61),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [47] = {
    [sym_block] = STATE(188),
    [sym_if_statement] = STATE(188),
    [sym_while_statement] = STATE(188),
    [sym_do_while_statement] = STATE(188),
    [sym_switch_statement] = STATE(188),
    [sym_for_statement] = STATE(188),
    [sym_foreach_statement] = STATE(188),
    [sym_break] = STATE(188),
    [sym_continue] = STATE(188),
    [sym_return] = STATE(188),
    [sym_yield] = STATE(188),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(188),
    [sym_function_declaration] = STATE(188),
    [sym_class_declaration] = STATE(188),
    [sym_try_statement] = STATE(188),
    [sym_throw_statement] = STATE(188),
    [sym_const_declaration] = STATE(188),
    [sym_enum_declaration] = STATE(188),
    [sym_expression] = STATE(189),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(188),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(705),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_foreach] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(61),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [48] = {
    [sym_block] = STATE(1068),
    [sym_if_statement] = STATE(1068),
    [sym_while_statement] = STATE(1068),
    [sym_do_while_statement] = STATE(1068),
    [sym_switch_statement] = STATE(1068),
    [sym_for_statement] = STATE(1068),
    [sym_foreach_statement] = STATE(1068),
    [sym_break] = STATE(1068),
    [sym_continue] = STATE(1068),
    [sym_return] = STATE(1068),
    [sym_yield] = STATE(1068),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(1068),
    [sym_function_declaration] = STATE(1068),
    [sym_class_declaration] = STATE(1068),
    [sym_try_statement] = STATE(1068),
    [sym_throw_statement] = STATE(1068),
    [sym_const_declaration] = STATE(1068),
    [sym_enum_declaration] = STATE(1068),
    [sym_expression] = STATE(1063),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(1068),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(653),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_while] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(249),
    [anon_sym_foreach] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(257),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(259),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [49] = {
    [sym_block] = STATE(1032),
    [sym_if_statement] = STATE(1032),
    [sym_while_statement] = STATE(1032),
    [sym_do_while_statement] = STATE(1032),
    [sym_switch_statement] = STATE(1032),
    [sym_for_statement] = STATE(1032),
    [sym_foreach_statement] = STATE(1032),
    [sym_break] = STATE(1032),
    [sym_continue] = STATE(1032),
    [sym_return] = STATE(1032),
    [sym_yield] = STATE(1032),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(1032),
    [sym_function_declaration] = STATE(1032),
    [sym_class_declaration] = STATE(1032),
    [sym_try_statement] = STATE(1032),
    [sym_throw_statement] = STATE(1032),
    [sym_const_declaration] = STATE(1032),
    [sym_enum_declaration] = STATE(1032),
    [sym_expression] = STATE(1030),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(1032),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(707),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_while] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(249),
    [anon_sym_foreach] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(257),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(259),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [50] = {
    [sym_block] = STATE(1025),
    [sym_if_statement] = STATE(1025),
    [sym_while_statement] = STATE(1025),
    [sym_do_while_statement] = STATE(1025),
    [sym_switch_statement] = STATE(1025),
    [sym_for_statement] = STATE(1025),
    [sym_foreach_statement] = STATE(1025),
    [sym_break] = STATE(1025),
    [sym_continue] = STATE(1025),
    [sym_return] = STATE(1025),
    [sym_yield] = STATE(1025),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(1025),
    [sym_function_declaration] = STATE(1025),
    [sym_class_declaration] = STATE(1025),
    [sym_try_statement] = STATE(1025),
    [sym_throw_statement] = STATE(1025),
    [sym_const_declaration] = STATE(1025),
    [sym_enum_declaration] = STATE(1025),
    [sym_expression] = STATE(1022),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(1025),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(709),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_while] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(249),
    [anon_sym_foreach] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(257),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(259),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [51] = {
    [sym_block] = STATE(1172),
    [sym_if_statement] = STATE(1172),
    [sym_while_statement] = STATE(1172),
    [sym_do_while_statement] = STATE(1172),
    [sym_switch_statement] = STATE(1172),
    [sym_for_statement] = STATE(1172),
    [sym_foreach_statement] = STATE(1172),
    [sym_break] = STATE(1172),
    [sym_continue] = STATE(1172),
    [sym_return] = STATE(1172),
    [sym_yield] = STATE(1172),
    [sym_resume_expression] = STATE(1302),
    [sym_local_declaration] = STATE(1172),
    [sym_function_declaration] = STATE(1172),
    [sym_class_declaration] = STATE(1172),
    [sym_try_statement] = STATE(1172),
    [sym_throw_statement] = STATE(1172),
    [sym_const_declaration] = STATE(1172),
    [sym_enum_declaration] = STATE(1172),
    [sym_expression] = STATE(1173),
    [sym_primary_expression] = STATE(1302),
    [sym_unary_expression] = STATE(1296),
    [sym_binary_expression] = STATE(1296),
    [sym_ternary_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(1302),
    [sym_update_expression] = STATE(1302),
    [sym_delete_expression] = STATE(1302),
    [sym_var_statement] = STATE(1172),
    [sym_deref_expression] = STATE(1296),
    [sym_index_expression] = STATE(1296),
    [sym_call_expression] = STATE(1296),
    [sym_anonymous_function] = STATE(1296),
    [sym_lambda_expression] = STATE(1296),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_clone_expression] = STATE(1302),
    [sym_array] = STATE(1302),
    [sym_global_variable] = STATE(1296),
    [sym_string] = STATE(1296),
    [sym_char] = STATE(1296),
    [sym_bool] = STATE(1296),
    [sym_identifier] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(711),
    [anon_sym_LBRACE] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(283),
    [anon_sym_while] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(661),
    [anon_sym_do] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_for] = ACTIONS(293),
    [anon_sym_foreach] = ACTIONS(295),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(299),
    [anon_sym_return] = ACTIONS(301),
    [anon_sym_yield] = ACTIONS(303),
    [anon_sym_resume] = ACTIONS(305),
    [anon_sym_local] = ACTIONS(307),
    [anon_sym_function] = ACTIONS(309),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_LBRACK] = ACTIONS(665),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_const] = ACTIONS(321),
    [anon_sym_enum] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_typeof] = ACTIONS(325),
    [anon_sym_PLUS_PLUS] = ACTIONS(667),
    [anon_sym_DASH_DASH] = ACTIONS(667),
    [anon_sym_delete] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(329),
    [anon_sym_rawcall] = ACTIONS(331),
    [anon_sym_AT] = ACTIONS(669),
    [anon_sym_clone] = ACTIONS(335),
    [sym_integer] = ACTIONS(277),
    [sym_float] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(339),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(673),
    [anon_sym_true] = ACTIONS(343),
    [anon_sym_false] = ACTIONS(343),
    [sym_null] = ACTIONS(277),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(347),
  },
  [52] = {
    [sym_block] = STATE(297),
    [sym_if_statement] = STATE(297),
    [sym_while_statement] = STATE(297),
    [sym_do_while_statement] = STATE(297),
    [sym_switch_statement] = STATE(297),
    [sym_for_statement] = STATE(297),
    [sym_foreach_statement] = STATE(297),
    [sym_break] = STATE(297),
    [sym_continue] = STATE(297),
    [sym_return] = STATE(297),
    [sym_yield] = STATE(297),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(297),
    [sym_function_declaration] = STATE(297),
    [sym_class_declaration] = STATE(297),
    [sym_try_statement] = STATE(297),
    [sym_throw_statement] = STATE(297),
    [sym_const_declaration] = STATE(297),
    [sym_enum_declaration] = STATE(297),
    [sym_expression] = STATE(298),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(297),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(713),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_foreach] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(61),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [53] = {
    [sym_block] = STATE(1167),
    [sym_if_statement] = STATE(1167),
    [sym_while_statement] = STATE(1167),
    [sym_do_while_statement] = STATE(1167),
    [sym_switch_statement] = STATE(1167),
    [sym_for_statement] = STATE(1167),
    [sym_foreach_statement] = STATE(1167),
    [sym_break] = STATE(1167),
    [sym_continue] = STATE(1167),
    [sym_return] = STATE(1167),
    [sym_yield] = STATE(1167),
    [sym_resume_expression] = STATE(1302),
    [sym_local_declaration] = STATE(1167),
    [sym_function_declaration] = STATE(1167),
    [sym_class_declaration] = STATE(1167),
    [sym_try_statement] = STATE(1167),
    [sym_throw_statement] = STATE(1167),
    [sym_const_declaration] = STATE(1167),
    [sym_enum_declaration] = STATE(1167),
    [sym_expression] = STATE(1168),
    [sym_primary_expression] = STATE(1302),
    [sym_unary_expression] = STATE(1296),
    [sym_binary_expression] = STATE(1296),
    [sym_ternary_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(1302),
    [sym_update_expression] = STATE(1302),
    [sym_delete_expression] = STATE(1302),
    [sym_var_statement] = STATE(1167),
    [sym_deref_expression] = STATE(1296),
    [sym_index_expression] = STATE(1296),
    [sym_call_expression] = STATE(1296),
    [sym_anonymous_function] = STATE(1296),
    [sym_lambda_expression] = STATE(1296),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_clone_expression] = STATE(1302),
    [sym_array] = STATE(1302),
    [sym_global_variable] = STATE(1296),
    [sym_string] = STATE(1296),
    [sym_char] = STATE(1296),
    [sym_bool] = STATE(1296),
    [sym_identifier] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(715),
    [anon_sym_LBRACE] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(283),
    [anon_sym_while] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(661),
    [anon_sym_do] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_for] = ACTIONS(293),
    [anon_sym_foreach] = ACTIONS(295),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(299),
    [anon_sym_return] = ACTIONS(301),
    [anon_sym_yield] = ACTIONS(303),
    [anon_sym_resume] = ACTIONS(305),
    [anon_sym_local] = ACTIONS(307),
    [anon_sym_function] = ACTIONS(309),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_LBRACK] = ACTIONS(665),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_const] = ACTIONS(321),
    [anon_sym_enum] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_typeof] = ACTIONS(325),
    [anon_sym_PLUS_PLUS] = ACTIONS(667),
    [anon_sym_DASH_DASH] = ACTIONS(667),
    [anon_sym_delete] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(329),
    [anon_sym_rawcall] = ACTIONS(331),
    [anon_sym_AT] = ACTIONS(669),
    [anon_sym_clone] = ACTIONS(335),
    [sym_integer] = ACTIONS(277),
    [sym_float] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(339),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(673),
    [anon_sym_true] = ACTIONS(343),
    [anon_sym_false] = ACTIONS(343),
    [sym_null] = ACTIONS(277),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(347),
  },
  [54] = {
    [sym_block] = STATE(1525),
    [sym_if_statement] = STATE(1525),
    [sym_while_statement] = STATE(1525),
    [sym_do_while_statement] = STATE(1525),
    [sym_switch_statement] = STATE(1525),
    [sym_for_statement] = STATE(1525),
    [sym_foreach_statement] = STATE(1525),
    [sym_break] = STATE(1525),
    [sym_continue] = STATE(1525),
    [sym_return] = STATE(1525),
    [sym_yield] = STATE(1525),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(1525),
    [sym_function_declaration] = STATE(1525),
    [sym_class_declaration] = STATE(1525),
    [sym_try_statement] = STATE(1525),
    [sym_throw_statement] = STATE(1525),
    [sym_const_declaration] = STATE(1525),
    [sym_enum_declaration] = STATE(1525),
    [sym_expression] = STATE(1146),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(1525),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_while] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(249),
    [anon_sym_foreach] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(257),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(259),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [55] = {
    [sym_block] = STATE(755),
    [sym_if_statement] = STATE(755),
    [sym_while_statement] = STATE(755),
    [sym_do_while_statement] = STATE(755),
    [sym_switch_statement] = STATE(755),
    [sym_for_statement] = STATE(755),
    [sym_foreach_statement] = STATE(755),
    [sym_break] = STATE(755),
    [sym_continue] = STATE(755),
    [sym_return] = STATE(755),
    [sym_yield] = STATE(755),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(755),
    [sym_function_declaration] = STATE(755),
    [sym_class_declaration] = STATE(755),
    [sym_try_statement] = STATE(755),
    [sym_throw_statement] = STATE(755),
    [sym_const_declaration] = STATE(755),
    [sym_enum_declaration] = STATE(755),
    [sym_expression] = STATE(754),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(755),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_foreach] = ACTIONS(101),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(123),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [56] = {
    [sym_block] = STATE(2002),
    [sym_if_statement] = STATE(2002),
    [sym_while_statement] = STATE(2002),
    [sym_do_while_statement] = STATE(2002),
    [sym_switch_statement] = STATE(2002),
    [sym_for_statement] = STATE(2002),
    [sym_foreach_statement] = STATE(2002),
    [sym_break] = STATE(2002),
    [sym_continue] = STATE(2002),
    [sym_return] = STATE(2002),
    [sym_yield] = STATE(2002),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(2002),
    [sym_function_declaration] = STATE(2002),
    [sym_class_declaration] = STATE(2002),
    [sym_try_statement] = STATE(2002),
    [sym_throw_statement] = STATE(2002),
    [sym_const_declaration] = STATE(2002),
    [sym_enum_declaration] = STATE(2002),
    [sym_expression] = STATE(1346),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(2002),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(721),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(501),
    [anon_sym_while] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(505),
    [anon_sym_foreach] = ACTIONS(507),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(509),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [57] = {
    [sym_block] = STATE(1522),
    [sym_if_statement] = STATE(1522),
    [sym_while_statement] = STATE(1522),
    [sym_do_while_statement] = STATE(1522),
    [sym_switch_statement] = STATE(1522),
    [sym_for_statement] = STATE(1522),
    [sym_foreach_statement] = STATE(1522),
    [sym_break] = STATE(1522),
    [sym_continue] = STATE(1522),
    [sym_return] = STATE(1522),
    [sym_yield] = STATE(1522),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(1522),
    [sym_function_declaration] = STATE(1522),
    [sym_class_declaration] = STATE(1522),
    [sym_try_statement] = STATE(1522),
    [sym_throw_statement] = STATE(1522),
    [sym_const_declaration] = STATE(1522),
    [sym_enum_declaration] = STATE(1522),
    [sym_expression] = STATE(1139),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(1522),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(723),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_while] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(249),
    [anon_sym_foreach] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(257),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(259),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [58] = {
    [sym_block] = STATE(315),
    [sym_if_statement] = STATE(315),
    [sym_while_statement] = STATE(315),
    [sym_do_while_statement] = STATE(315),
    [sym_switch_statement] = STATE(315),
    [sym_for_statement] = STATE(315),
    [sym_foreach_statement] = STATE(315),
    [sym_break] = STATE(315),
    [sym_continue] = STATE(315),
    [sym_return] = STATE(315),
    [sym_yield] = STATE(315),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(315),
    [sym_function_declaration] = STATE(315),
    [sym_class_declaration] = STATE(315),
    [sym_try_statement] = STATE(315),
    [sym_throw_statement] = STATE(315),
    [sym_const_declaration] = STATE(315),
    [sym_enum_declaration] = STATE(315),
    [sym_expression] = STATE(316),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(315),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(725),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_foreach] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(61),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [59] = {
    [sym_block] = STATE(1960),
    [sym_if_statement] = STATE(1960),
    [sym_while_statement] = STATE(1960),
    [sym_do_while_statement] = STATE(1960),
    [sym_switch_statement] = STATE(1960),
    [sym_for_statement] = STATE(1960),
    [sym_foreach_statement] = STATE(1960),
    [sym_break] = STATE(1960),
    [sym_continue] = STATE(1960),
    [sym_return] = STATE(1960),
    [sym_yield] = STATE(1960),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(1960),
    [sym_function_declaration] = STATE(1960),
    [sym_class_declaration] = STATE(1960),
    [sym_try_statement] = STATE(1960),
    [sym_throw_statement] = STATE(1960),
    [sym_const_declaration] = STATE(1960),
    [sym_enum_declaration] = STATE(1960),
    [sym_expression] = STATE(1351),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(1960),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(727),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(501),
    [anon_sym_while] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(505),
    [anon_sym_foreach] = ACTIONS(507),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(509),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [60] = {
    [sym_block] = STATE(305),
    [sym_if_statement] = STATE(305),
    [sym_while_statement] = STATE(305),
    [sym_do_while_statement] = STATE(305),
    [sym_switch_statement] = STATE(305),
    [sym_for_statement] = STATE(305),
    [sym_foreach_statement] = STATE(305),
    [sym_break] = STATE(305),
    [sym_continue] = STATE(305),
    [sym_return] = STATE(305),
    [sym_yield] = STATE(305),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(305),
    [sym_function_declaration] = STATE(305),
    [sym_class_declaration] = STATE(305),
    [sym_try_statement] = STATE(305),
    [sym_throw_statement] = STATE(305),
    [sym_const_declaration] = STATE(305),
    [sym_enum_declaration] = STATE(305),
    [sym_expression] = STATE(311),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(305),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_foreach] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(61),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [61] = {
    [sym_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_while_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_foreach_statement] = STATE(888),
    [sym_break] = STATE(888),
    [sym_continue] = STATE(888),
    [sym_return] = STATE(888),
    [sym_yield] = STATE(888),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(888),
    [sym_function_declaration] = STATE(888),
    [sym_class_declaration] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_const_declaration] = STATE(888),
    [sym_enum_declaration] = STATE(888),
    [sym_expression] = STATE(865),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(888),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(731),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_foreach] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(169),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [62] = {
    [sym_block] = STATE(895),
    [sym_if_statement] = STATE(895),
    [sym_while_statement] = STATE(895),
    [sym_do_while_statement] = STATE(895),
    [sym_switch_statement] = STATE(895),
    [sym_for_statement] = STATE(895),
    [sym_foreach_statement] = STATE(895),
    [sym_break] = STATE(895),
    [sym_continue] = STATE(895),
    [sym_return] = STATE(895),
    [sym_yield] = STATE(895),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(895),
    [sym_function_declaration] = STATE(895),
    [sym_class_declaration] = STATE(895),
    [sym_try_statement] = STATE(895),
    [sym_throw_statement] = STATE(895),
    [sym_const_declaration] = STATE(895),
    [sym_enum_declaration] = STATE(895),
    [sym_expression] = STATE(857),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(895),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_foreach] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(169),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [63] = {
    [sym_block] = STATE(769),
    [sym_if_statement] = STATE(769),
    [sym_while_statement] = STATE(769),
    [sym_do_while_statement] = STATE(769),
    [sym_switch_statement] = STATE(769),
    [sym_for_statement] = STATE(769),
    [sym_foreach_statement] = STATE(769),
    [sym_break] = STATE(769),
    [sym_continue] = STATE(769),
    [sym_return] = STATE(769),
    [sym_yield] = STATE(769),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(769),
    [sym_function_declaration] = STATE(769),
    [sym_class_declaration] = STATE(769),
    [sym_try_statement] = STATE(769),
    [sym_throw_statement] = STATE(769),
    [sym_const_declaration] = STATE(769),
    [sym_enum_declaration] = STATE(769),
    [sym_expression] = STATE(840),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(769),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_foreach] = ACTIONS(101),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(123),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [64] = {
    [sym_block] = STATE(300),
    [sym_if_statement] = STATE(300),
    [sym_while_statement] = STATE(300),
    [sym_do_while_statement] = STATE(300),
    [sym_switch_statement] = STATE(300),
    [sym_for_statement] = STATE(300),
    [sym_foreach_statement] = STATE(300),
    [sym_break] = STATE(300),
    [sym_continue] = STATE(300),
    [sym_return] = STATE(300),
    [sym_yield] = STATE(300),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(300),
    [sym_function_declaration] = STATE(300),
    [sym_class_declaration] = STATE(300),
    [sym_try_statement] = STATE(300),
    [sym_throw_statement] = STATE(300),
    [sym_const_declaration] = STATE(300),
    [sym_enum_declaration] = STATE(300),
    [sym_expression] = STATE(295),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(300),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(737),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_foreach] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(61),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [65] = {
    [sym_block] = STATE(248),
    [sym_if_statement] = STATE(248),
    [sym_while_statement] = STATE(248),
    [sym_do_while_statement] = STATE(248),
    [sym_switch_statement] = STATE(248),
    [sym_for_statement] = STATE(248),
    [sym_foreach_statement] = STATE(248),
    [sym_break] = STATE(248),
    [sym_continue] = STATE(248),
    [sym_return] = STATE(248),
    [sym_yield] = STATE(248),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(248),
    [sym_function_declaration] = STATE(248),
    [sym_class_declaration] = STATE(248),
    [sym_try_statement] = STATE(248),
    [sym_throw_statement] = STATE(248),
    [sym_const_declaration] = STATE(248),
    [sym_enum_declaration] = STATE(248),
    [sym_expression] = STATE(245),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(248),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_foreach] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(61),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [66] = {
    [sym_block] = STATE(269),
    [sym_if_statement] = STATE(269),
    [sym_while_statement] = STATE(269),
    [sym_do_while_statement] = STATE(269),
    [sym_switch_statement] = STATE(269),
    [sym_for_statement] = STATE(269),
    [sym_foreach_statement] = STATE(269),
    [sym_break] = STATE(269),
    [sym_continue] = STATE(269),
    [sym_return] = STATE(269),
    [sym_yield] = STATE(269),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(269),
    [sym_function_declaration] = STATE(269),
    [sym_class_declaration] = STATE(269),
    [sym_try_statement] = STATE(269),
    [sym_throw_statement] = STATE(269),
    [sym_const_declaration] = STATE(269),
    [sym_enum_declaration] = STATE(269),
    [sym_expression] = STATE(253),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(269),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_foreach] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(61),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [67] = {
    [sym_block] = STATE(773),
    [sym_if_statement] = STATE(773),
    [sym_while_statement] = STATE(773),
    [sym_do_while_statement] = STATE(773),
    [sym_switch_statement] = STATE(773),
    [sym_for_statement] = STATE(773),
    [sym_foreach_statement] = STATE(773),
    [sym_break] = STATE(773),
    [sym_continue] = STATE(773),
    [sym_return] = STATE(773),
    [sym_yield] = STATE(773),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(773),
    [sym_function_declaration] = STATE(773),
    [sym_class_declaration] = STATE(773),
    [sym_try_statement] = STATE(773),
    [sym_throw_statement] = STATE(773),
    [sym_const_declaration] = STATE(773),
    [sym_enum_declaration] = STATE(773),
    [sym_expression] = STATE(771),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(773),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(743),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_foreach] = ACTIONS(101),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(123),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [68] = {
    [sym_block] = STATE(781),
    [sym_if_statement] = STATE(781),
    [sym_while_statement] = STATE(781),
    [sym_do_while_statement] = STATE(781),
    [sym_switch_statement] = STATE(781),
    [sym_for_statement] = STATE(781),
    [sym_foreach_statement] = STATE(781),
    [sym_break] = STATE(781),
    [sym_continue] = STATE(781),
    [sym_return] = STATE(781),
    [sym_yield] = STATE(781),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(781),
    [sym_function_declaration] = STATE(781),
    [sym_class_declaration] = STATE(781),
    [sym_try_statement] = STATE(781),
    [sym_throw_statement] = STATE(781),
    [sym_const_declaration] = STATE(781),
    [sym_enum_declaration] = STATE(781),
    [sym_expression] = STATE(780),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(781),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(745),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_foreach] = ACTIONS(101),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(123),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [69] = {
    [sym_block] = STATE(902),
    [sym_if_statement] = STATE(902),
    [sym_while_statement] = STATE(902),
    [sym_do_while_statement] = STATE(902),
    [sym_switch_statement] = STATE(902),
    [sym_for_statement] = STATE(902),
    [sym_foreach_statement] = STATE(902),
    [sym_break] = STATE(902),
    [sym_continue] = STATE(902),
    [sym_return] = STATE(902),
    [sym_yield] = STATE(902),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(902),
    [sym_function_declaration] = STATE(902),
    [sym_class_declaration] = STATE(902),
    [sym_try_statement] = STATE(902),
    [sym_throw_statement] = STATE(902),
    [sym_const_declaration] = STATE(902),
    [sym_enum_declaration] = STATE(902),
    [sym_expression] = STATE(842),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(902),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_foreach] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(169),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [70] = {
    [sym_block] = STATE(806),
    [sym_if_statement] = STATE(806),
    [sym_while_statement] = STATE(806),
    [sym_do_while_statement] = STATE(806),
    [sym_switch_statement] = STATE(806),
    [sym_for_statement] = STATE(806),
    [sym_foreach_statement] = STATE(806),
    [sym_break] = STATE(806),
    [sym_continue] = STATE(806),
    [sym_return] = STATE(806),
    [sym_yield] = STATE(806),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(806),
    [sym_function_declaration] = STATE(806),
    [sym_class_declaration] = STATE(806),
    [sym_try_statement] = STATE(806),
    [sym_throw_statement] = STATE(806),
    [sym_const_declaration] = STATE(806),
    [sym_enum_declaration] = STATE(806),
    [sym_expression] = STATE(805),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(806),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(749),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_foreach] = ACTIONS(101),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(123),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [71] = {
    [sym_block] = STATE(812),
    [sym_if_statement] = STATE(812),
    [sym_while_statement] = STATE(812),
    [sym_do_while_statement] = STATE(812),
    [sym_switch_statement] = STATE(812),
    [sym_for_statement] = STATE(812),
    [sym_foreach_statement] = STATE(812),
    [sym_break] = STATE(812),
    [sym_continue] = STATE(812),
    [sym_return] = STATE(812),
    [sym_yield] = STATE(812),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(812),
    [sym_function_declaration] = STATE(812),
    [sym_class_declaration] = STATE(812),
    [sym_try_statement] = STATE(812),
    [sym_throw_statement] = STATE(812),
    [sym_const_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_expression] = STATE(838),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(812),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_foreach] = ACTIONS(101),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(123),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [72] = {
    [sym_block] = STATE(1993),
    [sym_if_statement] = STATE(1993),
    [sym_while_statement] = STATE(1993),
    [sym_do_while_statement] = STATE(1993),
    [sym_switch_statement] = STATE(1993),
    [sym_for_statement] = STATE(1993),
    [sym_foreach_statement] = STATE(1993),
    [sym_break] = STATE(1993),
    [sym_continue] = STATE(1993),
    [sym_return] = STATE(1993),
    [sym_yield] = STATE(1993),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(1993),
    [sym_function_declaration] = STATE(1993),
    [sym_class_declaration] = STATE(1993),
    [sym_try_statement] = STATE(1993),
    [sym_throw_statement] = STATE(1993),
    [sym_const_declaration] = STATE(1993),
    [sym_enum_declaration] = STATE(1993),
    [sym_expression] = STATE(1338),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(1993),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(753),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(501),
    [anon_sym_while] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(505),
    [anon_sym_foreach] = ACTIONS(507),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(509),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [73] = {
    [sym_block] = STATE(821),
    [sym_if_statement] = STATE(821),
    [sym_while_statement] = STATE(821),
    [sym_do_while_statement] = STATE(821),
    [sym_switch_statement] = STATE(821),
    [sym_for_statement] = STATE(821),
    [sym_foreach_statement] = STATE(821),
    [sym_break] = STATE(821),
    [sym_continue] = STATE(821),
    [sym_return] = STATE(821),
    [sym_yield] = STATE(821),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(821),
    [sym_function_declaration] = STATE(821),
    [sym_class_declaration] = STATE(821),
    [sym_try_statement] = STATE(821),
    [sym_throw_statement] = STATE(821),
    [sym_const_declaration] = STATE(821),
    [sym_enum_declaration] = STATE(821),
    [sym_expression] = STATE(819),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(821),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(755),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_foreach] = ACTIONS(101),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(123),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [74] = {
    [sym_block] = STATE(827),
    [sym_if_statement] = STATE(827),
    [sym_while_statement] = STATE(827),
    [sym_do_while_statement] = STATE(827),
    [sym_switch_statement] = STATE(827),
    [sym_for_statement] = STATE(827),
    [sym_foreach_statement] = STATE(827),
    [sym_break] = STATE(827),
    [sym_continue] = STATE(827),
    [sym_return] = STATE(827),
    [sym_yield] = STATE(827),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(827),
    [sym_function_declaration] = STATE(827),
    [sym_class_declaration] = STATE(827),
    [sym_try_statement] = STATE(827),
    [sym_throw_statement] = STATE(827),
    [sym_const_declaration] = STATE(827),
    [sym_enum_declaration] = STATE(827),
    [sym_expression] = STATE(826),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(827),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_foreach] = ACTIONS(101),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(123),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [75] = {
    [sym_block] = STATE(830),
    [sym_if_statement] = STATE(830),
    [sym_while_statement] = STATE(830),
    [sym_do_while_statement] = STATE(830),
    [sym_switch_statement] = STATE(830),
    [sym_for_statement] = STATE(830),
    [sym_foreach_statement] = STATE(830),
    [sym_break] = STATE(830),
    [sym_continue] = STATE(830),
    [sym_return] = STATE(830),
    [sym_yield] = STATE(830),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(830),
    [sym_function_declaration] = STATE(830),
    [sym_class_declaration] = STATE(830),
    [sym_try_statement] = STATE(830),
    [sym_throw_statement] = STATE(830),
    [sym_const_declaration] = STATE(830),
    [sym_enum_declaration] = STATE(830),
    [sym_expression] = STATE(829),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(830),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(759),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_foreach] = ACTIONS(101),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(123),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [76] = {
    [sym_block] = STATE(845),
    [sym_if_statement] = STATE(845),
    [sym_while_statement] = STATE(845),
    [sym_do_while_statement] = STATE(845),
    [sym_switch_statement] = STATE(845),
    [sym_for_statement] = STATE(845),
    [sym_foreach_statement] = STATE(845),
    [sym_break] = STATE(845),
    [sym_continue] = STATE(845),
    [sym_return] = STATE(845),
    [sym_yield] = STATE(845),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(845),
    [sym_function_declaration] = STATE(845),
    [sym_class_declaration] = STATE(845),
    [sym_try_statement] = STATE(845),
    [sym_throw_statement] = STATE(845),
    [sym_const_declaration] = STATE(845),
    [sym_enum_declaration] = STATE(845),
    [sym_expression] = STATE(844),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(845),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(761),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_foreach] = ACTIONS(101),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(123),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [77] = {
    [sym_block] = STATE(1727),
    [sym_if_statement] = STATE(1727),
    [sym_while_statement] = STATE(1727),
    [sym_do_while_statement] = STATE(1727),
    [sym_switch_statement] = STATE(1727),
    [sym_for_statement] = STATE(1727),
    [sym_foreach_statement] = STATE(1727),
    [sym_break] = STATE(1727),
    [sym_continue] = STATE(1727),
    [sym_return] = STATE(1727),
    [sym_yield] = STATE(1727),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(1727),
    [sym_function_declaration] = STATE(1727),
    [sym_class_declaration] = STATE(1727),
    [sym_try_statement] = STATE(1727),
    [sym_throw_statement] = STATE(1727),
    [sym_const_declaration] = STATE(1727),
    [sym_enum_declaration] = STATE(1727),
    [sym_expression] = STATE(1334),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(1727),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(501),
    [anon_sym_while] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(505),
    [anon_sym_foreach] = ACTIONS(507),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(509),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [78] = {
    [sym_block] = STATE(1247),
    [sym_if_statement] = STATE(1247),
    [sym_while_statement] = STATE(1247),
    [sym_do_while_statement] = STATE(1247),
    [sym_switch_statement] = STATE(1247),
    [sym_for_statement] = STATE(1247),
    [sym_foreach_statement] = STATE(1247),
    [sym_break] = STATE(1247),
    [sym_continue] = STATE(1247),
    [sym_return] = STATE(1247),
    [sym_yield] = STATE(1247),
    [sym_resume_expression] = STATE(1302),
    [sym_local_declaration] = STATE(1247),
    [sym_function_declaration] = STATE(1247),
    [sym_class_declaration] = STATE(1247),
    [sym_try_statement] = STATE(1247),
    [sym_throw_statement] = STATE(1247),
    [sym_const_declaration] = STATE(1247),
    [sym_enum_declaration] = STATE(1247),
    [sym_expression] = STATE(1163),
    [sym_primary_expression] = STATE(1302),
    [sym_unary_expression] = STATE(1296),
    [sym_binary_expression] = STATE(1296),
    [sym_ternary_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(1302),
    [sym_update_expression] = STATE(1302),
    [sym_delete_expression] = STATE(1302),
    [sym_var_statement] = STATE(1247),
    [sym_deref_expression] = STATE(1296),
    [sym_index_expression] = STATE(1296),
    [sym_call_expression] = STATE(1296),
    [sym_anonymous_function] = STATE(1296),
    [sym_lambda_expression] = STATE(1296),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_clone_expression] = STATE(1302),
    [sym_array] = STATE(1302),
    [sym_global_variable] = STATE(1296),
    [sym_string] = STATE(1296),
    [sym_char] = STATE(1296),
    [sym_bool] = STATE(1296),
    [sym_identifier] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(283),
    [anon_sym_while] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(661),
    [anon_sym_do] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_for] = ACTIONS(293),
    [anon_sym_foreach] = ACTIONS(295),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(299),
    [anon_sym_return] = ACTIONS(301),
    [anon_sym_yield] = ACTIONS(303),
    [anon_sym_resume] = ACTIONS(305),
    [anon_sym_local] = ACTIONS(307),
    [anon_sym_function] = ACTIONS(309),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_LBRACK] = ACTIONS(665),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_const] = ACTIONS(321),
    [anon_sym_enum] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_typeof] = ACTIONS(325),
    [anon_sym_PLUS_PLUS] = ACTIONS(667),
    [anon_sym_DASH_DASH] = ACTIONS(667),
    [anon_sym_delete] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(329),
    [anon_sym_rawcall] = ACTIONS(331),
    [anon_sym_AT] = ACTIONS(669),
    [anon_sym_clone] = ACTIONS(335),
    [sym_integer] = ACTIONS(277),
    [sym_float] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(339),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(673),
    [anon_sym_true] = ACTIONS(343),
    [anon_sym_false] = ACTIONS(343),
    [sym_null] = ACTIONS(277),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(347),
  },
  [79] = {
    [sym_block] = STATE(646),
    [sym_if_statement] = STATE(646),
    [sym_while_statement] = STATE(646),
    [sym_do_while_statement] = STATE(646),
    [sym_switch_statement] = STATE(646),
    [sym_for_statement] = STATE(646),
    [sym_foreach_statement] = STATE(646),
    [sym_break] = STATE(646),
    [sym_continue] = STATE(646),
    [sym_return] = STATE(646),
    [sym_yield] = STATE(646),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(646),
    [sym_function_declaration] = STATE(646),
    [sym_class_declaration] = STATE(646),
    [sym_try_statement] = STATE(646),
    [sym_throw_statement] = STATE(646),
    [sym_const_declaration] = STATE(646),
    [sym_enum_declaration] = STATE(646),
    [sym_expression] = STATE(645),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(646),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_foreach] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(169),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [80] = {
    [sym_block] = STATE(898),
    [sym_if_statement] = STATE(898),
    [sym_while_statement] = STATE(898),
    [sym_do_while_statement] = STATE(898),
    [sym_switch_statement] = STATE(898),
    [sym_for_statement] = STATE(898),
    [sym_foreach_statement] = STATE(898),
    [sym_break] = STATE(898),
    [sym_continue] = STATE(898),
    [sym_return] = STATE(898),
    [sym_yield] = STATE(898),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(898),
    [sym_function_declaration] = STATE(898),
    [sym_class_declaration] = STATE(898),
    [sym_try_statement] = STATE(898),
    [sym_throw_statement] = STATE(898),
    [sym_const_declaration] = STATE(898),
    [sym_enum_declaration] = STATE(898),
    [sym_expression] = STATE(897),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(898),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_foreach] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(169),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [81] = {
    [sym_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_while_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_foreach_statement] = STATE(871),
    [sym_break] = STATE(871),
    [sym_continue] = STATE(871),
    [sym_return] = STATE(871),
    [sym_yield] = STATE(871),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(871),
    [sym_function_declaration] = STATE(871),
    [sym_class_declaration] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_const_declaration] = STATE(871),
    [sym_enum_declaration] = STATE(871),
    [sym_expression] = STATE(870),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(871),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_foreach] = ACTIONS(101),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(123),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [82] = {
    [sym_block] = STATE(934),
    [sym_if_statement] = STATE(934),
    [sym_while_statement] = STATE(934),
    [sym_do_while_statement] = STATE(934),
    [sym_switch_statement] = STATE(934),
    [sym_for_statement] = STATE(934),
    [sym_foreach_statement] = STATE(934),
    [sym_break] = STATE(934),
    [sym_continue] = STATE(934),
    [sym_return] = STATE(934),
    [sym_yield] = STATE(934),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(934),
    [sym_function_declaration] = STATE(934),
    [sym_class_declaration] = STATE(934),
    [sym_try_statement] = STATE(934),
    [sym_throw_statement] = STATE(934),
    [sym_const_declaration] = STATE(934),
    [sym_enum_declaration] = STATE(934),
    [sym_expression] = STATE(556),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(934),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(773),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_foreach] = ACTIONS(101),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(123),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [83] = {
    [sym_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_while_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_foreach_statement] = STATE(871),
    [sym_break] = STATE(871),
    [sym_continue] = STATE(871),
    [sym_return] = STATE(871),
    [sym_yield] = STATE(871),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(871),
    [sym_function_declaration] = STATE(871),
    [sym_class_declaration] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_const_declaration] = STATE(871),
    [sym_enum_declaration] = STATE(871),
    [sym_expression] = STATE(870),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(871),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_foreach] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(169),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [84] = {
    [sym_block] = STATE(1023),
    [sym_if_statement] = STATE(1023),
    [sym_while_statement] = STATE(1023),
    [sym_do_while_statement] = STATE(1023),
    [sym_switch_statement] = STATE(1023),
    [sym_for_statement] = STATE(1023),
    [sym_foreach_statement] = STATE(1023),
    [sym_break] = STATE(1023),
    [sym_continue] = STATE(1023),
    [sym_return] = STATE(1023),
    [sym_yield] = STATE(1023),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(1023),
    [sym_function_declaration] = STATE(1023),
    [sym_class_declaration] = STATE(1023),
    [sym_try_statement] = STATE(1023),
    [sym_throw_statement] = STATE(1023),
    [sym_const_declaration] = STATE(1023),
    [sym_enum_declaration] = STATE(1023),
    [sym_expression] = STATE(1024),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(1023),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_while] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(187),
    [anon_sym_foreach] = ACTIONS(189),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_function] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(225),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [85] = {
    [sym_block] = STATE(863),
    [sym_if_statement] = STATE(863),
    [sym_while_statement] = STATE(863),
    [sym_do_while_statement] = STATE(863),
    [sym_switch_statement] = STATE(863),
    [sym_for_statement] = STATE(863),
    [sym_foreach_statement] = STATE(863),
    [sym_break] = STATE(863),
    [sym_continue] = STATE(863),
    [sym_return] = STATE(863),
    [sym_yield] = STATE(863),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(863),
    [sym_function_declaration] = STATE(863),
    [sym_class_declaration] = STATE(863),
    [sym_try_statement] = STATE(863),
    [sym_throw_statement] = STATE(863),
    [sym_const_declaration] = STATE(863),
    [sym_enum_declaration] = STATE(863),
    [sym_expression] = STATE(862),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(863),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_foreach] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(169),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [86] = {
    [sym_block] = STATE(845),
    [sym_if_statement] = STATE(845),
    [sym_while_statement] = STATE(845),
    [sym_do_while_statement] = STATE(845),
    [sym_switch_statement] = STATE(845),
    [sym_for_statement] = STATE(845),
    [sym_foreach_statement] = STATE(845),
    [sym_break] = STATE(845),
    [sym_continue] = STATE(845),
    [sym_return] = STATE(845),
    [sym_yield] = STATE(845),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(845),
    [sym_function_declaration] = STATE(845),
    [sym_class_declaration] = STATE(845),
    [sym_try_statement] = STATE(845),
    [sym_throw_statement] = STATE(845),
    [sym_const_declaration] = STATE(845),
    [sym_enum_declaration] = STATE(845),
    [sym_expression] = STATE(844),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(845),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(761),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_foreach] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(169),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [87] = {
    [sym_block] = STATE(830),
    [sym_if_statement] = STATE(830),
    [sym_while_statement] = STATE(830),
    [sym_do_while_statement] = STATE(830),
    [sym_switch_statement] = STATE(830),
    [sym_for_statement] = STATE(830),
    [sym_foreach_statement] = STATE(830),
    [sym_break] = STATE(830),
    [sym_continue] = STATE(830),
    [sym_return] = STATE(830),
    [sym_yield] = STATE(830),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(830),
    [sym_function_declaration] = STATE(830),
    [sym_class_declaration] = STATE(830),
    [sym_try_statement] = STATE(830),
    [sym_throw_statement] = STATE(830),
    [sym_const_declaration] = STATE(830),
    [sym_enum_declaration] = STATE(830),
    [sym_expression] = STATE(829),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(830),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(759),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_foreach] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(169),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [88] = {
    [sym_block] = STATE(827),
    [sym_if_statement] = STATE(827),
    [sym_while_statement] = STATE(827),
    [sym_do_while_statement] = STATE(827),
    [sym_switch_statement] = STATE(827),
    [sym_for_statement] = STATE(827),
    [sym_foreach_statement] = STATE(827),
    [sym_break] = STATE(827),
    [sym_continue] = STATE(827),
    [sym_return] = STATE(827),
    [sym_yield] = STATE(827),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(827),
    [sym_function_declaration] = STATE(827),
    [sym_class_declaration] = STATE(827),
    [sym_try_statement] = STATE(827),
    [sym_throw_statement] = STATE(827),
    [sym_const_declaration] = STATE(827),
    [sym_enum_declaration] = STATE(827),
    [sym_expression] = STATE(826),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(827),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_foreach] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(169),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [89] = {
    [sym_block] = STATE(821),
    [sym_if_statement] = STATE(821),
    [sym_while_statement] = STATE(821),
    [sym_do_while_statement] = STATE(821),
    [sym_switch_statement] = STATE(821),
    [sym_for_statement] = STATE(821),
    [sym_foreach_statement] = STATE(821),
    [sym_break] = STATE(821),
    [sym_continue] = STATE(821),
    [sym_return] = STATE(821),
    [sym_yield] = STATE(821),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(821),
    [sym_function_declaration] = STATE(821),
    [sym_class_declaration] = STATE(821),
    [sym_try_statement] = STATE(821),
    [sym_throw_statement] = STATE(821),
    [sym_const_declaration] = STATE(821),
    [sym_enum_declaration] = STATE(821),
    [sym_expression] = STATE(819),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(821),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(755),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_foreach] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(169),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [90] = {
    [sym_block] = STATE(812),
    [sym_if_statement] = STATE(812),
    [sym_while_statement] = STATE(812),
    [sym_do_while_statement] = STATE(812),
    [sym_switch_statement] = STATE(812),
    [sym_for_statement] = STATE(812),
    [sym_foreach_statement] = STATE(812),
    [sym_break] = STATE(812),
    [sym_continue] = STATE(812),
    [sym_return] = STATE(812),
    [sym_yield] = STATE(812),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(812),
    [sym_function_declaration] = STATE(812),
    [sym_class_declaration] = STATE(812),
    [sym_try_statement] = STATE(812),
    [sym_throw_statement] = STATE(812),
    [sym_const_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_expression] = STATE(838),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(812),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_foreach] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(169),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [91] = {
    [sym_block] = STATE(898),
    [sym_if_statement] = STATE(898),
    [sym_while_statement] = STATE(898),
    [sym_do_while_statement] = STATE(898),
    [sym_switch_statement] = STATE(898),
    [sym_for_statement] = STATE(898),
    [sym_foreach_statement] = STATE(898),
    [sym_break] = STATE(898),
    [sym_continue] = STATE(898),
    [sym_return] = STATE(898),
    [sym_yield] = STATE(898),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(898),
    [sym_function_declaration] = STATE(898),
    [sym_class_declaration] = STATE(898),
    [sym_try_statement] = STATE(898),
    [sym_throw_statement] = STATE(898),
    [sym_const_declaration] = STATE(898),
    [sym_enum_declaration] = STATE(898),
    [sym_expression] = STATE(897),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(898),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_foreach] = ACTIONS(101),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(123),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [92] = {
    [sym_block] = STATE(806),
    [sym_if_statement] = STATE(806),
    [sym_while_statement] = STATE(806),
    [sym_do_while_statement] = STATE(806),
    [sym_switch_statement] = STATE(806),
    [sym_for_statement] = STATE(806),
    [sym_foreach_statement] = STATE(806),
    [sym_break] = STATE(806),
    [sym_continue] = STATE(806),
    [sym_return] = STATE(806),
    [sym_yield] = STATE(806),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(806),
    [sym_function_declaration] = STATE(806),
    [sym_class_declaration] = STATE(806),
    [sym_try_statement] = STATE(806),
    [sym_throw_statement] = STATE(806),
    [sym_const_declaration] = STATE(806),
    [sym_enum_declaration] = STATE(806),
    [sym_expression] = STATE(805),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(806),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(749),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_foreach] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(169),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [93] = {
    [sym_block] = STATE(781),
    [sym_if_statement] = STATE(781),
    [sym_while_statement] = STATE(781),
    [sym_do_while_statement] = STATE(781),
    [sym_switch_statement] = STATE(781),
    [sym_for_statement] = STATE(781),
    [sym_foreach_statement] = STATE(781),
    [sym_break] = STATE(781),
    [sym_continue] = STATE(781),
    [sym_return] = STATE(781),
    [sym_yield] = STATE(781),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(781),
    [sym_function_declaration] = STATE(781),
    [sym_class_declaration] = STATE(781),
    [sym_try_statement] = STATE(781),
    [sym_throw_statement] = STATE(781),
    [sym_const_declaration] = STATE(781),
    [sym_enum_declaration] = STATE(781),
    [sym_expression] = STATE(780),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(781),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(745),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_foreach] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(169),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [94] = {
    [sym_block] = STATE(773),
    [sym_if_statement] = STATE(773),
    [sym_while_statement] = STATE(773),
    [sym_do_while_statement] = STATE(773),
    [sym_switch_statement] = STATE(773),
    [sym_for_statement] = STATE(773),
    [sym_foreach_statement] = STATE(773),
    [sym_break] = STATE(773),
    [sym_continue] = STATE(773),
    [sym_return] = STATE(773),
    [sym_yield] = STATE(773),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(773),
    [sym_function_declaration] = STATE(773),
    [sym_class_declaration] = STATE(773),
    [sym_try_statement] = STATE(773),
    [sym_throw_statement] = STATE(773),
    [sym_const_declaration] = STATE(773),
    [sym_enum_declaration] = STATE(773),
    [sym_expression] = STATE(771),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(773),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(743),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_foreach] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(169),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [95] = {
    [sym_block] = STATE(769),
    [sym_if_statement] = STATE(769),
    [sym_while_statement] = STATE(769),
    [sym_do_while_statement] = STATE(769),
    [sym_switch_statement] = STATE(769),
    [sym_for_statement] = STATE(769),
    [sym_foreach_statement] = STATE(769),
    [sym_break] = STATE(769),
    [sym_continue] = STATE(769),
    [sym_return] = STATE(769),
    [sym_yield] = STATE(769),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(769),
    [sym_function_declaration] = STATE(769),
    [sym_class_declaration] = STATE(769),
    [sym_try_statement] = STATE(769),
    [sym_throw_statement] = STATE(769),
    [sym_const_declaration] = STATE(769),
    [sym_enum_declaration] = STATE(769),
    [sym_expression] = STATE(840),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(769),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_foreach] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(169),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [96] = {
    [sym_block] = STATE(1281),
    [sym_if_statement] = STATE(1281),
    [sym_while_statement] = STATE(1281),
    [sym_do_while_statement] = STATE(1281),
    [sym_switch_statement] = STATE(1281),
    [sym_for_statement] = STATE(1281),
    [sym_foreach_statement] = STATE(1281),
    [sym_break] = STATE(1281),
    [sym_continue] = STATE(1281),
    [sym_return] = STATE(1281),
    [sym_yield] = STATE(1281),
    [sym_resume_expression] = STATE(1302),
    [sym_local_declaration] = STATE(1281),
    [sym_function_declaration] = STATE(1281),
    [sym_class_declaration] = STATE(1281),
    [sym_try_statement] = STATE(1281),
    [sym_throw_statement] = STATE(1281),
    [sym_const_declaration] = STATE(1281),
    [sym_enum_declaration] = STATE(1281),
    [sym_expression] = STATE(1280),
    [sym_primary_expression] = STATE(1302),
    [sym_unary_expression] = STATE(1296),
    [sym_binary_expression] = STATE(1296),
    [sym_ternary_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(1302),
    [sym_update_expression] = STATE(1302),
    [sym_delete_expression] = STATE(1302),
    [sym_var_statement] = STATE(1281),
    [sym_deref_expression] = STATE(1296),
    [sym_index_expression] = STATE(1296),
    [sym_call_expression] = STATE(1296),
    [sym_anonymous_function] = STATE(1296),
    [sym_lambda_expression] = STATE(1296),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_clone_expression] = STATE(1302),
    [sym_array] = STATE(1302),
    [sym_global_variable] = STATE(1296),
    [sym_string] = STATE(1296),
    [sym_char] = STATE(1296),
    [sym_bool] = STATE(1296),
    [sym_identifier] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(779),
    [anon_sym_LBRACE] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(283),
    [anon_sym_while] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(661),
    [anon_sym_do] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_for] = ACTIONS(293),
    [anon_sym_foreach] = ACTIONS(295),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(299),
    [anon_sym_return] = ACTIONS(301),
    [anon_sym_yield] = ACTIONS(303),
    [anon_sym_resume] = ACTIONS(305),
    [anon_sym_local] = ACTIONS(307),
    [anon_sym_function] = ACTIONS(309),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_LBRACK] = ACTIONS(665),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_const] = ACTIONS(321),
    [anon_sym_enum] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_typeof] = ACTIONS(325),
    [anon_sym_PLUS_PLUS] = ACTIONS(667),
    [anon_sym_DASH_DASH] = ACTIONS(667),
    [anon_sym_delete] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(329),
    [anon_sym_rawcall] = ACTIONS(331),
    [anon_sym_AT] = ACTIONS(669),
    [anon_sym_clone] = ACTIONS(335),
    [sym_integer] = ACTIONS(277),
    [sym_float] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(339),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(673),
    [anon_sym_true] = ACTIONS(343),
    [anon_sym_false] = ACTIONS(343),
    [sym_null] = ACTIONS(277),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(347),
  },
  [97] = {
    [sym_block] = STATE(755),
    [sym_if_statement] = STATE(755),
    [sym_while_statement] = STATE(755),
    [sym_do_while_statement] = STATE(755),
    [sym_switch_statement] = STATE(755),
    [sym_for_statement] = STATE(755),
    [sym_foreach_statement] = STATE(755),
    [sym_break] = STATE(755),
    [sym_continue] = STATE(755),
    [sym_return] = STATE(755),
    [sym_yield] = STATE(755),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(755),
    [sym_function_declaration] = STATE(755),
    [sym_class_declaration] = STATE(755),
    [sym_try_statement] = STATE(755),
    [sym_throw_statement] = STATE(755),
    [sym_const_declaration] = STATE(755),
    [sym_enum_declaration] = STATE(755),
    [sym_expression] = STATE(754),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(755),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_foreach] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(169),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [98] = {
    [sym_block] = STATE(752),
    [sym_if_statement] = STATE(752),
    [sym_while_statement] = STATE(752),
    [sym_do_while_statement] = STATE(752),
    [sym_switch_statement] = STATE(752),
    [sym_for_statement] = STATE(752),
    [sym_foreach_statement] = STATE(752),
    [sym_break] = STATE(752),
    [sym_continue] = STATE(752),
    [sym_return] = STATE(752),
    [sym_yield] = STATE(752),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(752),
    [sym_function_declaration] = STATE(752),
    [sym_class_declaration] = STATE(752),
    [sym_try_statement] = STATE(752),
    [sym_throw_statement] = STATE(752),
    [sym_const_declaration] = STATE(752),
    [sym_enum_declaration] = STATE(752),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(752),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_foreach] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(163),
    [anon_sym_function] = ACTIONS(165),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(167),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(169),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [99] = {
    [sym_block] = STATE(681),
    [sym_if_statement] = STATE(681),
    [sym_while_statement] = STATE(681),
    [sym_do_while_statement] = STATE(681),
    [sym_switch_statement] = STATE(681),
    [sym_for_statement] = STATE(681),
    [sym_foreach_statement] = STATE(681),
    [sym_break] = STATE(681),
    [sym_continue] = STATE(681),
    [sym_return] = STATE(681),
    [sym_yield] = STATE(681),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(681),
    [sym_function_declaration] = STATE(681),
    [sym_class_declaration] = STATE(681),
    [sym_try_statement] = STATE(681),
    [sym_throw_statement] = STATE(681),
    [sym_const_declaration] = STATE(681),
    [sym_enum_declaration] = STATE(681),
    [sym_expression] = STATE(1107),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(681),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(783),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_while] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(249),
    [anon_sym_foreach] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(257),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(259),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [100] = {
    [sym_block] = STATE(362),
    [sym_if_statement] = STATE(362),
    [sym_while_statement] = STATE(362),
    [sym_do_while_statement] = STATE(362),
    [sym_switch_statement] = STATE(362),
    [sym_for_statement] = STATE(362),
    [sym_foreach_statement] = STATE(362),
    [sym_break] = STATE(362),
    [sym_continue] = STATE(362),
    [sym_return] = STATE(362),
    [sym_yield] = STATE(362),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(362),
    [sym_function_declaration] = STATE(362),
    [sym_class_declaration] = STATE(362),
    [sym_try_statement] = STATE(362),
    [sym_throw_statement] = STATE(362),
    [sym_const_declaration] = STATE(362),
    [sym_enum_declaration] = STATE(362),
    [sym_expression] = STATE(356),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(362),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(785),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_foreach] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(61),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [101] = {
    [sym_block] = STATE(655),
    [sym_if_statement] = STATE(655),
    [sym_while_statement] = STATE(655),
    [sym_do_while_statement] = STATE(655),
    [sym_switch_statement] = STATE(655),
    [sym_for_statement] = STATE(655),
    [sym_foreach_statement] = STATE(655),
    [sym_break] = STATE(655),
    [sym_continue] = STATE(655),
    [sym_return] = STATE(655),
    [sym_yield] = STATE(655),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(655),
    [sym_function_declaration] = STATE(655),
    [sym_class_declaration] = STATE(655),
    [sym_try_statement] = STATE(655),
    [sym_throw_statement] = STATE(655),
    [sym_const_declaration] = STATE(655),
    [sym_enum_declaration] = STATE(655),
    [sym_expression] = STATE(1010),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(655),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(787),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_while] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(187),
    [anon_sym_foreach] = ACTIONS(189),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_function] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(225),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [102] = {
    [sym_block] = STATE(681),
    [sym_if_statement] = STATE(681),
    [sym_while_statement] = STATE(681),
    [sym_do_while_statement] = STATE(681),
    [sym_switch_statement] = STATE(681),
    [sym_for_statement] = STATE(681),
    [sym_foreach_statement] = STATE(681),
    [sym_break] = STATE(681),
    [sym_continue] = STATE(681),
    [sym_return] = STATE(681),
    [sym_yield] = STATE(681),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(681),
    [sym_function_declaration] = STATE(681),
    [sym_class_declaration] = STATE(681),
    [sym_try_statement] = STATE(681),
    [sym_throw_statement] = STATE(681),
    [sym_const_declaration] = STATE(681),
    [sym_enum_declaration] = STATE(681),
    [sym_expression] = STATE(1107),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(681),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(783),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_while] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(187),
    [anon_sym_foreach] = ACTIONS(189),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_function] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(225),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [103] = {
    [sym_block] = STATE(855),
    [sym_if_statement] = STATE(855),
    [sym_while_statement] = STATE(855),
    [sym_do_while_statement] = STATE(855),
    [sym_switch_statement] = STATE(855),
    [sym_for_statement] = STATE(855),
    [sym_foreach_statement] = STATE(855),
    [sym_break] = STATE(855),
    [sym_continue] = STATE(855),
    [sym_return] = STATE(855),
    [sym_yield] = STATE(855),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(855),
    [sym_function_declaration] = STATE(855),
    [sym_class_declaration] = STATE(855),
    [sym_try_statement] = STATE(855),
    [sym_throw_statement] = STATE(855),
    [sym_const_declaration] = STATE(855),
    [sym_enum_declaration] = STATE(855),
    [sym_expression] = STATE(856),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(855),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(789),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_while] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(187),
    [anon_sym_foreach] = ACTIONS(189),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_function] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(225),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [104] = {
    [sym_block] = STATE(1023),
    [sym_if_statement] = STATE(1023),
    [sym_while_statement] = STATE(1023),
    [sym_do_while_statement] = STATE(1023),
    [sym_switch_statement] = STATE(1023),
    [sym_for_statement] = STATE(1023),
    [sym_foreach_statement] = STATE(1023),
    [sym_break] = STATE(1023),
    [sym_continue] = STATE(1023),
    [sym_return] = STATE(1023),
    [sym_yield] = STATE(1023),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(1023),
    [sym_function_declaration] = STATE(1023),
    [sym_class_declaration] = STATE(1023),
    [sym_try_statement] = STATE(1023),
    [sym_throw_statement] = STATE(1023),
    [sym_const_declaration] = STATE(1023),
    [sym_enum_declaration] = STATE(1023),
    [sym_expression] = STATE(1024),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(1023),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(775),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_while] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(249),
    [anon_sym_foreach] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(257),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(259),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [105] = {
    [sym_block] = STATE(1048),
    [sym_if_statement] = STATE(1048),
    [sym_while_statement] = STATE(1048),
    [sym_do_while_statement] = STATE(1048),
    [sym_switch_statement] = STATE(1048),
    [sym_for_statement] = STATE(1048),
    [sym_foreach_statement] = STATE(1048),
    [sym_break] = STATE(1048),
    [sym_continue] = STATE(1048),
    [sym_return] = STATE(1048),
    [sym_yield] = STATE(1048),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(1048),
    [sym_function_declaration] = STATE(1048),
    [sym_class_declaration] = STATE(1048),
    [sym_try_statement] = STATE(1048),
    [sym_throw_statement] = STATE(1048),
    [sym_const_declaration] = STATE(1048),
    [sym_enum_declaration] = STATE(1048),
    [sym_expression] = STATE(1049),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(1048),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(791),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_while] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(187),
    [anon_sym_foreach] = ACTIONS(189),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_function] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(225),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [106] = {
    [sym_block] = STATE(1160),
    [sym_if_statement] = STATE(1160),
    [sym_while_statement] = STATE(1160),
    [sym_do_while_statement] = STATE(1160),
    [sym_switch_statement] = STATE(1160),
    [sym_for_statement] = STATE(1160),
    [sym_foreach_statement] = STATE(1160),
    [sym_break] = STATE(1160),
    [sym_continue] = STATE(1160),
    [sym_return] = STATE(1160),
    [sym_yield] = STATE(1160),
    [sym_resume_expression] = STATE(1302),
    [sym_local_declaration] = STATE(1160),
    [sym_function_declaration] = STATE(1160),
    [sym_class_declaration] = STATE(1160),
    [sym_try_statement] = STATE(1160),
    [sym_throw_statement] = STATE(1160),
    [sym_const_declaration] = STATE(1160),
    [sym_enum_declaration] = STATE(1160),
    [sym_expression] = STATE(1159),
    [sym_primary_expression] = STATE(1302),
    [sym_unary_expression] = STATE(1296),
    [sym_binary_expression] = STATE(1296),
    [sym_ternary_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(1302),
    [sym_update_expression] = STATE(1302),
    [sym_delete_expression] = STATE(1302),
    [sym_var_statement] = STATE(1160),
    [sym_deref_expression] = STATE(1296),
    [sym_index_expression] = STATE(1296),
    [sym_call_expression] = STATE(1296),
    [sym_anonymous_function] = STATE(1296),
    [sym_lambda_expression] = STATE(1296),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_clone_expression] = STATE(1302),
    [sym_array] = STATE(1302),
    [sym_global_variable] = STATE(1296),
    [sym_string] = STATE(1296),
    [sym_char] = STATE(1296),
    [sym_bool] = STATE(1296),
    [sym_identifier] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(793),
    [anon_sym_LBRACE] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(283),
    [anon_sym_while] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(661),
    [anon_sym_do] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_for] = ACTIONS(293),
    [anon_sym_foreach] = ACTIONS(295),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(299),
    [anon_sym_return] = ACTIONS(301),
    [anon_sym_yield] = ACTIONS(303),
    [anon_sym_resume] = ACTIONS(305),
    [anon_sym_local] = ACTIONS(307),
    [anon_sym_function] = ACTIONS(309),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_LBRACK] = ACTIONS(665),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_const] = ACTIONS(321),
    [anon_sym_enum] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_typeof] = ACTIONS(325),
    [anon_sym_PLUS_PLUS] = ACTIONS(667),
    [anon_sym_DASH_DASH] = ACTIONS(667),
    [anon_sym_delete] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(329),
    [anon_sym_rawcall] = ACTIONS(331),
    [anon_sym_AT] = ACTIONS(669),
    [anon_sym_clone] = ACTIONS(335),
    [sym_integer] = ACTIONS(277),
    [sym_float] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(339),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(673),
    [anon_sym_true] = ACTIONS(343),
    [anon_sym_false] = ACTIONS(343),
    [sym_null] = ACTIONS(277),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(347),
  },
  [107] = {
    [sym_block] = STATE(1181),
    [sym_if_statement] = STATE(1181),
    [sym_while_statement] = STATE(1181),
    [sym_do_while_statement] = STATE(1181),
    [sym_switch_statement] = STATE(1181),
    [sym_for_statement] = STATE(1181),
    [sym_foreach_statement] = STATE(1181),
    [sym_break] = STATE(1181),
    [sym_continue] = STATE(1181),
    [sym_return] = STATE(1181),
    [sym_yield] = STATE(1181),
    [sym_resume_expression] = STATE(1302),
    [sym_local_declaration] = STATE(1181),
    [sym_function_declaration] = STATE(1181),
    [sym_class_declaration] = STATE(1181),
    [sym_try_statement] = STATE(1181),
    [sym_throw_statement] = STATE(1181),
    [sym_const_declaration] = STATE(1181),
    [sym_enum_declaration] = STATE(1181),
    [sym_expression] = STATE(1242),
    [sym_primary_expression] = STATE(1302),
    [sym_unary_expression] = STATE(1296),
    [sym_binary_expression] = STATE(1296),
    [sym_ternary_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(1302),
    [sym_update_expression] = STATE(1302),
    [sym_delete_expression] = STATE(1302),
    [sym_var_statement] = STATE(1181),
    [sym_deref_expression] = STATE(1296),
    [sym_index_expression] = STATE(1296),
    [sym_call_expression] = STATE(1296),
    [sym_anonymous_function] = STATE(1296),
    [sym_lambda_expression] = STATE(1296),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_clone_expression] = STATE(1302),
    [sym_array] = STATE(1302),
    [sym_global_variable] = STATE(1296),
    [sym_string] = STATE(1296),
    [sym_char] = STATE(1296),
    [sym_bool] = STATE(1296),
    [sym_identifier] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(795),
    [anon_sym_LBRACE] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(283),
    [anon_sym_while] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(661),
    [anon_sym_do] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_for] = ACTIONS(293),
    [anon_sym_foreach] = ACTIONS(295),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(299),
    [anon_sym_return] = ACTIONS(301),
    [anon_sym_yield] = ACTIONS(303),
    [anon_sym_resume] = ACTIONS(305),
    [anon_sym_local] = ACTIONS(307),
    [anon_sym_function] = ACTIONS(309),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_LBRACK] = ACTIONS(665),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_const] = ACTIONS(321),
    [anon_sym_enum] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_typeof] = ACTIONS(325),
    [anon_sym_PLUS_PLUS] = ACTIONS(667),
    [anon_sym_DASH_DASH] = ACTIONS(667),
    [anon_sym_delete] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(329),
    [anon_sym_rawcall] = ACTIONS(331),
    [anon_sym_AT] = ACTIONS(669),
    [anon_sym_clone] = ACTIONS(335),
    [sym_integer] = ACTIONS(277),
    [sym_float] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(339),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(673),
    [anon_sym_true] = ACTIONS(343),
    [anon_sym_false] = ACTIONS(343),
    [sym_null] = ACTIONS(277),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(347),
  },
  [108] = {
    [sym_block] = STATE(1058),
    [sym_if_statement] = STATE(1058),
    [sym_while_statement] = STATE(1058),
    [sym_do_while_statement] = STATE(1058),
    [sym_switch_statement] = STATE(1058),
    [sym_for_statement] = STATE(1058),
    [sym_foreach_statement] = STATE(1058),
    [sym_break] = STATE(1058),
    [sym_continue] = STATE(1058),
    [sym_return] = STATE(1058),
    [sym_yield] = STATE(1058),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(1058),
    [sym_function_declaration] = STATE(1058),
    [sym_class_declaration] = STATE(1058),
    [sym_try_statement] = STATE(1058),
    [sym_throw_statement] = STATE(1058),
    [sym_const_declaration] = STATE(1058),
    [sym_enum_declaration] = STATE(1058),
    [sym_expression] = STATE(1059),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(1058),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_while] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(249),
    [anon_sym_foreach] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(257),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(259),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [109] = {
    [sym_block] = STATE(1076),
    [sym_if_statement] = STATE(1076),
    [sym_while_statement] = STATE(1076),
    [sym_do_while_statement] = STATE(1076),
    [sym_switch_statement] = STATE(1076),
    [sym_for_statement] = STATE(1076),
    [sym_foreach_statement] = STATE(1076),
    [sym_break] = STATE(1076),
    [sym_continue] = STATE(1076),
    [sym_return] = STATE(1076),
    [sym_yield] = STATE(1076),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(1076),
    [sym_function_declaration] = STATE(1076),
    [sym_class_declaration] = STATE(1076),
    [sym_try_statement] = STATE(1076),
    [sym_throw_statement] = STATE(1076),
    [sym_const_declaration] = STATE(1076),
    [sym_enum_declaration] = STATE(1076),
    [sym_expression] = STATE(1077),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(1076),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_while] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(187),
    [anon_sym_foreach] = ACTIONS(189),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_function] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(225),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [110] = {
    [sym_block] = STATE(346),
    [sym_if_statement] = STATE(346),
    [sym_while_statement] = STATE(346),
    [sym_do_while_statement] = STATE(346),
    [sym_switch_statement] = STATE(346),
    [sym_for_statement] = STATE(346),
    [sym_foreach_statement] = STATE(346),
    [sym_break] = STATE(346),
    [sym_continue] = STATE(346),
    [sym_return] = STATE(346),
    [sym_yield] = STATE(346),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(346),
    [sym_function_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_try_statement] = STATE(346),
    [sym_throw_statement] = STATE(346),
    [sym_const_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_expression] = STATE(347),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(346),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(801),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_foreach] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(61),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [111] = {
    [sym_block] = STATE(1097),
    [sym_if_statement] = STATE(1097),
    [sym_while_statement] = STATE(1097),
    [sym_do_while_statement] = STATE(1097),
    [sym_switch_statement] = STATE(1097),
    [sym_for_statement] = STATE(1097),
    [sym_foreach_statement] = STATE(1097),
    [sym_break] = STATE(1097),
    [sym_continue] = STATE(1097),
    [sym_return] = STATE(1097),
    [sym_yield] = STATE(1097),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(1097),
    [sym_function_declaration] = STATE(1097),
    [sym_class_declaration] = STATE(1097),
    [sym_try_statement] = STATE(1097),
    [sym_throw_statement] = STATE(1097),
    [sym_const_declaration] = STATE(1097),
    [sym_enum_declaration] = STATE(1097),
    [sym_expression] = STATE(1098),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(1097),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(675),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_while] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(187),
    [anon_sym_foreach] = ACTIONS(189),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_function] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(225),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [112] = {
    [sym_block] = STATE(1184),
    [sym_if_statement] = STATE(1184),
    [sym_while_statement] = STATE(1184),
    [sym_do_while_statement] = STATE(1184),
    [sym_switch_statement] = STATE(1184),
    [sym_for_statement] = STATE(1184),
    [sym_foreach_statement] = STATE(1184),
    [sym_break] = STATE(1184),
    [sym_continue] = STATE(1184),
    [sym_return] = STATE(1184),
    [sym_yield] = STATE(1184),
    [sym_resume_expression] = STATE(1302),
    [sym_local_declaration] = STATE(1184),
    [sym_function_declaration] = STATE(1184),
    [sym_class_declaration] = STATE(1184),
    [sym_try_statement] = STATE(1184),
    [sym_throw_statement] = STATE(1184),
    [sym_const_declaration] = STATE(1184),
    [sym_enum_declaration] = STATE(1184),
    [sym_expression] = STATE(1183),
    [sym_primary_expression] = STATE(1302),
    [sym_unary_expression] = STATE(1296),
    [sym_binary_expression] = STATE(1296),
    [sym_ternary_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(1302),
    [sym_update_expression] = STATE(1302),
    [sym_delete_expression] = STATE(1302),
    [sym_var_statement] = STATE(1184),
    [sym_deref_expression] = STATE(1296),
    [sym_index_expression] = STATE(1296),
    [sym_call_expression] = STATE(1296),
    [sym_anonymous_function] = STATE(1296),
    [sym_lambda_expression] = STATE(1296),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_clone_expression] = STATE(1302),
    [sym_array] = STATE(1302),
    [sym_global_variable] = STATE(1296),
    [sym_string] = STATE(1296),
    [sym_char] = STATE(1296),
    [sym_bool] = STATE(1296),
    [sym_identifier] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(283),
    [anon_sym_while] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(661),
    [anon_sym_do] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_for] = ACTIONS(293),
    [anon_sym_foreach] = ACTIONS(295),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(299),
    [anon_sym_return] = ACTIONS(301),
    [anon_sym_yield] = ACTIONS(303),
    [anon_sym_resume] = ACTIONS(305),
    [anon_sym_local] = ACTIONS(307),
    [anon_sym_function] = ACTIONS(309),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_LBRACK] = ACTIONS(665),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_const] = ACTIONS(321),
    [anon_sym_enum] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_typeof] = ACTIONS(325),
    [anon_sym_PLUS_PLUS] = ACTIONS(667),
    [anon_sym_DASH_DASH] = ACTIONS(667),
    [anon_sym_delete] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(329),
    [anon_sym_rawcall] = ACTIONS(331),
    [anon_sym_AT] = ACTIONS(669),
    [anon_sym_clone] = ACTIONS(335),
    [sym_integer] = ACTIONS(277),
    [sym_float] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(339),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(673),
    [anon_sym_true] = ACTIONS(343),
    [anon_sym_false] = ACTIONS(343),
    [sym_null] = ACTIONS(277),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(347),
  },
  [113] = {
    [sym_block] = STATE(230),
    [sym_if_statement] = STATE(230),
    [sym_while_statement] = STATE(230),
    [sym_do_while_statement] = STATE(230),
    [sym_switch_statement] = STATE(230),
    [sym_for_statement] = STATE(230),
    [sym_foreach_statement] = STATE(230),
    [sym_break] = STATE(230),
    [sym_continue] = STATE(230),
    [sym_return] = STATE(230),
    [sym_yield] = STATE(230),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(230),
    [sym_function_declaration] = STATE(230),
    [sym_class_declaration] = STATE(230),
    [sym_try_statement] = STATE(230),
    [sym_throw_statement] = STATE(230),
    [sym_const_declaration] = STATE(230),
    [sym_enum_declaration] = STATE(230),
    [sym_expression] = STATE(228),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(230),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_foreach] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(61),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [114] = {
    [sym_block] = STATE(1187),
    [sym_if_statement] = STATE(1187),
    [sym_while_statement] = STATE(1187),
    [sym_do_while_statement] = STATE(1187),
    [sym_switch_statement] = STATE(1187),
    [sym_for_statement] = STATE(1187),
    [sym_foreach_statement] = STATE(1187),
    [sym_break] = STATE(1187),
    [sym_continue] = STATE(1187),
    [sym_return] = STATE(1187),
    [sym_yield] = STATE(1187),
    [sym_resume_expression] = STATE(1302),
    [sym_local_declaration] = STATE(1187),
    [sym_function_declaration] = STATE(1187),
    [sym_class_declaration] = STATE(1187),
    [sym_try_statement] = STATE(1187),
    [sym_throw_statement] = STATE(1187),
    [sym_const_declaration] = STATE(1187),
    [sym_enum_declaration] = STATE(1187),
    [sym_expression] = STATE(1186),
    [sym_primary_expression] = STATE(1302),
    [sym_unary_expression] = STATE(1296),
    [sym_binary_expression] = STATE(1296),
    [sym_ternary_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(1302),
    [sym_update_expression] = STATE(1302),
    [sym_delete_expression] = STATE(1302),
    [sym_var_statement] = STATE(1187),
    [sym_deref_expression] = STATE(1296),
    [sym_index_expression] = STATE(1296),
    [sym_call_expression] = STATE(1296),
    [sym_anonymous_function] = STATE(1296),
    [sym_lambda_expression] = STATE(1296),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_clone_expression] = STATE(1302),
    [sym_array] = STATE(1302),
    [sym_global_variable] = STATE(1296),
    [sym_string] = STATE(1296),
    [sym_char] = STATE(1296),
    [sym_bool] = STATE(1296),
    [sym_identifier] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(283),
    [anon_sym_while] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(661),
    [anon_sym_do] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_for] = ACTIONS(293),
    [anon_sym_foreach] = ACTIONS(295),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(299),
    [anon_sym_return] = ACTIONS(301),
    [anon_sym_yield] = ACTIONS(303),
    [anon_sym_resume] = ACTIONS(305),
    [anon_sym_local] = ACTIONS(307),
    [anon_sym_function] = ACTIONS(309),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_LBRACK] = ACTIONS(665),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_const] = ACTIONS(321),
    [anon_sym_enum] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_typeof] = ACTIONS(325),
    [anon_sym_PLUS_PLUS] = ACTIONS(667),
    [anon_sym_DASH_DASH] = ACTIONS(667),
    [anon_sym_delete] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(329),
    [anon_sym_rawcall] = ACTIONS(331),
    [anon_sym_AT] = ACTIONS(669),
    [anon_sym_clone] = ACTIONS(335),
    [sym_integer] = ACTIONS(277),
    [sym_float] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(339),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(673),
    [anon_sym_true] = ACTIONS(343),
    [anon_sym_false] = ACTIONS(343),
    [sym_null] = ACTIONS(277),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(347),
  },
  [115] = {
    [sym_block] = STATE(1100),
    [sym_if_statement] = STATE(1100),
    [sym_while_statement] = STATE(1100),
    [sym_do_while_statement] = STATE(1100),
    [sym_switch_statement] = STATE(1100),
    [sym_for_statement] = STATE(1100),
    [sym_foreach_statement] = STATE(1100),
    [sym_break] = STATE(1100),
    [sym_continue] = STATE(1100),
    [sym_return] = STATE(1100),
    [sym_yield] = STATE(1100),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(1100),
    [sym_function_declaration] = STATE(1100),
    [sym_class_declaration] = STATE(1100),
    [sym_try_statement] = STATE(1100),
    [sym_throw_statement] = STATE(1100),
    [sym_const_declaration] = STATE(1100),
    [sym_enum_declaration] = STATE(1100),
    [sym_expression] = STATE(1101),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(1100),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_while] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(187),
    [anon_sym_foreach] = ACTIONS(189),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_function] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(225),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [116] = {
    [sym_block] = STATE(226),
    [sym_if_statement] = STATE(226),
    [sym_while_statement] = STATE(226),
    [sym_do_while_statement] = STATE(226),
    [sym_switch_statement] = STATE(226),
    [sym_for_statement] = STATE(226),
    [sym_foreach_statement] = STATE(226),
    [sym_break] = STATE(226),
    [sym_continue] = STATE(226),
    [sym_return] = STATE(226),
    [sym_yield] = STATE(226),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(226),
    [sym_function_declaration] = STATE(226),
    [sym_class_declaration] = STATE(226),
    [sym_try_statement] = STATE(226),
    [sym_throw_statement] = STATE(226),
    [sym_const_declaration] = STATE(226),
    [sym_enum_declaration] = STATE(226),
    [sym_expression] = STATE(225),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(226),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_foreach] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(61),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [117] = {
    [sym_block] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_do_while_statement] = STATE(377),
    [sym_switch_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_foreach_statement] = STATE(377),
    [sym_break] = STATE(377),
    [sym_continue] = STATE(377),
    [sym_return] = STATE(377),
    [sym_yield] = STATE(377),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(377),
    [sym_function_declaration] = STATE(377),
    [sym_class_declaration] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_const_declaration] = STATE(377),
    [sym_enum_declaration] = STATE(377),
    [sym_expression] = STATE(365),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(377),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(811),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(265),
    [anon_sym_foreach] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_function] = ACTIONS(271),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(273),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(275),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [118] = {
    [sym_block] = STATE(1104),
    [sym_if_statement] = STATE(1104),
    [sym_while_statement] = STATE(1104),
    [sym_do_while_statement] = STATE(1104),
    [sym_switch_statement] = STATE(1104),
    [sym_for_statement] = STATE(1104),
    [sym_foreach_statement] = STATE(1104),
    [sym_break] = STATE(1104),
    [sym_continue] = STATE(1104),
    [sym_return] = STATE(1104),
    [sym_yield] = STATE(1104),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(1104),
    [sym_function_declaration] = STATE(1104),
    [sym_class_declaration] = STATE(1104),
    [sym_try_statement] = STATE(1104),
    [sym_throw_statement] = STATE(1104),
    [sym_const_declaration] = STATE(1104),
    [sym_enum_declaration] = STATE(1104),
    [sym_expression] = STATE(1105),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(1104),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_while] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(187),
    [anon_sym_foreach] = ACTIONS(189),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_function] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(225),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [119] = {
    [sym_block] = STATE(1109),
    [sym_if_statement] = STATE(1109),
    [sym_while_statement] = STATE(1109),
    [sym_do_while_statement] = STATE(1109),
    [sym_switch_statement] = STATE(1109),
    [sym_for_statement] = STATE(1109),
    [sym_foreach_statement] = STATE(1109),
    [sym_break] = STATE(1109),
    [sym_continue] = STATE(1109),
    [sym_return] = STATE(1109),
    [sym_yield] = STATE(1109),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(1109),
    [sym_function_declaration] = STATE(1109),
    [sym_class_declaration] = STATE(1109),
    [sym_try_statement] = STATE(1109),
    [sym_throw_statement] = STATE(1109),
    [sym_const_declaration] = STATE(1109),
    [sym_enum_declaration] = STATE(1109),
    [sym_expression] = STATE(1110),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(1109),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_while] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(187),
    [anon_sym_foreach] = ACTIONS(189),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_function] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(225),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [120] = {
    [sym_block] = STATE(655),
    [sym_if_statement] = STATE(655),
    [sym_while_statement] = STATE(655),
    [sym_do_while_statement] = STATE(655),
    [sym_switch_statement] = STATE(655),
    [sym_for_statement] = STATE(655),
    [sym_foreach_statement] = STATE(655),
    [sym_break] = STATE(655),
    [sym_continue] = STATE(655),
    [sym_return] = STATE(655),
    [sym_yield] = STATE(655),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(655),
    [sym_function_declaration] = STATE(655),
    [sym_class_declaration] = STATE(655),
    [sym_try_statement] = STATE(655),
    [sym_throw_statement] = STATE(655),
    [sym_const_declaration] = STATE(655),
    [sym_enum_declaration] = STATE(655),
    [sym_expression] = STATE(1010),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(655),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(787),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_while] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(249),
    [anon_sym_foreach] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(257),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(259),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [121] = {
    [sym_block] = STATE(1113),
    [sym_if_statement] = STATE(1113),
    [sym_while_statement] = STATE(1113),
    [sym_do_while_statement] = STATE(1113),
    [sym_switch_statement] = STATE(1113),
    [sym_for_statement] = STATE(1113),
    [sym_foreach_statement] = STATE(1113),
    [sym_break] = STATE(1113),
    [sym_continue] = STATE(1113),
    [sym_return] = STATE(1113),
    [sym_yield] = STATE(1113),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(1113),
    [sym_function_declaration] = STATE(1113),
    [sym_class_declaration] = STATE(1113),
    [sym_try_statement] = STATE(1113),
    [sym_throw_statement] = STATE(1113),
    [sym_const_declaration] = STATE(1113),
    [sym_enum_declaration] = STATE(1113),
    [sym_expression] = STATE(1112),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(1113),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(685),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_while] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(187),
    [anon_sym_foreach] = ACTIONS(189),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_function] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(225),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [122] = {
    [sym_block] = STATE(1222),
    [sym_if_statement] = STATE(1222),
    [sym_while_statement] = STATE(1222),
    [sym_do_while_statement] = STATE(1222),
    [sym_switch_statement] = STATE(1222),
    [sym_for_statement] = STATE(1222),
    [sym_foreach_statement] = STATE(1222),
    [sym_break] = STATE(1222),
    [sym_continue] = STATE(1222),
    [sym_return] = STATE(1222),
    [sym_yield] = STATE(1222),
    [sym_resume_expression] = STATE(1302),
    [sym_local_declaration] = STATE(1222),
    [sym_function_declaration] = STATE(1222),
    [sym_class_declaration] = STATE(1222),
    [sym_try_statement] = STATE(1222),
    [sym_throw_statement] = STATE(1222),
    [sym_const_declaration] = STATE(1222),
    [sym_enum_declaration] = STATE(1222),
    [sym_expression] = STATE(1201),
    [sym_primary_expression] = STATE(1302),
    [sym_unary_expression] = STATE(1296),
    [sym_binary_expression] = STATE(1296),
    [sym_ternary_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(1302),
    [sym_update_expression] = STATE(1302),
    [sym_delete_expression] = STATE(1302),
    [sym_var_statement] = STATE(1222),
    [sym_deref_expression] = STATE(1296),
    [sym_index_expression] = STATE(1296),
    [sym_call_expression] = STATE(1296),
    [sym_anonymous_function] = STATE(1296),
    [sym_lambda_expression] = STATE(1296),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_clone_expression] = STATE(1302),
    [sym_array] = STATE(1302),
    [sym_global_variable] = STATE(1296),
    [sym_string] = STATE(1296),
    [sym_char] = STATE(1296),
    [sym_bool] = STATE(1296),
    [sym_identifier] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(283),
    [anon_sym_while] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(661),
    [anon_sym_do] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_for] = ACTIONS(293),
    [anon_sym_foreach] = ACTIONS(295),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(299),
    [anon_sym_return] = ACTIONS(301),
    [anon_sym_yield] = ACTIONS(303),
    [anon_sym_resume] = ACTIONS(305),
    [anon_sym_local] = ACTIONS(307),
    [anon_sym_function] = ACTIONS(309),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_LBRACK] = ACTIONS(665),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_const] = ACTIONS(321),
    [anon_sym_enum] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_typeof] = ACTIONS(325),
    [anon_sym_PLUS_PLUS] = ACTIONS(667),
    [anon_sym_DASH_DASH] = ACTIONS(667),
    [anon_sym_delete] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(329),
    [anon_sym_rawcall] = ACTIONS(331),
    [anon_sym_AT] = ACTIONS(669),
    [anon_sym_clone] = ACTIONS(335),
    [sym_integer] = ACTIONS(277),
    [sym_float] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(339),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(673),
    [anon_sym_true] = ACTIONS(343),
    [anon_sym_false] = ACTIONS(343),
    [sym_null] = ACTIONS(277),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(347),
  },
  [123] = {
    [sym_block] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_while_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_foreach_statement] = STATE(211),
    [sym_break] = STATE(211),
    [sym_continue] = STATE(211),
    [sym_return] = STATE(211),
    [sym_yield] = STATE(211),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(211),
    [sym_function_declaration] = STATE(211),
    [sym_class_declaration] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_const_declaration] = STATE(211),
    [sym_enum_declaration] = STATE(211),
    [sym_expression] = STATE(212),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(211),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(265),
    [anon_sym_foreach] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_function] = ACTIONS(271),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(273),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(275),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [124] = {
    [sym_block] = STATE(271),
    [sym_if_statement] = STATE(271),
    [sym_while_statement] = STATE(271),
    [sym_do_while_statement] = STATE(271),
    [sym_switch_statement] = STATE(271),
    [sym_for_statement] = STATE(271),
    [sym_foreach_statement] = STATE(271),
    [sym_break] = STATE(271),
    [sym_continue] = STATE(271),
    [sym_return] = STATE(271),
    [sym_yield] = STATE(271),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(271),
    [sym_function_declaration] = STATE(271),
    [sym_class_declaration] = STATE(271),
    [sym_try_statement] = STATE(271),
    [sym_throw_statement] = STATE(271),
    [sym_const_declaration] = STATE(271),
    [sym_enum_declaration] = STATE(271),
    [sym_expression] = STATE(272),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(271),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(817),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(265),
    [anon_sym_foreach] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_function] = ACTIONS(271),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(273),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(275),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [125] = {
    [sym_block] = STATE(1086),
    [sym_if_statement] = STATE(1086),
    [sym_while_statement] = STATE(1086),
    [sym_do_while_statement] = STATE(1086),
    [sym_switch_statement] = STATE(1086),
    [sym_for_statement] = STATE(1086),
    [sym_foreach_statement] = STATE(1086),
    [sym_break] = STATE(1086),
    [sym_continue] = STATE(1086),
    [sym_return] = STATE(1086),
    [sym_yield] = STATE(1086),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(1086),
    [sym_function_declaration] = STATE(1086),
    [sym_class_declaration] = STATE(1086),
    [sym_try_statement] = STATE(1086),
    [sym_throw_statement] = STATE(1086),
    [sym_const_declaration] = STATE(1086),
    [sym_enum_declaration] = STATE(1086),
    [sym_expression] = STATE(1085),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(1086),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(687),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_while] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(187),
    [anon_sym_foreach] = ACTIONS(189),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_function] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(225),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [126] = {
    [sym_block] = STATE(1079),
    [sym_if_statement] = STATE(1079),
    [sym_while_statement] = STATE(1079),
    [sym_do_while_statement] = STATE(1079),
    [sym_switch_statement] = STATE(1079),
    [sym_for_statement] = STATE(1079),
    [sym_foreach_statement] = STATE(1079),
    [sym_break] = STATE(1079),
    [sym_continue] = STATE(1079),
    [sym_return] = STATE(1079),
    [sym_yield] = STATE(1079),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(1079),
    [sym_function_declaration] = STATE(1079),
    [sym_class_declaration] = STATE(1079),
    [sym_try_statement] = STATE(1079),
    [sym_throw_statement] = STATE(1079),
    [sym_const_declaration] = STATE(1079),
    [sym_enum_declaration] = STATE(1079),
    [sym_expression] = STATE(1078),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(1079),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(695),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_while] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(187),
    [anon_sym_foreach] = ACTIONS(189),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_function] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(225),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [127] = {
    [sym_block] = STATE(1593),
    [sym_if_statement] = STATE(1593),
    [sym_while_statement] = STATE(1593),
    [sym_do_while_statement] = STATE(1593),
    [sym_switch_statement] = STATE(1593),
    [sym_for_statement] = STATE(1593),
    [sym_foreach_statement] = STATE(1593),
    [sym_break] = STATE(1593),
    [sym_continue] = STATE(1593),
    [sym_return] = STATE(1593),
    [sym_yield] = STATE(1593),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(1593),
    [sym_function_declaration] = STATE(1593),
    [sym_class_declaration] = STATE(1593),
    [sym_try_statement] = STATE(1593),
    [sym_throw_statement] = STATE(1593),
    [sym_const_declaration] = STATE(1593),
    [sym_enum_declaration] = STATE(1593),
    [sym_expression] = STATE(1153),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(1593),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(819),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(501),
    [anon_sym_while] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(505),
    [anon_sym_foreach] = ACTIONS(507),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(509),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [128] = {
    [sym_block] = STATE(1032),
    [sym_if_statement] = STATE(1032),
    [sym_while_statement] = STATE(1032),
    [sym_do_while_statement] = STATE(1032),
    [sym_switch_statement] = STATE(1032),
    [sym_for_statement] = STATE(1032),
    [sym_foreach_statement] = STATE(1032),
    [sym_break] = STATE(1032),
    [sym_continue] = STATE(1032),
    [sym_return] = STATE(1032),
    [sym_yield] = STATE(1032),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(1032),
    [sym_function_declaration] = STATE(1032),
    [sym_class_declaration] = STATE(1032),
    [sym_try_statement] = STATE(1032),
    [sym_throw_statement] = STATE(1032),
    [sym_const_declaration] = STATE(1032),
    [sym_enum_declaration] = STATE(1032),
    [sym_expression] = STATE(1030),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(1032),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(707),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_while] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(187),
    [anon_sym_foreach] = ACTIONS(189),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_function] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(225),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [129] = {
    [sym_block] = STATE(632),
    [sym_if_statement] = STATE(632),
    [sym_while_statement] = STATE(632),
    [sym_do_while_statement] = STATE(632),
    [sym_switch_statement] = STATE(632),
    [sym_for_statement] = STATE(632),
    [sym_foreach_statement] = STATE(632),
    [sym_break] = STATE(632),
    [sym_continue] = STATE(632),
    [sym_return] = STATE(632),
    [sym_yield] = STATE(632),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(632),
    [sym_function_declaration] = STATE(632),
    [sym_class_declaration] = STATE(632),
    [sym_try_statement] = STATE(632),
    [sym_throw_statement] = STATE(632),
    [sym_const_declaration] = STATE(632),
    [sym_enum_declaration] = STATE(632),
    [sym_expression] = STATE(947),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(632),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(651),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_while] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(249),
    [anon_sym_foreach] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(257),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(259),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [130] = {
    [sym_block] = STATE(1025),
    [sym_if_statement] = STATE(1025),
    [sym_while_statement] = STATE(1025),
    [sym_do_while_statement] = STATE(1025),
    [sym_switch_statement] = STATE(1025),
    [sym_for_statement] = STATE(1025),
    [sym_foreach_statement] = STATE(1025),
    [sym_break] = STATE(1025),
    [sym_continue] = STATE(1025),
    [sym_return] = STATE(1025),
    [sym_yield] = STATE(1025),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(1025),
    [sym_function_declaration] = STATE(1025),
    [sym_class_declaration] = STATE(1025),
    [sym_try_statement] = STATE(1025),
    [sym_throw_statement] = STATE(1025),
    [sym_const_declaration] = STATE(1025),
    [sym_enum_declaration] = STATE(1025),
    [sym_expression] = STATE(1022),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(1025),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(709),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_while] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(187),
    [anon_sym_foreach] = ACTIONS(189),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_function] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(225),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [131] = {
    [sym_block] = STATE(211),
    [sym_if_statement] = STATE(211),
    [sym_while_statement] = STATE(211),
    [sym_do_while_statement] = STATE(211),
    [sym_switch_statement] = STATE(211),
    [sym_for_statement] = STATE(211),
    [sym_foreach_statement] = STATE(211),
    [sym_break] = STATE(211),
    [sym_continue] = STATE(211),
    [sym_return] = STATE(211),
    [sym_yield] = STATE(211),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(211),
    [sym_function_declaration] = STATE(211),
    [sym_class_declaration] = STATE(211),
    [sym_try_statement] = STATE(211),
    [sym_throw_statement] = STATE(211),
    [sym_const_declaration] = STATE(211),
    [sym_enum_declaration] = STATE(211),
    [sym_expression] = STATE(212),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(211),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_foreach] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(61),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [132] = {
    [sym_block] = STATE(1257),
    [sym_if_statement] = STATE(1257),
    [sym_while_statement] = STATE(1257),
    [sym_do_while_statement] = STATE(1257),
    [sym_switch_statement] = STATE(1257),
    [sym_for_statement] = STATE(1257),
    [sym_foreach_statement] = STATE(1257),
    [sym_break] = STATE(1257),
    [sym_continue] = STATE(1257),
    [sym_return] = STATE(1257),
    [sym_yield] = STATE(1257),
    [sym_resume_expression] = STATE(1302),
    [sym_local_declaration] = STATE(1257),
    [sym_function_declaration] = STATE(1257),
    [sym_class_declaration] = STATE(1257),
    [sym_try_statement] = STATE(1257),
    [sym_throw_statement] = STATE(1257),
    [sym_const_declaration] = STATE(1257),
    [sym_enum_declaration] = STATE(1257),
    [sym_expression] = STATE(1255),
    [sym_primary_expression] = STATE(1302),
    [sym_unary_expression] = STATE(1296),
    [sym_binary_expression] = STATE(1296),
    [sym_ternary_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(1302),
    [sym_update_expression] = STATE(1302),
    [sym_delete_expression] = STATE(1302),
    [sym_var_statement] = STATE(1257),
    [sym_deref_expression] = STATE(1296),
    [sym_index_expression] = STATE(1296),
    [sym_call_expression] = STATE(1296),
    [sym_anonymous_function] = STATE(1296),
    [sym_lambda_expression] = STATE(1296),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_clone_expression] = STATE(1302),
    [sym_array] = STATE(1302),
    [sym_global_variable] = STATE(1296),
    [sym_string] = STATE(1296),
    [sym_char] = STATE(1296),
    [sym_bool] = STATE(1296),
    [sym_identifier] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(283),
    [anon_sym_while] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(661),
    [anon_sym_do] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_for] = ACTIONS(293),
    [anon_sym_foreach] = ACTIONS(295),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(299),
    [anon_sym_return] = ACTIONS(301),
    [anon_sym_yield] = ACTIONS(303),
    [anon_sym_resume] = ACTIONS(305),
    [anon_sym_local] = ACTIONS(307),
    [anon_sym_function] = ACTIONS(309),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_LBRACK] = ACTIONS(665),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_const] = ACTIONS(321),
    [anon_sym_enum] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_typeof] = ACTIONS(325),
    [anon_sym_PLUS_PLUS] = ACTIONS(667),
    [anon_sym_DASH_DASH] = ACTIONS(667),
    [anon_sym_delete] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(329),
    [anon_sym_rawcall] = ACTIONS(331),
    [anon_sym_AT] = ACTIONS(669),
    [anon_sym_clone] = ACTIONS(335),
    [sym_integer] = ACTIONS(277),
    [sym_float] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(339),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(673),
    [anon_sym_true] = ACTIONS(343),
    [anon_sym_false] = ACTIONS(343),
    [sym_null] = ACTIONS(277),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(347),
  },
  [133] = {
    [sym_block] = STATE(1725),
    [sym_if_statement] = STATE(1725),
    [sym_while_statement] = STATE(1725),
    [sym_do_while_statement] = STATE(1725),
    [sym_switch_statement] = STATE(1725),
    [sym_for_statement] = STATE(1725),
    [sym_foreach_statement] = STATE(1725),
    [sym_break] = STATE(1725),
    [sym_continue] = STATE(1725),
    [sym_return] = STATE(1725),
    [sym_yield] = STATE(1725),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(1725),
    [sym_function_declaration] = STATE(1725),
    [sym_class_declaration] = STATE(1725),
    [sym_try_statement] = STATE(1725),
    [sym_throw_statement] = STATE(1725),
    [sym_const_declaration] = STATE(1725),
    [sym_enum_declaration] = STATE(1725),
    [sym_expression] = STATE(1322),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(1725),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(823),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(501),
    [anon_sym_while] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(505),
    [anon_sym_foreach] = ACTIONS(507),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(509),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [134] = {
    [sym_block] = STATE(297),
    [sym_if_statement] = STATE(297),
    [sym_while_statement] = STATE(297),
    [sym_do_while_statement] = STATE(297),
    [sym_switch_statement] = STATE(297),
    [sym_for_statement] = STATE(297),
    [sym_foreach_statement] = STATE(297),
    [sym_break] = STATE(297),
    [sym_continue] = STATE(297),
    [sym_return] = STATE(297),
    [sym_yield] = STATE(297),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(297),
    [sym_function_declaration] = STATE(297),
    [sym_class_declaration] = STATE(297),
    [sym_try_statement] = STATE(297),
    [sym_throw_statement] = STATE(297),
    [sym_const_declaration] = STATE(297),
    [sym_enum_declaration] = STATE(297),
    [sym_expression] = STATE(298),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(297),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(713),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(265),
    [anon_sym_foreach] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_function] = ACTIONS(271),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(273),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(275),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [135] = {
    [sym_block] = STATE(302),
    [sym_if_statement] = STATE(302),
    [sym_while_statement] = STATE(302),
    [sym_do_while_statement] = STATE(302),
    [sym_switch_statement] = STATE(302),
    [sym_for_statement] = STATE(302),
    [sym_foreach_statement] = STATE(302),
    [sym_break] = STATE(302),
    [sym_continue] = STATE(302),
    [sym_return] = STATE(302),
    [sym_yield] = STATE(302),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(302),
    [sym_function_declaration] = STATE(302),
    [sym_class_declaration] = STATE(302),
    [sym_try_statement] = STATE(302),
    [sym_throw_statement] = STATE(302),
    [sym_const_declaration] = STATE(302),
    [sym_enum_declaration] = STATE(302),
    [sym_expression] = STATE(191),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(302),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(265),
    [anon_sym_foreach] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_function] = ACTIONS(271),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(273),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(275),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [136] = {
    [sym_block] = STATE(1048),
    [sym_if_statement] = STATE(1048),
    [sym_while_statement] = STATE(1048),
    [sym_do_while_statement] = STATE(1048),
    [sym_switch_statement] = STATE(1048),
    [sym_for_statement] = STATE(1048),
    [sym_foreach_statement] = STATE(1048),
    [sym_break] = STATE(1048),
    [sym_continue] = STATE(1048),
    [sym_return] = STATE(1048),
    [sym_yield] = STATE(1048),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(1048),
    [sym_function_declaration] = STATE(1048),
    [sym_class_declaration] = STATE(1048),
    [sym_try_statement] = STATE(1048),
    [sym_throw_statement] = STATE(1048),
    [sym_const_declaration] = STATE(1048),
    [sym_enum_declaration] = STATE(1048),
    [sym_expression] = STATE(1049),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(1048),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(791),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_while] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(249),
    [anon_sym_foreach] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(257),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(259),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [137] = {
    [sym_block] = STATE(346),
    [sym_if_statement] = STATE(346),
    [sym_while_statement] = STATE(346),
    [sym_do_while_statement] = STATE(346),
    [sym_switch_statement] = STATE(346),
    [sym_for_statement] = STATE(346),
    [sym_foreach_statement] = STATE(346),
    [sym_break] = STATE(346),
    [sym_continue] = STATE(346),
    [sym_return] = STATE(346),
    [sym_yield] = STATE(346),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(346),
    [sym_function_declaration] = STATE(346),
    [sym_class_declaration] = STATE(346),
    [sym_try_statement] = STATE(346),
    [sym_throw_statement] = STATE(346),
    [sym_const_declaration] = STATE(346),
    [sym_enum_declaration] = STATE(346),
    [sym_expression] = STATE(347),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(346),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(801),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(265),
    [anon_sym_foreach] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_function] = ACTIONS(271),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(273),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(275),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [138] = {
    [sym_block] = STATE(1265),
    [sym_if_statement] = STATE(1265),
    [sym_while_statement] = STATE(1265),
    [sym_do_while_statement] = STATE(1265),
    [sym_switch_statement] = STATE(1265),
    [sym_for_statement] = STATE(1265),
    [sym_foreach_statement] = STATE(1265),
    [sym_break] = STATE(1265),
    [sym_continue] = STATE(1265),
    [sym_return] = STATE(1265),
    [sym_yield] = STATE(1265),
    [sym_resume_expression] = STATE(1302),
    [sym_local_declaration] = STATE(1265),
    [sym_function_declaration] = STATE(1265),
    [sym_class_declaration] = STATE(1265),
    [sym_try_statement] = STATE(1265),
    [sym_throw_statement] = STATE(1265),
    [sym_const_declaration] = STATE(1265),
    [sym_enum_declaration] = STATE(1265),
    [sym_expression] = STATE(1264),
    [sym_primary_expression] = STATE(1302),
    [sym_unary_expression] = STATE(1296),
    [sym_binary_expression] = STATE(1296),
    [sym_ternary_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(1302),
    [sym_update_expression] = STATE(1302),
    [sym_delete_expression] = STATE(1302),
    [sym_var_statement] = STATE(1265),
    [sym_deref_expression] = STATE(1296),
    [sym_index_expression] = STATE(1296),
    [sym_call_expression] = STATE(1296),
    [sym_anonymous_function] = STATE(1296),
    [sym_lambda_expression] = STATE(1296),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_clone_expression] = STATE(1302),
    [sym_array] = STATE(1302),
    [sym_global_variable] = STATE(1296),
    [sym_string] = STATE(1296),
    [sym_char] = STATE(1296),
    [sym_bool] = STATE(1296),
    [sym_identifier] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(827),
    [anon_sym_LBRACE] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(283),
    [anon_sym_while] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(661),
    [anon_sym_do] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_for] = ACTIONS(293),
    [anon_sym_foreach] = ACTIONS(295),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(299),
    [anon_sym_return] = ACTIONS(301),
    [anon_sym_yield] = ACTIONS(303),
    [anon_sym_resume] = ACTIONS(305),
    [anon_sym_local] = ACTIONS(307),
    [anon_sym_function] = ACTIONS(309),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_LBRACK] = ACTIONS(665),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_const] = ACTIONS(321),
    [anon_sym_enum] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_typeof] = ACTIONS(325),
    [anon_sym_PLUS_PLUS] = ACTIONS(667),
    [anon_sym_DASH_DASH] = ACTIONS(667),
    [anon_sym_delete] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(329),
    [anon_sym_rawcall] = ACTIONS(331),
    [anon_sym_AT] = ACTIONS(669),
    [anon_sym_clone] = ACTIONS(335),
    [sym_integer] = ACTIONS(277),
    [sym_float] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(339),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(673),
    [anon_sym_true] = ACTIONS(343),
    [anon_sym_false] = ACTIONS(343),
    [sym_null] = ACTIONS(277),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(347),
  },
  [139] = {
    [sym_block] = STATE(362),
    [sym_if_statement] = STATE(362),
    [sym_while_statement] = STATE(362),
    [sym_do_while_statement] = STATE(362),
    [sym_switch_statement] = STATE(362),
    [sym_for_statement] = STATE(362),
    [sym_foreach_statement] = STATE(362),
    [sym_break] = STATE(362),
    [sym_continue] = STATE(362),
    [sym_return] = STATE(362),
    [sym_yield] = STATE(362),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(362),
    [sym_function_declaration] = STATE(362),
    [sym_class_declaration] = STATE(362),
    [sym_try_statement] = STATE(362),
    [sym_throw_statement] = STATE(362),
    [sym_const_declaration] = STATE(362),
    [sym_enum_declaration] = STATE(362),
    [sym_expression] = STATE(356),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(362),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(785),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(265),
    [anon_sym_foreach] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_function] = ACTIONS(271),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(273),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(275),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [140] = {
    [sym_block] = STATE(269),
    [sym_if_statement] = STATE(269),
    [sym_while_statement] = STATE(269),
    [sym_do_while_statement] = STATE(269),
    [sym_switch_statement] = STATE(269),
    [sym_for_statement] = STATE(269),
    [sym_foreach_statement] = STATE(269),
    [sym_break] = STATE(269),
    [sym_continue] = STATE(269),
    [sym_return] = STATE(269),
    [sym_yield] = STATE(269),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(269),
    [sym_function_declaration] = STATE(269),
    [sym_class_declaration] = STATE(269),
    [sym_try_statement] = STATE(269),
    [sym_throw_statement] = STATE(269),
    [sym_const_declaration] = STATE(269),
    [sym_enum_declaration] = STATE(269),
    [sym_expression] = STATE(253),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(269),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(265),
    [anon_sym_foreach] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_function] = ACTIONS(271),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(273),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(275),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [141] = {
    [sym_block] = STATE(248),
    [sym_if_statement] = STATE(248),
    [sym_while_statement] = STATE(248),
    [sym_do_while_statement] = STATE(248),
    [sym_switch_statement] = STATE(248),
    [sym_for_statement] = STATE(248),
    [sym_foreach_statement] = STATE(248),
    [sym_break] = STATE(248),
    [sym_continue] = STATE(248),
    [sym_return] = STATE(248),
    [sym_yield] = STATE(248),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(248),
    [sym_function_declaration] = STATE(248),
    [sym_class_declaration] = STATE(248),
    [sym_try_statement] = STATE(248),
    [sym_throw_statement] = STATE(248),
    [sym_const_declaration] = STATE(248),
    [sym_enum_declaration] = STATE(248),
    [sym_expression] = STATE(245),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(248),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(265),
    [anon_sym_foreach] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_function] = ACTIONS(271),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(273),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(275),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [142] = {
    [sym_block] = STATE(300),
    [sym_if_statement] = STATE(300),
    [sym_while_statement] = STATE(300),
    [sym_do_while_statement] = STATE(300),
    [sym_switch_statement] = STATE(300),
    [sym_for_statement] = STATE(300),
    [sym_foreach_statement] = STATE(300),
    [sym_break] = STATE(300),
    [sym_continue] = STATE(300),
    [sym_return] = STATE(300),
    [sym_yield] = STATE(300),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(300),
    [sym_function_declaration] = STATE(300),
    [sym_class_declaration] = STATE(300),
    [sym_try_statement] = STATE(300),
    [sym_throw_statement] = STATE(300),
    [sym_const_declaration] = STATE(300),
    [sym_enum_declaration] = STATE(300),
    [sym_expression] = STATE(295),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(300),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(737),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(265),
    [anon_sym_foreach] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_function] = ACTIONS(271),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(273),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(275),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [143] = {
    [sym_block] = STATE(305),
    [sym_if_statement] = STATE(305),
    [sym_while_statement] = STATE(305),
    [sym_do_while_statement] = STATE(305),
    [sym_switch_statement] = STATE(305),
    [sym_for_statement] = STATE(305),
    [sym_foreach_statement] = STATE(305),
    [sym_break] = STATE(305),
    [sym_continue] = STATE(305),
    [sym_return] = STATE(305),
    [sym_yield] = STATE(305),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(305),
    [sym_function_declaration] = STATE(305),
    [sym_class_declaration] = STATE(305),
    [sym_try_statement] = STATE(305),
    [sym_throw_statement] = STATE(305),
    [sym_const_declaration] = STATE(305),
    [sym_enum_declaration] = STATE(305),
    [sym_expression] = STATE(311),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(305),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(265),
    [anon_sym_foreach] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_function] = ACTIONS(271),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(273),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(275),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [144] = {
    [sym_block] = STATE(315),
    [sym_if_statement] = STATE(315),
    [sym_while_statement] = STATE(315),
    [sym_do_while_statement] = STATE(315),
    [sym_switch_statement] = STATE(315),
    [sym_for_statement] = STATE(315),
    [sym_foreach_statement] = STATE(315),
    [sym_break] = STATE(315),
    [sym_continue] = STATE(315),
    [sym_return] = STATE(315),
    [sym_yield] = STATE(315),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(315),
    [sym_function_declaration] = STATE(315),
    [sym_class_declaration] = STATE(315),
    [sym_try_statement] = STATE(315),
    [sym_throw_statement] = STATE(315),
    [sym_const_declaration] = STATE(315),
    [sym_enum_declaration] = STATE(315),
    [sym_expression] = STATE(316),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(315),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(725),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(265),
    [anon_sym_foreach] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_function] = ACTIONS(271),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(273),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(275),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [145] = {
    [sym_block] = STATE(1520),
    [sym_if_statement] = STATE(1520),
    [sym_while_statement] = STATE(1520),
    [sym_do_while_statement] = STATE(1520),
    [sym_switch_statement] = STATE(1520),
    [sym_for_statement] = STATE(1520),
    [sym_foreach_statement] = STATE(1520),
    [sym_break] = STATE(1520),
    [sym_continue] = STATE(1520),
    [sym_return] = STATE(1520),
    [sym_yield] = STATE(1520),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(1520),
    [sym_function_declaration] = STATE(1520),
    [sym_class_declaration] = STATE(1520),
    [sym_try_statement] = STATE(1520),
    [sym_throw_statement] = STATE(1520),
    [sym_const_declaration] = STATE(1520),
    [sym_enum_declaration] = STATE(1520),
    [sym_expression] = STATE(1150),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(1520),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(829),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_while] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(249),
    [anon_sym_foreach] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(257),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(259),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [146] = {
    [sym_block] = STATE(350),
    [sym_if_statement] = STATE(350),
    [sym_while_statement] = STATE(350),
    [sym_do_while_statement] = STATE(350),
    [sym_switch_statement] = STATE(350),
    [sym_for_statement] = STATE(350),
    [sym_foreach_statement] = STATE(350),
    [sym_break] = STATE(350),
    [sym_continue] = STATE(350),
    [sym_return] = STATE(350),
    [sym_yield] = STATE(350),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(350),
    [sym_function_declaration] = STATE(350),
    [sym_class_declaration] = STATE(350),
    [sym_try_statement] = STATE(350),
    [sym_throw_statement] = STATE(350),
    [sym_const_declaration] = STATE(350),
    [sym_enum_declaration] = STATE(350),
    [sym_expression] = STATE(344),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(350),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(265),
    [anon_sym_foreach] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_function] = ACTIONS(271),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(273),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(275),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [147] = {
    [sym_block] = STATE(1287),
    [sym_if_statement] = STATE(1287),
    [sym_while_statement] = STATE(1287),
    [sym_do_while_statement] = STATE(1287),
    [sym_switch_statement] = STATE(1287),
    [sym_for_statement] = STATE(1287),
    [sym_foreach_statement] = STATE(1287),
    [sym_break] = STATE(1287),
    [sym_continue] = STATE(1287),
    [sym_return] = STATE(1287),
    [sym_yield] = STATE(1287),
    [sym_resume_expression] = STATE(1302),
    [sym_local_declaration] = STATE(1287),
    [sym_function_declaration] = STATE(1287),
    [sym_class_declaration] = STATE(1287),
    [sym_try_statement] = STATE(1287),
    [sym_throw_statement] = STATE(1287),
    [sym_const_declaration] = STATE(1287),
    [sym_enum_declaration] = STATE(1287),
    [sym_expression] = STATE(1286),
    [sym_primary_expression] = STATE(1302),
    [sym_unary_expression] = STATE(1296),
    [sym_binary_expression] = STATE(1296),
    [sym_ternary_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(1302),
    [sym_update_expression] = STATE(1302),
    [sym_delete_expression] = STATE(1302),
    [sym_var_statement] = STATE(1287),
    [sym_deref_expression] = STATE(1296),
    [sym_index_expression] = STATE(1296),
    [sym_call_expression] = STATE(1296),
    [sym_anonymous_function] = STATE(1296),
    [sym_lambda_expression] = STATE(1296),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_clone_expression] = STATE(1302),
    [sym_array] = STATE(1302),
    [sym_global_variable] = STATE(1296),
    [sym_string] = STATE(1296),
    [sym_char] = STATE(1296),
    [sym_bool] = STATE(1296),
    [sym_identifier] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(831),
    [anon_sym_LBRACE] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(283),
    [anon_sym_while] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(661),
    [anon_sym_do] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_for] = ACTIONS(293),
    [anon_sym_foreach] = ACTIONS(295),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(299),
    [anon_sym_return] = ACTIONS(301),
    [anon_sym_yield] = ACTIONS(303),
    [anon_sym_resume] = ACTIONS(305),
    [anon_sym_local] = ACTIONS(307),
    [anon_sym_function] = ACTIONS(309),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_LBRACK] = ACTIONS(665),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_const] = ACTIONS(321),
    [anon_sym_enum] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_typeof] = ACTIONS(325),
    [anon_sym_PLUS_PLUS] = ACTIONS(667),
    [anon_sym_DASH_DASH] = ACTIONS(667),
    [anon_sym_delete] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(329),
    [anon_sym_rawcall] = ACTIONS(331),
    [anon_sym_AT] = ACTIONS(669),
    [anon_sym_clone] = ACTIONS(335),
    [sym_integer] = ACTIONS(277),
    [sym_float] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(339),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(673),
    [anon_sym_true] = ACTIONS(343),
    [anon_sym_false] = ACTIONS(343),
    [sym_null] = ACTIONS(277),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(347),
  },
  [148] = {
    [sym_block] = STATE(318),
    [sym_if_statement] = STATE(318),
    [sym_while_statement] = STATE(318),
    [sym_do_while_statement] = STATE(318),
    [sym_switch_statement] = STATE(318),
    [sym_for_statement] = STATE(318),
    [sym_foreach_statement] = STATE(318),
    [sym_break] = STATE(318),
    [sym_continue] = STATE(318),
    [sym_return] = STATE(318),
    [sym_yield] = STATE(318),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(318),
    [sym_function_declaration] = STATE(318),
    [sym_class_declaration] = STATE(318),
    [sym_try_statement] = STATE(318),
    [sym_throw_statement] = STATE(318),
    [sym_const_declaration] = STATE(318),
    [sym_enum_declaration] = STATE(318),
    [sym_expression] = STATE(310),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(318),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(691),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(265),
    [anon_sym_foreach] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_function] = ACTIONS(271),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(273),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(275),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [149] = {
    [sym_block] = STATE(1131),
    [sym_if_statement] = STATE(1131),
    [sym_while_statement] = STATE(1131),
    [sym_do_while_statement] = STATE(1131),
    [sym_switch_statement] = STATE(1131),
    [sym_for_statement] = STATE(1131),
    [sym_foreach_statement] = STATE(1131),
    [sym_break] = STATE(1131),
    [sym_continue] = STATE(1131),
    [sym_return] = STATE(1131),
    [sym_yield] = STATE(1131),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(1131),
    [sym_function_declaration] = STATE(1131),
    [sym_class_declaration] = STATE(1131),
    [sym_try_statement] = STATE(1131),
    [sym_throw_statement] = STATE(1131),
    [sym_const_declaration] = STATE(1131),
    [sym_enum_declaration] = STATE(1131),
    [sym_expression] = STATE(984),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(1131),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_while] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(249),
    [anon_sym_foreach] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(257),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(259),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [150] = {
    [sym_block] = STATE(255),
    [sym_if_statement] = STATE(255),
    [sym_while_statement] = STATE(255),
    [sym_do_while_statement] = STATE(255),
    [sym_switch_statement] = STATE(255),
    [sym_for_statement] = STATE(255),
    [sym_foreach_statement] = STATE(255),
    [sym_break] = STATE(255),
    [sym_continue] = STATE(255),
    [sym_return] = STATE(255),
    [sym_yield] = STATE(255),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(255),
    [sym_function_declaration] = STATE(255),
    [sym_class_declaration] = STATE(255),
    [sym_try_statement] = STATE(255),
    [sym_throw_statement] = STATE(255),
    [sym_const_declaration] = STATE(255),
    [sym_enum_declaration] = STATE(255),
    [sym_expression] = STATE(208),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(255),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(699),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(265),
    [anon_sym_foreach] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_function] = ACTIONS(271),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(273),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(275),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [151] = {
    [sym_block] = STATE(1220),
    [sym_if_statement] = STATE(1220),
    [sym_while_statement] = STATE(1220),
    [sym_do_while_statement] = STATE(1220),
    [sym_switch_statement] = STATE(1220),
    [sym_for_statement] = STATE(1220),
    [sym_foreach_statement] = STATE(1220),
    [sym_break] = STATE(1220),
    [sym_continue] = STATE(1220),
    [sym_return] = STATE(1220),
    [sym_yield] = STATE(1220),
    [sym_resume_expression] = STATE(1302),
    [sym_local_declaration] = STATE(1220),
    [sym_function_declaration] = STATE(1220),
    [sym_class_declaration] = STATE(1220),
    [sym_try_statement] = STATE(1220),
    [sym_throw_statement] = STATE(1220),
    [sym_const_declaration] = STATE(1220),
    [sym_enum_declaration] = STATE(1220),
    [sym_expression] = STATE(1219),
    [sym_primary_expression] = STATE(1302),
    [sym_unary_expression] = STATE(1296),
    [sym_binary_expression] = STATE(1296),
    [sym_ternary_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(1302),
    [sym_update_expression] = STATE(1302),
    [sym_delete_expression] = STATE(1302),
    [sym_var_statement] = STATE(1220),
    [sym_deref_expression] = STATE(1296),
    [sym_index_expression] = STATE(1296),
    [sym_call_expression] = STATE(1296),
    [sym_anonymous_function] = STATE(1296),
    [sym_lambda_expression] = STATE(1296),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_clone_expression] = STATE(1302),
    [sym_array] = STATE(1302),
    [sym_global_variable] = STATE(1296),
    [sym_string] = STATE(1296),
    [sym_char] = STATE(1296),
    [sym_bool] = STATE(1296),
    [sym_identifier] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(835),
    [anon_sym_LBRACE] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(283),
    [anon_sym_while] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(661),
    [anon_sym_do] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_for] = ACTIONS(293),
    [anon_sym_foreach] = ACTIONS(295),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(299),
    [anon_sym_return] = ACTIONS(301),
    [anon_sym_yield] = ACTIONS(303),
    [anon_sym_resume] = ACTIONS(305),
    [anon_sym_local] = ACTIONS(307),
    [anon_sym_function] = ACTIONS(309),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_LBRACK] = ACTIONS(665),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_const] = ACTIONS(321),
    [anon_sym_enum] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_typeof] = ACTIONS(325),
    [anon_sym_PLUS_PLUS] = ACTIONS(667),
    [anon_sym_DASH_DASH] = ACTIONS(667),
    [anon_sym_delete] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(329),
    [anon_sym_rawcall] = ACTIONS(331),
    [anon_sym_AT] = ACTIONS(669),
    [anon_sym_clone] = ACTIONS(335),
    [sym_integer] = ACTIONS(277),
    [sym_float] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(339),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(673),
    [anon_sym_true] = ACTIONS(343),
    [anon_sym_false] = ACTIONS(343),
    [sym_null] = ACTIONS(277),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(347),
  },
  [152] = {
    [sym_block] = STATE(282),
    [sym_if_statement] = STATE(282),
    [sym_while_statement] = STATE(282),
    [sym_do_while_statement] = STATE(282),
    [sym_switch_statement] = STATE(282),
    [sym_for_statement] = STATE(282),
    [sym_foreach_statement] = STATE(282),
    [sym_break] = STATE(282),
    [sym_continue] = STATE(282),
    [sym_return] = STATE(282),
    [sym_yield] = STATE(282),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(282),
    [sym_function_declaration] = STATE(282),
    [sym_class_declaration] = STATE(282),
    [sym_try_statement] = STATE(282),
    [sym_throw_statement] = STATE(282),
    [sym_const_declaration] = STATE(282),
    [sym_enum_declaration] = STATE(282),
    [sym_expression] = STATE(281),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(282),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(265),
    [anon_sym_foreach] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_function] = ACTIONS(271),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(273),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(275),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [153] = {
    [sym_block] = STATE(230),
    [sym_if_statement] = STATE(230),
    [sym_while_statement] = STATE(230),
    [sym_do_while_statement] = STATE(230),
    [sym_switch_statement] = STATE(230),
    [sym_for_statement] = STATE(230),
    [sym_foreach_statement] = STATE(230),
    [sym_break] = STATE(230),
    [sym_continue] = STATE(230),
    [sym_return] = STATE(230),
    [sym_yield] = STATE(230),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(230),
    [sym_function_declaration] = STATE(230),
    [sym_class_declaration] = STATE(230),
    [sym_try_statement] = STATE(230),
    [sym_throw_statement] = STATE(230),
    [sym_const_declaration] = STATE(230),
    [sym_enum_declaration] = STATE(230),
    [sym_expression] = STATE(228),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(230),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(265),
    [anon_sym_foreach] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_function] = ACTIONS(271),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(273),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(275),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [154] = {
    [sym_block] = STATE(226),
    [sym_if_statement] = STATE(226),
    [sym_while_statement] = STATE(226),
    [sym_do_while_statement] = STATE(226),
    [sym_switch_statement] = STATE(226),
    [sym_for_statement] = STATE(226),
    [sym_foreach_statement] = STATE(226),
    [sym_break] = STATE(226),
    [sym_continue] = STATE(226),
    [sym_return] = STATE(226),
    [sym_yield] = STATE(226),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(226),
    [sym_function_declaration] = STATE(226),
    [sym_class_declaration] = STATE(226),
    [sym_try_statement] = STATE(226),
    [sym_throw_statement] = STATE(226),
    [sym_const_declaration] = STATE(226),
    [sym_enum_declaration] = STATE(226),
    [sym_expression] = STATE(225),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(226),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(263),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(265),
    [anon_sym_foreach] = ACTIONS(267),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(269),
    [anon_sym_function] = ACTIONS(271),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(273),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(275),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [155] = {
    [sym_block] = STATE(1746),
    [sym_if_statement] = STATE(1746),
    [sym_while_statement] = STATE(1746),
    [sym_do_while_statement] = STATE(1746),
    [sym_switch_statement] = STATE(1746),
    [sym_for_statement] = STATE(1746),
    [sym_foreach_statement] = STATE(1746),
    [sym_break] = STATE(1746),
    [sym_continue] = STATE(1746),
    [sym_return] = STATE(1746),
    [sym_yield] = STATE(1746),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(1746),
    [sym_function_declaration] = STATE(1746),
    [sym_class_declaration] = STATE(1746),
    [sym_try_statement] = STATE(1746),
    [sym_throw_statement] = STATE(1746),
    [sym_const_declaration] = STATE(1746),
    [sym_enum_declaration] = STATE(1746),
    [sym_expression] = STATE(1328),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(1746),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(837),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(501),
    [anon_sym_while] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(505),
    [anon_sym_foreach] = ACTIONS(507),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(509),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [156] = {
    [sym_block] = STATE(1924),
    [sym_if_statement] = STATE(1924),
    [sym_while_statement] = STATE(1924),
    [sym_do_while_statement] = STATE(1924),
    [sym_switch_statement] = STATE(1924),
    [sym_for_statement] = STATE(1924),
    [sym_foreach_statement] = STATE(1924),
    [sym_break] = STATE(1924),
    [sym_continue] = STATE(1924),
    [sym_return] = STATE(1924),
    [sym_yield] = STATE(1924),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(1924),
    [sym_function_declaration] = STATE(1924),
    [sym_class_declaration] = STATE(1924),
    [sym_try_statement] = STATE(1924),
    [sym_throw_statement] = STATE(1924),
    [sym_const_declaration] = STATE(1924),
    [sym_enum_declaration] = STATE(1924),
    [sym_expression] = STATE(1350),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(1924),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(839),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(501),
    [anon_sym_while] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(505),
    [anon_sym_foreach] = ACTIONS(507),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(509),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [157] = {
    [sym_block] = STATE(1152),
    [sym_if_statement] = STATE(1152),
    [sym_while_statement] = STATE(1152),
    [sym_do_while_statement] = STATE(1152),
    [sym_switch_statement] = STATE(1152),
    [sym_for_statement] = STATE(1152),
    [sym_foreach_statement] = STATE(1152),
    [sym_break] = STATE(1152),
    [sym_continue] = STATE(1152),
    [sym_return] = STATE(1152),
    [sym_yield] = STATE(1152),
    [sym_resume_expression] = STATE(1302),
    [sym_local_declaration] = STATE(1152),
    [sym_function_declaration] = STATE(1152),
    [sym_class_declaration] = STATE(1152),
    [sym_try_statement] = STATE(1152),
    [sym_throw_statement] = STATE(1152),
    [sym_const_declaration] = STATE(1152),
    [sym_enum_declaration] = STATE(1152),
    [sym_expression] = STATE(1154),
    [sym_primary_expression] = STATE(1302),
    [sym_unary_expression] = STATE(1296),
    [sym_binary_expression] = STATE(1296),
    [sym_ternary_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(1302),
    [sym_update_expression] = STATE(1302),
    [sym_delete_expression] = STATE(1302),
    [sym_var_statement] = STATE(1152),
    [sym_deref_expression] = STATE(1296),
    [sym_index_expression] = STATE(1296),
    [sym_call_expression] = STATE(1296),
    [sym_anonymous_function] = STATE(1296),
    [sym_lambda_expression] = STATE(1296),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_clone_expression] = STATE(1302),
    [sym_array] = STATE(1302),
    [sym_global_variable] = STATE(1296),
    [sym_string] = STATE(1296),
    [sym_char] = STATE(1296),
    [sym_bool] = STATE(1296),
    [sym_identifier] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(283),
    [anon_sym_while] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(661),
    [anon_sym_do] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_for] = ACTIONS(293),
    [anon_sym_foreach] = ACTIONS(295),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(299),
    [anon_sym_return] = ACTIONS(301),
    [anon_sym_yield] = ACTIONS(303),
    [anon_sym_resume] = ACTIONS(305),
    [anon_sym_local] = ACTIONS(307),
    [anon_sym_function] = ACTIONS(309),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_LBRACK] = ACTIONS(665),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_const] = ACTIONS(321),
    [anon_sym_enum] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_typeof] = ACTIONS(325),
    [anon_sym_PLUS_PLUS] = ACTIONS(667),
    [anon_sym_DASH_DASH] = ACTIONS(667),
    [anon_sym_delete] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(329),
    [anon_sym_rawcall] = ACTIONS(331),
    [anon_sym_AT] = ACTIONS(669),
    [anon_sym_clone] = ACTIONS(335),
    [sym_integer] = ACTIONS(277),
    [sym_float] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(339),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(673),
    [anon_sym_true] = ACTIONS(343),
    [anon_sym_false] = ACTIONS(343),
    [sym_null] = ACTIONS(277),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(347),
  },
  [158] = {
    [sym_block] = STATE(302),
    [sym_if_statement] = STATE(302),
    [sym_while_statement] = STATE(302),
    [sym_do_while_statement] = STATE(302),
    [sym_switch_statement] = STATE(302),
    [sym_for_statement] = STATE(302),
    [sym_foreach_statement] = STATE(302),
    [sym_break] = STATE(302),
    [sym_continue] = STATE(302),
    [sym_return] = STATE(302),
    [sym_yield] = STATE(302),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(302),
    [sym_function_declaration] = STATE(302),
    [sym_class_declaration] = STATE(302),
    [sym_try_statement] = STATE(302),
    [sym_throw_statement] = STATE(302),
    [sym_const_declaration] = STATE(302),
    [sym_enum_declaration] = STATE(302),
    [sym_expression] = STATE(191),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(302),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_foreach] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(61),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [159] = {
    [sym_block] = STATE(902),
    [sym_if_statement] = STATE(902),
    [sym_while_statement] = STATE(902),
    [sym_do_while_statement] = STATE(902),
    [sym_switch_statement] = STATE(902),
    [sym_for_statement] = STATE(902),
    [sym_foreach_statement] = STATE(902),
    [sym_break] = STATE(902),
    [sym_continue] = STATE(902),
    [sym_return] = STATE(902),
    [sym_yield] = STATE(902),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(902),
    [sym_function_declaration] = STATE(902),
    [sym_class_declaration] = STATE(902),
    [sym_try_statement] = STATE(902),
    [sym_throw_statement] = STATE(902),
    [sym_const_declaration] = STATE(902),
    [sym_enum_declaration] = STATE(902),
    [sym_expression] = STATE(842),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(902),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_foreach] = ACTIONS(101),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(123),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [160] = {
    [sym_block] = STATE(1235),
    [sym_if_statement] = STATE(1235),
    [sym_while_statement] = STATE(1235),
    [sym_do_while_statement] = STATE(1235),
    [sym_switch_statement] = STATE(1235),
    [sym_for_statement] = STATE(1235),
    [sym_foreach_statement] = STATE(1235),
    [sym_break] = STATE(1235),
    [sym_continue] = STATE(1235),
    [sym_return] = STATE(1235),
    [sym_yield] = STATE(1235),
    [sym_resume_expression] = STATE(1302),
    [sym_local_declaration] = STATE(1235),
    [sym_function_declaration] = STATE(1235),
    [sym_class_declaration] = STATE(1235),
    [sym_try_statement] = STATE(1235),
    [sym_throw_statement] = STATE(1235),
    [sym_const_declaration] = STATE(1235),
    [sym_enum_declaration] = STATE(1235),
    [sym_expression] = STATE(1228),
    [sym_primary_expression] = STATE(1302),
    [sym_unary_expression] = STATE(1296),
    [sym_binary_expression] = STATE(1296),
    [sym_ternary_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(1302),
    [sym_update_expression] = STATE(1302),
    [sym_delete_expression] = STATE(1302),
    [sym_var_statement] = STATE(1235),
    [sym_deref_expression] = STATE(1296),
    [sym_index_expression] = STATE(1296),
    [sym_call_expression] = STATE(1296),
    [sym_anonymous_function] = STATE(1296),
    [sym_lambda_expression] = STATE(1296),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_clone_expression] = STATE(1302),
    [sym_array] = STATE(1302),
    [sym_global_variable] = STATE(1296),
    [sym_string] = STATE(1296),
    [sym_char] = STATE(1296),
    [sym_bool] = STATE(1296),
    [sym_identifier] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(843),
    [anon_sym_LBRACE] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(283),
    [anon_sym_while] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(661),
    [anon_sym_do] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_for] = ACTIONS(293),
    [anon_sym_foreach] = ACTIONS(295),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(299),
    [anon_sym_return] = ACTIONS(301),
    [anon_sym_yield] = ACTIONS(303),
    [anon_sym_resume] = ACTIONS(305),
    [anon_sym_local] = ACTIONS(307),
    [anon_sym_function] = ACTIONS(309),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_LBRACK] = ACTIONS(665),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_const] = ACTIONS(321),
    [anon_sym_enum] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_typeof] = ACTIONS(325),
    [anon_sym_PLUS_PLUS] = ACTIONS(667),
    [anon_sym_DASH_DASH] = ACTIONS(667),
    [anon_sym_delete] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(329),
    [anon_sym_rawcall] = ACTIONS(331),
    [anon_sym_AT] = ACTIONS(669),
    [anon_sym_clone] = ACTIONS(335),
    [sym_integer] = ACTIONS(277),
    [sym_float] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(339),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(673),
    [anon_sym_true] = ACTIONS(343),
    [anon_sym_false] = ACTIONS(343),
    [sym_null] = ACTIONS(277),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(347),
  },
  [161] = {
    [sym_block] = STATE(752),
    [sym_if_statement] = STATE(752),
    [sym_while_statement] = STATE(752),
    [sym_do_while_statement] = STATE(752),
    [sym_switch_statement] = STATE(752),
    [sym_for_statement] = STATE(752),
    [sym_foreach_statement] = STATE(752),
    [sym_break] = STATE(752),
    [sym_continue] = STATE(752),
    [sym_return] = STATE(752),
    [sym_yield] = STATE(752),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(752),
    [sym_function_declaration] = STATE(752),
    [sym_class_declaration] = STATE(752),
    [sym_try_statement] = STATE(752),
    [sym_throw_statement] = STATE(752),
    [sym_const_declaration] = STATE(752),
    [sym_enum_declaration] = STATE(752),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(752),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(501),
    [anon_sym_while] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(505),
    [anon_sym_foreach] = ACTIONS(507),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(509),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [162] = {
    [sym_block] = STATE(755),
    [sym_if_statement] = STATE(755),
    [sym_while_statement] = STATE(755),
    [sym_do_while_statement] = STATE(755),
    [sym_switch_statement] = STATE(755),
    [sym_for_statement] = STATE(755),
    [sym_foreach_statement] = STATE(755),
    [sym_break] = STATE(755),
    [sym_continue] = STATE(755),
    [sym_return] = STATE(755),
    [sym_yield] = STATE(755),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(755),
    [sym_function_declaration] = STATE(755),
    [sym_class_declaration] = STATE(755),
    [sym_try_statement] = STATE(755),
    [sym_throw_statement] = STATE(755),
    [sym_const_declaration] = STATE(755),
    [sym_enum_declaration] = STATE(755),
    [sym_expression] = STATE(754),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(755),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(501),
    [anon_sym_while] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(505),
    [anon_sym_foreach] = ACTIONS(507),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(509),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [163] = {
    [sym_block] = STATE(769),
    [sym_if_statement] = STATE(769),
    [sym_while_statement] = STATE(769),
    [sym_do_while_statement] = STATE(769),
    [sym_switch_statement] = STATE(769),
    [sym_for_statement] = STATE(769),
    [sym_foreach_statement] = STATE(769),
    [sym_break] = STATE(769),
    [sym_continue] = STATE(769),
    [sym_return] = STATE(769),
    [sym_yield] = STATE(769),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(769),
    [sym_function_declaration] = STATE(769),
    [sym_class_declaration] = STATE(769),
    [sym_try_statement] = STATE(769),
    [sym_throw_statement] = STATE(769),
    [sym_const_declaration] = STATE(769),
    [sym_enum_declaration] = STATE(769),
    [sym_expression] = STATE(840),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(769),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(501),
    [anon_sym_while] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(505),
    [anon_sym_foreach] = ACTIONS(507),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(509),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [164] = {
    [sym_block] = STATE(1076),
    [sym_if_statement] = STATE(1076),
    [sym_while_statement] = STATE(1076),
    [sym_do_while_statement] = STATE(1076),
    [sym_switch_statement] = STATE(1076),
    [sym_for_statement] = STATE(1076),
    [sym_foreach_statement] = STATE(1076),
    [sym_break] = STATE(1076),
    [sym_continue] = STATE(1076),
    [sym_return] = STATE(1076),
    [sym_yield] = STATE(1076),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(1076),
    [sym_function_declaration] = STATE(1076),
    [sym_class_declaration] = STATE(1076),
    [sym_try_statement] = STATE(1076),
    [sym_throw_statement] = STATE(1076),
    [sym_const_declaration] = STATE(1076),
    [sym_enum_declaration] = STATE(1076),
    [sym_expression] = STATE(1077),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(1076),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_while] = ACTIONS(247),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(249),
    [anon_sym_foreach] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(255),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(257),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(259),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [165] = {
    [sym_block] = STATE(773),
    [sym_if_statement] = STATE(773),
    [sym_while_statement] = STATE(773),
    [sym_do_while_statement] = STATE(773),
    [sym_switch_statement] = STATE(773),
    [sym_for_statement] = STATE(773),
    [sym_foreach_statement] = STATE(773),
    [sym_break] = STATE(773),
    [sym_continue] = STATE(773),
    [sym_return] = STATE(773),
    [sym_yield] = STATE(773),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(773),
    [sym_function_declaration] = STATE(773),
    [sym_class_declaration] = STATE(773),
    [sym_try_statement] = STATE(773),
    [sym_throw_statement] = STATE(773),
    [sym_const_declaration] = STATE(773),
    [sym_enum_declaration] = STATE(773),
    [sym_expression] = STATE(771),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(773),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(743),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(501),
    [anon_sym_while] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(505),
    [anon_sym_foreach] = ACTIONS(507),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(509),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [166] = {
    [sym_block] = STATE(752),
    [sym_if_statement] = STATE(752),
    [sym_while_statement] = STATE(752),
    [sym_do_while_statement] = STATE(752),
    [sym_switch_statement] = STATE(752),
    [sym_for_statement] = STATE(752),
    [sym_foreach_statement] = STATE(752),
    [sym_break] = STATE(752),
    [sym_continue] = STATE(752),
    [sym_return] = STATE(752),
    [sym_yield] = STATE(752),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(752),
    [sym_function_declaration] = STATE(752),
    [sym_class_declaration] = STATE(752),
    [sym_try_statement] = STATE(752),
    [sym_throw_statement] = STATE(752),
    [sym_const_declaration] = STATE(752),
    [sym_enum_declaration] = STATE(752),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(752),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_foreach] = ACTIONS(101),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(123),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [167] = {
    [sym_block] = STATE(871),
    [sym_if_statement] = STATE(871),
    [sym_while_statement] = STATE(871),
    [sym_do_while_statement] = STATE(871),
    [sym_switch_statement] = STATE(871),
    [sym_for_statement] = STATE(871),
    [sym_foreach_statement] = STATE(871),
    [sym_break] = STATE(871),
    [sym_continue] = STATE(871),
    [sym_return] = STATE(871),
    [sym_yield] = STATE(871),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(871),
    [sym_function_declaration] = STATE(871),
    [sym_class_declaration] = STATE(871),
    [sym_try_statement] = STATE(871),
    [sym_throw_statement] = STATE(871),
    [sym_const_declaration] = STATE(871),
    [sym_enum_declaration] = STATE(871),
    [sym_expression] = STATE(870),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(871),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(501),
    [anon_sym_while] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(505),
    [anon_sym_foreach] = ACTIONS(507),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(509),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [168] = {
    [sym_block] = STATE(781),
    [sym_if_statement] = STATE(781),
    [sym_while_statement] = STATE(781),
    [sym_do_while_statement] = STATE(781),
    [sym_switch_statement] = STATE(781),
    [sym_for_statement] = STATE(781),
    [sym_foreach_statement] = STATE(781),
    [sym_break] = STATE(781),
    [sym_continue] = STATE(781),
    [sym_return] = STATE(781),
    [sym_yield] = STATE(781),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(781),
    [sym_function_declaration] = STATE(781),
    [sym_class_declaration] = STATE(781),
    [sym_try_statement] = STATE(781),
    [sym_throw_statement] = STATE(781),
    [sym_const_declaration] = STATE(781),
    [sym_enum_declaration] = STATE(781),
    [sym_expression] = STATE(780),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(781),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(745),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(501),
    [anon_sym_while] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(505),
    [anon_sym_foreach] = ACTIONS(507),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(509),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [169] = {
    [sym_block] = STATE(1058),
    [sym_if_statement] = STATE(1058),
    [sym_while_statement] = STATE(1058),
    [sym_do_while_statement] = STATE(1058),
    [sym_switch_statement] = STATE(1058),
    [sym_for_statement] = STATE(1058),
    [sym_foreach_statement] = STATE(1058),
    [sym_break] = STATE(1058),
    [sym_continue] = STATE(1058),
    [sym_return] = STATE(1058),
    [sym_yield] = STATE(1058),
    [sym_resume_expression] = STATE(962),
    [sym_local_declaration] = STATE(1058),
    [sym_function_declaration] = STATE(1058),
    [sym_class_declaration] = STATE(1058),
    [sym_try_statement] = STATE(1058),
    [sym_throw_statement] = STATE(1058),
    [sym_const_declaration] = STATE(1058),
    [sym_enum_declaration] = STATE(1058),
    [sym_expression] = STATE(1059),
    [sym_primary_expression] = STATE(962),
    [sym_unary_expression] = STATE(959),
    [sym_binary_expression] = STATE(959),
    [sym_ternary_expression] = STATE(959),
    [sym_assignment_expression] = STATE(962),
    [sym_update_expression] = STATE(962),
    [sym_delete_expression] = STATE(962),
    [sym_var_statement] = STATE(1058),
    [sym_deref_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_anonymous_function] = STATE(959),
    [sym_lambda_expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_clone_expression] = STATE(962),
    [sym_array] = STATE(962),
    [sym_global_variable] = STATE(959),
    [sym_string] = STATE(959),
    [sym_char] = STATE(959),
    [sym_bool] = STATE(959),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_SEMI] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_while] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_do] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(185),
    [anon_sym_for] = ACTIONS(187),
    [anon_sym_foreach] = ACTIONS(189),
    [anon_sym_break] = ACTIONS(191),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_yield] = ACTIONS(197),
    [anon_sym_resume] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_function] = ACTIONS(203),
    [anon_sym_COLON_COLON] = ACTIONS(205),
    [anon_sym_class] = ACTIONS(207),
    [anon_sym_LBRACK] = ACTIONS(209),
    [anon_sym_try] = ACTIONS(211),
    [anon_sym_throw] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(215),
    [anon_sym_enum] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(219),
    [anon_sym_TILDE] = ACTIONS(221),
    [anon_sym_BANG] = ACTIONS(221),
    [anon_sym_typeof] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(221),
    [anon_sym_DASH_DASH] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(223),
    [anon_sym_var] = ACTIONS(225),
    [anon_sym_rawcall] = ACTIONS(227),
    [anon_sym_AT] = ACTIONS(229),
    [anon_sym_clone] = ACTIONS(231),
    [sym_integer] = ACTIONS(171),
    [sym_float] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_SQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(241),
    [anon_sym_false] = ACTIONS(241),
    [sym_null] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(233),
  },
  [170] = {
    [sym_block] = STATE(863),
    [sym_if_statement] = STATE(863),
    [sym_while_statement] = STATE(863),
    [sym_do_while_statement] = STATE(863),
    [sym_switch_statement] = STATE(863),
    [sym_for_statement] = STATE(863),
    [sym_foreach_statement] = STATE(863),
    [sym_break] = STATE(863),
    [sym_continue] = STATE(863),
    [sym_return] = STATE(863),
    [sym_yield] = STATE(863),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(863),
    [sym_function_declaration] = STATE(863),
    [sym_class_declaration] = STATE(863),
    [sym_try_statement] = STATE(863),
    [sym_throw_statement] = STATE(863),
    [sym_const_declaration] = STATE(863),
    [sym_enum_declaration] = STATE(863),
    [sym_expression] = STATE(862),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(863),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_foreach] = ACTIONS(101),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(123),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [171] = {
    [sym_block] = STATE(632),
    [sym_if_statement] = STATE(632),
    [sym_while_statement] = STATE(632),
    [sym_do_while_statement] = STATE(632),
    [sym_switch_statement] = STATE(632),
    [sym_for_statement] = STATE(632),
    [sym_foreach_statement] = STATE(632),
    [sym_break] = STATE(632),
    [sym_continue] = STATE(632),
    [sym_return] = STATE(632),
    [sym_yield] = STATE(632),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(632),
    [sym_function_declaration] = STATE(632),
    [sym_class_declaration] = STATE(632),
    [sym_try_statement] = STATE(632),
    [sym_throw_statement] = STATE(632),
    [sym_const_declaration] = STATE(632),
    [sym_enum_declaration] = STATE(632),
    [sym_expression] = STATE(1290),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(632),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(651),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(501),
    [anon_sym_while] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(505),
    [anon_sym_foreach] = ACTIONS(507),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(509),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [172] = {
    [sym_block] = STATE(845),
    [sym_if_statement] = STATE(845),
    [sym_while_statement] = STATE(845),
    [sym_do_while_statement] = STATE(845),
    [sym_switch_statement] = STATE(845),
    [sym_for_statement] = STATE(845),
    [sym_foreach_statement] = STATE(845),
    [sym_break] = STATE(845),
    [sym_continue] = STATE(845),
    [sym_return] = STATE(845),
    [sym_yield] = STATE(845),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(845),
    [sym_function_declaration] = STATE(845),
    [sym_class_declaration] = STATE(845),
    [sym_try_statement] = STATE(845),
    [sym_throw_statement] = STATE(845),
    [sym_const_declaration] = STATE(845),
    [sym_enum_declaration] = STATE(845),
    [sym_expression] = STATE(844),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(845),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(761),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(501),
    [anon_sym_while] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(505),
    [anon_sym_foreach] = ACTIONS(507),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(509),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [173] = {
    [sym_block] = STATE(888),
    [sym_if_statement] = STATE(888),
    [sym_while_statement] = STATE(888),
    [sym_do_while_statement] = STATE(888),
    [sym_switch_statement] = STATE(888),
    [sym_for_statement] = STATE(888),
    [sym_foreach_statement] = STATE(888),
    [sym_break] = STATE(888),
    [sym_continue] = STATE(888),
    [sym_return] = STATE(888),
    [sym_yield] = STATE(888),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(888),
    [sym_function_declaration] = STATE(888),
    [sym_class_declaration] = STATE(888),
    [sym_try_statement] = STATE(888),
    [sym_throw_statement] = STATE(888),
    [sym_const_declaration] = STATE(888),
    [sym_enum_declaration] = STATE(888),
    [sym_expression] = STATE(865),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(888),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(731),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_foreach] = ACTIONS(101),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(123),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [174] = {
    [sym_block] = STATE(655),
    [sym_if_statement] = STATE(655),
    [sym_while_statement] = STATE(655),
    [sym_do_while_statement] = STATE(655),
    [sym_switch_statement] = STATE(655),
    [sym_for_statement] = STATE(655),
    [sym_foreach_statement] = STATE(655),
    [sym_break] = STATE(655),
    [sym_continue] = STATE(655),
    [sym_return] = STATE(655),
    [sym_yield] = STATE(655),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(655),
    [sym_function_declaration] = STATE(655),
    [sym_class_declaration] = STATE(655),
    [sym_try_statement] = STATE(655),
    [sym_throw_statement] = STATE(655),
    [sym_const_declaration] = STATE(655),
    [sym_enum_declaration] = STATE(655),
    [sym_expression] = STATE(1227),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(655),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(787),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(501),
    [anon_sym_while] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(505),
    [anon_sym_foreach] = ACTIONS(507),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(509),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [175] = {
    [sym_block] = STATE(806),
    [sym_if_statement] = STATE(806),
    [sym_while_statement] = STATE(806),
    [sym_do_while_statement] = STATE(806),
    [sym_switch_statement] = STATE(806),
    [sym_for_statement] = STATE(806),
    [sym_foreach_statement] = STATE(806),
    [sym_break] = STATE(806),
    [sym_continue] = STATE(806),
    [sym_return] = STATE(806),
    [sym_yield] = STATE(806),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(806),
    [sym_function_declaration] = STATE(806),
    [sym_class_declaration] = STATE(806),
    [sym_try_statement] = STATE(806),
    [sym_throw_statement] = STATE(806),
    [sym_const_declaration] = STATE(806),
    [sym_enum_declaration] = STATE(806),
    [sym_expression] = STATE(805),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(806),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(749),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(501),
    [anon_sym_while] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(505),
    [anon_sym_foreach] = ACTIONS(507),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(509),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [176] = {
    [sym_block] = STATE(1692),
    [sym_if_statement] = STATE(1692),
    [sym_while_statement] = STATE(1692),
    [sym_do_while_statement] = STATE(1692),
    [sym_switch_statement] = STATE(1692),
    [sym_for_statement] = STATE(1692),
    [sym_foreach_statement] = STATE(1692),
    [sym_break] = STATE(1692),
    [sym_continue] = STATE(1692),
    [sym_return] = STATE(1692),
    [sym_yield] = STATE(1692),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(1692),
    [sym_function_declaration] = STATE(1692),
    [sym_class_declaration] = STATE(1692),
    [sym_try_statement] = STATE(1692),
    [sym_throw_statement] = STATE(1692),
    [sym_const_declaration] = STATE(1692),
    [sym_enum_declaration] = STATE(1692),
    [sym_expression] = STATE(1333),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(1692),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(845),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(501),
    [anon_sym_while] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(505),
    [anon_sym_foreach] = ACTIONS(507),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(509),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [177] = {
    [sym_block] = STATE(895),
    [sym_if_statement] = STATE(895),
    [sym_while_statement] = STATE(895),
    [sym_do_while_statement] = STATE(895),
    [sym_switch_statement] = STATE(895),
    [sym_for_statement] = STATE(895),
    [sym_foreach_statement] = STATE(895),
    [sym_break] = STATE(895),
    [sym_continue] = STATE(895),
    [sym_return] = STATE(895),
    [sym_yield] = STATE(895),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(895),
    [sym_function_declaration] = STATE(895),
    [sym_class_declaration] = STATE(895),
    [sym_try_statement] = STATE(895),
    [sym_throw_statement] = STATE(895),
    [sym_const_declaration] = STATE(895),
    [sym_enum_declaration] = STATE(895),
    [sym_expression] = STATE(857),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(895),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(87),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(99),
    [anon_sym_foreach] = ACTIONS(101),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(115),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(123),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [178] = {
    [sym_block] = STATE(830),
    [sym_if_statement] = STATE(830),
    [sym_while_statement] = STATE(830),
    [sym_do_while_statement] = STATE(830),
    [sym_switch_statement] = STATE(830),
    [sym_for_statement] = STATE(830),
    [sym_foreach_statement] = STATE(830),
    [sym_break] = STATE(830),
    [sym_continue] = STATE(830),
    [sym_return] = STATE(830),
    [sym_yield] = STATE(830),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(830),
    [sym_function_declaration] = STATE(830),
    [sym_class_declaration] = STATE(830),
    [sym_try_statement] = STATE(830),
    [sym_throw_statement] = STATE(830),
    [sym_const_declaration] = STATE(830),
    [sym_enum_declaration] = STATE(830),
    [sym_expression] = STATE(829),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(830),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(759),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(501),
    [anon_sym_while] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(505),
    [anon_sym_foreach] = ACTIONS(507),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(509),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [179] = {
    [sym_block] = STATE(827),
    [sym_if_statement] = STATE(827),
    [sym_while_statement] = STATE(827),
    [sym_do_while_statement] = STATE(827),
    [sym_switch_statement] = STATE(827),
    [sym_for_statement] = STATE(827),
    [sym_foreach_statement] = STATE(827),
    [sym_break] = STATE(827),
    [sym_continue] = STATE(827),
    [sym_return] = STATE(827),
    [sym_yield] = STATE(827),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(827),
    [sym_function_declaration] = STATE(827),
    [sym_class_declaration] = STATE(827),
    [sym_try_statement] = STATE(827),
    [sym_throw_statement] = STATE(827),
    [sym_const_declaration] = STATE(827),
    [sym_enum_declaration] = STATE(827),
    [sym_expression] = STATE(826),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(827),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(501),
    [anon_sym_while] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(505),
    [anon_sym_foreach] = ACTIONS(507),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(509),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [180] = {
    [sym_block] = STATE(821),
    [sym_if_statement] = STATE(821),
    [sym_while_statement] = STATE(821),
    [sym_do_while_statement] = STATE(821),
    [sym_switch_statement] = STATE(821),
    [sym_for_statement] = STATE(821),
    [sym_foreach_statement] = STATE(821),
    [sym_break] = STATE(821),
    [sym_continue] = STATE(821),
    [sym_return] = STATE(821),
    [sym_yield] = STATE(821),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(821),
    [sym_function_declaration] = STATE(821),
    [sym_class_declaration] = STATE(821),
    [sym_try_statement] = STATE(821),
    [sym_throw_statement] = STATE(821),
    [sym_const_declaration] = STATE(821),
    [sym_enum_declaration] = STATE(821),
    [sym_expression] = STATE(819),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(821),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(755),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(501),
    [anon_sym_while] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(505),
    [anon_sym_foreach] = ACTIONS(507),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(509),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [181] = {
    [sym_block] = STATE(1253),
    [sym_if_statement] = STATE(1253),
    [sym_while_statement] = STATE(1253),
    [sym_do_while_statement] = STATE(1253),
    [sym_switch_statement] = STATE(1253),
    [sym_for_statement] = STATE(1253),
    [sym_foreach_statement] = STATE(1253),
    [sym_break] = STATE(1253),
    [sym_continue] = STATE(1253),
    [sym_return] = STATE(1253),
    [sym_yield] = STATE(1253),
    [sym_resume_expression] = STATE(1302),
    [sym_local_declaration] = STATE(1253),
    [sym_function_declaration] = STATE(1253),
    [sym_class_declaration] = STATE(1253),
    [sym_try_statement] = STATE(1253),
    [sym_throw_statement] = STATE(1253),
    [sym_const_declaration] = STATE(1253),
    [sym_enum_declaration] = STATE(1253),
    [sym_expression] = STATE(1161),
    [sym_primary_expression] = STATE(1302),
    [sym_unary_expression] = STATE(1296),
    [sym_binary_expression] = STATE(1296),
    [sym_ternary_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(1302),
    [sym_update_expression] = STATE(1302),
    [sym_delete_expression] = STATE(1302),
    [sym_var_statement] = STATE(1253),
    [sym_deref_expression] = STATE(1296),
    [sym_index_expression] = STATE(1296),
    [sym_call_expression] = STATE(1296),
    [sym_anonymous_function] = STATE(1296),
    [sym_lambda_expression] = STATE(1296),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_clone_expression] = STATE(1302),
    [sym_array] = STATE(1302),
    [sym_global_variable] = STATE(1296),
    [sym_string] = STATE(1296),
    [sym_char] = STATE(1296),
    [sym_bool] = STATE(1296),
    [sym_identifier] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(847),
    [anon_sym_LBRACE] = ACTIONS(659),
    [anon_sym_if] = ACTIONS(283),
    [anon_sym_while] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(661),
    [anon_sym_do] = ACTIONS(289),
    [anon_sym_switch] = ACTIONS(291),
    [anon_sym_for] = ACTIONS(293),
    [anon_sym_foreach] = ACTIONS(295),
    [anon_sym_break] = ACTIONS(297),
    [anon_sym_continue] = ACTIONS(299),
    [anon_sym_return] = ACTIONS(301),
    [anon_sym_yield] = ACTIONS(303),
    [anon_sym_resume] = ACTIONS(305),
    [anon_sym_local] = ACTIONS(307),
    [anon_sym_function] = ACTIONS(309),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_LBRACK] = ACTIONS(665),
    [anon_sym_try] = ACTIONS(317),
    [anon_sym_throw] = ACTIONS(319),
    [anon_sym_const] = ACTIONS(321),
    [anon_sym_enum] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_typeof] = ACTIONS(325),
    [anon_sym_PLUS_PLUS] = ACTIONS(667),
    [anon_sym_DASH_DASH] = ACTIONS(667),
    [anon_sym_delete] = ACTIONS(327),
    [anon_sym_var] = ACTIONS(329),
    [anon_sym_rawcall] = ACTIONS(331),
    [anon_sym_AT] = ACTIONS(669),
    [anon_sym_clone] = ACTIONS(335),
    [sym_integer] = ACTIONS(277),
    [sym_float] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(671),
    [anon_sym_SQUOTE] = ACTIONS(339),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(673),
    [anon_sym_true] = ACTIONS(343),
    [anon_sym_false] = ACTIONS(343),
    [sym_null] = ACTIONS(277),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(347),
  },
  [182] = {
    [sym_block] = STATE(271),
    [sym_if_statement] = STATE(271),
    [sym_while_statement] = STATE(271),
    [sym_do_while_statement] = STATE(271),
    [sym_switch_statement] = STATE(271),
    [sym_for_statement] = STATE(271),
    [sym_foreach_statement] = STATE(271),
    [sym_break] = STATE(271),
    [sym_continue] = STATE(271),
    [sym_return] = STATE(271),
    [sym_yield] = STATE(271),
    [sym_resume_expression] = STATE(291),
    [sym_local_declaration] = STATE(271),
    [sym_function_declaration] = STATE(271),
    [sym_class_declaration] = STATE(271),
    [sym_try_statement] = STATE(271),
    [sym_throw_statement] = STATE(271),
    [sym_const_declaration] = STATE(271),
    [sym_enum_declaration] = STATE(271),
    [sym_expression] = STATE(272),
    [sym_primary_expression] = STATE(291),
    [sym_unary_expression] = STATE(284),
    [sym_binary_expression] = STATE(284),
    [sym_ternary_expression] = STATE(284),
    [sym_assignment_expression] = STATE(291),
    [sym_update_expression] = STATE(291),
    [sym_delete_expression] = STATE(291),
    [sym_var_statement] = STATE(271),
    [sym_deref_expression] = STATE(284),
    [sym_index_expression] = STATE(284),
    [sym_call_expression] = STATE(284),
    [sym_anonymous_function] = STATE(284),
    [sym_lambda_expression] = STATE(284),
    [sym_parenthesized_expression] = STATE(284),
    [sym_clone_expression] = STATE(291),
    [sym_array] = STATE(291),
    [sym_global_variable] = STATE(284),
    [sym_string] = STATE(284),
    [sym_char] = STATE(284),
    [sym_bool] = STATE(284),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(817),
    [anon_sym_LBRACE] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(13),
    [anon_sym_while] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_do] = ACTIONS(19),
    [anon_sym_switch] = ACTIONS(21),
    [anon_sym_for] = ACTIONS(23),
    [anon_sym_foreach] = ACTIONS(25),
    [anon_sym_break] = ACTIONS(27),
    [anon_sym_continue] = ACTIONS(29),
    [anon_sym_return] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(33),
    [anon_sym_resume] = ACTIONS(35),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_function] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_class] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_try] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_const] = ACTIONS(51),
    [anon_sym_enum] = ACTIONS(53),
    [anon_sym_DASH] = ACTIONS(55),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_typeof] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(57),
    [anon_sym_DASH_DASH] = ACTIONS(57),
    [anon_sym_delete] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(61),
    [anon_sym_rawcall] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(65),
    [anon_sym_clone] = ACTIONS(67),
    [sym_integer] = ACTIONS(7),
    [sym_float] = ACTIONS(69),
    [anon_sym_DQUOTE] = ACTIONS(71),
    [anon_sym_SQUOTE] = ACTIONS(73),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [sym_null] = ACTIONS(7),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(69),
  },
  [183] = {
    [sym_block] = STATE(812),
    [sym_if_statement] = STATE(812),
    [sym_while_statement] = STATE(812),
    [sym_do_while_statement] = STATE(812),
    [sym_switch_statement] = STATE(812),
    [sym_for_statement] = STATE(812),
    [sym_foreach_statement] = STATE(812),
    [sym_break] = STATE(812),
    [sym_continue] = STATE(812),
    [sym_return] = STATE(812),
    [sym_yield] = STATE(812),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(812),
    [sym_function_declaration] = STATE(812),
    [sym_class_declaration] = STATE(812),
    [sym_try_statement] = STATE(812),
    [sym_throw_statement] = STATE(812),
    [sym_const_declaration] = STATE(812),
    [sym_enum_declaration] = STATE(812),
    [sym_expression] = STATE(838),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(812),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(501),
    [anon_sym_while] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(505),
    [anon_sym_foreach] = ACTIONS(507),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(509),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [184] = {
    [sym_block] = STATE(681),
    [sym_if_statement] = STATE(681),
    [sym_while_statement] = STATE(681),
    [sym_do_while_statement] = STATE(681),
    [sym_switch_statement] = STATE(681),
    [sym_for_statement] = STATE(681),
    [sym_foreach_statement] = STATE(681),
    [sym_break] = STATE(681),
    [sym_continue] = STATE(681),
    [sym_return] = STATE(681),
    [sym_yield] = STATE(681),
    [sym_resume_expression] = STATE(822),
    [sym_local_declaration] = STATE(681),
    [sym_function_declaration] = STATE(681),
    [sym_class_declaration] = STATE(681),
    [sym_try_statement] = STATE(681),
    [sym_throw_statement] = STATE(681),
    [sym_const_declaration] = STATE(681),
    [sym_enum_declaration] = STATE(681),
    [sym_expression] = STATE(1295),
    [sym_primary_expression] = STATE(822),
    [sym_unary_expression] = STATE(843),
    [sym_binary_expression] = STATE(843),
    [sym_ternary_expression] = STATE(843),
    [sym_assignment_expression] = STATE(822),
    [sym_update_expression] = STATE(822),
    [sym_delete_expression] = STATE(822),
    [sym_var_statement] = STATE(681),
    [sym_deref_expression] = STATE(843),
    [sym_index_expression] = STATE(843),
    [sym_call_expression] = STATE(843),
    [sym_anonymous_function] = STATE(843),
    [sym_lambda_expression] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym_clone_expression] = STATE(822),
    [sym_array] = STATE(822),
    [sym_global_variable] = STATE(843),
    [sym_string] = STATE(843),
    [sym_char] = STATE(843),
    [sym_bool] = STATE(843),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(783),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(501),
    [anon_sym_while] = ACTIONS(503),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_do] = ACTIONS(95),
    [anon_sym_switch] = ACTIONS(97),
    [anon_sym_for] = ACTIONS(505),
    [anon_sym_foreach] = ACTIONS(507),
    [anon_sym_break] = ACTIONS(103),
    [anon_sym_continue] = ACTIONS(105),
    [anon_sym_return] = ACTIONS(107),
    [anon_sym_yield] = ACTIONS(109),
    [anon_sym_resume] = ACTIONS(111),
    [anon_sym_local] = ACTIONS(113),
    [anon_sym_function] = ACTIONS(509),
    [anon_sym_COLON_COLON] = ACTIONS(117),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(121),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_throw] = ACTIONS(125),
    [anon_sym_const] = ACTIONS(127),
    [anon_sym_enum] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(133),
    [anon_sym_BANG] = ACTIONS(133),
    [anon_sym_typeof] = ACTIONS(131),
    [anon_sym_PLUS_PLUS] = ACTIONS(133),
    [anon_sym_DASH_DASH] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_var] = ACTIONS(137),
    [anon_sym_rawcall] = ACTIONS(139),
    [anon_sym_AT] = ACTIONS(141),
    [anon_sym_clone] = ACTIONS(143),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(145),
    [anon_sym_DQUOTE] = ACTIONS(147),
    [anon_sym_SQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(153),
    [anon_sym_false] = ACTIONS(153),
    [sym_null] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(145),
  },
  [185] = {
    [sym_resume_expression] = STATE(1302),
    [sym_expression] = STATE(1311),
    [sym_primary_expression] = STATE(1302),
    [sym_unary_expression] = STATE(1296),
    [sym_binary_expression] = STATE(1296),
    [sym_ternary_expression] = STATE(1296),
    [sym_assignment_expression] = STATE(1302),
    [sym_update_expression] = STATE(1302),
    [sym_table] = STATE(1312),
    [sym_delete_expression] = STATE(1302),
    [sym_deref_expression] = STATE(1296),
    [sym_index_expression] = STATE(1296),
    [sym_call_expression] = STATE(1296),
    [sym_anonymous_function] = STATE(1296),
    [sym_lambda_expression] = STATE(1296),
    [sym_parenthesized_expression] = STATE(1296),
    [sym_clone_expression] = STATE(1302),
    [sym_array] = STATE(1302),
    [sym_global_variable] = STATE(1296),
    [sym_string] = STATE(1296),
    [sym_char] = STATE(1296),
    [sym_bool] = STATE(1296),
    [sym_identifier] = ACTIONS(277),
    [anon_sym_SEMI] = ACTIONS(849),
    [anon_sym_LBRACE] = ACTIONS(851),
    [anon_sym_else] = ACTIONS(355),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_COMMA] = ACTIONS(355),
    [anon_sym_in] = ACTIONS(355),
    [anon_sym_LF] = ACTIONS(349),
    [anon_sym_resume] = ACTIONS(305),
    [anon_sym_EQ] = ACTIONS(355),
    [anon_sym_LT_DASH] = ACTIONS(355),
    [anon_sym_function] = ACTIONS(853),
    [anon_sym_COLON_COLON] = ACTIONS(311),
    [anon_sym_DOT] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_TILDE] = ACTIONS(325),
    [anon_sym_BANG] = ACTIONS(325),
    [anon_sym_typeof] = ACTIONS(325),
    [anon_sym_PLUS_PLUS] = ACTIONS(325),
    [anon_sym_DASH_DASH] = ACTIONS(325),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_STAR] = ACTIONS(355),
    [anon_sym_SLASH] = ACTIONS(355),
    [anon_sym_PERCENT] = ACTIONS(355),
    [anon_sym_PIPE_PIPE] = ACTIONS(355),
    [anon_sym_AMP_AMP] = ACTIONS(355),
    [anon_sym_PIPE] = ACTIONS(355),
    [anon_sym_CARET] = ACTIONS(355),
    [anon_sym_AMP] = ACTIONS(355),
    [anon_sym_EQ_EQ] = ACTIONS(355),
    [anon_sym_BANG_EQ] = ACTIONS(355),
    [anon_sym_LT_EQ_GT] = ACTIONS(355),
    [anon_sym_GT] = ACTIONS(355),
    [anon_sym_GT_EQ] = ACTIONS(355),
    [anon_sym_LT_EQ] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(355),
    [anon_sym_instanceof] = ACTIONS(355),
    [anon_sym_LT_LT] = ACTIONS(355),
    [anon_sym_GT_GT] = ACTIONS(355),
    [anon_sym_GT_GT_GT] = ACTIONS(355),
    [anon_sym_QMARK] = ACTIONS(355),
    [anon_sym_PLUS_EQ] = ACTIONS(355),
    [anon_sym_DASH_EQ] = ACTIONS(355),
    [anon_sym_STAR_EQ] = ACTIONS(355),
    [anon_sym_SLASH_EQ] = ACTIONS(355),
    [anon_sym_PERCENT_EQ] = ACTIONS(355),
    [anon_sym_delete] = ACTIONS(327),
    [anon_sym_rawcall] = ACTIONS(331),
    [anon_sym_AT] = ACTIONS(333),
    [anon_sym_clone] = ACTIONS(335),
    [sym_integer] = ACTIONS(277),
    [sym_float] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(337),
    [anon_sym_SQUOTE] = ACTIONS(339),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(341),
    [anon_sym_true] = ACTIONS(343),
    [anon_sym_false] = ACTIONS(343),
    [sym_null] = ACTIONS(277),
    [sym_comment] = ACTIONS(345),
    [sym_verbatim_string] = ACTIONS(347),
  },
  [186] = {
    [sym_else_statement] = STATE(273),
    [ts_builtin_sym_end] = ACTIONS(855),
    [sym_identifier] = ACTIONS(857),
    [anon_sym_SEMI] = ACTIONS(855),
    [anon_sym_LBRACE] = ACTIONS(855),
    [anon_sym_RBRACE] = ACTIONS(855),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_else] = ACTIONS(859),
    [anon_sym_while] = ACTIONS(857),
    [anon_sym_LPAREN] = ACTIONS(855),
    [anon_sym_do] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(857),
    [anon_sym_case] = ACTIONS(857),
    [anon_sym_default] = ACTIONS(857),
    [anon_sym_for] = ACTIONS(857),
    [anon_sym_foreach] = ACTIONS(857),
    [anon_sym_COMMA] = ACTIONS(855),
    [anon_sym_in] = ACTIONS(857),
    [anon_sym_break] = ACTIONS(857),
    [anon_sym_continue] = ACTIONS(857),
    [anon_sym_return] = ACTIONS(857),
    [anon_sym_yield] = ACTIONS(857),
    [anon_sym_resume] = ACTIONS(857),
    [anon_sym_local] = ACTIONS(857),
    [anon_sym_EQ] = ACTIONS(857),
    [anon_sym_LT_DASH] = ACTIONS(855),
    [anon_sym_function] = ACTIONS(857),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_class] = ACTIONS(857),
    [anon_sym_DOT] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(855),
    [anon_sym_try] = ACTIONS(857),
    [anon_sym_throw] = ACTIONS(857),
    [anon_sym_const] = ACTIONS(857),
    [anon_sym_enum] = ACTIONS(857),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_TILDE] = ACTIONS(855),
    [anon_sym_BANG] = ACTIONS(857),
    [anon_sym_typeof] = ACTIONS(857),
    [anon_sym_PLUS_PLUS] = ACTIONS(855),
    [anon_sym_DASH_DASH] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_STAR] = ACTIONS(857),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_PERCENT] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(855),
    [anon_sym_AMP_AMP] = ACTIONS(855),
    [anon_sym_PIPE] = ACTIONS(857),
    [anon_sym_CARET] = ACTIONS(855),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_EQ_EQ] = ACTIONS(855),
    [anon_sym_BANG_EQ] = ACTIONS(855),
    [anon_sym_LT_EQ_GT] = ACTIONS(855),
    [anon_sym_GT] = ACTIONS(857),
    [anon_sym_GT_EQ] = ACTIONS(855),
    [anon_sym_LT_EQ] = ACTIONS(857),
    [anon_sym_LT] = ACTIONS(857),
    [anon_sym_instanceof] = ACTIONS(857),
    [anon_sym_LT_LT] = ACTIONS(855),
    [anon_sym_GT_GT] = ACTIONS(857),
    [anon_sym_GT_GT_GT] = ACTIONS(855),
    [anon_sym_QMARK] = ACTIONS(855),
    [anon_sym_PLUS_EQ] = ACTIONS(855),
    [anon_sym_DASH_EQ] = ACTIONS(855),
    [anon_sym_STAR_EQ] = ACTIONS(855),
    [anon_sym_SLASH_EQ] = ACTIONS(855),
    [anon_sym_PERCENT_EQ] = ACTIONS(855),
    [anon_sym_delete] = ACTIONS(857),
    [anon_sym_var] = ACTIONS(857),
    [anon_sym_rawcall] = ACTIONS(857),
    [anon_sym_AT] = ACTIONS(855),
    [anon_sym_clone] = ACTIONS(857),
    [sym_integer] = ACTIONS(857),
    [sym_float] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [anon_sym_SQUOTE] = ACTIONS(857),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [sym_null] = ACTIONS(857),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(855),
  },
  [187] = {
    [sym_else_statement] = STATE(296),
    [ts_builtin_sym_end] = ACTIONS(861),
    [sym_identifier] = ACTIONS(863),
    [anon_sym_SEMI] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(861),
    [anon_sym_RBRACE] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(863),
    [anon_sym_else] = ACTIONS(859),
    [anon_sym_while] = ACTIONS(863),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_do] = ACTIONS(863),
    [anon_sym_switch] = ACTIONS(863),
    [anon_sym_case] = ACTIONS(863),
    [anon_sym_default] = ACTIONS(863),
    [anon_sym_for] = ACTIONS(863),
    [anon_sym_foreach] = ACTIONS(863),
    [anon_sym_COMMA] = ACTIONS(861),
    [anon_sym_in] = ACTIONS(863),
    [anon_sym_break] = ACTIONS(863),
    [anon_sym_continue] = ACTIONS(863),
    [anon_sym_return] = ACTIONS(863),
    [anon_sym_yield] = ACTIONS(863),
    [anon_sym_resume] = ACTIONS(863),
    [anon_sym_local] = ACTIONS(863),
    [anon_sym_EQ] = ACTIONS(863),
    [anon_sym_LT_DASH] = ACTIONS(861),
    [anon_sym_function] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(861),
    [anon_sym_class] = ACTIONS(863),
    [anon_sym_DOT] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(861),
    [anon_sym_try] = ACTIONS(863),
    [anon_sym_throw] = ACTIONS(863),
    [anon_sym_const] = ACTIONS(863),
    [anon_sym_enum] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(861),
    [anon_sym_BANG] = ACTIONS(863),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(861),
    [anon_sym_DASH_DASH] = ACTIONS(861),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_STAR] = ACTIONS(863),
    [anon_sym_SLASH] = ACTIONS(863),
    [anon_sym_PERCENT] = ACTIONS(863),
    [anon_sym_PIPE_PIPE] = ACTIONS(861),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_PIPE] = ACTIONS(863),
    [anon_sym_CARET] = ACTIONS(861),
    [anon_sym_AMP] = ACTIONS(863),
    [anon_sym_EQ_EQ] = ACTIONS(861),
    [anon_sym_BANG_EQ] = ACTIONS(861),
    [anon_sym_LT_EQ_GT] = ACTIONS(861),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(861),
    [anon_sym_LT_EQ] = ACTIONS(863),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_instanceof] = ACTIONS(863),
    [anon_sym_LT_LT] = ACTIONS(861),
    [anon_sym_GT_GT] = ACTIONS(863),
    [anon_sym_GT_GT_GT] = ACTIONS(861),
    [anon_sym_QMARK] = ACTIONS(861),
    [anon_sym_PLUS_EQ] = ACTIONS(861),
    [anon_sym_DASH_EQ] = ACTIONS(861),
    [anon_sym_STAR_EQ] = ACTIONS(861),
    [anon_sym_SLASH_EQ] = ACTIONS(861),
    [anon_sym_PERCENT_EQ] = ACTIONS(861),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_var] = ACTIONS(863),
    [anon_sym_rawcall] = ACTIONS(863),
    [anon_sym_AT] = ACTIONS(861),
    [anon_sym_clone] = ACTIONS(863),
    [sym_integer] = ACTIONS(863),
    [sym_float] = ACTIONS(861),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_SQUOTE] = ACTIONS(863),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(861),
    [anon_sym_true] = ACTIONS(863),
    [anon_sym_false] = ACTIONS(863),
    [sym_null] = ACTIONS(863),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(861),
  },
  [188] = {
    [sym_else_statement] = STATE(296),
    [ts_builtin_sym_end] = ACTIONS(861),
    [sym_identifier] = ACTIONS(863),
    [anon_sym_SEMI] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(861),
    [anon_sym_RBRACE] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(863),
    [anon_sym_else] = ACTIONS(859),
    [anon_sym_while] = ACTIONS(863),
    [anon_sym_LPAREN] = ACTIONS(861),
    [anon_sym_do] = ACTIONS(863),
    [anon_sym_switch] = ACTIONS(863),
    [anon_sym_case] = ACTIONS(863),
    [anon_sym_default] = ACTIONS(863),
    [anon_sym_for] = ACTIONS(863),
    [anon_sym_foreach] = ACTIONS(863),
    [anon_sym_COMMA] = ACTIONS(861),
    [anon_sym_in] = ACTIONS(863),
    [anon_sym_break] = ACTIONS(863),
    [anon_sym_continue] = ACTIONS(863),
    [anon_sym_return] = ACTIONS(863),
    [anon_sym_yield] = ACTIONS(863),
    [anon_sym_resume] = ACTIONS(863),
    [anon_sym_local] = ACTIONS(863),
    [anon_sym_EQ] = ACTIONS(863),
    [anon_sym_LT_DASH] = ACTIONS(861),
    [anon_sym_function] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(861),
    [anon_sym_class] = ACTIONS(863),
    [anon_sym_DOT] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(861),
    [anon_sym_try] = ACTIONS(863),
    [anon_sym_throw] = ACTIONS(863),
    [anon_sym_const] = ACTIONS(863),
    [anon_sym_enum] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(861),
    [anon_sym_BANG] = ACTIONS(863),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(861),
    [anon_sym_DASH_DASH] = ACTIONS(861),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym_STAR] = ACTIONS(863),
    [anon_sym_SLASH] = ACTIONS(863),
    [anon_sym_PERCENT] = ACTIONS(863),
    [anon_sym_PIPE_PIPE] = ACTIONS(861),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_PIPE] = ACTIONS(863),
    [anon_sym_CARET] = ACTIONS(861),
    [anon_sym_AMP] = ACTIONS(863),
    [anon_sym_EQ_EQ] = ACTIONS(861),
    [anon_sym_BANG_EQ] = ACTIONS(861),
    [anon_sym_LT_EQ_GT] = ACTIONS(861),
    [anon_sym_GT] = ACTIONS(863),
    [anon_sym_GT_EQ] = ACTIONS(861),
    [anon_sym_LT_EQ] = ACTIONS(863),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_instanceof] = ACTIONS(863),
    [anon_sym_LT_LT] = ACTIONS(861),
    [anon_sym_GT_GT] = ACTIONS(863),
    [anon_sym_GT_GT_GT] = ACTIONS(861),
    [anon_sym_QMARK] = ACTIONS(861),
    [anon_sym_PLUS_EQ] = ACTIONS(861),
    [anon_sym_DASH_EQ] = ACTIONS(861),
    [anon_sym_STAR_EQ] = ACTIONS(861),
    [anon_sym_SLASH_EQ] = ACTIONS(861),
    [anon_sym_PERCENT_EQ] = ACTIONS(861),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_var] = ACTIONS(863),
    [anon_sym_rawcall] = ACTIONS(863),
    [anon_sym_AT] = ACTIONS(861),
    [anon_sym_clone] = ACTIONS(863),
    [sym_integer] = ACTIONS(863),
    [sym_float] = ACTIONS(861),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_SQUOTE] = ACTIONS(863),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(861),
    [anon_sym_true] = ACTIONS(863),
    [anon_sym_false] = ACTIONS(863),
    [sym_null] = ACTIONS(863),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(861),
  },
  [189] = {
    [sym_else_statement] = STATE(296),
    [ts_builtin_sym_end] = ACTIONS(861),
    [sym_identifier] = ACTIONS(863),
    [anon_sym_SEMI] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(861),
    [anon_sym_RBRACE] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(863),
    [anon_sym_else] = ACTIONS(859),
    [anon_sym_while] = ACTIONS(863),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(863),
    [anon_sym_switch] = ACTIONS(863),
    [anon_sym_case] = ACTIONS(863),
    [anon_sym_default] = ACTIONS(863),
    [anon_sym_for] = ACTIONS(863),
    [anon_sym_foreach] = ACTIONS(863),
    [anon_sym_COMMA] = ACTIONS(861),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_break] = ACTIONS(863),
    [anon_sym_continue] = ACTIONS(863),
    [anon_sym_return] = ACTIONS(863),
    [anon_sym_yield] = ACTIONS(863),
    [anon_sym_resume] = ACTIONS(863),
    [anon_sym_local] = ACTIONS(863),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(861),
    [anon_sym_class] = ACTIONS(863),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(863),
    [anon_sym_throw] = ACTIONS(863),
    [anon_sym_const] = ACTIONS(863),
    [anon_sym_enum] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(861),
    [anon_sym_BANG] = ACTIONS(863),
    [anon_sym_typeof] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(885),
    [anon_sym_AMP_AMP] = ACTIONS(887),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(905),
    [anon_sym_PLUS_EQ] = ACTIONS(873),
    [anon_sym_DASH_EQ] = ACTIONS(873),
    [anon_sym_STAR_EQ] = ACTIONS(873),
    [anon_sym_SLASH_EQ] = ACTIONS(873),
    [anon_sym_PERCENT_EQ] = ACTIONS(873),
    [anon_sym_delete] = ACTIONS(863),
    [anon_sym_var] = ACTIONS(863),
    [anon_sym_rawcall] = ACTIONS(863),
    [anon_sym_AT] = ACTIONS(861),
    [anon_sym_clone] = ACTIONS(863),
    [sym_integer] = ACTIONS(863),
    [sym_float] = ACTIONS(861),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_SQUOTE] = ACTIONS(863),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(861),
    [anon_sym_true] = ACTIONS(863),
    [anon_sym_false] = ACTIONS(863),
    [sym_null] = ACTIONS(863),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(861),
  },
  [190] = {
    [ts_builtin_sym_end] = ACTIONS(907),
    [sym_identifier] = ACTIONS(909),
    [anon_sym_SEMI] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(907),
    [anon_sym_RBRACE] = ACTIONS(907),
    [anon_sym_if] = ACTIONS(909),
    [anon_sym_else] = ACTIONS(909),
    [anon_sym_while] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(909),
    [anon_sym_switch] = ACTIONS(909),
    [anon_sym_case] = ACTIONS(909),
    [anon_sym_default] = ACTIONS(909),
    [anon_sym_for] = ACTIONS(909),
    [anon_sym_foreach] = ACTIONS(909),
    [anon_sym_COMMA] = ACTIONS(907),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_break] = ACTIONS(909),
    [anon_sym_continue] = ACTIONS(909),
    [anon_sym_return] = ACTIONS(909),
    [anon_sym_yield] = ACTIONS(909),
    [anon_sym_resume] = ACTIONS(909),
    [anon_sym_local] = ACTIONS(909),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(909),
    [anon_sym_COLON_COLON] = ACTIONS(907),
    [anon_sym_class] = ACTIONS(909),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(909),
    [anon_sym_throw] = ACTIONS(909),
    [anon_sym_const] = ACTIONS(909),
    [anon_sym_enum] = ACTIONS(909),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(907),
    [anon_sym_BANG] = ACTIONS(909),
    [anon_sym_typeof] = ACTIONS(909),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(885),
    [anon_sym_AMP_AMP] = ACTIONS(887),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(905),
    [anon_sym_PLUS_EQ] = ACTIONS(873),
    [anon_sym_DASH_EQ] = ACTIONS(873),
    [anon_sym_STAR_EQ] = ACTIONS(873),
    [anon_sym_SLASH_EQ] = ACTIONS(873),
    [anon_sym_PERCENT_EQ] = ACTIONS(873),
    [anon_sym_delete] = ACTIONS(909),
    [anon_sym_var] = ACTIONS(909),
    [anon_sym_rawcall] = ACTIONS(909),
    [anon_sym_AT] = ACTIONS(907),
    [anon_sym_clone] = ACTIONS(909),
    [sym_integer] = ACTIONS(909),
    [sym_float] = ACTIONS(907),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [anon_sym_SQUOTE] = ACTIONS(909),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(907),
    [anon_sym_true] = ACTIONS(909),
    [anon_sym_false] = ACTIONS(909),
    [sym_null] = ACTIONS(909),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(907),
  },
  [191] = {
    [ts_builtin_sym_end] = ACTIONS(911),
    [sym_identifier] = ACTIONS(913),
    [anon_sym_SEMI] = ACTIONS(785),
    [anon_sym_LBRACE] = ACTIONS(911),
    [anon_sym_RBRACE] = ACTIONS(911),
    [anon_sym_if] = ACTIONS(913),
    [anon_sym_else] = ACTIONS(913),
    [anon_sym_while] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(913),
    [anon_sym_switch] = ACTIONS(913),
    [anon_sym_case] = ACTIONS(913),
    [anon_sym_default] = ACTIONS(913),
    [anon_sym_for] = ACTIONS(913),
    [anon_sym_foreach] = ACTIONS(913),
    [anon_sym_COMMA] = ACTIONS(911),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_break] = ACTIONS(913),
    [anon_sym_continue] = ACTIONS(913),
    [anon_sym_return] = ACTIONS(913),
    [anon_sym_yield] = ACTIONS(913),
    [anon_sym_resume] = ACTIONS(913),
    [anon_sym_local] = ACTIONS(913),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(913),
    [anon_sym_COLON_COLON] = ACTIONS(911),
    [anon_sym_class] = ACTIONS(913),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(913),
    [anon_sym_throw] = ACTIONS(913),
    [anon_sym_const] = ACTIONS(913),
    [anon_sym_enum] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(911),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_typeof] = ACTIONS(913),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(885),
    [anon_sym_AMP_AMP] = ACTIONS(887),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(905),
    [anon_sym_PLUS_EQ] = ACTIONS(873),
    [anon_sym_DASH_EQ] = ACTIONS(873),
    [anon_sym_STAR_EQ] = ACTIONS(873),
    [anon_sym_SLASH_EQ] = ACTIONS(873),
    [anon_sym_PERCENT_EQ] = ACTIONS(873),
    [anon_sym_delete] = ACTIONS(913),
    [anon_sym_var] = ACTIONS(913),
    [anon_sym_rawcall] = ACTIONS(913),
    [anon_sym_AT] = ACTIONS(911),
    [anon_sym_clone] = ACTIONS(913),
    [sym_integer] = ACTIONS(913),
    [sym_float] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_SQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(911),
    [anon_sym_true] = ACTIONS(913),
    [anon_sym_false] = ACTIONS(913),
    [sym_null] = ACTIONS(913),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(911),
  },
  [192] = {
    [ts_builtin_sym_end] = ACTIONS(915),
    [sym_identifier] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_RBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_else] = ACTIONS(917),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(917),
    [anon_sym_switch] = ACTIONS(917),
    [anon_sym_case] = ACTIONS(917),
    [anon_sym_default] = ACTIONS(917),
    [anon_sym_for] = ACTIONS(917),
    [anon_sym_foreach] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(915),
    [anon_sym_in] = ACTIONS(917),
    [anon_sym_break] = ACTIONS(917),
    [anon_sym_continue] = ACTIONS(917),
    [anon_sym_return] = ACTIONS(917),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_resume] = ACTIONS(917),
    [anon_sym_local] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [anon_sym_LT_DASH] = ACTIONS(915),
    [anon_sym_function] = ACTIONS(917),
    [anon_sym_COLON_COLON] = ACTIONS(915),
    [anon_sym_class] = ACTIONS(917),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(917),
    [anon_sym_throw] = ACTIONS(917),
    [anon_sym_const] = ACTIONS(917),
    [anon_sym_enum] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(915),
    [anon_sym_BANG] = ACTIONS(917),
    [anon_sym_typeof] = ACTIONS(917),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(915),
    [anon_sym_AMP_AMP] = ACTIONS(915),
    [anon_sym_PIPE] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(915),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(915),
    [anon_sym_PLUS_EQ] = ACTIONS(915),
    [anon_sym_DASH_EQ] = ACTIONS(915),
    [anon_sym_STAR_EQ] = ACTIONS(915),
    [anon_sym_SLASH_EQ] = ACTIONS(915),
    [anon_sym_PERCENT_EQ] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(917),
    [anon_sym_var] = ACTIONS(917),
    [anon_sym_rawcall] = ACTIONS(917),
    [anon_sym_AT] = ACTIONS(915),
    [anon_sym_clone] = ACTIONS(917),
    [sym_integer] = ACTIONS(917),
    [sym_float] = ACTIONS(915),
    [anon_sym_DQUOTE] = ACTIONS(915),
    [anon_sym_SQUOTE] = ACTIONS(917),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(917),
    [anon_sym_false] = ACTIONS(917),
    [sym_null] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(915),
  },
  [193] = {
    [ts_builtin_sym_end] = ACTIONS(915),
    [sym_identifier] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_RBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_else] = ACTIONS(917),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(917),
    [anon_sym_switch] = ACTIONS(917),
    [anon_sym_case] = ACTIONS(917),
    [anon_sym_default] = ACTIONS(917),
    [anon_sym_for] = ACTIONS(917),
    [anon_sym_foreach] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(915),
    [anon_sym_in] = ACTIONS(917),
    [anon_sym_break] = ACTIONS(917),
    [anon_sym_continue] = ACTIONS(917),
    [anon_sym_return] = ACTIONS(917),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_resume] = ACTIONS(917),
    [anon_sym_local] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [anon_sym_LT_DASH] = ACTIONS(915),
    [anon_sym_function] = ACTIONS(917),
    [anon_sym_COLON_COLON] = ACTIONS(915),
    [anon_sym_class] = ACTIONS(917),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(917),
    [anon_sym_throw] = ACTIONS(917),
    [anon_sym_const] = ACTIONS(917),
    [anon_sym_enum] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(915),
    [anon_sym_BANG] = ACTIONS(917),
    [anon_sym_typeof] = ACTIONS(917),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(915),
    [anon_sym_AMP_AMP] = ACTIONS(915),
    [anon_sym_PIPE] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(915),
    [anon_sym_PLUS_EQ] = ACTIONS(915),
    [anon_sym_DASH_EQ] = ACTIONS(915),
    [anon_sym_STAR_EQ] = ACTIONS(915),
    [anon_sym_SLASH_EQ] = ACTIONS(915),
    [anon_sym_PERCENT_EQ] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(917),
    [anon_sym_var] = ACTIONS(917),
    [anon_sym_rawcall] = ACTIONS(917),
    [anon_sym_AT] = ACTIONS(915),
    [anon_sym_clone] = ACTIONS(917),
    [sym_integer] = ACTIONS(917),
    [sym_float] = ACTIONS(915),
    [anon_sym_DQUOTE] = ACTIONS(915),
    [anon_sym_SQUOTE] = ACTIONS(917),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(917),
    [anon_sym_false] = ACTIONS(917),
    [sym_null] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(915),
  },
  [194] = {
    [ts_builtin_sym_end] = ACTIONS(915),
    [sym_identifier] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_RBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_else] = ACTIONS(917),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(917),
    [anon_sym_switch] = ACTIONS(917),
    [anon_sym_case] = ACTIONS(917),
    [anon_sym_default] = ACTIONS(917),
    [anon_sym_for] = ACTIONS(917),
    [anon_sym_foreach] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(915),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_break] = ACTIONS(917),
    [anon_sym_continue] = ACTIONS(917),
    [anon_sym_return] = ACTIONS(917),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_resume] = ACTIONS(917),
    [anon_sym_local] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [anon_sym_LT_DASH] = ACTIONS(915),
    [anon_sym_function] = ACTIONS(917),
    [anon_sym_COLON_COLON] = ACTIONS(915),
    [anon_sym_class] = ACTIONS(917),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(917),
    [anon_sym_throw] = ACTIONS(917),
    [anon_sym_const] = ACTIONS(917),
    [anon_sym_enum] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(915),
    [anon_sym_BANG] = ACTIONS(917),
    [anon_sym_typeof] = ACTIONS(917),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(915),
    [anon_sym_AMP_AMP] = ACTIONS(887),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(915),
    [anon_sym_PLUS_EQ] = ACTIONS(915),
    [anon_sym_DASH_EQ] = ACTIONS(915),
    [anon_sym_STAR_EQ] = ACTIONS(915),
    [anon_sym_SLASH_EQ] = ACTIONS(915),
    [anon_sym_PERCENT_EQ] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(917),
    [anon_sym_var] = ACTIONS(917),
    [anon_sym_rawcall] = ACTIONS(917),
    [anon_sym_AT] = ACTIONS(915),
    [anon_sym_clone] = ACTIONS(917),
    [sym_integer] = ACTIONS(917),
    [sym_float] = ACTIONS(915),
    [anon_sym_DQUOTE] = ACTIONS(915),
    [anon_sym_SQUOTE] = ACTIONS(917),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(917),
    [anon_sym_false] = ACTIONS(917),
    [sym_null] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(915),
  },
  [195] = {
    [ts_builtin_sym_end] = ACTIONS(915),
    [sym_identifier] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_RBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_else] = ACTIONS(917),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(917),
    [anon_sym_switch] = ACTIONS(917),
    [anon_sym_case] = ACTIONS(917),
    [anon_sym_default] = ACTIONS(917),
    [anon_sym_for] = ACTIONS(917),
    [anon_sym_foreach] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(915),
    [anon_sym_in] = ACTIONS(917),
    [anon_sym_break] = ACTIONS(917),
    [anon_sym_continue] = ACTIONS(917),
    [anon_sym_return] = ACTIONS(917),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_resume] = ACTIONS(917),
    [anon_sym_local] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [anon_sym_LT_DASH] = ACTIONS(915),
    [anon_sym_function] = ACTIONS(917),
    [anon_sym_COLON_COLON] = ACTIONS(915),
    [anon_sym_class] = ACTIONS(917),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(917),
    [anon_sym_throw] = ACTIONS(917),
    [anon_sym_const] = ACTIONS(917),
    [anon_sym_enum] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(917),
    [anon_sym_TILDE] = ACTIONS(915),
    [anon_sym_BANG] = ACTIONS(917),
    [anon_sym_typeof] = ACTIONS(917),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_STAR] = ACTIONS(917),
    [anon_sym_SLASH] = ACTIONS(917),
    [anon_sym_PERCENT] = ACTIONS(917),
    [anon_sym_PIPE_PIPE] = ACTIONS(915),
    [anon_sym_AMP_AMP] = ACTIONS(915),
    [anon_sym_PIPE] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(915),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_EQ_EQ] = ACTIONS(915),
    [anon_sym_BANG_EQ] = ACTIONS(915),
    [anon_sym_LT_EQ_GT] = ACTIONS(915),
    [anon_sym_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(915),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(917),
    [anon_sym_instanceof] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(915),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_GT_GT_GT] = ACTIONS(915),
    [anon_sym_QMARK] = ACTIONS(915),
    [anon_sym_PLUS_EQ] = ACTIONS(915),
    [anon_sym_DASH_EQ] = ACTIONS(915),
    [anon_sym_STAR_EQ] = ACTIONS(915),
    [anon_sym_SLASH_EQ] = ACTIONS(915),
    [anon_sym_PERCENT_EQ] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(917),
    [anon_sym_var] = ACTIONS(917),
    [anon_sym_rawcall] = ACTIONS(917),
    [anon_sym_AT] = ACTIONS(915),
    [anon_sym_clone] = ACTIONS(917),
    [sym_integer] = ACTIONS(917),
    [sym_float] = ACTIONS(915),
    [anon_sym_DQUOTE] = ACTIONS(915),
    [anon_sym_SQUOTE] = ACTIONS(917),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(917),
    [anon_sym_false] = ACTIONS(917),
    [sym_null] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(915),
  },
  [196] = {
    [ts_builtin_sym_end] = ACTIONS(919),
    [sym_identifier] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(919),
    [anon_sym_LBRACE] = ACTIONS(919),
    [anon_sym_RBRACE] = ACTIONS(919),
    [anon_sym_if] = ACTIONS(921),
    [anon_sym_else] = ACTIONS(921),
    [anon_sym_while] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(919),
    [anon_sym_do] = ACTIONS(921),
    [anon_sym_switch] = ACTIONS(921),
    [anon_sym_case] = ACTIONS(921),
    [anon_sym_default] = ACTIONS(921),
    [anon_sym_for] = ACTIONS(921),
    [anon_sym_foreach] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(919),
    [anon_sym_in] = ACTIONS(921),
    [anon_sym_break] = ACTIONS(921),
    [anon_sym_continue] = ACTIONS(921),
    [anon_sym_return] = ACTIONS(921),
    [anon_sym_yield] = ACTIONS(921),
    [anon_sym_resume] = ACTIONS(921),
    [anon_sym_local] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(921),
    [anon_sym_LT_DASH] = ACTIONS(919),
    [anon_sym_function] = ACTIONS(921),
    [anon_sym_COLON_COLON] = ACTIONS(919),
    [anon_sym_class] = ACTIONS(921),
    [anon_sym_DOT] = ACTIONS(919),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_try] = ACTIONS(921),
    [anon_sym_throw] = ACTIONS(921),
    [anon_sym_const] = ACTIONS(921),
    [anon_sym_enum] = ACTIONS(921),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_TILDE] = ACTIONS(919),
    [anon_sym_BANG] = ACTIONS(921),
    [anon_sym_typeof] = ACTIONS(921),
    [anon_sym_PLUS_PLUS] = ACTIONS(919),
    [anon_sym_DASH_DASH] = ACTIONS(919),
    [anon_sym_PLUS] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(921),
    [anon_sym_SLASH] = ACTIONS(921),
    [anon_sym_PERCENT] = ACTIONS(921),
    [anon_sym_PIPE_PIPE] = ACTIONS(919),
    [anon_sym_AMP_AMP] = ACTIONS(919),
    [anon_sym_PIPE] = ACTIONS(921),
    [anon_sym_CARET] = ACTIONS(919),
    [anon_sym_AMP] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(919),
    [anon_sym_BANG_EQ] = ACTIONS(919),
    [anon_sym_LT_EQ_GT] = ACTIONS(919),
    [anon_sym_GT] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(919),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_instanceof] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(919),
    [anon_sym_GT_GT] = ACTIONS(921),
    [anon_sym_GT_GT_GT] = ACTIONS(919),
    [anon_sym_QMARK] = ACTIONS(919),
    [anon_sym_PLUS_EQ] = ACTIONS(919),
    [anon_sym_DASH_EQ] = ACTIONS(919),
    [anon_sym_STAR_EQ] = ACTIONS(919),
    [anon_sym_SLASH_EQ] = ACTIONS(919),
    [anon_sym_PERCENT_EQ] = ACTIONS(919),
    [anon_sym_delete] = ACTIONS(921),
    [anon_sym_var] = ACTIONS(921),
    [anon_sym_rawcall] = ACTIONS(921),
    [anon_sym_AT] = ACTIONS(919),
    [anon_sym_clone] = ACTIONS(921),
    [sym_integer] = ACTIONS(921),
    [sym_float] = ACTIONS(919),
    [anon_sym_DQUOTE] = ACTIONS(919),
    [anon_sym_SQUOTE] = ACTIONS(921),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(919),
    [anon_sym_true] = ACTIONS(921),
    [anon_sym_false] = ACTIONS(921),
    [sym_null] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(919),
  },
  [197] = {
    [ts_builtin_sym_end] = ACTIONS(915),
    [sym_identifier] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_RBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_else] = ACTIONS(917),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(917),
    [anon_sym_switch] = ACTIONS(917),
    [anon_sym_case] = ACTIONS(917),
    [anon_sym_default] = ACTIONS(917),
    [anon_sym_for] = ACTIONS(917),
    [anon_sym_foreach] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(915),
    [anon_sym_in] = ACTIONS(917),
    [anon_sym_break] = ACTIONS(917),
    [anon_sym_continue] = ACTIONS(917),
    [anon_sym_return] = ACTIONS(917),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_resume] = ACTIONS(917),
    [anon_sym_local] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [anon_sym_LT_DASH] = ACTIONS(915),
    [anon_sym_function] = ACTIONS(917),
    [anon_sym_COLON_COLON] = ACTIONS(915),
    [anon_sym_class] = ACTIONS(917),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(917),
    [anon_sym_throw] = ACTIONS(917),
    [anon_sym_const] = ACTIONS(917),
    [anon_sym_enum] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(917),
    [anon_sym_TILDE] = ACTIONS(915),
    [anon_sym_BANG] = ACTIONS(917),
    [anon_sym_typeof] = ACTIONS(917),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(915),
    [anon_sym_AMP_AMP] = ACTIONS(915),
    [anon_sym_PIPE] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(915),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_EQ_EQ] = ACTIONS(915),
    [anon_sym_BANG_EQ] = ACTIONS(915),
    [anon_sym_LT_EQ_GT] = ACTIONS(915),
    [anon_sym_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(915),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(917),
    [anon_sym_instanceof] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(915),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_GT_GT_GT] = ACTIONS(915),
    [anon_sym_QMARK] = ACTIONS(915),
    [anon_sym_PLUS_EQ] = ACTIONS(915),
    [anon_sym_DASH_EQ] = ACTIONS(915),
    [anon_sym_STAR_EQ] = ACTIONS(915),
    [anon_sym_SLASH_EQ] = ACTIONS(915),
    [anon_sym_PERCENT_EQ] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(917),
    [anon_sym_var] = ACTIONS(917),
    [anon_sym_rawcall] = ACTIONS(917),
    [anon_sym_AT] = ACTIONS(915),
    [anon_sym_clone] = ACTIONS(917),
    [sym_integer] = ACTIONS(917),
    [sym_float] = ACTIONS(915),
    [anon_sym_DQUOTE] = ACTIONS(915),
    [anon_sym_SQUOTE] = ACTIONS(917),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(917),
    [anon_sym_false] = ACTIONS(917),
    [sym_null] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(915),
  },
  [198] = {
    [ts_builtin_sym_end] = ACTIONS(923),
    [sym_identifier] = ACTIONS(925),
    [anon_sym_SEMI] = ACTIONS(923),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_RBRACE] = ACTIONS(923),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_else] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(925),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_do] = ACTIONS(925),
    [anon_sym_switch] = ACTIONS(925),
    [anon_sym_case] = ACTIONS(925),
    [anon_sym_default] = ACTIONS(925),
    [anon_sym_for] = ACTIONS(925),
    [anon_sym_foreach] = ACTIONS(925),
    [anon_sym_COMMA] = ACTIONS(923),
    [anon_sym_in] = ACTIONS(925),
    [anon_sym_break] = ACTIONS(925),
    [anon_sym_continue] = ACTIONS(925),
    [anon_sym_return] = ACTIONS(925),
    [anon_sym_yield] = ACTIONS(925),
    [anon_sym_resume] = ACTIONS(925),
    [anon_sym_local] = ACTIONS(925),
    [anon_sym_EQ] = ACTIONS(925),
    [anon_sym_LT_DASH] = ACTIONS(923),
    [anon_sym_function] = ACTIONS(925),
    [anon_sym_COLON_COLON] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(925),
    [anon_sym_DOT] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(923),
    [anon_sym_try] = ACTIONS(925),
    [anon_sym_throw] = ACTIONS(925),
    [anon_sym_const] = ACTIONS(925),
    [anon_sym_enum] = ACTIONS(925),
    [anon_sym_DASH] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(923),
    [anon_sym_BANG] = ACTIONS(925),
    [anon_sym_typeof] = ACTIONS(925),
    [anon_sym_PLUS_PLUS] = ACTIONS(923),
    [anon_sym_DASH_DASH] = ACTIONS(923),
    [anon_sym_PLUS] = ACTIONS(925),
    [anon_sym_STAR] = ACTIONS(925),
    [anon_sym_SLASH] = ACTIONS(925),
    [anon_sym_PERCENT] = ACTIONS(925),
    [anon_sym_PIPE_PIPE] = ACTIONS(923),
    [anon_sym_AMP_AMP] = ACTIONS(923),
    [anon_sym_PIPE] = ACTIONS(925),
    [anon_sym_CARET] = ACTIONS(923),
    [anon_sym_AMP] = ACTIONS(925),
    [anon_sym_EQ_EQ] = ACTIONS(923),
    [anon_sym_BANG_EQ] = ACTIONS(923),
    [anon_sym_LT_EQ_GT] = ACTIONS(923),
    [anon_sym_GT] = ACTIONS(925),
    [anon_sym_GT_EQ] = ACTIONS(923),
    [anon_sym_LT_EQ] = ACTIONS(925),
    [anon_sym_LT] = ACTIONS(925),
    [anon_sym_instanceof] = ACTIONS(925),
    [anon_sym_LT_LT] = ACTIONS(923),
    [anon_sym_GT_GT] = ACTIONS(925),
    [anon_sym_GT_GT_GT] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(923),
    [anon_sym_PLUS_EQ] = ACTIONS(923),
    [anon_sym_DASH_EQ] = ACTIONS(923),
    [anon_sym_STAR_EQ] = ACTIONS(923),
    [anon_sym_SLASH_EQ] = ACTIONS(923),
    [anon_sym_PERCENT_EQ] = ACTIONS(923),
    [anon_sym_delete] = ACTIONS(925),
    [anon_sym_var] = ACTIONS(925),
    [anon_sym_rawcall] = ACTIONS(925),
    [anon_sym_AT] = ACTIONS(923),
    [anon_sym_clone] = ACTIONS(925),
    [sym_integer] = ACTIONS(925),
    [sym_float] = ACTIONS(923),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(923),
    [anon_sym_true] = ACTIONS(925),
    [anon_sym_false] = ACTIONS(925),
    [sym_null] = ACTIONS(925),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(923),
  },
  [199] = {
    [ts_builtin_sym_end] = ACTIONS(927),
    [sym_identifier] = ACTIONS(929),
    [anon_sym_SEMI] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(927),
    [anon_sym_RBRACE] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_while] = ACTIONS(929),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_do] = ACTIONS(929),
    [anon_sym_switch] = ACTIONS(929),
    [anon_sym_case] = ACTIONS(929),
    [anon_sym_default] = ACTIONS(929),
    [anon_sym_for] = ACTIONS(929),
    [anon_sym_foreach] = ACTIONS(929),
    [anon_sym_COMMA] = ACTIONS(927),
    [anon_sym_in] = ACTIONS(929),
    [anon_sym_break] = ACTIONS(929),
    [anon_sym_continue] = ACTIONS(929),
    [anon_sym_return] = ACTIONS(929),
    [anon_sym_yield] = ACTIONS(929),
    [anon_sym_resume] = ACTIONS(929),
    [anon_sym_local] = ACTIONS(929),
    [anon_sym_EQ] = ACTIONS(929),
    [anon_sym_LT_DASH] = ACTIONS(927),
    [anon_sym_function] = ACTIONS(929),
    [anon_sym_COLON_COLON] = ACTIONS(927),
    [anon_sym_class] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_throw] = ACTIONS(929),
    [anon_sym_const] = ACTIONS(929),
    [anon_sym_enum] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(929),
    [anon_sym_TILDE] = ACTIONS(927),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_typeof] = ACTIONS(929),
    [anon_sym_PLUS_PLUS] = ACTIONS(927),
    [anon_sym_DASH_DASH] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_STAR] = ACTIONS(929),
    [anon_sym_SLASH] = ACTIONS(929),
    [anon_sym_PERCENT] = ACTIONS(929),
    [anon_sym_PIPE_PIPE] = ACTIONS(927),
    [anon_sym_AMP_AMP] = ACTIONS(927),
    [anon_sym_PIPE] = ACTIONS(929),
    [anon_sym_CARET] = ACTIONS(927),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_EQ_EQ] = ACTIONS(927),
    [anon_sym_BANG_EQ] = ACTIONS(927),
    [anon_sym_LT_EQ_GT] = ACTIONS(927),
    [anon_sym_GT] = ACTIONS(929),
    [anon_sym_GT_EQ] = ACTIONS(927),
    [anon_sym_LT_EQ] = ACTIONS(929),
    [anon_sym_LT] = ACTIONS(929),
    [anon_sym_instanceof] = ACTIONS(929),
    [anon_sym_LT_LT] = ACTIONS(927),
    [anon_sym_GT_GT] = ACTIONS(929),
    [anon_sym_GT_GT_GT] = ACTIONS(927),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_PLUS_EQ] = ACTIONS(927),
    [anon_sym_DASH_EQ] = ACTIONS(927),
    [anon_sym_STAR_EQ] = ACTIONS(927),
    [anon_sym_SLASH_EQ] = ACTIONS(927),
    [anon_sym_PERCENT_EQ] = ACTIONS(927),
    [anon_sym_delete] = ACTIONS(929),
    [anon_sym_var] = ACTIONS(929),
    [anon_sym_rawcall] = ACTIONS(929),
    [anon_sym_AT] = ACTIONS(927),
    [anon_sym_clone] = ACTIONS(929),
    [sym_integer] = ACTIONS(929),
    [sym_float] = ACTIONS(927),
    [anon_sym_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE] = ACTIONS(929),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [sym_null] = ACTIONS(929),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(927),
  },
  [200] = {
    [ts_builtin_sym_end] = ACTIONS(927),
    [sym_identifier] = ACTIONS(929),
    [anon_sym_SEMI] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(927),
    [anon_sym_RBRACE] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_while] = ACTIONS(929),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(929),
    [anon_sym_switch] = ACTIONS(929),
    [anon_sym_case] = ACTIONS(929),
    [anon_sym_default] = ACTIONS(929),
    [anon_sym_for] = ACTIONS(929),
    [anon_sym_foreach] = ACTIONS(929),
    [anon_sym_COMMA] = ACTIONS(927),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_break] = ACTIONS(929),
    [anon_sym_continue] = ACTIONS(929),
    [anon_sym_return] = ACTIONS(929),
    [anon_sym_yield] = ACTIONS(929),
    [anon_sym_resume] = ACTIONS(929),
    [anon_sym_local] = ACTIONS(929),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(929),
    [anon_sym_COLON_COLON] = ACTIONS(927),
    [anon_sym_class] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_throw] = ACTIONS(929),
    [anon_sym_const] = ACTIONS(929),
    [anon_sym_enum] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(927),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_typeof] = ACTIONS(929),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(885),
    [anon_sym_AMP_AMP] = ACTIONS(887),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(905),
    [anon_sym_PLUS_EQ] = ACTIONS(873),
    [anon_sym_DASH_EQ] = ACTIONS(873),
    [anon_sym_STAR_EQ] = ACTIONS(873),
    [anon_sym_SLASH_EQ] = ACTIONS(873),
    [anon_sym_PERCENT_EQ] = ACTIONS(873),
    [anon_sym_delete] = ACTIONS(929),
    [anon_sym_var] = ACTIONS(929),
    [anon_sym_rawcall] = ACTIONS(929),
    [anon_sym_AT] = ACTIONS(927),
    [anon_sym_clone] = ACTIONS(929),
    [sym_integer] = ACTIONS(929),
    [sym_float] = ACTIONS(927),
    [anon_sym_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE] = ACTIONS(929),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(927),
    [anon_sym_true] = ACTIONS(929),
    [anon_sym_false] = ACTIONS(929),
    [sym_null] = ACTIONS(929),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(927),
  },
  [201] = {
    [ts_builtin_sym_end] = ACTIONS(931),
    [sym_identifier] = ACTIONS(933),
    [anon_sym_SEMI] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_RBRACE] = ACTIONS(931),
    [anon_sym_if] = ACTIONS(933),
    [anon_sym_else] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_LPAREN] = ACTIONS(931),
    [anon_sym_do] = ACTIONS(933),
    [anon_sym_switch] = ACTIONS(933),
    [anon_sym_case] = ACTIONS(933),
    [anon_sym_default] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_foreach] = ACTIONS(933),
    [anon_sym_COMMA] = ACTIONS(931),
    [anon_sym_in] = ACTIONS(933),
    [anon_sym_break] = ACTIONS(933),
    [anon_sym_continue] = ACTIONS(933),
    [anon_sym_return] = ACTIONS(933),
    [anon_sym_yield] = ACTIONS(933),
    [anon_sym_resume] = ACTIONS(933),
    [anon_sym_local] = ACTIONS(933),
    [anon_sym_EQ] = ACTIONS(933),
    [anon_sym_LT_DASH] = ACTIONS(931),
    [anon_sym_function] = ACTIONS(933),
    [anon_sym_COLON_COLON] = ACTIONS(931),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_DOT] = ACTIONS(931),
    [anon_sym_LBRACK] = ACTIONS(931),
    [anon_sym_try] = ACTIONS(933),
    [anon_sym_throw] = ACTIONS(933),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_TILDE] = ACTIONS(931),
    [anon_sym_BANG] = ACTIONS(933),
    [anon_sym_typeof] = ACTIONS(933),
    [anon_sym_PLUS_PLUS] = ACTIONS(931),
    [anon_sym_DASH_DASH] = ACTIONS(931),
    [anon_sym_PLUS] = ACTIONS(933),
    [anon_sym_STAR] = ACTIONS(933),
    [anon_sym_SLASH] = ACTIONS(933),
    [anon_sym_PERCENT] = ACTIONS(933),
    [anon_sym_PIPE_PIPE] = ACTIONS(931),
    [anon_sym_AMP_AMP] = ACTIONS(931),
    [anon_sym_PIPE] = ACTIONS(933),
    [anon_sym_CARET] = ACTIONS(931),
    [anon_sym_AMP] = ACTIONS(933),
    [anon_sym_EQ_EQ] = ACTIONS(931),
    [anon_sym_BANG_EQ] = ACTIONS(931),
    [anon_sym_LT_EQ_GT] = ACTIONS(931),
    [anon_sym_GT] = ACTIONS(933),
    [anon_sym_GT_EQ] = ACTIONS(931),
    [anon_sym_LT_EQ] = ACTIONS(933),
    [anon_sym_LT] = ACTIONS(933),
    [anon_sym_instanceof] = ACTIONS(933),
    [anon_sym_LT_LT] = ACTIONS(931),
    [anon_sym_GT_GT] = ACTIONS(933),
    [anon_sym_GT_GT_GT] = ACTIONS(931),
    [anon_sym_QMARK] = ACTIONS(931),
    [anon_sym_PLUS_EQ] = ACTIONS(931),
    [anon_sym_DASH_EQ] = ACTIONS(931),
    [anon_sym_STAR_EQ] = ACTIONS(931),
    [anon_sym_SLASH_EQ] = ACTIONS(931),
    [anon_sym_PERCENT_EQ] = ACTIONS(931),
    [anon_sym_delete] = ACTIONS(933),
    [anon_sym_var] = ACTIONS(933),
    [anon_sym_rawcall] = ACTIONS(933),
    [anon_sym_AT] = ACTIONS(931),
    [anon_sym_clone] = ACTIONS(933),
    [sym_integer] = ACTIONS(933),
    [sym_float] = ACTIONS(931),
    [anon_sym_DQUOTE] = ACTIONS(931),
    [anon_sym_SQUOTE] = ACTIONS(933),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(931),
    [anon_sym_true] = ACTIONS(933),
    [anon_sym_false] = ACTIONS(933),
    [sym_null] = ACTIONS(933),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(931),
  },
  [202] = {
    [ts_builtin_sym_end] = ACTIONS(931),
    [sym_identifier] = ACTIONS(933),
    [anon_sym_SEMI] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_RBRACE] = ACTIONS(931),
    [anon_sym_if] = ACTIONS(933),
    [anon_sym_else] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(933),
    [anon_sym_switch] = ACTIONS(933),
    [anon_sym_case] = ACTIONS(933),
    [anon_sym_default] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_foreach] = ACTIONS(933),
    [anon_sym_COMMA] = ACTIONS(931),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_break] = ACTIONS(933),
    [anon_sym_continue] = ACTIONS(933),
    [anon_sym_return] = ACTIONS(933),
    [anon_sym_yield] = ACTIONS(933),
    [anon_sym_resume] = ACTIONS(933),
    [anon_sym_local] = ACTIONS(933),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(933),
    [anon_sym_COLON_COLON] = ACTIONS(931),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(933),
    [anon_sym_throw] = ACTIONS(933),
    [anon_sym_const] = ACTIONS(933),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(931),
    [anon_sym_BANG] = ACTIONS(933),
    [anon_sym_typeof] = ACTIONS(933),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(885),
    [anon_sym_AMP_AMP] = ACTIONS(887),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(905),
    [anon_sym_PLUS_EQ] = ACTIONS(873),
    [anon_sym_DASH_EQ] = ACTIONS(873),
    [anon_sym_STAR_EQ] = ACTIONS(873),
    [anon_sym_SLASH_EQ] = ACTIONS(873),
    [anon_sym_PERCENT_EQ] = ACTIONS(873),
    [anon_sym_delete] = ACTIONS(933),
    [anon_sym_var] = ACTIONS(933),
    [anon_sym_rawcall] = ACTIONS(933),
    [anon_sym_AT] = ACTIONS(931),
    [anon_sym_clone] = ACTIONS(933),
    [sym_integer] = ACTIONS(933),
    [sym_float] = ACTIONS(931),
    [anon_sym_DQUOTE] = ACTIONS(931),
    [anon_sym_SQUOTE] = ACTIONS(933),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(931),
    [anon_sym_true] = ACTIONS(933),
    [anon_sym_false] = ACTIONS(933),
    [sym_null] = ACTIONS(933),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(931),
  },
  [203] = {
    [ts_builtin_sym_end] = ACTIONS(915),
    [sym_identifier] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_RBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_else] = ACTIONS(917),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(917),
    [anon_sym_switch] = ACTIONS(917),
    [anon_sym_case] = ACTIONS(917),
    [anon_sym_default] = ACTIONS(917),
    [anon_sym_for] = ACTIONS(917),
    [anon_sym_foreach] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(915),
    [anon_sym_in] = ACTIONS(917),
    [anon_sym_break] = ACTIONS(917),
    [anon_sym_continue] = ACTIONS(917),
    [anon_sym_return] = ACTIONS(917),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_resume] = ACTIONS(917),
    [anon_sym_local] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [anon_sym_LT_DASH] = ACTIONS(915),
    [anon_sym_function] = ACTIONS(917),
    [anon_sym_COLON_COLON] = ACTIONS(915),
    [anon_sym_class] = ACTIONS(917),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(917),
    [anon_sym_throw] = ACTIONS(917),
    [anon_sym_const] = ACTIONS(917),
    [anon_sym_enum] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(915),
    [anon_sym_BANG] = ACTIONS(917),
    [anon_sym_typeof] = ACTIONS(917),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(915),
    [anon_sym_AMP_AMP] = ACTIONS(915),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(915),
    [anon_sym_PLUS_EQ] = ACTIONS(915),
    [anon_sym_DASH_EQ] = ACTIONS(915),
    [anon_sym_STAR_EQ] = ACTIONS(915),
    [anon_sym_SLASH_EQ] = ACTIONS(915),
    [anon_sym_PERCENT_EQ] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(917),
    [anon_sym_var] = ACTIONS(917),
    [anon_sym_rawcall] = ACTIONS(917),
    [anon_sym_AT] = ACTIONS(915),
    [anon_sym_clone] = ACTIONS(917),
    [sym_integer] = ACTIONS(917),
    [sym_float] = ACTIONS(915),
    [anon_sym_DQUOTE] = ACTIONS(915),
    [anon_sym_SQUOTE] = ACTIONS(917),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(917),
    [anon_sym_false] = ACTIONS(917),
    [sym_null] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(915),
  },
  [204] = {
    [ts_builtin_sym_end] = ACTIONS(935),
    [sym_identifier] = ACTIONS(937),
    [anon_sym_SEMI] = ACTIONS(935),
    [anon_sym_LBRACE] = ACTIONS(935),
    [anon_sym_RBRACE] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_else] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_do] = ACTIONS(937),
    [anon_sym_switch] = ACTIONS(937),
    [anon_sym_case] = ACTIONS(937),
    [anon_sym_default] = ACTIONS(937),
    [anon_sym_for] = ACTIONS(937),
    [anon_sym_foreach] = ACTIONS(937),
    [anon_sym_COMMA] = ACTIONS(935),
    [anon_sym_in] = ACTIONS(937),
    [anon_sym_break] = ACTIONS(937),
    [anon_sym_continue] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(937),
    [anon_sym_yield] = ACTIONS(937),
    [anon_sym_resume] = ACTIONS(937),
    [anon_sym_local] = ACTIONS(937),
    [anon_sym_EQ] = ACTIONS(937),
    [anon_sym_LT_DASH] = ACTIONS(935),
    [anon_sym_function] = ACTIONS(937),
    [anon_sym_COLON_COLON] = ACTIONS(935),
    [anon_sym_class] = ACTIONS(937),
    [anon_sym_DOT] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(935),
    [anon_sym_try] = ACTIONS(937),
    [anon_sym_throw] = ACTIONS(937),
    [anon_sym_const] = ACTIONS(937),
    [anon_sym_enum] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(935),
    [anon_sym_BANG] = ACTIONS(937),
    [anon_sym_typeof] = ACTIONS(937),
    [anon_sym_PLUS_PLUS] = ACTIONS(935),
    [anon_sym_DASH_DASH] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_STAR] = ACTIONS(937),
    [anon_sym_SLASH] = ACTIONS(937),
    [anon_sym_PERCENT] = ACTIONS(937),
    [anon_sym_PIPE_PIPE] = ACTIONS(935),
    [anon_sym_AMP_AMP] = ACTIONS(935),
    [anon_sym_PIPE] = ACTIONS(937),
    [anon_sym_CARET] = ACTIONS(935),
    [anon_sym_AMP] = ACTIONS(937),
    [anon_sym_EQ_EQ] = ACTIONS(935),
    [anon_sym_BANG_EQ] = ACTIONS(935),
    [anon_sym_LT_EQ_GT] = ACTIONS(935),
    [anon_sym_GT] = ACTIONS(937),
    [anon_sym_GT_EQ] = ACTIONS(935),
    [anon_sym_LT_EQ] = ACTIONS(937),
    [anon_sym_LT] = ACTIONS(937),
    [anon_sym_instanceof] = ACTIONS(937),
    [anon_sym_LT_LT] = ACTIONS(935),
    [anon_sym_GT_GT] = ACTIONS(937),
    [anon_sym_GT_GT_GT] = ACTIONS(935),
    [anon_sym_QMARK] = ACTIONS(935),
    [anon_sym_PLUS_EQ] = ACTIONS(935),
    [anon_sym_DASH_EQ] = ACTIONS(935),
    [anon_sym_STAR_EQ] = ACTIONS(935),
    [anon_sym_SLASH_EQ] = ACTIONS(935),
    [anon_sym_PERCENT_EQ] = ACTIONS(935),
    [anon_sym_delete] = ACTIONS(937),
    [anon_sym_var] = ACTIONS(937),
    [anon_sym_rawcall] = ACTIONS(937),
    [anon_sym_AT] = ACTIONS(935),
    [anon_sym_clone] = ACTIONS(937),
    [sym_integer] = ACTIONS(937),
    [sym_float] = ACTIONS(935),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(935),
    [anon_sym_true] = ACTIONS(937),
    [anon_sym_false] = ACTIONS(937),
    [sym_null] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(935),
  },
  [205] = {
    [ts_builtin_sym_end] = ACTIONS(941),
    [sym_identifier] = ACTIONS(943),
    [anon_sym_SEMI] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_RBRACE] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(943),
    [anon_sym_else] = ACTIONS(943),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(943),
    [anon_sym_switch] = ACTIONS(943),
    [anon_sym_case] = ACTIONS(943),
    [anon_sym_default] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_foreach] = ACTIONS(943),
    [anon_sym_COMMA] = ACTIONS(941),
    [anon_sym_in] = ACTIONS(943),
    [anon_sym_break] = ACTIONS(943),
    [anon_sym_continue] = ACTIONS(943),
    [anon_sym_return] = ACTIONS(943),
    [anon_sym_yield] = ACTIONS(943),
    [anon_sym_resume] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(943),
    [anon_sym_EQ] = ACTIONS(943),
    [anon_sym_LT_DASH] = ACTIONS(941),
    [anon_sym_function] = ACTIONS(943),
    [anon_sym_COLON_COLON] = ACTIONS(941),
    [anon_sym_class] = ACTIONS(943),
    [anon_sym_DOT] = ACTIONS(941),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_try] = ACTIONS(943),
    [anon_sym_throw] = ACTIONS(943),
    [anon_sym_const] = ACTIONS(943),
    [anon_sym_enum] = ACTIONS(943),
    [anon_sym_DASH] = ACTIONS(943),
    [anon_sym_TILDE] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(943),
    [anon_sym_typeof] = ACTIONS(943),
    [anon_sym_PLUS_PLUS] = ACTIONS(941),
    [anon_sym_DASH_DASH] = ACTIONS(941),
    [anon_sym_PLUS] = ACTIONS(943),
    [anon_sym_STAR] = ACTIONS(943),
    [anon_sym_SLASH] = ACTIONS(943),
    [anon_sym_PERCENT] = ACTIONS(943),
    [anon_sym_PIPE_PIPE] = ACTIONS(941),
    [anon_sym_AMP_AMP] = ACTIONS(941),
    [anon_sym_PIPE] = ACTIONS(943),
    [anon_sym_CARET] = ACTIONS(941),
    [anon_sym_AMP] = ACTIONS(943),
    [anon_sym_EQ_EQ] = ACTIONS(941),
    [anon_sym_BANG_EQ] = ACTIONS(941),
    [anon_sym_LT_EQ_GT] = ACTIONS(941),
    [anon_sym_GT] = ACTIONS(943),
    [anon_sym_GT_EQ] = ACTIONS(941),
    [anon_sym_LT_EQ] = ACTIONS(943),
    [anon_sym_LT] = ACTIONS(943),
    [anon_sym_instanceof] = ACTIONS(943),
    [anon_sym_LT_LT] = ACTIONS(941),
    [anon_sym_GT_GT] = ACTIONS(943),
    [anon_sym_GT_GT_GT] = ACTIONS(941),
    [anon_sym_QMARK] = ACTIONS(941),
    [anon_sym_PLUS_EQ] = ACTIONS(941),
    [anon_sym_DASH_EQ] = ACTIONS(941),
    [anon_sym_STAR_EQ] = ACTIONS(941),
    [anon_sym_SLASH_EQ] = ACTIONS(941),
    [anon_sym_PERCENT_EQ] = ACTIONS(941),
    [anon_sym_delete] = ACTIONS(943),
    [anon_sym_var] = ACTIONS(943),
    [anon_sym_rawcall] = ACTIONS(943),
    [anon_sym_AT] = ACTIONS(941),
    [anon_sym_clone] = ACTIONS(943),
    [sym_integer] = ACTIONS(943),
    [sym_float] = ACTIONS(941),
    [anon_sym_DQUOTE] = ACTIONS(941),
    [anon_sym_SQUOTE] = ACTIONS(943),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(941),
    [anon_sym_true] = ACTIONS(943),
    [anon_sym_false] = ACTIONS(943),
    [sym_null] = ACTIONS(943),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(941),
  },
  [206] = {
    [ts_builtin_sym_end] = ACTIONS(945),
    [sym_identifier] = ACTIONS(947),
    [anon_sym_SEMI] = ACTIONS(945),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_RBRACE] = ACTIONS(945),
    [anon_sym_if] = ACTIONS(947),
    [anon_sym_else] = ACTIONS(947),
    [anon_sym_while] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_do] = ACTIONS(947),
    [anon_sym_switch] = ACTIONS(947),
    [anon_sym_case] = ACTIONS(947),
    [anon_sym_default] = ACTIONS(947),
    [anon_sym_for] = ACTIONS(947),
    [anon_sym_foreach] = ACTIONS(947),
    [anon_sym_COMMA] = ACTIONS(945),
    [anon_sym_in] = ACTIONS(947),
    [anon_sym_break] = ACTIONS(947),
    [anon_sym_continue] = ACTIONS(947),
    [anon_sym_return] = ACTIONS(947),
    [anon_sym_yield] = ACTIONS(947),
    [anon_sym_resume] = ACTIONS(947),
    [anon_sym_local] = ACTIONS(947),
    [anon_sym_EQ] = ACTIONS(947),
    [anon_sym_LT_DASH] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_COLON_COLON] = ACTIONS(945),
    [anon_sym_class] = ACTIONS(947),
    [anon_sym_DOT] = ACTIONS(945),
    [anon_sym_LBRACK] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_throw] = ACTIONS(947),
    [anon_sym_const] = ACTIONS(947),
    [anon_sym_enum] = ACTIONS(947),
    [anon_sym_DASH] = ACTIONS(947),
    [anon_sym_TILDE] = ACTIONS(945),
    [anon_sym_BANG] = ACTIONS(947),
    [anon_sym_typeof] = ACTIONS(947),
    [anon_sym_PLUS_PLUS] = ACTIONS(945),
    [anon_sym_DASH_DASH] = ACTIONS(945),
    [anon_sym_PLUS] = ACTIONS(947),
    [anon_sym_STAR] = ACTIONS(947),
    [anon_sym_SLASH] = ACTIONS(947),
    [anon_sym_PERCENT] = ACTIONS(947),
    [anon_sym_PIPE_PIPE] = ACTIONS(945),
    [anon_sym_AMP_AMP] = ACTIONS(945),
    [anon_sym_PIPE] = ACTIONS(947),
    [anon_sym_CARET] = ACTIONS(945),
    [anon_sym_AMP] = ACTIONS(947),
    [anon_sym_EQ_EQ] = ACTIONS(945),
    [anon_sym_BANG_EQ] = ACTIONS(945),
    [anon_sym_LT_EQ_GT] = ACTIONS(945),
    [anon_sym_GT] = ACTIONS(947),
    [anon_sym_GT_EQ] = ACTIONS(945),
    [anon_sym_LT_EQ] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(947),
    [anon_sym_instanceof] = ACTIONS(947),
    [anon_sym_LT_LT] = ACTIONS(945),
    [anon_sym_GT_GT] = ACTIONS(947),
    [anon_sym_GT_GT_GT] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(945),
    [anon_sym_PLUS_EQ] = ACTIONS(945),
    [anon_sym_DASH_EQ] = ACTIONS(945),
    [anon_sym_STAR_EQ] = ACTIONS(945),
    [anon_sym_SLASH_EQ] = ACTIONS(945),
    [anon_sym_PERCENT_EQ] = ACTIONS(945),
    [anon_sym_delete] = ACTIONS(947),
    [anon_sym_var] = ACTIONS(947),
    [anon_sym_rawcall] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(945),
    [anon_sym_clone] = ACTIONS(947),
    [sym_integer] = ACTIONS(947),
    [sym_float] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(945),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(945),
    [anon_sym_true] = ACTIONS(947),
    [anon_sym_false] = ACTIONS(947),
    [sym_null] = ACTIONS(947),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(945),
  },
  [207] = {
    [ts_builtin_sym_end] = ACTIONS(949),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_SEMI] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(949),
    [anon_sym_RBRACE] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(951),
    [anon_sym_else] = ACTIONS(951),
    [anon_sym_while] = ACTIONS(951),
    [anon_sym_LPAREN] = ACTIONS(949),
    [anon_sym_do] = ACTIONS(951),
    [anon_sym_switch] = ACTIONS(951),
    [anon_sym_case] = ACTIONS(951),
    [anon_sym_default] = ACTIONS(951),
    [anon_sym_for] = ACTIONS(951),
    [anon_sym_foreach] = ACTIONS(951),
    [anon_sym_COMMA] = ACTIONS(949),
    [anon_sym_in] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(951),
    [anon_sym_continue] = ACTIONS(951),
    [anon_sym_return] = ACTIONS(951),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_resume] = ACTIONS(951),
    [anon_sym_local] = ACTIONS(951),
    [anon_sym_EQ] = ACTIONS(951),
    [anon_sym_LT_DASH] = ACTIONS(949),
    [anon_sym_function] = ACTIONS(951),
    [anon_sym_COLON_COLON] = ACTIONS(949),
    [anon_sym_class] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(949),
    [anon_sym_LBRACK] = ACTIONS(949),
    [anon_sym_try] = ACTIONS(951),
    [anon_sym_throw] = ACTIONS(951),
    [anon_sym_const] = ACTIONS(951),
    [anon_sym_enum] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_typeof] = ACTIONS(951),
    [anon_sym_PLUS_PLUS] = ACTIONS(949),
    [anon_sym_DASH_DASH] = ACTIONS(949),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_STAR] = ACTIONS(951),
    [anon_sym_SLASH] = ACTIONS(951),
    [anon_sym_PERCENT] = ACTIONS(951),
    [anon_sym_PIPE_PIPE] = ACTIONS(949),
    [anon_sym_AMP_AMP] = ACTIONS(949),
    [anon_sym_PIPE] = ACTIONS(951),
    [anon_sym_CARET] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_EQ_EQ] = ACTIONS(949),
    [anon_sym_BANG_EQ] = ACTIONS(949),
    [anon_sym_LT_EQ_GT] = ACTIONS(949),
    [anon_sym_GT] = ACTIONS(951),
    [anon_sym_GT_EQ] = ACTIONS(949),
    [anon_sym_LT_EQ] = ACTIONS(951),
    [anon_sym_LT] = ACTIONS(951),
    [anon_sym_instanceof] = ACTIONS(951),
    [anon_sym_LT_LT] = ACTIONS(949),
    [anon_sym_GT_GT] = ACTIONS(951),
    [anon_sym_GT_GT_GT] = ACTIONS(949),
    [anon_sym_QMARK] = ACTIONS(949),
    [anon_sym_PLUS_EQ] = ACTIONS(949),
    [anon_sym_DASH_EQ] = ACTIONS(949),
    [anon_sym_STAR_EQ] = ACTIONS(949),
    [anon_sym_SLASH_EQ] = ACTIONS(949),
    [anon_sym_PERCENT_EQ] = ACTIONS(949),
    [anon_sym_delete] = ACTIONS(951),
    [anon_sym_var] = ACTIONS(951),
    [anon_sym_rawcall] = ACTIONS(951),
    [anon_sym_AT] = ACTIONS(949),
    [anon_sym_clone] = ACTIONS(951),
    [sym_integer] = ACTIONS(951),
    [sym_float] = ACTIONS(949),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [anon_sym_SQUOTE] = ACTIONS(951),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_null] = ACTIONS(951),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(949),
  },
  [208] = {
    [ts_builtin_sym_end] = ACTIONS(953),
    [sym_identifier] = ACTIONS(955),
    [anon_sym_SEMI] = ACTIONS(957),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_RBRACE] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_else] = ACTIONS(955),
    [anon_sym_while] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(955),
    [anon_sym_switch] = ACTIONS(955),
    [anon_sym_case] = ACTIONS(955),
    [anon_sym_default] = ACTIONS(955),
    [anon_sym_for] = ACTIONS(955),
    [anon_sym_foreach] = ACTIONS(955),
    [anon_sym_COMMA] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_break] = ACTIONS(955),
    [anon_sym_continue] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(955),
    [anon_sym_yield] = ACTIONS(955),
    [anon_sym_resume] = ACTIONS(955),
    [anon_sym_local] = ACTIONS(955),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(955),
    [anon_sym_COLON_COLON] = ACTIONS(953),
    [anon_sym_class] = ACTIONS(955),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_throw] = ACTIONS(955),
    [anon_sym_const] = ACTIONS(955),
    [anon_sym_enum] = ACTIONS(955),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(953),
    [anon_sym_BANG] = ACTIONS(955),
    [anon_sym_typeof] = ACTIONS(955),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(885),
    [anon_sym_AMP_AMP] = ACTIONS(887),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(905),
    [anon_sym_PLUS_EQ] = ACTIONS(873),
    [anon_sym_DASH_EQ] = ACTIONS(873),
    [anon_sym_STAR_EQ] = ACTIONS(873),
    [anon_sym_SLASH_EQ] = ACTIONS(873),
    [anon_sym_PERCENT_EQ] = ACTIONS(873),
    [anon_sym_delete] = ACTIONS(955),
    [anon_sym_var] = ACTIONS(955),
    [anon_sym_rawcall] = ACTIONS(955),
    [anon_sym_AT] = ACTIONS(953),
    [anon_sym_clone] = ACTIONS(955),
    [sym_integer] = ACTIONS(955),
    [sym_float] = ACTIONS(953),
    [anon_sym_DQUOTE] = ACTIONS(953),
    [anon_sym_SQUOTE] = ACTIONS(955),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(953),
    [anon_sym_true] = ACTIONS(955),
    [anon_sym_false] = ACTIONS(955),
    [sym_null] = ACTIONS(955),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(953),
  },
  [209] = {
    [ts_builtin_sym_end] = ACTIONS(949),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_SEMI] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(949),
    [anon_sym_RBRACE] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(951),
    [anon_sym_else] = ACTIONS(951),
    [anon_sym_while] = ACTIONS(951),
    [anon_sym_LPAREN] = ACTIONS(949),
    [anon_sym_do] = ACTIONS(951),
    [anon_sym_switch] = ACTIONS(951),
    [anon_sym_case] = ACTIONS(951),
    [anon_sym_default] = ACTIONS(951),
    [anon_sym_for] = ACTIONS(951),
    [anon_sym_foreach] = ACTIONS(951),
    [anon_sym_COMMA] = ACTIONS(959),
    [anon_sym_in] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(951),
    [anon_sym_continue] = ACTIONS(951),
    [anon_sym_return] = ACTIONS(951),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_resume] = ACTIONS(951),
    [anon_sym_local] = ACTIONS(951),
    [anon_sym_EQ] = ACTIONS(951),
    [anon_sym_LT_DASH] = ACTIONS(949),
    [anon_sym_function] = ACTIONS(951),
    [anon_sym_COLON_COLON] = ACTIONS(949),
    [anon_sym_class] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(949),
    [anon_sym_LBRACK] = ACTIONS(949),
    [anon_sym_try] = ACTIONS(951),
    [anon_sym_throw] = ACTIONS(951),
    [anon_sym_const] = ACTIONS(951),
    [anon_sym_enum] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_typeof] = ACTIONS(951),
    [anon_sym_PLUS_PLUS] = ACTIONS(949),
    [anon_sym_DASH_DASH] = ACTIONS(949),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_STAR] = ACTIONS(951),
    [anon_sym_SLASH] = ACTIONS(951),
    [anon_sym_PERCENT] = ACTIONS(951),
    [anon_sym_PIPE_PIPE] = ACTIONS(949),
    [anon_sym_AMP_AMP] = ACTIONS(949),
    [anon_sym_PIPE] = ACTIONS(951),
    [anon_sym_CARET] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_EQ_EQ] = ACTIONS(949),
    [anon_sym_BANG_EQ] = ACTIONS(949),
    [anon_sym_LT_EQ_GT] = ACTIONS(949),
    [anon_sym_GT] = ACTIONS(951),
    [anon_sym_GT_EQ] = ACTIONS(949),
    [anon_sym_LT_EQ] = ACTIONS(951),
    [anon_sym_LT] = ACTIONS(951),
    [anon_sym_instanceof] = ACTIONS(951),
    [anon_sym_LT_LT] = ACTIONS(949),
    [anon_sym_GT_GT] = ACTIONS(951),
    [anon_sym_GT_GT_GT] = ACTIONS(949),
    [anon_sym_QMARK] = ACTIONS(949),
    [anon_sym_PLUS_EQ] = ACTIONS(949),
    [anon_sym_DASH_EQ] = ACTIONS(949),
    [anon_sym_STAR_EQ] = ACTIONS(949),
    [anon_sym_SLASH_EQ] = ACTIONS(949),
    [anon_sym_PERCENT_EQ] = ACTIONS(949),
    [anon_sym_delete] = ACTIONS(951),
    [anon_sym_var] = ACTIONS(951),
    [anon_sym_rawcall] = ACTIONS(951),
    [anon_sym_AT] = ACTIONS(949),
    [anon_sym_clone] = ACTIONS(951),
    [sym_integer] = ACTIONS(951),
    [sym_float] = ACTIONS(949),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [anon_sym_SQUOTE] = ACTIONS(951),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_null] = ACTIONS(951),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(949),
  },
  [210] = {
    [ts_builtin_sym_end] = ACTIONS(961),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_SEMI] = ACTIONS(961),
    [anon_sym_LBRACE] = ACTIONS(961),
    [anon_sym_RBRACE] = ACTIONS(961),
    [anon_sym_if] = ACTIONS(963),
    [anon_sym_else] = ACTIONS(963),
    [anon_sym_while] = ACTIONS(963),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_do] = ACTIONS(963),
    [anon_sym_switch] = ACTIONS(963),
    [anon_sym_case] = ACTIONS(963),
    [anon_sym_default] = ACTIONS(963),
    [anon_sym_for] = ACTIONS(963),
    [anon_sym_foreach] = ACTIONS(963),
    [anon_sym_COMMA] = ACTIONS(961),
    [anon_sym_in] = ACTIONS(963),
    [anon_sym_break] = ACTIONS(963),
    [anon_sym_continue] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(963),
    [anon_sym_yield] = ACTIONS(963),
    [anon_sym_resume] = ACTIONS(963),
    [anon_sym_local] = ACTIONS(963),
    [anon_sym_EQ] = ACTIONS(963),
    [anon_sym_LT_DASH] = ACTIONS(961),
    [anon_sym_function] = ACTIONS(963),
    [anon_sym_COLON_COLON] = ACTIONS(961),
    [anon_sym_class] = ACTIONS(963),
    [anon_sym_DOT] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(961),
    [anon_sym_try] = ACTIONS(963),
    [anon_sym_throw] = ACTIONS(963),
    [anon_sym_const] = ACTIONS(963),
    [anon_sym_enum] = ACTIONS(963),
    [anon_sym_DASH] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_typeof] = ACTIONS(963),
    [anon_sym_PLUS_PLUS] = ACTIONS(961),
    [anon_sym_DASH_DASH] = ACTIONS(961),
    [anon_sym_PLUS] = ACTIONS(963),
    [anon_sym_STAR] = ACTIONS(963),
    [anon_sym_SLASH] = ACTIONS(963),
    [anon_sym_PERCENT] = ACTIONS(963),
    [anon_sym_PIPE_PIPE] = ACTIONS(961),
    [anon_sym_AMP_AMP] = ACTIONS(961),
    [anon_sym_PIPE] = ACTIONS(963),
    [anon_sym_CARET] = ACTIONS(961),
    [anon_sym_AMP] = ACTIONS(963),
    [anon_sym_EQ_EQ] = ACTIONS(961),
    [anon_sym_BANG_EQ] = ACTIONS(961),
    [anon_sym_LT_EQ_GT] = ACTIONS(961),
    [anon_sym_GT] = ACTIONS(963),
    [anon_sym_GT_EQ] = ACTIONS(961),
    [anon_sym_LT_EQ] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(963),
    [anon_sym_instanceof] = ACTIONS(963),
    [anon_sym_LT_LT] = ACTIONS(961),
    [anon_sym_GT_GT] = ACTIONS(963),
    [anon_sym_GT_GT_GT] = ACTIONS(961),
    [anon_sym_QMARK] = ACTIONS(961),
    [anon_sym_PLUS_EQ] = ACTIONS(961),
    [anon_sym_DASH_EQ] = ACTIONS(961),
    [anon_sym_STAR_EQ] = ACTIONS(961),
    [anon_sym_SLASH_EQ] = ACTIONS(961),
    [anon_sym_PERCENT_EQ] = ACTIONS(961),
    [anon_sym_delete] = ACTIONS(963),
    [anon_sym_var] = ACTIONS(963),
    [anon_sym_rawcall] = ACTIONS(963),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_clone] = ACTIONS(963),
    [sym_integer] = ACTIONS(963),
    [sym_float] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(961),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [sym_null] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(961),
  },
  [211] = {
    [ts_builtin_sym_end] = ACTIONS(961),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_SEMI] = ACTIONS(961),
    [anon_sym_LBRACE] = ACTIONS(961),
    [anon_sym_RBRACE] = ACTIONS(961),
    [anon_sym_if] = ACTIONS(963),
    [anon_sym_else] = ACTIONS(963),
    [anon_sym_while] = ACTIONS(963),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_do] = ACTIONS(963),
    [anon_sym_switch] = ACTIONS(963),
    [anon_sym_case] = ACTIONS(963),
    [anon_sym_default] = ACTIONS(963),
    [anon_sym_for] = ACTIONS(963),
    [anon_sym_foreach] = ACTIONS(963),
    [anon_sym_COMMA] = ACTIONS(961),
    [anon_sym_in] = ACTIONS(963),
    [anon_sym_break] = ACTIONS(963),
    [anon_sym_continue] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(963),
    [anon_sym_yield] = ACTIONS(963),
    [anon_sym_resume] = ACTIONS(963),
    [anon_sym_local] = ACTIONS(963),
    [anon_sym_EQ] = ACTIONS(963),
    [anon_sym_LT_DASH] = ACTIONS(961),
    [anon_sym_function] = ACTIONS(963),
    [anon_sym_COLON_COLON] = ACTIONS(961),
    [anon_sym_class] = ACTIONS(963),
    [anon_sym_DOT] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(961),
    [anon_sym_try] = ACTIONS(963),
    [anon_sym_throw] = ACTIONS(963),
    [anon_sym_const] = ACTIONS(963),
    [anon_sym_enum] = ACTIONS(963),
    [anon_sym_DASH] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_typeof] = ACTIONS(963),
    [anon_sym_PLUS_PLUS] = ACTIONS(961),
    [anon_sym_DASH_DASH] = ACTIONS(961),
    [anon_sym_PLUS] = ACTIONS(963),
    [anon_sym_STAR] = ACTIONS(963),
    [anon_sym_SLASH] = ACTIONS(963),
    [anon_sym_PERCENT] = ACTIONS(963),
    [anon_sym_PIPE_PIPE] = ACTIONS(961),
    [anon_sym_AMP_AMP] = ACTIONS(961),
    [anon_sym_PIPE] = ACTIONS(963),
    [anon_sym_CARET] = ACTIONS(961),
    [anon_sym_AMP] = ACTIONS(963),
    [anon_sym_EQ_EQ] = ACTIONS(961),
    [anon_sym_BANG_EQ] = ACTIONS(961),
    [anon_sym_LT_EQ_GT] = ACTIONS(961),
    [anon_sym_GT] = ACTIONS(963),
    [anon_sym_GT_EQ] = ACTIONS(961),
    [anon_sym_LT_EQ] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(963),
    [anon_sym_instanceof] = ACTIONS(963),
    [anon_sym_LT_LT] = ACTIONS(961),
    [anon_sym_GT_GT] = ACTIONS(963),
    [anon_sym_GT_GT_GT] = ACTIONS(961),
    [anon_sym_QMARK] = ACTIONS(961),
    [anon_sym_PLUS_EQ] = ACTIONS(961),
    [anon_sym_DASH_EQ] = ACTIONS(961),
    [anon_sym_STAR_EQ] = ACTIONS(961),
    [anon_sym_SLASH_EQ] = ACTIONS(961),
    [anon_sym_PERCENT_EQ] = ACTIONS(961),
    [anon_sym_delete] = ACTIONS(963),
    [anon_sym_var] = ACTIONS(963),
    [anon_sym_rawcall] = ACTIONS(963),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_clone] = ACTIONS(963),
    [sym_integer] = ACTIONS(963),
    [sym_float] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(961),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [sym_null] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(961),
  },
  [212] = {
    [ts_builtin_sym_end] = ACTIONS(961),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_SEMI] = ACTIONS(713),
    [anon_sym_LBRACE] = ACTIONS(961),
    [anon_sym_RBRACE] = ACTIONS(961),
    [anon_sym_if] = ACTIONS(963),
    [anon_sym_else] = ACTIONS(963),
    [anon_sym_while] = ACTIONS(963),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(963),
    [anon_sym_switch] = ACTIONS(963),
    [anon_sym_case] = ACTIONS(963),
    [anon_sym_default] = ACTIONS(963),
    [anon_sym_for] = ACTIONS(963),
    [anon_sym_foreach] = ACTIONS(963),
    [anon_sym_COMMA] = ACTIONS(961),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_break] = ACTIONS(963),
    [anon_sym_continue] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(963),
    [anon_sym_yield] = ACTIONS(963),
    [anon_sym_resume] = ACTIONS(963),
    [anon_sym_local] = ACTIONS(963),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(963),
    [anon_sym_COLON_COLON] = ACTIONS(961),
    [anon_sym_class] = ACTIONS(963),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(963),
    [anon_sym_throw] = ACTIONS(963),
    [anon_sym_const] = ACTIONS(963),
    [anon_sym_enum] = ACTIONS(963),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_typeof] = ACTIONS(963),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(885),
    [anon_sym_AMP_AMP] = ACTIONS(887),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(905),
    [anon_sym_PLUS_EQ] = ACTIONS(873),
    [anon_sym_DASH_EQ] = ACTIONS(873),
    [anon_sym_STAR_EQ] = ACTIONS(873),
    [anon_sym_SLASH_EQ] = ACTIONS(873),
    [anon_sym_PERCENT_EQ] = ACTIONS(873),
    [anon_sym_delete] = ACTIONS(963),
    [anon_sym_var] = ACTIONS(963),
    [anon_sym_rawcall] = ACTIONS(963),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_clone] = ACTIONS(963),
    [sym_integer] = ACTIONS(963),
    [sym_float] = ACTIONS(961),
    [anon_sym_DQUOTE] = ACTIONS(961),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [sym_null] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(961),
  },
  [213] = {
    [ts_builtin_sym_end] = ACTIONS(965),
    [sym_identifier] = ACTIONS(967),
    [anon_sym_SEMI] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(965),
    [anon_sym_RBRACE] = ACTIONS(965),
    [anon_sym_if] = ACTIONS(967),
    [anon_sym_else] = ACTIONS(967),
    [anon_sym_while] = ACTIONS(967),
    [anon_sym_LPAREN] = ACTIONS(965),
    [anon_sym_do] = ACTIONS(967),
    [anon_sym_switch] = ACTIONS(967),
    [anon_sym_case] = ACTIONS(967),
    [anon_sym_default] = ACTIONS(967),
    [anon_sym_for] = ACTIONS(967),
    [anon_sym_foreach] = ACTIONS(967),
    [anon_sym_COMMA] = ACTIONS(965),
    [anon_sym_in] = ACTIONS(967),
    [anon_sym_break] = ACTIONS(967),
    [anon_sym_continue] = ACTIONS(967),
    [anon_sym_return] = ACTIONS(967),
    [anon_sym_yield] = ACTIONS(967),
    [anon_sym_resume] = ACTIONS(967),
    [anon_sym_local] = ACTIONS(967),
    [anon_sym_EQ] = ACTIONS(967),
    [anon_sym_LT_DASH] = ACTIONS(965),
    [anon_sym_function] = ACTIONS(967),
    [anon_sym_COLON_COLON] = ACTIONS(965),
    [anon_sym_class] = ACTIONS(967),
    [anon_sym_DOT] = ACTIONS(965),
    [anon_sym_LBRACK] = ACTIONS(965),
    [anon_sym_try] = ACTIONS(967),
    [anon_sym_throw] = ACTIONS(967),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_enum] = ACTIONS(967),
    [anon_sym_DASH] = ACTIONS(967),
    [anon_sym_TILDE] = ACTIONS(965),
    [anon_sym_BANG] = ACTIONS(967),
    [anon_sym_typeof] = ACTIONS(967),
    [anon_sym_PLUS_PLUS] = ACTIONS(965),
    [anon_sym_DASH_DASH] = ACTIONS(965),
    [anon_sym_PLUS] = ACTIONS(967),
    [anon_sym_STAR] = ACTIONS(967),
    [anon_sym_SLASH] = ACTIONS(967),
    [anon_sym_PERCENT] = ACTIONS(967),
    [anon_sym_PIPE_PIPE] = ACTIONS(965),
    [anon_sym_AMP_AMP] = ACTIONS(965),
    [anon_sym_PIPE] = ACTIONS(967),
    [anon_sym_CARET] = ACTIONS(965),
    [anon_sym_AMP] = ACTIONS(967),
    [anon_sym_EQ_EQ] = ACTIONS(965),
    [anon_sym_BANG_EQ] = ACTIONS(965),
    [anon_sym_LT_EQ_GT] = ACTIONS(965),
    [anon_sym_GT] = ACTIONS(967),
    [anon_sym_GT_EQ] = ACTIONS(965),
    [anon_sym_LT_EQ] = ACTIONS(967),
    [anon_sym_LT] = ACTIONS(967),
    [anon_sym_instanceof] = ACTIONS(967),
    [anon_sym_LT_LT] = ACTIONS(965),
    [anon_sym_GT_GT] = ACTIONS(967),
    [anon_sym_GT_GT_GT] = ACTIONS(965),
    [anon_sym_QMARK] = ACTIONS(965),
    [anon_sym_PLUS_EQ] = ACTIONS(965),
    [anon_sym_DASH_EQ] = ACTIONS(965),
    [anon_sym_STAR_EQ] = ACTIONS(965),
    [anon_sym_SLASH_EQ] = ACTIONS(965),
    [anon_sym_PERCENT_EQ] = ACTIONS(965),
    [anon_sym_delete] = ACTIONS(967),
    [anon_sym_var] = ACTIONS(967),
    [anon_sym_rawcall] = ACTIONS(967),
    [anon_sym_AT] = ACTIONS(965),
    [anon_sym_clone] = ACTIONS(967),
    [sym_integer] = ACTIONS(967),
    [sym_float] = ACTIONS(965),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(967),
    [anon_sym_false] = ACTIONS(967),
    [sym_null] = ACTIONS(967),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(965),
  },
  [214] = {
    [ts_builtin_sym_end] = ACTIONS(969),
    [sym_identifier] = ACTIONS(971),
    [anon_sym_SEMI] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(969),
    [anon_sym_RBRACE] = ACTIONS(969),
    [anon_sym_if] = ACTIONS(971),
    [anon_sym_else] = ACTIONS(971),
    [anon_sym_while] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(969),
    [anon_sym_do] = ACTIONS(971),
    [anon_sym_switch] = ACTIONS(971),
    [anon_sym_case] = ACTIONS(971),
    [anon_sym_default] = ACTIONS(971),
    [anon_sym_for] = ACTIONS(971),
    [anon_sym_foreach] = ACTIONS(971),
    [anon_sym_COMMA] = ACTIONS(969),
    [anon_sym_in] = ACTIONS(971),
    [anon_sym_break] = ACTIONS(971),
    [anon_sym_continue] = ACTIONS(971),
    [anon_sym_return] = ACTIONS(971),
    [anon_sym_yield] = ACTIONS(971),
    [anon_sym_resume] = ACTIONS(971),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_EQ] = ACTIONS(971),
    [anon_sym_LT_DASH] = ACTIONS(969),
    [anon_sym_function] = ACTIONS(971),
    [anon_sym_COLON_COLON] = ACTIONS(969),
    [anon_sym_class] = ACTIONS(971),
    [anon_sym_DOT] = ACTIONS(969),
    [anon_sym_LBRACK] = ACTIONS(969),
    [anon_sym_try] = ACTIONS(971),
    [anon_sym_throw] = ACTIONS(971),
    [anon_sym_const] = ACTIONS(971),
    [anon_sym_enum] = ACTIONS(971),
    [anon_sym_DASH] = ACTIONS(971),
    [anon_sym_TILDE] = ACTIONS(969),
    [anon_sym_BANG] = ACTIONS(971),
    [anon_sym_typeof] = ACTIONS(971),
    [anon_sym_PLUS_PLUS] = ACTIONS(969),
    [anon_sym_DASH_DASH] = ACTIONS(969),
    [anon_sym_PLUS] = ACTIONS(971),
    [anon_sym_STAR] = ACTIONS(971),
    [anon_sym_SLASH] = ACTIONS(971),
    [anon_sym_PERCENT] = ACTIONS(971),
    [anon_sym_PIPE_PIPE] = ACTIONS(969),
    [anon_sym_AMP_AMP] = ACTIONS(969),
    [anon_sym_PIPE] = ACTIONS(971),
    [anon_sym_CARET] = ACTIONS(969),
    [anon_sym_AMP] = ACTIONS(971),
    [anon_sym_EQ_EQ] = ACTIONS(969),
    [anon_sym_BANG_EQ] = ACTIONS(969),
    [anon_sym_LT_EQ_GT] = ACTIONS(969),
    [anon_sym_GT] = ACTIONS(971),
    [anon_sym_GT_EQ] = ACTIONS(969),
    [anon_sym_LT_EQ] = ACTIONS(971),
    [anon_sym_LT] = ACTIONS(971),
    [anon_sym_instanceof] = ACTIONS(971),
    [anon_sym_LT_LT] = ACTIONS(969),
    [anon_sym_GT_GT] = ACTIONS(971),
    [anon_sym_GT_GT_GT] = ACTIONS(969),
    [anon_sym_QMARK] = ACTIONS(969),
    [anon_sym_PLUS_EQ] = ACTIONS(969),
    [anon_sym_DASH_EQ] = ACTIONS(969),
    [anon_sym_STAR_EQ] = ACTIONS(969),
    [anon_sym_SLASH_EQ] = ACTIONS(969),
    [anon_sym_PERCENT_EQ] = ACTIONS(969),
    [anon_sym_delete] = ACTIONS(971),
    [anon_sym_var] = ACTIONS(971),
    [anon_sym_rawcall] = ACTIONS(971),
    [anon_sym_AT] = ACTIONS(969),
    [anon_sym_clone] = ACTIONS(971),
    [sym_integer] = ACTIONS(971),
    [sym_float] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(969),
    [anon_sym_true] = ACTIONS(971),
    [anon_sym_false] = ACTIONS(971),
    [sym_null] = ACTIONS(971),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(969),
  },
  [215] = {
    [ts_builtin_sym_end] = ACTIONS(973),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_SEMI] = ACTIONS(973),
    [anon_sym_LBRACE] = ACTIONS(973),
    [anon_sym_RBRACE] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(975),
    [anon_sym_else] = ACTIONS(975),
    [anon_sym_while] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_do] = ACTIONS(975),
    [anon_sym_switch] = ACTIONS(975),
    [anon_sym_case] = ACTIONS(975),
    [anon_sym_default] = ACTIONS(975),
    [anon_sym_for] = ACTIONS(975),
    [anon_sym_foreach] = ACTIONS(975),
    [anon_sym_COMMA] = ACTIONS(973),
    [anon_sym_in] = ACTIONS(975),
    [anon_sym_break] = ACTIONS(975),
    [anon_sym_continue] = ACTIONS(975),
    [anon_sym_return] = ACTIONS(975),
    [anon_sym_yield] = ACTIONS(975),
    [anon_sym_resume] = ACTIONS(975),
    [anon_sym_local] = ACTIONS(975),
    [anon_sym_EQ] = ACTIONS(975),
    [anon_sym_LT_DASH] = ACTIONS(973),
    [anon_sym_function] = ACTIONS(975),
    [anon_sym_COLON_COLON] = ACTIONS(973),
    [anon_sym_class] = ACTIONS(975),
    [anon_sym_DOT] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(973),
    [anon_sym_try] = ACTIONS(975),
    [anon_sym_throw] = ACTIONS(975),
    [anon_sym_const] = ACTIONS(975),
    [anon_sym_enum] = ACTIONS(975),
    [anon_sym_DASH] = ACTIONS(975),
    [anon_sym_TILDE] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(975),
    [anon_sym_typeof] = ACTIONS(975),
    [anon_sym_PLUS_PLUS] = ACTIONS(973),
    [anon_sym_DASH_DASH] = ACTIONS(973),
    [anon_sym_PLUS] = ACTIONS(975),
    [anon_sym_STAR] = ACTIONS(975),
    [anon_sym_SLASH] = ACTIONS(975),
    [anon_sym_PERCENT] = ACTIONS(975),
    [anon_sym_PIPE_PIPE] = ACTIONS(973),
    [anon_sym_AMP_AMP] = ACTIONS(973),
    [anon_sym_PIPE] = ACTIONS(975),
    [anon_sym_CARET] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_EQ_EQ] = ACTIONS(973),
    [anon_sym_BANG_EQ] = ACTIONS(973),
    [anon_sym_LT_EQ_GT] = ACTIONS(973),
    [anon_sym_GT] = ACTIONS(975),
    [anon_sym_GT_EQ] = ACTIONS(973),
    [anon_sym_LT_EQ] = ACTIONS(975),
    [anon_sym_LT] = ACTIONS(975),
    [anon_sym_instanceof] = ACTIONS(975),
    [anon_sym_LT_LT] = ACTIONS(973),
    [anon_sym_GT_GT] = ACTIONS(975),
    [anon_sym_GT_GT_GT] = ACTIONS(973),
    [anon_sym_QMARK] = ACTIONS(973),
    [anon_sym_PLUS_EQ] = ACTIONS(973),
    [anon_sym_DASH_EQ] = ACTIONS(973),
    [anon_sym_STAR_EQ] = ACTIONS(973),
    [anon_sym_SLASH_EQ] = ACTIONS(973),
    [anon_sym_PERCENT_EQ] = ACTIONS(973),
    [anon_sym_delete] = ACTIONS(975),
    [anon_sym_var] = ACTIONS(975),
    [anon_sym_rawcall] = ACTIONS(975),
    [anon_sym_AT] = ACTIONS(973),
    [anon_sym_clone] = ACTIONS(975),
    [sym_integer] = ACTIONS(975),
    [sym_float] = ACTIONS(973),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [anon_sym_SQUOTE] = ACTIONS(975),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(973),
    [anon_sym_true] = ACTIONS(975),
    [anon_sym_false] = ACTIONS(975),
    [sym_null] = ACTIONS(975),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(973),
  },
  [216] = {
    [ts_builtin_sym_end] = ACTIONS(977),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_SEMI] = ACTIONS(977),
    [anon_sym_LBRACE] = ACTIONS(977),
    [anon_sym_RBRACE] = ACTIONS(977),
    [anon_sym_if] = ACTIONS(979),
    [anon_sym_else] = ACTIONS(979),
    [anon_sym_while] = ACTIONS(979),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_do] = ACTIONS(979),
    [anon_sym_switch] = ACTIONS(979),
    [anon_sym_case] = ACTIONS(979),
    [anon_sym_default] = ACTIONS(979),
    [anon_sym_for] = ACTIONS(979),
    [anon_sym_foreach] = ACTIONS(979),
    [anon_sym_COMMA] = ACTIONS(977),
    [anon_sym_in] = ACTIONS(979),
    [anon_sym_break] = ACTIONS(979),
    [anon_sym_continue] = ACTIONS(979),
    [anon_sym_return] = ACTIONS(979),
    [anon_sym_yield] = ACTIONS(979),
    [anon_sym_resume] = ACTIONS(979),
    [anon_sym_local] = ACTIONS(979),
    [anon_sym_EQ] = ACTIONS(979),
    [anon_sym_LT_DASH] = ACTIONS(977),
    [anon_sym_function] = ACTIONS(979),
    [anon_sym_COLON_COLON] = ACTIONS(977),
    [anon_sym_class] = ACTIONS(979),
    [anon_sym_DOT] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(977),
    [anon_sym_try] = ACTIONS(979),
    [anon_sym_throw] = ACTIONS(979),
    [anon_sym_const] = ACTIONS(979),
    [anon_sym_enum] = ACTIONS(979),
    [anon_sym_DASH] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(977),
    [anon_sym_BANG] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(979),
    [anon_sym_PLUS_PLUS] = ACTIONS(977),
    [anon_sym_DASH_DASH] = ACTIONS(977),
    [anon_sym_PLUS] = ACTIONS(979),
    [anon_sym_STAR] = ACTIONS(979),
    [anon_sym_SLASH] = ACTIONS(979),
    [anon_sym_PERCENT] = ACTIONS(979),
    [anon_sym_PIPE_PIPE] = ACTIONS(977),
    [anon_sym_AMP_AMP] = ACTIONS(977),
    [anon_sym_PIPE] = ACTIONS(979),
    [anon_sym_CARET] = ACTIONS(977),
    [anon_sym_AMP] = ACTIONS(979),
    [anon_sym_EQ_EQ] = ACTIONS(977),
    [anon_sym_BANG_EQ] = ACTIONS(977),
    [anon_sym_LT_EQ_GT] = ACTIONS(977),
    [anon_sym_GT] = ACTIONS(979),
    [anon_sym_GT_EQ] = ACTIONS(977),
    [anon_sym_LT_EQ] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(979),
    [anon_sym_instanceof] = ACTIONS(979),
    [anon_sym_LT_LT] = ACTIONS(977),
    [anon_sym_GT_GT] = ACTIONS(979),
    [anon_sym_GT_GT_GT] = ACTIONS(977),
    [anon_sym_QMARK] = ACTIONS(977),
    [anon_sym_PLUS_EQ] = ACTIONS(977),
    [anon_sym_DASH_EQ] = ACTIONS(977),
    [anon_sym_STAR_EQ] = ACTIONS(977),
    [anon_sym_SLASH_EQ] = ACTIONS(977),
    [anon_sym_PERCENT_EQ] = ACTIONS(977),
    [anon_sym_delete] = ACTIONS(979),
    [anon_sym_var] = ACTIONS(979),
    [anon_sym_rawcall] = ACTIONS(979),
    [anon_sym_AT] = ACTIONS(977),
    [anon_sym_clone] = ACTIONS(979),
    [sym_integer] = ACTIONS(979),
    [sym_float] = ACTIONS(977),
    [anon_sym_DQUOTE] = ACTIONS(977),
    [anon_sym_SQUOTE] = ACTIONS(979),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(977),
    [anon_sym_true] = ACTIONS(979),
    [anon_sym_false] = ACTIONS(979),
    [sym_null] = ACTIONS(979),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(977),
  },
  [217] = {
    [ts_builtin_sym_end] = ACTIONS(981),
    [sym_identifier] = ACTIONS(983),
    [anon_sym_SEMI] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(981),
    [anon_sym_RBRACE] = ACTIONS(981),
    [anon_sym_if] = ACTIONS(983),
    [anon_sym_else] = ACTIONS(983),
    [anon_sym_while] = ACTIONS(983),
    [anon_sym_LPAREN] = ACTIONS(981),
    [anon_sym_do] = ACTIONS(983),
    [anon_sym_switch] = ACTIONS(983),
    [anon_sym_case] = ACTIONS(983),
    [anon_sym_default] = ACTIONS(983),
    [anon_sym_for] = ACTIONS(983),
    [anon_sym_foreach] = ACTIONS(983),
    [anon_sym_COMMA] = ACTIONS(981),
    [anon_sym_in] = ACTIONS(983),
    [anon_sym_break] = ACTIONS(983),
    [anon_sym_continue] = ACTIONS(983),
    [anon_sym_return] = ACTIONS(983),
    [anon_sym_yield] = ACTIONS(983),
    [anon_sym_resume] = ACTIONS(983),
    [anon_sym_local] = ACTIONS(983),
    [anon_sym_EQ] = ACTIONS(983),
    [anon_sym_LT_DASH] = ACTIONS(981),
    [anon_sym_function] = ACTIONS(983),
    [anon_sym_COLON_COLON] = ACTIONS(981),
    [anon_sym_class] = ACTIONS(983),
    [anon_sym_DOT] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_try] = ACTIONS(983),
    [anon_sym_throw] = ACTIONS(983),
    [anon_sym_const] = ACTIONS(983),
    [anon_sym_enum] = ACTIONS(983),
    [anon_sym_DASH] = ACTIONS(983),
    [anon_sym_TILDE] = ACTIONS(981),
    [anon_sym_BANG] = ACTIONS(983),
    [anon_sym_typeof] = ACTIONS(983),
    [anon_sym_PLUS_PLUS] = ACTIONS(981),
    [anon_sym_DASH_DASH] = ACTIONS(981),
    [anon_sym_PLUS] = ACTIONS(983),
    [anon_sym_STAR] = ACTIONS(983),
    [anon_sym_SLASH] = ACTIONS(983),
    [anon_sym_PERCENT] = ACTIONS(983),
    [anon_sym_PIPE_PIPE] = ACTIONS(981),
    [anon_sym_AMP_AMP] = ACTIONS(981),
    [anon_sym_PIPE] = ACTIONS(983),
    [anon_sym_CARET] = ACTIONS(981),
    [anon_sym_AMP] = ACTIONS(983),
    [anon_sym_EQ_EQ] = ACTIONS(981),
    [anon_sym_BANG_EQ] = ACTIONS(981),
    [anon_sym_LT_EQ_GT] = ACTIONS(981),
    [anon_sym_GT] = ACTIONS(983),
    [anon_sym_GT_EQ] = ACTIONS(981),
    [anon_sym_LT_EQ] = ACTIONS(983),
    [anon_sym_LT] = ACTIONS(983),
    [anon_sym_instanceof] = ACTIONS(983),
    [anon_sym_LT_LT] = ACTIONS(981),
    [anon_sym_GT_GT] = ACTIONS(983),
    [anon_sym_GT_GT_GT] = ACTIONS(981),
    [anon_sym_QMARK] = ACTIONS(981),
    [anon_sym_PLUS_EQ] = ACTIONS(981),
    [anon_sym_DASH_EQ] = ACTIONS(981),
    [anon_sym_STAR_EQ] = ACTIONS(981),
    [anon_sym_SLASH_EQ] = ACTIONS(981),
    [anon_sym_PERCENT_EQ] = ACTIONS(981),
    [anon_sym_delete] = ACTIONS(983),
    [anon_sym_var] = ACTIONS(983),
    [anon_sym_rawcall] = ACTIONS(983),
    [anon_sym_AT] = ACTIONS(981),
    [anon_sym_clone] = ACTIONS(983),
    [sym_integer] = ACTIONS(983),
    [sym_float] = ACTIONS(981),
    [anon_sym_DQUOTE] = ACTIONS(981),
    [anon_sym_SQUOTE] = ACTIONS(983),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(981),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [sym_null] = ACTIONS(983),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(981),
  },
  [218] = {
    [ts_builtin_sym_end] = ACTIONS(985),
    [sym_identifier] = ACTIONS(987),
    [anon_sym_SEMI] = ACTIONS(985),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_RBRACE] = ACTIONS(985),
    [anon_sym_if] = ACTIONS(987),
    [anon_sym_else] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(987),
    [anon_sym_LPAREN] = ACTIONS(985),
    [anon_sym_do] = ACTIONS(987),
    [anon_sym_switch] = ACTIONS(987),
    [anon_sym_case] = ACTIONS(987),
    [anon_sym_default] = ACTIONS(987),
    [anon_sym_for] = ACTIONS(987),
    [anon_sym_foreach] = ACTIONS(987),
    [anon_sym_COMMA] = ACTIONS(985),
    [anon_sym_in] = ACTIONS(987),
    [anon_sym_break] = ACTIONS(987),
    [anon_sym_continue] = ACTIONS(987),
    [anon_sym_return] = ACTIONS(987),
    [anon_sym_yield] = ACTIONS(987),
    [anon_sym_resume] = ACTIONS(987),
    [anon_sym_local] = ACTIONS(987),
    [anon_sym_EQ] = ACTIONS(987),
    [anon_sym_LT_DASH] = ACTIONS(985),
    [anon_sym_function] = ACTIONS(987),
    [anon_sym_COLON_COLON] = ACTIONS(985),
    [anon_sym_class] = ACTIONS(987),
    [anon_sym_DOT] = ACTIONS(985),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_try] = ACTIONS(987),
    [anon_sym_throw] = ACTIONS(987),
    [anon_sym_const] = ACTIONS(987),
    [anon_sym_enum] = ACTIONS(987),
    [anon_sym_DASH] = ACTIONS(987),
    [anon_sym_TILDE] = ACTIONS(985),
    [anon_sym_BANG] = ACTIONS(987),
    [anon_sym_typeof] = ACTIONS(987),
    [anon_sym_PLUS_PLUS] = ACTIONS(985),
    [anon_sym_DASH_DASH] = ACTIONS(985),
    [anon_sym_PLUS] = ACTIONS(987),
    [anon_sym_STAR] = ACTIONS(987),
    [anon_sym_SLASH] = ACTIONS(987),
    [anon_sym_PERCENT] = ACTIONS(987),
    [anon_sym_PIPE_PIPE] = ACTIONS(985),
    [anon_sym_AMP_AMP] = ACTIONS(985),
    [anon_sym_PIPE] = ACTIONS(987),
    [anon_sym_CARET] = ACTIONS(985),
    [anon_sym_AMP] = ACTIONS(987),
    [anon_sym_EQ_EQ] = ACTIONS(985),
    [anon_sym_BANG_EQ] = ACTIONS(985),
    [anon_sym_LT_EQ_GT] = ACTIONS(985),
    [anon_sym_GT] = ACTIONS(987),
    [anon_sym_GT_EQ] = ACTIONS(985),
    [anon_sym_LT_EQ] = ACTIONS(987),
    [anon_sym_LT] = ACTIONS(987),
    [anon_sym_instanceof] = ACTIONS(987),
    [anon_sym_LT_LT] = ACTIONS(985),
    [anon_sym_GT_GT] = ACTIONS(987),
    [anon_sym_GT_GT_GT] = ACTIONS(985),
    [anon_sym_QMARK] = ACTIONS(985),
    [anon_sym_PLUS_EQ] = ACTIONS(985),
    [anon_sym_DASH_EQ] = ACTIONS(985),
    [anon_sym_STAR_EQ] = ACTIONS(985),
    [anon_sym_SLASH_EQ] = ACTIONS(985),
    [anon_sym_PERCENT_EQ] = ACTIONS(985),
    [anon_sym_delete] = ACTIONS(987),
    [anon_sym_var] = ACTIONS(987),
    [anon_sym_rawcall] = ACTIONS(987),
    [anon_sym_AT] = ACTIONS(985),
    [anon_sym_clone] = ACTIONS(987),
    [sym_integer] = ACTIONS(987),
    [sym_float] = ACTIONS(985),
    [anon_sym_DQUOTE] = ACTIONS(985),
    [anon_sym_SQUOTE] = ACTIONS(987),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(985),
    [anon_sym_true] = ACTIONS(987),
    [anon_sym_false] = ACTIONS(987),
    [sym_null] = ACTIONS(987),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(985),
  },
  [219] = {
    [ts_builtin_sym_end] = ACTIONS(989),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_SEMI] = ACTIONS(989),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_RBRACE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_else] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(989),
    [anon_sym_do] = ACTIONS(991),
    [anon_sym_switch] = ACTIONS(991),
    [anon_sym_case] = ACTIONS(991),
    [anon_sym_default] = ACTIONS(991),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_foreach] = ACTIONS(991),
    [anon_sym_COMMA] = ACTIONS(989),
    [anon_sym_in] = ACTIONS(991),
    [anon_sym_break] = ACTIONS(991),
    [anon_sym_continue] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(991),
    [anon_sym_yield] = ACTIONS(991),
    [anon_sym_resume] = ACTIONS(991),
    [anon_sym_local] = ACTIONS(991),
    [anon_sym_EQ] = ACTIONS(991),
    [anon_sym_LT_DASH] = ACTIONS(989),
    [anon_sym_function] = ACTIONS(991),
    [anon_sym_COLON_COLON] = ACTIONS(989),
    [anon_sym_class] = ACTIONS(991),
    [anon_sym_DOT] = ACTIONS(989),
    [anon_sym_LBRACK] = ACTIONS(989),
    [anon_sym_try] = ACTIONS(991),
    [anon_sym_throw] = ACTIONS(991),
    [anon_sym_const] = ACTIONS(991),
    [anon_sym_enum] = ACTIONS(991),
    [anon_sym_DASH] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(989),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_typeof] = ACTIONS(991),
    [anon_sym_PLUS_PLUS] = ACTIONS(989),
    [anon_sym_DASH_DASH] = ACTIONS(989),
    [anon_sym_PLUS] = ACTIONS(991),
    [anon_sym_STAR] = ACTIONS(991),
    [anon_sym_SLASH] = ACTIONS(991),
    [anon_sym_PERCENT] = ACTIONS(991),
    [anon_sym_PIPE_PIPE] = ACTIONS(989),
    [anon_sym_AMP_AMP] = ACTIONS(989),
    [anon_sym_PIPE] = ACTIONS(991),
    [anon_sym_CARET] = ACTIONS(989),
    [anon_sym_AMP] = ACTIONS(991),
    [anon_sym_EQ_EQ] = ACTIONS(989),
    [anon_sym_BANG_EQ] = ACTIONS(989),
    [anon_sym_LT_EQ_GT] = ACTIONS(989),
    [anon_sym_GT] = ACTIONS(991),
    [anon_sym_GT_EQ] = ACTIONS(989),
    [anon_sym_LT_EQ] = ACTIONS(991),
    [anon_sym_LT] = ACTIONS(991),
    [anon_sym_instanceof] = ACTIONS(991),
    [anon_sym_LT_LT] = ACTIONS(989),
    [anon_sym_GT_GT] = ACTIONS(991),
    [anon_sym_GT_GT_GT] = ACTIONS(989),
    [anon_sym_QMARK] = ACTIONS(989),
    [anon_sym_PLUS_EQ] = ACTIONS(989),
    [anon_sym_DASH_EQ] = ACTIONS(989),
    [anon_sym_STAR_EQ] = ACTIONS(989),
    [anon_sym_SLASH_EQ] = ACTIONS(989),
    [anon_sym_PERCENT_EQ] = ACTIONS(989),
    [anon_sym_delete] = ACTIONS(991),
    [anon_sym_var] = ACTIONS(991),
    [anon_sym_rawcall] = ACTIONS(991),
    [anon_sym_AT] = ACTIONS(989),
    [anon_sym_clone] = ACTIONS(991),
    [sym_integer] = ACTIONS(991),
    [sym_float] = ACTIONS(989),
    [anon_sym_DQUOTE] = ACTIONS(989),
    [anon_sym_SQUOTE] = ACTIONS(991),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(989),
    [anon_sym_true] = ACTIONS(991),
    [anon_sym_false] = ACTIONS(991),
    [sym_null] = ACTIONS(991),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(989),
  },
  [220] = {
    [ts_builtin_sym_end] = ACTIONS(993),
    [sym_identifier] = ACTIONS(995),
    [anon_sym_SEMI] = ACTIONS(997),
    [anon_sym_LBRACE] = ACTIONS(993),
    [anon_sym_RBRACE] = ACTIONS(993),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_else] = ACTIONS(995),
    [anon_sym_while] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(995),
    [anon_sym_switch] = ACTIONS(995),
    [anon_sym_case] = ACTIONS(995),
    [anon_sym_default] = ACTIONS(995),
    [anon_sym_for] = ACTIONS(995),
    [anon_sym_foreach] = ACTIONS(995),
    [anon_sym_COMMA] = ACTIONS(993),
    [anon_sym_in] = ACTIONS(995),
    [anon_sym_break] = ACTIONS(995),
    [anon_sym_continue] = ACTIONS(995),
    [anon_sym_return] = ACTIONS(995),
    [anon_sym_yield] = ACTIONS(995),
    [anon_sym_resume] = ACTIONS(995),
    [anon_sym_local] = ACTIONS(995),
    [anon_sym_EQ] = ACTIONS(995),
    [anon_sym_LT_DASH] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_COLON_COLON] = ACTIONS(993),
    [anon_sym_class] = ACTIONS(995),
    [anon_sym_DOT] = ACTIONS(993),
    [anon_sym_LBRACK] = ACTIONS(993),
    [anon_sym_try] = ACTIONS(995),
    [anon_sym_throw] = ACTIONS(995),
    [anon_sym_const] = ACTIONS(995),
    [anon_sym_enum] = ACTIONS(995),
    [anon_sym_DASH] = ACTIONS(995),
    [anon_sym_TILDE] = ACTIONS(993),
    [anon_sym_BANG] = ACTIONS(995),
    [anon_sym_typeof] = ACTIONS(995),
    [anon_sym_PLUS_PLUS] = ACTIONS(993),
    [anon_sym_DASH_DASH] = ACTIONS(993),
    [anon_sym_PLUS] = ACTIONS(995),
    [anon_sym_STAR] = ACTIONS(995),
    [anon_sym_SLASH] = ACTIONS(995),
    [anon_sym_PERCENT] = ACTIONS(995),
    [anon_sym_PIPE_PIPE] = ACTIONS(993),
    [anon_sym_AMP_AMP] = ACTIONS(993),
    [anon_sym_PIPE] = ACTIONS(995),
    [anon_sym_CARET] = ACTIONS(993),
    [anon_sym_AMP] = ACTIONS(995),
    [anon_sym_EQ_EQ] = ACTIONS(993),
    [anon_sym_BANG_EQ] = ACTIONS(993),
    [anon_sym_LT_EQ_GT] = ACTIONS(993),
    [anon_sym_GT] = ACTIONS(995),
    [anon_sym_GT_EQ] = ACTIONS(993),
    [anon_sym_LT_EQ] = ACTIONS(995),
    [anon_sym_LT] = ACTIONS(995),
    [anon_sym_instanceof] = ACTIONS(995),
    [anon_sym_LT_LT] = ACTIONS(993),
    [anon_sym_GT_GT] = ACTIONS(995),
    [anon_sym_GT_GT_GT] = ACTIONS(993),
    [anon_sym_QMARK] = ACTIONS(993),
    [anon_sym_PLUS_EQ] = ACTIONS(993),
    [anon_sym_DASH_EQ] = ACTIONS(993),
    [anon_sym_STAR_EQ] = ACTIONS(993),
    [anon_sym_SLASH_EQ] = ACTIONS(993),
    [anon_sym_PERCENT_EQ] = ACTIONS(993),
    [anon_sym_delete] = ACTIONS(995),
    [anon_sym_var] = ACTIONS(995),
    [anon_sym_rawcall] = ACTIONS(995),
    [anon_sym_AT] = ACTIONS(993),
    [anon_sym_clone] = ACTIONS(995),
    [sym_integer] = ACTIONS(995),
    [sym_float] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(993),
    [anon_sym_SQUOTE] = ACTIONS(995),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(993),
    [anon_sym_true] = ACTIONS(995),
    [anon_sym_false] = ACTIONS(995),
    [sym_null] = ACTIONS(995),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(993),
  },
  [221] = {
    [ts_builtin_sym_end] = ACTIONS(999),
    [sym_identifier] = ACTIONS(1001),
    [anon_sym_SEMI] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(999),
    [anon_sym_RBRACE] = ACTIONS(999),
    [anon_sym_if] = ACTIONS(1001),
    [anon_sym_else] = ACTIONS(1001),
    [anon_sym_while] = ACTIONS(1001),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_do] = ACTIONS(1001),
    [anon_sym_switch] = ACTIONS(1001),
    [anon_sym_case] = ACTIONS(1001),
    [anon_sym_default] = ACTIONS(1001),
    [anon_sym_for] = ACTIONS(1001),
    [anon_sym_foreach] = ACTIONS(1001),
    [anon_sym_COMMA] = ACTIONS(999),
    [anon_sym_in] = ACTIONS(1001),
    [anon_sym_break] = ACTIONS(1001),
    [anon_sym_continue] = ACTIONS(1001),
    [anon_sym_return] = ACTIONS(1001),
    [anon_sym_yield] = ACTIONS(1001),
    [anon_sym_resume] = ACTIONS(1001),
    [anon_sym_local] = ACTIONS(1001),
    [anon_sym_EQ] = ACTIONS(1001),
    [anon_sym_LT_DASH] = ACTIONS(999),
    [anon_sym_function] = ACTIONS(1001),
    [anon_sym_COLON_COLON] = ACTIONS(999),
    [anon_sym_class] = ACTIONS(1001),
    [anon_sym_DOT] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_try] = ACTIONS(1001),
    [anon_sym_throw] = ACTIONS(1001),
    [anon_sym_const] = ACTIONS(1001),
    [anon_sym_enum] = ACTIONS(1001),
    [anon_sym_DASH] = ACTIONS(1001),
    [anon_sym_TILDE] = ACTIONS(999),
    [anon_sym_BANG] = ACTIONS(1001),
    [anon_sym_typeof] = ACTIONS(1001),
    [anon_sym_PLUS_PLUS] = ACTIONS(999),
    [anon_sym_DASH_DASH] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(1001),
    [anon_sym_STAR] = ACTIONS(1001),
    [anon_sym_SLASH] = ACTIONS(1001),
    [anon_sym_PERCENT] = ACTIONS(1001),
    [anon_sym_PIPE_PIPE] = ACTIONS(999),
    [anon_sym_AMP_AMP] = ACTIONS(999),
    [anon_sym_PIPE] = ACTIONS(1001),
    [anon_sym_CARET] = ACTIONS(999),
    [anon_sym_AMP] = ACTIONS(1001),
    [anon_sym_EQ_EQ] = ACTIONS(999),
    [anon_sym_BANG_EQ] = ACTIONS(999),
    [anon_sym_LT_EQ_GT] = ACTIONS(999),
    [anon_sym_GT] = ACTIONS(1001),
    [anon_sym_GT_EQ] = ACTIONS(999),
    [anon_sym_LT_EQ] = ACTIONS(1001),
    [anon_sym_LT] = ACTIONS(1001),
    [anon_sym_instanceof] = ACTIONS(1001),
    [anon_sym_LT_LT] = ACTIONS(999),
    [anon_sym_GT_GT] = ACTIONS(1001),
    [anon_sym_GT_GT_GT] = ACTIONS(999),
    [anon_sym_QMARK] = ACTIONS(999),
    [anon_sym_PLUS_EQ] = ACTIONS(999),
    [anon_sym_DASH_EQ] = ACTIONS(999),
    [anon_sym_STAR_EQ] = ACTIONS(999),
    [anon_sym_SLASH_EQ] = ACTIONS(999),
    [anon_sym_PERCENT_EQ] = ACTIONS(999),
    [anon_sym_delete] = ACTIONS(1001),
    [anon_sym_var] = ACTIONS(1001),
    [anon_sym_rawcall] = ACTIONS(1001),
    [anon_sym_AT] = ACTIONS(999),
    [anon_sym_clone] = ACTIONS(1001),
    [sym_integer] = ACTIONS(1001),
    [sym_float] = ACTIONS(999),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [anon_sym_SQUOTE] = ACTIONS(1001),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(999),
    [anon_sym_true] = ACTIONS(1001),
    [anon_sym_false] = ACTIONS(1001),
    [sym_null] = ACTIONS(1001),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(999),
  },
  [222] = {
    [ts_builtin_sym_end] = ACTIONS(993),
    [sym_identifier] = ACTIONS(995),
    [anon_sym_SEMI] = ACTIONS(993),
    [anon_sym_LBRACE] = ACTIONS(993),
    [anon_sym_RBRACE] = ACTIONS(993),
    [anon_sym_if] = ACTIONS(995),
    [anon_sym_else] = ACTIONS(995),
    [anon_sym_while] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(995),
    [anon_sym_switch] = ACTIONS(995),
    [anon_sym_case] = ACTIONS(995),
    [anon_sym_default] = ACTIONS(995),
    [anon_sym_for] = ACTIONS(995),
    [anon_sym_foreach] = ACTIONS(995),
    [anon_sym_COMMA] = ACTIONS(993),
    [anon_sym_in] = ACTIONS(995),
    [anon_sym_break] = ACTIONS(995),
    [anon_sym_continue] = ACTIONS(995),
    [anon_sym_return] = ACTIONS(995),
    [anon_sym_yield] = ACTIONS(995),
    [anon_sym_resume] = ACTIONS(995),
    [anon_sym_local] = ACTIONS(995),
    [anon_sym_EQ] = ACTIONS(995),
    [anon_sym_LT_DASH] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_COLON_COLON] = ACTIONS(993),
    [anon_sym_class] = ACTIONS(995),
    [anon_sym_DOT] = ACTIONS(993),
    [anon_sym_LBRACK] = ACTIONS(993),
    [anon_sym_try] = ACTIONS(995),
    [anon_sym_throw] = ACTIONS(995),
    [anon_sym_const] = ACTIONS(995),
    [anon_sym_enum] = ACTIONS(995),
    [anon_sym_DASH] = ACTIONS(995),
    [anon_sym_TILDE] = ACTIONS(993),
    [anon_sym_BANG] = ACTIONS(995),
    [anon_sym_typeof] = ACTIONS(995),
    [anon_sym_PLUS_PLUS] = ACTIONS(993),
    [anon_sym_DASH_DASH] = ACTIONS(993),
    [anon_sym_PLUS] = ACTIONS(995),
    [anon_sym_STAR] = ACTIONS(995),
    [anon_sym_SLASH] = ACTIONS(995),
    [anon_sym_PERCENT] = ACTIONS(995),
    [anon_sym_PIPE_PIPE] = ACTIONS(993),
    [anon_sym_AMP_AMP] = ACTIONS(993),
    [anon_sym_PIPE] = ACTIONS(995),
    [anon_sym_CARET] = ACTIONS(993),
    [anon_sym_AMP] = ACTIONS(995),
    [anon_sym_EQ_EQ] = ACTIONS(993),
    [anon_sym_BANG_EQ] = ACTIONS(993),
    [anon_sym_LT_EQ_GT] = ACTIONS(993),
    [anon_sym_GT] = ACTIONS(995),
    [anon_sym_GT_EQ] = ACTIONS(993),
    [anon_sym_LT_EQ] = ACTIONS(995),
    [anon_sym_LT] = ACTIONS(995),
    [anon_sym_instanceof] = ACTIONS(995),
    [anon_sym_LT_LT] = ACTIONS(993),
    [anon_sym_GT_GT] = ACTIONS(995),
    [anon_sym_GT_GT_GT] = ACTIONS(993),
    [anon_sym_QMARK] = ACTIONS(993),
    [anon_sym_PLUS_EQ] = ACTIONS(993),
    [anon_sym_DASH_EQ] = ACTIONS(993),
    [anon_sym_STAR_EQ] = ACTIONS(993),
    [anon_sym_SLASH_EQ] = ACTIONS(993),
    [anon_sym_PERCENT_EQ] = ACTIONS(993),
    [anon_sym_delete] = ACTIONS(995),
    [anon_sym_var] = ACTIONS(995),
    [anon_sym_rawcall] = ACTIONS(995),
    [anon_sym_AT] = ACTIONS(993),
    [anon_sym_clone] = ACTIONS(995),
    [sym_integer] = ACTIONS(995),
    [sym_float] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(993),
    [anon_sym_SQUOTE] = ACTIONS(995),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(993),
    [anon_sym_true] = ACTIONS(995),
    [anon_sym_false] = ACTIONS(995),
    [sym_null] = ACTIONS(995),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(993),
  },
  [223] = {
    [ts_builtin_sym_end] = ACTIONS(1003),
    [sym_identifier] = ACTIONS(1005),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1003),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_else] = ACTIONS(1005),
    [anon_sym_while] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1003),
    [anon_sym_do] = ACTIONS(1005),
    [anon_sym_switch] = ACTIONS(1005),
    [anon_sym_case] = ACTIONS(1005),
    [anon_sym_default] = ACTIONS(1005),
    [anon_sym_for] = ACTIONS(1005),
    [anon_sym_foreach] = ACTIONS(1005),
    [anon_sym_COMMA] = ACTIONS(1003),
    [anon_sym_in] = ACTIONS(1005),
    [anon_sym_break] = ACTIONS(1005),
    [anon_sym_continue] = ACTIONS(1005),
    [anon_sym_return] = ACTIONS(1005),
    [anon_sym_yield] = ACTIONS(1005),
    [anon_sym_resume] = ACTIONS(1005),
    [anon_sym_local] = ACTIONS(1005),
    [anon_sym_EQ] = ACTIONS(1005),
    [anon_sym_LT_DASH] = ACTIONS(1003),
    [anon_sym_function] = ACTIONS(1005),
    [anon_sym_COLON_COLON] = ACTIONS(1003),
    [anon_sym_class] = ACTIONS(1005),
    [anon_sym_DOT] = ACTIONS(1003),
    [anon_sym_LBRACK] = ACTIONS(1003),
    [anon_sym_try] = ACTIONS(1005),
    [anon_sym_throw] = ACTIONS(1005),
    [anon_sym_const] = ACTIONS(1005),
    [anon_sym_enum] = ACTIONS(1005),
    [anon_sym_DASH] = ACTIONS(1005),
    [anon_sym_TILDE] = ACTIONS(1003),
    [anon_sym_BANG] = ACTIONS(1005),
    [anon_sym_typeof] = ACTIONS(1005),
    [anon_sym_PLUS_PLUS] = ACTIONS(1003),
    [anon_sym_DASH_DASH] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(1005),
    [anon_sym_STAR] = ACTIONS(1005),
    [anon_sym_SLASH] = ACTIONS(1005),
    [anon_sym_PERCENT] = ACTIONS(1005),
    [anon_sym_PIPE_PIPE] = ACTIONS(1003),
    [anon_sym_AMP_AMP] = ACTIONS(1003),
    [anon_sym_PIPE] = ACTIONS(1005),
    [anon_sym_CARET] = ACTIONS(1003),
    [anon_sym_AMP] = ACTIONS(1005),
    [anon_sym_EQ_EQ] = ACTIONS(1003),
    [anon_sym_BANG_EQ] = ACTIONS(1003),
    [anon_sym_LT_EQ_GT] = ACTIONS(1003),
    [anon_sym_GT] = ACTIONS(1005),
    [anon_sym_GT_EQ] = ACTIONS(1003),
    [anon_sym_LT_EQ] = ACTIONS(1005),
    [anon_sym_LT] = ACTIONS(1005),
    [anon_sym_instanceof] = ACTIONS(1005),
    [anon_sym_LT_LT] = ACTIONS(1003),
    [anon_sym_GT_GT] = ACTIONS(1005),
    [anon_sym_GT_GT_GT] = ACTIONS(1003),
    [anon_sym_QMARK] = ACTIONS(1003),
    [anon_sym_PLUS_EQ] = ACTIONS(1003),
    [anon_sym_DASH_EQ] = ACTIONS(1003),
    [anon_sym_STAR_EQ] = ACTIONS(1003),
    [anon_sym_SLASH_EQ] = ACTIONS(1003),
    [anon_sym_PERCENT_EQ] = ACTIONS(1003),
    [anon_sym_delete] = ACTIONS(1005),
    [anon_sym_var] = ACTIONS(1005),
    [anon_sym_rawcall] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(1003),
    [anon_sym_clone] = ACTIONS(1005),
    [sym_integer] = ACTIONS(1005),
    [sym_float] = ACTIONS(1003),
    [anon_sym_DQUOTE] = ACTIONS(1003),
    [anon_sym_SQUOTE] = ACTIONS(1005),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1003),
    [anon_sym_true] = ACTIONS(1005),
    [anon_sym_false] = ACTIONS(1005),
    [sym_null] = ACTIONS(1005),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1003),
  },
  [224] = {
    [ts_builtin_sym_end] = ACTIONS(1007),
    [sym_identifier] = ACTIONS(1009),
    [anon_sym_SEMI] = ACTIONS(1007),
    [anon_sym_LBRACE] = ACTIONS(1007),
    [anon_sym_RBRACE] = ACTIONS(1007),
    [anon_sym_if] = ACTIONS(1009),
    [anon_sym_else] = ACTIONS(1009),
    [anon_sym_while] = ACTIONS(1009),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_do] = ACTIONS(1009),
    [anon_sym_switch] = ACTIONS(1009),
    [anon_sym_case] = ACTIONS(1009),
    [anon_sym_default] = ACTIONS(1009),
    [anon_sym_for] = ACTIONS(1009),
    [anon_sym_foreach] = ACTIONS(1009),
    [anon_sym_COMMA] = ACTIONS(1007),
    [anon_sym_in] = ACTIONS(1009),
    [anon_sym_break] = ACTIONS(1009),
    [anon_sym_continue] = ACTIONS(1009),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_yield] = ACTIONS(1009),
    [anon_sym_resume] = ACTIONS(1009),
    [anon_sym_local] = ACTIONS(1009),
    [anon_sym_EQ] = ACTIONS(1009),
    [anon_sym_LT_DASH] = ACTIONS(1007),
    [anon_sym_function] = ACTIONS(1009),
    [anon_sym_COLON_COLON] = ACTIONS(1007),
    [anon_sym_class] = ACTIONS(1009),
    [anon_sym_DOT] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1007),
    [anon_sym_try] = ACTIONS(1009),
    [anon_sym_throw] = ACTIONS(1009),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_enum] = ACTIONS(1009),
    [anon_sym_DASH] = ACTIONS(1009),
    [anon_sym_TILDE] = ACTIONS(1007),
    [anon_sym_BANG] = ACTIONS(1009),
    [anon_sym_typeof] = ACTIONS(1009),
    [anon_sym_PLUS_PLUS] = ACTIONS(1007),
    [anon_sym_DASH_DASH] = ACTIONS(1007),
    [anon_sym_PLUS] = ACTIONS(1009),
    [anon_sym_STAR] = ACTIONS(1009),
    [anon_sym_SLASH] = ACTIONS(1009),
    [anon_sym_PERCENT] = ACTIONS(1009),
    [anon_sym_PIPE_PIPE] = ACTIONS(1007),
    [anon_sym_AMP_AMP] = ACTIONS(1007),
    [anon_sym_PIPE] = ACTIONS(1009),
    [anon_sym_CARET] = ACTIONS(1007),
    [anon_sym_AMP] = ACTIONS(1009),
    [anon_sym_EQ_EQ] = ACTIONS(1007),
    [anon_sym_BANG_EQ] = ACTIONS(1007),
    [anon_sym_LT_EQ_GT] = ACTIONS(1007),
    [anon_sym_GT] = ACTIONS(1009),
    [anon_sym_GT_EQ] = ACTIONS(1007),
    [anon_sym_LT_EQ] = ACTIONS(1009),
    [anon_sym_LT] = ACTIONS(1009),
    [anon_sym_instanceof] = ACTIONS(1009),
    [anon_sym_LT_LT] = ACTIONS(1007),
    [anon_sym_GT_GT] = ACTIONS(1009),
    [anon_sym_GT_GT_GT] = ACTIONS(1007),
    [anon_sym_QMARK] = ACTIONS(1007),
    [anon_sym_PLUS_EQ] = ACTIONS(1007),
    [anon_sym_DASH_EQ] = ACTIONS(1007),
    [anon_sym_STAR_EQ] = ACTIONS(1007),
    [anon_sym_SLASH_EQ] = ACTIONS(1007),
    [anon_sym_PERCENT_EQ] = ACTIONS(1007),
    [anon_sym_delete] = ACTIONS(1009),
    [anon_sym_var] = ACTIONS(1009),
    [anon_sym_rawcall] = ACTIONS(1009),
    [anon_sym_AT] = ACTIONS(1007),
    [anon_sym_clone] = ACTIONS(1009),
    [sym_integer] = ACTIONS(1009),
    [sym_float] = ACTIONS(1007),
    [anon_sym_DQUOTE] = ACTIONS(1007),
    [anon_sym_SQUOTE] = ACTIONS(1009),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1007),
    [anon_sym_true] = ACTIONS(1009),
    [anon_sym_false] = ACTIONS(1009),
    [sym_null] = ACTIONS(1009),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1007),
  },
  [225] = {
    [ts_builtin_sym_end] = ACTIONS(1011),
    [sym_identifier] = ACTIONS(1013),
    [anon_sym_SEMI] = ACTIONS(1015),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_RBRACE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1013),
    [anon_sym_else] = ACTIONS(1013),
    [anon_sym_while] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(1013),
    [anon_sym_switch] = ACTIONS(1013),
    [anon_sym_case] = ACTIONS(1013),
    [anon_sym_default] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1013),
    [anon_sym_foreach] = ACTIONS(1013),
    [anon_sym_COMMA] = ACTIONS(1011),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_break] = ACTIONS(1013),
    [anon_sym_continue] = ACTIONS(1013),
    [anon_sym_return] = ACTIONS(1013),
    [anon_sym_yield] = ACTIONS(1013),
    [anon_sym_resume] = ACTIONS(1013),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(1013),
    [anon_sym_COLON_COLON] = ACTIONS(1011),
    [anon_sym_class] = ACTIONS(1013),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(1013),
    [anon_sym_throw] = ACTIONS(1013),
    [anon_sym_const] = ACTIONS(1013),
    [anon_sym_enum] = ACTIONS(1013),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(1011),
    [anon_sym_BANG] = ACTIONS(1013),
    [anon_sym_typeof] = ACTIONS(1013),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(885),
    [anon_sym_AMP_AMP] = ACTIONS(887),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(905),
    [anon_sym_PLUS_EQ] = ACTIONS(873),
    [anon_sym_DASH_EQ] = ACTIONS(873),
    [anon_sym_STAR_EQ] = ACTIONS(873),
    [anon_sym_SLASH_EQ] = ACTIONS(873),
    [anon_sym_PERCENT_EQ] = ACTIONS(873),
    [anon_sym_delete] = ACTIONS(1013),
    [anon_sym_var] = ACTIONS(1013),
    [anon_sym_rawcall] = ACTIONS(1013),
    [anon_sym_AT] = ACTIONS(1011),
    [anon_sym_clone] = ACTIONS(1013),
    [sym_integer] = ACTIONS(1013),
    [sym_float] = ACTIONS(1011),
    [anon_sym_DQUOTE] = ACTIONS(1011),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [sym_null] = ACTIONS(1013),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1011),
  },
  [226] = {
    [ts_builtin_sym_end] = ACTIONS(1011),
    [sym_identifier] = ACTIONS(1013),
    [anon_sym_SEMI] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_RBRACE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1013),
    [anon_sym_else] = ACTIONS(1013),
    [anon_sym_while] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(1011),
    [anon_sym_do] = ACTIONS(1013),
    [anon_sym_switch] = ACTIONS(1013),
    [anon_sym_case] = ACTIONS(1013),
    [anon_sym_default] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1013),
    [anon_sym_foreach] = ACTIONS(1013),
    [anon_sym_COMMA] = ACTIONS(1011),
    [anon_sym_in] = ACTIONS(1013),
    [anon_sym_break] = ACTIONS(1013),
    [anon_sym_continue] = ACTIONS(1013),
    [anon_sym_return] = ACTIONS(1013),
    [anon_sym_yield] = ACTIONS(1013),
    [anon_sym_resume] = ACTIONS(1013),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_EQ] = ACTIONS(1013),
    [anon_sym_LT_DASH] = ACTIONS(1011),
    [anon_sym_function] = ACTIONS(1013),
    [anon_sym_COLON_COLON] = ACTIONS(1011),
    [anon_sym_class] = ACTIONS(1013),
    [anon_sym_DOT] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_try] = ACTIONS(1013),
    [anon_sym_throw] = ACTIONS(1013),
    [anon_sym_const] = ACTIONS(1013),
    [anon_sym_enum] = ACTIONS(1013),
    [anon_sym_DASH] = ACTIONS(1013),
    [anon_sym_TILDE] = ACTIONS(1011),
    [anon_sym_BANG] = ACTIONS(1013),
    [anon_sym_typeof] = ACTIONS(1013),
    [anon_sym_PLUS_PLUS] = ACTIONS(1011),
    [anon_sym_DASH_DASH] = ACTIONS(1011),
    [anon_sym_PLUS] = ACTIONS(1013),
    [anon_sym_STAR] = ACTIONS(1013),
    [anon_sym_SLASH] = ACTIONS(1013),
    [anon_sym_PERCENT] = ACTIONS(1013),
    [anon_sym_PIPE_PIPE] = ACTIONS(1011),
    [anon_sym_AMP_AMP] = ACTIONS(1011),
    [anon_sym_PIPE] = ACTIONS(1013),
    [anon_sym_CARET] = ACTIONS(1011),
    [anon_sym_AMP] = ACTIONS(1013),
    [anon_sym_EQ_EQ] = ACTIONS(1011),
    [anon_sym_BANG_EQ] = ACTIONS(1011),
    [anon_sym_LT_EQ_GT] = ACTIONS(1011),
    [anon_sym_GT] = ACTIONS(1013),
    [anon_sym_GT_EQ] = ACTIONS(1011),
    [anon_sym_LT_EQ] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(1013),
    [anon_sym_instanceof] = ACTIONS(1013),
    [anon_sym_LT_LT] = ACTIONS(1011),
    [anon_sym_GT_GT] = ACTIONS(1013),
    [anon_sym_GT_GT_GT] = ACTIONS(1011),
    [anon_sym_QMARK] = ACTIONS(1011),
    [anon_sym_PLUS_EQ] = ACTIONS(1011),
    [anon_sym_DASH_EQ] = ACTIONS(1011),
    [anon_sym_STAR_EQ] = ACTIONS(1011),
    [anon_sym_SLASH_EQ] = ACTIONS(1011),
    [anon_sym_PERCENT_EQ] = ACTIONS(1011),
    [anon_sym_delete] = ACTIONS(1013),
    [anon_sym_var] = ACTIONS(1013),
    [anon_sym_rawcall] = ACTIONS(1013),
    [anon_sym_AT] = ACTIONS(1011),
    [anon_sym_clone] = ACTIONS(1013),
    [sym_integer] = ACTIONS(1013),
    [sym_float] = ACTIONS(1011),
    [anon_sym_DQUOTE] = ACTIONS(1011),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [sym_null] = ACTIONS(1013),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1011),
  },
  [227] = {
    [ts_builtin_sym_end] = ACTIONS(1011),
    [sym_identifier] = ACTIONS(1013),
    [anon_sym_SEMI] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_RBRACE] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(1013),
    [anon_sym_else] = ACTIONS(1013),
    [anon_sym_while] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(1011),
    [anon_sym_do] = ACTIONS(1013),
    [anon_sym_switch] = ACTIONS(1013),
    [anon_sym_case] = ACTIONS(1013),
    [anon_sym_default] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1013),
    [anon_sym_foreach] = ACTIONS(1013),
    [anon_sym_COMMA] = ACTIONS(1011),
    [anon_sym_in] = ACTIONS(1013),
    [anon_sym_break] = ACTIONS(1013),
    [anon_sym_continue] = ACTIONS(1013),
    [anon_sym_return] = ACTIONS(1013),
    [anon_sym_yield] = ACTIONS(1013),
    [anon_sym_resume] = ACTIONS(1013),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_EQ] = ACTIONS(1013),
    [anon_sym_LT_DASH] = ACTIONS(1011),
    [anon_sym_function] = ACTIONS(1013),
    [anon_sym_COLON_COLON] = ACTIONS(1011),
    [anon_sym_class] = ACTIONS(1013),
    [anon_sym_DOT] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_try] = ACTIONS(1013),
    [anon_sym_throw] = ACTIONS(1013),
    [anon_sym_const] = ACTIONS(1013),
    [anon_sym_enum] = ACTIONS(1013),
    [anon_sym_DASH] = ACTIONS(1013),
    [anon_sym_TILDE] = ACTIONS(1011),
    [anon_sym_BANG] = ACTIONS(1013),
    [anon_sym_typeof] = ACTIONS(1013),
    [anon_sym_PLUS_PLUS] = ACTIONS(1011),
    [anon_sym_DASH_DASH] = ACTIONS(1011),
    [anon_sym_PLUS] = ACTIONS(1013),
    [anon_sym_STAR] = ACTIONS(1013),
    [anon_sym_SLASH] = ACTIONS(1013),
    [anon_sym_PERCENT] = ACTIONS(1013),
    [anon_sym_PIPE_PIPE] = ACTIONS(1011),
    [anon_sym_AMP_AMP] = ACTIONS(1011),
    [anon_sym_PIPE] = ACTIONS(1013),
    [anon_sym_CARET] = ACTIONS(1011),
    [anon_sym_AMP] = ACTIONS(1013),
    [anon_sym_EQ_EQ] = ACTIONS(1011),
    [anon_sym_BANG_EQ] = ACTIONS(1011),
    [anon_sym_LT_EQ_GT] = ACTIONS(1011),
    [anon_sym_GT] = ACTIONS(1013),
    [anon_sym_GT_EQ] = ACTIONS(1011),
    [anon_sym_LT_EQ] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(1013),
    [anon_sym_instanceof] = ACTIONS(1013),
    [anon_sym_LT_LT] = ACTIONS(1011),
    [anon_sym_GT_GT] = ACTIONS(1013),
    [anon_sym_GT_GT_GT] = ACTIONS(1011),
    [anon_sym_QMARK] = ACTIONS(1011),
    [anon_sym_PLUS_EQ] = ACTIONS(1011),
    [anon_sym_DASH_EQ] = ACTIONS(1011),
    [anon_sym_STAR_EQ] = ACTIONS(1011),
    [anon_sym_SLASH_EQ] = ACTIONS(1011),
    [anon_sym_PERCENT_EQ] = ACTIONS(1011),
    [anon_sym_delete] = ACTIONS(1013),
    [anon_sym_var] = ACTIONS(1013),
    [anon_sym_rawcall] = ACTIONS(1013),
    [anon_sym_AT] = ACTIONS(1011),
    [anon_sym_clone] = ACTIONS(1013),
    [sym_integer] = ACTIONS(1013),
    [sym_float] = ACTIONS(1011),
    [anon_sym_DQUOTE] = ACTIONS(1011),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [sym_null] = ACTIONS(1013),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1011),
  },
  [228] = {
    [ts_builtin_sym_end] = ACTIONS(1017),
    [sym_identifier] = ACTIONS(1019),
    [anon_sym_SEMI] = ACTIONS(1021),
    [anon_sym_LBRACE] = ACTIONS(1017),
    [anon_sym_RBRACE] = ACTIONS(1017),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_else] = ACTIONS(1019),
    [anon_sym_while] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(1019),
    [anon_sym_switch] = ACTIONS(1019),
    [anon_sym_case] = ACTIONS(1019),
    [anon_sym_default] = ACTIONS(1019),
    [anon_sym_for] = ACTIONS(1019),
    [anon_sym_foreach] = ACTIONS(1019),
    [anon_sym_COMMA] = ACTIONS(1017),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_break] = ACTIONS(1019),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_resume] = ACTIONS(1019),
    [anon_sym_local] = ACTIONS(1019),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_COLON_COLON] = ACTIONS(1017),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(1019),
    [anon_sym_throw] = ACTIONS(1019),
    [anon_sym_const] = ACTIONS(1019),
    [anon_sym_enum] = ACTIONS(1019),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(1017),
    [anon_sym_BANG] = ACTIONS(1019),
    [anon_sym_typeof] = ACTIONS(1019),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(885),
    [anon_sym_AMP_AMP] = ACTIONS(887),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(905),
    [anon_sym_PLUS_EQ] = ACTIONS(873),
    [anon_sym_DASH_EQ] = ACTIONS(873),
    [anon_sym_STAR_EQ] = ACTIONS(873),
    [anon_sym_SLASH_EQ] = ACTIONS(873),
    [anon_sym_PERCENT_EQ] = ACTIONS(873),
    [anon_sym_delete] = ACTIONS(1019),
    [anon_sym_var] = ACTIONS(1019),
    [anon_sym_rawcall] = ACTIONS(1019),
    [anon_sym_AT] = ACTIONS(1017),
    [anon_sym_clone] = ACTIONS(1019),
    [sym_integer] = ACTIONS(1019),
    [sym_float] = ACTIONS(1017),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1017),
    [anon_sym_true] = ACTIONS(1019),
    [anon_sym_false] = ACTIONS(1019),
    [sym_null] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1017),
  },
  [229] = {
    [ts_builtin_sym_end] = ACTIONS(1023),
    [sym_identifier] = ACTIONS(1025),
    [anon_sym_SEMI] = ACTIONS(1023),
    [anon_sym_LBRACE] = ACTIONS(1023),
    [anon_sym_RBRACE] = ACTIONS(1023),
    [anon_sym_if] = ACTIONS(1025),
    [anon_sym_else] = ACTIONS(1025),
    [anon_sym_while] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [anon_sym_do] = ACTIONS(1025),
    [anon_sym_switch] = ACTIONS(1025),
    [anon_sym_case] = ACTIONS(1025),
    [anon_sym_default] = ACTIONS(1025),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_foreach] = ACTIONS(1025),
    [anon_sym_COMMA] = ACTIONS(1023),
    [anon_sym_in] = ACTIONS(1025),
    [anon_sym_break] = ACTIONS(1025),
    [anon_sym_continue] = ACTIONS(1025),
    [anon_sym_return] = ACTIONS(1025),
    [anon_sym_yield] = ACTIONS(1025),
    [anon_sym_resume] = ACTIONS(1025),
    [anon_sym_local] = ACTIONS(1025),
    [anon_sym_EQ] = ACTIONS(1025),
    [anon_sym_LT_DASH] = ACTIONS(1023),
    [anon_sym_function] = ACTIONS(1025),
    [anon_sym_COLON_COLON] = ACTIONS(1023),
    [anon_sym_class] = ACTIONS(1025),
    [anon_sym_DOT] = ACTIONS(1023),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [anon_sym_try] = ACTIONS(1025),
    [anon_sym_throw] = ACTIONS(1025),
    [anon_sym_const] = ACTIONS(1025),
    [anon_sym_enum] = ACTIONS(1025),
    [anon_sym_DASH] = ACTIONS(1025),
    [anon_sym_TILDE] = ACTIONS(1023),
    [anon_sym_BANG] = ACTIONS(1025),
    [anon_sym_typeof] = ACTIONS(1025),
    [anon_sym_PLUS_PLUS] = ACTIONS(1023),
    [anon_sym_DASH_DASH] = ACTIONS(1023),
    [anon_sym_PLUS] = ACTIONS(1025),
    [anon_sym_STAR] = ACTIONS(1025),
    [anon_sym_SLASH] = ACTIONS(1025),
    [anon_sym_PERCENT] = ACTIONS(1025),
    [anon_sym_PIPE_PIPE] = ACTIONS(1023),
    [anon_sym_AMP_AMP] = ACTIONS(1023),
    [anon_sym_PIPE] = ACTIONS(1025),
    [anon_sym_CARET] = ACTIONS(1023),
    [anon_sym_AMP] = ACTIONS(1025),
    [anon_sym_EQ_EQ] = ACTIONS(1023),
    [anon_sym_BANG_EQ] = ACTIONS(1023),
    [anon_sym_LT_EQ_GT] = ACTIONS(1023),
    [anon_sym_GT] = ACTIONS(1025),
    [anon_sym_GT_EQ] = ACTIONS(1023),
    [anon_sym_LT_EQ] = ACTIONS(1025),
    [anon_sym_LT] = ACTIONS(1025),
    [anon_sym_instanceof] = ACTIONS(1025),
    [anon_sym_LT_LT] = ACTIONS(1023),
    [anon_sym_GT_GT] = ACTIONS(1025),
    [anon_sym_GT_GT_GT] = ACTIONS(1023),
    [anon_sym_QMARK] = ACTIONS(1023),
    [anon_sym_PLUS_EQ] = ACTIONS(1023),
    [anon_sym_DASH_EQ] = ACTIONS(1023),
    [anon_sym_STAR_EQ] = ACTIONS(1023),
    [anon_sym_SLASH_EQ] = ACTIONS(1023),
    [anon_sym_PERCENT_EQ] = ACTIONS(1023),
    [anon_sym_delete] = ACTIONS(1025),
    [anon_sym_var] = ACTIONS(1025),
    [anon_sym_rawcall] = ACTIONS(1025),
    [anon_sym_AT] = ACTIONS(1023),
    [anon_sym_clone] = ACTIONS(1025),
    [sym_integer] = ACTIONS(1025),
    [sym_float] = ACTIONS(1023),
    [anon_sym_DQUOTE] = ACTIONS(1023),
    [anon_sym_SQUOTE] = ACTIONS(1025),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1023),
    [anon_sym_true] = ACTIONS(1025),
    [anon_sym_false] = ACTIONS(1025),
    [sym_null] = ACTIONS(1025),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1023),
  },
  [230] = {
    [ts_builtin_sym_end] = ACTIONS(1017),
    [sym_identifier] = ACTIONS(1019),
    [anon_sym_SEMI] = ACTIONS(1017),
    [anon_sym_LBRACE] = ACTIONS(1017),
    [anon_sym_RBRACE] = ACTIONS(1017),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_else] = ACTIONS(1019),
    [anon_sym_while] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1017),
    [anon_sym_do] = ACTIONS(1019),
    [anon_sym_switch] = ACTIONS(1019),
    [anon_sym_case] = ACTIONS(1019),
    [anon_sym_default] = ACTIONS(1019),
    [anon_sym_for] = ACTIONS(1019),
    [anon_sym_foreach] = ACTIONS(1019),
    [anon_sym_COMMA] = ACTIONS(1017),
    [anon_sym_in] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1019),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_resume] = ACTIONS(1019),
    [anon_sym_local] = ACTIONS(1019),
    [anon_sym_EQ] = ACTIONS(1019),
    [anon_sym_LT_DASH] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_COLON_COLON] = ACTIONS(1017),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_LBRACK] = ACTIONS(1017),
    [anon_sym_try] = ACTIONS(1019),
    [anon_sym_throw] = ACTIONS(1019),
    [anon_sym_const] = ACTIONS(1019),
    [anon_sym_enum] = ACTIONS(1019),
    [anon_sym_DASH] = ACTIONS(1019),
    [anon_sym_TILDE] = ACTIONS(1017),
    [anon_sym_BANG] = ACTIONS(1019),
    [anon_sym_typeof] = ACTIONS(1019),
    [anon_sym_PLUS_PLUS] = ACTIONS(1017),
    [anon_sym_DASH_DASH] = ACTIONS(1017),
    [anon_sym_PLUS] = ACTIONS(1019),
    [anon_sym_STAR] = ACTIONS(1019),
    [anon_sym_SLASH] = ACTIONS(1019),
    [anon_sym_PERCENT] = ACTIONS(1019),
    [anon_sym_PIPE_PIPE] = ACTIONS(1017),
    [anon_sym_AMP_AMP] = ACTIONS(1017),
    [anon_sym_PIPE] = ACTIONS(1019),
    [anon_sym_CARET] = ACTIONS(1017),
    [anon_sym_AMP] = ACTIONS(1019),
    [anon_sym_EQ_EQ] = ACTIONS(1017),
    [anon_sym_BANG_EQ] = ACTIONS(1017),
    [anon_sym_LT_EQ_GT] = ACTIONS(1017),
    [anon_sym_GT] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1017),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1019),
    [anon_sym_instanceof] = ACTIONS(1019),
    [anon_sym_LT_LT] = ACTIONS(1017),
    [anon_sym_GT_GT] = ACTIONS(1019),
    [anon_sym_GT_GT_GT] = ACTIONS(1017),
    [anon_sym_QMARK] = ACTIONS(1017),
    [anon_sym_PLUS_EQ] = ACTIONS(1017),
    [anon_sym_DASH_EQ] = ACTIONS(1017),
    [anon_sym_STAR_EQ] = ACTIONS(1017),
    [anon_sym_SLASH_EQ] = ACTIONS(1017),
    [anon_sym_PERCENT_EQ] = ACTIONS(1017),
    [anon_sym_delete] = ACTIONS(1019),
    [anon_sym_var] = ACTIONS(1019),
    [anon_sym_rawcall] = ACTIONS(1019),
    [anon_sym_AT] = ACTIONS(1017),
    [anon_sym_clone] = ACTIONS(1019),
    [sym_integer] = ACTIONS(1019),
    [sym_float] = ACTIONS(1017),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1017),
    [anon_sym_true] = ACTIONS(1019),
    [anon_sym_false] = ACTIONS(1019),
    [sym_null] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1017),
  },
  [231] = {
    [ts_builtin_sym_end] = ACTIONS(1017),
    [sym_identifier] = ACTIONS(1019),
    [anon_sym_SEMI] = ACTIONS(1017),
    [anon_sym_LBRACE] = ACTIONS(1017),
    [anon_sym_RBRACE] = ACTIONS(1017),
    [anon_sym_if] = ACTIONS(1019),
    [anon_sym_else] = ACTIONS(1019),
    [anon_sym_while] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(1017),
    [anon_sym_do] = ACTIONS(1019),
    [anon_sym_switch] = ACTIONS(1019),
    [anon_sym_case] = ACTIONS(1019),
    [anon_sym_default] = ACTIONS(1019),
    [anon_sym_for] = ACTIONS(1019),
    [anon_sym_foreach] = ACTIONS(1019),
    [anon_sym_COMMA] = ACTIONS(1017),
    [anon_sym_in] = ACTIONS(1019),
    [anon_sym_break] = ACTIONS(1019),
    [anon_sym_continue] = ACTIONS(1019),
    [anon_sym_return] = ACTIONS(1019),
    [anon_sym_yield] = ACTIONS(1019),
    [anon_sym_resume] = ACTIONS(1019),
    [anon_sym_local] = ACTIONS(1019),
    [anon_sym_EQ] = ACTIONS(1019),
    [anon_sym_LT_DASH] = ACTIONS(1017),
    [anon_sym_function] = ACTIONS(1019),
    [anon_sym_COLON_COLON] = ACTIONS(1017),
    [anon_sym_class] = ACTIONS(1019),
    [anon_sym_DOT] = ACTIONS(1017),
    [anon_sym_LBRACK] = ACTIONS(1017),
    [anon_sym_try] = ACTIONS(1019),
    [anon_sym_throw] = ACTIONS(1019),
    [anon_sym_const] = ACTIONS(1019),
    [anon_sym_enum] = ACTIONS(1019),
    [anon_sym_DASH] = ACTIONS(1019),
    [anon_sym_TILDE] = ACTIONS(1017),
    [anon_sym_BANG] = ACTIONS(1019),
    [anon_sym_typeof] = ACTIONS(1019),
    [anon_sym_PLUS_PLUS] = ACTIONS(1017),
    [anon_sym_DASH_DASH] = ACTIONS(1017),
    [anon_sym_PLUS] = ACTIONS(1019),
    [anon_sym_STAR] = ACTIONS(1019),
    [anon_sym_SLASH] = ACTIONS(1019),
    [anon_sym_PERCENT] = ACTIONS(1019),
    [anon_sym_PIPE_PIPE] = ACTIONS(1017),
    [anon_sym_AMP_AMP] = ACTIONS(1017),
    [anon_sym_PIPE] = ACTIONS(1019),
    [anon_sym_CARET] = ACTIONS(1017),
    [anon_sym_AMP] = ACTIONS(1019),
    [anon_sym_EQ_EQ] = ACTIONS(1017),
    [anon_sym_BANG_EQ] = ACTIONS(1017),
    [anon_sym_LT_EQ_GT] = ACTIONS(1017),
    [anon_sym_GT] = ACTIONS(1019),
    [anon_sym_GT_EQ] = ACTIONS(1017),
    [anon_sym_LT_EQ] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1019),
    [anon_sym_instanceof] = ACTIONS(1019),
    [anon_sym_LT_LT] = ACTIONS(1017),
    [anon_sym_GT_GT] = ACTIONS(1019),
    [anon_sym_GT_GT_GT] = ACTIONS(1017),
    [anon_sym_QMARK] = ACTIONS(1017),
    [anon_sym_PLUS_EQ] = ACTIONS(1017),
    [anon_sym_DASH_EQ] = ACTIONS(1017),
    [anon_sym_STAR_EQ] = ACTIONS(1017),
    [anon_sym_SLASH_EQ] = ACTIONS(1017),
    [anon_sym_PERCENT_EQ] = ACTIONS(1017),
    [anon_sym_delete] = ACTIONS(1019),
    [anon_sym_var] = ACTIONS(1019),
    [anon_sym_rawcall] = ACTIONS(1019),
    [anon_sym_AT] = ACTIONS(1017),
    [anon_sym_clone] = ACTIONS(1019),
    [sym_integer] = ACTIONS(1019),
    [sym_float] = ACTIONS(1017),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [anon_sym_SQUOTE] = ACTIONS(1019),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1017),
    [anon_sym_true] = ACTIONS(1019),
    [anon_sym_false] = ACTIONS(1019),
    [sym_null] = ACTIONS(1019),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1017),
  },
  [232] = {
    [ts_builtin_sym_end] = ACTIONS(1027),
    [sym_identifier] = ACTIONS(1029),
    [anon_sym_SEMI] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(1027),
    [anon_sym_RBRACE] = ACTIONS(1027),
    [anon_sym_if] = ACTIONS(1029),
    [anon_sym_else] = ACTIONS(1029),
    [anon_sym_while] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [anon_sym_do] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1029),
    [anon_sym_case] = ACTIONS(1029),
    [anon_sym_default] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1029),
    [anon_sym_foreach] = ACTIONS(1029),
    [anon_sym_COMMA] = ACTIONS(1027),
    [anon_sym_in] = ACTIONS(1029),
    [anon_sym_break] = ACTIONS(1029),
    [anon_sym_continue] = ACTIONS(1029),
    [anon_sym_return] = ACTIONS(1029),
    [anon_sym_yield] = ACTIONS(1029),
    [anon_sym_resume] = ACTIONS(1029),
    [anon_sym_local] = ACTIONS(1029),
    [anon_sym_EQ] = ACTIONS(1029),
    [anon_sym_LT_DASH] = ACTIONS(1027),
    [anon_sym_function] = ACTIONS(1029),
    [anon_sym_COLON_COLON] = ACTIONS(1027),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_DOT] = ACTIONS(1027),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_throw] = ACTIONS(1029),
    [anon_sym_const] = ACTIONS(1029),
    [anon_sym_enum] = ACTIONS(1029),
    [anon_sym_DASH] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(1029),
    [anon_sym_typeof] = ACTIONS(1029),
    [anon_sym_PLUS_PLUS] = ACTIONS(1027),
    [anon_sym_DASH_DASH] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1029),
    [anon_sym_STAR] = ACTIONS(1029),
    [anon_sym_SLASH] = ACTIONS(1029),
    [anon_sym_PERCENT] = ACTIONS(1029),
    [anon_sym_PIPE_PIPE] = ACTIONS(1027),
    [anon_sym_AMP_AMP] = ACTIONS(1027),
    [anon_sym_PIPE] = ACTIONS(1029),
    [anon_sym_CARET] = ACTIONS(1027),
    [anon_sym_AMP] = ACTIONS(1029),
    [anon_sym_EQ_EQ] = ACTIONS(1027),
    [anon_sym_BANG_EQ] = ACTIONS(1027),
    [anon_sym_LT_EQ_GT] = ACTIONS(1027),
    [anon_sym_GT] = ACTIONS(1029),
    [anon_sym_GT_EQ] = ACTIONS(1027),
    [anon_sym_LT_EQ] = ACTIONS(1029),
    [anon_sym_LT] = ACTIONS(1029),
    [anon_sym_instanceof] = ACTIONS(1029),
    [anon_sym_LT_LT] = ACTIONS(1027),
    [anon_sym_GT_GT] = ACTIONS(1029),
    [anon_sym_GT_GT_GT] = ACTIONS(1027),
    [anon_sym_QMARK] = ACTIONS(1027),
    [anon_sym_PLUS_EQ] = ACTIONS(1027),
    [anon_sym_DASH_EQ] = ACTIONS(1027),
    [anon_sym_STAR_EQ] = ACTIONS(1027),
    [anon_sym_SLASH_EQ] = ACTIONS(1027),
    [anon_sym_PERCENT_EQ] = ACTIONS(1027),
    [anon_sym_delete] = ACTIONS(1029),
    [anon_sym_var] = ACTIONS(1029),
    [anon_sym_rawcall] = ACTIONS(1029),
    [anon_sym_AT] = ACTIONS(1027),
    [anon_sym_clone] = ACTIONS(1029),
    [sym_integer] = ACTIONS(1029),
    [sym_float] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(1027),
    [anon_sym_SQUOTE] = ACTIONS(1029),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1027),
    [anon_sym_true] = ACTIONS(1029),
    [anon_sym_false] = ACTIONS(1029),
    [sym_null] = ACTIONS(1029),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1027),
  },
  [233] = {
    [ts_builtin_sym_end] = ACTIONS(1031),
    [sym_identifier] = ACTIONS(1033),
    [anon_sym_SEMI] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_RBRACE] = ACTIONS(1031),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_else] = ACTIONS(1033),
    [anon_sym_while] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_do] = ACTIONS(1033),
    [anon_sym_switch] = ACTIONS(1033),
    [anon_sym_case] = ACTIONS(1033),
    [anon_sym_default] = ACTIONS(1033),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_foreach] = ACTIONS(1033),
    [anon_sym_COMMA] = ACTIONS(1031),
    [anon_sym_in] = ACTIONS(1033),
    [anon_sym_break] = ACTIONS(1033),
    [anon_sym_continue] = ACTIONS(1033),
    [anon_sym_return] = ACTIONS(1033),
    [anon_sym_yield] = ACTIONS(1033),
    [anon_sym_resume] = ACTIONS(1033),
    [anon_sym_local] = ACTIONS(1033),
    [anon_sym_EQ] = ACTIONS(1033),
    [anon_sym_LT_DASH] = ACTIONS(1031),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_COLON_COLON] = ACTIONS(1031),
    [anon_sym_class] = ACTIONS(1033),
    [anon_sym_DOT] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_try] = ACTIONS(1033),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_enum] = ACTIONS(1033),
    [anon_sym_DASH] = ACTIONS(1033),
    [anon_sym_TILDE] = ACTIONS(1031),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_typeof] = ACTIONS(1033),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(1033),
    [anon_sym_STAR] = ACTIONS(1033),
    [anon_sym_SLASH] = ACTIONS(1033),
    [anon_sym_PERCENT] = ACTIONS(1033),
    [anon_sym_PIPE_PIPE] = ACTIONS(1031),
    [anon_sym_AMP_AMP] = ACTIONS(1031),
    [anon_sym_PIPE] = ACTIONS(1033),
    [anon_sym_CARET] = ACTIONS(1031),
    [anon_sym_AMP] = ACTIONS(1033),
    [anon_sym_EQ_EQ] = ACTIONS(1031),
    [anon_sym_BANG_EQ] = ACTIONS(1031),
    [anon_sym_LT_EQ_GT] = ACTIONS(1031),
    [anon_sym_GT] = ACTIONS(1033),
    [anon_sym_GT_EQ] = ACTIONS(1031),
    [anon_sym_LT_EQ] = ACTIONS(1033),
    [anon_sym_LT] = ACTIONS(1033),
    [anon_sym_instanceof] = ACTIONS(1033),
    [anon_sym_LT_LT] = ACTIONS(1031),
    [anon_sym_GT_GT] = ACTIONS(1033),
    [anon_sym_GT_GT_GT] = ACTIONS(1031),
    [anon_sym_QMARK] = ACTIONS(1031),
    [anon_sym_PLUS_EQ] = ACTIONS(1031),
    [anon_sym_DASH_EQ] = ACTIONS(1031),
    [anon_sym_STAR_EQ] = ACTIONS(1031),
    [anon_sym_SLASH_EQ] = ACTIONS(1031),
    [anon_sym_PERCENT_EQ] = ACTIONS(1031),
    [anon_sym_delete] = ACTIONS(1033),
    [anon_sym_var] = ACTIONS(1033),
    [anon_sym_rawcall] = ACTIONS(1033),
    [anon_sym_AT] = ACTIONS(1031),
    [anon_sym_clone] = ACTIONS(1033),
    [sym_integer] = ACTIONS(1033),
    [sym_float] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(1031),
    [anon_sym_SQUOTE] = ACTIONS(1033),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [sym_null] = ACTIONS(1033),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1031),
  },
  [234] = {
    [ts_builtin_sym_end] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1037),
    [anon_sym_SEMI] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_RBRACE] = ACTIONS(1035),
    [anon_sym_if] = ACTIONS(1037),
    [anon_sym_else] = ACTIONS(1037),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(1035),
    [anon_sym_do] = ACTIONS(1037),
    [anon_sym_switch] = ACTIONS(1037),
    [anon_sym_case] = ACTIONS(1037),
    [anon_sym_default] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1037),
    [anon_sym_foreach] = ACTIONS(1037),
    [anon_sym_COMMA] = ACTIONS(1035),
    [anon_sym_in] = ACTIONS(1037),
    [anon_sym_break] = ACTIONS(1037),
    [anon_sym_continue] = ACTIONS(1037),
    [anon_sym_return] = ACTIONS(1037),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_resume] = ACTIONS(1037),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_EQ] = ACTIONS(1037),
    [anon_sym_LT_DASH] = ACTIONS(1035),
    [anon_sym_function] = ACTIONS(1037),
    [anon_sym_COLON_COLON] = ACTIONS(1035),
    [anon_sym_class] = ACTIONS(1037),
    [anon_sym_DOT] = ACTIONS(1035),
    [anon_sym_LBRACK] = ACTIONS(1035),
    [anon_sym_try] = ACTIONS(1037),
    [anon_sym_throw] = ACTIONS(1037),
    [anon_sym_const] = ACTIONS(1037),
    [anon_sym_enum] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_TILDE] = ACTIONS(1035),
    [anon_sym_BANG] = ACTIONS(1037),
    [anon_sym_typeof] = ACTIONS(1037),
    [anon_sym_PLUS_PLUS] = ACTIONS(1035),
    [anon_sym_DASH_DASH] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_STAR] = ACTIONS(1037),
    [anon_sym_SLASH] = ACTIONS(1037),
    [anon_sym_PERCENT] = ACTIONS(1037),
    [anon_sym_PIPE_PIPE] = ACTIONS(1035),
    [anon_sym_AMP_AMP] = ACTIONS(1035),
    [anon_sym_PIPE] = ACTIONS(1037),
    [anon_sym_CARET] = ACTIONS(1035),
    [anon_sym_AMP] = ACTIONS(1037),
    [anon_sym_EQ_EQ] = ACTIONS(1035),
    [anon_sym_BANG_EQ] = ACTIONS(1035),
    [anon_sym_LT_EQ_GT] = ACTIONS(1035),
    [anon_sym_GT] = ACTIONS(1037),
    [anon_sym_GT_EQ] = ACTIONS(1035),
    [anon_sym_LT_EQ] = ACTIONS(1037),
    [anon_sym_LT] = ACTIONS(1037),
    [anon_sym_instanceof] = ACTIONS(1037),
    [anon_sym_LT_LT] = ACTIONS(1035),
    [anon_sym_GT_GT] = ACTIONS(1037),
    [anon_sym_GT_GT_GT] = ACTIONS(1035),
    [anon_sym_QMARK] = ACTIONS(1035),
    [anon_sym_PLUS_EQ] = ACTIONS(1035),
    [anon_sym_DASH_EQ] = ACTIONS(1035),
    [anon_sym_STAR_EQ] = ACTIONS(1035),
    [anon_sym_SLASH_EQ] = ACTIONS(1035),
    [anon_sym_PERCENT_EQ] = ACTIONS(1035),
    [anon_sym_delete] = ACTIONS(1037),
    [anon_sym_var] = ACTIONS(1037),
    [anon_sym_rawcall] = ACTIONS(1037),
    [anon_sym_AT] = ACTIONS(1035),
    [anon_sym_clone] = ACTIONS(1037),
    [sym_integer] = ACTIONS(1037),
    [sym_float] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1035),
    [anon_sym_SQUOTE] = ACTIONS(1037),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1035),
    [anon_sym_true] = ACTIONS(1037),
    [anon_sym_false] = ACTIONS(1037),
    [sym_null] = ACTIONS(1037),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1035),
  },
  [235] = {
    [ts_builtin_sym_end] = ACTIONS(1039),
    [sym_identifier] = ACTIONS(1041),
    [anon_sym_SEMI] = ACTIONS(1039),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym_RBRACE] = ACTIONS(1039),
    [anon_sym_if] = ACTIONS(1041),
    [anon_sym_else] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(1041),
    [anon_sym_LPAREN] = ACTIONS(1039),
    [anon_sym_do] = ACTIONS(1041),
    [anon_sym_switch] = ACTIONS(1041),
    [anon_sym_case] = ACTIONS(1041),
    [anon_sym_default] = ACTIONS(1041),
    [anon_sym_for] = ACTIONS(1041),
    [anon_sym_foreach] = ACTIONS(1041),
    [anon_sym_COMMA] = ACTIONS(1039),
    [anon_sym_in] = ACTIONS(1041),
    [anon_sym_break] = ACTIONS(1041),
    [anon_sym_continue] = ACTIONS(1041),
    [anon_sym_return] = ACTIONS(1041),
    [anon_sym_yield] = ACTIONS(1041),
    [anon_sym_resume] = ACTIONS(1041),
    [anon_sym_local] = ACTIONS(1041),
    [anon_sym_EQ] = ACTIONS(1041),
    [anon_sym_LT_DASH] = ACTIONS(1039),
    [anon_sym_function] = ACTIONS(1041),
    [anon_sym_COLON_COLON] = ACTIONS(1039),
    [anon_sym_class] = ACTIONS(1041),
    [anon_sym_DOT] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1039),
    [anon_sym_try] = ACTIONS(1041),
    [anon_sym_throw] = ACTIONS(1041),
    [anon_sym_const] = ACTIONS(1041),
    [anon_sym_enum] = ACTIONS(1041),
    [anon_sym_DASH] = ACTIONS(1041),
    [anon_sym_TILDE] = ACTIONS(1039),
    [anon_sym_BANG] = ACTIONS(1041),
    [anon_sym_typeof] = ACTIONS(1041),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(1041),
    [anon_sym_STAR] = ACTIONS(1041),
    [anon_sym_SLASH] = ACTIONS(1041),
    [anon_sym_PERCENT] = ACTIONS(1041),
    [anon_sym_PIPE_PIPE] = ACTIONS(1039),
    [anon_sym_AMP_AMP] = ACTIONS(1039),
    [anon_sym_PIPE] = ACTIONS(1041),
    [anon_sym_CARET] = ACTIONS(1039),
    [anon_sym_AMP] = ACTIONS(1041),
    [anon_sym_EQ_EQ] = ACTIONS(1039),
    [anon_sym_BANG_EQ] = ACTIONS(1039),
    [anon_sym_LT_EQ_GT] = ACTIONS(1039),
    [anon_sym_GT] = ACTIONS(1041),
    [anon_sym_GT_EQ] = ACTIONS(1039),
    [anon_sym_LT_EQ] = ACTIONS(1041),
    [anon_sym_LT] = ACTIONS(1041),
    [anon_sym_instanceof] = ACTIONS(1041),
    [anon_sym_LT_LT] = ACTIONS(1039),
    [anon_sym_GT_GT] = ACTIONS(1041),
    [anon_sym_GT_GT_GT] = ACTIONS(1039),
    [anon_sym_QMARK] = ACTIONS(1039),
    [anon_sym_PLUS_EQ] = ACTIONS(1039),
    [anon_sym_DASH_EQ] = ACTIONS(1039),
    [anon_sym_STAR_EQ] = ACTIONS(1039),
    [anon_sym_SLASH_EQ] = ACTIONS(1039),
    [anon_sym_PERCENT_EQ] = ACTIONS(1039),
    [anon_sym_delete] = ACTIONS(1041),
    [anon_sym_var] = ACTIONS(1041),
    [anon_sym_rawcall] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(1039),
    [anon_sym_clone] = ACTIONS(1041),
    [sym_integer] = ACTIONS(1041),
    [sym_float] = ACTIONS(1039),
    [anon_sym_DQUOTE] = ACTIONS(1039),
    [anon_sym_SQUOTE] = ACTIONS(1041),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1039),
    [anon_sym_true] = ACTIONS(1041),
    [anon_sym_false] = ACTIONS(1041),
    [sym_null] = ACTIONS(1041),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1039),
  },
  [236] = {
    [ts_builtin_sym_end] = ACTIONS(1043),
    [sym_identifier] = ACTIONS(1045),
    [anon_sym_SEMI] = ACTIONS(1047),
    [anon_sym_LBRACE] = ACTIONS(1043),
    [anon_sym_RBRACE] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_else] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(1045),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [anon_sym_do] = ACTIONS(1045),
    [anon_sym_switch] = ACTIONS(1045),
    [anon_sym_case] = ACTIONS(1045),
    [anon_sym_default] = ACTIONS(1045),
    [anon_sym_for] = ACTIONS(1045),
    [anon_sym_foreach] = ACTIONS(1045),
    [anon_sym_COMMA] = ACTIONS(1043),
    [anon_sym_in] = ACTIONS(1045),
    [anon_sym_break] = ACTIONS(1045),
    [anon_sym_continue] = ACTIONS(1045),
    [anon_sym_return] = ACTIONS(1045),
    [anon_sym_yield] = ACTIONS(1045),
    [anon_sym_resume] = ACTIONS(1045),
    [anon_sym_local] = ACTIONS(1045),
    [anon_sym_EQ] = ACTIONS(1045),
    [anon_sym_LT_DASH] = ACTIONS(1043),
    [anon_sym_function] = ACTIONS(1045),
    [anon_sym_COLON_COLON] = ACTIONS(1043),
    [anon_sym_class] = ACTIONS(1045),
    [anon_sym_DOT] = ACTIONS(1043),
    [anon_sym_LBRACK] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_throw] = ACTIONS(1045),
    [anon_sym_const] = ACTIONS(1045),
    [anon_sym_enum] = ACTIONS(1045),
    [anon_sym_DASH] = ACTIONS(1045),
    [anon_sym_TILDE] = ACTIONS(1043),
    [anon_sym_BANG] = ACTIONS(1045),
    [anon_sym_typeof] = ACTIONS(1045),
    [anon_sym_PLUS_PLUS] = ACTIONS(1043),
    [anon_sym_DASH_DASH] = ACTIONS(1043),
    [anon_sym_PLUS] = ACTIONS(1045),
    [anon_sym_STAR] = ACTIONS(1045),
    [anon_sym_SLASH] = ACTIONS(1045),
    [anon_sym_PERCENT] = ACTIONS(1045),
    [anon_sym_PIPE_PIPE] = ACTIONS(1043),
    [anon_sym_AMP_AMP] = ACTIONS(1043),
    [anon_sym_PIPE] = ACTIONS(1045),
    [anon_sym_CARET] = ACTIONS(1043),
    [anon_sym_AMP] = ACTIONS(1045),
    [anon_sym_EQ_EQ] = ACTIONS(1043),
    [anon_sym_BANG_EQ] = ACTIONS(1043),
    [anon_sym_LT_EQ_GT] = ACTIONS(1043),
    [anon_sym_GT] = ACTIONS(1045),
    [anon_sym_GT_EQ] = ACTIONS(1043),
    [anon_sym_LT_EQ] = ACTIONS(1045),
    [anon_sym_LT] = ACTIONS(1045),
    [anon_sym_instanceof] = ACTIONS(1045),
    [anon_sym_LT_LT] = ACTIONS(1043),
    [anon_sym_GT_GT] = ACTIONS(1045),
    [anon_sym_GT_GT_GT] = ACTIONS(1043),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_PLUS_EQ] = ACTIONS(1043),
    [anon_sym_DASH_EQ] = ACTIONS(1043),
    [anon_sym_STAR_EQ] = ACTIONS(1043),
    [anon_sym_SLASH_EQ] = ACTIONS(1043),
    [anon_sym_PERCENT_EQ] = ACTIONS(1043),
    [anon_sym_delete] = ACTIONS(1045),
    [anon_sym_var] = ACTIONS(1045),
    [anon_sym_rawcall] = ACTIONS(1045),
    [anon_sym_AT] = ACTIONS(1043),
    [anon_sym_clone] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1043),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1043),
    [anon_sym_true] = ACTIONS(1045),
    [anon_sym_false] = ACTIONS(1045),
    [sym_null] = ACTIONS(1045),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1043),
  },
  [237] = {
    [ts_builtin_sym_end] = ACTIONS(1043),
    [sym_identifier] = ACTIONS(1045),
    [anon_sym_SEMI] = ACTIONS(1043),
    [anon_sym_LBRACE] = ACTIONS(1043),
    [anon_sym_RBRACE] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_else] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(1045),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [anon_sym_do] = ACTIONS(1045),
    [anon_sym_switch] = ACTIONS(1045),
    [anon_sym_case] = ACTIONS(1045),
    [anon_sym_default] = ACTIONS(1045),
    [anon_sym_for] = ACTIONS(1045),
    [anon_sym_foreach] = ACTIONS(1045),
    [anon_sym_COMMA] = ACTIONS(1043),
    [anon_sym_in] = ACTIONS(1045),
    [anon_sym_break] = ACTIONS(1045),
    [anon_sym_continue] = ACTIONS(1045),
    [anon_sym_return] = ACTIONS(1045),
    [anon_sym_yield] = ACTIONS(1045),
    [anon_sym_resume] = ACTIONS(1045),
    [anon_sym_local] = ACTIONS(1045),
    [anon_sym_EQ] = ACTIONS(1045),
    [anon_sym_LT_DASH] = ACTIONS(1043),
    [anon_sym_function] = ACTIONS(1045),
    [anon_sym_COLON_COLON] = ACTIONS(1043),
    [anon_sym_class] = ACTIONS(1045),
    [anon_sym_DOT] = ACTIONS(1043),
    [anon_sym_LBRACK] = ACTIONS(1043),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_throw] = ACTIONS(1045),
    [anon_sym_const] = ACTIONS(1045),
    [anon_sym_enum] = ACTIONS(1045),
    [anon_sym_DASH] = ACTIONS(1045),
    [anon_sym_TILDE] = ACTIONS(1043),
    [anon_sym_BANG] = ACTIONS(1045),
    [anon_sym_typeof] = ACTIONS(1045),
    [anon_sym_PLUS_PLUS] = ACTIONS(1043),
    [anon_sym_DASH_DASH] = ACTIONS(1043),
    [anon_sym_PLUS] = ACTIONS(1045),
    [anon_sym_STAR] = ACTIONS(1045),
    [anon_sym_SLASH] = ACTIONS(1045),
    [anon_sym_PERCENT] = ACTIONS(1045),
    [anon_sym_PIPE_PIPE] = ACTIONS(1043),
    [anon_sym_AMP_AMP] = ACTIONS(1043),
    [anon_sym_PIPE] = ACTIONS(1045),
    [anon_sym_CARET] = ACTIONS(1043),
    [anon_sym_AMP] = ACTIONS(1045),
    [anon_sym_EQ_EQ] = ACTIONS(1043),
    [anon_sym_BANG_EQ] = ACTIONS(1043),
    [anon_sym_LT_EQ_GT] = ACTIONS(1043),
    [anon_sym_GT] = ACTIONS(1045),
    [anon_sym_GT_EQ] = ACTIONS(1043),
    [anon_sym_LT_EQ] = ACTIONS(1045),
    [anon_sym_LT] = ACTIONS(1045),
    [anon_sym_instanceof] = ACTIONS(1045),
    [anon_sym_LT_LT] = ACTIONS(1043),
    [anon_sym_GT_GT] = ACTIONS(1045),
    [anon_sym_GT_GT_GT] = ACTIONS(1043),
    [anon_sym_QMARK] = ACTIONS(1043),
    [anon_sym_PLUS_EQ] = ACTIONS(1043),
    [anon_sym_DASH_EQ] = ACTIONS(1043),
    [anon_sym_STAR_EQ] = ACTIONS(1043),
    [anon_sym_SLASH_EQ] = ACTIONS(1043),
    [anon_sym_PERCENT_EQ] = ACTIONS(1043),
    [anon_sym_delete] = ACTIONS(1045),
    [anon_sym_var] = ACTIONS(1045),
    [anon_sym_rawcall] = ACTIONS(1045),
    [anon_sym_AT] = ACTIONS(1043),
    [anon_sym_clone] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [sym_float] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1043),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1043),
    [anon_sym_true] = ACTIONS(1045),
    [anon_sym_false] = ACTIONS(1045),
    [sym_null] = ACTIONS(1045),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1043),
  },
  [238] = {
    [ts_builtin_sym_end] = ACTIONS(1049),
    [sym_identifier] = ACTIONS(1051),
    [anon_sym_SEMI] = ACTIONS(1049),
    [anon_sym_LBRACE] = ACTIONS(1049),
    [anon_sym_RBRACE] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1051),
    [anon_sym_else] = ACTIONS(1051),
    [anon_sym_while] = ACTIONS(1051),
    [anon_sym_LPAREN] = ACTIONS(1049),
    [anon_sym_do] = ACTIONS(1051),
    [anon_sym_switch] = ACTIONS(1051),
    [anon_sym_case] = ACTIONS(1051),
    [anon_sym_default] = ACTIONS(1051),
    [anon_sym_for] = ACTIONS(1051),
    [anon_sym_foreach] = ACTIONS(1051),
    [anon_sym_COMMA] = ACTIONS(1049),
    [anon_sym_in] = ACTIONS(1051),
    [anon_sym_break] = ACTIONS(1051),
    [anon_sym_continue] = ACTIONS(1051),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_yield] = ACTIONS(1051),
    [anon_sym_resume] = ACTIONS(1051),
    [anon_sym_local] = ACTIONS(1051),
    [anon_sym_EQ] = ACTIONS(1051),
    [anon_sym_LT_DASH] = ACTIONS(1049),
    [anon_sym_function] = ACTIONS(1051),
    [anon_sym_COLON_COLON] = ACTIONS(1049),
    [anon_sym_class] = ACTIONS(1051),
    [anon_sym_DOT] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1051),
    [anon_sym_throw] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1051),
    [anon_sym_enum] = ACTIONS(1051),
    [anon_sym_DASH] = ACTIONS(1051),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_BANG] = ACTIONS(1051),
    [anon_sym_typeof] = ACTIONS(1051),
    [anon_sym_PLUS_PLUS] = ACTIONS(1049),
    [anon_sym_DASH_DASH] = ACTIONS(1049),
    [anon_sym_PLUS] = ACTIONS(1051),
    [anon_sym_STAR] = ACTIONS(1051),
    [anon_sym_SLASH] = ACTIONS(1051),
    [anon_sym_PERCENT] = ACTIONS(1051),
    [anon_sym_PIPE_PIPE] = ACTIONS(1049),
    [anon_sym_AMP_AMP] = ACTIONS(1049),
    [anon_sym_PIPE] = ACTIONS(1051),
    [anon_sym_CARET] = ACTIONS(1049),
    [anon_sym_AMP] = ACTIONS(1051),
    [anon_sym_EQ_EQ] = ACTIONS(1049),
    [anon_sym_BANG_EQ] = ACTIONS(1049),
    [anon_sym_LT_EQ_GT] = ACTIONS(1049),
    [anon_sym_GT] = ACTIONS(1051),
    [anon_sym_GT_EQ] = ACTIONS(1049),
    [anon_sym_LT_EQ] = ACTIONS(1051),
    [anon_sym_LT] = ACTIONS(1051),
    [anon_sym_instanceof] = ACTIONS(1051),
    [anon_sym_LT_LT] = ACTIONS(1049),
    [anon_sym_GT_GT] = ACTIONS(1051),
    [anon_sym_GT_GT_GT] = ACTIONS(1049),
    [anon_sym_QMARK] = ACTIONS(1049),
    [anon_sym_PLUS_EQ] = ACTIONS(1049),
    [anon_sym_DASH_EQ] = ACTIONS(1049),
    [anon_sym_STAR_EQ] = ACTIONS(1049),
    [anon_sym_SLASH_EQ] = ACTIONS(1049),
    [anon_sym_PERCENT_EQ] = ACTIONS(1049),
    [anon_sym_delete] = ACTIONS(1051),
    [anon_sym_var] = ACTIONS(1051),
    [anon_sym_rawcall] = ACTIONS(1051),
    [anon_sym_AT] = ACTIONS(1049),
    [anon_sym_clone] = ACTIONS(1051),
    [sym_integer] = ACTIONS(1051),
    [sym_float] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1049),
    [anon_sym_SQUOTE] = ACTIONS(1051),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1049),
    [anon_sym_true] = ACTIONS(1051),
    [anon_sym_false] = ACTIONS(1051),
    [sym_null] = ACTIONS(1051),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1049),
  },
  [239] = {
    [ts_builtin_sym_end] = ACTIONS(1053),
    [sym_identifier] = ACTIONS(1055),
    [anon_sym_SEMI] = ACTIONS(1053),
    [anon_sym_LBRACE] = ACTIONS(1053),
    [anon_sym_RBRACE] = ACTIONS(1053),
    [anon_sym_if] = ACTIONS(1055),
    [anon_sym_else] = ACTIONS(1055),
    [anon_sym_while] = ACTIONS(1055),
    [anon_sym_LPAREN] = ACTIONS(1053),
    [anon_sym_do] = ACTIONS(1055),
    [anon_sym_switch] = ACTIONS(1055),
    [anon_sym_case] = ACTIONS(1055),
    [anon_sym_default] = ACTIONS(1055),
    [anon_sym_for] = ACTIONS(1055),
    [anon_sym_foreach] = ACTIONS(1055),
    [anon_sym_COMMA] = ACTIONS(1053),
    [anon_sym_in] = ACTIONS(1055),
    [anon_sym_break] = ACTIONS(1055),
    [anon_sym_continue] = ACTIONS(1055),
    [anon_sym_return] = ACTIONS(1055),
    [anon_sym_yield] = ACTIONS(1055),
    [anon_sym_resume] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1055),
    [anon_sym_EQ] = ACTIONS(1055),
    [anon_sym_LT_DASH] = ACTIONS(1053),
    [anon_sym_function] = ACTIONS(1055),
    [anon_sym_COLON_COLON] = ACTIONS(1053),
    [anon_sym_class] = ACTIONS(1055),
    [anon_sym_DOT] = ACTIONS(1053),
    [anon_sym_LBRACK] = ACTIONS(1053),
    [anon_sym_try] = ACTIONS(1055),
    [anon_sym_throw] = ACTIONS(1055),
    [anon_sym_const] = ACTIONS(1055),
    [anon_sym_enum] = ACTIONS(1055),
    [anon_sym_DASH] = ACTIONS(1055),
    [anon_sym_TILDE] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(1055),
    [anon_sym_typeof] = ACTIONS(1055),
    [anon_sym_PLUS_PLUS] = ACTIONS(1053),
    [anon_sym_DASH_DASH] = ACTIONS(1053),
    [anon_sym_PLUS] = ACTIONS(1055),
    [anon_sym_STAR] = ACTIONS(1055),
    [anon_sym_SLASH] = ACTIONS(1055),
    [anon_sym_PERCENT] = ACTIONS(1055),
    [anon_sym_PIPE_PIPE] = ACTIONS(1053),
    [anon_sym_AMP_AMP] = ACTIONS(1053),
    [anon_sym_PIPE] = ACTIONS(1055),
    [anon_sym_CARET] = ACTIONS(1053),
    [anon_sym_AMP] = ACTIONS(1055),
    [anon_sym_EQ_EQ] = ACTIONS(1053),
    [anon_sym_BANG_EQ] = ACTIONS(1053),
    [anon_sym_LT_EQ_GT] = ACTIONS(1053),
    [anon_sym_GT] = ACTIONS(1055),
    [anon_sym_GT_EQ] = ACTIONS(1053),
    [anon_sym_LT_EQ] = ACTIONS(1055),
    [anon_sym_LT] = ACTIONS(1055),
    [anon_sym_instanceof] = ACTIONS(1055),
    [anon_sym_LT_LT] = ACTIONS(1053),
    [anon_sym_GT_GT] = ACTIONS(1055),
    [anon_sym_GT_GT_GT] = ACTIONS(1053),
    [anon_sym_QMARK] = ACTIONS(1053),
    [anon_sym_PLUS_EQ] = ACTIONS(1053),
    [anon_sym_DASH_EQ] = ACTIONS(1053),
    [anon_sym_STAR_EQ] = ACTIONS(1053),
    [anon_sym_SLASH_EQ] = ACTIONS(1053),
    [anon_sym_PERCENT_EQ] = ACTIONS(1053),
    [anon_sym_delete] = ACTIONS(1055),
    [anon_sym_var] = ACTIONS(1055),
    [anon_sym_rawcall] = ACTIONS(1055),
    [anon_sym_AT] = ACTIONS(1053),
    [anon_sym_clone] = ACTIONS(1055),
    [sym_integer] = ACTIONS(1055),
    [sym_float] = ACTIONS(1053),
    [anon_sym_DQUOTE] = ACTIONS(1053),
    [anon_sym_SQUOTE] = ACTIONS(1055),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1053),
    [anon_sym_true] = ACTIONS(1055),
    [anon_sym_false] = ACTIONS(1055),
    [sym_null] = ACTIONS(1055),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1053),
  },
  [240] = {
    [ts_builtin_sym_end] = ACTIONS(1057),
    [sym_identifier] = ACTIONS(1059),
    [anon_sym_SEMI] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1057),
    [anon_sym_RBRACE] = ACTIONS(1057),
    [anon_sym_if] = ACTIONS(1059),
    [anon_sym_else] = ACTIONS(1059),
    [anon_sym_while] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(1057),
    [anon_sym_do] = ACTIONS(1059),
    [anon_sym_switch] = ACTIONS(1059),
    [anon_sym_case] = ACTIONS(1059),
    [anon_sym_default] = ACTIONS(1059),
    [anon_sym_for] = ACTIONS(1059),
    [anon_sym_foreach] = ACTIONS(1059),
    [anon_sym_COMMA] = ACTIONS(1057),
    [anon_sym_in] = ACTIONS(1059),
    [anon_sym_break] = ACTIONS(1059),
    [anon_sym_continue] = ACTIONS(1059),
    [anon_sym_return] = ACTIONS(1059),
    [anon_sym_yield] = ACTIONS(1059),
    [anon_sym_resume] = ACTIONS(1059),
    [anon_sym_local] = ACTIONS(1059),
    [anon_sym_EQ] = ACTIONS(1059),
    [anon_sym_LT_DASH] = ACTIONS(1057),
    [anon_sym_function] = ACTIONS(1059),
    [anon_sym_COLON_COLON] = ACTIONS(1057),
    [anon_sym_class] = ACTIONS(1059),
    [anon_sym_DOT] = ACTIONS(1057),
    [anon_sym_LBRACK] = ACTIONS(1057),
    [anon_sym_try] = ACTIONS(1059),
    [anon_sym_throw] = ACTIONS(1059),
    [anon_sym_const] = ACTIONS(1059),
    [anon_sym_enum] = ACTIONS(1059),
    [anon_sym_DASH] = ACTIONS(1059),
    [anon_sym_TILDE] = ACTIONS(1057),
    [anon_sym_BANG] = ACTIONS(1059),
    [anon_sym_typeof] = ACTIONS(1059),
    [anon_sym_PLUS_PLUS] = ACTIONS(1057),
    [anon_sym_DASH_DASH] = ACTIONS(1057),
    [anon_sym_PLUS] = ACTIONS(1059),
    [anon_sym_STAR] = ACTIONS(1059),
    [anon_sym_SLASH] = ACTIONS(1059),
    [anon_sym_PERCENT] = ACTIONS(1059),
    [anon_sym_PIPE_PIPE] = ACTIONS(1057),
    [anon_sym_AMP_AMP] = ACTIONS(1057),
    [anon_sym_PIPE] = ACTIONS(1059),
    [anon_sym_CARET] = ACTIONS(1057),
    [anon_sym_AMP] = ACTIONS(1059),
    [anon_sym_EQ_EQ] = ACTIONS(1057),
    [anon_sym_BANG_EQ] = ACTIONS(1057),
    [anon_sym_LT_EQ_GT] = ACTIONS(1057),
    [anon_sym_GT] = ACTIONS(1059),
    [anon_sym_GT_EQ] = ACTIONS(1057),
    [anon_sym_LT_EQ] = ACTIONS(1059),
    [anon_sym_LT] = ACTIONS(1059),
    [anon_sym_instanceof] = ACTIONS(1059),
    [anon_sym_LT_LT] = ACTIONS(1057),
    [anon_sym_GT_GT] = ACTIONS(1059),
    [anon_sym_GT_GT_GT] = ACTIONS(1057),
    [anon_sym_QMARK] = ACTIONS(1057),
    [anon_sym_PLUS_EQ] = ACTIONS(1057),
    [anon_sym_DASH_EQ] = ACTIONS(1057),
    [anon_sym_STAR_EQ] = ACTIONS(1057),
    [anon_sym_SLASH_EQ] = ACTIONS(1057),
    [anon_sym_PERCENT_EQ] = ACTIONS(1057),
    [anon_sym_delete] = ACTIONS(1059),
    [anon_sym_var] = ACTIONS(1059),
    [anon_sym_rawcall] = ACTIONS(1059),
    [anon_sym_AT] = ACTIONS(1057),
    [anon_sym_clone] = ACTIONS(1059),
    [sym_integer] = ACTIONS(1059),
    [sym_float] = ACTIONS(1057),
    [anon_sym_DQUOTE] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1059),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1057),
    [anon_sym_true] = ACTIONS(1059),
    [anon_sym_false] = ACTIONS(1059),
    [sym_null] = ACTIONS(1059),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1057),
  },
  [241] = {
    [ts_builtin_sym_end] = ACTIONS(1061),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_SEMI] = ACTIONS(1061),
    [anon_sym_LBRACE] = ACTIONS(1061),
    [anon_sym_RBRACE] = ACTIONS(1061),
    [anon_sym_if] = ACTIONS(1063),
    [anon_sym_else] = ACTIONS(1063),
    [anon_sym_while] = ACTIONS(1063),
    [anon_sym_LPAREN] = ACTIONS(1061),
    [anon_sym_do] = ACTIONS(1063),
    [anon_sym_switch] = ACTIONS(1063),
    [anon_sym_case] = ACTIONS(1063),
    [anon_sym_default] = ACTIONS(1063),
    [anon_sym_for] = ACTIONS(1063),
    [anon_sym_foreach] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(1061),
    [anon_sym_in] = ACTIONS(1063),
    [anon_sym_break] = ACTIONS(1063),
    [anon_sym_continue] = ACTIONS(1063),
    [anon_sym_return] = ACTIONS(1063),
    [anon_sym_yield] = ACTIONS(1063),
    [anon_sym_resume] = ACTIONS(1063),
    [anon_sym_local] = ACTIONS(1063),
    [anon_sym_EQ] = ACTIONS(1063),
    [anon_sym_LT_DASH] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(1063),
    [anon_sym_COLON_COLON] = ACTIONS(1061),
    [anon_sym_class] = ACTIONS(1063),
    [anon_sym_DOT] = ACTIONS(1061),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1063),
    [anon_sym_throw] = ACTIONS(1063),
    [anon_sym_const] = ACTIONS(1063),
    [anon_sym_enum] = ACTIONS(1063),
    [anon_sym_DASH] = ACTIONS(1063),
    [anon_sym_TILDE] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(1063),
    [anon_sym_typeof] = ACTIONS(1063),
    [anon_sym_PLUS_PLUS] = ACTIONS(1061),
    [anon_sym_DASH_DASH] = ACTIONS(1061),
    [anon_sym_PLUS] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(1063),
    [anon_sym_SLASH] = ACTIONS(1063),
    [anon_sym_PERCENT] = ACTIONS(1063),
    [anon_sym_PIPE_PIPE] = ACTIONS(1061),
    [anon_sym_AMP_AMP] = ACTIONS(1061),
    [anon_sym_PIPE] = ACTIONS(1063),
    [anon_sym_CARET] = ACTIONS(1061),
    [anon_sym_AMP] = ACTIONS(1063),
    [anon_sym_EQ_EQ] = ACTIONS(1061),
    [anon_sym_BANG_EQ] = ACTIONS(1061),
    [anon_sym_LT_EQ_GT] = ACTIONS(1061),
    [anon_sym_GT] = ACTIONS(1063),
    [anon_sym_GT_EQ] = ACTIONS(1061),
    [anon_sym_LT_EQ] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(1063),
    [anon_sym_instanceof] = ACTIONS(1063),
    [anon_sym_LT_LT] = ACTIONS(1061),
    [anon_sym_GT_GT] = ACTIONS(1063),
    [anon_sym_GT_GT_GT] = ACTIONS(1061),
    [anon_sym_QMARK] = ACTIONS(1061),
    [anon_sym_PLUS_EQ] = ACTIONS(1061),
    [anon_sym_DASH_EQ] = ACTIONS(1061),
    [anon_sym_STAR_EQ] = ACTIONS(1061),
    [anon_sym_SLASH_EQ] = ACTIONS(1061),
    [anon_sym_PERCENT_EQ] = ACTIONS(1061),
    [anon_sym_delete] = ACTIONS(1063),
    [anon_sym_var] = ACTIONS(1063),
    [anon_sym_rawcall] = ACTIONS(1063),
    [anon_sym_AT] = ACTIONS(1061),
    [anon_sym_clone] = ACTIONS(1063),
    [sym_integer] = ACTIONS(1063),
    [sym_float] = ACTIONS(1061),
    [anon_sym_DQUOTE] = ACTIONS(1061),
    [anon_sym_SQUOTE] = ACTIONS(1063),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1061),
    [anon_sym_true] = ACTIONS(1063),
    [anon_sym_false] = ACTIONS(1063),
    [sym_null] = ACTIONS(1063),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1061),
  },
  [242] = {
    [ts_builtin_sym_end] = ACTIONS(1065),
    [sym_identifier] = ACTIONS(1067),
    [anon_sym_SEMI] = ACTIONS(1065),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_RBRACE] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1067),
    [anon_sym_else] = ACTIONS(1067),
    [anon_sym_while] = ACTIONS(1067),
    [anon_sym_LPAREN] = ACTIONS(1065),
    [anon_sym_do] = ACTIONS(1067),
    [anon_sym_switch] = ACTIONS(1067),
    [anon_sym_case] = ACTIONS(1067),
    [anon_sym_default] = ACTIONS(1067),
    [anon_sym_for] = ACTIONS(1067),
    [anon_sym_foreach] = ACTIONS(1067),
    [anon_sym_COMMA] = ACTIONS(1065),
    [anon_sym_in] = ACTIONS(1067),
    [anon_sym_break] = ACTIONS(1067),
    [anon_sym_continue] = ACTIONS(1067),
    [anon_sym_return] = ACTIONS(1067),
    [anon_sym_yield] = ACTIONS(1067),
    [anon_sym_resume] = ACTIONS(1067),
    [anon_sym_local] = ACTIONS(1067),
    [anon_sym_EQ] = ACTIONS(1067),
    [anon_sym_LT_DASH] = ACTIONS(1065),
    [anon_sym_function] = ACTIONS(1067),
    [anon_sym_COLON_COLON] = ACTIONS(1065),
    [anon_sym_class] = ACTIONS(1067),
    [anon_sym_DOT] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_throw] = ACTIONS(1067),
    [anon_sym_const] = ACTIONS(1067),
    [anon_sym_enum] = ACTIONS(1067),
    [anon_sym_DASH] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1065),
    [anon_sym_BANG] = ACTIONS(1067),
    [anon_sym_typeof] = ACTIONS(1067),
    [anon_sym_PLUS_PLUS] = ACTIONS(1065),
    [anon_sym_DASH_DASH] = ACTIONS(1065),
    [anon_sym_PLUS] = ACTIONS(1067),
    [anon_sym_STAR] = ACTIONS(1067),
    [anon_sym_SLASH] = ACTIONS(1067),
    [anon_sym_PERCENT] = ACTIONS(1067),
    [anon_sym_PIPE_PIPE] = ACTIONS(1065),
    [anon_sym_AMP_AMP] = ACTIONS(1065),
    [anon_sym_PIPE] = ACTIONS(1067),
    [anon_sym_CARET] = ACTIONS(1065),
    [anon_sym_AMP] = ACTIONS(1067),
    [anon_sym_EQ_EQ] = ACTIONS(1065),
    [anon_sym_BANG_EQ] = ACTIONS(1065),
    [anon_sym_LT_EQ_GT] = ACTIONS(1065),
    [anon_sym_GT] = ACTIONS(1067),
    [anon_sym_GT_EQ] = ACTIONS(1065),
    [anon_sym_LT_EQ] = ACTIONS(1067),
    [anon_sym_LT] = ACTIONS(1067),
    [anon_sym_instanceof] = ACTIONS(1067),
    [anon_sym_LT_LT] = ACTIONS(1065),
    [anon_sym_GT_GT] = ACTIONS(1067),
    [anon_sym_GT_GT_GT] = ACTIONS(1065),
    [anon_sym_QMARK] = ACTIONS(1065),
    [anon_sym_PLUS_EQ] = ACTIONS(1065),
    [anon_sym_DASH_EQ] = ACTIONS(1065),
    [anon_sym_STAR_EQ] = ACTIONS(1065),
    [anon_sym_SLASH_EQ] = ACTIONS(1065),
    [anon_sym_PERCENT_EQ] = ACTIONS(1065),
    [anon_sym_delete] = ACTIONS(1067),
    [anon_sym_var] = ACTIONS(1067),
    [anon_sym_rawcall] = ACTIONS(1067),
    [anon_sym_AT] = ACTIONS(1065),
    [anon_sym_clone] = ACTIONS(1067),
    [sym_integer] = ACTIONS(1067),
    [sym_float] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1065),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1065),
    [anon_sym_true] = ACTIONS(1067),
    [anon_sym_false] = ACTIONS(1067),
    [sym_null] = ACTIONS(1067),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1065),
  },
  [243] = {
    [ts_builtin_sym_end] = ACTIONS(1069),
    [sym_identifier] = ACTIONS(1071),
    [anon_sym_SEMI] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1069),
    [anon_sym_RBRACE] = ACTIONS(1069),
    [anon_sym_if] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1071),
    [anon_sym_while] = ACTIONS(1071),
    [anon_sym_LPAREN] = ACTIONS(1069),
    [anon_sym_do] = ACTIONS(1071),
    [anon_sym_switch] = ACTIONS(1071),
    [anon_sym_case] = ACTIONS(1071),
    [anon_sym_default] = ACTIONS(1071),
    [anon_sym_for] = ACTIONS(1071),
    [anon_sym_foreach] = ACTIONS(1071),
    [anon_sym_COMMA] = ACTIONS(1069),
    [anon_sym_in] = ACTIONS(1071),
    [anon_sym_break] = ACTIONS(1071),
    [anon_sym_continue] = ACTIONS(1071),
    [anon_sym_return] = ACTIONS(1071),
    [anon_sym_yield] = ACTIONS(1071),
    [anon_sym_resume] = ACTIONS(1071),
    [anon_sym_local] = ACTIONS(1071),
    [anon_sym_EQ] = ACTIONS(1071),
    [anon_sym_LT_DASH] = ACTIONS(1069),
    [anon_sym_function] = ACTIONS(1071),
    [anon_sym_COLON_COLON] = ACTIONS(1069),
    [anon_sym_class] = ACTIONS(1071),
    [anon_sym_DOT] = ACTIONS(1069),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_try] = ACTIONS(1071),
    [anon_sym_throw] = ACTIONS(1071),
    [anon_sym_const] = ACTIONS(1071),
    [anon_sym_enum] = ACTIONS(1071),
    [anon_sym_DASH] = ACTIONS(1071),
    [anon_sym_TILDE] = ACTIONS(1069),
    [anon_sym_BANG] = ACTIONS(1071),
    [anon_sym_typeof] = ACTIONS(1071),
    [anon_sym_PLUS_PLUS] = ACTIONS(1069),
    [anon_sym_DASH_DASH] = ACTIONS(1069),
    [anon_sym_PLUS] = ACTIONS(1071),
    [anon_sym_STAR] = ACTIONS(1071),
    [anon_sym_SLASH] = ACTIONS(1071),
    [anon_sym_PERCENT] = ACTIONS(1071),
    [anon_sym_PIPE_PIPE] = ACTIONS(1069),
    [anon_sym_AMP_AMP] = ACTIONS(1069),
    [anon_sym_PIPE] = ACTIONS(1071),
    [anon_sym_CARET] = ACTIONS(1069),
    [anon_sym_AMP] = ACTIONS(1071),
    [anon_sym_EQ_EQ] = ACTIONS(1069),
    [anon_sym_BANG_EQ] = ACTIONS(1069),
    [anon_sym_LT_EQ_GT] = ACTIONS(1069),
    [anon_sym_GT] = ACTIONS(1071),
    [anon_sym_GT_EQ] = ACTIONS(1069),
    [anon_sym_LT_EQ] = ACTIONS(1071),
    [anon_sym_LT] = ACTIONS(1071),
    [anon_sym_instanceof] = ACTIONS(1071),
    [anon_sym_LT_LT] = ACTIONS(1069),
    [anon_sym_GT_GT] = ACTIONS(1071),
    [anon_sym_GT_GT_GT] = ACTIONS(1069),
    [anon_sym_QMARK] = ACTIONS(1069),
    [anon_sym_PLUS_EQ] = ACTIONS(1069),
    [anon_sym_DASH_EQ] = ACTIONS(1069),
    [anon_sym_STAR_EQ] = ACTIONS(1069),
    [anon_sym_SLASH_EQ] = ACTIONS(1069),
    [anon_sym_PERCENT_EQ] = ACTIONS(1069),
    [anon_sym_delete] = ACTIONS(1071),
    [anon_sym_var] = ACTIONS(1071),
    [anon_sym_rawcall] = ACTIONS(1071),
    [anon_sym_AT] = ACTIONS(1069),
    [anon_sym_clone] = ACTIONS(1071),
    [sym_integer] = ACTIONS(1071),
    [sym_float] = ACTIONS(1069),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [anon_sym_SQUOTE] = ACTIONS(1071),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1069),
    [anon_sym_true] = ACTIONS(1071),
    [anon_sym_false] = ACTIONS(1071),
    [sym_null] = ACTIONS(1071),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1069),
  },
  [244] = {
    [ts_builtin_sym_end] = ACTIONS(1073),
    [sym_identifier] = ACTIONS(1075),
    [anon_sym_SEMI] = ACTIONS(1073),
    [anon_sym_LBRACE] = ACTIONS(1073),
    [anon_sym_RBRACE] = ACTIONS(1073),
    [anon_sym_if] = ACTIONS(1075),
    [anon_sym_else] = ACTIONS(1075),
    [anon_sym_while] = ACTIONS(1075),
    [anon_sym_LPAREN] = ACTIONS(1073),
    [anon_sym_do] = ACTIONS(1075),
    [anon_sym_switch] = ACTIONS(1075),
    [anon_sym_case] = ACTIONS(1075),
    [anon_sym_default] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1075),
    [anon_sym_foreach] = ACTIONS(1075),
    [anon_sym_COMMA] = ACTIONS(1073),
    [anon_sym_in] = ACTIONS(1075),
    [anon_sym_break] = ACTIONS(1075),
    [anon_sym_continue] = ACTIONS(1075),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_yield] = ACTIONS(1075),
    [anon_sym_resume] = ACTIONS(1075),
    [anon_sym_local] = ACTIONS(1075),
    [anon_sym_EQ] = ACTIONS(1075),
    [anon_sym_LT_DASH] = ACTIONS(1073),
    [anon_sym_function] = ACTIONS(1075),
    [anon_sym_COLON_COLON] = ACTIONS(1073),
    [anon_sym_class] = ACTIONS(1075),
    [anon_sym_DOT] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(1075),
    [anon_sym_throw] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1075),
    [anon_sym_enum] = ACTIONS(1075),
    [anon_sym_DASH] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1073),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_typeof] = ACTIONS(1075),
    [anon_sym_PLUS_PLUS] = ACTIONS(1073),
    [anon_sym_DASH_DASH] = ACTIONS(1073),
    [anon_sym_PLUS] = ACTIONS(1075),
    [anon_sym_STAR] = ACTIONS(1075),
    [anon_sym_SLASH] = ACTIONS(1075),
    [anon_sym_PERCENT] = ACTIONS(1075),
    [anon_sym_PIPE_PIPE] = ACTIONS(1073),
    [anon_sym_AMP_AMP] = ACTIONS(1073),
    [anon_sym_PIPE] = ACTIONS(1075),
    [anon_sym_CARET] = ACTIONS(1073),
    [anon_sym_AMP] = ACTIONS(1075),
    [anon_sym_EQ_EQ] = ACTIONS(1073),
    [anon_sym_BANG_EQ] = ACTIONS(1073),
    [anon_sym_LT_EQ_GT] = ACTIONS(1073),
    [anon_sym_GT] = ACTIONS(1075),
    [anon_sym_GT_EQ] = ACTIONS(1073),
    [anon_sym_LT_EQ] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_instanceof] = ACTIONS(1075),
    [anon_sym_LT_LT] = ACTIONS(1073),
    [anon_sym_GT_GT] = ACTIONS(1075),
    [anon_sym_GT_GT_GT] = ACTIONS(1073),
    [anon_sym_QMARK] = ACTIONS(1073),
    [anon_sym_PLUS_EQ] = ACTIONS(1073),
    [anon_sym_DASH_EQ] = ACTIONS(1073),
    [anon_sym_STAR_EQ] = ACTIONS(1073),
    [anon_sym_SLASH_EQ] = ACTIONS(1073),
    [anon_sym_PERCENT_EQ] = ACTIONS(1073),
    [anon_sym_delete] = ACTIONS(1075),
    [anon_sym_var] = ACTIONS(1075),
    [anon_sym_rawcall] = ACTIONS(1075),
    [anon_sym_AT] = ACTIONS(1073),
    [anon_sym_clone] = ACTIONS(1075),
    [sym_integer] = ACTIONS(1075),
    [sym_float] = ACTIONS(1073),
    [anon_sym_DQUOTE] = ACTIONS(1073),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1073),
    [anon_sym_true] = ACTIONS(1075),
    [anon_sym_false] = ACTIONS(1075),
    [sym_null] = ACTIONS(1075),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1073),
  },
  [245] = {
    [ts_builtin_sym_end] = ACTIONS(1077),
    [sym_identifier] = ACTIONS(1079),
    [anon_sym_SEMI] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_RBRACE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_else] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(1079),
    [anon_sym_switch] = ACTIONS(1079),
    [anon_sym_case] = ACTIONS(1079),
    [anon_sym_default] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(1079),
    [anon_sym_foreach] = ACTIONS(1079),
    [anon_sym_COMMA] = ACTIONS(1077),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_break] = ACTIONS(1079),
    [anon_sym_continue] = ACTIONS(1079),
    [anon_sym_return] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1079),
    [anon_sym_resume] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1079),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(1079),
    [anon_sym_COLON_COLON] = ACTIONS(1077),
    [anon_sym_class] = ACTIONS(1079),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(1079),
    [anon_sym_throw] = ACTIONS(1079),
    [anon_sym_const] = ACTIONS(1079),
    [anon_sym_enum] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1079),
    [anon_sym_typeof] = ACTIONS(1079),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(885),
    [anon_sym_AMP_AMP] = ACTIONS(887),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(905),
    [anon_sym_PLUS_EQ] = ACTIONS(873),
    [anon_sym_DASH_EQ] = ACTIONS(873),
    [anon_sym_STAR_EQ] = ACTIONS(873),
    [anon_sym_SLASH_EQ] = ACTIONS(873),
    [anon_sym_PERCENT_EQ] = ACTIONS(873),
    [anon_sym_delete] = ACTIONS(1079),
    [anon_sym_var] = ACTIONS(1079),
    [anon_sym_rawcall] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1077),
    [anon_sym_clone] = ACTIONS(1079),
    [sym_integer] = ACTIONS(1079),
    [sym_float] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1077),
    [anon_sym_SQUOTE] = ACTIONS(1079),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1077),
    [anon_sym_true] = ACTIONS(1079),
    [anon_sym_false] = ACTIONS(1079),
    [sym_null] = ACTIONS(1079),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1077),
  },
  [246] = {
    [ts_builtin_sym_end] = ACTIONS(1083),
    [sym_identifier] = ACTIONS(1085),
    [anon_sym_SEMI] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(1083),
    [anon_sym_RBRACE] = ACTIONS(1083),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_else] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_do] = ACTIONS(1085),
    [anon_sym_switch] = ACTIONS(1085),
    [anon_sym_case] = ACTIONS(1085),
    [anon_sym_default] = ACTIONS(1085),
    [anon_sym_for] = ACTIONS(1085),
    [anon_sym_foreach] = ACTIONS(1085),
    [anon_sym_COMMA] = ACTIONS(1083),
    [anon_sym_in] = ACTIONS(1085),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [anon_sym_return] = ACTIONS(1085),
    [anon_sym_yield] = ACTIONS(1085),
    [anon_sym_resume] = ACTIONS(1085),
    [anon_sym_local] = ACTIONS(1085),
    [anon_sym_EQ] = ACTIONS(1085),
    [anon_sym_LT_DASH] = ACTIONS(1083),
    [anon_sym_function] = ACTIONS(1085),
    [anon_sym_COLON_COLON] = ACTIONS(1083),
    [anon_sym_class] = ACTIONS(1085),
    [anon_sym_DOT] = ACTIONS(1083),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_throw] = ACTIONS(1085),
    [anon_sym_const] = ACTIONS(1085),
    [anon_sym_enum] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_BANG] = ACTIONS(1085),
    [anon_sym_typeof] = ACTIONS(1085),
    [anon_sym_PLUS_PLUS] = ACTIONS(1083),
    [anon_sym_DASH_DASH] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_STAR] = ACTIONS(1085),
    [anon_sym_SLASH] = ACTIONS(1085),
    [anon_sym_PERCENT] = ACTIONS(1085),
    [anon_sym_PIPE_PIPE] = ACTIONS(1083),
    [anon_sym_AMP_AMP] = ACTIONS(1083),
    [anon_sym_PIPE] = ACTIONS(1085),
    [anon_sym_CARET] = ACTIONS(1083),
    [anon_sym_AMP] = ACTIONS(1085),
    [anon_sym_EQ_EQ] = ACTIONS(1083),
    [anon_sym_BANG_EQ] = ACTIONS(1083),
    [anon_sym_LT_EQ_GT] = ACTIONS(1083),
    [anon_sym_GT] = ACTIONS(1085),
    [anon_sym_GT_EQ] = ACTIONS(1083),
    [anon_sym_LT_EQ] = ACTIONS(1085),
    [anon_sym_LT] = ACTIONS(1085),
    [anon_sym_instanceof] = ACTIONS(1085),
    [anon_sym_LT_LT] = ACTIONS(1083),
    [anon_sym_GT_GT] = ACTIONS(1085),
    [anon_sym_GT_GT_GT] = ACTIONS(1083),
    [anon_sym_QMARK] = ACTIONS(1083),
    [anon_sym_PLUS_EQ] = ACTIONS(1083),
    [anon_sym_DASH_EQ] = ACTIONS(1083),
    [anon_sym_STAR_EQ] = ACTIONS(1083),
    [anon_sym_SLASH_EQ] = ACTIONS(1083),
    [anon_sym_PERCENT_EQ] = ACTIONS(1083),
    [anon_sym_delete] = ACTIONS(1085),
    [anon_sym_var] = ACTIONS(1085),
    [anon_sym_rawcall] = ACTIONS(1085),
    [anon_sym_AT] = ACTIONS(1083),
    [anon_sym_clone] = ACTIONS(1085),
    [sym_integer] = ACTIONS(1085),
    [sym_float] = ACTIONS(1083),
    [anon_sym_DQUOTE] = ACTIONS(1083),
    [anon_sym_SQUOTE] = ACTIONS(1085),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [sym_null] = ACTIONS(1085),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1083),
  },
  [247] = {
    [ts_builtin_sym_end] = ACTIONS(1087),
    [sym_identifier] = ACTIONS(1089),
    [anon_sym_SEMI] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_RBRACE] = ACTIONS(1087),
    [anon_sym_if] = ACTIONS(1089),
    [anon_sym_else] = ACTIONS(1089),
    [anon_sym_while] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(1087),
    [anon_sym_do] = ACTIONS(1089),
    [anon_sym_switch] = ACTIONS(1089),
    [anon_sym_case] = ACTIONS(1089),
    [anon_sym_default] = ACTIONS(1089),
    [anon_sym_for] = ACTIONS(1089),
    [anon_sym_foreach] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1087),
    [anon_sym_in] = ACTIONS(1089),
    [anon_sym_break] = ACTIONS(1089),
    [anon_sym_continue] = ACTIONS(1089),
    [anon_sym_return] = ACTIONS(1089),
    [anon_sym_yield] = ACTIONS(1089),
    [anon_sym_resume] = ACTIONS(1089),
    [anon_sym_local] = ACTIONS(1089),
    [anon_sym_EQ] = ACTIONS(1089),
    [anon_sym_LT_DASH] = ACTIONS(1087),
    [anon_sym_function] = ACTIONS(1089),
    [anon_sym_COLON_COLON] = ACTIONS(1087),
    [anon_sym_class] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1087),
    [anon_sym_LBRACK] = ACTIONS(1087),
    [anon_sym_try] = ACTIONS(1089),
    [anon_sym_throw] = ACTIONS(1089),
    [anon_sym_const] = ACTIONS(1089),
    [anon_sym_enum] = ACTIONS(1089),
    [anon_sym_DASH] = ACTIONS(1089),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_BANG] = ACTIONS(1089),
    [anon_sym_typeof] = ACTIONS(1089),
    [anon_sym_PLUS_PLUS] = ACTIONS(1087),
    [anon_sym_DASH_DASH] = ACTIONS(1087),
    [anon_sym_PLUS] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1089),
    [anon_sym_SLASH] = ACTIONS(1089),
    [anon_sym_PERCENT] = ACTIONS(1089),
    [anon_sym_PIPE_PIPE] = ACTIONS(1087),
    [anon_sym_AMP_AMP] = ACTIONS(1087),
    [anon_sym_PIPE] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1087),
    [anon_sym_AMP] = ACTIONS(1089),
    [anon_sym_EQ_EQ] = ACTIONS(1087),
    [anon_sym_BANG_EQ] = ACTIONS(1087),
    [anon_sym_LT_EQ_GT] = ACTIONS(1087),
    [anon_sym_GT] = ACTIONS(1089),
    [anon_sym_GT_EQ] = ACTIONS(1087),
    [anon_sym_LT_EQ] = ACTIONS(1089),
    [anon_sym_LT] = ACTIONS(1089),
    [anon_sym_instanceof] = ACTIONS(1089),
    [anon_sym_LT_LT] = ACTIONS(1087),
    [anon_sym_GT_GT] = ACTIONS(1089),
    [anon_sym_GT_GT_GT] = ACTIONS(1087),
    [anon_sym_QMARK] = ACTIONS(1087),
    [anon_sym_PLUS_EQ] = ACTIONS(1087),
    [anon_sym_DASH_EQ] = ACTIONS(1087),
    [anon_sym_STAR_EQ] = ACTIONS(1087),
    [anon_sym_SLASH_EQ] = ACTIONS(1087),
    [anon_sym_PERCENT_EQ] = ACTIONS(1087),
    [anon_sym_delete] = ACTIONS(1089),
    [anon_sym_var] = ACTIONS(1089),
    [anon_sym_rawcall] = ACTIONS(1089),
    [anon_sym_AT] = ACTIONS(1087),
    [anon_sym_clone] = ACTIONS(1089),
    [sym_integer] = ACTIONS(1089),
    [sym_float] = ACTIONS(1087),
    [anon_sym_DQUOTE] = ACTIONS(1087),
    [anon_sym_SQUOTE] = ACTIONS(1089),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1087),
    [anon_sym_true] = ACTIONS(1089),
    [anon_sym_false] = ACTIONS(1089),
    [sym_null] = ACTIONS(1089),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1087),
  },
  [248] = {
    [ts_builtin_sym_end] = ACTIONS(1077),
    [sym_identifier] = ACTIONS(1079),
    [anon_sym_SEMI] = ACTIONS(1077),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_RBRACE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_else] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1077),
    [anon_sym_do] = ACTIONS(1079),
    [anon_sym_switch] = ACTIONS(1079),
    [anon_sym_case] = ACTIONS(1079),
    [anon_sym_default] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(1079),
    [anon_sym_foreach] = ACTIONS(1079),
    [anon_sym_COMMA] = ACTIONS(1077),
    [anon_sym_in] = ACTIONS(1079),
    [anon_sym_break] = ACTIONS(1079),
    [anon_sym_continue] = ACTIONS(1079),
    [anon_sym_return] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1079),
    [anon_sym_resume] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1079),
    [anon_sym_EQ] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(1077),
    [anon_sym_function] = ACTIONS(1079),
    [anon_sym_COLON_COLON] = ACTIONS(1077),
    [anon_sym_class] = ACTIONS(1079),
    [anon_sym_DOT] = ACTIONS(1077),
    [anon_sym_LBRACK] = ACTIONS(1077),
    [anon_sym_try] = ACTIONS(1079),
    [anon_sym_throw] = ACTIONS(1079),
    [anon_sym_const] = ACTIONS(1079),
    [anon_sym_enum] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1079),
    [anon_sym_typeof] = ACTIONS(1079),
    [anon_sym_PLUS_PLUS] = ACTIONS(1077),
    [anon_sym_DASH_DASH] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1079),
    [anon_sym_SLASH] = ACTIONS(1079),
    [anon_sym_PERCENT] = ACTIONS(1079),
    [anon_sym_PIPE_PIPE] = ACTIONS(1077),
    [anon_sym_AMP_AMP] = ACTIONS(1077),
    [anon_sym_PIPE] = ACTIONS(1079),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_AMP] = ACTIONS(1079),
    [anon_sym_EQ_EQ] = ACTIONS(1077),
    [anon_sym_BANG_EQ] = ACTIONS(1077),
    [anon_sym_LT_EQ_GT] = ACTIONS(1077),
    [anon_sym_GT] = ACTIONS(1079),
    [anon_sym_GT_EQ] = ACTIONS(1077),
    [anon_sym_LT_EQ] = ACTIONS(1079),
    [anon_sym_LT] = ACTIONS(1079),
    [anon_sym_instanceof] = ACTIONS(1079),
    [anon_sym_LT_LT] = ACTIONS(1077),
    [anon_sym_GT_GT] = ACTIONS(1079),
    [anon_sym_GT_GT_GT] = ACTIONS(1077),
    [anon_sym_QMARK] = ACTIONS(1077),
    [anon_sym_PLUS_EQ] = ACTIONS(1077),
    [anon_sym_DASH_EQ] = ACTIONS(1077),
    [anon_sym_STAR_EQ] = ACTIONS(1077),
    [anon_sym_SLASH_EQ] = ACTIONS(1077),
    [anon_sym_PERCENT_EQ] = ACTIONS(1077),
    [anon_sym_delete] = ACTIONS(1079),
    [anon_sym_var] = ACTIONS(1079),
    [anon_sym_rawcall] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1077),
    [anon_sym_clone] = ACTIONS(1079),
    [sym_integer] = ACTIONS(1079),
    [sym_float] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1077),
    [anon_sym_SQUOTE] = ACTIONS(1079),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1077),
    [anon_sym_true] = ACTIONS(1079),
    [anon_sym_false] = ACTIONS(1079),
    [sym_null] = ACTIONS(1079),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1077),
  },
  [249] = {
    [ts_builtin_sym_end] = ACTIONS(1077),
    [sym_identifier] = ACTIONS(1079),
    [anon_sym_SEMI] = ACTIONS(1077),
    [anon_sym_LBRACE] = ACTIONS(1077),
    [anon_sym_RBRACE] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1079),
    [anon_sym_else] = ACTIONS(1079),
    [anon_sym_while] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1077),
    [anon_sym_do] = ACTIONS(1079),
    [anon_sym_switch] = ACTIONS(1079),
    [anon_sym_case] = ACTIONS(1079),
    [anon_sym_default] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(1079),
    [anon_sym_foreach] = ACTIONS(1079),
    [anon_sym_COMMA] = ACTIONS(1077),
    [anon_sym_in] = ACTIONS(1079),
    [anon_sym_break] = ACTIONS(1079),
    [anon_sym_continue] = ACTIONS(1079),
    [anon_sym_return] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1079),
    [anon_sym_resume] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1079),
    [anon_sym_EQ] = ACTIONS(1079),
    [anon_sym_LT_DASH] = ACTIONS(1077),
    [anon_sym_function] = ACTIONS(1079),
    [anon_sym_COLON_COLON] = ACTIONS(1077),
    [anon_sym_class] = ACTIONS(1079),
    [anon_sym_DOT] = ACTIONS(1077),
    [anon_sym_LBRACK] = ACTIONS(1077),
    [anon_sym_try] = ACTIONS(1079),
    [anon_sym_throw] = ACTIONS(1079),
    [anon_sym_const] = ACTIONS(1079),
    [anon_sym_enum] = ACTIONS(1079),
    [anon_sym_DASH] = ACTIONS(1079),
    [anon_sym_TILDE] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1079),
    [anon_sym_typeof] = ACTIONS(1079),
    [anon_sym_PLUS_PLUS] = ACTIONS(1077),
    [anon_sym_DASH_DASH] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1079),
    [anon_sym_STAR] = ACTIONS(1079),
    [anon_sym_SLASH] = ACTIONS(1079),
    [anon_sym_PERCENT] = ACTIONS(1079),
    [anon_sym_PIPE_PIPE] = ACTIONS(1077),
    [anon_sym_AMP_AMP] = ACTIONS(1077),
    [anon_sym_PIPE] = ACTIONS(1079),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_AMP] = ACTIONS(1079),
    [anon_sym_EQ_EQ] = ACTIONS(1077),
    [anon_sym_BANG_EQ] = ACTIONS(1077),
    [anon_sym_LT_EQ_GT] = ACTIONS(1077),
    [anon_sym_GT] = ACTIONS(1079),
    [anon_sym_GT_EQ] = ACTIONS(1077),
    [anon_sym_LT_EQ] = ACTIONS(1079),
    [anon_sym_LT] = ACTIONS(1079),
    [anon_sym_instanceof] = ACTIONS(1079),
    [anon_sym_LT_LT] = ACTIONS(1077),
    [anon_sym_GT_GT] = ACTIONS(1079),
    [anon_sym_GT_GT_GT] = ACTIONS(1077),
    [anon_sym_QMARK] = ACTIONS(1077),
    [anon_sym_PLUS_EQ] = ACTIONS(1077),
    [anon_sym_DASH_EQ] = ACTIONS(1077),
    [anon_sym_STAR_EQ] = ACTIONS(1077),
    [anon_sym_SLASH_EQ] = ACTIONS(1077),
    [anon_sym_PERCENT_EQ] = ACTIONS(1077),
    [anon_sym_delete] = ACTIONS(1079),
    [anon_sym_var] = ACTIONS(1079),
    [anon_sym_rawcall] = ACTIONS(1079),
    [anon_sym_AT] = ACTIONS(1077),
    [anon_sym_clone] = ACTIONS(1079),
    [sym_integer] = ACTIONS(1079),
    [sym_float] = ACTIONS(1077),
    [anon_sym_DQUOTE] = ACTIONS(1077),
    [anon_sym_SQUOTE] = ACTIONS(1079),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1077),
    [anon_sym_true] = ACTIONS(1079),
    [anon_sym_false] = ACTIONS(1079),
    [sym_null] = ACTIONS(1079),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1077),
  },
  [250] = {
    [ts_builtin_sym_end] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_SEMI] = ACTIONS(1091),
    [anon_sym_LBRACE] = ACTIONS(1091),
    [anon_sym_RBRACE] = ACTIONS(1091),
    [anon_sym_if] = ACTIONS(1093),
    [anon_sym_else] = ACTIONS(1093),
    [anon_sym_while] = ACTIONS(1093),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_do] = ACTIONS(1093),
    [anon_sym_switch] = ACTIONS(1093),
    [anon_sym_case] = ACTIONS(1093),
    [anon_sym_default] = ACTIONS(1093),
    [anon_sym_for] = ACTIONS(1093),
    [anon_sym_foreach] = ACTIONS(1093),
    [anon_sym_COMMA] = ACTIONS(1091),
    [anon_sym_in] = ACTIONS(1093),
    [anon_sym_break] = ACTIONS(1093),
    [anon_sym_continue] = ACTIONS(1093),
    [anon_sym_return] = ACTIONS(1093),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_resume] = ACTIONS(1093),
    [anon_sym_local] = ACTIONS(1093),
    [anon_sym_EQ] = ACTIONS(1093),
    [anon_sym_LT_DASH] = ACTIONS(1091),
    [anon_sym_function] = ACTIONS(1093),
    [anon_sym_COLON_COLON] = ACTIONS(1091),
    [anon_sym_class] = ACTIONS(1093),
    [anon_sym_DOT] = ACTIONS(1095),
    [anon_sym_LBRACK] = ACTIONS(1091),
    [anon_sym_try] = ACTIONS(1093),
    [anon_sym_throw] = ACTIONS(1093),
    [anon_sym_const] = ACTIONS(1093),
    [anon_sym_enum] = ACTIONS(1093),
    [anon_sym_DASH] = ACTIONS(1093),
    [anon_sym_TILDE] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1093),
    [anon_sym_typeof] = ACTIONS(1093),
    [anon_sym_PLUS_PLUS] = ACTIONS(1091),
    [anon_sym_DASH_DASH] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1093),
    [anon_sym_STAR] = ACTIONS(1093),
    [anon_sym_SLASH] = ACTIONS(1093),
    [anon_sym_PERCENT] = ACTIONS(1093),
    [anon_sym_PIPE_PIPE] = ACTIONS(1091),
    [anon_sym_AMP_AMP] = ACTIONS(1091),
    [anon_sym_PIPE] = ACTIONS(1093),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_AMP] = ACTIONS(1093),
    [anon_sym_EQ_EQ] = ACTIONS(1091),
    [anon_sym_BANG_EQ] = ACTIONS(1091),
    [anon_sym_LT_EQ_GT] = ACTIONS(1091),
    [anon_sym_GT] = ACTIONS(1093),
    [anon_sym_GT_EQ] = ACTIONS(1091),
    [anon_sym_LT_EQ] = ACTIONS(1093),
    [anon_sym_LT] = ACTIONS(1093),
    [anon_sym_instanceof] = ACTIONS(1093),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1093),
    [anon_sym_GT_GT_GT] = ACTIONS(1091),
    [anon_sym_QMARK] = ACTIONS(1091),
    [anon_sym_PLUS_EQ] = ACTIONS(1091),
    [anon_sym_DASH_EQ] = ACTIONS(1091),
    [anon_sym_STAR_EQ] = ACTIONS(1091),
    [anon_sym_SLASH_EQ] = ACTIONS(1091),
    [anon_sym_PERCENT_EQ] = ACTIONS(1091),
    [anon_sym_delete] = ACTIONS(1093),
    [anon_sym_var] = ACTIONS(1093),
    [anon_sym_rawcall] = ACTIONS(1093),
    [anon_sym_AT] = ACTIONS(1091),
    [anon_sym_clone] = ACTIONS(1093),
    [sym_integer] = ACTIONS(1093),
    [sym_float] = ACTIONS(1091),
    [anon_sym_DQUOTE] = ACTIONS(1091),
    [anon_sym_SQUOTE] = ACTIONS(1093),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1091),
    [anon_sym_true] = ACTIONS(1093),
    [anon_sym_false] = ACTIONS(1093),
    [sym_null] = ACTIONS(1093),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1091),
  },
  [251] = {
    [ts_builtin_sym_end] = ACTIONS(1097),
    [sym_identifier] = ACTIONS(1099),
    [anon_sym_SEMI] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1097),
    [anon_sym_RBRACE] = ACTIONS(1097),
    [anon_sym_if] = ACTIONS(1099),
    [anon_sym_else] = ACTIONS(1099),
    [anon_sym_while] = ACTIONS(1099),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(1099),
    [anon_sym_switch] = ACTIONS(1099),
    [anon_sym_case] = ACTIONS(1099),
    [anon_sym_default] = ACTIONS(1099),
    [anon_sym_for] = ACTIONS(1099),
    [anon_sym_foreach] = ACTIONS(1099),
    [anon_sym_COMMA] = ACTIONS(1097),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_break] = ACTIONS(1099),
    [anon_sym_continue] = ACTIONS(1099),
    [anon_sym_return] = ACTIONS(1099),
    [anon_sym_yield] = ACTIONS(1099),
    [anon_sym_resume] = ACTIONS(1099),
    [anon_sym_local] = ACTIONS(1099),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(1097),
    [anon_sym_class] = ACTIONS(1099),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(1099),
    [anon_sym_throw] = ACTIONS(1099),
    [anon_sym_const] = ACTIONS(1099),
    [anon_sym_enum] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(1099),
    [anon_sym_typeof] = ACTIONS(1099),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(885),
    [anon_sym_AMP_AMP] = ACTIONS(887),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(905),
    [anon_sym_PLUS_EQ] = ACTIONS(873),
    [anon_sym_DASH_EQ] = ACTIONS(873),
    [anon_sym_STAR_EQ] = ACTIONS(873),
    [anon_sym_SLASH_EQ] = ACTIONS(873),
    [anon_sym_PERCENT_EQ] = ACTIONS(873),
    [anon_sym_delete] = ACTIONS(1099),
    [anon_sym_var] = ACTIONS(1099),
    [anon_sym_rawcall] = ACTIONS(1099),
    [anon_sym_AT] = ACTIONS(1097),
    [anon_sym_clone] = ACTIONS(1099),
    [sym_integer] = ACTIONS(1099),
    [sym_float] = ACTIONS(1097),
    [anon_sym_DQUOTE] = ACTIONS(1097),
    [anon_sym_SQUOTE] = ACTIONS(1099),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1097),
    [anon_sym_true] = ACTIONS(1099),
    [anon_sym_false] = ACTIONS(1099),
    [sym_null] = ACTIONS(1099),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1097),
  },
  [252] = {
    [ts_builtin_sym_end] = ACTIONS(1101),
    [sym_identifier] = ACTIONS(1103),
    [anon_sym_SEMI] = ACTIONS(1101),
    [anon_sym_LBRACE] = ACTIONS(1101),
    [anon_sym_RBRACE] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1103),
    [anon_sym_else] = ACTIONS(1103),
    [anon_sym_while] = ACTIONS(1103),
    [anon_sym_LPAREN] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1103),
    [anon_sym_switch] = ACTIONS(1103),
    [anon_sym_case] = ACTIONS(1103),
    [anon_sym_default] = ACTIONS(1103),
    [anon_sym_for] = ACTIONS(1103),
    [anon_sym_foreach] = ACTIONS(1103),
    [anon_sym_COMMA] = ACTIONS(1101),
    [anon_sym_in] = ACTIONS(1103),
    [anon_sym_break] = ACTIONS(1103),
    [anon_sym_continue] = ACTIONS(1103),
    [anon_sym_return] = ACTIONS(1103),
    [anon_sym_yield] = ACTIONS(1103),
    [anon_sym_resume] = ACTIONS(1103),
    [anon_sym_local] = ACTIONS(1103),
    [anon_sym_EQ] = ACTIONS(1103),
    [anon_sym_LT_DASH] = ACTIONS(1101),
    [anon_sym_function] = ACTIONS(1103),
    [anon_sym_COLON_COLON] = ACTIONS(1101),
    [anon_sym_class] = ACTIONS(1103),
    [anon_sym_DOT] = ACTIONS(1101),
    [anon_sym_LBRACK] = ACTIONS(1101),
    [anon_sym_try] = ACTIONS(1103),
    [anon_sym_throw] = ACTIONS(1103),
    [anon_sym_const] = ACTIONS(1103),
    [anon_sym_enum] = ACTIONS(1103),
    [anon_sym_DASH] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1101),
    [anon_sym_BANG] = ACTIONS(1103),
    [anon_sym_typeof] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1101),
    [anon_sym_DASH_DASH] = ACTIONS(1101),
    [anon_sym_PLUS] = ACTIONS(1103),
    [anon_sym_STAR] = ACTIONS(1103),
    [anon_sym_SLASH] = ACTIONS(1103),
    [anon_sym_PERCENT] = ACTIONS(1103),
    [anon_sym_PIPE_PIPE] = ACTIONS(1101),
    [anon_sym_AMP_AMP] = ACTIONS(1101),
    [anon_sym_PIPE] = ACTIONS(1103),
    [anon_sym_CARET] = ACTIONS(1101),
    [anon_sym_AMP] = ACTIONS(1103),
    [anon_sym_EQ_EQ] = ACTIONS(1101),
    [anon_sym_BANG_EQ] = ACTIONS(1101),
    [anon_sym_LT_EQ_GT] = ACTIONS(1101),
    [anon_sym_GT] = ACTIONS(1103),
    [anon_sym_GT_EQ] = ACTIONS(1101),
    [anon_sym_LT_EQ] = ACTIONS(1103),
    [anon_sym_LT] = ACTIONS(1103),
    [anon_sym_instanceof] = ACTIONS(1103),
    [anon_sym_LT_LT] = ACTIONS(1101),
    [anon_sym_GT_GT] = ACTIONS(1103),
    [anon_sym_GT_GT_GT] = ACTIONS(1101),
    [anon_sym_QMARK] = ACTIONS(1101),
    [anon_sym_PLUS_EQ] = ACTIONS(1101),
    [anon_sym_DASH_EQ] = ACTIONS(1101),
    [anon_sym_STAR_EQ] = ACTIONS(1101),
    [anon_sym_SLASH_EQ] = ACTIONS(1101),
    [anon_sym_PERCENT_EQ] = ACTIONS(1101),
    [anon_sym_delete] = ACTIONS(1103),
    [anon_sym_var] = ACTIONS(1103),
    [anon_sym_rawcall] = ACTIONS(1103),
    [anon_sym_AT] = ACTIONS(1101),
    [anon_sym_clone] = ACTIONS(1103),
    [sym_integer] = ACTIONS(1103),
    [sym_float] = ACTIONS(1101),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_SQUOTE] = ACTIONS(1103),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1101),
    [anon_sym_true] = ACTIONS(1103),
    [anon_sym_false] = ACTIONS(1103),
    [sym_null] = ACTIONS(1103),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1101),
  },
  [253] = {
    [ts_builtin_sym_end] = ACTIONS(1105),
    [sym_identifier] = ACTIONS(1107),
    [anon_sym_SEMI] = ACTIONS(1109),
    [anon_sym_LBRACE] = ACTIONS(1105),
    [anon_sym_RBRACE] = ACTIONS(1105),
    [anon_sym_if] = ACTIONS(1107),
    [anon_sym_else] = ACTIONS(1107),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(1107),
    [anon_sym_switch] = ACTIONS(1107),
    [anon_sym_case] = ACTIONS(1107),
    [anon_sym_default] = ACTIONS(1107),
    [anon_sym_for] = ACTIONS(1107),
    [anon_sym_foreach] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(1105),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_break] = ACTIONS(1107),
    [anon_sym_continue] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1107),
    [anon_sym_yield] = ACTIONS(1107),
    [anon_sym_resume] = ACTIONS(1107),
    [anon_sym_local] = ACTIONS(1107),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(1107),
    [anon_sym_COLON_COLON] = ACTIONS(1105),
    [anon_sym_class] = ACTIONS(1107),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(1107),
    [anon_sym_throw] = ACTIONS(1107),
    [anon_sym_const] = ACTIONS(1107),
    [anon_sym_enum] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(1105),
    [anon_sym_BANG] = ACTIONS(1107),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(885),
    [anon_sym_AMP_AMP] = ACTIONS(887),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(905),
    [anon_sym_PLUS_EQ] = ACTIONS(873),
    [anon_sym_DASH_EQ] = ACTIONS(873),
    [anon_sym_STAR_EQ] = ACTIONS(873),
    [anon_sym_SLASH_EQ] = ACTIONS(873),
    [anon_sym_PERCENT_EQ] = ACTIONS(873),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_var] = ACTIONS(1107),
    [anon_sym_rawcall] = ACTIONS(1107),
    [anon_sym_AT] = ACTIONS(1105),
    [anon_sym_clone] = ACTIONS(1107),
    [sym_integer] = ACTIONS(1107),
    [sym_float] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1105),
    [anon_sym_true] = ACTIONS(1107),
    [anon_sym_false] = ACTIONS(1107),
    [sym_null] = ACTIONS(1107),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1105),
  },
  [254] = {
    [ts_builtin_sym_end] = ACTIONS(1111),
    [sym_identifier] = ACTIONS(1113),
    [anon_sym_SEMI] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1111),
    [anon_sym_RBRACE] = ACTIONS(1111),
    [anon_sym_if] = ACTIONS(1113),
    [anon_sym_else] = ACTIONS(1113),
    [anon_sym_while] = ACTIONS(1113),
    [anon_sym_LPAREN] = ACTIONS(1111),
    [anon_sym_do] = ACTIONS(1113),
    [anon_sym_switch] = ACTIONS(1113),
    [anon_sym_case] = ACTIONS(1113),
    [anon_sym_default] = ACTIONS(1113),
    [anon_sym_for] = ACTIONS(1113),
    [anon_sym_foreach] = ACTIONS(1113),
    [anon_sym_COMMA] = ACTIONS(1111),
    [anon_sym_in] = ACTIONS(1113),
    [anon_sym_break] = ACTIONS(1113),
    [anon_sym_continue] = ACTIONS(1113),
    [anon_sym_return] = ACTIONS(1113),
    [anon_sym_yield] = ACTIONS(1113),
    [anon_sym_resume] = ACTIONS(1113),
    [anon_sym_local] = ACTIONS(1113),
    [anon_sym_EQ] = ACTIONS(1113),
    [anon_sym_LT_DASH] = ACTIONS(1111),
    [anon_sym_function] = ACTIONS(1113),
    [anon_sym_COLON_COLON] = ACTIONS(1111),
    [anon_sym_class] = ACTIONS(1113),
    [anon_sym_DOT] = ACTIONS(1111),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_try] = ACTIONS(1113),
    [anon_sym_throw] = ACTIONS(1113),
    [anon_sym_const] = ACTIONS(1113),
    [anon_sym_enum] = ACTIONS(1113),
    [anon_sym_DASH] = ACTIONS(1113),
    [anon_sym_TILDE] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(1113),
    [anon_sym_typeof] = ACTIONS(1113),
    [anon_sym_PLUS_PLUS] = ACTIONS(1111),
    [anon_sym_DASH_DASH] = ACTIONS(1111),
    [anon_sym_PLUS] = ACTIONS(1113),
    [anon_sym_STAR] = ACTIONS(1113),
    [anon_sym_SLASH] = ACTIONS(1113),
    [anon_sym_PERCENT] = ACTIONS(1113),
    [anon_sym_PIPE_PIPE] = ACTIONS(1111),
    [anon_sym_AMP_AMP] = ACTIONS(1111),
    [anon_sym_PIPE] = ACTIONS(1113),
    [anon_sym_CARET] = ACTIONS(1111),
    [anon_sym_AMP] = ACTIONS(1113),
    [anon_sym_EQ_EQ] = ACTIONS(1111),
    [anon_sym_BANG_EQ] = ACTIONS(1111),
    [anon_sym_LT_EQ_GT] = ACTIONS(1111),
    [anon_sym_GT] = ACTIONS(1113),
    [anon_sym_GT_EQ] = ACTIONS(1111),
    [anon_sym_LT_EQ] = ACTIONS(1113),
    [anon_sym_LT] = ACTIONS(1113),
    [anon_sym_instanceof] = ACTIONS(1113),
    [anon_sym_LT_LT] = ACTIONS(1111),
    [anon_sym_GT_GT] = ACTIONS(1113),
    [anon_sym_GT_GT_GT] = ACTIONS(1111),
    [anon_sym_QMARK] = ACTIONS(1111),
    [anon_sym_PLUS_EQ] = ACTIONS(1111),
    [anon_sym_DASH_EQ] = ACTIONS(1111),
    [anon_sym_STAR_EQ] = ACTIONS(1111),
    [anon_sym_SLASH_EQ] = ACTIONS(1111),
    [anon_sym_PERCENT_EQ] = ACTIONS(1111),
    [anon_sym_delete] = ACTIONS(1113),
    [anon_sym_var] = ACTIONS(1113),
    [anon_sym_rawcall] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(1111),
    [anon_sym_clone] = ACTIONS(1113),
    [sym_integer] = ACTIONS(1113),
    [sym_float] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1111),
    [anon_sym_SQUOTE] = ACTIONS(1113),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1111),
    [anon_sym_true] = ACTIONS(1113),
    [anon_sym_false] = ACTIONS(1113),
    [sym_null] = ACTIONS(1113),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1111),
  },
  [255] = {
    [ts_builtin_sym_end] = ACTIONS(953),
    [sym_identifier] = ACTIONS(955),
    [anon_sym_SEMI] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_RBRACE] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_else] = ACTIONS(955),
    [anon_sym_while] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(953),
    [anon_sym_do] = ACTIONS(955),
    [anon_sym_switch] = ACTIONS(955),
    [anon_sym_case] = ACTIONS(955),
    [anon_sym_default] = ACTIONS(955),
    [anon_sym_for] = ACTIONS(955),
    [anon_sym_foreach] = ACTIONS(955),
    [anon_sym_COMMA] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(955),
    [anon_sym_break] = ACTIONS(955),
    [anon_sym_continue] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(955),
    [anon_sym_yield] = ACTIONS(955),
    [anon_sym_resume] = ACTIONS(955),
    [anon_sym_local] = ACTIONS(955),
    [anon_sym_EQ] = ACTIONS(955),
    [anon_sym_LT_DASH] = ACTIONS(953),
    [anon_sym_function] = ACTIONS(955),
    [anon_sym_COLON_COLON] = ACTIONS(953),
    [anon_sym_class] = ACTIONS(955),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_throw] = ACTIONS(955),
    [anon_sym_const] = ACTIONS(955),
    [anon_sym_enum] = ACTIONS(955),
    [anon_sym_DASH] = ACTIONS(955),
    [anon_sym_TILDE] = ACTIONS(953),
    [anon_sym_BANG] = ACTIONS(955),
    [anon_sym_typeof] = ACTIONS(955),
    [anon_sym_PLUS_PLUS] = ACTIONS(953),
    [anon_sym_DASH_DASH] = ACTIONS(953),
    [anon_sym_PLUS] = ACTIONS(955),
    [anon_sym_STAR] = ACTIONS(955),
    [anon_sym_SLASH] = ACTIONS(955),
    [anon_sym_PERCENT] = ACTIONS(955),
    [anon_sym_PIPE_PIPE] = ACTIONS(953),
    [anon_sym_AMP_AMP] = ACTIONS(953),
    [anon_sym_PIPE] = ACTIONS(955),
    [anon_sym_CARET] = ACTIONS(953),
    [anon_sym_AMP] = ACTIONS(955),
    [anon_sym_EQ_EQ] = ACTIONS(953),
    [anon_sym_BANG_EQ] = ACTIONS(953),
    [anon_sym_LT_EQ_GT] = ACTIONS(953),
    [anon_sym_GT] = ACTIONS(955),
    [anon_sym_GT_EQ] = ACTIONS(953),
    [anon_sym_LT_EQ] = ACTIONS(955),
    [anon_sym_LT] = ACTIONS(955),
    [anon_sym_instanceof] = ACTIONS(955),
    [anon_sym_LT_LT] = ACTIONS(953),
    [anon_sym_GT_GT] = ACTIONS(955),
    [anon_sym_GT_GT_GT] = ACTIONS(953),
    [anon_sym_QMARK] = ACTIONS(953),
    [anon_sym_PLUS_EQ] = ACTIONS(953),
    [anon_sym_DASH_EQ] = ACTIONS(953),
    [anon_sym_STAR_EQ] = ACTIONS(953),
    [anon_sym_SLASH_EQ] = ACTIONS(953),
    [anon_sym_PERCENT_EQ] = ACTIONS(953),
    [anon_sym_delete] = ACTIONS(955),
    [anon_sym_var] = ACTIONS(955),
    [anon_sym_rawcall] = ACTIONS(955),
    [anon_sym_AT] = ACTIONS(953),
    [anon_sym_clone] = ACTIONS(955),
    [sym_integer] = ACTIONS(955),
    [sym_float] = ACTIONS(953),
    [anon_sym_DQUOTE] = ACTIONS(953),
    [anon_sym_SQUOTE] = ACTIONS(955),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(953),
    [anon_sym_true] = ACTIONS(955),
    [anon_sym_false] = ACTIONS(955),
    [sym_null] = ACTIONS(955),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(953),
  },
  [256] = {
    [ts_builtin_sym_end] = ACTIONS(1115),
    [sym_identifier] = ACTIONS(1117),
    [anon_sym_SEMI] = ACTIONS(1115),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_RBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_else] = ACTIONS(1117),
    [anon_sym_while] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1115),
    [anon_sym_do] = ACTIONS(1117),
    [anon_sym_switch] = ACTIONS(1117),
    [anon_sym_case] = ACTIONS(1117),
    [anon_sym_default] = ACTIONS(1117),
    [anon_sym_for] = ACTIONS(1117),
    [anon_sym_foreach] = ACTIONS(1117),
    [anon_sym_COMMA] = ACTIONS(1115),
    [anon_sym_in] = ACTIONS(1117),
    [anon_sym_break] = ACTIONS(1117),
    [anon_sym_continue] = ACTIONS(1117),
    [anon_sym_return] = ACTIONS(1117),
    [anon_sym_yield] = ACTIONS(1117),
    [anon_sym_resume] = ACTIONS(1117),
    [anon_sym_local] = ACTIONS(1117),
    [anon_sym_EQ] = ACTIONS(1117),
    [anon_sym_LT_DASH] = ACTIONS(1115),
    [anon_sym_function] = ACTIONS(1117),
    [anon_sym_COLON_COLON] = ACTIONS(1115),
    [anon_sym_class] = ACTIONS(1117),
    [anon_sym_DOT] = ACTIONS(1115),
    [anon_sym_LBRACK] = ACTIONS(1115),
    [anon_sym_try] = ACTIONS(1117),
    [anon_sym_throw] = ACTIONS(1117),
    [anon_sym_const] = ACTIONS(1117),
    [anon_sym_enum] = ACTIONS(1117),
    [anon_sym_DASH] = ACTIONS(1117),
    [anon_sym_TILDE] = ACTIONS(1115),
    [anon_sym_BANG] = ACTIONS(1117),
    [anon_sym_typeof] = ACTIONS(1117),
    [anon_sym_PLUS_PLUS] = ACTIONS(1115),
    [anon_sym_DASH_DASH] = ACTIONS(1115),
    [anon_sym_PLUS] = ACTIONS(1117),
    [anon_sym_STAR] = ACTIONS(1117),
    [anon_sym_SLASH] = ACTIONS(1117),
    [anon_sym_PERCENT] = ACTIONS(1117),
    [anon_sym_PIPE_PIPE] = ACTIONS(1115),
    [anon_sym_AMP_AMP] = ACTIONS(1115),
    [anon_sym_PIPE] = ACTIONS(1117),
    [anon_sym_CARET] = ACTIONS(1115),
    [anon_sym_AMP] = ACTIONS(1117),
    [anon_sym_EQ_EQ] = ACTIONS(1115),
    [anon_sym_BANG_EQ] = ACTIONS(1115),
    [anon_sym_LT_EQ_GT] = ACTIONS(1115),
    [anon_sym_GT] = ACTIONS(1117),
    [anon_sym_GT_EQ] = ACTIONS(1115),
    [anon_sym_LT_EQ] = ACTIONS(1117),
    [anon_sym_LT] = ACTIONS(1117),
    [anon_sym_instanceof] = ACTIONS(1117),
    [anon_sym_LT_LT] = ACTIONS(1115),
    [anon_sym_GT_GT] = ACTIONS(1117),
    [anon_sym_GT_GT_GT] = ACTIONS(1115),
    [anon_sym_QMARK] = ACTIONS(1115),
    [anon_sym_PLUS_EQ] = ACTIONS(1115),
    [anon_sym_DASH_EQ] = ACTIONS(1115),
    [anon_sym_STAR_EQ] = ACTIONS(1115),
    [anon_sym_SLASH_EQ] = ACTIONS(1115),
    [anon_sym_PERCENT_EQ] = ACTIONS(1115),
    [anon_sym_delete] = ACTIONS(1117),
    [anon_sym_var] = ACTIONS(1117),
    [anon_sym_rawcall] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(1115),
    [anon_sym_clone] = ACTIONS(1117),
    [sym_integer] = ACTIONS(1117),
    [sym_float] = ACTIONS(1115),
    [anon_sym_DQUOTE] = ACTIONS(1115),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1115),
    [anon_sym_true] = ACTIONS(1117),
    [anon_sym_false] = ACTIONS(1117),
    [sym_null] = ACTIONS(1117),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1115),
  },
  [257] = {
    [ts_builtin_sym_end] = ACTIONS(1119),
    [sym_identifier] = ACTIONS(1121),
    [anon_sym_SEMI] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1119),
    [anon_sym_RBRACE] = ACTIONS(1119),
    [anon_sym_if] = ACTIONS(1121),
    [anon_sym_else] = ACTIONS(1121),
    [anon_sym_while] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_do] = ACTIONS(1121),
    [anon_sym_switch] = ACTIONS(1121),
    [anon_sym_case] = ACTIONS(1121),
    [anon_sym_default] = ACTIONS(1121),
    [anon_sym_for] = ACTIONS(1121),
    [anon_sym_foreach] = ACTIONS(1121),
    [anon_sym_COMMA] = ACTIONS(1119),
    [anon_sym_in] = ACTIONS(1121),
    [anon_sym_break] = ACTIONS(1121),
    [anon_sym_continue] = ACTIONS(1121),
    [anon_sym_return] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1121),
    [anon_sym_resume] = ACTIONS(1121),
    [anon_sym_local] = ACTIONS(1121),
    [anon_sym_EQ] = ACTIONS(1121),
    [anon_sym_LT_DASH] = ACTIONS(1119),
    [anon_sym_function] = ACTIONS(1121),
    [anon_sym_COLON_COLON] = ACTIONS(1119),
    [anon_sym_class] = ACTIONS(1121),
    [anon_sym_DOT] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1119),
    [anon_sym_try] = ACTIONS(1121),
    [anon_sym_throw] = ACTIONS(1121),
    [anon_sym_const] = ACTIONS(1121),
    [anon_sym_enum] = ACTIONS(1121),
    [anon_sym_DASH] = ACTIONS(1121),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(1121),
    [anon_sym_typeof] = ACTIONS(1121),
    [anon_sym_PLUS_PLUS] = ACTIONS(1119),
    [anon_sym_DASH_DASH] = ACTIONS(1119),
    [anon_sym_PLUS] = ACTIONS(1121),
    [anon_sym_STAR] = ACTIONS(1121),
    [anon_sym_SLASH] = ACTIONS(1121),
    [anon_sym_PERCENT] = ACTIONS(1121),
    [anon_sym_PIPE_PIPE] = ACTIONS(1119),
    [anon_sym_AMP_AMP] = ACTIONS(1119),
    [anon_sym_PIPE] = ACTIONS(1121),
    [anon_sym_CARET] = ACTIONS(1119),
    [anon_sym_AMP] = ACTIONS(1121),
    [anon_sym_EQ_EQ] = ACTIONS(1119),
    [anon_sym_BANG_EQ] = ACTIONS(1119),
    [anon_sym_LT_EQ_GT] = ACTIONS(1119),
    [anon_sym_GT] = ACTIONS(1121),
    [anon_sym_GT_EQ] = ACTIONS(1119),
    [anon_sym_LT_EQ] = ACTIONS(1121),
    [anon_sym_LT] = ACTIONS(1121),
    [anon_sym_instanceof] = ACTIONS(1121),
    [anon_sym_LT_LT] = ACTIONS(1119),
    [anon_sym_GT_GT] = ACTIONS(1121),
    [anon_sym_GT_GT_GT] = ACTIONS(1119),
    [anon_sym_QMARK] = ACTIONS(1119),
    [anon_sym_PLUS_EQ] = ACTIONS(1119),
    [anon_sym_DASH_EQ] = ACTIONS(1119),
    [anon_sym_STAR_EQ] = ACTIONS(1119),
    [anon_sym_SLASH_EQ] = ACTIONS(1119),
    [anon_sym_PERCENT_EQ] = ACTIONS(1119),
    [anon_sym_delete] = ACTIONS(1121),
    [anon_sym_var] = ACTIONS(1121),
    [anon_sym_rawcall] = ACTIONS(1121),
    [anon_sym_AT] = ACTIONS(1119),
    [anon_sym_clone] = ACTIONS(1121),
    [sym_integer] = ACTIONS(1121),
    [sym_float] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [anon_sym_SQUOTE] = ACTIONS(1121),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1119),
    [anon_sym_true] = ACTIONS(1121),
    [anon_sym_false] = ACTIONS(1121),
    [sym_null] = ACTIONS(1121),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1119),
  },
  [258] = {
    [ts_builtin_sym_end] = ACTIONS(1123),
    [sym_identifier] = ACTIONS(1125),
    [anon_sym_SEMI] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_RBRACE] = ACTIONS(1123),
    [anon_sym_if] = ACTIONS(1125),
    [anon_sym_else] = ACTIONS(1125),
    [anon_sym_while] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_do] = ACTIONS(1125),
    [anon_sym_switch] = ACTIONS(1125),
    [anon_sym_case] = ACTIONS(1125),
    [anon_sym_default] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1125),
    [anon_sym_foreach] = ACTIONS(1125),
    [anon_sym_COMMA] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_break] = ACTIONS(1125),
    [anon_sym_continue] = ACTIONS(1125),
    [anon_sym_return] = ACTIONS(1125),
    [anon_sym_yield] = ACTIONS(1125),
    [anon_sym_resume] = ACTIONS(1125),
    [anon_sym_local] = ACTIONS(1125),
    [anon_sym_EQ] = ACTIONS(1125),
    [anon_sym_LT_DASH] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(1125),
    [anon_sym_COLON_COLON] = ACTIONS(1123),
    [anon_sym_class] = ACTIONS(1125),
    [anon_sym_DOT] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1123),
    [anon_sym_try] = ACTIONS(1125),
    [anon_sym_throw] = ACTIONS(1125),
    [anon_sym_const] = ACTIONS(1125),
    [anon_sym_enum] = ACTIONS(1125),
    [anon_sym_DASH] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1125),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_PLUS_PLUS] = ACTIONS(1123),
    [anon_sym_DASH_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1125),
    [anon_sym_STAR] = ACTIONS(1125),
    [anon_sym_SLASH] = ACTIONS(1125),
    [anon_sym_PERCENT] = ACTIONS(1125),
    [anon_sym_PIPE_PIPE] = ACTIONS(1123),
    [anon_sym_AMP_AMP] = ACTIONS(1123),
    [anon_sym_PIPE] = ACTIONS(1125),
    [anon_sym_CARET] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_EQ_EQ] = ACTIONS(1123),
    [anon_sym_BANG_EQ] = ACTIONS(1123),
    [anon_sym_LT_EQ_GT] = ACTIONS(1123),
    [anon_sym_GT] = ACTIONS(1125),
    [anon_sym_GT_EQ] = ACTIONS(1123),
    [anon_sym_LT_EQ] = ACTIONS(1125),
    [anon_sym_LT] = ACTIONS(1125),
    [anon_sym_instanceof] = ACTIONS(1125),
    [anon_sym_LT_LT] = ACTIONS(1123),
    [anon_sym_GT_GT] = ACTIONS(1125),
    [anon_sym_GT_GT_GT] = ACTIONS(1123),
    [anon_sym_QMARK] = ACTIONS(1123),
    [anon_sym_PLUS_EQ] = ACTIONS(1123),
    [anon_sym_DASH_EQ] = ACTIONS(1123),
    [anon_sym_STAR_EQ] = ACTIONS(1123),
    [anon_sym_SLASH_EQ] = ACTIONS(1123),
    [anon_sym_PERCENT_EQ] = ACTIONS(1123),
    [anon_sym_delete] = ACTIONS(1125),
    [anon_sym_var] = ACTIONS(1125),
    [anon_sym_rawcall] = ACTIONS(1125),
    [anon_sym_AT] = ACTIONS(1123),
    [anon_sym_clone] = ACTIONS(1125),
    [sym_integer] = ACTIONS(1125),
    [sym_float] = ACTIONS(1123),
    [anon_sym_DQUOTE] = ACTIONS(1123),
    [anon_sym_SQUOTE] = ACTIONS(1125),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1123),
    [anon_sym_true] = ACTIONS(1125),
    [anon_sym_false] = ACTIONS(1125),
    [sym_null] = ACTIONS(1125),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1123),
  },
  [259] = {
    [ts_builtin_sym_end] = ACTIONS(1127),
    [sym_identifier] = ACTIONS(1129),
    [anon_sym_SEMI] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_RBRACE] = ACTIONS(1127),
    [anon_sym_if] = ACTIONS(1129),
    [anon_sym_else] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_do] = ACTIONS(1129),
    [anon_sym_switch] = ACTIONS(1129),
    [anon_sym_case] = ACTIONS(1129),
    [anon_sym_default] = ACTIONS(1129),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_foreach] = ACTIONS(1129),
    [anon_sym_COMMA] = ACTIONS(1127),
    [anon_sym_in] = ACTIONS(1129),
    [anon_sym_break] = ACTIONS(1129),
    [anon_sym_continue] = ACTIONS(1129),
    [anon_sym_return] = ACTIONS(1129),
    [anon_sym_yield] = ACTIONS(1129),
    [anon_sym_resume] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1129),
    [anon_sym_EQ] = ACTIONS(1129),
    [anon_sym_LT_DASH] = ACTIONS(1127),
    [anon_sym_function] = ACTIONS(1129),
    [anon_sym_COLON_COLON] = ACTIONS(1127),
    [anon_sym_class] = ACTIONS(1129),
    [anon_sym_DOT] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_try] = ACTIONS(1129),
    [anon_sym_throw] = ACTIONS(1129),
    [anon_sym_const] = ACTIONS(1129),
    [anon_sym_enum] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1129),
    [anon_sym_typeof] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_STAR] = ACTIONS(1129),
    [anon_sym_SLASH] = ACTIONS(1129),
    [anon_sym_PERCENT] = ACTIONS(1129),
    [anon_sym_PIPE_PIPE] = ACTIONS(1127),
    [anon_sym_AMP_AMP] = ACTIONS(1127),
    [anon_sym_PIPE] = ACTIONS(1129),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_AMP] = ACTIONS(1129),
    [anon_sym_EQ_EQ] = ACTIONS(1127),
    [anon_sym_BANG_EQ] = ACTIONS(1127),
    [anon_sym_LT_EQ_GT] = ACTIONS(1127),
    [anon_sym_GT] = ACTIONS(1129),
    [anon_sym_GT_EQ] = ACTIONS(1127),
    [anon_sym_LT_EQ] = ACTIONS(1129),
    [anon_sym_LT] = ACTIONS(1129),
    [anon_sym_instanceof] = ACTIONS(1129),
    [anon_sym_LT_LT] = ACTIONS(1127),
    [anon_sym_GT_GT] = ACTIONS(1129),
    [anon_sym_GT_GT_GT] = ACTIONS(1127),
    [anon_sym_QMARK] = ACTIONS(1127),
    [anon_sym_PLUS_EQ] = ACTIONS(1127),
    [anon_sym_DASH_EQ] = ACTIONS(1127),
    [anon_sym_STAR_EQ] = ACTIONS(1127),
    [anon_sym_SLASH_EQ] = ACTIONS(1127),
    [anon_sym_PERCENT_EQ] = ACTIONS(1127),
    [anon_sym_delete] = ACTIONS(1129),
    [anon_sym_var] = ACTIONS(1129),
    [anon_sym_rawcall] = ACTIONS(1129),
    [anon_sym_AT] = ACTIONS(1127),
    [anon_sym_clone] = ACTIONS(1129),
    [sym_integer] = ACTIONS(1129),
    [sym_float] = ACTIONS(1127),
    [anon_sym_DQUOTE] = ACTIONS(1127),
    [anon_sym_SQUOTE] = ACTIONS(1129),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1127),
    [anon_sym_true] = ACTIONS(1129),
    [anon_sym_false] = ACTIONS(1129),
    [sym_null] = ACTIONS(1129),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1127),
  },
  [260] = {
    [ts_builtin_sym_end] = ACTIONS(1123),
    [sym_identifier] = ACTIONS(1125),
    [anon_sym_SEMI] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_RBRACE] = ACTIONS(1123),
    [anon_sym_if] = ACTIONS(1125),
    [anon_sym_else] = ACTIONS(1125),
    [anon_sym_while] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_do] = ACTIONS(1125),
    [anon_sym_switch] = ACTIONS(1125),
    [anon_sym_case] = ACTIONS(1125),
    [anon_sym_default] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1125),
    [anon_sym_foreach] = ACTIONS(1125),
    [anon_sym_COMMA] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_break] = ACTIONS(1125),
    [anon_sym_continue] = ACTIONS(1125),
    [anon_sym_return] = ACTIONS(1125),
    [anon_sym_yield] = ACTIONS(1125),
    [anon_sym_resume] = ACTIONS(1125),
    [anon_sym_local] = ACTIONS(1125),
    [anon_sym_EQ] = ACTIONS(1125),
    [anon_sym_LT_DASH] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(1125),
    [anon_sym_COLON_COLON] = ACTIONS(1123),
    [anon_sym_class] = ACTIONS(1125),
    [anon_sym_DOT] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1123),
    [anon_sym_try] = ACTIONS(1125),
    [anon_sym_throw] = ACTIONS(1125),
    [anon_sym_const] = ACTIONS(1125),
    [anon_sym_enum] = ACTIONS(1125),
    [anon_sym_DASH] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1125),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_PLUS_PLUS] = ACTIONS(1123),
    [anon_sym_DASH_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1125),
    [anon_sym_STAR] = ACTIONS(1125),
    [anon_sym_SLASH] = ACTIONS(1125),
    [anon_sym_PERCENT] = ACTIONS(1125),
    [anon_sym_PIPE_PIPE] = ACTIONS(1123),
    [anon_sym_AMP_AMP] = ACTIONS(1123),
    [anon_sym_PIPE] = ACTIONS(1125),
    [anon_sym_CARET] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_EQ_EQ] = ACTIONS(1123),
    [anon_sym_BANG_EQ] = ACTIONS(1123),
    [anon_sym_LT_EQ_GT] = ACTIONS(1123),
    [anon_sym_GT] = ACTIONS(1125),
    [anon_sym_GT_EQ] = ACTIONS(1123),
    [anon_sym_LT_EQ] = ACTIONS(1125),
    [anon_sym_LT] = ACTIONS(1125),
    [anon_sym_instanceof] = ACTIONS(1125),
    [anon_sym_LT_LT] = ACTIONS(1123),
    [anon_sym_GT_GT] = ACTIONS(1125),
    [anon_sym_GT_GT_GT] = ACTIONS(1123),
    [anon_sym_QMARK] = ACTIONS(1123),
    [anon_sym_PLUS_EQ] = ACTIONS(1123),
    [anon_sym_DASH_EQ] = ACTIONS(1123),
    [anon_sym_STAR_EQ] = ACTIONS(1123),
    [anon_sym_SLASH_EQ] = ACTIONS(1123),
    [anon_sym_PERCENT_EQ] = ACTIONS(1123),
    [anon_sym_delete] = ACTIONS(1125),
    [anon_sym_var] = ACTIONS(1125),
    [anon_sym_rawcall] = ACTIONS(1125),
    [anon_sym_AT] = ACTIONS(1123),
    [anon_sym_clone] = ACTIONS(1125),
    [sym_integer] = ACTIONS(1125),
    [sym_float] = ACTIONS(1123),
    [anon_sym_DQUOTE] = ACTIONS(1123),
    [anon_sym_SQUOTE] = ACTIONS(1125),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1123),
    [anon_sym_true] = ACTIONS(1125),
    [anon_sym_false] = ACTIONS(1125),
    [sym_null] = ACTIONS(1125),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1123),
  },
  [261] = {
    [ts_builtin_sym_end] = ACTIONS(1123),
    [sym_identifier] = ACTIONS(1125),
    [anon_sym_SEMI] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_RBRACE] = ACTIONS(1123),
    [anon_sym_if] = ACTIONS(1125),
    [anon_sym_else] = ACTIONS(1125),
    [anon_sym_while] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_do] = ACTIONS(1125),
    [anon_sym_switch] = ACTIONS(1125),
    [anon_sym_case] = ACTIONS(1125),
    [anon_sym_default] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1125),
    [anon_sym_foreach] = ACTIONS(1125),
    [anon_sym_COMMA] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_break] = ACTIONS(1125),
    [anon_sym_continue] = ACTIONS(1125),
    [anon_sym_return] = ACTIONS(1125),
    [anon_sym_yield] = ACTIONS(1125),
    [anon_sym_resume] = ACTIONS(1125),
    [anon_sym_local] = ACTIONS(1125),
    [anon_sym_EQ] = ACTIONS(1125),
    [anon_sym_LT_DASH] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(1125),
    [anon_sym_COLON_COLON] = ACTIONS(1123),
    [anon_sym_class] = ACTIONS(1125),
    [anon_sym_DOT] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1123),
    [anon_sym_try] = ACTIONS(1125),
    [anon_sym_throw] = ACTIONS(1125),
    [anon_sym_const] = ACTIONS(1125),
    [anon_sym_enum] = ACTIONS(1125),
    [anon_sym_DASH] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1125),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_PLUS_PLUS] = ACTIONS(1123),
    [anon_sym_DASH_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1125),
    [anon_sym_STAR] = ACTIONS(1125),
    [anon_sym_SLASH] = ACTIONS(1125),
    [anon_sym_PERCENT] = ACTIONS(1125),
    [anon_sym_PIPE_PIPE] = ACTIONS(1123),
    [anon_sym_AMP_AMP] = ACTIONS(1123),
    [anon_sym_PIPE] = ACTIONS(1125),
    [anon_sym_CARET] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_EQ_EQ] = ACTIONS(1123),
    [anon_sym_BANG_EQ] = ACTIONS(1123),
    [anon_sym_LT_EQ_GT] = ACTIONS(1123),
    [anon_sym_GT] = ACTIONS(1125),
    [anon_sym_GT_EQ] = ACTIONS(1123),
    [anon_sym_LT_EQ] = ACTIONS(1125),
    [anon_sym_LT] = ACTIONS(1125),
    [anon_sym_instanceof] = ACTIONS(1125),
    [anon_sym_LT_LT] = ACTIONS(1123),
    [anon_sym_GT_GT] = ACTIONS(1125),
    [anon_sym_GT_GT_GT] = ACTIONS(1123),
    [anon_sym_QMARK] = ACTIONS(1123),
    [anon_sym_PLUS_EQ] = ACTIONS(1123),
    [anon_sym_DASH_EQ] = ACTIONS(1123),
    [anon_sym_STAR_EQ] = ACTIONS(1123),
    [anon_sym_SLASH_EQ] = ACTIONS(1123),
    [anon_sym_PERCENT_EQ] = ACTIONS(1123),
    [anon_sym_delete] = ACTIONS(1125),
    [anon_sym_var] = ACTIONS(1125),
    [anon_sym_rawcall] = ACTIONS(1125),
    [anon_sym_AT] = ACTIONS(1123),
    [anon_sym_clone] = ACTIONS(1125),
    [sym_integer] = ACTIONS(1125),
    [sym_float] = ACTIONS(1123),
    [anon_sym_DQUOTE] = ACTIONS(1123),
    [anon_sym_SQUOTE] = ACTIONS(1125),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1123),
    [anon_sym_true] = ACTIONS(1125),
    [anon_sym_false] = ACTIONS(1125),
    [sym_null] = ACTIONS(1125),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1123),
  },
  [262] = {
    [ts_builtin_sym_end] = ACTIONS(1123),
    [sym_identifier] = ACTIONS(1125),
    [anon_sym_SEMI] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_RBRACE] = ACTIONS(1123),
    [anon_sym_if] = ACTIONS(1125),
    [anon_sym_else] = ACTIONS(1125),
    [anon_sym_while] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_do] = ACTIONS(1125),
    [anon_sym_switch] = ACTIONS(1125),
    [anon_sym_case] = ACTIONS(1125),
    [anon_sym_default] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1125),
    [anon_sym_foreach] = ACTIONS(1125),
    [anon_sym_COMMA] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_break] = ACTIONS(1125),
    [anon_sym_continue] = ACTIONS(1125),
    [anon_sym_return] = ACTIONS(1125),
    [anon_sym_yield] = ACTIONS(1125),
    [anon_sym_resume] = ACTIONS(1125),
    [anon_sym_local] = ACTIONS(1125),
    [anon_sym_EQ] = ACTIONS(1125),
    [anon_sym_LT_DASH] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(1125),
    [anon_sym_COLON_COLON] = ACTIONS(1123),
    [anon_sym_class] = ACTIONS(1125),
    [anon_sym_DOT] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1123),
    [anon_sym_try] = ACTIONS(1125),
    [anon_sym_throw] = ACTIONS(1125),
    [anon_sym_const] = ACTIONS(1125),
    [anon_sym_enum] = ACTIONS(1125),
    [anon_sym_DASH] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1125),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_PLUS_PLUS] = ACTIONS(1123),
    [anon_sym_DASH_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1125),
    [anon_sym_STAR] = ACTIONS(1125),
    [anon_sym_SLASH] = ACTIONS(1125),
    [anon_sym_PERCENT] = ACTIONS(1125),
    [anon_sym_PIPE_PIPE] = ACTIONS(1123),
    [anon_sym_AMP_AMP] = ACTIONS(1123),
    [anon_sym_PIPE] = ACTIONS(1125),
    [anon_sym_CARET] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_EQ_EQ] = ACTIONS(1123),
    [anon_sym_BANG_EQ] = ACTIONS(1123),
    [anon_sym_LT_EQ_GT] = ACTIONS(1123),
    [anon_sym_GT] = ACTIONS(1125),
    [anon_sym_GT_EQ] = ACTIONS(1123),
    [anon_sym_LT_EQ] = ACTIONS(1125),
    [anon_sym_LT] = ACTIONS(1125),
    [anon_sym_instanceof] = ACTIONS(1125),
    [anon_sym_LT_LT] = ACTIONS(1123),
    [anon_sym_GT_GT] = ACTIONS(1125),
    [anon_sym_GT_GT_GT] = ACTIONS(1123),
    [anon_sym_QMARK] = ACTIONS(1123),
    [anon_sym_PLUS_EQ] = ACTIONS(1123),
    [anon_sym_DASH_EQ] = ACTIONS(1123),
    [anon_sym_STAR_EQ] = ACTIONS(1123),
    [anon_sym_SLASH_EQ] = ACTIONS(1123),
    [anon_sym_PERCENT_EQ] = ACTIONS(1123),
    [anon_sym_delete] = ACTIONS(1125),
    [anon_sym_var] = ACTIONS(1125),
    [anon_sym_rawcall] = ACTIONS(1125),
    [anon_sym_AT] = ACTIONS(1123),
    [anon_sym_clone] = ACTIONS(1125),
    [sym_integer] = ACTIONS(1125),
    [sym_float] = ACTIONS(1123),
    [anon_sym_DQUOTE] = ACTIONS(1123),
    [anon_sym_SQUOTE] = ACTIONS(1125),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1123),
    [anon_sym_true] = ACTIONS(1125),
    [anon_sym_false] = ACTIONS(1125),
    [sym_null] = ACTIONS(1125),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1123),
  },
  [263] = {
    [ts_builtin_sym_end] = ACTIONS(1123),
    [sym_identifier] = ACTIONS(1125),
    [anon_sym_SEMI] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_RBRACE] = ACTIONS(1123),
    [anon_sym_if] = ACTIONS(1125),
    [anon_sym_else] = ACTIONS(1125),
    [anon_sym_while] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_do] = ACTIONS(1125),
    [anon_sym_switch] = ACTIONS(1125),
    [anon_sym_case] = ACTIONS(1125),
    [anon_sym_default] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1125),
    [anon_sym_foreach] = ACTIONS(1125),
    [anon_sym_COMMA] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_break] = ACTIONS(1125),
    [anon_sym_continue] = ACTIONS(1125),
    [anon_sym_return] = ACTIONS(1125),
    [anon_sym_yield] = ACTIONS(1125),
    [anon_sym_resume] = ACTIONS(1125),
    [anon_sym_local] = ACTIONS(1125),
    [anon_sym_EQ] = ACTIONS(1125),
    [anon_sym_LT_DASH] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(1125),
    [anon_sym_COLON_COLON] = ACTIONS(1123),
    [anon_sym_class] = ACTIONS(1125),
    [anon_sym_DOT] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1123),
    [anon_sym_try] = ACTIONS(1125),
    [anon_sym_throw] = ACTIONS(1125),
    [anon_sym_const] = ACTIONS(1125),
    [anon_sym_enum] = ACTIONS(1125),
    [anon_sym_DASH] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1125),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_PLUS_PLUS] = ACTIONS(1123),
    [anon_sym_DASH_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1125),
    [anon_sym_STAR] = ACTIONS(1125),
    [anon_sym_SLASH] = ACTIONS(1125),
    [anon_sym_PERCENT] = ACTIONS(1125),
    [anon_sym_PIPE_PIPE] = ACTIONS(1123),
    [anon_sym_AMP_AMP] = ACTIONS(1123),
    [anon_sym_PIPE] = ACTIONS(1125),
    [anon_sym_CARET] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_EQ_EQ] = ACTIONS(1123),
    [anon_sym_BANG_EQ] = ACTIONS(1123),
    [anon_sym_LT_EQ_GT] = ACTIONS(1123),
    [anon_sym_GT] = ACTIONS(1125),
    [anon_sym_GT_EQ] = ACTIONS(1123),
    [anon_sym_LT_EQ] = ACTIONS(1125),
    [anon_sym_LT] = ACTIONS(1125),
    [anon_sym_instanceof] = ACTIONS(1125),
    [anon_sym_LT_LT] = ACTIONS(1123),
    [anon_sym_GT_GT] = ACTIONS(1125),
    [anon_sym_GT_GT_GT] = ACTIONS(1123),
    [anon_sym_QMARK] = ACTIONS(1123),
    [anon_sym_PLUS_EQ] = ACTIONS(1123),
    [anon_sym_DASH_EQ] = ACTIONS(1123),
    [anon_sym_STAR_EQ] = ACTIONS(1123),
    [anon_sym_SLASH_EQ] = ACTIONS(1123),
    [anon_sym_PERCENT_EQ] = ACTIONS(1123),
    [anon_sym_delete] = ACTIONS(1125),
    [anon_sym_var] = ACTIONS(1125),
    [anon_sym_rawcall] = ACTIONS(1125),
    [anon_sym_AT] = ACTIONS(1123),
    [anon_sym_clone] = ACTIONS(1125),
    [sym_integer] = ACTIONS(1125),
    [sym_float] = ACTIONS(1123),
    [anon_sym_DQUOTE] = ACTIONS(1123),
    [anon_sym_SQUOTE] = ACTIONS(1125),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1123),
    [anon_sym_true] = ACTIONS(1125),
    [anon_sym_false] = ACTIONS(1125),
    [sym_null] = ACTIONS(1125),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1123),
  },
  [264] = {
    [ts_builtin_sym_end] = ACTIONS(1123),
    [sym_identifier] = ACTIONS(1125),
    [anon_sym_SEMI] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_RBRACE] = ACTIONS(1123),
    [anon_sym_if] = ACTIONS(1125),
    [anon_sym_else] = ACTIONS(1125),
    [anon_sym_while] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_do] = ACTIONS(1125),
    [anon_sym_switch] = ACTIONS(1125),
    [anon_sym_case] = ACTIONS(1125),
    [anon_sym_default] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1125),
    [anon_sym_foreach] = ACTIONS(1125),
    [anon_sym_COMMA] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_break] = ACTIONS(1125),
    [anon_sym_continue] = ACTIONS(1125),
    [anon_sym_return] = ACTIONS(1125),
    [anon_sym_yield] = ACTIONS(1125),
    [anon_sym_resume] = ACTIONS(1125),
    [anon_sym_local] = ACTIONS(1125),
    [anon_sym_EQ] = ACTIONS(1125),
    [anon_sym_LT_DASH] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(1125),
    [anon_sym_COLON_COLON] = ACTIONS(1123),
    [anon_sym_class] = ACTIONS(1125),
    [anon_sym_DOT] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1123),
    [anon_sym_try] = ACTIONS(1125),
    [anon_sym_throw] = ACTIONS(1125),
    [anon_sym_const] = ACTIONS(1125),
    [anon_sym_enum] = ACTIONS(1125),
    [anon_sym_DASH] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1125),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_PLUS_PLUS] = ACTIONS(1123),
    [anon_sym_DASH_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1125),
    [anon_sym_STAR] = ACTIONS(1125),
    [anon_sym_SLASH] = ACTIONS(1125),
    [anon_sym_PERCENT] = ACTIONS(1125),
    [anon_sym_PIPE_PIPE] = ACTIONS(1123),
    [anon_sym_AMP_AMP] = ACTIONS(1123),
    [anon_sym_PIPE] = ACTIONS(1125),
    [anon_sym_CARET] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_EQ_EQ] = ACTIONS(1123),
    [anon_sym_BANG_EQ] = ACTIONS(1123),
    [anon_sym_LT_EQ_GT] = ACTIONS(1123),
    [anon_sym_GT] = ACTIONS(1125),
    [anon_sym_GT_EQ] = ACTIONS(1123),
    [anon_sym_LT_EQ] = ACTIONS(1125),
    [anon_sym_LT] = ACTIONS(1125),
    [anon_sym_instanceof] = ACTIONS(1125),
    [anon_sym_LT_LT] = ACTIONS(1123),
    [anon_sym_GT_GT] = ACTIONS(1125),
    [anon_sym_GT_GT_GT] = ACTIONS(1123),
    [anon_sym_QMARK] = ACTIONS(1123),
    [anon_sym_PLUS_EQ] = ACTIONS(1123),
    [anon_sym_DASH_EQ] = ACTIONS(1123),
    [anon_sym_STAR_EQ] = ACTIONS(1123),
    [anon_sym_SLASH_EQ] = ACTIONS(1123),
    [anon_sym_PERCENT_EQ] = ACTIONS(1123),
    [anon_sym_delete] = ACTIONS(1125),
    [anon_sym_var] = ACTIONS(1125),
    [anon_sym_rawcall] = ACTIONS(1125),
    [anon_sym_AT] = ACTIONS(1123),
    [anon_sym_clone] = ACTIONS(1125),
    [sym_integer] = ACTIONS(1125),
    [sym_float] = ACTIONS(1123),
    [anon_sym_DQUOTE] = ACTIONS(1123),
    [anon_sym_SQUOTE] = ACTIONS(1125),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1123),
    [anon_sym_true] = ACTIONS(1125),
    [anon_sym_false] = ACTIONS(1125),
    [sym_null] = ACTIONS(1125),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1123),
  },
  [265] = {
    [ts_builtin_sym_end] = ACTIONS(1123),
    [sym_identifier] = ACTIONS(1125),
    [anon_sym_SEMI] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_RBRACE] = ACTIONS(1123),
    [anon_sym_if] = ACTIONS(1125),
    [anon_sym_else] = ACTIONS(1125),
    [anon_sym_while] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_do] = ACTIONS(1125),
    [anon_sym_switch] = ACTIONS(1125),
    [anon_sym_case] = ACTIONS(1125),
    [anon_sym_default] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1125),
    [anon_sym_foreach] = ACTIONS(1125),
    [anon_sym_COMMA] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_break] = ACTIONS(1125),
    [anon_sym_continue] = ACTIONS(1125),
    [anon_sym_return] = ACTIONS(1125),
    [anon_sym_yield] = ACTIONS(1125),
    [anon_sym_resume] = ACTIONS(1125),
    [anon_sym_local] = ACTIONS(1125),
    [anon_sym_EQ] = ACTIONS(1125),
    [anon_sym_LT_DASH] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(1125),
    [anon_sym_COLON_COLON] = ACTIONS(1123),
    [anon_sym_class] = ACTIONS(1125),
    [anon_sym_DOT] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1123),
    [anon_sym_try] = ACTIONS(1125),
    [anon_sym_throw] = ACTIONS(1125),
    [anon_sym_const] = ACTIONS(1125),
    [anon_sym_enum] = ACTIONS(1125),
    [anon_sym_DASH] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1125),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_PLUS_PLUS] = ACTIONS(1123),
    [anon_sym_DASH_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1125),
    [anon_sym_STAR] = ACTIONS(1125),
    [anon_sym_SLASH] = ACTIONS(1125),
    [anon_sym_PERCENT] = ACTIONS(1125),
    [anon_sym_PIPE_PIPE] = ACTIONS(1123),
    [anon_sym_AMP_AMP] = ACTIONS(1123),
    [anon_sym_PIPE] = ACTIONS(1125),
    [anon_sym_CARET] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_EQ_EQ] = ACTIONS(1123),
    [anon_sym_BANG_EQ] = ACTIONS(1123),
    [anon_sym_LT_EQ_GT] = ACTIONS(1123),
    [anon_sym_GT] = ACTIONS(1125),
    [anon_sym_GT_EQ] = ACTIONS(1123),
    [anon_sym_LT_EQ] = ACTIONS(1125),
    [anon_sym_LT] = ACTIONS(1125),
    [anon_sym_instanceof] = ACTIONS(1125),
    [anon_sym_LT_LT] = ACTIONS(1123),
    [anon_sym_GT_GT] = ACTIONS(1125),
    [anon_sym_GT_GT_GT] = ACTIONS(1123),
    [anon_sym_QMARK] = ACTIONS(1123),
    [anon_sym_PLUS_EQ] = ACTIONS(1123),
    [anon_sym_DASH_EQ] = ACTIONS(1123),
    [anon_sym_STAR_EQ] = ACTIONS(1123),
    [anon_sym_SLASH_EQ] = ACTIONS(1123),
    [anon_sym_PERCENT_EQ] = ACTIONS(1123),
    [anon_sym_delete] = ACTIONS(1125),
    [anon_sym_var] = ACTIONS(1125),
    [anon_sym_rawcall] = ACTIONS(1125),
    [anon_sym_AT] = ACTIONS(1123),
    [anon_sym_clone] = ACTIONS(1125),
    [sym_integer] = ACTIONS(1125),
    [sym_float] = ACTIONS(1123),
    [anon_sym_DQUOTE] = ACTIONS(1123),
    [anon_sym_SQUOTE] = ACTIONS(1125),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1123),
    [anon_sym_true] = ACTIONS(1125),
    [anon_sym_false] = ACTIONS(1125),
    [sym_null] = ACTIONS(1125),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1123),
  },
  [266] = {
    [ts_builtin_sym_end] = ACTIONS(1123),
    [sym_identifier] = ACTIONS(1125),
    [anon_sym_SEMI] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_RBRACE] = ACTIONS(1123),
    [anon_sym_if] = ACTIONS(1125),
    [anon_sym_else] = ACTIONS(1125),
    [anon_sym_while] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_do] = ACTIONS(1125),
    [anon_sym_switch] = ACTIONS(1125),
    [anon_sym_case] = ACTIONS(1125),
    [anon_sym_default] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1125),
    [anon_sym_foreach] = ACTIONS(1125),
    [anon_sym_COMMA] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_break] = ACTIONS(1125),
    [anon_sym_continue] = ACTIONS(1125),
    [anon_sym_return] = ACTIONS(1125),
    [anon_sym_yield] = ACTIONS(1125),
    [anon_sym_resume] = ACTIONS(1125),
    [anon_sym_local] = ACTIONS(1125),
    [anon_sym_EQ] = ACTIONS(1125),
    [anon_sym_LT_DASH] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(1125),
    [anon_sym_COLON_COLON] = ACTIONS(1123),
    [anon_sym_class] = ACTIONS(1125),
    [anon_sym_DOT] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1123),
    [anon_sym_try] = ACTIONS(1125),
    [anon_sym_throw] = ACTIONS(1125),
    [anon_sym_const] = ACTIONS(1125),
    [anon_sym_enum] = ACTIONS(1125),
    [anon_sym_DASH] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1125),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_PLUS_PLUS] = ACTIONS(1123),
    [anon_sym_DASH_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1125),
    [anon_sym_STAR] = ACTIONS(1125),
    [anon_sym_SLASH] = ACTIONS(1125),
    [anon_sym_PERCENT] = ACTIONS(1125),
    [anon_sym_PIPE_PIPE] = ACTIONS(1123),
    [anon_sym_AMP_AMP] = ACTIONS(1123),
    [anon_sym_PIPE] = ACTIONS(1125),
    [anon_sym_CARET] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_EQ_EQ] = ACTIONS(1123),
    [anon_sym_BANG_EQ] = ACTIONS(1123),
    [anon_sym_LT_EQ_GT] = ACTIONS(1123),
    [anon_sym_GT] = ACTIONS(1125),
    [anon_sym_GT_EQ] = ACTIONS(1123),
    [anon_sym_LT_EQ] = ACTIONS(1125),
    [anon_sym_LT] = ACTIONS(1125),
    [anon_sym_instanceof] = ACTIONS(1125),
    [anon_sym_LT_LT] = ACTIONS(1123),
    [anon_sym_GT_GT] = ACTIONS(1125),
    [anon_sym_GT_GT_GT] = ACTIONS(1123),
    [anon_sym_QMARK] = ACTIONS(1123),
    [anon_sym_PLUS_EQ] = ACTIONS(1123),
    [anon_sym_DASH_EQ] = ACTIONS(1123),
    [anon_sym_STAR_EQ] = ACTIONS(1123),
    [anon_sym_SLASH_EQ] = ACTIONS(1123),
    [anon_sym_PERCENT_EQ] = ACTIONS(1123),
    [anon_sym_delete] = ACTIONS(1125),
    [anon_sym_var] = ACTIONS(1125),
    [anon_sym_rawcall] = ACTIONS(1125),
    [anon_sym_AT] = ACTIONS(1123),
    [anon_sym_clone] = ACTIONS(1125),
    [sym_integer] = ACTIONS(1125),
    [sym_float] = ACTIONS(1123),
    [anon_sym_DQUOTE] = ACTIONS(1123),
    [anon_sym_SQUOTE] = ACTIONS(1125),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1123),
    [anon_sym_true] = ACTIONS(1125),
    [anon_sym_false] = ACTIONS(1125),
    [sym_null] = ACTIONS(1125),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1123),
  },
  [267] = {
    [ts_builtin_sym_end] = ACTIONS(1123),
    [sym_identifier] = ACTIONS(1125),
    [anon_sym_SEMI] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_RBRACE] = ACTIONS(1123),
    [anon_sym_if] = ACTIONS(1125),
    [anon_sym_else] = ACTIONS(1125),
    [anon_sym_while] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_do] = ACTIONS(1125),
    [anon_sym_switch] = ACTIONS(1125),
    [anon_sym_case] = ACTIONS(1125),
    [anon_sym_default] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1125),
    [anon_sym_foreach] = ACTIONS(1125),
    [anon_sym_COMMA] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_break] = ACTIONS(1125),
    [anon_sym_continue] = ACTIONS(1125),
    [anon_sym_return] = ACTIONS(1125),
    [anon_sym_yield] = ACTIONS(1125),
    [anon_sym_resume] = ACTIONS(1125),
    [anon_sym_local] = ACTIONS(1125),
    [anon_sym_EQ] = ACTIONS(1125),
    [anon_sym_LT_DASH] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(1125),
    [anon_sym_COLON_COLON] = ACTIONS(1123),
    [anon_sym_class] = ACTIONS(1125),
    [anon_sym_DOT] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1123),
    [anon_sym_try] = ACTIONS(1125),
    [anon_sym_throw] = ACTIONS(1125),
    [anon_sym_const] = ACTIONS(1125),
    [anon_sym_enum] = ACTIONS(1125),
    [anon_sym_DASH] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1125),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_PLUS_PLUS] = ACTIONS(1123),
    [anon_sym_DASH_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1125),
    [anon_sym_STAR] = ACTIONS(1125),
    [anon_sym_SLASH] = ACTIONS(1125),
    [anon_sym_PERCENT] = ACTIONS(1125),
    [anon_sym_PIPE_PIPE] = ACTIONS(1123),
    [anon_sym_AMP_AMP] = ACTIONS(1123),
    [anon_sym_PIPE] = ACTIONS(1125),
    [anon_sym_CARET] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_EQ_EQ] = ACTIONS(1123),
    [anon_sym_BANG_EQ] = ACTIONS(1123),
    [anon_sym_LT_EQ_GT] = ACTIONS(1123),
    [anon_sym_GT] = ACTIONS(1125),
    [anon_sym_GT_EQ] = ACTIONS(1123),
    [anon_sym_LT_EQ] = ACTIONS(1125),
    [anon_sym_LT] = ACTIONS(1125),
    [anon_sym_instanceof] = ACTIONS(1125),
    [anon_sym_LT_LT] = ACTIONS(1123),
    [anon_sym_GT_GT] = ACTIONS(1125),
    [anon_sym_GT_GT_GT] = ACTIONS(1123),
    [anon_sym_QMARK] = ACTIONS(1123),
    [anon_sym_PLUS_EQ] = ACTIONS(1123),
    [anon_sym_DASH_EQ] = ACTIONS(1123),
    [anon_sym_STAR_EQ] = ACTIONS(1123),
    [anon_sym_SLASH_EQ] = ACTIONS(1123),
    [anon_sym_PERCENT_EQ] = ACTIONS(1123),
    [anon_sym_delete] = ACTIONS(1125),
    [anon_sym_var] = ACTIONS(1125),
    [anon_sym_rawcall] = ACTIONS(1125),
    [anon_sym_AT] = ACTIONS(1123),
    [anon_sym_clone] = ACTIONS(1125),
    [sym_integer] = ACTIONS(1125),
    [sym_float] = ACTIONS(1123),
    [anon_sym_DQUOTE] = ACTIONS(1123),
    [anon_sym_SQUOTE] = ACTIONS(1125),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1123),
    [anon_sym_true] = ACTIONS(1125),
    [anon_sym_false] = ACTIONS(1125),
    [sym_null] = ACTIONS(1125),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1123),
  },
  [268] = {
    [ts_builtin_sym_end] = ACTIONS(1123),
    [sym_identifier] = ACTIONS(1125),
    [anon_sym_SEMI] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_RBRACE] = ACTIONS(1123),
    [anon_sym_if] = ACTIONS(1125),
    [anon_sym_else] = ACTIONS(1125),
    [anon_sym_while] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_do] = ACTIONS(1125),
    [anon_sym_switch] = ACTIONS(1125),
    [anon_sym_case] = ACTIONS(1125),
    [anon_sym_default] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1125),
    [anon_sym_foreach] = ACTIONS(1125),
    [anon_sym_COMMA] = ACTIONS(1123),
    [anon_sym_in] = ACTIONS(1125),
    [anon_sym_break] = ACTIONS(1125),
    [anon_sym_continue] = ACTIONS(1125),
    [anon_sym_return] = ACTIONS(1125),
    [anon_sym_yield] = ACTIONS(1125),
    [anon_sym_resume] = ACTIONS(1125),
    [anon_sym_local] = ACTIONS(1125),
    [anon_sym_EQ] = ACTIONS(1125),
    [anon_sym_LT_DASH] = ACTIONS(1123),
    [anon_sym_function] = ACTIONS(1125),
    [anon_sym_COLON_COLON] = ACTIONS(1123),
    [anon_sym_class] = ACTIONS(1125),
    [anon_sym_DOT] = ACTIONS(1123),
    [anon_sym_LBRACK] = ACTIONS(1123),
    [anon_sym_try] = ACTIONS(1125),
    [anon_sym_throw] = ACTIONS(1125),
    [anon_sym_const] = ACTIONS(1125),
    [anon_sym_enum] = ACTIONS(1125),
    [anon_sym_DASH] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1125),
    [anon_sym_typeof] = ACTIONS(1125),
    [anon_sym_PLUS_PLUS] = ACTIONS(1123),
    [anon_sym_DASH_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1125),
    [anon_sym_STAR] = ACTIONS(1125),
    [anon_sym_SLASH] = ACTIONS(1125),
    [anon_sym_PERCENT] = ACTIONS(1125),
    [anon_sym_PIPE_PIPE] = ACTIONS(1123),
    [anon_sym_AMP_AMP] = ACTIONS(1123),
    [anon_sym_PIPE] = ACTIONS(1125),
    [anon_sym_CARET] = ACTIONS(1123),
    [anon_sym_AMP] = ACTIONS(1125),
    [anon_sym_EQ_EQ] = ACTIONS(1123),
    [anon_sym_BANG_EQ] = ACTIONS(1123),
    [anon_sym_LT_EQ_GT] = ACTIONS(1123),
    [anon_sym_GT] = ACTIONS(1125),
    [anon_sym_GT_EQ] = ACTIONS(1123),
    [anon_sym_LT_EQ] = ACTIONS(1125),
    [anon_sym_LT] = ACTIONS(1125),
    [anon_sym_instanceof] = ACTIONS(1125),
    [anon_sym_LT_LT] = ACTIONS(1123),
    [anon_sym_GT_GT] = ACTIONS(1125),
    [anon_sym_GT_GT_GT] = ACTIONS(1123),
    [anon_sym_QMARK] = ACTIONS(1123),
    [anon_sym_PLUS_EQ] = ACTIONS(1123),
    [anon_sym_DASH_EQ] = ACTIONS(1123),
    [anon_sym_STAR_EQ] = ACTIONS(1123),
    [anon_sym_SLASH_EQ] = ACTIONS(1123),
    [anon_sym_PERCENT_EQ] = ACTIONS(1123),
    [anon_sym_delete] = ACTIONS(1125),
    [anon_sym_var] = ACTIONS(1125),
    [anon_sym_rawcall] = ACTIONS(1125),
    [anon_sym_AT] = ACTIONS(1123),
    [anon_sym_clone] = ACTIONS(1125),
    [sym_integer] = ACTIONS(1125),
    [sym_float] = ACTIONS(1123),
    [anon_sym_DQUOTE] = ACTIONS(1123),
    [anon_sym_SQUOTE] = ACTIONS(1125),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1123),
    [anon_sym_true] = ACTIONS(1125),
    [anon_sym_false] = ACTIONS(1125),
    [sym_null] = ACTIONS(1125),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1123),
  },
  [269] = {
    [ts_builtin_sym_end] = ACTIONS(1105),
    [sym_identifier] = ACTIONS(1107),
    [anon_sym_SEMI] = ACTIONS(1105),
    [anon_sym_LBRACE] = ACTIONS(1105),
    [anon_sym_RBRACE] = ACTIONS(1105),
    [anon_sym_if] = ACTIONS(1107),
    [anon_sym_else] = ACTIONS(1107),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_do] = ACTIONS(1107),
    [anon_sym_switch] = ACTIONS(1107),
    [anon_sym_case] = ACTIONS(1107),
    [anon_sym_default] = ACTIONS(1107),
    [anon_sym_for] = ACTIONS(1107),
    [anon_sym_foreach] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(1105),
    [anon_sym_in] = ACTIONS(1107),
    [anon_sym_break] = ACTIONS(1107),
    [anon_sym_continue] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1107),
    [anon_sym_yield] = ACTIONS(1107),
    [anon_sym_resume] = ACTIONS(1107),
    [anon_sym_local] = ACTIONS(1107),
    [anon_sym_EQ] = ACTIONS(1107),
    [anon_sym_LT_DASH] = ACTIONS(1105),
    [anon_sym_function] = ACTIONS(1107),
    [anon_sym_COLON_COLON] = ACTIONS(1105),
    [anon_sym_class] = ACTIONS(1107),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_try] = ACTIONS(1107),
    [anon_sym_throw] = ACTIONS(1107),
    [anon_sym_const] = ACTIONS(1107),
    [anon_sym_enum] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_TILDE] = ACTIONS(1105),
    [anon_sym_BANG] = ACTIONS(1107),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_STAR] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(1107),
    [anon_sym_PERCENT] = ACTIONS(1107),
    [anon_sym_PIPE_PIPE] = ACTIONS(1105),
    [anon_sym_AMP_AMP] = ACTIONS(1105),
    [anon_sym_PIPE] = ACTIONS(1107),
    [anon_sym_CARET] = ACTIONS(1105),
    [anon_sym_AMP] = ACTIONS(1107),
    [anon_sym_EQ_EQ] = ACTIONS(1105),
    [anon_sym_BANG_EQ] = ACTIONS(1105),
    [anon_sym_LT_EQ_GT] = ACTIONS(1105),
    [anon_sym_GT] = ACTIONS(1107),
    [anon_sym_GT_EQ] = ACTIONS(1105),
    [anon_sym_LT_EQ] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1107),
    [anon_sym_instanceof] = ACTIONS(1107),
    [anon_sym_LT_LT] = ACTIONS(1105),
    [anon_sym_GT_GT] = ACTIONS(1107),
    [anon_sym_GT_GT_GT] = ACTIONS(1105),
    [anon_sym_QMARK] = ACTIONS(1105),
    [anon_sym_PLUS_EQ] = ACTIONS(1105),
    [anon_sym_DASH_EQ] = ACTIONS(1105),
    [anon_sym_STAR_EQ] = ACTIONS(1105),
    [anon_sym_SLASH_EQ] = ACTIONS(1105),
    [anon_sym_PERCENT_EQ] = ACTIONS(1105),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_var] = ACTIONS(1107),
    [anon_sym_rawcall] = ACTIONS(1107),
    [anon_sym_AT] = ACTIONS(1105),
    [anon_sym_clone] = ACTIONS(1107),
    [sym_integer] = ACTIONS(1107),
    [sym_float] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1105),
    [anon_sym_true] = ACTIONS(1107),
    [anon_sym_false] = ACTIONS(1107),
    [sym_null] = ACTIONS(1107),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1105),
  },
  [270] = {
    [ts_builtin_sym_end] = ACTIONS(1131),
    [sym_identifier] = ACTIONS(1133),
    [anon_sym_SEMI] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_RBRACE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_else] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(1133),
    [anon_sym_LPAREN] = ACTIONS(1131),
    [anon_sym_do] = ACTIONS(1133),
    [anon_sym_switch] = ACTIONS(1133),
    [anon_sym_case] = ACTIONS(1133),
    [anon_sym_default] = ACTIONS(1133),
    [anon_sym_for] = ACTIONS(1133),
    [anon_sym_foreach] = ACTIONS(1133),
    [anon_sym_COMMA] = ACTIONS(1131),
    [anon_sym_in] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1133),
    [anon_sym_continue] = ACTIONS(1133),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1133),
    [anon_sym_resume] = ACTIONS(1133),
    [anon_sym_local] = ACTIONS(1133),
    [anon_sym_EQ] = ACTIONS(1133),
    [anon_sym_LT_DASH] = ACTIONS(1131),
    [anon_sym_function] = ACTIONS(1133),
    [anon_sym_COLON_COLON] = ACTIONS(1131),
    [anon_sym_class] = ACTIONS(1133),
    [anon_sym_DOT] = ACTIONS(1131),
    [anon_sym_LBRACK] = ACTIONS(1131),
    [anon_sym_try] = ACTIONS(1133),
    [anon_sym_throw] = ACTIONS(1133),
    [anon_sym_const] = ACTIONS(1133),
    [anon_sym_enum] = ACTIONS(1133),
    [anon_sym_DASH] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1133),
    [anon_sym_typeof] = ACTIONS(1133),
    [anon_sym_PLUS_PLUS] = ACTIONS(1131),
    [anon_sym_DASH_DASH] = ACTIONS(1131),
    [anon_sym_PLUS] = ACTIONS(1133),
    [anon_sym_STAR] = ACTIONS(1133),
    [anon_sym_SLASH] = ACTIONS(1133),
    [anon_sym_PERCENT] = ACTIONS(1133),
    [anon_sym_PIPE_PIPE] = ACTIONS(1131),
    [anon_sym_AMP_AMP] = ACTIONS(1131),
    [anon_sym_PIPE] = ACTIONS(1133),
    [anon_sym_CARET] = ACTIONS(1131),
    [anon_sym_AMP] = ACTIONS(1133),
    [anon_sym_EQ_EQ] = ACTIONS(1131),
    [anon_sym_BANG_EQ] = ACTIONS(1131),
    [anon_sym_LT_EQ_GT] = ACTIONS(1131),
    [anon_sym_GT] = ACTIONS(1133),
    [anon_sym_GT_EQ] = ACTIONS(1131),
    [anon_sym_LT_EQ] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(1133),
    [anon_sym_instanceof] = ACTIONS(1133),
    [anon_sym_LT_LT] = ACTIONS(1131),
    [anon_sym_GT_GT] = ACTIONS(1133),
    [anon_sym_GT_GT_GT] = ACTIONS(1131),
    [anon_sym_QMARK] = ACTIONS(1131),
    [anon_sym_PLUS_EQ] = ACTIONS(1131),
    [anon_sym_DASH_EQ] = ACTIONS(1131),
    [anon_sym_STAR_EQ] = ACTIONS(1131),
    [anon_sym_SLASH_EQ] = ACTIONS(1131),
    [anon_sym_PERCENT_EQ] = ACTIONS(1131),
    [anon_sym_delete] = ACTIONS(1133),
    [anon_sym_var] = ACTIONS(1133),
    [anon_sym_rawcall] = ACTIONS(1133),
    [anon_sym_AT] = ACTIONS(1131),
    [anon_sym_clone] = ACTIONS(1133),
    [sym_integer] = ACTIONS(1133),
    [sym_float] = ACTIONS(1131),
    [anon_sym_DQUOTE] = ACTIONS(1131),
    [anon_sym_SQUOTE] = ACTIONS(1133),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1131),
    [anon_sym_true] = ACTIONS(1133),
    [anon_sym_false] = ACTIONS(1133),
    [sym_null] = ACTIONS(1133),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1131),
  },
  [271] = {
    [ts_builtin_sym_end] = ACTIONS(1131),
    [sym_identifier] = ACTIONS(1133),
    [anon_sym_SEMI] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_RBRACE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_else] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(1133),
    [anon_sym_LPAREN] = ACTIONS(1131),
    [anon_sym_do] = ACTIONS(1133),
    [anon_sym_switch] = ACTIONS(1133),
    [anon_sym_case] = ACTIONS(1133),
    [anon_sym_default] = ACTIONS(1133),
    [anon_sym_for] = ACTIONS(1133),
    [anon_sym_foreach] = ACTIONS(1133),
    [anon_sym_COMMA] = ACTIONS(1131),
    [anon_sym_in] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1133),
    [anon_sym_continue] = ACTIONS(1133),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1133),
    [anon_sym_resume] = ACTIONS(1133),
    [anon_sym_local] = ACTIONS(1133),
    [anon_sym_EQ] = ACTIONS(1133),
    [anon_sym_LT_DASH] = ACTIONS(1131),
    [anon_sym_function] = ACTIONS(1133),
    [anon_sym_COLON_COLON] = ACTIONS(1131),
    [anon_sym_class] = ACTIONS(1133),
    [anon_sym_DOT] = ACTIONS(1131),
    [anon_sym_LBRACK] = ACTIONS(1131),
    [anon_sym_try] = ACTIONS(1133),
    [anon_sym_throw] = ACTIONS(1133),
    [anon_sym_const] = ACTIONS(1133),
    [anon_sym_enum] = ACTIONS(1133),
    [anon_sym_DASH] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1133),
    [anon_sym_typeof] = ACTIONS(1133),
    [anon_sym_PLUS_PLUS] = ACTIONS(1131),
    [anon_sym_DASH_DASH] = ACTIONS(1131),
    [anon_sym_PLUS] = ACTIONS(1133),
    [anon_sym_STAR] = ACTIONS(1133),
    [anon_sym_SLASH] = ACTIONS(1133),
    [anon_sym_PERCENT] = ACTIONS(1133),
    [anon_sym_PIPE_PIPE] = ACTIONS(1131),
    [anon_sym_AMP_AMP] = ACTIONS(1131),
    [anon_sym_PIPE] = ACTIONS(1133),
    [anon_sym_CARET] = ACTIONS(1131),
    [anon_sym_AMP] = ACTIONS(1133),
    [anon_sym_EQ_EQ] = ACTIONS(1131),
    [anon_sym_BANG_EQ] = ACTIONS(1131),
    [anon_sym_LT_EQ_GT] = ACTIONS(1131),
    [anon_sym_GT] = ACTIONS(1133),
    [anon_sym_GT_EQ] = ACTIONS(1131),
    [anon_sym_LT_EQ] = ACTIONS(1133),
    [anon_sym_LT] = ACTIONS(1133),
    [anon_sym_instanceof] = ACTIONS(1133),
    [anon_sym_LT_LT] = ACTIONS(1131),
    [anon_sym_GT_GT] = ACTIONS(1133),
    [anon_sym_GT_GT_GT] = ACTIONS(1131),
    [anon_sym_QMARK] = ACTIONS(1131),
    [anon_sym_PLUS_EQ] = ACTIONS(1131),
    [anon_sym_DASH_EQ] = ACTIONS(1131),
    [anon_sym_STAR_EQ] = ACTIONS(1131),
    [anon_sym_SLASH_EQ] = ACTIONS(1131),
    [anon_sym_PERCENT_EQ] = ACTIONS(1131),
    [anon_sym_delete] = ACTIONS(1133),
    [anon_sym_var] = ACTIONS(1133),
    [anon_sym_rawcall] = ACTIONS(1133),
    [anon_sym_AT] = ACTIONS(1131),
    [anon_sym_clone] = ACTIONS(1133),
    [sym_integer] = ACTIONS(1133),
    [sym_float] = ACTIONS(1131),
    [anon_sym_DQUOTE] = ACTIONS(1131),
    [anon_sym_SQUOTE] = ACTIONS(1133),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1131),
    [anon_sym_true] = ACTIONS(1133),
    [anon_sym_false] = ACTIONS(1133),
    [sym_null] = ACTIONS(1133),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1131),
  },
  [272] = {
    [ts_builtin_sym_end] = ACTIONS(1131),
    [sym_identifier] = ACTIONS(1133),
    [anon_sym_SEMI] = ACTIONS(1135),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_RBRACE] = ACTIONS(1131),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_else] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(1133),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(1133),
    [anon_sym_switch] = ACTIONS(1133),
    [anon_sym_case] = ACTIONS(1133),
    [anon_sym_default] = ACTIONS(1133),
    [anon_sym_for] = ACTIONS(1133),
    [anon_sym_foreach] = ACTIONS(1133),
    [anon_sym_COMMA] = ACTIONS(1131),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_break] = ACTIONS(1133),
    [anon_sym_continue] = ACTIONS(1133),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1133),
    [anon_sym_resume] = ACTIONS(1133),
    [anon_sym_local] = ACTIONS(1133),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(1133),
    [anon_sym_COLON_COLON] = ACTIONS(1131),
    [anon_sym_class] = ACTIONS(1133),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(1133),
    [anon_sym_throw] = ACTIONS(1133),
    [anon_sym_const] = ACTIONS(1133),
    [anon_sym_enum] = ACTIONS(1133),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1133),
    [anon_sym_typeof] = ACTIONS(1133),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(885),
    [anon_sym_AMP_AMP] = ACTIONS(887),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(905),
    [anon_sym_PLUS_EQ] = ACTIONS(873),
    [anon_sym_DASH_EQ] = ACTIONS(873),
    [anon_sym_STAR_EQ] = ACTIONS(873),
    [anon_sym_SLASH_EQ] = ACTIONS(873),
    [anon_sym_PERCENT_EQ] = ACTIONS(873),
    [anon_sym_delete] = ACTIONS(1133),
    [anon_sym_var] = ACTIONS(1133),
    [anon_sym_rawcall] = ACTIONS(1133),
    [anon_sym_AT] = ACTIONS(1131),
    [anon_sym_clone] = ACTIONS(1133),
    [sym_integer] = ACTIONS(1133),
    [sym_float] = ACTIONS(1131),
    [anon_sym_DQUOTE] = ACTIONS(1131),
    [anon_sym_SQUOTE] = ACTIONS(1133),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1131),
    [anon_sym_true] = ACTIONS(1133),
    [anon_sym_false] = ACTIONS(1133),
    [sym_null] = ACTIONS(1133),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1131),
  },
  [273] = {
    [ts_builtin_sym_end] = ACTIONS(1137),
    [sym_identifier] = ACTIONS(1139),
    [anon_sym_SEMI] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1137),
    [anon_sym_RBRACE] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(1139),
    [anon_sym_else] = ACTIONS(1139),
    [anon_sym_while] = ACTIONS(1139),
    [anon_sym_LPAREN] = ACTIONS(1137),
    [anon_sym_do] = ACTIONS(1139),
    [anon_sym_switch] = ACTIONS(1139),
    [anon_sym_case] = ACTIONS(1139),
    [anon_sym_default] = ACTIONS(1139),
    [anon_sym_for] = ACTIONS(1139),
    [anon_sym_foreach] = ACTIONS(1139),
    [anon_sym_COMMA] = ACTIONS(1137),
    [anon_sym_in] = ACTIONS(1139),
    [anon_sym_break] = ACTIONS(1139),
    [anon_sym_continue] = ACTIONS(1139),
    [anon_sym_return] = ACTIONS(1139),
    [anon_sym_yield] = ACTIONS(1139),
    [anon_sym_resume] = ACTIONS(1139),
    [anon_sym_local] = ACTIONS(1139),
    [anon_sym_EQ] = ACTIONS(1139),
    [anon_sym_LT_DASH] = ACTIONS(1137),
    [anon_sym_function] = ACTIONS(1139),
    [anon_sym_COLON_COLON] = ACTIONS(1137),
    [anon_sym_class] = ACTIONS(1139),
    [anon_sym_DOT] = ACTIONS(1137),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1139),
    [anon_sym_throw] = ACTIONS(1139),
    [anon_sym_const] = ACTIONS(1139),
    [anon_sym_enum] = ACTIONS(1139),
    [anon_sym_DASH] = ACTIONS(1139),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_BANG] = ACTIONS(1139),
    [anon_sym_typeof] = ACTIONS(1139),
    [anon_sym_PLUS_PLUS] = ACTIONS(1137),
    [anon_sym_DASH_DASH] = ACTIONS(1137),
    [anon_sym_PLUS] = ACTIONS(1139),
    [anon_sym_STAR] = ACTIONS(1139),
    [anon_sym_SLASH] = ACTIONS(1139),
    [anon_sym_PERCENT] = ACTIONS(1139),
    [anon_sym_PIPE_PIPE] = ACTIONS(1137),
    [anon_sym_AMP_AMP] = ACTIONS(1137),
    [anon_sym_PIPE] = ACTIONS(1139),
    [anon_sym_CARET] = ACTIONS(1137),
    [anon_sym_AMP] = ACTIONS(1139),
    [anon_sym_EQ_EQ] = ACTIONS(1137),
    [anon_sym_BANG_EQ] = ACTIONS(1137),
    [anon_sym_LT_EQ_GT] = ACTIONS(1137),
    [anon_sym_GT] = ACTIONS(1139),
    [anon_sym_GT_EQ] = ACTIONS(1137),
    [anon_sym_LT_EQ] = ACTIONS(1139),
    [anon_sym_LT] = ACTIONS(1139),
    [anon_sym_instanceof] = ACTIONS(1139),
    [anon_sym_LT_LT] = ACTIONS(1137),
    [anon_sym_GT_GT] = ACTIONS(1139),
    [anon_sym_GT_GT_GT] = ACTIONS(1137),
    [anon_sym_QMARK] = ACTIONS(1137),
    [anon_sym_PLUS_EQ] = ACTIONS(1137),
    [anon_sym_DASH_EQ] = ACTIONS(1137),
    [anon_sym_STAR_EQ] = ACTIONS(1137),
    [anon_sym_SLASH_EQ] = ACTIONS(1137),
    [anon_sym_PERCENT_EQ] = ACTIONS(1137),
    [anon_sym_delete] = ACTIONS(1139),
    [anon_sym_var] = ACTIONS(1139),
    [anon_sym_rawcall] = ACTIONS(1139),
    [anon_sym_AT] = ACTIONS(1137),
    [anon_sym_clone] = ACTIONS(1139),
    [sym_integer] = ACTIONS(1139),
    [sym_float] = ACTIONS(1137),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [anon_sym_SQUOTE] = ACTIONS(1139),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1137),
    [anon_sym_true] = ACTIONS(1139),
    [anon_sym_false] = ACTIONS(1139),
    [sym_null] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1137),
  },
  [274] = {
    [ts_builtin_sym_end] = ACTIONS(1141),
    [sym_identifier] = ACTIONS(1143),
    [anon_sym_SEMI] = ACTIONS(1141),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_RBRACE] = ACTIONS(1141),
    [anon_sym_if] = ACTIONS(1143),
    [anon_sym_else] = ACTIONS(1143),
    [anon_sym_while] = ACTIONS(1143),
    [anon_sym_LPAREN] = ACTIONS(1141),
    [anon_sym_do] = ACTIONS(1143),
    [anon_sym_switch] = ACTIONS(1143),
    [anon_sym_case] = ACTIONS(1143),
    [anon_sym_default] = ACTIONS(1143),
    [anon_sym_for] = ACTIONS(1143),
    [anon_sym_foreach] = ACTIONS(1143),
    [anon_sym_COMMA] = ACTIONS(1141),
    [anon_sym_in] = ACTIONS(1143),
    [anon_sym_break] = ACTIONS(1143),
    [anon_sym_continue] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1143),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_resume] = ACTIONS(1143),
    [anon_sym_local] = ACTIONS(1143),
    [anon_sym_EQ] = ACTIONS(1143),
    [anon_sym_LT_DASH] = ACTIONS(1141),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_COLON_COLON] = ACTIONS(1141),
    [anon_sym_class] = ACTIONS(1143),
    [anon_sym_DOT] = ACTIONS(1141),
    [anon_sym_LBRACK] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_throw] = ACTIONS(1143),
    [anon_sym_const] = ACTIONS(1143),
    [anon_sym_enum] = ACTIONS(1143),
    [anon_sym_DASH] = ACTIONS(1143),
    [anon_sym_TILDE] = ACTIONS(1141),
    [anon_sym_BANG] = ACTIONS(1143),
    [anon_sym_typeof] = ACTIONS(1143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1141),
    [anon_sym_DASH_DASH] = ACTIONS(1141),
    [anon_sym_PLUS] = ACTIONS(1143),
    [anon_sym_STAR] = ACTIONS(1143),
    [anon_sym_SLASH] = ACTIONS(1143),
    [anon_sym_PERCENT] = ACTIONS(1143),
    [anon_sym_PIPE_PIPE] = ACTIONS(1141),
    [anon_sym_AMP_AMP] = ACTIONS(1141),
    [anon_sym_PIPE] = ACTIONS(1143),
    [anon_sym_CARET] = ACTIONS(1141),
    [anon_sym_AMP] = ACTIONS(1143),
    [anon_sym_EQ_EQ] = ACTIONS(1141),
    [anon_sym_BANG_EQ] = ACTIONS(1141),
    [anon_sym_LT_EQ_GT] = ACTIONS(1141),
    [anon_sym_GT] = ACTIONS(1143),
    [anon_sym_GT_EQ] = ACTIONS(1141),
    [anon_sym_LT_EQ] = ACTIONS(1143),
    [anon_sym_LT] = ACTIONS(1143),
    [anon_sym_instanceof] = ACTIONS(1143),
    [anon_sym_LT_LT] = ACTIONS(1141),
    [anon_sym_GT_GT] = ACTIONS(1143),
    [anon_sym_GT_GT_GT] = ACTIONS(1141),
    [anon_sym_QMARK] = ACTIONS(1141),
    [anon_sym_PLUS_EQ] = ACTIONS(1141),
    [anon_sym_DASH_EQ] = ACTIONS(1141),
    [anon_sym_STAR_EQ] = ACTIONS(1141),
    [anon_sym_SLASH_EQ] = ACTIONS(1141),
    [anon_sym_PERCENT_EQ] = ACTIONS(1141),
    [anon_sym_delete] = ACTIONS(1143),
    [anon_sym_var] = ACTIONS(1143),
    [anon_sym_rawcall] = ACTIONS(1143),
    [anon_sym_AT] = ACTIONS(1141),
    [anon_sym_clone] = ACTIONS(1143),
    [sym_integer] = ACTIONS(1143),
    [sym_float] = ACTIONS(1141),
    [anon_sym_DQUOTE] = ACTIONS(1141),
    [anon_sym_SQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1141),
    [anon_sym_true] = ACTIONS(1143),
    [anon_sym_false] = ACTIONS(1143),
    [sym_null] = ACTIONS(1143),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1141),
  },
  [275] = {
    [ts_builtin_sym_end] = ACTIONS(1141),
    [sym_identifier] = ACTIONS(1143),
    [anon_sym_SEMI] = ACTIONS(1145),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_RBRACE] = ACTIONS(1141),
    [anon_sym_if] = ACTIONS(1143),
    [anon_sym_else] = ACTIONS(1143),
    [anon_sym_while] = ACTIONS(1143),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(1143),
    [anon_sym_switch] = ACTIONS(1143),
    [anon_sym_case] = ACTIONS(1143),
    [anon_sym_default] = ACTIONS(1143),
    [anon_sym_for] = ACTIONS(1143),
    [anon_sym_foreach] = ACTIONS(1143),
    [anon_sym_COMMA] = ACTIONS(1141),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_break] = ACTIONS(1143),
    [anon_sym_continue] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1143),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_resume] = ACTIONS(1143),
    [anon_sym_local] = ACTIONS(1143),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_COLON_COLON] = ACTIONS(1141),
    [anon_sym_class] = ACTIONS(1143),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_throw] = ACTIONS(1143),
    [anon_sym_const] = ACTIONS(1143),
    [anon_sym_enum] = ACTIONS(1143),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(1141),
    [anon_sym_BANG] = ACTIONS(1143),
    [anon_sym_typeof] = ACTIONS(1143),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(885),
    [anon_sym_AMP_AMP] = ACTIONS(887),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(905),
    [anon_sym_PLUS_EQ] = ACTIONS(873),
    [anon_sym_DASH_EQ] = ACTIONS(873),
    [anon_sym_STAR_EQ] = ACTIONS(873),
    [anon_sym_SLASH_EQ] = ACTIONS(873),
    [anon_sym_PERCENT_EQ] = ACTIONS(873),
    [anon_sym_delete] = ACTIONS(1143),
    [anon_sym_var] = ACTIONS(1143),
    [anon_sym_rawcall] = ACTIONS(1143),
    [anon_sym_AT] = ACTIONS(1141),
    [anon_sym_clone] = ACTIONS(1143),
    [sym_integer] = ACTIONS(1143),
    [sym_float] = ACTIONS(1141),
    [anon_sym_DQUOTE] = ACTIONS(1141),
    [anon_sym_SQUOTE] = ACTIONS(1143),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1141),
    [anon_sym_true] = ACTIONS(1143),
    [anon_sym_false] = ACTIONS(1143),
    [sym_null] = ACTIONS(1143),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1141),
  },
  [276] = {
    [ts_builtin_sym_end] = ACTIONS(1105),
    [sym_identifier] = ACTIONS(1107),
    [anon_sym_SEMI] = ACTIONS(1105),
    [anon_sym_LBRACE] = ACTIONS(1105),
    [anon_sym_RBRACE] = ACTIONS(1105),
    [anon_sym_if] = ACTIONS(1107),
    [anon_sym_else] = ACTIONS(1107),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_do] = ACTIONS(1107),
    [anon_sym_switch] = ACTIONS(1107),
    [anon_sym_case] = ACTIONS(1107),
    [anon_sym_default] = ACTIONS(1107),
    [anon_sym_for] = ACTIONS(1107),
    [anon_sym_foreach] = ACTIONS(1107),
    [anon_sym_COMMA] = ACTIONS(1105),
    [anon_sym_in] = ACTIONS(1107),
    [anon_sym_break] = ACTIONS(1107),
    [anon_sym_continue] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1107),
    [anon_sym_yield] = ACTIONS(1107),
    [anon_sym_resume] = ACTIONS(1107),
    [anon_sym_local] = ACTIONS(1107),
    [anon_sym_EQ] = ACTIONS(1107),
    [anon_sym_LT_DASH] = ACTIONS(1105),
    [anon_sym_function] = ACTIONS(1107),
    [anon_sym_COLON_COLON] = ACTIONS(1105),
    [anon_sym_class] = ACTIONS(1107),
    [anon_sym_DOT] = ACTIONS(1105),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_try] = ACTIONS(1107),
    [anon_sym_throw] = ACTIONS(1107),
    [anon_sym_const] = ACTIONS(1107),
    [anon_sym_enum] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_TILDE] = ACTIONS(1105),
    [anon_sym_BANG] = ACTIONS(1107),
    [anon_sym_typeof] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1105),
    [anon_sym_DASH_DASH] = ACTIONS(1105),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_STAR] = ACTIONS(1107),
    [anon_sym_SLASH] = ACTIONS(1107),
    [anon_sym_PERCENT] = ACTIONS(1107),
    [anon_sym_PIPE_PIPE] = ACTIONS(1105),
    [anon_sym_AMP_AMP] = ACTIONS(1105),
    [anon_sym_PIPE] = ACTIONS(1107),
    [anon_sym_CARET] = ACTIONS(1105),
    [anon_sym_AMP] = ACTIONS(1107),
    [anon_sym_EQ_EQ] = ACTIONS(1105),
    [anon_sym_BANG_EQ] = ACTIONS(1105),
    [anon_sym_LT_EQ_GT] = ACTIONS(1105),
    [anon_sym_GT] = ACTIONS(1107),
    [anon_sym_GT_EQ] = ACTIONS(1105),
    [anon_sym_LT_EQ] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1107),
    [anon_sym_instanceof] = ACTIONS(1107),
    [anon_sym_LT_LT] = ACTIONS(1105),
    [anon_sym_GT_GT] = ACTIONS(1107),
    [anon_sym_GT_GT_GT] = ACTIONS(1105),
    [anon_sym_QMARK] = ACTIONS(1105),
    [anon_sym_PLUS_EQ] = ACTIONS(1105),
    [anon_sym_DASH_EQ] = ACTIONS(1105),
    [anon_sym_STAR_EQ] = ACTIONS(1105),
    [anon_sym_SLASH_EQ] = ACTIONS(1105),
    [anon_sym_PERCENT_EQ] = ACTIONS(1105),
    [anon_sym_delete] = ACTIONS(1107),
    [anon_sym_var] = ACTIONS(1107),
    [anon_sym_rawcall] = ACTIONS(1107),
    [anon_sym_AT] = ACTIONS(1105),
    [anon_sym_clone] = ACTIONS(1107),
    [sym_integer] = ACTIONS(1107),
    [sym_float] = ACTIONS(1105),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1105),
    [anon_sym_true] = ACTIONS(1107),
    [anon_sym_false] = ACTIONS(1107),
    [sym_null] = ACTIONS(1107),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1105),
  },
  [277] = {
    [ts_builtin_sym_end] = ACTIONS(1147),
    [sym_identifier] = ACTIONS(1149),
    [anon_sym_SEMI] = ACTIONS(1147),
    [anon_sym_LBRACE] = ACTIONS(1147),
    [anon_sym_RBRACE] = ACTIONS(1147),
    [anon_sym_if] = ACTIONS(1149),
    [anon_sym_else] = ACTIONS(1149),
    [anon_sym_while] = ACTIONS(1149),
    [anon_sym_LPAREN] = ACTIONS(1147),
    [anon_sym_do] = ACTIONS(1149),
    [anon_sym_switch] = ACTIONS(1149),
    [anon_sym_case] = ACTIONS(1149),
    [anon_sym_default] = ACTIONS(1149),
    [anon_sym_for] = ACTIONS(1149),
    [anon_sym_foreach] = ACTIONS(1149),
    [anon_sym_COMMA] = ACTIONS(1147),
    [anon_sym_in] = ACTIONS(1149),
    [anon_sym_break] = ACTIONS(1149),
    [anon_sym_continue] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1149),
    [anon_sym_yield] = ACTIONS(1149),
    [anon_sym_resume] = ACTIONS(1149),
    [anon_sym_local] = ACTIONS(1149),
    [anon_sym_EQ] = ACTIONS(1149),
    [anon_sym_LT_DASH] = ACTIONS(1147),
    [anon_sym_function] = ACTIONS(1149),
    [anon_sym_COLON_COLON] = ACTIONS(1147),
    [anon_sym_class] = ACTIONS(1149),
    [anon_sym_DOT] = ACTIONS(1147),
    [anon_sym_LBRACK] = ACTIONS(1147),
    [anon_sym_try] = ACTIONS(1149),
    [anon_sym_throw] = ACTIONS(1149),
    [anon_sym_const] = ACTIONS(1149),
    [anon_sym_enum] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1147),
    [anon_sym_BANG] = ACTIONS(1149),
    [anon_sym_typeof] = ACTIONS(1149),
    [anon_sym_PLUS_PLUS] = ACTIONS(1147),
    [anon_sym_DASH_DASH] = ACTIONS(1147),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_STAR] = ACTIONS(1149),
    [anon_sym_SLASH] = ACTIONS(1149),
    [anon_sym_PERCENT] = ACTIONS(1149),
    [anon_sym_PIPE_PIPE] = ACTIONS(1147),
    [anon_sym_AMP_AMP] = ACTIONS(1147),
    [anon_sym_PIPE] = ACTIONS(1149),
    [anon_sym_CARET] = ACTIONS(1147),
    [anon_sym_AMP] = ACTIONS(1149),
    [anon_sym_EQ_EQ] = ACTIONS(1147),
    [anon_sym_BANG_EQ] = ACTIONS(1147),
    [anon_sym_LT_EQ_GT] = ACTIONS(1147),
    [anon_sym_GT] = ACTIONS(1149),
    [anon_sym_GT_EQ] = ACTIONS(1147),
    [anon_sym_LT_EQ] = ACTIONS(1149),
    [anon_sym_LT] = ACTIONS(1149),
    [anon_sym_instanceof] = ACTIONS(1149),
    [anon_sym_LT_LT] = ACTIONS(1147),
    [anon_sym_GT_GT] = ACTIONS(1149),
    [anon_sym_GT_GT_GT] = ACTIONS(1147),
    [anon_sym_QMARK] = ACTIONS(1147),
    [anon_sym_PLUS_EQ] = ACTIONS(1147),
    [anon_sym_DASH_EQ] = ACTIONS(1147),
    [anon_sym_STAR_EQ] = ACTIONS(1147),
    [anon_sym_SLASH_EQ] = ACTIONS(1147),
    [anon_sym_PERCENT_EQ] = ACTIONS(1147),
    [anon_sym_delete] = ACTIONS(1149),
    [anon_sym_var] = ACTIONS(1149),
    [anon_sym_rawcall] = ACTIONS(1149),
    [anon_sym_AT] = ACTIONS(1147),
    [anon_sym_clone] = ACTIONS(1149),
    [sym_integer] = ACTIONS(1149),
    [sym_float] = ACTIONS(1147),
    [anon_sym_DQUOTE] = ACTIONS(1147),
    [anon_sym_SQUOTE] = ACTIONS(1149),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1147),
    [anon_sym_true] = ACTIONS(1149),
    [anon_sym_false] = ACTIONS(1149),
    [sym_null] = ACTIONS(1149),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1147),
  },
  [278] = {
    [ts_builtin_sym_end] = ACTIONS(915),
    [sym_identifier] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_RBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_else] = ACTIONS(917),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(917),
    [anon_sym_switch] = ACTIONS(917),
    [anon_sym_case] = ACTIONS(917),
    [anon_sym_default] = ACTIONS(917),
    [anon_sym_for] = ACTIONS(917),
    [anon_sym_foreach] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(915),
    [anon_sym_in] = ACTIONS(917),
    [anon_sym_break] = ACTIONS(917),
    [anon_sym_continue] = ACTIONS(917),
    [anon_sym_return] = ACTIONS(917),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_resume] = ACTIONS(917),
    [anon_sym_local] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [anon_sym_LT_DASH] = ACTIONS(915),
    [anon_sym_function] = ACTIONS(917),
    [anon_sym_COLON_COLON] = ACTIONS(915),
    [anon_sym_class] = ACTIONS(917),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(917),
    [anon_sym_throw] = ACTIONS(917),
    [anon_sym_const] = ACTIONS(917),
    [anon_sym_enum] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(915),
    [anon_sym_BANG] = ACTIONS(917),
    [anon_sym_typeof] = ACTIONS(917),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(915),
    [anon_sym_AMP_AMP] = ACTIONS(915),
    [anon_sym_PIPE] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(915),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_EQ_EQ] = ACTIONS(915),
    [anon_sym_BANG_EQ] = ACTIONS(915),
    [anon_sym_LT_EQ_GT] = ACTIONS(915),
    [anon_sym_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(915),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(917),
    [anon_sym_instanceof] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(915),
    [anon_sym_PLUS_EQ] = ACTIONS(915),
    [anon_sym_DASH_EQ] = ACTIONS(915),
    [anon_sym_STAR_EQ] = ACTIONS(915),
    [anon_sym_SLASH_EQ] = ACTIONS(915),
    [anon_sym_PERCENT_EQ] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(917),
    [anon_sym_var] = ACTIONS(917),
    [anon_sym_rawcall] = ACTIONS(917),
    [anon_sym_AT] = ACTIONS(915),
    [anon_sym_clone] = ACTIONS(917),
    [sym_integer] = ACTIONS(917),
    [sym_float] = ACTIONS(915),
    [anon_sym_DQUOTE] = ACTIONS(915),
    [anon_sym_SQUOTE] = ACTIONS(917),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(917),
    [anon_sym_false] = ACTIONS(917),
    [sym_null] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(915),
  },
  [279] = {
    [ts_builtin_sym_end] = ACTIONS(915),
    [sym_identifier] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_RBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_else] = ACTIONS(917),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(917),
    [anon_sym_switch] = ACTIONS(917),
    [anon_sym_case] = ACTIONS(917),
    [anon_sym_default] = ACTIONS(917),
    [anon_sym_for] = ACTIONS(917),
    [anon_sym_foreach] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(915),
    [anon_sym_in] = ACTIONS(917),
    [anon_sym_break] = ACTIONS(917),
    [anon_sym_continue] = ACTIONS(917),
    [anon_sym_return] = ACTIONS(917),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_resume] = ACTIONS(917),
    [anon_sym_local] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [anon_sym_LT_DASH] = ACTIONS(915),
    [anon_sym_function] = ACTIONS(917),
    [anon_sym_COLON_COLON] = ACTIONS(915),
    [anon_sym_class] = ACTIONS(917),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(917),
    [anon_sym_throw] = ACTIONS(917),
    [anon_sym_const] = ACTIONS(917),
    [anon_sym_enum] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(915),
    [anon_sym_BANG] = ACTIONS(917),
    [anon_sym_typeof] = ACTIONS(917),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(915),
    [anon_sym_AMP_AMP] = ACTIONS(915),
    [anon_sym_PIPE] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(915),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(915),
    [anon_sym_PLUS_EQ] = ACTIONS(915),
    [anon_sym_DASH_EQ] = ACTIONS(915),
    [anon_sym_STAR_EQ] = ACTIONS(915),
    [anon_sym_SLASH_EQ] = ACTIONS(915),
    [anon_sym_PERCENT_EQ] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(917),
    [anon_sym_var] = ACTIONS(917),
    [anon_sym_rawcall] = ACTIONS(917),
    [anon_sym_AT] = ACTIONS(915),
    [anon_sym_clone] = ACTIONS(917),
    [sym_integer] = ACTIONS(917),
    [sym_float] = ACTIONS(915),
    [anon_sym_DQUOTE] = ACTIONS(915),
    [anon_sym_SQUOTE] = ACTIONS(917),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(917),
    [anon_sym_false] = ACTIONS(917),
    [sym_null] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(915),
  },
  [280] = {
    [ts_builtin_sym_end] = ACTIONS(915),
    [sym_identifier] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_RBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_else] = ACTIONS(917),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(917),
    [anon_sym_switch] = ACTIONS(917),
    [anon_sym_case] = ACTIONS(917),
    [anon_sym_default] = ACTIONS(917),
    [anon_sym_for] = ACTIONS(917),
    [anon_sym_foreach] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(915),
    [anon_sym_in] = ACTIONS(917),
    [anon_sym_break] = ACTIONS(917),
    [anon_sym_continue] = ACTIONS(917),
    [anon_sym_return] = ACTIONS(917),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_resume] = ACTIONS(917),
    [anon_sym_local] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [anon_sym_LT_DASH] = ACTIONS(915),
    [anon_sym_function] = ACTIONS(917),
    [anon_sym_COLON_COLON] = ACTIONS(915),
    [anon_sym_class] = ACTIONS(917),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(917),
    [anon_sym_throw] = ACTIONS(917),
    [anon_sym_const] = ACTIONS(917),
    [anon_sym_enum] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(915),
    [anon_sym_BANG] = ACTIONS(917),
    [anon_sym_typeof] = ACTIONS(917),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(915),
    [anon_sym_AMP_AMP] = ACTIONS(915),
    [anon_sym_PIPE] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(915),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_EQ_EQ] = ACTIONS(915),
    [anon_sym_BANG_EQ] = ACTIONS(915),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(915),
    [anon_sym_PLUS_EQ] = ACTIONS(915),
    [anon_sym_DASH_EQ] = ACTIONS(915),
    [anon_sym_STAR_EQ] = ACTIONS(915),
    [anon_sym_SLASH_EQ] = ACTIONS(915),
    [anon_sym_PERCENT_EQ] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(917),
    [anon_sym_var] = ACTIONS(917),
    [anon_sym_rawcall] = ACTIONS(917),
    [anon_sym_AT] = ACTIONS(915),
    [anon_sym_clone] = ACTIONS(917),
    [sym_integer] = ACTIONS(917),
    [sym_float] = ACTIONS(915),
    [anon_sym_DQUOTE] = ACTIONS(915),
    [anon_sym_SQUOTE] = ACTIONS(917),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(917),
    [anon_sym_false] = ACTIONS(917),
    [sym_null] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(915),
  },
  [281] = {
    [ts_builtin_sym_end] = ACTIONS(1151),
    [sym_identifier] = ACTIONS(1153),
    [anon_sym_SEMI] = ACTIONS(1155),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym_RBRACE] = ACTIONS(1151),
    [anon_sym_if] = ACTIONS(1153),
    [anon_sym_else] = ACTIONS(1153),
    [anon_sym_while] = ACTIONS(1153),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(1153),
    [anon_sym_switch] = ACTIONS(1153),
    [anon_sym_case] = ACTIONS(1153),
    [anon_sym_default] = ACTIONS(1153),
    [anon_sym_for] = ACTIONS(1153),
    [anon_sym_foreach] = ACTIONS(1153),
    [anon_sym_COMMA] = ACTIONS(1151),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_break] = ACTIONS(1153),
    [anon_sym_continue] = ACTIONS(1153),
    [anon_sym_return] = ACTIONS(1153),
    [anon_sym_yield] = ACTIONS(1153),
    [anon_sym_resume] = ACTIONS(1153),
    [anon_sym_local] = ACTIONS(1153),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(1153),
    [anon_sym_COLON_COLON] = ACTIONS(1151),
    [anon_sym_class] = ACTIONS(1153),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_throw] = ACTIONS(1153),
    [anon_sym_const] = ACTIONS(1153),
    [anon_sym_enum] = ACTIONS(1153),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(1151),
    [anon_sym_BANG] = ACTIONS(1153),
    [anon_sym_typeof] = ACTIONS(1153),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(885),
    [anon_sym_AMP_AMP] = ACTIONS(887),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(905),
    [anon_sym_PLUS_EQ] = ACTIONS(873),
    [anon_sym_DASH_EQ] = ACTIONS(873),
    [anon_sym_STAR_EQ] = ACTIONS(873),
    [anon_sym_SLASH_EQ] = ACTIONS(873),
    [anon_sym_PERCENT_EQ] = ACTIONS(873),
    [anon_sym_delete] = ACTIONS(1153),
    [anon_sym_var] = ACTIONS(1153),
    [anon_sym_rawcall] = ACTIONS(1153),
    [anon_sym_AT] = ACTIONS(1151),
    [anon_sym_clone] = ACTIONS(1153),
    [sym_integer] = ACTIONS(1153),
    [sym_float] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(1151),
    [anon_sym_SQUOTE] = ACTIONS(1153),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1151),
    [anon_sym_true] = ACTIONS(1153),
    [anon_sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1151),
  },
  [282] = {
    [ts_builtin_sym_end] = ACTIONS(1151),
    [sym_identifier] = ACTIONS(1153),
    [anon_sym_SEMI] = ACTIONS(1151),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym_RBRACE] = ACTIONS(1151),
    [anon_sym_if] = ACTIONS(1153),
    [anon_sym_else] = ACTIONS(1153),
    [anon_sym_while] = ACTIONS(1153),
    [anon_sym_LPAREN] = ACTIONS(1151),
    [anon_sym_do] = ACTIONS(1153),
    [anon_sym_switch] = ACTIONS(1153),
    [anon_sym_case] = ACTIONS(1153),
    [anon_sym_default] = ACTIONS(1153),
    [anon_sym_for] = ACTIONS(1153),
    [anon_sym_foreach] = ACTIONS(1153),
    [anon_sym_COMMA] = ACTIONS(1151),
    [anon_sym_in] = ACTIONS(1153),
    [anon_sym_break] = ACTIONS(1153),
    [anon_sym_continue] = ACTIONS(1153),
    [anon_sym_return] = ACTIONS(1153),
    [anon_sym_yield] = ACTIONS(1153),
    [anon_sym_resume] = ACTIONS(1153),
    [anon_sym_local] = ACTIONS(1153),
    [anon_sym_EQ] = ACTIONS(1153),
    [anon_sym_LT_DASH] = ACTIONS(1151),
    [anon_sym_function] = ACTIONS(1153),
    [anon_sym_COLON_COLON] = ACTIONS(1151),
    [anon_sym_class] = ACTIONS(1153),
    [anon_sym_DOT] = ACTIONS(1151),
    [anon_sym_LBRACK] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_throw] = ACTIONS(1153),
    [anon_sym_const] = ACTIONS(1153),
    [anon_sym_enum] = ACTIONS(1153),
    [anon_sym_DASH] = ACTIONS(1153),
    [anon_sym_TILDE] = ACTIONS(1151),
    [anon_sym_BANG] = ACTIONS(1153),
    [anon_sym_typeof] = ACTIONS(1153),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1153),
    [anon_sym_STAR] = ACTIONS(1153),
    [anon_sym_SLASH] = ACTIONS(1153),
    [anon_sym_PERCENT] = ACTIONS(1153),
    [anon_sym_PIPE_PIPE] = ACTIONS(1151),
    [anon_sym_AMP_AMP] = ACTIONS(1151),
    [anon_sym_PIPE] = ACTIONS(1153),
    [anon_sym_CARET] = ACTIONS(1151),
    [anon_sym_AMP] = ACTIONS(1153),
    [anon_sym_EQ_EQ] = ACTIONS(1151),
    [anon_sym_BANG_EQ] = ACTIONS(1151),
    [anon_sym_LT_EQ_GT] = ACTIONS(1151),
    [anon_sym_GT] = ACTIONS(1153),
    [anon_sym_GT_EQ] = ACTIONS(1151),
    [anon_sym_LT_EQ] = ACTIONS(1153),
    [anon_sym_LT] = ACTIONS(1153),
    [anon_sym_instanceof] = ACTIONS(1153),
    [anon_sym_LT_LT] = ACTIONS(1151),
    [anon_sym_GT_GT] = ACTIONS(1153),
    [anon_sym_GT_GT_GT] = ACTIONS(1151),
    [anon_sym_QMARK] = ACTIONS(1151),
    [anon_sym_PLUS_EQ] = ACTIONS(1151),
    [anon_sym_DASH_EQ] = ACTIONS(1151),
    [anon_sym_STAR_EQ] = ACTIONS(1151),
    [anon_sym_SLASH_EQ] = ACTIONS(1151),
    [anon_sym_PERCENT_EQ] = ACTIONS(1151),
    [anon_sym_delete] = ACTIONS(1153),
    [anon_sym_var] = ACTIONS(1153),
    [anon_sym_rawcall] = ACTIONS(1153),
    [anon_sym_AT] = ACTIONS(1151),
    [anon_sym_clone] = ACTIONS(1153),
    [sym_integer] = ACTIONS(1153),
    [sym_float] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(1151),
    [anon_sym_SQUOTE] = ACTIONS(1153),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1151),
    [anon_sym_true] = ACTIONS(1153),
    [anon_sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1151),
  },
  [283] = {
    [ts_builtin_sym_end] = ACTIONS(1157),
    [sym_identifier] = ACTIONS(1159),
    [anon_sym_SEMI] = ACTIONS(1157),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_RBRACE] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(1159),
    [anon_sym_else] = ACTIONS(1159),
    [anon_sym_while] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(1157),
    [anon_sym_do] = ACTIONS(1159),
    [anon_sym_switch] = ACTIONS(1159),
    [anon_sym_case] = ACTIONS(1159),
    [anon_sym_default] = ACTIONS(1159),
    [anon_sym_for] = ACTIONS(1159),
    [anon_sym_foreach] = ACTIONS(1159),
    [anon_sym_COMMA] = ACTIONS(1157),
    [anon_sym_in] = ACTIONS(1159),
    [anon_sym_break] = ACTIONS(1159),
    [anon_sym_continue] = ACTIONS(1159),
    [anon_sym_return] = ACTIONS(1159),
    [anon_sym_yield] = ACTIONS(1159),
    [anon_sym_resume] = ACTIONS(1159),
    [anon_sym_local] = ACTIONS(1159),
    [anon_sym_EQ] = ACTIONS(1159),
    [anon_sym_LT_DASH] = ACTIONS(1157),
    [anon_sym_function] = ACTIONS(1159),
    [anon_sym_COLON_COLON] = ACTIONS(1157),
    [anon_sym_class] = ACTIONS(1159),
    [anon_sym_DOT] = ACTIONS(1157),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_try] = ACTIONS(1159),
    [anon_sym_throw] = ACTIONS(1159),
    [anon_sym_const] = ACTIONS(1159),
    [anon_sym_enum] = ACTIONS(1159),
    [anon_sym_DASH] = ACTIONS(1159),
    [anon_sym_TILDE] = ACTIONS(1157),
    [anon_sym_BANG] = ACTIONS(1159),
    [anon_sym_typeof] = ACTIONS(1159),
    [anon_sym_PLUS_PLUS] = ACTIONS(1157),
    [anon_sym_DASH_DASH] = ACTIONS(1157),
    [anon_sym_PLUS] = ACTIONS(1159),
    [anon_sym_STAR] = ACTIONS(1159),
    [anon_sym_SLASH] = ACTIONS(1159),
    [anon_sym_PERCENT] = ACTIONS(1159),
    [anon_sym_PIPE_PIPE] = ACTIONS(1157),
    [anon_sym_AMP_AMP] = ACTIONS(1157),
    [anon_sym_PIPE] = ACTIONS(1159),
    [anon_sym_CARET] = ACTIONS(1157),
    [anon_sym_AMP] = ACTIONS(1159),
    [anon_sym_EQ_EQ] = ACTIONS(1157),
    [anon_sym_BANG_EQ] = ACTIONS(1157),
    [anon_sym_LT_EQ_GT] = ACTIONS(1157),
    [anon_sym_GT] = ACTIONS(1159),
    [anon_sym_GT_EQ] = ACTIONS(1157),
    [anon_sym_LT_EQ] = ACTIONS(1159),
    [anon_sym_LT] = ACTIONS(1159),
    [anon_sym_instanceof] = ACTIONS(1159),
    [anon_sym_LT_LT] = ACTIONS(1157),
    [anon_sym_GT_GT] = ACTIONS(1159),
    [anon_sym_GT_GT_GT] = ACTIONS(1157),
    [anon_sym_QMARK] = ACTIONS(1157),
    [anon_sym_PLUS_EQ] = ACTIONS(1157),
    [anon_sym_DASH_EQ] = ACTIONS(1157),
    [anon_sym_STAR_EQ] = ACTIONS(1157),
    [anon_sym_SLASH_EQ] = ACTIONS(1157),
    [anon_sym_PERCENT_EQ] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1159),
    [anon_sym_var] = ACTIONS(1159),
    [anon_sym_rawcall] = ACTIONS(1159),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_clone] = ACTIONS(1159),
    [sym_integer] = ACTIONS(1159),
    [sym_float] = ACTIONS(1157),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [anon_sym_SQUOTE] = ACTIONS(1159),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1157),
    [anon_sym_true] = ACTIONS(1159),
    [anon_sym_false] = ACTIONS(1159),
    [sym_null] = ACTIONS(1159),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1157),
  },
  [284] = {
    [ts_builtin_sym_end] = ACTIONS(1161),
    [sym_identifier] = ACTIONS(1163),
    [anon_sym_SEMI] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1161),
    [anon_sym_RBRACE] = ACTIONS(1161),
    [anon_sym_if] = ACTIONS(1163),
    [anon_sym_else] = ACTIONS(1163),
    [anon_sym_while] = ACTIONS(1163),
    [anon_sym_LPAREN] = ACTIONS(1161),
    [anon_sym_do] = ACTIONS(1163),
    [anon_sym_switch] = ACTIONS(1163),
    [anon_sym_case] = ACTIONS(1163),
    [anon_sym_default] = ACTIONS(1163),
    [anon_sym_for] = ACTIONS(1163),
    [anon_sym_foreach] = ACTIONS(1163),
    [anon_sym_COMMA] = ACTIONS(1161),
    [anon_sym_in] = ACTIONS(1163),
    [anon_sym_break] = ACTIONS(1163),
    [anon_sym_continue] = ACTIONS(1163),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_yield] = ACTIONS(1163),
    [anon_sym_resume] = ACTIONS(1163),
    [anon_sym_local] = ACTIONS(1163),
    [anon_sym_EQ] = ACTIONS(1163),
    [anon_sym_LT_DASH] = ACTIONS(1161),
    [anon_sym_function] = ACTIONS(1163),
    [anon_sym_COLON_COLON] = ACTIONS(1161),
    [anon_sym_class] = ACTIONS(1163),
    [anon_sym_DOT] = ACTIONS(1161),
    [anon_sym_LBRACK] = ACTIONS(1161),
    [anon_sym_try] = ACTIONS(1163),
    [anon_sym_throw] = ACTIONS(1163),
    [anon_sym_const] = ACTIONS(1163),
    [anon_sym_enum] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1163),
    [anon_sym_TILDE] = ACTIONS(1161),
    [anon_sym_BANG] = ACTIONS(1163),
    [anon_sym_typeof] = ACTIONS(1163),
    [anon_sym_PLUS_PLUS] = ACTIONS(1161),
    [anon_sym_DASH_DASH] = ACTIONS(1161),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_STAR] = ACTIONS(1163),
    [anon_sym_SLASH] = ACTIONS(1163),
    [anon_sym_PERCENT] = ACTIONS(1163),
    [anon_sym_PIPE_PIPE] = ACTIONS(1161),
    [anon_sym_AMP_AMP] = ACTIONS(1161),
    [anon_sym_PIPE] = ACTIONS(1163),
    [anon_sym_CARET] = ACTIONS(1161),
    [anon_sym_AMP] = ACTIONS(1163),
    [anon_sym_EQ_EQ] = ACTIONS(1161),
    [anon_sym_BANG_EQ] = ACTIONS(1161),
    [anon_sym_LT_EQ_GT] = ACTIONS(1161),
    [anon_sym_GT] = ACTIONS(1163),
    [anon_sym_GT_EQ] = ACTIONS(1161),
    [anon_sym_LT_EQ] = ACTIONS(1163),
    [anon_sym_LT] = ACTIONS(1163),
    [anon_sym_instanceof] = ACTIONS(1163),
    [anon_sym_LT_LT] = ACTIONS(1161),
    [anon_sym_GT_GT] = ACTIONS(1163),
    [anon_sym_GT_GT_GT] = ACTIONS(1161),
    [anon_sym_QMARK] = ACTIONS(1161),
    [anon_sym_PLUS_EQ] = ACTIONS(1161),
    [anon_sym_DASH_EQ] = ACTIONS(1161),
    [anon_sym_STAR_EQ] = ACTIONS(1161),
    [anon_sym_SLASH_EQ] = ACTIONS(1161),
    [anon_sym_PERCENT_EQ] = ACTIONS(1161),
    [anon_sym_delete] = ACTIONS(1163),
    [anon_sym_var] = ACTIONS(1163),
    [anon_sym_rawcall] = ACTIONS(1163),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_clone] = ACTIONS(1163),
    [sym_integer] = ACTIONS(1163),
    [sym_float] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1161),
    [anon_sym_true] = ACTIONS(1163),
    [anon_sym_false] = ACTIONS(1163),
    [sym_null] = ACTIONS(1163),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1161),
  },
  [285] = {
    [ts_builtin_sym_end] = ACTIONS(1151),
    [sym_identifier] = ACTIONS(1153),
    [anon_sym_SEMI] = ACTIONS(1151),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym_RBRACE] = ACTIONS(1151),
    [anon_sym_if] = ACTIONS(1153),
    [anon_sym_else] = ACTIONS(1153),
    [anon_sym_while] = ACTIONS(1153),
    [anon_sym_LPAREN] = ACTIONS(1151),
    [anon_sym_do] = ACTIONS(1153),
    [anon_sym_switch] = ACTIONS(1153),
    [anon_sym_case] = ACTIONS(1153),
    [anon_sym_default] = ACTIONS(1153),
    [anon_sym_for] = ACTIONS(1153),
    [anon_sym_foreach] = ACTIONS(1153),
    [anon_sym_COMMA] = ACTIONS(1151),
    [anon_sym_in] = ACTIONS(1153),
    [anon_sym_break] = ACTIONS(1153),
    [anon_sym_continue] = ACTIONS(1153),
    [anon_sym_return] = ACTIONS(1153),
    [anon_sym_yield] = ACTIONS(1153),
    [anon_sym_resume] = ACTIONS(1153),
    [anon_sym_local] = ACTIONS(1153),
    [anon_sym_EQ] = ACTIONS(1153),
    [anon_sym_LT_DASH] = ACTIONS(1151),
    [anon_sym_function] = ACTIONS(1153),
    [anon_sym_COLON_COLON] = ACTIONS(1151),
    [anon_sym_class] = ACTIONS(1153),
    [anon_sym_DOT] = ACTIONS(1151),
    [anon_sym_LBRACK] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_throw] = ACTIONS(1153),
    [anon_sym_const] = ACTIONS(1153),
    [anon_sym_enum] = ACTIONS(1153),
    [anon_sym_DASH] = ACTIONS(1153),
    [anon_sym_TILDE] = ACTIONS(1151),
    [anon_sym_BANG] = ACTIONS(1153),
    [anon_sym_typeof] = ACTIONS(1153),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1153),
    [anon_sym_STAR] = ACTIONS(1153),
    [anon_sym_SLASH] = ACTIONS(1153),
    [anon_sym_PERCENT] = ACTIONS(1153),
    [anon_sym_PIPE_PIPE] = ACTIONS(1151),
    [anon_sym_AMP_AMP] = ACTIONS(1151),
    [anon_sym_PIPE] = ACTIONS(1153),
    [anon_sym_CARET] = ACTIONS(1151),
    [anon_sym_AMP] = ACTIONS(1153),
    [anon_sym_EQ_EQ] = ACTIONS(1151),
    [anon_sym_BANG_EQ] = ACTIONS(1151),
    [anon_sym_LT_EQ_GT] = ACTIONS(1151),
    [anon_sym_GT] = ACTIONS(1153),
    [anon_sym_GT_EQ] = ACTIONS(1151),
    [anon_sym_LT_EQ] = ACTIONS(1153),
    [anon_sym_LT] = ACTIONS(1153),
    [anon_sym_instanceof] = ACTIONS(1153),
    [anon_sym_LT_LT] = ACTIONS(1151),
    [anon_sym_GT_GT] = ACTIONS(1153),
    [anon_sym_GT_GT_GT] = ACTIONS(1151),
    [anon_sym_QMARK] = ACTIONS(1151),
    [anon_sym_PLUS_EQ] = ACTIONS(1151),
    [anon_sym_DASH_EQ] = ACTIONS(1151),
    [anon_sym_STAR_EQ] = ACTIONS(1151),
    [anon_sym_SLASH_EQ] = ACTIONS(1151),
    [anon_sym_PERCENT_EQ] = ACTIONS(1151),
    [anon_sym_delete] = ACTIONS(1153),
    [anon_sym_var] = ACTIONS(1153),
    [anon_sym_rawcall] = ACTIONS(1153),
    [anon_sym_AT] = ACTIONS(1151),
    [anon_sym_clone] = ACTIONS(1153),
    [sym_integer] = ACTIONS(1153),
    [sym_float] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(1151),
    [anon_sym_SQUOTE] = ACTIONS(1153),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1151),
    [anon_sym_true] = ACTIONS(1153),
    [anon_sym_false] = ACTIONS(1153),
    [sym_null] = ACTIONS(1153),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1151),
  },
  [286] = {
    [ts_builtin_sym_end] = ACTIONS(1165),
    [sym_identifier] = ACTIONS(1167),
    [anon_sym_SEMI] = ACTIONS(1165),
    [anon_sym_LBRACE] = ACTIONS(1165),
    [anon_sym_RBRACE] = ACTIONS(1165),
    [anon_sym_if] = ACTIONS(1167),
    [anon_sym_else] = ACTIONS(1167),
    [anon_sym_while] = ACTIONS(1167),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(1167),
    [anon_sym_switch] = ACTIONS(1167),
    [anon_sym_case] = ACTIONS(1167),
    [anon_sym_default] = ACTIONS(1167),
    [anon_sym_for] = ACTIONS(1167),
    [anon_sym_foreach] = ACTIONS(1167),
    [anon_sym_COMMA] = ACTIONS(1165),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_break] = ACTIONS(1167),
    [anon_sym_continue] = ACTIONS(1167),
    [anon_sym_return] = ACTIONS(1167),
    [anon_sym_yield] = ACTIONS(1167),
    [anon_sym_resume] = ACTIONS(1167),
    [anon_sym_local] = ACTIONS(1167),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(1167),
    [anon_sym_COLON_COLON] = ACTIONS(1165),
    [anon_sym_class] = ACTIONS(1167),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(1167),
    [anon_sym_throw] = ACTIONS(1167),
    [anon_sym_const] = ACTIONS(1167),
    [anon_sym_enum] = ACTIONS(1167),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(1165),
    [anon_sym_BANG] = ACTIONS(1167),
    [anon_sym_typeof] = ACTIONS(1167),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(885),
    [anon_sym_AMP_AMP] = ACTIONS(887),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(905),
    [anon_sym_PLUS_EQ] = ACTIONS(873),
    [anon_sym_DASH_EQ] = ACTIONS(873),
    [anon_sym_STAR_EQ] = ACTIONS(873),
    [anon_sym_SLASH_EQ] = ACTIONS(873),
    [anon_sym_PERCENT_EQ] = ACTIONS(873),
    [anon_sym_delete] = ACTIONS(1167),
    [anon_sym_var] = ACTIONS(1167),
    [anon_sym_rawcall] = ACTIONS(1167),
    [anon_sym_AT] = ACTIONS(1165),
    [anon_sym_clone] = ACTIONS(1167),
    [sym_integer] = ACTIONS(1167),
    [sym_float] = ACTIONS(1165),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1165),
    [anon_sym_true] = ACTIONS(1167),
    [anon_sym_false] = ACTIONS(1167),
    [sym_null] = ACTIONS(1167),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1165),
  },
  [287] = {
    [ts_builtin_sym_end] = ACTIONS(1169),
    [sym_identifier] = ACTIONS(1171),
    [anon_sym_SEMI] = ACTIONS(1169),
    [anon_sym_LBRACE] = ACTIONS(1169),
    [anon_sym_RBRACE] = ACTIONS(1169),
    [anon_sym_if] = ACTIONS(1171),
    [anon_sym_else] = ACTIONS(1171),
    [anon_sym_while] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1169),
    [anon_sym_do] = ACTIONS(1171),
    [anon_sym_switch] = ACTIONS(1171),
    [anon_sym_case] = ACTIONS(1171),
    [anon_sym_default] = ACTIONS(1171),
    [anon_sym_for] = ACTIONS(1171),
    [anon_sym_foreach] = ACTIONS(1171),
    [anon_sym_COMMA] = ACTIONS(1169),
    [anon_sym_in] = ACTIONS(1171),
    [anon_sym_break] = ACTIONS(1171),
    [anon_sym_continue] = ACTIONS(1171),
    [anon_sym_return] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(1171),
    [anon_sym_resume] = ACTIONS(1171),
    [anon_sym_local] = ACTIONS(1171),
    [anon_sym_EQ] = ACTIONS(1171),
    [anon_sym_LT_DASH] = ACTIONS(1169),
    [anon_sym_function] = ACTIONS(1171),
    [anon_sym_COLON_COLON] = ACTIONS(1169),
    [anon_sym_class] = ACTIONS(1171),
    [anon_sym_DOT] = ACTIONS(1169),
    [anon_sym_LBRACK] = ACTIONS(1169),
    [anon_sym_try] = ACTIONS(1171),
    [anon_sym_throw] = ACTIONS(1171),
    [anon_sym_const] = ACTIONS(1171),
    [anon_sym_enum] = ACTIONS(1171),
    [anon_sym_DASH] = ACTIONS(1171),
    [anon_sym_TILDE] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1171),
    [anon_sym_typeof] = ACTIONS(1171),
    [anon_sym_PLUS_PLUS] = ACTIONS(1169),
    [anon_sym_DASH_DASH] = ACTIONS(1169),
    [anon_sym_PLUS] = ACTIONS(1171),
    [anon_sym_STAR] = ACTIONS(1171),
    [anon_sym_SLASH] = ACTIONS(1171),
    [anon_sym_PERCENT] = ACTIONS(1171),
    [anon_sym_PIPE_PIPE] = ACTIONS(1169),
    [anon_sym_AMP_AMP] = ACTIONS(1169),
    [anon_sym_PIPE] = ACTIONS(1171),
    [anon_sym_CARET] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1171),
    [anon_sym_EQ_EQ] = ACTIONS(1169),
    [anon_sym_BANG_EQ] = ACTIONS(1169),
    [anon_sym_LT_EQ_GT] = ACTIONS(1169),
    [anon_sym_GT] = ACTIONS(1171),
    [anon_sym_GT_EQ] = ACTIONS(1169),
    [anon_sym_LT_EQ] = ACTIONS(1171),
    [anon_sym_LT] = ACTIONS(1171),
    [anon_sym_instanceof] = ACTIONS(1171),
    [anon_sym_LT_LT] = ACTIONS(1169),
    [anon_sym_GT_GT] = ACTIONS(1171),
    [anon_sym_GT_GT_GT] = ACTIONS(1169),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_PLUS_EQ] = ACTIONS(1169),
    [anon_sym_DASH_EQ] = ACTIONS(1169),
    [anon_sym_STAR_EQ] = ACTIONS(1169),
    [anon_sym_SLASH_EQ] = ACTIONS(1169),
    [anon_sym_PERCENT_EQ] = ACTIONS(1169),
    [anon_sym_delete] = ACTIONS(1171),
    [anon_sym_var] = ACTIONS(1171),
    [anon_sym_rawcall] = ACTIONS(1171),
    [anon_sym_AT] = ACTIONS(1169),
    [anon_sym_clone] = ACTIONS(1171),
    [sym_integer] = ACTIONS(1171),
    [sym_float] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_SQUOTE] = ACTIONS(1171),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1169),
    [anon_sym_true] = ACTIONS(1171),
    [anon_sym_false] = ACTIONS(1171),
    [sym_null] = ACTIONS(1171),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1169),
  },
  [288] = {
    [ts_builtin_sym_end] = ACTIONS(1173),
    [sym_identifier] = ACTIONS(1175),
    [anon_sym_SEMI] = ACTIONS(1173),
    [anon_sym_LBRACE] = ACTIONS(1173),
    [anon_sym_RBRACE] = ACTIONS(1173),
    [anon_sym_if] = ACTIONS(1175),
    [anon_sym_else] = ACTIONS(1175),
    [anon_sym_while] = ACTIONS(1175),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_do] = ACTIONS(1175),
    [anon_sym_switch] = ACTIONS(1175),
    [anon_sym_case] = ACTIONS(1175),
    [anon_sym_default] = ACTIONS(1175),
    [anon_sym_for] = ACTIONS(1175),
    [anon_sym_foreach] = ACTIONS(1175),
    [anon_sym_COMMA] = ACTIONS(1173),
    [anon_sym_in] = ACTIONS(1175),
    [anon_sym_break] = ACTIONS(1175),
    [anon_sym_continue] = ACTIONS(1175),
    [anon_sym_return] = ACTIONS(1175),
    [anon_sym_yield] = ACTIONS(1175),
    [anon_sym_resume] = ACTIONS(1175),
    [anon_sym_local] = ACTIONS(1175),
    [anon_sym_EQ] = ACTIONS(1175),
    [anon_sym_LT_DASH] = ACTIONS(1173),
    [anon_sym_function] = ACTIONS(1175),
    [anon_sym_COLON_COLON] = ACTIONS(1173),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_DOT] = ACTIONS(1173),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_try] = ACTIONS(1175),
    [anon_sym_throw] = ACTIONS(1175),
    [anon_sym_const] = ACTIONS(1175),
    [anon_sym_enum] = ACTIONS(1175),
    [anon_sym_DASH] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1173),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_typeof] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1173),
    [anon_sym_DASH_DASH] = ACTIONS(1173),
    [anon_sym_PLUS] = ACTIONS(1175),
    [anon_sym_STAR] = ACTIONS(1175),
    [anon_sym_SLASH] = ACTIONS(1175),
    [anon_sym_PERCENT] = ACTIONS(1175),
    [anon_sym_PIPE_PIPE] = ACTIONS(1173),
    [anon_sym_AMP_AMP] = ACTIONS(1173),
    [anon_sym_PIPE] = ACTIONS(1175),
    [anon_sym_CARET] = ACTIONS(1173),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_EQ_EQ] = ACTIONS(1173),
    [anon_sym_BANG_EQ] = ACTIONS(1173),
    [anon_sym_LT_EQ_GT] = ACTIONS(1173),
    [anon_sym_GT] = ACTIONS(1175),
    [anon_sym_GT_EQ] = ACTIONS(1173),
    [anon_sym_LT_EQ] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(1175),
    [anon_sym_instanceof] = ACTIONS(1175),
    [anon_sym_LT_LT] = ACTIONS(1173),
    [anon_sym_GT_GT] = ACTIONS(1175),
    [anon_sym_GT_GT_GT] = ACTIONS(1173),
    [anon_sym_QMARK] = ACTIONS(1173),
    [anon_sym_PLUS_EQ] = ACTIONS(1173),
    [anon_sym_DASH_EQ] = ACTIONS(1173),
    [anon_sym_STAR_EQ] = ACTIONS(1173),
    [anon_sym_SLASH_EQ] = ACTIONS(1173),
    [anon_sym_PERCENT_EQ] = ACTIONS(1173),
    [anon_sym_delete] = ACTIONS(1175),
    [anon_sym_var] = ACTIONS(1175),
    [anon_sym_rawcall] = ACTIONS(1175),
    [anon_sym_AT] = ACTIONS(1173),
    [anon_sym_clone] = ACTIONS(1175),
    [sym_integer] = ACTIONS(1175),
    [sym_float] = ACTIONS(1173),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [anon_sym_SQUOTE] = ACTIONS(1175),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1173),
    [anon_sym_true] = ACTIONS(1175),
    [anon_sym_false] = ACTIONS(1175),
    [sym_null] = ACTIONS(1175),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1173),
  },
  [289] = {
    [ts_builtin_sym_end] = ACTIONS(1177),
    [sym_identifier] = ACTIONS(1179),
    [anon_sym_SEMI] = ACTIONS(1177),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_RBRACE] = ACTIONS(1177),
    [anon_sym_if] = ACTIONS(1179),
    [anon_sym_else] = ACTIONS(1179),
    [anon_sym_while] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(1177),
    [anon_sym_do] = ACTIONS(1179),
    [anon_sym_switch] = ACTIONS(1179),
    [anon_sym_case] = ACTIONS(1179),
    [anon_sym_default] = ACTIONS(1179),
    [anon_sym_for] = ACTIONS(1179),
    [anon_sym_foreach] = ACTIONS(1179),
    [anon_sym_COMMA] = ACTIONS(1177),
    [anon_sym_in] = ACTIONS(1179),
    [anon_sym_break] = ACTIONS(1179),
    [anon_sym_continue] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1179),
    [anon_sym_resume] = ACTIONS(1179),
    [anon_sym_local] = ACTIONS(1179),
    [anon_sym_EQ] = ACTIONS(1179),
    [anon_sym_LT_DASH] = ACTIONS(1177),
    [anon_sym_function] = ACTIONS(1179),
    [anon_sym_COLON_COLON] = ACTIONS(1177),
    [anon_sym_class] = ACTIONS(1179),
    [anon_sym_DOT] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_try] = ACTIONS(1179),
    [anon_sym_throw] = ACTIONS(1179),
    [anon_sym_const] = ACTIONS(1179),
    [anon_sym_enum] = ACTIONS(1179),
    [anon_sym_DASH] = ACTIONS(1179),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_BANG] = ACTIONS(1179),
    [anon_sym_typeof] = ACTIONS(1179),
    [anon_sym_PLUS_PLUS] = ACTIONS(1177),
    [anon_sym_DASH_DASH] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1179),
    [anon_sym_STAR] = ACTIONS(1179),
    [anon_sym_SLASH] = ACTIONS(1179),
    [anon_sym_PERCENT] = ACTIONS(1179),
    [anon_sym_PIPE_PIPE] = ACTIONS(1177),
    [anon_sym_AMP_AMP] = ACTIONS(1177),
    [anon_sym_PIPE] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_EQ_EQ] = ACTIONS(1177),
    [anon_sym_BANG_EQ] = ACTIONS(1177),
    [anon_sym_LT_EQ_GT] = ACTIONS(1177),
    [anon_sym_GT] = ACTIONS(1179),
    [anon_sym_GT_EQ] = ACTIONS(1177),
    [anon_sym_LT_EQ] = ACTIONS(1179),
    [anon_sym_LT] = ACTIONS(1179),
    [anon_sym_instanceof] = ACTIONS(1179),
    [anon_sym_LT_LT] = ACTIONS(1177),
    [anon_sym_GT_GT] = ACTIONS(1179),
    [anon_sym_GT_GT_GT] = ACTIONS(1177),
    [anon_sym_QMARK] = ACTIONS(1177),
    [anon_sym_PLUS_EQ] = ACTIONS(1177),
    [anon_sym_DASH_EQ] = ACTIONS(1177),
    [anon_sym_STAR_EQ] = ACTIONS(1177),
    [anon_sym_SLASH_EQ] = ACTIONS(1177),
    [anon_sym_PERCENT_EQ] = ACTIONS(1177),
    [anon_sym_delete] = ACTIONS(1179),
    [anon_sym_var] = ACTIONS(1179),
    [anon_sym_rawcall] = ACTIONS(1179),
    [anon_sym_AT] = ACTIONS(1177),
    [anon_sym_clone] = ACTIONS(1179),
    [sym_integer] = ACTIONS(1179),
    [sym_float] = ACTIONS(1177),
    [anon_sym_DQUOTE] = ACTIONS(1177),
    [anon_sym_SQUOTE] = ACTIONS(1179),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1177),
    [anon_sym_true] = ACTIONS(1179),
    [anon_sym_false] = ACTIONS(1179),
    [sym_null] = ACTIONS(1179),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1177),
  },
  [290] = {
    [ts_builtin_sym_end] = ACTIONS(949),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_SEMI] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(949),
    [anon_sym_RBRACE] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(951),
    [anon_sym_else] = ACTIONS(951),
    [anon_sym_while] = ACTIONS(951),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(951),
    [anon_sym_switch] = ACTIONS(951),
    [anon_sym_case] = ACTIONS(951),
    [anon_sym_default] = ACTIONS(951),
    [anon_sym_for] = ACTIONS(951),
    [anon_sym_foreach] = ACTIONS(951),
    [anon_sym_COMMA] = ACTIONS(959),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_break] = ACTIONS(951),
    [anon_sym_continue] = ACTIONS(951),
    [anon_sym_return] = ACTIONS(951),
    [anon_sym_yield] = ACTIONS(951),
    [anon_sym_resume] = ACTIONS(951),
    [anon_sym_local] = ACTIONS(951),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(951),
    [anon_sym_COLON_COLON] = ACTIONS(949),
    [anon_sym_class] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(951),
    [anon_sym_throw] = ACTIONS(951),
    [anon_sym_const] = ACTIONS(951),
    [anon_sym_enum] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_typeof] = ACTIONS(951),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(885),
    [anon_sym_AMP_AMP] = ACTIONS(887),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(905),
    [anon_sym_PLUS_EQ] = ACTIONS(873),
    [anon_sym_DASH_EQ] = ACTIONS(873),
    [anon_sym_STAR_EQ] = ACTIONS(873),
    [anon_sym_SLASH_EQ] = ACTIONS(873),
    [anon_sym_PERCENT_EQ] = ACTIONS(873),
    [anon_sym_delete] = ACTIONS(951),
    [anon_sym_var] = ACTIONS(951),
    [anon_sym_rawcall] = ACTIONS(951),
    [anon_sym_AT] = ACTIONS(949),
    [anon_sym_clone] = ACTIONS(951),
    [sym_integer] = ACTIONS(951),
    [sym_float] = ACTIONS(949),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [anon_sym_SQUOTE] = ACTIONS(951),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [sym_null] = ACTIONS(951),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(949),
  },
  [291] = {
    [ts_builtin_sym_end] = ACTIONS(1181),
    [sym_identifier] = ACTIONS(1183),
    [anon_sym_SEMI] = ACTIONS(1181),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_RBRACE] = ACTIONS(1181),
    [anon_sym_if] = ACTIONS(1183),
    [anon_sym_else] = ACTIONS(1183),
    [anon_sym_while] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1181),
    [anon_sym_do] = ACTIONS(1183),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_case] = ACTIONS(1183),
    [anon_sym_default] = ACTIONS(1183),
    [anon_sym_for] = ACTIONS(1183),
    [anon_sym_foreach] = ACTIONS(1183),
    [anon_sym_COMMA] = ACTIONS(1181),
    [anon_sym_in] = ACTIONS(1183),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_continue] = ACTIONS(1183),
    [anon_sym_return] = ACTIONS(1183),
    [anon_sym_yield] = ACTIONS(1183),
    [anon_sym_resume] = ACTIONS(1183),
    [anon_sym_local] = ACTIONS(1183),
    [anon_sym_EQ] = ACTIONS(1183),
    [anon_sym_LT_DASH] = ACTIONS(1181),
    [anon_sym_function] = ACTIONS(1183),
    [anon_sym_COLON_COLON] = ACTIONS(1181),
    [anon_sym_class] = ACTIONS(1183),
    [anon_sym_DOT] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1181),
    [anon_sym_try] = ACTIONS(1183),
    [anon_sym_throw] = ACTIONS(1183),
    [anon_sym_const] = ACTIONS(1183),
    [anon_sym_enum] = ACTIONS(1183),
    [anon_sym_DASH] = ACTIONS(1183),
    [anon_sym_TILDE] = ACTIONS(1181),
    [anon_sym_BANG] = ACTIONS(1183),
    [anon_sym_typeof] = ACTIONS(1183),
    [anon_sym_PLUS_PLUS] = ACTIONS(1181),
    [anon_sym_DASH_DASH] = ACTIONS(1181),
    [anon_sym_PLUS] = ACTIONS(1183),
    [anon_sym_STAR] = ACTIONS(1183),
    [anon_sym_SLASH] = ACTIONS(1183),
    [anon_sym_PERCENT] = ACTIONS(1183),
    [anon_sym_PIPE_PIPE] = ACTIONS(1181),
    [anon_sym_AMP_AMP] = ACTIONS(1181),
    [anon_sym_PIPE] = ACTIONS(1183),
    [anon_sym_CARET] = ACTIONS(1181),
    [anon_sym_AMP] = ACTIONS(1183),
    [anon_sym_EQ_EQ] = ACTIONS(1181),
    [anon_sym_BANG_EQ] = ACTIONS(1181),
    [anon_sym_LT_EQ_GT] = ACTIONS(1181),
    [anon_sym_GT] = ACTIONS(1183),
    [anon_sym_GT_EQ] = ACTIONS(1181),
    [anon_sym_LT_EQ] = ACTIONS(1183),
    [anon_sym_LT] = ACTIONS(1183),
    [anon_sym_instanceof] = ACTIONS(1183),
    [anon_sym_LT_LT] = ACTIONS(1181),
    [anon_sym_GT_GT] = ACTIONS(1183),
    [anon_sym_GT_GT_GT] = ACTIONS(1181),
    [anon_sym_QMARK] = ACTIONS(1181),
    [anon_sym_PLUS_EQ] = ACTIONS(1181),
    [anon_sym_DASH_EQ] = ACTIONS(1181),
    [anon_sym_STAR_EQ] = ACTIONS(1181),
    [anon_sym_SLASH_EQ] = ACTIONS(1181),
    [anon_sym_PERCENT_EQ] = ACTIONS(1181),
    [anon_sym_delete] = ACTIONS(1183),
    [anon_sym_var] = ACTIONS(1183),
    [anon_sym_rawcall] = ACTIONS(1183),
    [anon_sym_AT] = ACTIONS(1181),
    [anon_sym_clone] = ACTIONS(1183),
    [sym_integer] = ACTIONS(1183),
    [sym_float] = ACTIONS(1181),
    [anon_sym_DQUOTE] = ACTIONS(1181),
    [anon_sym_SQUOTE] = ACTIONS(1183),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1181),
    [anon_sym_true] = ACTIONS(1183),
    [anon_sym_false] = ACTIONS(1183),
    [sym_null] = ACTIONS(1183),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1181),
  },
  [292] = {
    [ts_builtin_sym_end] = ACTIONS(915),
    [sym_identifier] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_RBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_else] = ACTIONS(917),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(917),
    [anon_sym_switch] = ACTIONS(917),
    [anon_sym_case] = ACTIONS(917),
    [anon_sym_default] = ACTIONS(917),
    [anon_sym_for] = ACTIONS(917),
    [anon_sym_foreach] = ACTIONS(917),
    [anon_sym_COMMA] = ACTIONS(915),
    [anon_sym_in] = ACTIONS(917),
    [anon_sym_break] = ACTIONS(917),
    [anon_sym_continue] = ACTIONS(917),
    [anon_sym_return] = ACTIONS(917),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_resume] = ACTIONS(917),
    [anon_sym_local] = ACTIONS(917),
    [anon_sym_EQ] = ACTIONS(917),
    [anon_sym_LT_DASH] = ACTIONS(915),
    [anon_sym_function] = ACTIONS(917),
    [anon_sym_COLON_COLON] = ACTIONS(915),
    [anon_sym_class] = ACTIONS(917),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(917),
    [anon_sym_throw] = ACTIONS(917),
    [anon_sym_const] = ACTIONS(917),
    [anon_sym_enum] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(915),
    [anon_sym_BANG] = ACTIONS(917),
    [anon_sym_typeof] = ACTIONS(917),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(915),
    [anon_sym_AMP_AMP] = ACTIONS(915),
    [anon_sym_PIPE] = ACTIONS(917),
    [anon_sym_CARET] = ACTIONS(915),
    [anon_sym_AMP] = ACTIONS(917),
    [anon_sym_EQ_EQ] = ACTIONS(915),
    [anon_sym_BANG_EQ] = ACTIONS(915),
    [anon_sym_LT_EQ_GT] = ACTIONS(915),
    [anon_sym_GT] = ACTIONS(917),
    [anon_sym_GT_EQ] = ACTIONS(915),
    [anon_sym_LT_EQ] = ACTIONS(917),
    [anon_sym_LT] = ACTIONS(917),
    [anon_sym_instanceof] = ACTIONS(917),
    [anon_sym_LT_LT] = ACTIONS(915),
    [anon_sym_GT_GT] = ACTIONS(917),
    [anon_sym_GT_GT_GT] = ACTIONS(915),
    [anon_sym_QMARK] = ACTIONS(915),
    [anon_sym_PLUS_EQ] = ACTIONS(915),
    [anon_sym_DASH_EQ] = ACTIONS(915),
    [anon_sym_STAR_EQ] = ACTIONS(915),
    [anon_sym_SLASH_EQ] = ACTIONS(915),
    [anon_sym_PERCENT_EQ] = ACTIONS(915),
    [anon_sym_delete] = ACTIONS(917),
    [anon_sym_var] = ACTIONS(917),
    [anon_sym_rawcall] = ACTIONS(917),
    [anon_sym_AT] = ACTIONS(915),
    [anon_sym_clone] = ACTIONS(917),
    [sym_integer] = ACTIONS(917),
    [sym_float] = ACTIONS(915),
    [anon_sym_DQUOTE] = ACTIONS(915),
    [anon_sym_SQUOTE] = ACTIONS(917),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(917),
    [anon_sym_false] = ACTIONS(917),
    [sym_null] = ACTIONS(917),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(915),
  },
  [293] = {
    [ts_builtin_sym_end] = ACTIONS(1185),
    [sym_identifier] = ACTIONS(1187),
    [anon_sym_SEMI] = ACTIONS(1185),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_RBRACE] = ACTIONS(1185),
    [anon_sym_if] = ACTIONS(1187),
    [anon_sym_else] = ACTIONS(1187),
    [anon_sym_while] = ACTIONS(1187),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_do] = ACTIONS(1187),
    [anon_sym_switch] = ACTIONS(1187),
    [anon_sym_case] = ACTIONS(1187),
    [anon_sym_default] = ACTIONS(1187),
    [anon_sym_for] = ACTIONS(1187),
    [anon_sym_foreach] = ACTIONS(1187),
    [anon_sym_COMMA] = ACTIONS(1185),
    [anon_sym_in] = ACTIONS(1187),
    [anon_sym_break] = ACTIONS(1187),
    [anon_sym_continue] = ACTIONS(1187),
    [anon_sym_return] = ACTIONS(1187),
    [anon_sym_yield] = ACTIONS(1187),
    [anon_sym_resume] = ACTIONS(1187),
    [anon_sym_local] = ACTIONS(1187),
    [anon_sym_EQ] = ACTIONS(1187),
    [anon_sym_LT_DASH] = ACTIONS(1185),
    [anon_sym_function] = ACTIONS(1187),
    [anon_sym_COLON_COLON] = ACTIONS(1185),
    [anon_sym_class] = ACTIONS(1187),
    [anon_sym_DOT] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1185),
    [anon_sym_try] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1187),
    [anon_sym_const] = ACTIONS(1187),
    [anon_sym_enum] = ACTIONS(1187),
    [anon_sym_DASH] = ACTIONS(1187),
    [anon_sym_TILDE] = ACTIONS(1185),
    [anon_sym_BANG] = ACTIONS(1187),
    [anon_sym_typeof] = ACTIONS(1187),
    [anon_sym_PLUS_PLUS] = ACTIONS(1185),
    [anon_sym_DASH_DASH] = ACTIONS(1185),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_STAR] = ACTIONS(1187),
    [anon_sym_SLASH] = ACTIONS(1187),
    [anon_sym_PERCENT] = ACTIONS(1187),
    [anon_sym_PIPE_PIPE] = ACTIONS(1185),
    [anon_sym_AMP_AMP] = ACTIONS(1185),
    [anon_sym_PIPE] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1185),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_EQ_EQ] = ACTIONS(1185),
    [anon_sym_BANG_EQ] = ACTIONS(1185),
    [anon_sym_LT_EQ_GT] = ACTIONS(1185),
    [anon_sym_GT] = ACTIONS(1187),
    [anon_sym_GT_EQ] = ACTIONS(1185),
    [anon_sym_LT_EQ] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1187),
    [anon_sym_instanceof] = ACTIONS(1187),
    [anon_sym_LT_LT] = ACTIONS(1185),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_GT_GT_GT] = ACTIONS(1185),
    [anon_sym_QMARK] = ACTIONS(1185),
    [anon_sym_PLUS_EQ] = ACTIONS(1185),
    [anon_sym_DASH_EQ] = ACTIONS(1185),
    [anon_sym_STAR_EQ] = ACTIONS(1185),
    [anon_sym_SLASH_EQ] = ACTIONS(1185),
    [anon_sym_PERCENT_EQ] = ACTIONS(1185),
    [anon_sym_delete] = ACTIONS(1187),
    [anon_sym_var] = ACTIONS(1187),
    [anon_sym_rawcall] = ACTIONS(1187),
    [anon_sym_AT] = ACTIONS(1185),
    [anon_sym_clone] = ACTIONS(1187),
    [sym_integer] = ACTIONS(1187),
    [sym_float] = ACTIONS(1185),
    [anon_sym_DQUOTE] = ACTIONS(1185),
    [anon_sym_SQUOTE] = ACTIONS(1187),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1185),
    [anon_sym_true] = ACTIONS(1187),
    [anon_sym_false] = ACTIONS(1187),
    [sym_null] = ACTIONS(1187),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1185),
  },
  [294] = {
    [ts_builtin_sym_end] = ACTIONS(1189),
    [sym_identifier] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_RBRACE] = ACTIONS(1189),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1189),
    [anon_sym_do] = ACTIONS(1191),
    [anon_sym_switch] = ACTIONS(1191),
    [anon_sym_case] = ACTIONS(1191),
    [anon_sym_default] = ACTIONS(1191),
    [anon_sym_for] = ACTIONS(1191),
    [anon_sym_foreach] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(1189),
    [anon_sym_in] = ACTIONS(1191),
    [anon_sym_break] = ACTIONS(1191),
    [anon_sym_continue] = ACTIONS(1191),
    [anon_sym_return] = ACTIONS(1191),
    [anon_sym_yield] = ACTIONS(1191),
    [anon_sym_resume] = ACTIONS(1191),
    [anon_sym_local] = ACTIONS(1191),
    [anon_sym_EQ] = ACTIONS(1191),
    [anon_sym_LT_DASH] = ACTIONS(1189),
    [anon_sym_function] = ACTIONS(1191),
    [anon_sym_COLON_COLON] = ACTIONS(1189),
    [anon_sym_class] = ACTIONS(1191),
    [anon_sym_DOT] = ACTIONS(1189),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_throw] = ACTIONS(1191),
    [anon_sym_const] = ACTIONS(1191),
    [anon_sym_enum] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_TILDE] = ACTIONS(1189),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(1189),
    [anon_sym_DASH_DASH] = ACTIONS(1189),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_STAR] = ACTIONS(1191),
    [anon_sym_SLASH] = ACTIONS(1191),
    [anon_sym_PERCENT] = ACTIONS(1191),
    [anon_sym_PIPE_PIPE] = ACTIONS(1189),
    [anon_sym_AMP_AMP] = ACTIONS(1189),
    [anon_sym_PIPE] = ACTIONS(1191),
    [anon_sym_CARET] = ACTIONS(1189),
    [anon_sym_AMP] = ACTIONS(1191),
    [anon_sym_EQ_EQ] = ACTIONS(1189),
    [anon_sym_BANG_EQ] = ACTIONS(1189),
    [anon_sym_LT_EQ_GT] = ACTIONS(1189),
    [anon_sym_GT] = ACTIONS(1191),
    [anon_sym_GT_EQ] = ACTIONS(1189),
    [anon_sym_LT_EQ] = ACTIONS(1191),
    [anon_sym_LT] = ACTIONS(1191),
    [anon_sym_instanceof] = ACTIONS(1191),
    [anon_sym_LT_LT] = ACTIONS(1189),
    [anon_sym_GT_GT] = ACTIONS(1191),
    [anon_sym_GT_GT_GT] = ACTIONS(1189),
    [anon_sym_QMARK] = ACTIONS(1189),
    [anon_sym_PLUS_EQ] = ACTIONS(1189),
    [anon_sym_DASH_EQ] = ACTIONS(1189),
    [anon_sym_STAR_EQ] = ACTIONS(1189),
    [anon_sym_SLASH_EQ] = ACTIONS(1189),
    [anon_sym_PERCENT_EQ] = ACTIONS(1189),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_var] = ACTIONS(1191),
    [anon_sym_rawcall] = ACTIONS(1191),
    [anon_sym_AT] = ACTIONS(1189),
    [anon_sym_clone] = ACTIONS(1191),
    [sym_integer] = ACTIONS(1191),
    [sym_float] = ACTIONS(1189),
    [anon_sym_DQUOTE] = ACTIONS(1189),
    [anon_sym_SQUOTE] = ACTIONS(1191),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1189),
    [anon_sym_true] = ACTIONS(1191),
    [anon_sym_false] = ACTIONS(1191),
    [sym_null] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1189),
  },
  [295] = {
    [ts_builtin_sym_end] = ACTIONS(945),
    [sym_identifier] = ACTIONS(947),
    [anon_sym_SEMI] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_RBRACE] = ACTIONS(945),
    [anon_sym_if] = ACTIONS(947),
    [anon_sym_else] = ACTIONS(947),
    [anon_sym_while] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(947),
    [anon_sym_switch] = ACTIONS(947),
    [anon_sym_case] = ACTIONS(947),
    [anon_sym_default] = ACTIONS(947),
    [anon_sym_for] = ACTIONS(947),
    [anon_sym_foreach] = ACTIONS(947),
    [anon_sym_COMMA] = ACTIONS(945),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_break] = ACTIONS(947),
    [anon_sym_continue] = ACTIONS(947),
    [anon_sym_return] = ACTIONS(947),
    [anon_sym_yield] = ACTIONS(947),
    [anon_sym_resume] = ACTIONS(947),
    [anon_sym_local] = ACTIONS(947),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_COLON_COLON] = ACTIONS(945),
    [anon_sym_class] = ACTIONS(947),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_throw] = ACTIONS(947),
    [anon_sym_const] = ACTIONS(947),
    [anon_sym_enum] = ACTIONS(947),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(945),
    [anon_sym_BANG] = ACTIONS(947),
    [anon_sym_typeof] = ACTIONS(947),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(885),
    [anon_sym_AMP_AMP] = ACTIONS(887),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(905),
    [anon_sym_PLUS_EQ] = ACTIONS(873),
    [anon_sym_DASH_EQ] = ACTIONS(873),
    [anon_sym_STAR_EQ] = ACTIONS(873),
    [anon_sym_SLASH_EQ] = ACTIONS(873),
    [anon_sym_PERCENT_EQ] = ACTIONS(873),
    [anon_sym_delete] = ACTIONS(947),
    [anon_sym_var] = ACTIONS(947),
    [anon_sym_rawcall] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(945),
    [anon_sym_clone] = ACTIONS(947),
    [sym_integer] = ACTIONS(947),
    [sym_float] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(945),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(945),
    [anon_sym_true] = ACTIONS(947),
    [anon_sym_false] = ACTIONS(947),
    [sym_null] = ACTIONS(947),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(945),
  },
  [296] = {
    [ts_builtin_sym_end] = ACTIONS(1195),
    [sym_identifier] = ACTIONS(1197),
    [anon_sym_SEMI] = ACTIONS(1195),
    [anon_sym_LBRACE] = ACTIONS(1195),
    [anon_sym_RBRACE] = ACTIONS(1195),
    [anon_sym_if] = ACTIONS(1197),
    [anon_sym_else] = ACTIONS(1197),
    [anon_sym_while] = ACTIONS(1197),
    [anon_sym_LPAREN] = ACTIONS(1195),
    [anon_sym_do] = ACTIONS(1197),
    [anon_sym_switch] = ACTIONS(1197),
    [anon_sym_case] = ACTIONS(1197),
    [anon_sym_default] = ACTIONS(1197),
    [anon_sym_for] = ACTIONS(1197),
    [anon_sym_foreach] = ACTIONS(1197),
    [anon_sym_COMMA] = ACTIONS(1195),
    [anon_sym_in] = ACTIONS(1197),
    [anon_sym_break] = ACTIONS(1197),
    [anon_sym_continue] = ACTIONS(1197),
    [anon_sym_return] = ACTIONS(1197),
    [anon_sym_yield] = ACTIONS(1197),
    [anon_sym_resume] = ACTIONS(1197),
    [anon_sym_local] = ACTIONS(1197),
    [anon_sym_EQ] = ACTIONS(1197),
    [anon_sym_LT_DASH] = ACTIONS(1195),
    [anon_sym_function] = ACTIONS(1197),
    [anon_sym_COLON_COLON] = ACTIONS(1195),
    [anon_sym_class] = ACTIONS(1197),
    [anon_sym_DOT] = ACTIONS(1195),
    [anon_sym_LBRACK] = ACTIONS(1195),
    [anon_sym_try] = ACTIONS(1197),
    [anon_sym_throw] = ACTIONS(1197),
    [anon_sym_const] = ACTIONS(1197),
    [anon_sym_enum] = ACTIONS(1197),
    [anon_sym_DASH] = ACTIONS(1197),
    [anon_sym_TILDE] = ACTIONS(1195),
    [anon_sym_BANG] = ACTIONS(1197),
    [anon_sym_typeof] = ACTIONS(1197),
    [anon_sym_PLUS_PLUS] = ACTIONS(1195),
    [anon_sym_DASH_DASH] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1197),
    [anon_sym_STAR] = ACTIONS(1197),
    [anon_sym_SLASH] = ACTIONS(1197),
    [anon_sym_PERCENT] = ACTIONS(1197),
    [anon_sym_PIPE_PIPE] = ACTIONS(1195),
    [anon_sym_AMP_AMP] = ACTIONS(1195),
    [anon_sym_PIPE] = ACTIONS(1197),
    [anon_sym_CARET] = ACTIONS(1195),
    [anon_sym_AMP] = ACTIONS(1197),
    [anon_sym_EQ_EQ] = ACTIONS(1195),
    [anon_sym_BANG_EQ] = ACTIONS(1195),
    [anon_sym_LT_EQ_GT] = ACTIONS(1195),
    [anon_sym_GT] = ACTIONS(1197),
    [anon_sym_GT_EQ] = ACTIONS(1195),
    [anon_sym_LT_EQ] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(1197),
    [anon_sym_instanceof] = ACTIONS(1197),
    [anon_sym_LT_LT] = ACTIONS(1195),
    [anon_sym_GT_GT] = ACTIONS(1197),
    [anon_sym_GT_GT_GT] = ACTIONS(1195),
    [anon_sym_QMARK] = ACTIONS(1195),
    [anon_sym_PLUS_EQ] = ACTIONS(1195),
    [anon_sym_DASH_EQ] = ACTIONS(1195),
    [anon_sym_STAR_EQ] = ACTIONS(1195),
    [anon_sym_SLASH_EQ] = ACTIONS(1195),
    [anon_sym_PERCENT_EQ] = ACTIONS(1195),
    [anon_sym_delete] = ACTIONS(1197),
    [anon_sym_var] = ACTIONS(1197),
    [anon_sym_rawcall] = ACTIONS(1197),
    [anon_sym_AT] = ACTIONS(1195),
    [anon_sym_clone] = ACTIONS(1197),
    [sym_integer] = ACTIONS(1197),
    [sym_float] = ACTIONS(1195),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_SQUOTE] = ACTIONS(1197),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1195),
    [anon_sym_true] = ACTIONS(1197),
    [anon_sym_false] = ACTIONS(1197),
    [sym_null] = ACTIONS(1197),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1195),
  },
  [297] = {
    [ts_builtin_sym_end] = ACTIONS(1199),
    [sym_identifier] = ACTIONS(1201),
    [anon_sym_SEMI] = ACTIONS(1199),
    [anon_sym_LBRACE] = ACTIONS(1199),
    [anon_sym_RBRACE] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_else] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_do] = ACTIONS(1201),
    [anon_sym_switch] = ACTIONS(1201),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_default] = ACTIONS(1201),
    [anon_sym_for] = ACTIONS(1201),
    [anon_sym_foreach] = ACTIONS(1201),
    [anon_sym_COMMA] = ACTIONS(1199),
    [anon_sym_in] = ACTIONS(1201),
    [anon_sym_break] = ACTIONS(1201),
    [anon_sym_continue] = ACTIONS(1201),
    [anon_sym_return] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1201),
    [anon_sym_resume] = ACTIONS(1201),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_EQ] = ACTIONS(1201),
    [anon_sym_LT_DASH] = ACTIONS(1199),
    [anon_sym_function] = ACTIONS(1201),
    [anon_sym_COLON_COLON] = ACTIONS(1199),
    [anon_sym_class] = ACTIONS(1201),
    [anon_sym_DOT] = ACTIONS(1199),
    [anon_sym_LBRACK] = ACTIONS(1199),
    [anon_sym_try] = ACTIONS(1201),
    [anon_sym_throw] = ACTIONS(1201),
    [anon_sym_const] = ACTIONS(1201),
    [anon_sym_enum] = ACTIONS(1201),
    [anon_sym_DASH] = ACTIONS(1201),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_BANG] = ACTIONS(1201),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym_PLUS_PLUS] = ACTIONS(1199),
    [anon_sym_DASH_DASH] = ACTIONS(1199),
    [anon_sym_PLUS] = ACTIONS(1201),
    [anon_sym_STAR] = ACTIONS(1201),
    [anon_sym_SLASH] = ACTIONS(1201),
    [anon_sym_PERCENT] = ACTIONS(1201),
    [anon_sym_PIPE_PIPE] = ACTIONS(1199),
    [anon_sym_AMP_AMP] = ACTIONS(1199),
    [anon_sym_PIPE] = ACTIONS(1201),
    [anon_sym_CARET] = ACTIONS(1199),
    [anon_sym_AMP] = ACTIONS(1201),
    [anon_sym_EQ_EQ] = ACTIONS(1199),
    [anon_sym_BANG_EQ] = ACTIONS(1199),
    [anon_sym_LT_EQ_GT] = ACTIONS(1199),
    [anon_sym_GT] = ACTIONS(1201),
    [anon_sym_GT_EQ] = ACTIONS(1199),
    [anon_sym_LT_EQ] = ACTIONS(1201),
    [anon_sym_LT] = ACTIONS(1201),
    [anon_sym_instanceof] = ACTIONS(1201),
    [anon_sym_LT_LT] = ACTIONS(1199),
    [anon_sym_GT_GT] = ACTIONS(1201),
    [anon_sym_GT_GT_GT] = ACTIONS(1199),
    [anon_sym_QMARK] = ACTIONS(1199),
    [anon_sym_PLUS_EQ] = ACTIONS(1199),
    [anon_sym_DASH_EQ] = ACTIONS(1199),
    [anon_sym_STAR_EQ] = ACTIONS(1199),
    [anon_sym_SLASH_EQ] = ACTIONS(1199),
    [anon_sym_PERCENT_EQ] = ACTIONS(1199),
    [anon_sym_delete] = ACTIONS(1201),
    [anon_sym_var] = ACTIONS(1201),
    [anon_sym_rawcall] = ACTIONS(1201),
    [anon_sym_AT] = ACTIONS(1199),
    [anon_sym_clone] = ACTIONS(1201),
    [sym_integer] = ACTIONS(1201),
    [sym_float] = ACTIONS(1199),
    [anon_sym_DQUOTE] = ACTIONS(1199),
    [anon_sym_SQUOTE] = ACTIONS(1201),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1199),
    [anon_sym_true] = ACTIONS(1201),
    [anon_sym_false] = ACTIONS(1201),
    [sym_null] = ACTIONS(1201),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1199),
  },
  [298] = {
    [ts_builtin_sym_end] = ACTIONS(1199),
    [sym_identifier] = ACTIONS(1201),
    [anon_sym_SEMI] = ACTIONS(1203),
    [anon_sym_LBRACE] = ACTIONS(1199),
    [anon_sym_RBRACE] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_else] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(1201),
    [anon_sym_switch] = ACTIONS(1201),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_default] = ACTIONS(1201),
    [anon_sym_for] = ACTIONS(1201),
    [anon_sym_foreach] = ACTIONS(1201),
    [anon_sym_COMMA] = ACTIONS(1199),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_break] = ACTIONS(1201),
    [anon_sym_continue] = ACTIONS(1201),
    [anon_sym_return] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1201),
    [anon_sym_resume] = ACTIONS(1201),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(1201),
    [anon_sym_COLON_COLON] = ACTIONS(1199),
    [anon_sym_class] = ACTIONS(1201),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(1201),
    [anon_sym_throw] = ACTIONS(1201),
    [anon_sym_const] = ACTIONS(1201),
    [anon_sym_enum] = ACTIONS(1201),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_BANG] = ACTIONS(1201),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(885),
    [anon_sym_AMP_AMP] = ACTIONS(887),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(905),
    [anon_sym_PLUS_EQ] = ACTIONS(873),
    [anon_sym_DASH_EQ] = ACTIONS(873),
    [anon_sym_STAR_EQ] = ACTIONS(873),
    [anon_sym_SLASH_EQ] = ACTIONS(873),
    [anon_sym_PERCENT_EQ] = ACTIONS(873),
    [anon_sym_delete] = ACTIONS(1201),
    [anon_sym_var] = ACTIONS(1201),
    [anon_sym_rawcall] = ACTIONS(1201),
    [anon_sym_AT] = ACTIONS(1199),
    [anon_sym_clone] = ACTIONS(1201),
    [sym_integer] = ACTIONS(1201),
    [sym_float] = ACTIONS(1199),
    [anon_sym_DQUOTE] = ACTIONS(1199),
    [anon_sym_SQUOTE] = ACTIONS(1201),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1199),
    [anon_sym_true] = ACTIONS(1201),
    [anon_sym_false] = ACTIONS(1201),
    [sym_null] = ACTIONS(1201),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1199),
  },
  [299] = {
    [ts_builtin_sym_end] = ACTIONS(1205),
    [sym_identifier] = ACTIONS(1207),
    [anon_sym_SEMI] = ACTIONS(1205),
    [anon_sym_LBRACE] = ACTIONS(1205),
    [anon_sym_RBRACE] = ACTIONS(1205),
    [anon_sym_if] = ACTIONS(1207),
    [anon_sym_else] = ACTIONS(1207),
    [anon_sym_while] = ACTIONS(1207),
    [anon_sym_LPAREN] = ACTIONS(1205),
    [anon_sym_do] = ACTIONS(1207),
    [anon_sym_switch] = ACTIONS(1207),
    [anon_sym_case] = ACTIONS(1207),
    [anon_sym_default] = ACTIONS(1207),
    [anon_sym_for] = ACTIONS(1207),
    [anon_sym_foreach] = ACTIONS(1207),
    [anon_sym_COMMA] = ACTIONS(1205),
    [anon_sym_in] = ACTIONS(1207),
    [anon_sym_break] = ACTIONS(1207),
    [anon_sym_continue] = ACTIONS(1207),
    [anon_sym_return] = ACTIONS(1207),
    [anon_sym_yield] = ACTIONS(1207),
    [anon_sym_resume] = ACTIONS(1207),
    [anon_sym_local] = ACTIONS(1207),
    [anon_sym_EQ] = ACTIONS(1207),
    [anon_sym_LT_DASH] = ACTIONS(1205),
    [anon_sym_function] = ACTIONS(1207),
    [anon_sym_COLON_COLON] = ACTIONS(1205),
    [anon_sym_class] = ACTIONS(1207),
    [anon_sym_DOT] = ACTIONS(1205),
    [anon_sym_LBRACK] = ACTIONS(1205),
    [anon_sym_try] = ACTIONS(1207),
    [anon_sym_throw] = ACTIONS(1207),
    [anon_sym_const] = ACTIONS(1207),
    [anon_sym_enum] = ACTIONS(1207),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_TILDE] = ACTIONS(1205),
    [anon_sym_BANG] = ACTIONS(1207),
    [anon_sym_typeof] = ACTIONS(1207),
    [anon_sym_PLUS_PLUS] = ACTIONS(1205),
    [anon_sym_DASH_DASH] = ACTIONS(1205),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_STAR] = ACTIONS(1207),
    [anon_sym_SLASH] = ACTIONS(1207),
    [anon_sym_PERCENT] = ACTIONS(1207),
    [anon_sym_PIPE_PIPE] = ACTIONS(1205),
    [anon_sym_AMP_AMP] = ACTIONS(1205),
    [anon_sym_PIPE] = ACTIONS(1207),
    [anon_sym_CARET] = ACTIONS(1205),
    [anon_sym_AMP] = ACTIONS(1207),
    [anon_sym_EQ_EQ] = ACTIONS(1205),
    [anon_sym_BANG_EQ] = ACTIONS(1205),
    [anon_sym_LT_EQ_GT] = ACTIONS(1205),
    [anon_sym_GT] = ACTIONS(1207),
    [anon_sym_GT_EQ] = ACTIONS(1205),
    [anon_sym_LT_EQ] = ACTIONS(1207),
    [anon_sym_LT] = ACTIONS(1207),
    [anon_sym_instanceof] = ACTIONS(1207),
    [anon_sym_LT_LT] = ACTIONS(1205),
    [anon_sym_GT_GT] = ACTIONS(1207),
    [anon_sym_GT_GT_GT] = ACTIONS(1205),
    [anon_sym_QMARK] = ACTIONS(1205),
    [anon_sym_PLUS_EQ] = ACTIONS(1205),
    [anon_sym_DASH_EQ] = ACTIONS(1205),
    [anon_sym_STAR_EQ] = ACTIONS(1205),
    [anon_sym_SLASH_EQ] = ACTIONS(1205),
    [anon_sym_PERCENT_EQ] = ACTIONS(1205),
    [anon_sym_delete] = ACTIONS(1207),
    [anon_sym_var] = ACTIONS(1207),
    [anon_sym_rawcall] = ACTIONS(1207),
    [anon_sym_AT] = ACTIONS(1205),
    [anon_sym_clone] = ACTIONS(1207),
    [sym_integer] = ACTIONS(1207),
    [sym_float] = ACTIONS(1205),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_SQUOTE] = ACTIONS(1207),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1205),
    [anon_sym_true] = ACTIONS(1207),
    [anon_sym_false] = ACTIONS(1207),
    [sym_null] = ACTIONS(1207),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1205),
  },
  [300] = {
    [ts_builtin_sym_end] = ACTIONS(945),
    [sym_identifier] = ACTIONS(947),
    [anon_sym_SEMI] = ACTIONS(945),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_RBRACE] = ACTIONS(945),
    [anon_sym_if] = ACTIONS(947),
    [anon_sym_else] = ACTIONS(947),
    [anon_sym_while] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_do] = ACTIONS(947),
    [anon_sym_switch] = ACTIONS(947),
    [anon_sym_case] = ACTIONS(947),
    [anon_sym_default] = ACTIONS(947),
    [anon_sym_for] = ACTIONS(947),
    [anon_sym_foreach] = ACTIONS(947),
    [anon_sym_COMMA] = ACTIONS(945),
    [anon_sym_in] = ACTIONS(947),
    [anon_sym_break] = ACTIONS(947),
    [anon_sym_continue] = ACTIONS(947),
    [anon_sym_return] = ACTIONS(947),
    [anon_sym_yield] = ACTIONS(947),
    [anon_sym_resume] = ACTIONS(947),
    [anon_sym_local] = ACTIONS(947),
    [anon_sym_EQ] = ACTIONS(947),
    [anon_sym_LT_DASH] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_COLON_COLON] = ACTIONS(945),
    [anon_sym_class] = ACTIONS(947),
    [anon_sym_DOT] = ACTIONS(945),
    [anon_sym_LBRACK] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_throw] = ACTIONS(947),
    [anon_sym_const] = ACTIONS(947),
    [anon_sym_enum] = ACTIONS(947),
    [anon_sym_DASH] = ACTIONS(947),
    [anon_sym_TILDE] = ACTIONS(945),
    [anon_sym_BANG] = ACTIONS(947),
    [anon_sym_typeof] = ACTIONS(947),
    [anon_sym_PLUS_PLUS] = ACTIONS(945),
    [anon_sym_DASH_DASH] = ACTIONS(945),
    [anon_sym_PLUS] = ACTIONS(947),
    [anon_sym_STAR] = ACTIONS(947),
    [anon_sym_SLASH] = ACTIONS(947),
    [anon_sym_PERCENT] = ACTIONS(947),
    [anon_sym_PIPE_PIPE] = ACTIONS(945),
    [anon_sym_AMP_AMP] = ACTIONS(945),
    [anon_sym_PIPE] = ACTIONS(947),
    [anon_sym_CARET] = ACTIONS(945),
    [anon_sym_AMP] = ACTIONS(947),
    [anon_sym_EQ_EQ] = ACTIONS(945),
    [anon_sym_BANG_EQ] = ACTIONS(945),
    [anon_sym_LT_EQ_GT] = ACTIONS(945),
    [anon_sym_GT] = ACTIONS(947),
    [anon_sym_GT_EQ] = ACTIONS(945),
    [anon_sym_LT_EQ] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(947),
    [anon_sym_instanceof] = ACTIONS(947),
    [anon_sym_LT_LT] = ACTIONS(945),
    [anon_sym_GT_GT] = ACTIONS(947),
    [anon_sym_GT_GT_GT] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(945),
    [anon_sym_PLUS_EQ] = ACTIONS(945),
    [anon_sym_DASH_EQ] = ACTIONS(945),
    [anon_sym_STAR_EQ] = ACTIONS(945),
    [anon_sym_SLASH_EQ] = ACTIONS(945),
    [anon_sym_PERCENT_EQ] = ACTIONS(945),
    [anon_sym_delete] = ACTIONS(947),
    [anon_sym_var] = ACTIONS(947),
    [anon_sym_rawcall] = ACTIONS(947),
    [anon_sym_AT] = ACTIONS(945),
    [anon_sym_clone] = ACTIONS(947),
    [sym_integer] = ACTIONS(947),
    [sym_float] = ACTIONS(945),
    [anon_sym_DQUOTE] = ACTIONS(945),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(945),
    [anon_sym_true] = ACTIONS(947),
    [anon_sym_false] = ACTIONS(947),
    [sym_null] = ACTIONS(947),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(945),
  },
  [301] = {
    [ts_builtin_sym_end] = ACTIONS(911),
    [sym_identifier] = ACTIONS(913),
    [anon_sym_SEMI] = ACTIONS(911),
    [anon_sym_LBRACE] = ACTIONS(911),
    [anon_sym_RBRACE] = ACTIONS(911),
    [anon_sym_if] = ACTIONS(913),
    [anon_sym_else] = ACTIONS(913),
    [anon_sym_while] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_do] = ACTIONS(913),
    [anon_sym_switch] = ACTIONS(913),
    [anon_sym_case] = ACTIONS(913),
    [anon_sym_default] = ACTIONS(913),
    [anon_sym_for] = ACTIONS(913),
    [anon_sym_foreach] = ACTIONS(913),
    [anon_sym_COMMA] = ACTIONS(911),
    [anon_sym_in] = ACTIONS(913),
    [anon_sym_break] = ACTIONS(913),
    [anon_sym_continue] = ACTIONS(913),
    [anon_sym_return] = ACTIONS(913),
    [anon_sym_yield] = ACTIONS(913),
    [anon_sym_resume] = ACTIONS(913),
    [anon_sym_local] = ACTIONS(913),
    [anon_sym_EQ] = ACTIONS(913),
    [anon_sym_LT_DASH] = ACTIONS(911),
    [anon_sym_function] = ACTIONS(913),
    [anon_sym_COLON_COLON] = ACTIONS(911),
    [anon_sym_class] = ACTIONS(913),
    [anon_sym_DOT] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(911),
    [anon_sym_try] = ACTIONS(913),
    [anon_sym_throw] = ACTIONS(913),
    [anon_sym_const] = ACTIONS(913),
    [anon_sym_enum] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(911),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_typeof] = ACTIONS(913),
    [anon_sym_PLUS_PLUS] = ACTIONS(911),
    [anon_sym_DASH_DASH] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_STAR] = ACTIONS(913),
    [anon_sym_SLASH] = ACTIONS(913),
    [anon_sym_PERCENT] = ACTIONS(913),
    [anon_sym_PIPE_PIPE] = ACTIONS(911),
    [anon_sym_AMP_AMP] = ACTIONS(911),
    [anon_sym_PIPE] = ACTIONS(913),
    [anon_sym_CARET] = ACTIONS(911),
    [anon_sym_AMP] = ACTIONS(913),
    [anon_sym_EQ_EQ] = ACTIONS(911),
    [anon_sym_BANG_EQ] = ACTIONS(911),
    [anon_sym_LT_EQ_GT] = ACTIONS(911),
    [anon_sym_GT] = ACTIONS(913),
    [anon_sym_GT_EQ] = ACTIONS(911),
    [anon_sym_LT_EQ] = ACTIONS(913),
    [anon_sym_LT] = ACTIONS(913),
    [anon_sym_instanceof] = ACTIONS(913),
    [anon_sym_LT_LT] = ACTIONS(911),
    [anon_sym_GT_GT] = ACTIONS(913),
    [anon_sym_GT_GT_GT] = ACTIONS(911),
    [anon_sym_QMARK] = ACTIONS(911),
    [anon_sym_PLUS_EQ] = ACTIONS(911),
    [anon_sym_DASH_EQ] = ACTIONS(911),
    [anon_sym_STAR_EQ] = ACTIONS(911),
    [anon_sym_SLASH_EQ] = ACTIONS(911),
    [anon_sym_PERCENT_EQ] = ACTIONS(911),
    [anon_sym_delete] = ACTIONS(913),
    [anon_sym_var] = ACTIONS(913),
    [anon_sym_rawcall] = ACTIONS(913),
    [anon_sym_AT] = ACTIONS(911),
    [anon_sym_clone] = ACTIONS(913),
    [sym_integer] = ACTIONS(913),
    [sym_float] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_SQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(911),
    [anon_sym_true] = ACTIONS(913),
    [anon_sym_false] = ACTIONS(913),
    [sym_null] = ACTIONS(913),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(911),
  },
  [302] = {
    [ts_builtin_sym_end] = ACTIONS(911),
    [sym_identifier] = ACTIONS(913),
    [anon_sym_SEMI] = ACTIONS(911),
    [anon_sym_LBRACE] = ACTIONS(911),
    [anon_sym_RBRACE] = ACTIONS(911),
    [anon_sym_if] = ACTIONS(913),
    [anon_sym_else] = ACTIONS(913),
    [anon_sym_while] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_do] = ACTIONS(913),
    [anon_sym_switch] = ACTIONS(913),
    [anon_sym_case] = ACTIONS(913),
    [anon_sym_default] = ACTIONS(913),
    [anon_sym_for] = ACTIONS(913),
    [anon_sym_foreach] = ACTIONS(913),
    [anon_sym_COMMA] = ACTIONS(911),
    [anon_sym_in] = ACTIONS(913),
    [anon_sym_break] = ACTIONS(913),
    [anon_sym_continue] = ACTIONS(913),
    [anon_sym_return] = ACTIONS(913),
    [anon_sym_yield] = ACTIONS(913),
    [anon_sym_resume] = ACTIONS(913),
    [anon_sym_local] = ACTIONS(913),
    [anon_sym_EQ] = ACTIONS(913),
    [anon_sym_LT_DASH] = ACTIONS(911),
    [anon_sym_function] = ACTIONS(913),
    [anon_sym_COLON_COLON] = ACTIONS(911),
    [anon_sym_class] = ACTIONS(913),
    [anon_sym_DOT] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(911),
    [anon_sym_try] = ACTIONS(913),
    [anon_sym_throw] = ACTIONS(913),
    [anon_sym_const] = ACTIONS(913),
    [anon_sym_enum] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(911),
    [anon_sym_BANG] = ACTIONS(913),
    [anon_sym_typeof] = ACTIONS(913),
    [anon_sym_PLUS_PLUS] = ACTIONS(911),
    [anon_sym_DASH_DASH] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_STAR] = ACTIONS(913),
    [anon_sym_SLASH] = ACTIONS(913),
    [anon_sym_PERCENT] = ACTIONS(913),
    [anon_sym_PIPE_PIPE] = ACTIONS(911),
    [anon_sym_AMP_AMP] = ACTIONS(911),
    [anon_sym_PIPE] = ACTIONS(913),
    [anon_sym_CARET] = ACTIONS(911),
    [anon_sym_AMP] = ACTIONS(913),
    [anon_sym_EQ_EQ] = ACTIONS(911),
    [anon_sym_BANG_EQ] = ACTIONS(911),
    [anon_sym_LT_EQ_GT] = ACTIONS(911),
    [anon_sym_GT] = ACTIONS(913),
    [anon_sym_GT_EQ] = ACTIONS(911),
    [anon_sym_LT_EQ] = ACTIONS(913),
    [anon_sym_LT] = ACTIONS(913),
    [anon_sym_instanceof] = ACTIONS(913),
    [anon_sym_LT_LT] = ACTIONS(911),
    [anon_sym_GT_GT] = ACTIONS(913),
    [anon_sym_GT_GT_GT] = ACTIONS(911),
    [anon_sym_QMARK] = ACTIONS(911),
    [anon_sym_PLUS_EQ] = ACTIONS(911),
    [anon_sym_DASH_EQ] = ACTIONS(911),
    [anon_sym_STAR_EQ] = ACTIONS(911),
    [anon_sym_SLASH_EQ] = ACTIONS(911),
    [anon_sym_PERCENT_EQ] = ACTIONS(911),
    [anon_sym_delete] = ACTIONS(913),
    [anon_sym_var] = ACTIONS(913),
    [anon_sym_rawcall] = ACTIONS(913),
    [anon_sym_AT] = ACTIONS(911),
    [anon_sym_clone] = ACTIONS(913),
    [sym_integer] = ACTIONS(913),
    [sym_float] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(911),
    [anon_sym_SQUOTE] = ACTIONS(913),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(911),
    [anon_sym_true] = ACTIONS(913),
    [anon_sym_false] = ACTIONS(913),
    [sym_null] = ACTIONS(913),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(911),
  },
  [303] = {
    [ts_builtin_sym_end] = ACTIONS(1209),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1213),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_RBRACE] = ACTIONS(1209),
    [anon_sym_if] = ACTIONS(1211),
    [anon_sym_else] = ACTIONS(1211),
    [anon_sym_while] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1209),
    [anon_sym_do] = ACTIONS(1211),
    [anon_sym_switch] = ACTIONS(1211),
    [anon_sym_case] = ACTIONS(1211),
    [anon_sym_default] = ACTIONS(1211),
    [anon_sym_for] = ACTIONS(1211),
    [anon_sym_foreach] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1209),
    [anon_sym_in] = ACTIONS(1211),
    [anon_sym_break] = ACTIONS(1211),
    [anon_sym_continue] = ACTIONS(1211),
    [anon_sym_return] = ACTIONS(1211),
    [anon_sym_yield] = ACTIONS(1211),
    [anon_sym_resume] = ACTIONS(1211),
    [anon_sym_local] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [anon_sym_LT_DASH] = ACTIONS(1209),
    [anon_sym_function] = ACTIONS(1211),
    [anon_sym_COLON_COLON] = ACTIONS(1209),
    [anon_sym_class] = ACTIONS(1211),
    [anon_sym_DOT] = ACTIONS(1209),
    [anon_sym_LBRACK] = ACTIONS(1209),
    [anon_sym_try] = ACTIONS(1211),
    [anon_sym_throw] = ACTIONS(1211),
    [anon_sym_const] = ACTIONS(1211),
    [anon_sym_enum] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1211),
    [anon_sym_TILDE] = ACTIONS(1209),
    [anon_sym_BANG] = ACTIONS(1211),
    [anon_sym_typeof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1209),
    [anon_sym_DASH_DASH] = ACTIONS(1209),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1211),
    [anon_sym_PERCENT] = ACTIONS(1211),
    [anon_sym_PIPE_PIPE] = ACTIONS(1209),
    [anon_sym_AMP_AMP] = ACTIONS(1209),
    [anon_sym_PIPE] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1209),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1209),
    [anon_sym_BANG_EQ] = ACTIONS(1209),
    [anon_sym_LT_EQ_GT] = ACTIONS(1209),
    [anon_sym_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1209),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1211),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1209),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_GT_GT_GT] = ACTIONS(1209),
    [anon_sym_QMARK] = ACTIONS(1209),
    [anon_sym_PLUS_EQ] = ACTIONS(1209),
    [anon_sym_DASH_EQ] = ACTIONS(1209),
    [anon_sym_STAR_EQ] = ACTIONS(1209),
    [anon_sym_SLASH_EQ] = ACTIONS(1209),
    [anon_sym_PERCENT_EQ] = ACTIONS(1209),
    [anon_sym_delete] = ACTIONS(1211),
    [anon_sym_var] = ACTIONS(1211),
    [anon_sym_rawcall] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1209),
    [anon_sym_clone] = ACTIONS(1211),
    [sym_integer] = ACTIONS(1211),
    [sym_float] = ACTIONS(1209),
    [anon_sym_DQUOTE] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1209),
    [anon_sym_true] = ACTIONS(1211),
    [anon_sym_false] = ACTIONS(1211),
    [sym_null] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1209),
  },
  [304] = {
    [ts_builtin_sym_end] = ACTIONS(1215),
    [sym_identifier] = ACTIONS(1217),
    [anon_sym_SEMI] = ACTIONS(1215),
    [anon_sym_LBRACE] = ACTIONS(1215),
    [anon_sym_RBRACE] = ACTIONS(1215),
    [anon_sym_if] = ACTIONS(1217),
    [anon_sym_else] = ACTIONS(1217),
    [anon_sym_while] = ACTIONS(1217),
    [anon_sym_LPAREN] = ACTIONS(1215),
    [anon_sym_do] = ACTIONS(1217),
    [anon_sym_switch] = ACTIONS(1217),
    [anon_sym_case] = ACTIONS(1217),
    [anon_sym_default] = ACTIONS(1217),
    [anon_sym_for] = ACTIONS(1217),
    [anon_sym_foreach] = ACTIONS(1217),
    [anon_sym_COMMA] = ACTIONS(1215),
    [anon_sym_in] = ACTIONS(1217),
    [anon_sym_break] = ACTIONS(1217),
    [anon_sym_continue] = ACTIONS(1217),
    [anon_sym_return] = ACTIONS(1217),
    [anon_sym_yield] = ACTIONS(1217),
    [anon_sym_resume] = ACTIONS(1217),
    [anon_sym_local] = ACTIONS(1217),
    [anon_sym_EQ] = ACTIONS(1217),
    [anon_sym_LT_DASH] = ACTIONS(1215),
    [anon_sym_function] = ACTIONS(1217),
    [anon_sym_COLON_COLON] = ACTIONS(1215),
    [anon_sym_class] = ACTIONS(1217),
    [anon_sym_DOT] = ACTIONS(1215),
    [anon_sym_LBRACK] = ACTIONS(1215),
    [anon_sym_try] = ACTIONS(1217),
    [anon_sym_throw] = ACTIONS(1217),
    [anon_sym_const] = ACTIONS(1217),
    [anon_sym_enum] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_TILDE] = ACTIONS(1215),
    [anon_sym_BANG] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1215),
    [anon_sym_DASH_DASH] = ACTIONS(1215),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_STAR] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(1217),
    [anon_sym_PERCENT] = ACTIONS(1217),
    [anon_sym_PIPE_PIPE] = ACTIONS(1215),
    [anon_sym_AMP_AMP] = ACTIONS(1215),
    [anon_sym_PIPE] = ACTIONS(1217),
    [anon_sym_CARET] = ACTIONS(1215),
    [anon_sym_AMP] = ACTIONS(1217),
    [anon_sym_EQ_EQ] = ACTIONS(1215),
    [anon_sym_BANG_EQ] = ACTIONS(1215),
    [anon_sym_LT_EQ_GT] = ACTIONS(1215),
    [anon_sym_GT] = ACTIONS(1217),
    [anon_sym_GT_EQ] = ACTIONS(1215),
    [anon_sym_LT_EQ] = ACTIONS(1217),
    [anon_sym_LT] = ACTIONS(1217),
    [anon_sym_instanceof] = ACTIONS(1217),
    [anon_sym_LT_LT] = ACTIONS(1215),
    [anon_sym_GT_GT] = ACTIONS(1217),
    [anon_sym_GT_GT_GT] = ACTIONS(1215),
    [anon_sym_QMARK] = ACTIONS(1215),
    [anon_sym_PLUS_EQ] = ACTIONS(1215),
    [anon_sym_DASH_EQ] = ACTIONS(1215),
    [anon_sym_STAR_EQ] = ACTIONS(1215),
    [anon_sym_SLASH_EQ] = ACTIONS(1215),
    [anon_sym_PERCENT_EQ] = ACTIONS(1215),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_var] = ACTIONS(1217),
    [anon_sym_rawcall] = ACTIONS(1217),
    [anon_sym_AT] = ACTIONS(1215),
    [anon_sym_clone] = ACTIONS(1217),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1215),
    [anon_sym_DQUOTE] = ACTIONS(1215),
    [anon_sym_SQUOTE] = ACTIONS(1217),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1215),
    [anon_sym_true] = ACTIONS(1217),
    [anon_sym_false] = ACTIONS(1217),
    [sym_null] = ACTIONS(1217),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1215),
  },
  [305] = {
    [ts_builtin_sym_end] = ACTIONS(1215),
    [sym_identifier] = ACTIONS(1217),
    [anon_sym_SEMI] = ACTIONS(1215),
    [anon_sym_LBRACE] = ACTIONS(1215),
    [anon_sym_RBRACE] = ACTIONS(1215),
    [anon_sym_if] = ACTIONS(1217),
    [anon_sym_else] = ACTIONS(1217),
    [anon_sym_while] = ACTIONS(1217),
    [anon_sym_LPAREN] = ACTIONS(1215),
    [anon_sym_do] = ACTIONS(1217),
    [anon_sym_switch] = ACTIONS(1217),
    [anon_sym_case] = ACTIONS(1217),
    [anon_sym_default] = ACTIONS(1217),
    [anon_sym_for] = ACTIONS(1217),
    [anon_sym_foreach] = ACTIONS(1217),
    [anon_sym_COMMA] = ACTIONS(1215),
    [anon_sym_in] = ACTIONS(1217),
    [anon_sym_break] = ACTIONS(1217),
    [anon_sym_continue] = ACTIONS(1217),
    [anon_sym_return] = ACTIONS(1217),
    [anon_sym_yield] = ACTIONS(1217),
    [anon_sym_resume] = ACTIONS(1217),
    [anon_sym_local] = ACTIONS(1217),
    [anon_sym_EQ] = ACTIONS(1217),
    [anon_sym_LT_DASH] = ACTIONS(1215),
    [anon_sym_function] = ACTIONS(1217),
    [anon_sym_COLON_COLON] = ACTIONS(1215),
    [anon_sym_class] = ACTIONS(1217),
    [anon_sym_DOT] = ACTIONS(1215),
    [anon_sym_LBRACK] = ACTIONS(1215),
    [anon_sym_try] = ACTIONS(1217),
    [anon_sym_throw] = ACTIONS(1217),
    [anon_sym_const] = ACTIONS(1217),
    [anon_sym_enum] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_TILDE] = ACTIONS(1215),
    [anon_sym_BANG] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1215),
    [anon_sym_DASH_DASH] = ACTIONS(1215),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_STAR] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(1217),
    [anon_sym_PERCENT] = ACTIONS(1217),
    [anon_sym_PIPE_PIPE] = ACTIONS(1215),
    [anon_sym_AMP_AMP] = ACTIONS(1215),
    [anon_sym_PIPE] = ACTIONS(1217),
    [anon_sym_CARET] = ACTIONS(1215),
    [anon_sym_AMP] = ACTIONS(1217),
    [anon_sym_EQ_EQ] = ACTIONS(1215),
    [anon_sym_BANG_EQ] = ACTIONS(1215),
    [anon_sym_LT_EQ_GT] = ACTIONS(1215),
    [anon_sym_GT] = ACTIONS(1217),
    [anon_sym_GT_EQ] = ACTIONS(1215),
    [anon_sym_LT_EQ] = ACTIONS(1217),
    [anon_sym_LT] = ACTIONS(1217),
    [anon_sym_instanceof] = ACTIONS(1217),
    [anon_sym_LT_LT] = ACTIONS(1215),
    [anon_sym_GT_GT] = ACTIONS(1217),
    [anon_sym_GT_GT_GT] = ACTIONS(1215),
    [anon_sym_QMARK] = ACTIONS(1215),
    [anon_sym_PLUS_EQ] = ACTIONS(1215),
    [anon_sym_DASH_EQ] = ACTIONS(1215),
    [anon_sym_STAR_EQ] = ACTIONS(1215),
    [anon_sym_SLASH_EQ] = ACTIONS(1215),
    [anon_sym_PERCENT_EQ] = ACTIONS(1215),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_var] = ACTIONS(1217),
    [anon_sym_rawcall] = ACTIONS(1217),
    [anon_sym_AT] = ACTIONS(1215),
    [anon_sym_clone] = ACTIONS(1217),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1215),
    [anon_sym_DQUOTE] = ACTIONS(1215),
    [anon_sym_SQUOTE] = ACTIONS(1217),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1215),
    [anon_sym_true] = ACTIONS(1217),
    [anon_sym_false] = ACTIONS(1217),
    [sym_null] = ACTIONS(1217),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1215),
  },
  [306] = {
    [ts_builtin_sym_end] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1219),
    [anon_sym_RBRACE] = ACTIONS(1219),
    [anon_sym_if] = ACTIONS(1221),
    [anon_sym_else] = ACTIONS(1221),
    [anon_sym_while] = ACTIONS(1221),
    [anon_sym_LPAREN] = ACTIONS(1219),
    [anon_sym_do] = ACTIONS(1221),
    [anon_sym_switch] = ACTIONS(1221),
    [anon_sym_case] = ACTIONS(1221),
    [anon_sym_default] = ACTIONS(1221),
    [anon_sym_for] = ACTIONS(1221),
    [anon_sym_foreach] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(1219),
    [anon_sym_in] = ACTIONS(1221),
    [anon_sym_break] = ACTIONS(1221),
    [anon_sym_continue] = ACTIONS(1221),
    [anon_sym_return] = ACTIONS(1221),
    [anon_sym_yield] = ACTIONS(1221),
    [anon_sym_resume] = ACTIONS(1221),
    [anon_sym_local] = ACTIONS(1221),
    [anon_sym_EQ] = ACTIONS(1221),
    [anon_sym_LT_DASH] = ACTIONS(1219),
    [anon_sym_function] = ACTIONS(1221),
    [anon_sym_COLON_COLON] = ACTIONS(1219),
    [anon_sym_class] = ACTIONS(1221),
    [anon_sym_DOT] = ACTIONS(1219),
    [anon_sym_LBRACK] = ACTIONS(1219),
    [anon_sym_try] = ACTIONS(1221),
    [anon_sym_throw] = ACTIONS(1221),
    [anon_sym_const] = ACTIONS(1221),
    [anon_sym_enum] = ACTIONS(1221),
    [anon_sym_DASH] = ACTIONS(1221),
    [anon_sym_TILDE] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(1221),
    [anon_sym_typeof] = ACTIONS(1221),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1221),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_SLASH] = ACTIONS(1221),
    [anon_sym_PERCENT] = ACTIONS(1221),
    [anon_sym_PIPE_PIPE] = ACTIONS(1219),
    [anon_sym_AMP_AMP] = ACTIONS(1219),
    [anon_sym_PIPE] = ACTIONS(1221),
    [anon_sym_CARET] = ACTIONS(1219),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_EQ_EQ] = ACTIONS(1219),
    [anon_sym_BANG_EQ] = ACTIONS(1219),
    [anon_sym_LT_EQ_GT] = ACTIONS(1219),
    [anon_sym_GT] = ACTIONS(1221),
    [anon_sym_GT_EQ] = ACTIONS(1219),
    [anon_sym_LT_EQ] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(1221),
    [anon_sym_instanceof] = ACTIONS(1221),
    [anon_sym_LT_LT] = ACTIONS(1219),
    [anon_sym_GT_GT] = ACTIONS(1221),
    [anon_sym_GT_GT_GT] = ACTIONS(1219),
    [anon_sym_QMARK] = ACTIONS(1219),
    [anon_sym_PLUS_EQ] = ACTIONS(1219),
    [anon_sym_DASH_EQ] = ACTIONS(1219),
    [anon_sym_STAR_EQ] = ACTIONS(1219),
    [anon_sym_SLASH_EQ] = ACTIONS(1219),
    [anon_sym_PERCENT_EQ] = ACTIONS(1219),
    [anon_sym_delete] = ACTIONS(1221),
    [anon_sym_var] = ACTIONS(1221),
    [anon_sym_rawcall] = ACTIONS(1221),
    [anon_sym_AT] = ACTIONS(1219),
    [anon_sym_clone] = ACTIONS(1221),
    [sym_integer] = ACTIONS(1221),
    [sym_float] = ACTIONS(1219),
    [anon_sym_DQUOTE] = ACTIONS(1219),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1219),
    [anon_sym_true] = ACTIONS(1221),
    [anon_sym_false] = ACTIONS(1221),
    [sym_null] = ACTIONS(1221),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1219),
  },
  [307] = {
    [ts_builtin_sym_end] = ACTIONS(1209),
    [sym_identifier] = ACTIONS(1211),
    [anon_sym_SEMI] = ACTIONS(1209),
    [anon_sym_LBRACE] = ACTIONS(1209),
    [anon_sym_RBRACE] = ACTIONS(1209),
    [anon_sym_if] = ACTIONS(1211),
    [anon_sym_else] = ACTIONS(1211),
    [anon_sym_while] = ACTIONS(1211),
    [anon_sym_LPAREN] = ACTIONS(1209),
    [anon_sym_do] = ACTIONS(1211),
    [anon_sym_switch] = ACTIONS(1211),
    [anon_sym_case] = ACTIONS(1211),
    [anon_sym_default] = ACTIONS(1211),
    [anon_sym_for] = ACTIONS(1211),
    [anon_sym_foreach] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1209),
    [anon_sym_in] = ACTIONS(1211),
    [anon_sym_break] = ACTIONS(1211),
    [anon_sym_continue] = ACTIONS(1211),
    [anon_sym_return] = ACTIONS(1211),
    [anon_sym_yield] = ACTIONS(1211),
    [anon_sym_resume] = ACTIONS(1211),
    [anon_sym_local] = ACTIONS(1211),
    [anon_sym_EQ] = ACTIONS(1211),
    [anon_sym_LT_DASH] = ACTIONS(1209),
    [anon_sym_function] = ACTIONS(1211),
    [anon_sym_COLON_COLON] = ACTIONS(1209),
    [anon_sym_class] = ACTIONS(1211),
    [anon_sym_DOT] = ACTIONS(1209),
    [anon_sym_LBRACK] = ACTIONS(1209),
    [anon_sym_try] = ACTIONS(1211),
    [anon_sym_throw] = ACTIONS(1211),
    [anon_sym_const] = ACTIONS(1211),
    [anon_sym_enum] = ACTIONS(1211),
    [anon_sym_DASH] = ACTIONS(1211),
    [anon_sym_TILDE] = ACTIONS(1209),
    [anon_sym_BANG] = ACTIONS(1211),
    [anon_sym_typeof] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1209),
    [anon_sym_DASH_DASH] = ACTIONS(1209),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1211),
    [anon_sym_PERCENT] = ACTIONS(1211),
    [anon_sym_PIPE_PIPE] = ACTIONS(1209),
    [anon_sym_AMP_AMP] = ACTIONS(1209),
    [anon_sym_PIPE] = ACTIONS(1211),
    [anon_sym_CARET] = ACTIONS(1209),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1209),
    [anon_sym_BANG_EQ] = ACTIONS(1209),
    [anon_sym_LT_EQ_GT] = ACTIONS(1209),
    [anon_sym_GT] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1209),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1211),
    [anon_sym_instanceof] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1209),
    [anon_sym_GT_GT] = ACTIONS(1211),
    [anon_sym_GT_GT_GT] = ACTIONS(1209),
    [anon_sym_QMARK] = ACTIONS(1209),
    [anon_sym_PLUS_EQ] = ACTIONS(1209),
    [anon_sym_DASH_EQ] = ACTIONS(1209),
    [anon_sym_STAR_EQ] = ACTIONS(1209),
    [anon_sym_SLASH_EQ] = ACTIONS(1209),
    [anon_sym_PERCENT_EQ] = ACTIONS(1209),
    [anon_sym_delete] = ACTIONS(1211),
    [anon_sym_var] = ACTIONS(1211),
    [anon_sym_rawcall] = ACTIONS(1211),
    [anon_sym_AT] = ACTIONS(1209),
    [anon_sym_clone] = ACTIONS(1211),
    [sym_integer] = ACTIONS(1211),
    [sym_float] = ACTIONS(1209),
    [anon_sym_DQUOTE] = ACTIONS(1209),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1209),
    [anon_sym_true] = ACTIONS(1211),
    [anon_sym_false] = ACTIONS(1211),
    [sym_null] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1209),
  },
  [308] = {
    [ts_builtin_sym_end] = ACTIONS(1223),
    [sym_identifier] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1223),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym_RBRACE] = ACTIONS(1223),
    [anon_sym_if] = ACTIONS(1225),
    [anon_sym_else] = ACTIONS(1225),
    [anon_sym_while] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1223),
    [anon_sym_do] = ACTIONS(1225),
    [anon_sym_switch] = ACTIONS(1225),
    [anon_sym_case] = ACTIONS(1225),
    [anon_sym_default] = ACTIONS(1225),
    [anon_sym_for] = ACTIONS(1225),
    [anon_sym_foreach] = ACTIONS(1225),
    [anon_sym_COMMA] = ACTIONS(1223),
    [anon_sym_in] = ACTIONS(1225),
    [anon_sym_break] = ACTIONS(1225),
    [anon_sym_continue] = ACTIONS(1225),
    [anon_sym_return] = ACTIONS(1225),
    [anon_sym_yield] = ACTIONS(1225),
    [anon_sym_resume] = ACTIONS(1225),
    [anon_sym_local] = ACTIONS(1225),
    [anon_sym_EQ] = ACTIONS(1225),
    [anon_sym_LT_DASH] = ACTIONS(1223),
    [anon_sym_function] = ACTIONS(1225),
    [anon_sym_COLON_COLON] = ACTIONS(1223),
    [anon_sym_class] = ACTIONS(1225),
    [anon_sym_DOT] = ACTIONS(1223),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_try] = ACTIONS(1225),
    [anon_sym_throw] = ACTIONS(1225),
    [anon_sym_const] = ACTIONS(1225),
    [anon_sym_enum] = ACTIONS(1225),
    [anon_sym_DASH] = ACTIONS(1225),
    [anon_sym_TILDE] = ACTIONS(1223),
    [anon_sym_BANG] = ACTIONS(1225),
    [anon_sym_typeof] = ACTIONS(1225),
    [anon_sym_PLUS_PLUS] = ACTIONS(1223),
    [anon_sym_DASH_DASH] = ACTIONS(1223),
    [anon_sym_PLUS] = ACTIONS(1225),
    [anon_sym_STAR] = ACTIONS(1225),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1223),
    [anon_sym_AMP_AMP] = ACTIONS(1223),
    [anon_sym_PIPE] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1223),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1223),
    [anon_sym_BANG_EQ] = ACTIONS(1223),
    [anon_sym_LT_EQ_GT] = ACTIONS(1223),
    [anon_sym_GT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1223),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_instanceof] = ACTIONS(1225),
    [anon_sym_LT_LT] = ACTIONS(1223),
    [anon_sym_GT_GT] = ACTIONS(1225),
    [anon_sym_GT_GT_GT] = ACTIONS(1223),
    [anon_sym_QMARK] = ACTIONS(1223),
    [anon_sym_PLUS_EQ] = ACTIONS(1223),
    [anon_sym_DASH_EQ] = ACTIONS(1223),
    [anon_sym_STAR_EQ] = ACTIONS(1223),
    [anon_sym_SLASH_EQ] = ACTIONS(1223),
    [anon_sym_PERCENT_EQ] = ACTIONS(1223),
    [anon_sym_delete] = ACTIONS(1225),
    [anon_sym_var] = ACTIONS(1225),
    [anon_sym_rawcall] = ACTIONS(1225),
    [anon_sym_AT] = ACTIONS(1223),
    [anon_sym_clone] = ACTIONS(1225),
    [sym_integer] = ACTIONS(1225),
    [sym_float] = ACTIONS(1223),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [anon_sym_SQUOTE] = ACTIONS(1225),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1223),
    [anon_sym_true] = ACTIONS(1225),
    [anon_sym_false] = ACTIONS(1225),
    [sym_null] = ACTIONS(1225),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1223),
  },
  [309] = {
    [ts_builtin_sym_end] = ACTIONS(1199),
    [sym_identifier] = ACTIONS(1201),
    [anon_sym_SEMI] = ACTIONS(1199),
    [anon_sym_LBRACE] = ACTIONS(1199),
    [anon_sym_RBRACE] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_else] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_do] = ACTIONS(1201),
    [anon_sym_switch] = ACTIONS(1201),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_default] = ACTIONS(1201),
    [anon_sym_for] = ACTIONS(1201),
    [anon_sym_foreach] = ACTIONS(1201),
    [anon_sym_COMMA] = ACTIONS(1199),
    [anon_sym_in] = ACTIONS(1201),
    [anon_sym_break] = ACTIONS(1201),
    [anon_sym_continue] = ACTIONS(1201),
    [anon_sym_return] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1201),
    [anon_sym_resume] = ACTIONS(1201),
    [anon_sym_local] = ACTIONS(1201),
    [anon_sym_EQ] = ACTIONS(1201),
    [anon_sym_LT_DASH] = ACTIONS(1199),
    [anon_sym_function] = ACTIONS(1201),
    [anon_sym_COLON_COLON] = ACTIONS(1199),
    [anon_sym_class] = ACTIONS(1201),
    [anon_sym_DOT] = ACTIONS(1199),
    [anon_sym_LBRACK] = ACTIONS(1199),
    [anon_sym_try] = ACTIONS(1201),
    [anon_sym_throw] = ACTIONS(1201),
    [anon_sym_const] = ACTIONS(1201),
    [anon_sym_enum] = ACTIONS(1201),
    [anon_sym_DASH] = ACTIONS(1201),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_BANG] = ACTIONS(1201),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym_PLUS_PLUS] = ACTIONS(1199),
    [anon_sym_DASH_DASH] = ACTIONS(1199),
    [anon_sym_PLUS] = ACTIONS(1201),
    [anon_sym_STAR] = ACTIONS(1201),
    [anon_sym_SLASH] = ACTIONS(1201),
    [anon_sym_PERCENT] = ACTIONS(1201),
    [anon_sym_PIPE_PIPE] = ACTIONS(1199),
    [anon_sym_AMP_AMP] = ACTIONS(1199),
    [anon_sym_PIPE] = ACTIONS(1201),
    [anon_sym_CARET] = ACTIONS(1199),
    [anon_sym_AMP] = ACTIONS(1201),
    [anon_sym_EQ_EQ] = ACTIONS(1199),
    [anon_sym_BANG_EQ] = ACTIONS(1199),
    [anon_sym_LT_EQ_GT] = ACTIONS(1199),
    [anon_sym_GT] = ACTIONS(1201),
    [anon_sym_GT_EQ] = ACTIONS(1199),
    [anon_sym_LT_EQ] = ACTIONS(1201),
    [anon_sym_LT] = ACTIONS(1201),
    [anon_sym_instanceof] = ACTIONS(1201),
    [anon_sym_LT_LT] = ACTIONS(1199),
    [anon_sym_GT_GT] = ACTIONS(1201),
    [anon_sym_GT_GT_GT] = ACTIONS(1199),
    [anon_sym_QMARK] = ACTIONS(1199),
    [anon_sym_PLUS_EQ] = ACTIONS(1199),
    [anon_sym_DASH_EQ] = ACTIONS(1199),
    [anon_sym_STAR_EQ] = ACTIONS(1199),
    [anon_sym_SLASH_EQ] = ACTIONS(1199),
    [anon_sym_PERCENT_EQ] = ACTIONS(1199),
    [anon_sym_delete] = ACTIONS(1201),
    [anon_sym_var] = ACTIONS(1201),
    [anon_sym_rawcall] = ACTIONS(1201),
    [anon_sym_AT] = ACTIONS(1199),
    [anon_sym_clone] = ACTIONS(1201),
    [sym_integer] = ACTIONS(1201),
    [sym_float] = ACTIONS(1199),
    [anon_sym_DQUOTE] = ACTIONS(1199),
    [anon_sym_SQUOTE] = ACTIONS(1201),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1199),
    [anon_sym_true] = ACTIONS(1201),
    [anon_sym_false] = ACTIONS(1201),
    [sym_null] = ACTIONS(1201),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1199),
  },
  [310] = {
    [ts_builtin_sym_end] = ACTIONS(1227),
    [sym_identifier] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(1227),
    [anon_sym_RBRACE] = ACTIONS(1227),
    [anon_sym_if] = ACTIONS(1229),
    [anon_sym_else] = ACTIONS(1229),
    [anon_sym_while] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(1229),
    [anon_sym_switch] = ACTIONS(1229),
    [anon_sym_case] = ACTIONS(1229),
    [anon_sym_default] = ACTIONS(1229),
    [anon_sym_for] = ACTIONS(1229),
    [anon_sym_foreach] = ACTIONS(1229),
    [anon_sym_COMMA] = ACTIONS(1227),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_break] = ACTIONS(1229),
    [anon_sym_continue] = ACTIONS(1229),
    [anon_sym_return] = ACTIONS(1229),
    [anon_sym_yield] = ACTIONS(1229),
    [anon_sym_resume] = ACTIONS(1229),
    [anon_sym_local] = ACTIONS(1229),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(1229),
    [anon_sym_COLON_COLON] = ACTIONS(1227),
    [anon_sym_class] = ACTIONS(1229),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(1229),
    [anon_sym_throw] = ACTIONS(1229),
    [anon_sym_const] = ACTIONS(1229),
    [anon_sym_enum] = ACTIONS(1229),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1229),
    [anon_sym_typeof] = ACTIONS(1229),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(885),
    [anon_sym_AMP_AMP] = ACTIONS(887),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(905),
    [anon_sym_PLUS_EQ] = ACTIONS(873),
    [anon_sym_DASH_EQ] = ACTIONS(873),
    [anon_sym_STAR_EQ] = ACTIONS(873),
    [anon_sym_SLASH_EQ] = ACTIONS(873),
    [anon_sym_PERCENT_EQ] = ACTIONS(873),
    [anon_sym_delete] = ACTIONS(1229),
    [anon_sym_var] = ACTIONS(1229),
    [anon_sym_rawcall] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(1227),
    [anon_sym_clone] = ACTIONS(1229),
    [sym_integer] = ACTIONS(1229),
    [sym_float] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(1227),
    [anon_sym_SQUOTE] = ACTIONS(1229),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1227),
    [anon_sym_true] = ACTIONS(1229),
    [anon_sym_false] = ACTIONS(1229),
    [sym_null] = ACTIONS(1229),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1227),
  },
  [311] = {
    [ts_builtin_sym_end] = ACTIONS(1215),
    [sym_identifier] = ACTIONS(1217),
    [anon_sym_SEMI] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1215),
    [anon_sym_RBRACE] = ACTIONS(1215),
    [anon_sym_if] = ACTIONS(1217),
    [anon_sym_else] = ACTIONS(1217),
    [anon_sym_while] = ACTIONS(1217),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(1217),
    [anon_sym_switch] = ACTIONS(1217),
    [anon_sym_case] = ACTIONS(1217),
    [anon_sym_default] = ACTIONS(1217),
    [anon_sym_for] = ACTIONS(1217),
    [anon_sym_foreach] = ACTIONS(1217),
    [anon_sym_COMMA] = ACTIONS(1215),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_break] = ACTIONS(1217),
    [anon_sym_continue] = ACTIONS(1217),
    [anon_sym_return] = ACTIONS(1217),
    [anon_sym_yield] = ACTIONS(1217),
    [anon_sym_resume] = ACTIONS(1217),
    [anon_sym_local] = ACTIONS(1217),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(1217),
    [anon_sym_COLON_COLON] = ACTIONS(1215),
    [anon_sym_class] = ACTIONS(1217),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(1217),
    [anon_sym_throw] = ACTIONS(1217),
    [anon_sym_const] = ACTIONS(1217),
    [anon_sym_enum] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(1215),
    [anon_sym_BANG] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(885),
    [anon_sym_AMP_AMP] = ACTIONS(887),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(905),
    [anon_sym_PLUS_EQ] = ACTIONS(873),
    [anon_sym_DASH_EQ] = ACTIONS(873),
    [anon_sym_STAR_EQ] = ACTIONS(873),
    [anon_sym_SLASH_EQ] = ACTIONS(873),
    [anon_sym_PERCENT_EQ] = ACTIONS(873),
    [anon_sym_delete] = ACTIONS(1217),
    [anon_sym_var] = ACTIONS(1217),
    [anon_sym_rawcall] = ACTIONS(1217),
    [anon_sym_AT] = ACTIONS(1215),
    [anon_sym_clone] = ACTIONS(1217),
    [sym_integer] = ACTIONS(1217),
    [sym_float] = ACTIONS(1215),
    [anon_sym_DQUOTE] = ACTIONS(1215),
    [anon_sym_SQUOTE] = ACTIONS(1217),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1215),
    [anon_sym_true] = ACTIONS(1217),
    [anon_sym_false] = ACTIONS(1217),
    [sym_null] = ACTIONS(1217),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1215),
  },
  [312] = {
    [ts_builtin_sym_end] = ACTIONS(1235),
    [sym_identifier] = ACTIONS(1237),
    [anon_sym_SEMI] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_RBRACE] = ACTIONS(1235),
    [anon_sym_if] = ACTIONS(1237),
    [anon_sym_else] = ACTIONS(1237),
    [anon_sym_while] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_do] = ACTIONS(1237),
    [anon_sym_switch] = ACTIONS(1237),
    [anon_sym_case] = ACTIONS(1237),
    [anon_sym_default] = ACTIONS(1237),
    [anon_sym_for] = ACTIONS(1237),
    [anon_sym_foreach] = ACTIONS(1237),
    [anon_sym_COMMA] = ACTIONS(1235),
    [anon_sym_in] = ACTIONS(1237),
    [anon_sym_break] = ACTIONS(1237),
    [anon_sym_continue] = ACTIONS(1237),
    [anon_sym_return] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1237),
    [anon_sym_resume] = ACTIONS(1237),
    [anon_sym_local] = ACTIONS(1237),
    [anon_sym_EQ] = ACTIONS(1237),
    [anon_sym_LT_DASH] = ACTIONS(1235),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1235),
    [anon_sym_class] = ACTIONS(1237),
    [anon_sym_DOT] = ACTIONS(1235),
    [anon_sym_LBRACK] = ACTIONS(1235),
    [anon_sym_try] = ACTIONS(1237),
    [anon_sym_throw] = ACTIONS(1237),
    [anon_sym_const] = ACTIONS(1237),
    [anon_sym_enum] = ACTIONS(1237),
    [anon_sym_DASH] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_BANG] = ACTIONS(1237),
    [anon_sym_typeof] = ACTIONS(1237),
    [anon_sym_PLUS_PLUS] = ACTIONS(1235),
    [anon_sym_DASH_DASH] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(1237),
    [anon_sym_SLASH] = ACTIONS(1237),
    [anon_sym_PERCENT] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE] = ACTIONS(1235),
    [anon_sym_AMP_AMP] = ACTIONS(1235),
    [anon_sym_PIPE] = ACTIONS(1237),
    [anon_sym_CARET] = ACTIONS(1235),
    [anon_sym_AMP] = ACTIONS(1237),
    [anon_sym_EQ_EQ] = ACTIONS(1235),
    [anon_sym_BANG_EQ] = ACTIONS(1235),
    [anon_sym_LT_EQ_GT] = ACTIONS(1235),
    [anon_sym_GT] = ACTIONS(1237),
    [anon_sym_GT_EQ] = ACTIONS(1235),
    [anon_sym_LT_EQ] = ACTIONS(1237),
    [anon_sym_LT] = ACTIONS(1237),
    [anon_sym_instanceof] = ACTIONS(1237),
    [anon_sym_LT_LT] = ACTIONS(1235),
    [anon_sym_GT_GT] = ACTIONS(1237),
    [anon_sym_GT_GT_GT] = ACTIONS(1235),
    [anon_sym_QMARK] = ACTIONS(1235),
    [anon_sym_PLUS_EQ] = ACTIONS(1235),
    [anon_sym_DASH_EQ] = ACTIONS(1235),
    [anon_sym_STAR_EQ] = ACTIONS(1235),
    [anon_sym_SLASH_EQ] = ACTIONS(1235),
    [anon_sym_PERCENT_EQ] = ACTIONS(1235),
    [anon_sym_delete] = ACTIONS(1237),
    [anon_sym_var] = ACTIONS(1237),
    [anon_sym_rawcall] = ACTIONS(1237),
    [anon_sym_AT] = ACTIONS(1235),
    [anon_sym_clone] = ACTIONS(1237),
    [sym_integer] = ACTIONS(1237),
    [sym_float] = ACTIONS(1235),
    [anon_sym_DQUOTE] = ACTIONS(1235),
    [anon_sym_SQUOTE] = ACTIONS(1237),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1235),
    [anon_sym_true] = ACTIONS(1237),
    [anon_sym_false] = ACTIONS(1237),
    [sym_null] = ACTIONS(1237),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1235),
  },
  [313] = {
    [ts_builtin_sym_end] = ACTIONS(1239),
    [sym_identifier] = ACTIONS(1241),
    [anon_sym_SEMI] = ACTIONS(1239),
    [anon_sym_LBRACE] = ACTIONS(1239),
    [anon_sym_RBRACE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_else] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1239),
    [anon_sym_do] = ACTIONS(1241),
    [anon_sym_switch] = ACTIONS(1241),
    [anon_sym_case] = ACTIONS(1241),
    [anon_sym_default] = ACTIONS(1241),
    [anon_sym_for] = ACTIONS(1241),
    [anon_sym_foreach] = ACTIONS(1241),
    [anon_sym_COMMA] = ACTIONS(1239),
    [anon_sym_in] = ACTIONS(1241),
    [anon_sym_break] = ACTIONS(1241),
    [anon_sym_continue] = ACTIONS(1241),
    [anon_sym_return] = ACTIONS(1241),
    [anon_sym_yield] = ACTIONS(1241),
    [anon_sym_resume] = ACTIONS(1241),
    [anon_sym_local] = ACTIONS(1241),
    [anon_sym_EQ] = ACTIONS(1241),
    [anon_sym_LT_DASH] = ACTIONS(1239),
    [anon_sym_function] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1239),
    [anon_sym_class] = ACTIONS(1241),
    [anon_sym_DOT] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_try] = ACTIONS(1241),
    [anon_sym_throw] = ACTIONS(1241),
    [anon_sym_const] = ACTIONS(1241),
    [anon_sym_enum] = ACTIONS(1241),
    [anon_sym_DASH] = ACTIONS(1241),
    [anon_sym_TILDE] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1241),
    [anon_sym_typeof] = ACTIONS(1241),
    [anon_sym_PLUS_PLUS] = ACTIONS(1239),
    [anon_sym_DASH_DASH] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(1241),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_SLASH] = ACTIONS(1241),
    [anon_sym_PERCENT] = ACTIONS(1241),
    [anon_sym_PIPE_PIPE] = ACTIONS(1239),
    [anon_sym_AMP_AMP] = ACTIONS(1239),
    [anon_sym_PIPE] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(1239),
    [anon_sym_AMP] = ACTIONS(1241),
    [anon_sym_EQ_EQ] = ACTIONS(1239),
    [anon_sym_BANG_EQ] = ACTIONS(1239),
    [anon_sym_LT_EQ_GT] = ACTIONS(1239),
    [anon_sym_GT] = ACTIONS(1241),
    [anon_sym_GT_EQ] = ACTIONS(1239),
    [anon_sym_LT_EQ] = ACTIONS(1241),
    [anon_sym_LT] = ACTIONS(1241),
    [anon_sym_instanceof] = ACTIONS(1241),
    [anon_sym_LT_LT] = ACTIONS(1239),
    [anon_sym_GT_GT] = ACTIONS(1241),
    [anon_sym_GT_GT_GT] = ACTIONS(1239),
    [anon_sym_QMARK] = ACTIONS(1239),
    [anon_sym_PLUS_EQ] = ACTIONS(1239),
    [anon_sym_DASH_EQ] = ACTIONS(1239),
    [anon_sym_STAR_EQ] = ACTIONS(1239),
    [anon_sym_SLASH_EQ] = ACTIONS(1239),
    [anon_sym_PERCENT_EQ] = ACTIONS(1239),
    [anon_sym_delete] = ACTIONS(1241),
    [anon_sym_var] = ACTIONS(1241),
    [anon_sym_rawcall] = ACTIONS(1241),
    [anon_sym_AT] = ACTIONS(1239),
    [anon_sym_clone] = ACTIONS(1241),
    [sym_integer] = ACTIONS(1241),
    [sym_float] = ACTIONS(1239),
    [anon_sym_DQUOTE] = ACTIONS(1239),
    [anon_sym_SQUOTE] = ACTIONS(1241),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1239),
    [anon_sym_true] = ACTIONS(1241),
    [anon_sym_false] = ACTIONS(1241),
    [sym_null] = ACTIONS(1241),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1239),
  },
  [314] = {
    [ts_builtin_sym_end] = ACTIONS(1243),
    [sym_identifier] = ACTIONS(1245),
    [anon_sym_SEMI] = ACTIONS(1243),
    [anon_sym_LBRACE] = ACTIONS(1243),
    [anon_sym_RBRACE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_else] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_do] = ACTIONS(1245),
    [anon_sym_switch] = ACTIONS(1245),
    [anon_sym_case] = ACTIONS(1245),
    [anon_sym_default] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1245),
    [anon_sym_foreach] = ACTIONS(1245),
    [anon_sym_COMMA] = ACTIONS(1243),
    [anon_sym_in] = ACTIONS(1245),
    [anon_sym_break] = ACTIONS(1245),
    [anon_sym_continue] = ACTIONS(1245),
    [anon_sym_return] = ACTIONS(1245),
    [anon_sym_yield] = ACTIONS(1245),
    [anon_sym_resume] = ACTIONS(1245),
    [anon_sym_local] = ACTIONS(1245),
    [anon_sym_EQ] = ACTIONS(1245),
    [anon_sym_LT_DASH] = ACTIONS(1243),
    [anon_sym_function] = ACTIONS(1245),
    [anon_sym_COLON_COLON] = ACTIONS(1243),
    [anon_sym_class] = ACTIONS(1245),
    [anon_sym_DOT] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_const] = ACTIONS(1245),
    [anon_sym_enum] = ACTIONS(1245),
    [anon_sym_DASH] = ACTIONS(1245),
    [anon_sym_TILDE] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_typeof] = ACTIONS(1245),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [anon_sym_PLUS] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(1245),
    [anon_sym_SLASH] = ACTIONS(1245),
    [anon_sym_PERCENT] = ACTIONS(1245),
    [anon_sym_PIPE_PIPE] = ACTIONS(1243),
    [anon_sym_AMP_AMP] = ACTIONS(1243),
    [anon_sym_PIPE] = ACTIONS(1245),
    [anon_sym_CARET] = ACTIONS(1243),
    [anon_sym_AMP] = ACTIONS(1245),
    [anon_sym_EQ_EQ] = ACTIONS(1243),
    [anon_sym_BANG_EQ] = ACTIONS(1243),
    [anon_sym_LT_EQ_GT] = ACTIONS(1243),
    [anon_sym_GT] = ACTIONS(1245),
    [anon_sym_GT_EQ] = ACTIONS(1243),
    [anon_sym_LT_EQ] = ACTIONS(1245),
    [anon_sym_LT] = ACTIONS(1245),
    [anon_sym_instanceof] = ACTIONS(1245),
    [anon_sym_LT_LT] = ACTIONS(1243),
    [anon_sym_GT_GT] = ACTIONS(1245),
    [anon_sym_GT_GT_GT] = ACTIONS(1243),
    [anon_sym_QMARK] = ACTIONS(1243),
    [anon_sym_PLUS_EQ] = ACTIONS(1243),
    [anon_sym_DASH_EQ] = ACTIONS(1243),
    [anon_sym_STAR_EQ] = ACTIONS(1243),
    [anon_sym_SLASH_EQ] = ACTIONS(1243),
    [anon_sym_PERCENT_EQ] = ACTIONS(1243),
    [anon_sym_delete] = ACTIONS(1245),
    [anon_sym_var] = ACTIONS(1245),
    [anon_sym_rawcall] = ACTIONS(1245),
    [anon_sym_AT] = ACTIONS(1243),
    [anon_sym_clone] = ACTIONS(1245),
    [sym_integer] = ACTIONS(1245),
    [sym_float] = ACTIONS(1243),
    [anon_sym_DQUOTE] = ACTIONS(1243),
    [anon_sym_SQUOTE] = ACTIONS(1245),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1243),
    [anon_sym_true] = ACTIONS(1245),
    [anon_sym_false] = ACTIONS(1245),
    [sym_null] = ACTIONS(1245),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1243),
  },
  [315] = {
    [ts_builtin_sym_end] = ACTIONS(1239),
    [sym_identifier] = ACTIONS(1241),
    [anon_sym_SEMI] = ACTIONS(1239),
    [anon_sym_LBRACE] = ACTIONS(1239),
    [anon_sym_RBRACE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_else] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1239),
    [anon_sym_do] = ACTIONS(1241),
    [anon_sym_switch] = ACTIONS(1241),
    [anon_sym_case] = ACTIONS(1241),
    [anon_sym_default] = ACTIONS(1241),
    [anon_sym_for] = ACTIONS(1241),
    [anon_sym_foreach] = ACTIONS(1241),
    [anon_sym_COMMA] = ACTIONS(1239),
    [anon_sym_in] = ACTIONS(1241),
    [anon_sym_break] = ACTIONS(1241),
    [anon_sym_continue] = ACTIONS(1241),
    [anon_sym_return] = ACTIONS(1241),
    [anon_sym_yield] = ACTIONS(1241),
    [anon_sym_resume] = ACTIONS(1241),
    [anon_sym_local] = ACTIONS(1241),
    [anon_sym_EQ] = ACTIONS(1241),
    [anon_sym_LT_DASH] = ACTIONS(1239),
    [anon_sym_function] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1239),
    [anon_sym_class] = ACTIONS(1241),
    [anon_sym_DOT] = ACTIONS(1239),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_try] = ACTIONS(1241),
    [anon_sym_throw] = ACTIONS(1241),
    [anon_sym_const] = ACTIONS(1241),
    [anon_sym_enum] = ACTIONS(1241),
    [anon_sym_DASH] = ACTIONS(1241),
    [anon_sym_TILDE] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1241),
    [anon_sym_typeof] = ACTIONS(1241),
    [anon_sym_PLUS_PLUS] = ACTIONS(1239),
    [anon_sym_DASH_DASH] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(1241),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_SLASH] = ACTIONS(1241),
    [anon_sym_PERCENT] = ACTIONS(1241),
    [anon_sym_PIPE_PIPE] = ACTIONS(1239),
    [anon_sym_AMP_AMP] = ACTIONS(1239),
    [anon_sym_PIPE] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(1239),
    [anon_sym_AMP] = ACTIONS(1241),
    [anon_sym_EQ_EQ] = ACTIONS(1239),
    [anon_sym_BANG_EQ] = ACTIONS(1239),
    [anon_sym_LT_EQ_GT] = ACTIONS(1239),
    [anon_sym_GT] = ACTIONS(1241),
    [anon_sym_GT_EQ] = ACTIONS(1239),
    [anon_sym_LT_EQ] = ACTIONS(1241),
    [anon_sym_LT] = ACTIONS(1241),
    [anon_sym_instanceof] = ACTIONS(1241),
    [anon_sym_LT_LT] = ACTIONS(1239),
    [anon_sym_GT_GT] = ACTIONS(1241),
    [anon_sym_GT_GT_GT] = ACTIONS(1239),
    [anon_sym_QMARK] = ACTIONS(1239),
    [anon_sym_PLUS_EQ] = ACTIONS(1239),
    [anon_sym_DASH_EQ] = ACTIONS(1239),
    [anon_sym_STAR_EQ] = ACTIONS(1239),
    [anon_sym_SLASH_EQ] = ACTIONS(1239),
    [anon_sym_PERCENT_EQ] = ACTIONS(1239),
    [anon_sym_delete] = ACTIONS(1241),
    [anon_sym_var] = ACTIONS(1241),
    [anon_sym_rawcall] = ACTIONS(1241),
    [anon_sym_AT] = ACTIONS(1239),
    [anon_sym_clone] = ACTIONS(1241),
    [sym_integer] = ACTIONS(1241),
    [sym_float] = ACTIONS(1239),
    [anon_sym_DQUOTE] = ACTIONS(1239),
    [anon_sym_SQUOTE] = ACTIONS(1241),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1239),
    [anon_sym_true] = ACTIONS(1241),
    [anon_sym_false] = ACTIONS(1241),
    [sym_null] = ACTIONS(1241),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1239),
  },
  [316] = {
    [ts_builtin_sym_end] = ACTIONS(1239),
    [sym_identifier] = ACTIONS(1241),
    [anon_sym_SEMI] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1239),
    [anon_sym_RBRACE] = ACTIONS(1239),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_else] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(1241),
    [anon_sym_switch] = ACTIONS(1241),
    [anon_sym_case] = ACTIONS(1241),
    [anon_sym_default] = ACTIONS(1241),
    [anon_sym_for] = ACTIONS(1241),
    [anon_sym_foreach] = ACTIONS(1241),
    [anon_sym_COMMA] = ACTIONS(1239),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_break] = ACTIONS(1241),
    [anon_sym_continue] = ACTIONS(1241),
    [anon_sym_return] = ACTIONS(1241),
    [anon_sym_yield] = ACTIONS(1241),
    [anon_sym_resume] = ACTIONS(1241),
    [anon_sym_local] = ACTIONS(1241),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1239),
    [anon_sym_class] = ACTIONS(1241),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(1241),
    [anon_sym_throw] = ACTIONS(1241),
    [anon_sym_const] = ACTIONS(1241),
    [anon_sym_enum] = ACTIONS(1241),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1241),
    [anon_sym_typeof] = ACTIONS(1241),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(885),
    [anon_sym_AMP_AMP] = ACTIONS(887),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(905),
    [anon_sym_PLUS_EQ] = ACTIONS(873),
    [anon_sym_DASH_EQ] = ACTIONS(873),
    [anon_sym_STAR_EQ] = ACTIONS(873),
    [anon_sym_SLASH_EQ] = ACTIONS(873),
    [anon_sym_PERCENT_EQ] = ACTIONS(873),
    [anon_sym_delete] = ACTIONS(1241),
    [anon_sym_var] = ACTIONS(1241),
    [anon_sym_rawcall] = ACTIONS(1241),
    [anon_sym_AT] = ACTIONS(1239),
    [anon_sym_clone] = ACTIONS(1241),
    [sym_integer] = ACTIONS(1241),
    [sym_float] = ACTIONS(1239),
    [anon_sym_DQUOTE] = ACTIONS(1239),
    [anon_sym_SQUOTE] = ACTIONS(1241),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1239),
    [anon_sym_true] = ACTIONS(1241),
    [anon_sym_false] = ACTIONS(1241),
    [sym_null] = ACTIONS(1241),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1239),
  },
  [317] = {
    [ts_builtin_sym_end] = ACTIONS(1249),
    [sym_identifier] = ACTIONS(1251),
    [anon_sym_SEMI] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_RBRACE] = ACTIONS(1249),
    [anon_sym_if] = ACTIONS(1251),
    [anon_sym_else] = ACTIONS(1251),
    [anon_sym_while] = ACTIONS(1251),
    [anon_sym_LPAREN] = ACTIONS(1249),
    [anon_sym_do] = ACTIONS(1251),
    [anon_sym_switch] = ACTIONS(1251),
    [anon_sym_case] = ACTIONS(1251),
    [anon_sym_default] = ACTIONS(1251),
    [anon_sym_for] = ACTIONS(1251),
    [anon_sym_foreach] = ACTIONS(1251),
    [anon_sym_COMMA] = ACTIONS(1249),
    [anon_sym_in] = ACTIONS(1251),
    [anon_sym_break] = ACTIONS(1251),
    [anon_sym_continue] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1251),
    [anon_sym_yield] = ACTIONS(1251),
    [anon_sym_resume] = ACTIONS(1251),
    [anon_sym_local] = ACTIONS(1251),
    [anon_sym_EQ] = ACTIONS(1251),
    [anon_sym_LT_DASH] = ACTIONS(1249),
    [anon_sym_function] = ACTIONS(1251),
    [anon_sym_COLON_COLON] = ACTIONS(1249),
    [anon_sym_class] = ACTIONS(1251),
    [anon_sym_DOT] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_throw] = ACTIONS(1251),
    [anon_sym_const] = ACTIONS(1251),
    [anon_sym_enum] = ACTIONS(1251),
    [anon_sym_DASH] = ACTIONS(1251),
    [anon_sym_TILDE] = ACTIONS(1249),
    [anon_sym_BANG] = ACTIONS(1251),
    [anon_sym_typeof] = ACTIONS(1251),
    [anon_sym_PLUS_PLUS] = ACTIONS(1249),
    [anon_sym_DASH_DASH] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1251),
    [anon_sym_STAR] = ACTIONS(1251),
    [anon_sym_SLASH] = ACTIONS(1251),
    [anon_sym_PERCENT] = ACTIONS(1251),
    [anon_sym_PIPE_PIPE] = ACTIONS(1249),
    [anon_sym_AMP_AMP] = ACTIONS(1249),
    [anon_sym_PIPE] = ACTIONS(1251),
    [anon_sym_CARET] = ACTIONS(1249),
    [anon_sym_AMP] = ACTIONS(1251),
    [anon_sym_EQ_EQ] = ACTIONS(1249),
    [anon_sym_BANG_EQ] = ACTIONS(1249),
    [anon_sym_LT_EQ_GT] = ACTIONS(1249),
    [anon_sym_GT] = ACTIONS(1251),
    [anon_sym_GT_EQ] = ACTIONS(1249),
    [anon_sym_LT_EQ] = ACTIONS(1251),
    [anon_sym_LT] = ACTIONS(1251),
    [anon_sym_instanceof] = ACTIONS(1251),
    [anon_sym_LT_LT] = ACTIONS(1249),
    [anon_sym_GT_GT] = ACTIONS(1251),
    [anon_sym_GT_GT_GT] = ACTIONS(1249),
    [anon_sym_QMARK] = ACTIONS(1249),
    [anon_sym_PLUS_EQ] = ACTIONS(1249),
    [anon_sym_DASH_EQ] = ACTIONS(1249),
    [anon_sym_STAR_EQ] = ACTIONS(1249),
    [anon_sym_SLASH_EQ] = ACTIONS(1249),
    [anon_sym_PERCENT_EQ] = ACTIONS(1249),
    [anon_sym_delete] = ACTIONS(1251),
    [anon_sym_var] = ACTIONS(1251),
    [anon_sym_rawcall] = ACTIONS(1251),
    [anon_sym_AT] = ACTIONS(1249),
    [anon_sym_clone] = ACTIONS(1251),
    [sym_integer] = ACTIONS(1251),
    [sym_float] = ACTIONS(1249),
    [anon_sym_DQUOTE] = ACTIONS(1249),
    [anon_sym_SQUOTE] = ACTIONS(1251),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1249),
    [anon_sym_true] = ACTIONS(1251),
    [anon_sym_false] = ACTIONS(1251),
    [sym_null] = ACTIONS(1251),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1249),
  },
  [318] = {
    [ts_builtin_sym_end] = ACTIONS(1227),
    [sym_identifier] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(1227),
    [anon_sym_LBRACE] = ACTIONS(1227),
    [anon_sym_RBRACE] = ACTIONS(1227),
    [anon_sym_if] = ACTIONS(1229),
    [anon_sym_else] = ACTIONS(1229),
    [anon_sym_while] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_do] = ACTIONS(1229),
    [anon_sym_switch] = ACTIONS(1229),
    [anon_sym_case] = ACTIONS(1229),
    [anon_sym_default] = ACTIONS(1229),
    [anon_sym_for] = ACTIONS(1229),
    [anon_sym_foreach] = ACTIONS(1229),
    [anon_sym_COMMA] = ACTIONS(1227),
    [anon_sym_in] = ACTIONS(1229),
    [anon_sym_break] = ACTIONS(1229),
    [anon_sym_continue] = ACTIONS(1229),
    [anon_sym_return] = ACTIONS(1229),
    [anon_sym_yield] = ACTIONS(1229),
    [anon_sym_resume] = ACTIONS(1229),
    [anon_sym_local] = ACTIONS(1229),
    [anon_sym_EQ] = ACTIONS(1229),
    [anon_sym_LT_DASH] = ACTIONS(1227),
    [anon_sym_function] = ACTIONS(1229),
    [anon_sym_COLON_COLON] = ACTIONS(1227),
    [anon_sym_class] = ACTIONS(1229),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1227),
    [anon_sym_try] = ACTIONS(1229),
    [anon_sym_throw] = ACTIONS(1229),
    [anon_sym_const] = ACTIONS(1229),
    [anon_sym_enum] = ACTIONS(1229),
    [anon_sym_DASH] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1229),
    [anon_sym_typeof] = ACTIONS(1229),
    [anon_sym_PLUS_PLUS] = ACTIONS(1227),
    [anon_sym_DASH_DASH] = ACTIONS(1227),
    [anon_sym_PLUS] = ACTIONS(1229),
    [anon_sym_STAR] = ACTIONS(1229),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_PERCENT] = ACTIONS(1229),
    [anon_sym_PIPE_PIPE] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1227),
    [anon_sym_PIPE] = ACTIONS(1229),
    [anon_sym_CARET] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1229),
    [anon_sym_EQ_EQ] = ACTIONS(1227),
    [anon_sym_BANG_EQ] = ACTIONS(1227),
    [anon_sym_LT_EQ_GT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1229),
    [anon_sym_GT_EQ] = ACTIONS(1227),
    [anon_sym_LT_EQ] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(1229),
    [anon_sym_instanceof] = ACTIONS(1229),
    [anon_sym_LT_LT] = ACTIONS(1227),
    [anon_sym_GT_GT] = ACTIONS(1229),
    [anon_sym_GT_GT_GT] = ACTIONS(1227),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_PLUS_EQ] = ACTIONS(1227),
    [anon_sym_DASH_EQ] = ACTIONS(1227),
    [anon_sym_STAR_EQ] = ACTIONS(1227),
    [anon_sym_SLASH_EQ] = ACTIONS(1227),
    [anon_sym_PERCENT_EQ] = ACTIONS(1227),
    [anon_sym_delete] = ACTIONS(1229),
    [anon_sym_var] = ACTIONS(1229),
    [anon_sym_rawcall] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(1227),
    [anon_sym_clone] = ACTIONS(1229),
    [sym_integer] = ACTIONS(1229),
    [sym_float] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(1227),
    [anon_sym_SQUOTE] = ACTIONS(1229),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1227),
    [anon_sym_true] = ACTIONS(1229),
    [anon_sym_false] = ACTIONS(1229),
    [sym_null] = ACTIONS(1229),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1227),
  },
  [319] = {
    [ts_builtin_sym_end] = ACTIONS(1253),
    [sym_identifier] = ACTIONS(1255),
    [anon_sym_SEMI] = ACTIONS(1253),
    [anon_sym_LBRACE] = ACTIONS(1253),
    [anon_sym_RBRACE] = ACTIONS(1253),
    [anon_sym_if] = ACTIONS(1255),
    [anon_sym_else] = ACTIONS(1255),
    [anon_sym_while] = ACTIONS(1255),
    [anon_sym_LPAREN] = ACTIONS(1253),
    [anon_sym_do] = ACTIONS(1255),
    [anon_sym_switch] = ACTIONS(1255),
    [anon_sym_case] = ACTIONS(1255),
    [anon_sym_default] = ACTIONS(1255),
    [anon_sym_for] = ACTIONS(1255),
    [anon_sym_foreach] = ACTIONS(1255),
    [anon_sym_COMMA] = ACTIONS(1253),
    [anon_sym_in] = ACTIONS(1255),
    [anon_sym_break] = ACTIONS(1255),
    [anon_sym_continue] = ACTIONS(1255),
    [anon_sym_return] = ACTIONS(1255),
    [anon_sym_yield] = ACTIONS(1255),
    [anon_sym_resume] = ACTIONS(1255),
    [anon_sym_local] = ACTIONS(1255),
    [anon_sym_EQ] = ACTIONS(1255),
    [anon_sym_LT_DASH] = ACTIONS(1253),
    [anon_sym_function] = ACTIONS(1255),
    [anon_sym_COLON_COLON] = ACTIONS(1253),
    [anon_sym_class] = ACTIONS(1255),
    [anon_sym_DOT] = ACTIONS(1253),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_try] = ACTIONS(1255),
    [anon_sym_throw] = ACTIONS(1255),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_enum] = ACTIONS(1255),
    [anon_sym_DASH] = ACTIONS(1255),
    [anon_sym_TILDE] = ACTIONS(1253),
    [anon_sym_BANG] = ACTIONS(1255),
    [anon_sym_typeof] = ACTIONS(1255),
    [anon_sym_PLUS_PLUS] = ACTIONS(1253),
    [anon_sym_DASH_DASH] = ACTIONS(1253),
    [anon_sym_PLUS] = ACTIONS(1255),
    [anon_sym_STAR] = ACTIONS(1255),
    [anon_sym_SLASH] = ACTIONS(1255),
    [anon_sym_PERCENT] = ACTIONS(1255),
    [anon_sym_PIPE_PIPE] = ACTIONS(1253),
    [anon_sym_AMP_AMP] = ACTIONS(1253),
    [anon_sym_PIPE] = ACTIONS(1255),
    [anon_sym_CARET] = ACTIONS(1253),
    [anon_sym_AMP] = ACTIONS(1255),
    [anon_sym_EQ_EQ] = ACTIONS(1253),
    [anon_sym_BANG_EQ] = ACTIONS(1253),
    [anon_sym_LT_EQ_GT] = ACTIONS(1253),
    [anon_sym_GT] = ACTIONS(1255),
    [anon_sym_GT_EQ] = ACTIONS(1253),
    [anon_sym_LT_EQ] = ACTIONS(1255),
    [anon_sym_LT] = ACTIONS(1255),
    [anon_sym_instanceof] = ACTIONS(1255),
    [anon_sym_LT_LT] = ACTIONS(1253),
    [anon_sym_GT_GT] = ACTIONS(1255),
    [anon_sym_GT_GT_GT] = ACTIONS(1253),
    [anon_sym_QMARK] = ACTIONS(1253),
    [anon_sym_PLUS_EQ] = ACTIONS(1253),
    [anon_sym_DASH_EQ] = ACTIONS(1253),
    [anon_sym_STAR_EQ] = ACTIONS(1253),
    [anon_sym_SLASH_EQ] = ACTIONS(1253),
    [anon_sym_PERCENT_EQ] = ACTIONS(1253),
    [anon_sym_delete] = ACTIONS(1255),
    [anon_sym_var] = ACTIONS(1255),
    [anon_sym_rawcall] = ACTIONS(1255),
    [anon_sym_AT] = ACTIONS(1253),
    [anon_sym_clone] = ACTIONS(1255),
    [sym_integer] = ACTIONS(1255),
    [sym_float] = ACTIONS(1253),
    [anon_sym_DQUOTE] = ACTIONS(1253),
    [anon_sym_SQUOTE] = ACTIONS(1255),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1253),
    [anon_sym_true] = ACTIONS(1255),
    [anon_sym_false] = ACTIONS(1255),
    [sym_null] = ACTIONS(1255),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1253),
  },
  [320] = {
    [ts_builtin_sym_end] = ACTIONS(1257),
    [sym_identifier] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(1257),
    [anon_sym_RBRACE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_else] = ACTIONS(1259),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(1259),
    [anon_sym_switch] = ACTIONS(1259),
    [anon_sym_case] = ACTIONS(1259),
    [anon_sym_default] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1259),
    [anon_sym_foreach] = ACTIONS(1259),
    [anon_sym_COMMA] = ACTIONS(1257),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_break] = ACTIONS(1259),
    [anon_sym_continue] = ACTIONS(1259),
    [anon_sym_return] = ACTIONS(1259),
    [anon_sym_yield] = ACTIONS(1259),
    [anon_sym_resume] = ACTIONS(1259),
    [anon_sym_local] = ACTIONS(1259),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(1259),
    [anon_sym_COLON_COLON] = ACTIONS(1257),
    [anon_sym_class] = ACTIONS(1259),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(1259),
    [anon_sym_throw] = ACTIONS(1259),
    [anon_sym_const] = ACTIONS(1259),
    [anon_sym_enum] = ACTIONS(1259),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(1259),
    [anon_sym_typeof] = ACTIONS(1259),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(885),
    [anon_sym_AMP_AMP] = ACTIONS(887),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(905),
    [anon_sym_PLUS_EQ] = ACTIONS(873),
    [anon_sym_DASH_EQ] = ACTIONS(873),
    [anon_sym_STAR_EQ] = ACTIONS(873),
    [anon_sym_SLASH_EQ] = ACTIONS(873),
    [anon_sym_PERCENT_EQ] = ACTIONS(873),
    [anon_sym_delete] = ACTIONS(1259),
    [anon_sym_var] = ACTIONS(1259),
    [anon_sym_rawcall] = ACTIONS(1259),
    [anon_sym_AT] = ACTIONS(1257),
    [anon_sym_clone] = ACTIONS(1259),
    [sym_integer] = ACTIONS(1259),
    [sym_float] = ACTIONS(1257),
    [anon_sym_DQUOTE] = ACTIONS(1257),
    [anon_sym_SQUOTE] = ACTIONS(1259),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1257),
    [anon_sym_true] = ACTIONS(1259),
    [anon_sym_false] = ACTIONS(1259),
    [sym_null] = ACTIONS(1259),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1257),
  },
  [321] = {
    [ts_builtin_sym_end] = ACTIONS(1261),
    [sym_identifier] = ACTIONS(1263),
    [anon_sym_SEMI] = ACTIONS(1261),
    [anon_sym_LBRACE] = ACTIONS(1261),
    [anon_sym_RBRACE] = ACTIONS(1261),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_else] = ACTIONS(1263),
    [anon_sym_while] = ACTIONS(1263),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_do] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(1263),
    [anon_sym_case] = ACTIONS(1263),
    [anon_sym_default] = ACTIONS(1263),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_foreach] = ACTIONS(1263),
    [anon_sym_COMMA] = ACTIONS(1261),
    [anon_sym_in] = ACTIONS(1263),
    [anon_sym_break] = ACTIONS(1263),
    [anon_sym_continue] = ACTIONS(1263),
    [anon_sym_return] = ACTIONS(1263),
    [anon_sym_yield] = ACTIONS(1263),
    [anon_sym_resume] = ACTIONS(1263),
    [anon_sym_local] = ACTIONS(1263),
    [anon_sym_EQ] = ACTIONS(1263),
    [anon_sym_LT_DASH] = ACTIONS(1261),
    [anon_sym_function] = ACTIONS(1263),
    [anon_sym_COLON_COLON] = ACTIONS(1261),
    [anon_sym_class] = ACTIONS(1263),
    [anon_sym_DOT] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(1261),
    [anon_sym_try] = ACTIONS(1263),
    [anon_sym_throw] = ACTIONS(1263),
    [anon_sym_const] = ACTIONS(1263),
    [anon_sym_enum] = ACTIONS(1263),
    [anon_sym_DASH] = ACTIONS(1263),
    [anon_sym_TILDE] = ACTIONS(1261),
    [anon_sym_BANG] = ACTIONS(1263),
    [anon_sym_typeof] = ACTIONS(1263),
    [anon_sym_PLUS_PLUS] = ACTIONS(1261),
    [anon_sym_DASH_DASH] = ACTIONS(1261),
    [anon_sym_PLUS] = ACTIONS(1263),
    [anon_sym_STAR] = ACTIONS(1263),
    [anon_sym_SLASH] = ACTIONS(1263),
    [anon_sym_PERCENT] = ACTIONS(1263),
    [anon_sym_PIPE_PIPE] = ACTIONS(1261),
    [anon_sym_AMP_AMP] = ACTIONS(1261),
    [anon_sym_PIPE] = ACTIONS(1263),
    [anon_sym_CARET] = ACTIONS(1261),
    [anon_sym_AMP] = ACTIONS(1263),
    [anon_sym_EQ_EQ] = ACTIONS(1261),
    [anon_sym_BANG_EQ] = ACTIONS(1261),
    [anon_sym_LT_EQ_GT] = ACTIONS(1261),
    [anon_sym_GT] = ACTIONS(1263),
    [anon_sym_GT_EQ] = ACTIONS(1261),
    [anon_sym_LT_EQ] = ACTIONS(1263),
    [anon_sym_LT] = ACTIONS(1263),
    [anon_sym_instanceof] = ACTIONS(1263),
    [anon_sym_LT_LT] = ACTIONS(1261),
    [anon_sym_GT_GT] = ACTIONS(1263),
    [anon_sym_GT_GT_GT] = ACTIONS(1261),
    [anon_sym_QMARK] = ACTIONS(1261),
    [anon_sym_PLUS_EQ] = ACTIONS(1261),
    [anon_sym_DASH_EQ] = ACTIONS(1261),
    [anon_sym_STAR_EQ] = ACTIONS(1261),
    [anon_sym_SLASH_EQ] = ACTIONS(1261),
    [anon_sym_PERCENT_EQ] = ACTIONS(1261),
    [anon_sym_delete] = ACTIONS(1263),
    [anon_sym_var] = ACTIONS(1263),
    [anon_sym_rawcall] = ACTIONS(1263),
    [anon_sym_AT] = ACTIONS(1261),
    [anon_sym_clone] = ACTIONS(1263),
    [sym_integer] = ACTIONS(1263),
    [sym_float] = ACTIONS(1261),
    [anon_sym_DQUOTE] = ACTIONS(1261),
    [anon_sym_SQUOTE] = ACTIONS(1263),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1261),
    [anon_sym_true] = ACTIONS(1263),
    [anon_sym_false] = ACTIONS(1263),
    [sym_null] = ACTIONS(1263),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1261),
  },
  [322] = {
    [ts_builtin_sym_end] = ACTIONS(1227),
    [sym_identifier] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(1227),
    [anon_sym_LBRACE] = ACTIONS(1227),
    [anon_sym_RBRACE] = ACTIONS(1227),
    [anon_sym_if] = ACTIONS(1229),
    [anon_sym_else] = ACTIONS(1229),
    [anon_sym_while] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_do] = ACTIONS(1229),
    [anon_sym_switch] = ACTIONS(1229),
    [anon_sym_case] = ACTIONS(1229),
    [anon_sym_default] = ACTIONS(1229),
    [anon_sym_for] = ACTIONS(1229),
    [anon_sym_foreach] = ACTIONS(1229),
    [anon_sym_COMMA] = ACTIONS(1227),
    [anon_sym_in] = ACTIONS(1229),
    [anon_sym_break] = ACTIONS(1229),
    [anon_sym_continue] = ACTIONS(1229),
    [anon_sym_return] = ACTIONS(1229),
    [anon_sym_yield] = ACTIONS(1229),
    [anon_sym_resume] = ACTIONS(1229),
    [anon_sym_local] = ACTIONS(1229),
    [anon_sym_EQ] = ACTIONS(1229),
    [anon_sym_LT_DASH] = ACTIONS(1227),
    [anon_sym_function] = ACTIONS(1229),
    [anon_sym_COLON_COLON] = ACTIONS(1227),
    [anon_sym_class] = ACTIONS(1229),
    [anon_sym_DOT] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1227),
    [anon_sym_try] = ACTIONS(1229),
    [anon_sym_throw] = ACTIONS(1229),
    [anon_sym_const] = ACTIONS(1229),
    [anon_sym_enum] = ACTIONS(1229),
    [anon_sym_DASH] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1229),
    [anon_sym_typeof] = ACTIONS(1229),
    [anon_sym_PLUS_PLUS] = ACTIONS(1227),
    [anon_sym_DASH_DASH] = ACTIONS(1227),
    [anon_sym_PLUS] = ACTIONS(1229),
    [anon_sym_STAR] = ACTIONS(1229),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_PERCENT] = ACTIONS(1229),
    [anon_sym_PIPE_PIPE] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1227),
    [anon_sym_PIPE] = ACTIONS(1229),
    [anon_sym_CARET] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1229),
    [anon_sym_EQ_EQ] = ACTIONS(1227),
    [anon_sym_BANG_EQ] = ACTIONS(1227),
    [anon_sym_LT_EQ_GT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1229),
    [anon_sym_GT_EQ] = ACTIONS(1227),
    [anon_sym_LT_EQ] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(1229),
    [anon_sym_instanceof] = ACTIONS(1229),
    [anon_sym_LT_LT] = ACTIONS(1227),
    [anon_sym_GT_GT] = ACTIONS(1229),
    [anon_sym_GT_GT_GT] = ACTIONS(1227),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_PLUS_EQ] = ACTIONS(1227),
    [anon_sym_DASH_EQ] = ACTIONS(1227),
    [anon_sym_STAR_EQ] = ACTIONS(1227),
    [anon_sym_SLASH_EQ] = ACTIONS(1227),
    [anon_sym_PERCENT_EQ] = ACTIONS(1227),
    [anon_sym_delete] = ACTIONS(1229),
    [anon_sym_var] = ACTIONS(1229),
    [anon_sym_rawcall] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(1227),
    [anon_sym_clone] = ACTIONS(1229),
    [sym_integer] = ACTIONS(1229),
    [sym_float] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(1227),
    [anon_sym_SQUOTE] = ACTIONS(1229),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1227),
    [anon_sym_true] = ACTIONS(1229),
    [anon_sym_false] = ACTIONS(1229),
    [sym_null] = ACTIONS(1229),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1227),
  },
  [323] = {
    [ts_builtin_sym_end] = ACTIONS(1265),
    [sym_identifier] = ACTIONS(1267),
    [anon_sym_SEMI] = ACTIONS(1265),
    [anon_sym_LBRACE] = ACTIONS(1265),
    [anon_sym_RBRACE] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(1267),
    [anon_sym_else] = ACTIONS(1267),
    [anon_sym_while] = ACTIONS(1267),
    [anon_sym_LPAREN] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(1267),
    [anon_sym_switch] = ACTIONS(1267),
    [anon_sym_case] = ACTIONS(1267),
    [anon_sym_default] = ACTIONS(1267),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_foreach] = ACTIONS(1267),
    [anon_sym_COMMA] = ACTIONS(1265),
    [anon_sym_in] = ACTIONS(1267),
    [anon_sym_break] = ACTIONS(1267),
    [anon_sym_continue] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(1267),
    [anon_sym_yield] = ACTIONS(1267),
    [anon_sym_resume] = ACTIONS(1267),
    [anon_sym_local] = ACTIONS(1267),
    [anon_sym_EQ] = ACTIONS(1267),
    [anon_sym_LT_DASH] = ACTIONS(1265),
    [anon_sym_function] = ACTIONS(1267),
    [anon_sym_COLON_COLON] = ACTIONS(1265),
    [anon_sym_class] = ACTIONS(1267),
    [anon_sym_DOT] = ACTIONS(1265),
    [anon_sym_LBRACK] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_throw] = ACTIONS(1267),
    [anon_sym_const] = ACTIONS(1267),
    [anon_sym_enum] = ACTIONS(1267),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_TILDE] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1267),
    [anon_sym_typeof] = ACTIONS(1267),
    [anon_sym_PLUS_PLUS] = ACTIONS(1265),
    [anon_sym_DASH_DASH] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1267),
    [anon_sym_STAR] = ACTIONS(1267),
    [anon_sym_SLASH] = ACTIONS(1267),
    [anon_sym_PERCENT] = ACTIONS(1267),
    [anon_sym_PIPE_PIPE] = ACTIONS(1265),
    [anon_sym_AMP_AMP] = ACTIONS(1265),
    [anon_sym_PIPE] = ACTIONS(1267),
    [anon_sym_CARET] = ACTIONS(1265),
    [anon_sym_AMP] = ACTIONS(1267),
    [anon_sym_EQ_EQ] = ACTIONS(1265),
    [anon_sym_BANG_EQ] = ACTIONS(1265),
    [anon_sym_LT_EQ_GT] = ACTIONS(1265),
    [anon_sym_GT] = ACTIONS(1267),
    [anon_sym_GT_EQ] = ACTIONS(1265),
    [anon_sym_LT_EQ] = ACTIONS(1267),
    [anon_sym_LT] = ACTIONS(1267),
    [anon_sym_instanceof] = ACTIONS(1267),
    [anon_sym_LT_LT] = ACTIONS(1265),
    [anon_sym_GT_GT] = ACTIONS(1267),
    [anon_sym_GT_GT_GT] = ACTIONS(1265),
    [anon_sym_QMARK] = ACTIONS(1265),
    [anon_sym_PLUS_EQ] = ACTIONS(1265),
    [anon_sym_DASH_EQ] = ACTIONS(1265),
    [anon_sym_STAR_EQ] = ACTIONS(1265),
    [anon_sym_SLASH_EQ] = ACTIONS(1265),
    [anon_sym_PERCENT_EQ] = ACTIONS(1265),
    [anon_sym_delete] = ACTIONS(1267),
    [anon_sym_var] = ACTIONS(1267),
    [anon_sym_rawcall] = ACTIONS(1267),
    [anon_sym_AT] = ACTIONS(1265),
    [anon_sym_clone] = ACTIONS(1267),
    [sym_integer] = ACTIONS(1267),
    [sym_float] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1265),
    [anon_sym_true] = ACTIONS(1267),
    [anon_sym_false] = ACTIONS(1267),
    [sym_null] = ACTIONS(1267),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1265),
  },
  [324] = {
    [ts_builtin_sym_end] = ACTIONS(1269),
    [sym_identifier] = ACTIONS(1271),
    [anon_sym_SEMI] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(1269),
    [anon_sym_RBRACE] = ACTIONS(1269),
    [anon_sym_if] = ACTIONS(1271),
    [anon_sym_else] = ACTIONS(1271),
    [anon_sym_while] = ACTIONS(1271),
    [anon_sym_LPAREN] = ACTIONS(1269),
    [anon_sym_do] = ACTIONS(1271),
    [anon_sym_switch] = ACTIONS(1271),
    [anon_sym_case] = ACTIONS(1271),
    [anon_sym_default] = ACTIONS(1271),
    [anon_sym_for] = ACTIONS(1271),
    [anon_sym_foreach] = ACTIONS(1271),
    [anon_sym_COMMA] = ACTIONS(1269),
    [anon_sym_in] = ACTIONS(1271),
    [anon_sym_break] = ACTIONS(1271),
    [anon_sym_continue] = ACTIONS(1271),
    [anon_sym_return] = ACTIONS(1271),
    [anon_sym_yield] = ACTIONS(1271),
    [anon_sym_resume] = ACTIONS(1271),
    [anon_sym_local] = ACTIONS(1271),
    [anon_sym_EQ] = ACTIONS(1271),
    [anon_sym_LT_DASH] = ACTIONS(1269),
    [anon_sym_function] = ACTIONS(1271),
    [anon_sym_COLON_COLON] = ACTIONS(1269),
    [anon_sym_class] = ACTIONS(1271),
    [anon_sym_DOT] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1269),
    [anon_sym_try] = ACTIONS(1271),
    [anon_sym_throw] = ACTIONS(1271),
    [anon_sym_const] = ACTIONS(1271),
    [anon_sym_enum] = ACTIONS(1271),
    [anon_sym_DASH] = ACTIONS(1271),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_BANG] = ACTIONS(1271),
    [anon_sym_typeof] = ACTIONS(1271),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_PLUS] = ACTIONS(1271),
    [anon_sym_STAR] = ACTIONS(1271),
    [anon_sym_SLASH] = ACTIONS(1271),
    [anon_sym_PERCENT] = ACTIONS(1271),
    [anon_sym_PIPE_PIPE] = ACTIONS(1269),
    [anon_sym_AMP_AMP] = ACTIONS(1269),
    [anon_sym_PIPE] = ACTIONS(1271),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1271),
    [anon_sym_EQ_EQ] = ACTIONS(1269),
    [anon_sym_BANG_EQ] = ACTIONS(1269),
    [anon_sym_LT_EQ_GT] = ACTIONS(1269),
    [anon_sym_GT] = ACTIONS(1271),
    [anon_sym_GT_EQ] = ACTIONS(1269),
    [anon_sym_LT_EQ] = ACTIONS(1271),
    [anon_sym_LT] = ACTIONS(1271),
    [anon_sym_instanceof] = ACTIONS(1271),
    [anon_sym_LT_LT] = ACTIONS(1269),
    [anon_sym_GT_GT] = ACTIONS(1271),
    [anon_sym_GT_GT_GT] = ACTIONS(1269),
    [anon_sym_QMARK] = ACTIONS(1269),
    [anon_sym_PLUS_EQ] = ACTIONS(1269),
    [anon_sym_DASH_EQ] = ACTIONS(1269),
    [anon_sym_STAR_EQ] = ACTIONS(1269),
    [anon_sym_SLASH_EQ] = ACTIONS(1269),
    [anon_sym_PERCENT_EQ] = ACTIONS(1269),
    [anon_sym_delete] = ACTIONS(1271),
    [anon_sym_var] = ACTIONS(1271),
    [anon_sym_rawcall] = ACTIONS(1271),
    [anon_sym_AT] = ACTIONS(1269),
    [anon_sym_clone] = ACTIONS(1271),
    [sym_integer] = ACTIONS(1271),
    [sym_float] = ACTIONS(1269),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [anon_sym_SQUOTE] = ACTIONS(1271),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1269),
    [anon_sym_true] = ACTIONS(1271),
    [anon_sym_false] = ACTIONS(1271),
    [sym_null] = ACTIONS(1271),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1269),
  },
  [325] = {
    [ts_builtin_sym_end] = ACTIONS(1273),
    [sym_identifier] = ACTIONS(1275),
    [anon_sym_SEMI] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_RBRACE] = ACTIONS(1273),
    [anon_sym_if] = ACTIONS(1275),
    [anon_sym_else] = ACTIONS(1275),
    [anon_sym_while] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(1273),
    [anon_sym_do] = ACTIONS(1275),
    [anon_sym_switch] = ACTIONS(1275),
    [anon_sym_case] = ACTIONS(1275),
    [anon_sym_default] = ACTIONS(1275),
    [anon_sym_for] = ACTIONS(1275),
    [anon_sym_foreach] = ACTIONS(1275),
    [anon_sym_COMMA] = ACTIONS(1273),
    [anon_sym_in] = ACTIONS(1275),
    [anon_sym_break] = ACTIONS(1275),
    [anon_sym_continue] = ACTIONS(1275),
    [anon_sym_return] = ACTIONS(1275),
    [anon_sym_yield] = ACTIONS(1275),
    [anon_sym_resume] = ACTIONS(1275),
    [anon_sym_local] = ACTIONS(1275),
    [anon_sym_EQ] = ACTIONS(1275),
    [anon_sym_LT_DASH] = ACTIONS(1273),
    [anon_sym_function] = ACTIONS(1275),
    [anon_sym_COLON_COLON] = ACTIONS(1273),
    [anon_sym_class] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(1273),
    [anon_sym_LBRACK] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(1275),
    [anon_sym_throw] = ACTIONS(1275),
    [anon_sym_const] = ACTIONS(1275),
    [anon_sym_enum] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_TILDE] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1275),
    [anon_sym_typeof] = ACTIONS(1275),
    [anon_sym_PLUS_PLUS] = ACTIONS(1273),
    [anon_sym_DASH_DASH] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_STAR] = ACTIONS(1275),
    [anon_sym_SLASH] = ACTIONS(1275),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [anon_sym_PIPE_PIPE] = ACTIONS(1273),
    [anon_sym_AMP_AMP] = ACTIONS(1273),
    [anon_sym_PIPE] = ACTIONS(1275),
    [anon_sym_CARET] = ACTIONS(1273),
    [anon_sym_AMP] = ACTIONS(1275),
    [anon_sym_EQ_EQ] = ACTIONS(1273),
    [anon_sym_BANG_EQ] = ACTIONS(1273),
    [anon_sym_LT_EQ_GT] = ACTIONS(1273),
    [anon_sym_GT] = ACTIONS(1275),
    [anon_sym_GT_EQ] = ACTIONS(1273),
    [anon_sym_LT_EQ] = ACTIONS(1275),
    [anon_sym_LT] = ACTIONS(1275),
    [anon_sym_instanceof] = ACTIONS(1275),
    [anon_sym_LT_LT] = ACTIONS(1273),
    [anon_sym_GT_GT] = ACTIONS(1275),
    [anon_sym_GT_GT_GT] = ACTIONS(1273),
    [anon_sym_QMARK] = ACTIONS(1273),
    [anon_sym_PLUS_EQ] = ACTIONS(1273),
    [anon_sym_DASH_EQ] = ACTIONS(1273),
    [anon_sym_STAR_EQ] = ACTIONS(1273),
    [anon_sym_SLASH_EQ] = ACTIONS(1273),
    [anon_sym_PERCENT_EQ] = ACTIONS(1273),
    [anon_sym_delete] = ACTIONS(1275),
    [anon_sym_var] = ACTIONS(1275),
    [anon_sym_rawcall] = ACTIONS(1275),
    [anon_sym_AT] = ACTIONS(1273),
    [anon_sym_clone] = ACTIONS(1275),
    [sym_integer] = ACTIONS(1275),
    [sym_float] = ACTIONS(1273),
    [anon_sym_DQUOTE] = ACTIONS(1273),
    [anon_sym_SQUOTE] = ACTIONS(1275),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1273),
    [anon_sym_true] = ACTIONS(1275),
    [anon_sym_false] = ACTIONS(1275),
    [sym_null] = ACTIONS(1275),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1273),
  },
  [326] = {
    [ts_builtin_sym_end] = ACTIONS(1279),
    [sym_identifier] = ACTIONS(1281),
    [anon_sym_SEMI] = ACTIONS(1279),
    [anon_sym_LBRACE] = ACTIONS(1279),
    [anon_sym_RBRACE] = ACTIONS(1279),
    [anon_sym_if] = ACTIONS(1281),
    [anon_sym_else] = ACTIONS(1281),
    [anon_sym_while] = ACTIONS(1281),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_do] = ACTIONS(1281),
    [anon_sym_switch] = ACTIONS(1281),
    [anon_sym_case] = ACTIONS(1281),
    [anon_sym_default] = ACTIONS(1281),
    [anon_sym_for] = ACTIONS(1281),
    [anon_sym_foreach] = ACTIONS(1281),
    [anon_sym_COMMA] = ACTIONS(1279),
    [anon_sym_in] = ACTIONS(1281),
    [anon_sym_break] = ACTIONS(1281),
    [anon_sym_continue] = ACTIONS(1281),
    [anon_sym_return] = ACTIONS(1281),
    [anon_sym_yield] = ACTIONS(1281),
    [anon_sym_resume] = ACTIONS(1281),
    [anon_sym_local] = ACTIONS(1281),
    [anon_sym_EQ] = ACTIONS(1281),
    [anon_sym_LT_DASH] = ACTIONS(1279),
    [anon_sym_function] = ACTIONS(1281),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_class] = ACTIONS(1281),
    [anon_sym_DOT] = ACTIONS(1279),
    [anon_sym_LBRACK] = ACTIONS(1279),
    [anon_sym_try] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1281),
    [anon_sym_const] = ACTIONS(1281),
    [anon_sym_enum] = ACTIONS(1281),
    [anon_sym_DASH] = ACTIONS(1281),
    [anon_sym_TILDE] = ACTIONS(1279),
    [anon_sym_BANG] = ACTIONS(1281),
    [anon_sym_typeof] = ACTIONS(1281),
    [anon_sym_PLUS_PLUS] = ACTIONS(1279),
    [anon_sym_DASH_DASH] = ACTIONS(1279),
    [anon_sym_PLUS] = ACTIONS(1281),
    [anon_sym_STAR] = ACTIONS(1281),
    [anon_sym_SLASH] = ACTIONS(1281),
    [anon_sym_PERCENT] = ACTIONS(1281),
    [anon_sym_PIPE_PIPE] = ACTIONS(1279),
    [anon_sym_AMP_AMP] = ACTIONS(1279),
    [anon_sym_PIPE] = ACTIONS(1281),
    [anon_sym_CARET] = ACTIONS(1279),
    [anon_sym_AMP] = ACTIONS(1281),
    [anon_sym_EQ_EQ] = ACTIONS(1279),
    [anon_sym_BANG_EQ] = ACTIONS(1279),
    [anon_sym_LT_EQ_GT] = ACTIONS(1279),
    [anon_sym_GT] = ACTIONS(1281),
    [anon_sym_GT_EQ] = ACTIONS(1279),
    [anon_sym_LT_EQ] = ACTIONS(1281),
    [anon_sym_LT] = ACTIONS(1281),
    [anon_sym_instanceof] = ACTIONS(1281),
    [anon_sym_LT_LT] = ACTIONS(1279),
    [anon_sym_GT_GT] = ACTIONS(1281),
    [anon_sym_GT_GT_GT] = ACTIONS(1279),
    [anon_sym_QMARK] = ACTIONS(1279),
    [anon_sym_PLUS_EQ] = ACTIONS(1279),
    [anon_sym_DASH_EQ] = ACTIONS(1279),
    [anon_sym_STAR_EQ] = ACTIONS(1279),
    [anon_sym_SLASH_EQ] = ACTIONS(1279),
    [anon_sym_PERCENT_EQ] = ACTIONS(1279),
    [anon_sym_delete] = ACTIONS(1281),
    [anon_sym_var] = ACTIONS(1281),
    [anon_sym_rawcall] = ACTIONS(1281),
    [anon_sym_AT] = ACTIONS(1279),
    [anon_sym_clone] = ACTIONS(1281),
    [sym_integer] = ACTIONS(1281),
    [sym_float] = ACTIONS(1279),
    [anon_sym_DQUOTE] = ACTIONS(1279),
    [anon_sym_SQUOTE] = ACTIONS(1281),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1279),
    [anon_sym_true] = ACTIONS(1281),
    [anon_sym_false] = ACTIONS(1281),
    [sym_null] = ACTIONS(1281),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1279),
  },
  [327] = {
    [ts_builtin_sym_end] = ACTIONS(1283),
    [sym_identifier] = ACTIONS(1285),
    [anon_sym_SEMI] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(1283),
    [anon_sym_RBRACE] = ACTIONS(1283),
    [anon_sym_if] = ACTIONS(1285),
    [anon_sym_else] = ACTIONS(1285),
    [anon_sym_while] = ACTIONS(1285),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_do] = ACTIONS(1285),
    [anon_sym_switch] = ACTIONS(1285),
    [anon_sym_case] = ACTIONS(1285),
    [anon_sym_default] = ACTIONS(1285),
    [anon_sym_for] = ACTIONS(1285),
    [anon_sym_foreach] = ACTIONS(1285),
    [anon_sym_COMMA] = ACTIONS(1283),
    [anon_sym_in] = ACTIONS(1285),
    [anon_sym_break] = ACTIONS(1285),
    [anon_sym_continue] = ACTIONS(1285),
    [anon_sym_return] = ACTIONS(1285),
    [anon_sym_yield] = ACTIONS(1285),
    [anon_sym_resume] = ACTIONS(1285),
    [anon_sym_local] = ACTIONS(1285),
    [anon_sym_EQ] = ACTIONS(1285),
    [anon_sym_LT_DASH] = ACTIONS(1283),
    [anon_sym_function] = ACTIONS(1285),
    [anon_sym_COLON_COLON] = ACTIONS(1283),
    [anon_sym_class] = ACTIONS(1285),
    [anon_sym_DOT] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_try] = ACTIONS(1285),
    [anon_sym_throw] = ACTIONS(1285),
    [anon_sym_const] = ACTIONS(1285),
    [anon_sym_enum] = ACTIONS(1285),
    [anon_sym_DASH] = ACTIONS(1285),
    [anon_sym_TILDE] = ACTIONS(1283),
    [anon_sym_BANG] = ACTIONS(1285),
    [anon_sym_typeof] = ACTIONS(1285),
    [anon_sym_PLUS_PLUS] = ACTIONS(1283),
    [anon_sym_DASH_DASH] = ACTIONS(1283),
    [anon_sym_PLUS] = ACTIONS(1285),
    [anon_sym_STAR] = ACTIONS(1285),
    [anon_sym_SLASH] = ACTIONS(1285),
    [anon_sym_PERCENT] = ACTIONS(1285),
    [anon_sym_PIPE_PIPE] = ACTIONS(1283),
    [anon_sym_AMP_AMP] = ACTIONS(1283),
    [anon_sym_PIPE] = ACTIONS(1285),
    [anon_sym_CARET] = ACTIONS(1283),
    [anon_sym_AMP] = ACTIONS(1285),
    [anon_sym_EQ_EQ] = ACTIONS(1283),
    [anon_sym_BANG_EQ] = ACTIONS(1283),
    [anon_sym_LT_EQ_GT] = ACTIONS(1283),
    [anon_sym_GT] = ACTIONS(1285),
    [anon_sym_GT_EQ] = ACTIONS(1283),
    [anon_sym_LT_EQ] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(1285),
    [anon_sym_instanceof] = ACTIONS(1285),
    [anon_sym_LT_LT] = ACTIONS(1283),
    [anon_sym_GT_GT] = ACTIONS(1285),
    [anon_sym_GT_GT_GT] = ACTIONS(1283),
    [anon_sym_QMARK] = ACTIONS(1283),
    [anon_sym_PLUS_EQ] = ACTIONS(1283),
    [anon_sym_DASH_EQ] = ACTIONS(1283),
    [anon_sym_STAR_EQ] = ACTIONS(1283),
    [anon_sym_SLASH_EQ] = ACTIONS(1283),
    [anon_sym_PERCENT_EQ] = ACTIONS(1283),
    [anon_sym_delete] = ACTIONS(1285),
    [anon_sym_var] = ACTIONS(1285),
    [anon_sym_rawcall] = ACTIONS(1285),
    [anon_sym_AT] = ACTIONS(1283),
    [anon_sym_clone] = ACTIONS(1285),
    [sym_integer] = ACTIONS(1285),
    [sym_float] = ACTIONS(1283),
    [anon_sym_DQUOTE] = ACTIONS(1283),
    [anon_sym_SQUOTE] = ACTIONS(1285),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1283),
    [anon_sym_true] = ACTIONS(1285),
    [anon_sym_false] = ACTIONS(1285),
    [sym_null] = ACTIONS(1285),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1283),
  },
  [328] = {
    [ts_builtin_sym_end] = ACTIONS(1287),
    [sym_identifier] = ACTIONS(1289),
    [anon_sym_SEMI] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_RBRACE] = ACTIONS(1287),
    [anon_sym_if] = ACTIONS(1289),
    [anon_sym_else] = ACTIONS(1289),
    [anon_sym_while] = ACTIONS(1289),
    [anon_sym_LPAREN] = ACTIONS(1287),
    [anon_sym_do] = ACTIONS(1289),
    [anon_sym_switch] = ACTIONS(1289),
    [anon_sym_case] = ACTIONS(1289),
    [anon_sym_default] = ACTIONS(1289),
    [anon_sym_for] = ACTIONS(1289),
    [anon_sym_foreach] = ACTIONS(1289),
    [anon_sym_COMMA] = ACTIONS(1287),
    [anon_sym_in] = ACTIONS(1289),
    [anon_sym_break] = ACTIONS(1289),
    [anon_sym_continue] = ACTIONS(1289),
    [anon_sym_return] = ACTIONS(1289),
    [anon_sym_yield] = ACTIONS(1289),
    [anon_sym_resume] = ACTIONS(1289),
    [anon_sym_local] = ACTIONS(1289),
    [anon_sym_EQ] = ACTIONS(1289),
    [anon_sym_LT_DASH] = ACTIONS(1287),
    [anon_sym_function] = ACTIONS(1289),
    [anon_sym_COLON_COLON] = ACTIONS(1287),
    [anon_sym_class] = ACTIONS(1289),
    [anon_sym_DOT] = ACTIONS(1287),
    [anon_sym_LBRACK] = ACTIONS(1287),
    [anon_sym_try] = ACTIONS(1289),
    [anon_sym_throw] = ACTIONS(1289),
    [anon_sym_const] = ACTIONS(1289),
    [anon_sym_enum] = ACTIONS(1289),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_TILDE] = ACTIONS(1287),
    [anon_sym_BANG] = ACTIONS(1289),
    [anon_sym_typeof] = ACTIONS(1289),
    [anon_sym_PLUS_PLUS] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(1289),
    [anon_sym_STAR] = ACTIONS(1289),
    [anon_sym_SLASH] = ACTIONS(1289),
    [anon_sym_PERCENT] = ACTIONS(1289),
    [anon_sym_PIPE_PIPE] = ACTIONS(1287),
    [anon_sym_AMP_AMP] = ACTIONS(1287),
    [anon_sym_PIPE] = ACTIONS(1289),
    [anon_sym_CARET] = ACTIONS(1287),
    [anon_sym_AMP] = ACTIONS(1289),
    [anon_sym_EQ_EQ] = ACTIONS(1287),
    [anon_sym_BANG_EQ] = ACTIONS(1287),
    [anon_sym_LT_EQ_GT] = ACTIONS(1287),
    [anon_sym_GT] = ACTIONS(1289),
    [anon_sym_GT_EQ] = ACTIONS(1287),
    [anon_sym_LT_EQ] = ACTIONS(1289),
    [anon_sym_LT] = ACTIONS(1289),
    [anon_sym_instanceof] = ACTIONS(1289),
    [anon_sym_LT_LT] = ACTIONS(1287),
    [anon_sym_GT_GT] = ACTIONS(1289),
    [anon_sym_GT_GT_GT] = ACTIONS(1287),
    [anon_sym_QMARK] = ACTIONS(1287),
    [anon_sym_PLUS_EQ] = ACTIONS(1287),
    [anon_sym_DASH_EQ] = ACTIONS(1287),
    [anon_sym_STAR_EQ] = ACTIONS(1287),
    [anon_sym_SLASH_EQ] = ACTIONS(1287),
    [anon_sym_PERCENT_EQ] = ACTIONS(1287),
    [anon_sym_delete] = ACTIONS(1289),
    [anon_sym_var] = ACTIONS(1289),
    [anon_sym_rawcall] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(1287),
    [anon_sym_clone] = ACTIONS(1289),
    [sym_integer] = ACTIONS(1289),
    [sym_float] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1287),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1287),
    [anon_sym_true] = ACTIONS(1289),
    [anon_sym_false] = ACTIONS(1289),
    [sym_null] = ACTIONS(1289),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1287),
  },
  [329] = {
    [ts_builtin_sym_end] = ACTIONS(1291),
    [sym_identifier] = ACTIONS(1293),
    [anon_sym_SEMI] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1291),
    [anon_sym_RBRACE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_else] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1293),
    [anon_sym_LPAREN] = ACTIONS(1291),
    [anon_sym_do] = ACTIONS(1293),
    [anon_sym_switch] = ACTIONS(1293),
    [anon_sym_case] = ACTIONS(1293),
    [anon_sym_default] = ACTIONS(1293),
    [anon_sym_for] = ACTIONS(1293),
    [anon_sym_foreach] = ACTIONS(1293),
    [anon_sym_COMMA] = ACTIONS(1291),
    [anon_sym_in] = ACTIONS(1293),
    [anon_sym_break] = ACTIONS(1293),
    [anon_sym_continue] = ACTIONS(1293),
    [anon_sym_return] = ACTIONS(1293),
    [anon_sym_yield] = ACTIONS(1293),
    [anon_sym_resume] = ACTIONS(1293),
    [anon_sym_local] = ACTIONS(1293),
    [anon_sym_EQ] = ACTIONS(1293),
    [anon_sym_LT_DASH] = ACTIONS(1291),
    [anon_sym_function] = ACTIONS(1293),
    [anon_sym_COLON_COLON] = ACTIONS(1291),
    [anon_sym_class] = ACTIONS(1293),
    [anon_sym_DOT] = ACTIONS(1291),
    [anon_sym_LBRACK] = ACTIONS(1291),
    [anon_sym_try] = ACTIONS(1293),
    [anon_sym_throw] = ACTIONS(1293),
    [anon_sym_const] = ACTIONS(1293),
    [anon_sym_enum] = ACTIONS(1293),
    [anon_sym_DASH] = ACTIONS(1293),
    [anon_sym_TILDE] = ACTIONS(1291),
    [anon_sym_BANG] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1293),
    [anon_sym_PLUS_PLUS] = ACTIONS(1291),
    [anon_sym_DASH_DASH] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(1293),
    [anon_sym_STAR] = ACTIONS(1293),
    [anon_sym_SLASH] = ACTIONS(1293),
    [anon_sym_PERCENT] = ACTIONS(1293),
    [anon_sym_PIPE_PIPE] = ACTIONS(1291),
    [anon_sym_AMP_AMP] = ACTIONS(1291),
    [anon_sym_PIPE] = ACTIONS(1293),
    [anon_sym_CARET] = ACTIONS(1291),
    [anon_sym_AMP] = ACTIONS(1293),
    [anon_sym_EQ_EQ] = ACTIONS(1291),
    [anon_sym_BANG_EQ] = ACTIONS(1291),
    [anon_sym_LT_EQ_GT] = ACTIONS(1291),
    [anon_sym_GT] = ACTIONS(1293),
    [anon_sym_GT_EQ] = ACTIONS(1291),
    [anon_sym_LT_EQ] = ACTIONS(1293),
    [anon_sym_LT] = ACTIONS(1293),
    [anon_sym_instanceof] = ACTIONS(1293),
    [anon_sym_LT_LT] = ACTIONS(1291),
    [anon_sym_GT_GT] = ACTIONS(1293),
    [anon_sym_GT_GT_GT] = ACTIONS(1291),
    [anon_sym_QMARK] = ACTIONS(1291),
    [anon_sym_PLUS_EQ] = ACTIONS(1291),
    [anon_sym_DASH_EQ] = ACTIONS(1291),
    [anon_sym_STAR_EQ] = ACTIONS(1291),
    [anon_sym_SLASH_EQ] = ACTIONS(1291),
    [anon_sym_PERCENT_EQ] = ACTIONS(1291),
    [anon_sym_delete] = ACTIONS(1293),
    [anon_sym_var] = ACTIONS(1293),
    [anon_sym_rawcall] = ACTIONS(1293),
    [anon_sym_AT] = ACTIONS(1291),
    [anon_sym_clone] = ACTIONS(1293),
    [sym_integer] = ACTIONS(1293),
    [sym_float] = ACTIONS(1291),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [anon_sym_SQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1291),
    [anon_sym_true] = ACTIONS(1293),
    [anon_sym_false] = ACTIONS(1293),
    [sym_null] = ACTIONS(1293),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1291),
  },
  [330] = {
    [ts_builtin_sym_end] = ACTIONS(1291),
    [sym_identifier] = ACTIONS(1293),
    [anon_sym_SEMI] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(1291),
    [anon_sym_RBRACE] = ACTIONS(1291),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_else] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1293),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(1293),
    [anon_sym_switch] = ACTIONS(1293),
    [anon_sym_case] = ACTIONS(1293),
    [anon_sym_default] = ACTIONS(1293),
    [anon_sym_for] = ACTIONS(1293),
    [anon_sym_foreach] = ACTIONS(1293),
    [anon_sym_COMMA] = ACTIONS(1291),
    [anon_sym_in] = ACTIONS(1293),
    [anon_sym_break] = ACTIONS(1293),
    [anon_sym_continue] = ACTIONS(1293),
    [anon_sym_return] = ACTIONS(1293),
    [anon_sym_yield] = ACTIONS(1293),
    [anon_sym_resume] = ACTIONS(1293),
    [anon_sym_local] = ACTIONS(1293),
    [anon_sym_EQ] = ACTIONS(1293),
    [anon_sym_LT_DASH] = ACTIONS(1291),
    [anon_sym_function] = ACTIONS(1293),
    [anon_sym_COLON_COLON] = ACTIONS(1291),
    [anon_sym_class] = ACTIONS(1293),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(1293),
    [anon_sym_throw] = ACTIONS(1293),
    [anon_sym_const] = ACTIONS(1293),
    [anon_sym_enum] = ACTIONS(1293),
    [anon_sym_DASH] = ACTIONS(1293),
    [anon_sym_TILDE] = ACTIONS(1291),
    [anon_sym_BANG] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1293),
    [anon_sym_PLUS_PLUS] = ACTIONS(1291),
    [anon_sym_DASH_DASH] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(1293),
    [anon_sym_STAR] = ACTIONS(1293),
    [anon_sym_SLASH] = ACTIONS(1293),
    [anon_sym_PERCENT] = ACTIONS(1293),
    [anon_sym_PIPE_PIPE] = ACTIONS(1291),
    [anon_sym_AMP_AMP] = ACTIONS(1291),
    [anon_sym_PIPE] = ACTIONS(1293),
    [anon_sym_CARET] = ACTIONS(1291),
    [anon_sym_AMP] = ACTIONS(1293),
    [anon_sym_EQ_EQ] = ACTIONS(1291),
    [anon_sym_BANG_EQ] = ACTIONS(1291),
    [anon_sym_LT_EQ_GT] = ACTIONS(1291),
    [anon_sym_GT] = ACTIONS(1293),
    [anon_sym_GT_EQ] = ACTIONS(1291),
    [anon_sym_LT_EQ] = ACTIONS(1293),
    [anon_sym_LT] = ACTIONS(1293),
    [anon_sym_instanceof] = ACTIONS(1293),
    [anon_sym_LT_LT] = ACTIONS(1291),
    [anon_sym_GT_GT] = ACTIONS(1293),
    [anon_sym_GT_GT_GT] = ACTIONS(1291),
    [anon_sym_QMARK] = ACTIONS(1291),
    [anon_sym_PLUS_EQ] = ACTIONS(1291),
    [anon_sym_DASH_EQ] = ACTIONS(1291),
    [anon_sym_STAR_EQ] = ACTIONS(1291),
    [anon_sym_SLASH_EQ] = ACTIONS(1291),
    [anon_sym_PERCENT_EQ] = ACTIONS(1291),
    [anon_sym_delete] = ACTIONS(1293),
    [anon_sym_var] = ACTIONS(1293),
    [anon_sym_rawcall] = ACTIONS(1293),
    [anon_sym_AT] = ACTIONS(1291),
    [anon_sym_clone] = ACTIONS(1293),
    [sym_integer] = ACTIONS(1293),
    [sym_float] = ACTIONS(1291),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [anon_sym_SQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1291),
    [anon_sym_true] = ACTIONS(1293),
    [anon_sym_false] = ACTIONS(1293),
    [sym_null] = ACTIONS(1293),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1291),
  },
  [331] = {
    [ts_builtin_sym_end] = ACTIONS(1295),
    [sym_identifier] = ACTIONS(1297),
    [anon_sym_SEMI] = ACTIONS(1295),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym_RBRACE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_else] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_LPAREN] = ACTIONS(1295),
    [anon_sym_do] = ACTIONS(1297),
    [anon_sym_switch] = ACTIONS(1297),
    [anon_sym_case] = ACTIONS(1297),
    [anon_sym_default] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_foreach] = ACTIONS(1297),
    [anon_sym_COMMA] = ACTIONS(1295),
    [anon_sym_in] = ACTIONS(1297),
    [anon_sym_break] = ACTIONS(1297),
    [anon_sym_continue] = ACTIONS(1297),
    [anon_sym_return] = ACTIONS(1297),
    [anon_sym_yield] = ACTIONS(1297),
    [anon_sym_resume] = ACTIONS(1297),
    [anon_sym_local] = ACTIONS(1297),
    [anon_sym_EQ] = ACTIONS(1297),
    [anon_sym_LT_DASH] = ACTIONS(1295),
    [anon_sym_function] = ACTIONS(1297),
    [anon_sym_COLON_COLON] = ACTIONS(1295),
    [anon_sym_class] = ACTIONS(1297),
    [anon_sym_DOT] = ACTIONS(1295),
    [anon_sym_LBRACK] = ACTIONS(1295),
    [anon_sym_try] = ACTIONS(1297),
    [anon_sym_throw] = ACTIONS(1297),
    [anon_sym_const] = ACTIONS(1297),
    [anon_sym_enum] = ACTIONS(1297),
    [anon_sym_DASH] = ACTIONS(1297),
    [anon_sym_TILDE] = ACTIONS(1295),
    [anon_sym_BANG] = ACTIONS(1297),
    [anon_sym_typeof] = ACTIONS(1297),
    [anon_sym_PLUS_PLUS] = ACTIONS(1295),
    [anon_sym_DASH_DASH] = ACTIONS(1295),
    [anon_sym_PLUS] = ACTIONS(1297),
    [anon_sym_STAR] = ACTIONS(1297),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_PERCENT] = ACTIONS(1297),
    [anon_sym_PIPE_PIPE] = ACTIONS(1295),
    [anon_sym_AMP_AMP] = ACTIONS(1295),
    [anon_sym_PIPE] = ACTIONS(1297),
    [anon_sym_CARET] = ACTIONS(1295),
    [anon_sym_AMP] = ACTIONS(1297),
    [anon_sym_EQ_EQ] = ACTIONS(1295),
    [anon_sym_BANG_EQ] = ACTIONS(1295),
    [anon_sym_LT_EQ_GT] = ACTIONS(1295),
    [anon_sym_GT] = ACTIONS(1297),
    [anon_sym_GT_EQ] = ACTIONS(1295),
    [anon_sym_LT_EQ] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(1297),
    [anon_sym_instanceof] = ACTIONS(1297),
    [anon_sym_LT_LT] = ACTIONS(1295),
    [anon_sym_GT_GT] = ACTIONS(1297),
    [anon_sym_GT_GT_GT] = ACTIONS(1295),
    [anon_sym_QMARK] = ACTIONS(1295),
    [anon_sym_PLUS_EQ] = ACTIONS(1295),
    [anon_sym_DASH_EQ] = ACTIONS(1295),
    [anon_sym_STAR_EQ] = ACTIONS(1295),
    [anon_sym_SLASH_EQ] = ACTIONS(1295),
    [anon_sym_PERCENT_EQ] = ACTIONS(1295),
    [anon_sym_delete] = ACTIONS(1297),
    [anon_sym_var] = ACTIONS(1297),
    [anon_sym_rawcall] = ACTIONS(1297),
    [anon_sym_AT] = ACTIONS(1295),
    [anon_sym_clone] = ACTIONS(1297),
    [sym_integer] = ACTIONS(1297),
    [sym_float] = ACTIONS(1295),
    [anon_sym_DQUOTE] = ACTIONS(1295),
    [anon_sym_SQUOTE] = ACTIONS(1297),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(1297),
    [anon_sym_false] = ACTIONS(1297),
    [sym_null] = ACTIONS(1297),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1295),
  },
  [332] = {
    [ts_builtin_sym_end] = ACTIONS(1299),
    [sym_identifier] = ACTIONS(1301),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1299),
    [anon_sym_RBRACE] = ACTIONS(1299),
    [anon_sym_if] = ACTIONS(1301),
    [anon_sym_else] = ACTIONS(1301),
    [anon_sym_while] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(1301),
    [anon_sym_switch] = ACTIONS(1301),
    [anon_sym_case] = ACTIONS(1301),
    [anon_sym_default] = ACTIONS(1301),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_foreach] = ACTIONS(1301),
    [anon_sym_COMMA] = ACTIONS(1299),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_break] = ACTIONS(1301),
    [anon_sym_continue] = ACTIONS(1301),
    [anon_sym_return] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(1301),
    [anon_sym_resume] = ACTIONS(1301),
    [anon_sym_local] = ACTIONS(1301),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(1301),
    [anon_sym_COLON_COLON] = ACTIONS(1299),
    [anon_sym_class] = ACTIONS(1301),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(1301),
    [anon_sym_throw] = ACTIONS(1301),
    [anon_sym_const] = ACTIONS(1301),
    [anon_sym_enum] = ACTIONS(1301),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_BANG] = ACTIONS(1301),
    [anon_sym_typeof] = ACTIONS(1301),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(885),
    [anon_sym_AMP_AMP] = ACTIONS(887),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(905),
    [anon_sym_PLUS_EQ] = ACTIONS(873),
    [anon_sym_DASH_EQ] = ACTIONS(873),
    [anon_sym_STAR_EQ] = ACTIONS(873),
    [anon_sym_SLASH_EQ] = ACTIONS(873),
    [anon_sym_PERCENT_EQ] = ACTIONS(873),
    [anon_sym_delete] = ACTIONS(1301),
    [anon_sym_var] = ACTIONS(1301),
    [anon_sym_rawcall] = ACTIONS(1301),
    [anon_sym_AT] = ACTIONS(1299),
    [anon_sym_clone] = ACTIONS(1301),
    [sym_integer] = ACTIONS(1301),
    [sym_float] = ACTIONS(1299),
    [anon_sym_DQUOTE] = ACTIONS(1299),
    [anon_sym_SQUOTE] = ACTIONS(1301),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1299),
    [anon_sym_true] = ACTIONS(1301),
    [anon_sym_false] = ACTIONS(1301),
    [sym_null] = ACTIONS(1301),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1299),
  },
  [333] = {
    [ts_builtin_sym_end] = ACTIONS(1305),
    [sym_identifier] = ACTIONS(1307),
    [anon_sym_SEMI] = ACTIONS(1305),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_RBRACE] = ACTIONS(1305),
    [anon_sym_if] = ACTIONS(1307),
    [anon_sym_else] = ACTIONS(1307),
    [anon_sym_while] = ACTIONS(1307),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(1307),
    [anon_sym_switch] = ACTIONS(1307),
    [anon_sym_case] = ACTIONS(1307),
    [anon_sym_default] = ACTIONS(1307),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_foreach] = ACTIONS(1307),
    [anon_sym_COMMA] = ACTIONS(1305),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_break] = ACTIONS(1307),
    [anon_sym_continue] = ACTIONS(1307),
    [anon_sym_return] = ACTIONS(1307),
    [anon_sym_yield] = ACTIONS(1307),
    [anon_sym_resume] = ACTIONS(1307),
    [anon_sym_local] = ACTIONS(1307),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(1307),
    [anon_sym_COLON_COLON] = ACTIONS(1305),
    [anon_sym_class] = ACTIONS(1307),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_throw] = ACTIONS(1307),
    [anon_sym_const] = ACTIONS(1307),
    [anon_sym_enum] = ACTIONS(1307),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(1305),
    [anon_sym_BANG] = ACTIONS(1307),
    [anon_sym_typeof] = ACTIONS(1307),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(885),
    [anon_sym_AMP_AMP] = ACTIONS(887),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(905),
    [anon_sym_PLUS_EQ] = ACTIONS(873),
    [anon_sym_DASH_EQ] = ACTIONS(873),
    [anon_sym_STAR_EQ] = ACTIONS(873),
    [anon_sym_SLASH_EQ] = ACTIONS(873),
    [anon_sym_PERCENT_EQ] = ACTIONS(873),
    [anon_sym_delete] = ACTIONS(1307),
    [anon_sym_var] = ACTIONS(1307),
    [anon_sym_rawcall] = ACTIONS(1307),
    [anon_sym_AT] = ACTIONS(1305),
    [anon_sym_clone] = ACTIONS(1307),
    [sym_integer] = ACTIONS(1307),
    [sym_float] = ACTIONS(1305),
    [anon_sym_DQUOTE] = ACTIONS(1305),
    [anon_sym_SQUOTE] = ACTIONS(1307),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [sym_null] = ACTIONS(1307),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1305),
  },
  [334] = {
    [ts_builtin_sym_end] = ACTIONS(1189),
    [sym_identifier] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_RBRACE] = ACTIONS(1189),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_else] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(1191),
    [anon_sym_switch] = ACTIONS(1191),
    [anon_sym_case] = ACTIONS(1191),
    [anon_sym_default] = ACTIONS(1191),
    [anon_sym_for] = ACTIONS(1191),
    [anon_sym_foreach] = ACTIONS(1191),
    [anon_sym_COMMA] = ACTIONS(1189),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_break] = ACTIONS(1191),
    [anon_sym_continue] = ACTIONS(1191),
    [anon_sym_return] = ACTIONS(1191),
    [anon_sym_yield] = ACTIONS(1191),
    [anon_sym_resume] = ACTIONS(1191),
    [anon_sym_local] = ACTIONS(1191),
    [anon_sym_EQ] = ACTIONS(1191),
    [anon_sym_LT_DASH] = ACTIONS(1189),
    [anon_sym_function] = ACTIONS(1191),
    [anon_sym_COLON_COLON] = ACTIONS(1189),
    [anon_sym_class] = ACTIONS(1191),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_throw] = ACTIONS(1191),
    [anon_sym_const] = ACTIONS(1191),
    [anon_sym_enum] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(1189),
    [anon_sym_BANG] = ACTIONS(1191),
    [anon_sym_typeof] = ACTIONS(1191),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(885),
    [anon_sym_AMP_AMP] = ACTIONS(887),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(905),
    [anon_sym_PLUS_EQ] = ACTIONS(1189),
    [anon_sym_DASH_EQ] = ACTIONS(1189),
    [anon_sym_STAR_EQ] = ACTIONS(1189),
    [anon_sym_SLASH_EQ] = ACTIONS(1189),
    [anon_sym_PERCENT_EQ] = ACTIONS(1189),
    [anon_sym_delete] = ACTIONS(1191),
    [anon_sym_var] = ACTIONS(1191),
    [anon_sym_rawcall] = ACTIONS(1191),
    [anon_sym_AT] = ACTIONS(1189),
    [anon_sym_clone] = ACTIONS(1191),
    [sym_integer] = ACTIONS(1191),
    [sym_float] = ACTIONS(1189),
    [anon_sym_DQUOTE] = ACTIONS(1189),
    [anon_sym_SQUOTE] = ACTIONS(1191),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1189),
    [anon_sym_true] = ACTIONS(1191),
    [anon_sym_false] = ACTIONS(1191),
    [sym_null] = ACTIONS(1191),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1189),
  },
  [335] = {
    [ts_builtin_sym_end] = ACTIONS(953),
    [sym_identifier] = ACTIONS(955),
    [anon_sym_SEMI] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_RBRACE] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_else] = ACTIONS(955),
    [anon_sym_while] = ACTIONS(955),
    [anon_sym_LPAREN] = ACTIONS(953),
    [anon_sym_do] = ACTIONS(955),
    [anon_sym_switch] = ACTIONS(955),
    [anon_sym_case] = ACTIONS(955),
    [anon_sym_default] = ACTIONS(955),
    [anon_sym_for] = ACTIONS(955),
    [anon_sym_foreach] = ACTIONS(955),
    [anon_sym_COMMA] = ACTIONS(953),
    [anon_sym_in] = ACTIONS(955),
    [anon_sym_break] = ACTIONS(955),
    [anon_sym_continue] = ACTIONS(955),
    [anon_sym_return] = ACTIONS(955),
    [anon_sym_yield] = ACTIONS(955),
    [anon_sym_resume] = ACTIONS(955),
    [anon_sym_local] = ACTIONS(955),
    [anon_sym_EQ] = ACTIONS(955),
    [anon_sym_LT_DASH] = ACTIONS(953),
    [anon_sym_function] = ACTIONS(955),
    [anon_sym_COLON_COLON] = ACTIONS(953),
    [anon_sym_class] = ACTIONS(955),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(955),
    [anon_sym_throw] = ACTIONS(955),
    [anon_sym_const] = ACTIONS(955),
    [anon_sym_enum] = ACTIONS(955),
    [anon_sym_DASH] = ACTIONS(955),
    [anon_sym_TILDE] = ACTIONS(953),
    [anon_sym_BANG] = ACTIONS(955),
    [anon_sym_typeof] = ACTIONS(955),
    [anon_sym_PLUS_PLUS] = ACTIONS(953),
    [anon_sym_DASH_DASH] = ACTIONS(953),
    [anon_sym_PLUS] = ACTIONS(955),
    [anon_sym_STAR] = ACTIONS(955),
    [anon_sym_SLASH] = ACTIONS(955),
    [anon_sym_PERCENT] = ACTIONS(955),
    [anon_sym_PIPE_PIPE] = ACTIONS(953),
    [anon_sym_AMP_AMP] = ACTIONS(953),
    [anon_sym_PIPE] = ACTIONS(955),
    [anon_sym_CARET] = ACTIONS(953),
    [anon_sym_AMP] = ACTIONS(955),
    [anon_sym_EQ_EQ] = ACTIONS(953),
    [anon_sym_BANG_EQ] = ACTIONS(953),
    [anon_sym_LT_EQ_GT] = ACTIONS(953),
    [anon_sym_GT] = ACTIONS(955),
    [anon_sym_GT_EQ] = ACTIONS(953),
    [anon_sym_LT_EQ] = ACTIONS(955),
    [anon_sym_LT] = ACTIONS(955),
    [anon_sym_instanceof] = ACTIONS(955),
    [anon_sym_LT_LT] = ACTIONS(953),
    [anon_sym_GT_GT] = ACTIONS(955),
    [anon_sym_GT_GT_GT] = ACTIONS(953),
    [anon_sym_QMARK] = ACTIONS(953),
    [anon_sym_PLUS_EQ] = ACTIONS(953),
    [anon_sym_DASH_EQ] = ACTIONS(953),
    [anon_sym_STAR_EQ] = ACTIONS(953),
    [anon_sym_SLASH_EQ] = ACTIONS(953),
    [anon_sym_PERCENT_EQ] = ACTIONS(953),
    [anon_sym_delete] = ACTIONS(955),
    [anon_sym_var] = ACTIONS(955),
    [anon_sym_rawcall] = ACTIONS(955),
    [anon_sym_AT] = ACTIONS(953),
    [anon_sym_clone] = ACTIONS(955),
    [sym_integer] = ACTIONS(955),
    [sym_float] = ACTIONS(953),
    [anon_sym_DQUOTE] = ACTIONS(953),
    [anon_sym_SQUOTE] = ACTIONS(955),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(953),
    [anon_sym_true] = ACTIONS(955),
    [anon_sym_false] = ACTIONS(955),
    [sym_null] = ACTIONS(955),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(953),
  },
  [336] = {
    [ts_builtin_sym_end] = ACTIONS(1309),
    [sym_identifier] = ACTIONS(1311),
    [anon_sym_SEMI] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_RBRACE] = ACTIONS(1309),
    [anon_sym_if] = ACTIONS(1311),
    [anon_sym_else] = ACTIONS(1311),
    [anon_sym_while] = ACTIONS(1311),
    [anon_sym_LPAREN] = ACTIONS(1309),
    [anon_sym_do] = ACTIONS(1311),
    [anon_sym_switch] = ACTIONS(1311),
    [anon_sym_case] = ACTIONS(1311),
    [anon_sym_default] = ACTIONS(1311),
    [anon_sym_for] = ACTIONS(1311),
    [anon_sym_foreach] = ACTIONS(1311),
    [anon_sym_COMMA] = ACTIONS(1309),
    [anon_sym_in] = ACTIONS(1311),
    [anon_sym_break] = ACTIONS(1311),
    [anon_sym_continue] = ACTIONS(1311),
    [anon_sym_return] = ACTIONS(1311),
    [anon_sym_yield] = ACTIONS(1311),
    [anon_sym_resume] = ACTIONS(1311),
    [anon_sym_local] = ACTIONS(1311),
    [anon_sym_EQ] = ACTIONS(1311),
    [anon_sym_LT_DASH] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1311),
    [anon_sym_COLON_COLON] = ACTIONS(1309),
    [anon_sym_class] = ACTIONS(1311),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_LBRACK] = ACTIONS(1309),
    [anon_sym_try] = ACTIONS(1311),
    [anon_sym_throw] = ACTIONS(1311),
    [anon_sym_const] = ACTIONS(1311),
    [anon_sym_enum] = ACTIONS(1311),
    [anon_sym_DASH] = ACTIONS(1311),
    [anon_sym_TILDE] = ACTIONS(1309),
    [anon_sym_BANG] = ACTIONS(1311),
    [anon_sym_typeof] = ACTIONS(1311),
    [anon_sym_PLUS_PLUS] = ACTIONS(1309),
    [anon_sym_DASH_DASH] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(1311),
    [anon_sym_STAR] = ACTIONS(1311),
    [anon_sym_SLASH] = ACTIONS(1311),
    [anon_sym_PERCENT] = ACTIONS(1311),
    [anon_sym_PIPE_PIPE] = ACTIONS(1309),
    [anon_sym_AMP_AMP] = ACTIONS(1309),
    [anon_sym_PIPE] = ACTIONS(1311),
    [anon_sym_CARET] = ACTIONS(1309),
    [anon_sym_AMP] = ACTIONS(1311),
    [anon_sym_EQ_EQ] = ACTIONS(1309),
    [anon_sym_BANG_EQ] = ACTIONS(1309),
    [anon_sym_LT_EQ_GT] = ACTIONS(1309),
    [anon_sym_GT] = ACTIONS(1311),
    [anon_sym_GT_EQ] = ACTIONS(1309),
    [anon_sym_LT_EQ] = ACTIONS(1311),
    [anon_sym_LT] = ACTIONS(1311),
    [anon_sym_instanceof] = ACTIONS(1311),
    [anon_sym_LT_LT] = ACTIONS(1309),
    [anon_sym_GT_GT] = ACTIONS(1311),
    [anon_sym_GT_GT_GT] = ACTIONS(1309),
    [anon_sym_QMARK] = ACTIONS(1309),
    [anon_sym_PLUS_EQ] = ACTIONS(1309),
    [anon_sym_DASH_EQ] = ACTIONS(1309),
    [anon_sym_STAR_EQ] = ACTIONS(1309),
    [anon_sym_SLASH_EQ] = ACTIONS(1309),
    [anon_sym_PERCENT_EQ] = ACTIONS(1309),
    [anon_sym_delete] = ACTIONS(1311),
    [anon_sym_var] = ACTIONS(1311),
    [anon_sym_rawcall] = ACTIONS(1311),
    [anon_sym_AT] = ACTIONS(1309),
    [anon_sym_clone] = ACTIONS(1311),
    [sym_integer] = ACTIONS(1311),
    [sym_float] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(1309),
    [anon_sym_SQUOTE] = ACTIONS(1311),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1309),
    [anon_sym_true] = ACTIONS(1311),
    [anon_sym_false] = ACTIONS(1311),
    [sym_null] = ACTIONS(1311),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1309),
  },
  [337] = {
    [ts_builtin_sym_end] = ACTIONS(1313),
    [sym_identifier] = ACTIONS(1315),
    [anon_sym_SEMI] = ACTIONS(1313),
    [anon_sym_LBRACE] = ACTIONS(1313),
    [anon_sym_RBRACE] = ACTIONS(1313),
    [anon_sym_if] = ACTIONS(1315),
    [anon_sym_else] = ACTIONS(1315),
    [anon_sym_while] = ACTIONS(1315),
    [anon_sym_LPAREN] = ACTIONS(1313),
    [anon_sym_do] = ACTIONS(1315),
    [anon_sym_switch] = ACTIONS(1315),
    [anon_sym_case] = ACTIONS(1315),
    [anon_sym_default] = ACTIONS(1315),
    [anon_sym_for] = ACTIONS(1315),
    [anon_sym_foreach] = ACTIONS(1315),
    [anon_sym_COMMA] = ACTIONS(1313),
    [anon_sym_in] = ACTIONS(1315),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_continue] = ACTIONS(1315),
    [anon_sym_return] = ACTIONS(1315),
    [anon_sym_yield] = ACTIONS(1315),
    [anon_sym_resume] = ACTIONS(1315),
    [anon_sym_local] = ACTIONS(1315),
    [anon_sym_EQ] = ACTIONS(1315),
    [anon_sym_LT_DASH] = ACTIONS(1313),
    [anon_sym_function] = ACTIONS(1315),
    [anon_sym_COLON_COLON] = ACTIONS(1313),
    [anon_sym_class] = ACTIONS(1315),
    [anon_sym_DOT] = ACTIONS(1313),
    [anon_sym_LBRACK] = ACTIONS(1313),
    [anon_sym_try] = ACTIONS(1315),
    [anon_sym_throw] = ACTIONS(1315),
    [anon_sym_const] = ACTIONS(1315),
    [anon_sym_enum] = ACTIONS(1315),
    [anon_sym_DASH] = ACTIONS(1315),
    [anon_sym_TILDE] = ACTIONS(1313),
    [anon_sym_BANG] = ACTIONS(1315),
    [anon_sym_typeof] = ACTIONS(1315),
    [anon_sym_PLUS_PLUS] = ACTIONS(1313),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_STAR] = ACTIONS(1315),
    [anon_sym_SLASH] = ACTIONS(1315),
    [anon_sym_PERCENT] = ACTIONS(1315),
    [anon_sym_PIPE_PIPE] = ACTIONS(1313),
    [anon_sym_AMP_AMP] = ACTIONS(1313),
    [anon_sym_PIPE] = ACTIONS(1315),
    [anon_sym_CARET] = ACTIONS(1313),
    [anon_sym_AMP] = ACTIONS(1315),
    [anon_sym_EQ_EQ] = ACTIONS(1313),
    [anon_sym_BANG_EQ] = ACTIONS(1313),
    [anon_sym_LT_EQ_GT] = ACTIONS(1313),
    [anon_sym_GT] = ACTIONS(1315),
    [anon_sym_GT_EQ] = ACTIONS(1313),
    [anon_sym_LT_EQ] = ACTIONS(1315),
    [anon_sym_LT] = ACTIONS(1315),
    [anon_sym_instanceof] = ACTIONS(1315),
    [anon_sym_LT_LT] = ACTIONS(1313),
    [anon_sym_GT_GT] = ACTIONS(1315),
    [anon_sym_GT_GT_GT] = ACTIONS(1313),
    [anon_sym_QMARK] = ACTIONS(1313),
    [anon_sym_PLUS_EQ] = ACTIONS(1313),
    [anon_sym_DASH_EQ] = ACTIONS(1313),
    [anon_sym_STAR_EQ] = ACTIONS(1313),
    [anon_sym_SLASH_EQ] = ACTIONS(1313),
    [anon_sym_PERCENT_EQ] = ACTIONS(1313),
    [anon_sym_delete] = ACTIONS(1315),
    [anon_sym_var] = ACTIONS(1315),
    [anon_sym_rawcall] = ACTIONS(1315),
    [anon_sym_AT] = ACTIONS(1313),
    [anon_sym_clone] = ACTIONS(1315),
    [sym_integer] = ACTIONS(1315),
    [sym_float] = ACTIONS(1313),
    [anon_sym_DQUOTE] = ACTIONS(1313),
    [anon_sym_SQUOTE] = ACTIONS(1315),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1313),
    [anon_sym_true] = ACTIONS(1315),
    [anon_sym_false] = ACTIONS(1315),
    [sym_null] = ACTIONS(1315),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1313),
  },
  [338] = {
    [ts_builtin_sym_end] = ACTIONS(1317),
    [sym_identifier] = ACTIONS(1319),
    [anon_sym_SEMI] = ACTIONS(1317),
    [anon_sym_LBRACE] = ACTIONS(1317),
    [anon_sym_RBRACE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1319),
    [anon_sym_else] = ACTIONS(1319),
    [anon_sym_while] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1317),
    [anon_sym_do] = ACTIONS(1319),
    [anon_sym_switch] = ACTIONS(1319),
    [anon_sym_case] = ACTIONS(1319),
    [anon_sym_default] = ACTIONS(1319),
    [anon_sym_for] = ACTIONS(1319),
    [anon_sym_foreach] = ACTIONS(1319),
    [anon_sym_COMMA] = ACTIONS(1317),
    [anon_sym_in] = ACTIONS(1319),
    [anon_sym_break] = ACTIONS(1319),
    [anon_sym_continue] = ACTIONS(1319),
    [anon_sym_return] = ACTIONS(1319),
    [anon_sym_yield] = ACTIONS(1319),
    [anon_sym_resume] = ACTIONS(1319),
    [anon_sym_local] = ACTIONS(1319),
    [anon_sym_EQ] = ACTIONS(1319),
    [anon_sym_LT_DASH] = ACTIONS(1317),
    [anon_sym_function] = ACTIONS(1319),
    [anon_sym_COLON_COLON] = ACTIONS(1317),
    [anon_sym_class] = ACTIONS(1319),
    [anon_sym_DOT] = ACTIONS(1317),
    [anon_sym_LBRACK] = ACTIONS(1317),
    [anon_sym_try] = ACTIONS(1319),
    [anon_sym_throw] = ACTIONS(1319),
    [anon_sym_const] = ACTIONS(1319),
    [anon_sym_enum] = ACTIONS(1319),
    [anon_sym_DASH] = ACTIONS(1319),
    [anon_sym_TILDE] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1319),
    [anon_sym_typeof] = ACTIONS(1319),
    [anon_sym_PLUS_PLUS] = ACTIONS(1317),
    [anon_sym_DASH_DASH] = ACTIONS(1317),
    [anon_sym_PLUS] = ACTIONS(1319),
    [anon_sym_STAR] = ACTIONS(1319),
    [anon_sym_SLASH] = ACTIONS(1319),
    [anon_sym_PERCENT] = ACTIONS(1319),
    [anon_sym_PIPE_PIPE] = ACTIONS(1317),
    [anon_sym_AMP_AMP] = ACTIONS(1317),
    [anon_sym_PIPE] = ACTIONS(1319),
    [anon_sym_CARET] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1319),
    [anon_sym_EQ_EQ] = ACTIONS(1317),
    [anon_sym_BANG_EQ] = ACTIONS(1317),
    [anon_sym_LT_EQ_GT] = ACTIONS(1317),
    [anon_sym_GT] = ACTIONS(1319),
    [anon_sym_GT_EQ] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(1319),
    [anon_sym_LT] = ACTIONS(1319),
    [anon_sym_instanceof] = ACTIONS(1319),
    [anon_sym_LT_LT] = ACTIONS(1317),
    [anon_sym_GT_GT] = ACTIONS(1319),
    [anon_sym_GT_GT_GT] = ACTIONS(1317),
    [anon_sym_QMARK] = ACTIONS(1317),
    [anon_sym_PLUS_EQ] = ACTIONS(1317),
    [anon_sym_DASH_EQ] = ACTIONS(1317),
    [anon_sym_STAR_EQ] = ACTIONS(1317),
    [anon_sym_SLASH_EQ] = ACTIONS(1317),
    [anon_sym_PERCENT_EQ] = ACTIONS(1317),
    [anon_sym_delete] = ACTIONS(1319),
    [anon_sym_var] = ACTIONS(1319),
    [anon_sym_rawcall] = ACTIONS(1319),
    [anon_sym_AT] = ACTIONS(1317),
    [anon_sym_clone] = ACTIONS(1319),
    [sym_integer] = ACTIONS(1319),
    [sym_float] = ACTIONS(1317),
    [anon_sym_DQUOTE] = ACTIONS(1317),
    [anon_sym_SQUOTE] = ACTIONS(1319),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1317),
    [anon_sym_true] = ACTIONS(1319),
    [anon_sym_false] = ACTIONS(1319),
    [sym_null] = ACTIONS(1319),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1317),
  },
  [339] = {
    [ts_builtin_sym_end] = ACTIONS(1321),
    [sym_identifier] = ACTIONS(1323),
    [anon_sym_SEMI] = ACTIONS(1321),
    [anon_sym_LBRACE] = ACTIONS(1321),
    [anon_sym_RBRACE] = ACTIONS(1321),
    [anon_sym_if] = ACTIONS(1323),
    [anon_sym_else] = ACTIONS(1323),
    [anon_sym_while] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_do] = ACTIONS(1323),
    [anon_sym_switch] = ACTIONS(1323),
    [anon_sym_case] = ACTIONS(1323),
    [anon_sym_default] = ACTIONS(1323),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_foreach] = ACTIONS(1323),
    [anon_sym_COMMA] = ACTIONS(1321),
    [anon_sym_in] = ACTIONS(1323),
    [anon_sym_break] = ACTIONS(1323),
    [anon_sym_continue] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1323),
    [anon_sym_yield] = ACTIONS(1323),
    [anon_sym_resume] = ACTIONS(1323),
    [anon_sym_local] = ACTIONS(1323),
    [anon_sym_EQ] = ACTIONS(1323),
    [anon_sym_LT_DASH] = ACTIONS(1321),
    [anon_sym_function] = ACTIONS(1323),
    [anon_sym_COLON_COLON] = ACTIONS(1321),
    [anon_sym_class] = ACTIONS(1323),
    [anon_sym_DOT] = ACTIONS(1321),
    [anon_sym_LBRACK] = ACTIONS(1321),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_throw] = ACTIONS(1323),
    [anon_sym_const] = ACTIONS(1323),
    [anon_sym_enum] = ACTIONS(1323),
    [anon_sym_DASH] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_typeof] = ACTIONS(1323),
    [anon_sym_PLUS_PLUS] = ACTIONS(1321),
    [anon_sym_DASH_DASH] = ACTIONS(1321),
    [anon_sym_PLUS] = ACTIONS(1323),
    [anon_sym_STAR] = ACTIONS(1323),
    [anon_sym_SLASH] = ACTIONS(1323),
    [anon_sym_PERCENT] = ACTIONS(1323),
    [anon_sym_PIPE_PIPE] = ACTIONS(1321),
    [anon_sym_AMP_AMP] = ACTIONS(1321),
    [anon_sym_PIPE] = ACTIONS(1323),
    [anon_sym_CARET] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(1323),
    [anon_sym_EQ_EQ] = ACTIONS(1321),
    [anon_sym_BANG_EQ] = ACTIONS(1321),
    [anon_sym_LT_EQ_GT] = ACTIONS(1321),
    [anon_sym_GT] = ACTIONS(1323),
    [anon_sym_GT_EQ] = ACTIONS(1321),
    [anon_sym_LT_EQ] = ACTIONS(1323),
    [anon_sym_LT] = ACTIONS(1323),
    [anon_sym_instanceof] = ACTIONS(1323),
    [anon_sym_LT_LT] = ACTIONS(1321),
    [anon_sym_GT_GT] = ACTIONS(1323),
    [anon_sym_GT_GT_GT] = ACTIONS(1321),
    [anon_sym_QMARK] = ACTIONS(1321),
    [anon_sym_PLUS_EQ] = ACTIONS(1321),
    [anon_sym_DASH_EQ] = ACTIONS(1321),
    [anon_sym_STAR_EQ] = ACTIONS(1321),
    [anon_sym_SLASH_EQ] = ACTIONS(1321),
    [anon_sym_PERCENT_EQ] = ACTIONS(1321),
    [anon_sym_delete] = ACTIONS(1323),
    [anon_sym_var] = ACTIONS(1323),
    [anon_sym_rawcall] = ACTIONS(1323),
    [anon_sym_AT] = ACTIONS(1321),
    [anon_sym_clone] = ACTIONS(1323),
    [sym_integer] = ACTIONS(1323),
    [sym_float] = ACTIONS(1321),
    [anon_sym_DQUOTE] = ACTIONS(1321),
    [anon_sym_SQUOTE] = ACTIONS(1323),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1321),
    [anon_sym_true] = ACTIONS(1323),
    [anon_sym_false] = ACTIONS(1323),
    [sym_null] = ACTIONS(1323),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1321),
  },
  [340] = {
    [ts_builtin_sym_end] = ACTIONS(1325),
    [sym_identifier] = ACTIONS(1327),
    [anon_sym_SEMI] = ACTIONS(1325),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_RBRACE] = ACTIONS(1325),
    [anon_sym_if] = ACTIONS(1327),
    [anon_sym_else] = ACTIONS(1327),
    [anon_sym_while] = ACTIONS(1327),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_do] = ACTIONS(1327),
    [anon_sym_switch] = ACTIONS(1327),
    [anon_sym_case] = ACTIONS(1327),
    [anon_sym_default] = ACTIONS(1327),
    [anon_sym_for] = ACTIONS(1327),
    [anon_sym_foreach] = ACTIONS(1327),
    [anon_sym_COMMA] = ACTIONS(1325),
    [anon_sym_in] = ACTIONS(1327),
    [anon_sym_break] = ACTIONS(1327),
    [anon_sym_continue] = ACTIONS(1327),
    [anon_sym_return] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1327),
    [anon_sym_resume] = ACTIONS(1327),
    [anon_sym_local] = ACTIONS(1327),
    [anon_sym_EQ] = ACTIONS(1327),
    [anon_sym_LT_DASH] = ACTIONS(1325),
    [anon_sym_function] = ACTIONS(1327),
    [anon_sym_COLON_COLON] = ACTIONS(1325),
    [anon_sym_class] = ACTIONS(1327),
    [anon_sym_DOT] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1325),
    [anon_sym_try] = ACTIONS(1327),
    [anon_sym_throw] = ACTIONS(1327),
    [anon_sym_const] = ACTIONS(1327),
    [anon_sym_enum] = ACTIONS(1327),
    [anon_sym_DASH] = ACTIONS(1327),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1327),
    [anon_sym_typeof] = ACTIONS(1327),
    [anon_sym_PLUS_PLUS] = ACTIONS(1325),
    [anon_sym_DASH_DASH] = ACTIONS(1325),
    [anon_sym_PLUS] = ACTIONS(1327),
    [anon_sym_STAR] = ACTIONS(1327),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_PERCENT] = ACTIONS(1327),
    [anon_sym_PIPE_PIPE] = ACTIONS(1325),
    [anon_sym_AMP_AMP] = ACTIONS(1325),
    [anon_sym_PIPE] = ACTIONS(1327),
    [anon_sym_CARET] = ACTIONS(1325),
    [anon_sym_AMP] = ACTIONS(1327),
    [anon_sym_EQ_EQ] = ACTIONS(1325),
    [anon_sym_BANG_EQ] = ACTIONS(1325),
    [anon_sym_LT_EQ_GT] = ACTIONS(1325),
    [anon_sym_GT] = ACTIONS(1327),
    [anon_sym_GT_EQ] = ACTIONS(1325),
    [anon_sym_LT_EQ] = ACTIONS(1327),
    [anon_sym_LT] = ACTIONS(1327),
    [anon_sym_instanceof] = ACTIONS(1327),
    [anon_sym_LT_LT] = ACTIONS(1325),
    [anon_sym_GT_GT] = ACTIONS(1327),
    [anon_sym_GT_GT_GT] = ACTIONS(1325),
    [anon_sym_QMARK] = ACTIONS(1325),
    [anon_sym_PLUS_EQ] = ACTIONS(1325),
    [anon_sym_DASH_EQ] = ACTIONS(1325),
    [anon_sym_STAR_EQ] = ACTIONS(1325),
    [anon_sym_SLASH_EQ] = ACTIONS(1325),
    [anon_sym_PERCENT_EQ] = ACTIONS(1325),
    [anon_sym_delete] = ACTIONS(1327),
    [anon_sym_var] = ACTIONS(1327),
    [anon_sym_rawcall] = ACTIONS(1327),
    [anon_sym_AT] = ACTIONS(1325),
    [anon_sym_clone] = ACTIONS(1327),
    [sym_integer] = ACTIONS(1327),
    [sym_float] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1325),
    [anon_sym_true] = ACTIONS(1327),
    [anon_sym_false] = ACTIONS(1327),
    [sym_null] = ACTIONS(1327),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1325),
  },
  [341] = {
    [ts_builtin_sym_end] = ACTIONS(1329),
    [sym_identifier] = ACTIONS(1331),
    [anon_sym_SEMI] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1329),
    [anon_sym_RBRACE] = ACTIONS(1329),
    [anon_sym_if] = ACTIONS(1331),
    [anon_sym_else] = ACTIONS(1331),
    [anon_sym_while] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(1329),
    [anon_sym_do] = ACTIONS(1331),
    [anon_sym_switch] = ACTIONS(1331),
    [anon_sym_case] = ACTIONS(1331),
    [anon_sym_default] = ACTIONS(1331),
    [anon_sym_for] = ACTIONS(1331),
    [anon_sym_foreach] = ACTIONS(1331),
    [anon_sym_COMMA] = ACTIONS(1329),
    [anon_sym_in] = ACTIONS(1331),
    [anon_sym_break] = ACTIONS(1331),
    [anon_sym_continue] = ACTIONS(1331),
    [anon_sym_return] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(1331),
    [anon_sym_resume] = ACTIONS(1331),
    [anon_sym_local] = ACTIONS(1331),
    [anon_sym_EQ] = ACTIONS(1331),
    [anon_sym_LT_DASH] = ACTIONS(1329),
    [anon_sym_function] = ACTIONS(1331),
    [anon_sym_COLON_COLON] = ACTIONS(1329),
    [anon_sym_class] = ACTIONS(1331),
    [anon_sym_DOT] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(1329),
    [anon_sym_try] = ACTIONS(1331),
    [anon_sym_throw] = ACTIONS(1331),
    [anon_sym_const] = ACTIONS(1331),
    [anon_sym_enum] = ACTIONS(1331),
    [anon_sym_DASH] = ACTIONS(1331),
    [anon_sym_TILDE] = ACTIONS(1329),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_typeof] = ACTIONS(1331),
    [anon_sym_PLUS_PLUS] = ACTIONS(1329),
    [anon_sym_DASH_DASH] = ACTIONS(1329),
    [anon_sym_PLUS] = ACTIONS(1331),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_SLASH] = ACTIONS(1331),
    [anon_sym_PERCENT] = ACTIONS(1331),
    [anon_sym_PIPE_PIPE] = ACTIONS(1329),
    [anon_sym_AMP_AMP] = ACTIONS(1329),
    [anon_sym_PIPE] = ACTIONS(1331),
    [anon_sym_CARET] = ACTIONS(1329),
    [anon_sym_AMP] = ACTIONS(1331),
    [anon_sym_EQ_EQ] = ACTIONS(1329),
    [anon_sym_BANG_EQ] = ACTIONS(1329),
    [anon_sym_LT_EQ_GT] = ACTIONS(1329),
    [anon_sym_GT] = ACTIONS(1331),
    [anon_sym_GT_EQ] = ACTIONS(1329),
    [anon_sym_LT_EQ] = ACTIONS(1331),
    [anon_sym_LT] = ACTIONS(1331),
    [anon_sym_instanceof] = ACTIONS(1331),
    [anon_sym_LT_LT] = ACTIONS(1329),
    [anon_sym_GT_GT] = ACTIONS(1331),
    [anon_sym_GT_GT_GT] = ACTIONS(1329),
    [anon_sym_QMARK] = ACTIONS(1329),
    [anon_sym_PLUS_EQ] = ACTIONS(1329),
    [anon_sym_DASH_EQ] = ACTIONS(1329),
    [anon_sym_STAR_EQ] = ACTIONS(1329),
    [anon_sym_SLASH_EQ] = ACTIONS(1329),
    [anon_sym_PERCENT_EQ] = ACTIONS(1329),
    [anon_sym_delete] = ACTIONS(1331),
    [anon_sym_var] = ACTIONS(1331),
    [anon_sym_rawcall] = ACTIONS(1331),
    [anon_sym_AT] = ACTIONS(1329),
    [anon_sym_clone] = ACTIONS(1331),
    [sym_integer] = ACTIONS(1331),
    [sym_float] = ACTIONS(1329),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [anon_sym_SQUOTE] = ACTIONS(1331),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1329),
    [anon_sym_true] = ACTIONS(1331),
    [anon_sym_false] = ACTIONS(1331),
    [sym_null] = ACTIONS(1331),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1329),
  },
  [342] = {
    [ts_builtin_sym_end] = ACTIONS(1333),
    [sym_identifier] = ACTIONS(1335),
    [anon_sym_SEMI] = ACTIONS(1333),
    [anon_sym_LBRACE] = ACTIONS(1333),
    [anon_sym_RBRACE] = ACTIONS(1333),
    [anon_sym_if] = ACTIONS(1335),
    [anon_sym_else] = ACTIONS(1335),
    [anon_sym_while] = ACTIONS(1335),
    [anon_sym_LPAREN] = ACTIONS(1333),
    [anon_sym_do] = ACTIONS(1335),
    [anon_sym_switch] = ACTIONS(1335),
    [anon_sym_case] = ACTIONS(1335),
    [anon_sym_default] = ACTIONS(1335),
    [anon_sym_for] = ACTIONS(1335),
    [anon_sym_foreach] = ACTIONS(1335),
    [anon_sym_COMMA] = ACTIONS(1333),
    [anon_sym_in] = ACTIONS(1335),
    [anon_sym_break] = ACTIONS(1335),
    [anon_sym_continue] = ACTIONS(1335),
    [anon_sym_return] = ACTIONS(1335),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_resume] = ACTIONS(1335),
    [anon_sym_local] = ACTIONS(1335),
    [anon_sym_EQ] = ACTIONS(1335),
    [anon_sym_LT_DASH] = ACTIONS(1333),
    [anon_sym_function] = ACTIONS(1335),
    [anon_sym_COLON_COLON] = ACTIONS(1333),
    [anon_sym_class] = ACTIONS(1335),
    [anon_sym_DOT] = ACTIONS(1333),
    [anon_sym_LBRACK] = ACTIONS(1333),
    [anon_sym_try] = ACTIONS(1335),
    [anon_sym_throw] = ACTIONS(1335),
    [anon_sym_const] = ACTIONS(1335),
    [anon_sym_enum] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1333),
    [anon_sym_BANG] = ACTIONS(1335),
    [anon_sym_typeof] = ACTIONS(1335),
    [anon_sym_PLUS_PLUS] = ACTIONS(1333),
    [anon_sym_DASH_DASH] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1335),
    [anon_sym_STAR] = ACTIONS(1335),
    [anon_sym_SLASH] = ACTIONS(1335),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [anon_sym_PIPE_PIPE] = ACTIONS(1333),
    [anon_sym_AMP_AMP] = ACTIONS(1333),
    [anon_sym_PIPE] = ACTIONS(1335),
    [anon_sym_CARET] = ACTIONS(1333),
    [anon_sym_AMP] = ACTIONS(1335),
    [anon_sym_EQ_EQ] = ACTIONS(1333),
    [anon_sym_BANG_EQ] = ACTIONS(1333),
    [anon_sym_LT_EQ_GT] = ACTIONS(1333),
    [anon_sym_GT] = ACTIONS(1335),
    [anon_sym_GT_EQ] = ACTIONS(1333),
    [anon_sym_LT_EQ] = ACTIONS(1335),
    [anon_sym_LT] = ACTIONS(1335),
    [anon_sym_instanceof] = ACTIONS(1335),
    [anon_sym_LT_LT] = ACTIONS(1333),
    [anon_sym_GT_GT] = ACTIONS(1335),
    [anon_sym_GT_GT_GT] = ACTIONS(1333),
    [anon_sym_QMARK] = ACTIONS(1333),
    [anon_sym_PLUS_EQ] = ACTIONS(1333),
    [anon_sym_DASH_EQ] = ACTIONS(1333),
    [anon_sym_STAR_EQ] = ACTIONS(1333),
    [anon_sym_SLASH_EQ] = ACTIONS(1333),
    [anon_sym_PERCENT_EQ] = ACTIONS(1333),
    [anon_sym_delete] = ACTIONS(1335),
    [anon_sym_var] = ACTIONS(1335),
    [anon_sym_rawcall] = ACTIONS(1335),
    [anon_sym_AT] = ACTIONS(1333),
    [anon_sym_clone] = ACTIONS(1335),
    [sym_integer] = ACTIONS(1335),
    [sym_float] = ACTIONS(1333),
    [anon_sym_DQUOTE] = ACTIONS(1333),
    [anon_sym_SQUOTE] = ACTIONS(1335),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1333),
    [anon_sym_true] = ACTIONS(1335),
    [anon_sym_false] = ACTIONS(1335),
    [sym_null] = ACTIONS(1335),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1333),
  },
  [343] = {
    [ts_builtin_sym_end] = ACTIONS(1329),
    [sym_identifier] = ACTIONS(1331),
    [anon_sym_SEMI] = ACTIONS(1337),
    [anon_sym_LBRACE] = ACTIONS(1329),
    [anon_sym_RBRACE] = ACTIONS(1329),
    [anon_sym_if] = ACTIONS(1331),
    [anon_sym_else] = ACTIONS(1331),
    [anon_sym_while] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(1329),
    [anon_sym_do] = ACTIONS(1331),
    [anon_sym_switch] = ACTIONS(1331),
    [anon_sym_case] = ACTIONS(1331),
    [anon_sym_default] = ACTIONS(1331),
    [anon_sym_for] = ACTIONS(1331),
    [anon_sym_foreach] = ACTIONS(1331),
    [anon_sym_COMMA] = ACTIONS(1329),
    [anon_sym_in] = ACTIONS(1331),
    [anon_sym_break] = ACTIONS(1331),
    [anon_sym_continue] = ACTIONS(1331),
    [anon_sym_return] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(1331),
    [anon_sym_resume] = ACTIONS(1331),
    [anon_sym_local] = ACTIONS(1331),
    [anon_sym_EQ] = ACTIONS(1331),
    [anon_sym_LT_DASH] = ACTIONS(1329),
    [anon_sym_function] = ACTIONS(1331),
    [anon_sym_COLON_COLON] = ACTIONS(1329),
    [anon_sym_class] = ACTIONS(1331),
    [anon_sym_DOT] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(1329),
    [anon_sym_try] = ACTIONS(1331),
    [anon_sym_throw] = ACTIONS(1331),
    [anon_sym_const] = ACTIONS(1331),
    [anon_sym_enum] = ACTIONS(1331),
    [anon_sym_DASH] = ACTIONS(1331),
    [anon_sym_TILDE] = ACTIONS(1329),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_typeof] = ACTIONS(1331),
    [anon_sym_PLUS_PLUS] = ACTIONS(1329),
    [anon_sym_DASH_DASH] = ACTIONS(1329),
    [anon_sym_PLUS] = ACTIONS(1331),
    [anon_sym_STAR] = ACTIONS(1331),
    [anon_sym_SLASH] = ACTIONS(1331),
    [anon_sym_PERCENT] = ACTIONS(1331),
    [anon_sym_PIPE_PIPE] = ACTIONS(1329),
    [anon_sym_AMP_AMP] = ACTIONS(1329),
    [anon_sym_PIPE] = ACTIONS(1331),
    [anon_sym_CARET] = ACTIONS(1329),
    [anon_sym_AMP] = ACTIONS(1331),
    [anon_sym_EQ_EQ] = ACTIONS(1329),
    [anon_sym_BANG_EQ] = ACTIONS(1329),
    [anon_sym_LT_EQ_GT] = ACTIONS(1329),
    [anon_sym_GT] = ACTIONS(1331),
    [anon_sym_GT_EQ] = ACTIONS(1329),
    [anon_sym_LT_EQ] = ACTIONS(1331),
    [anon_sym_LT] = ACTIONS(1331),
    [anon_sym_instanceof] = ACTIONS(1331),
    [anon_sym_LT_LT] = ACTIONS(1329),
    [anon_sym_GT_GT] = ACTIONS(1331),
    [anon_sym_GT_GT_GT] = ACTIONS(1329),
    [anon_sym_QMARK] = ACTIONS(1329),
    [anon_sym_PLUS_EQ] = ACTIONS(1329),
    [anon_sym_DASH_EQ] = ACTIONS(1329),
    [anon_sym_STAR_EQ] = ACTIONS(1329),
    [anon_sym_SLASH_EQ] = ACTIONS(1329),
    [anon_sym_PERCENT_EQ] = ACTIONS(1329),
    [anon_sym_delete] = ACTIONS(1331),
    [anon_sym_var] = ACTIONS(1331),
    [anon_sym_rawcall] = ACTIONS(1331),
    [anon_sym_AT] = ACTIONS(1329),
    [anon_sym_clone] = ACTIONS(1331),
    [sym_integer] = ACTIONS(1331),
    [sym_float] = ACTIONS(1329),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [anon_sym_SQUOTE] = ACTIONS(1331),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1329),
    [anon_sym_true] = ACTIONS(1331),
    [anon_sym_false] = ACTIONS(1331),
    [sym_null] = ACTIONS(1331),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1329),
  },
  [344] = {
    [ts_builtin_sym_end] = ACTIONS(1339),
    [sym_identifier] = ACTIONS(1341),
    [anon_sym_SEMI] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1339),
    [anon_sym_RBRACE] = ACTIONS(1339),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_else] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1341),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(1341),
    [anon_sym_switch] = ACTIONS(1341),
    [anon_sym_case] = ACTIONS(1341),
    [anon_sym_default] = ACTIONS(1341),
    [anon_sym_for] = ACTIONS(1341),
    [anon_sym_foreach] = ACTIONS(1341),
    [anon_sym_COMMA] = ACTIONS(1339),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_break] = ACTIONS(1341),
    [anon_sym_continue] = ACTIONS(1341),
    [anon_sym_return] = ACTIONS(1341),
    [anon_sym_yield] = ACTIONS(1341),
    [anon_sym_resume] = ACTIONS(1341),
    [anon_sym_local] = ACTIONS(1341),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(1341),
    [anon_sym_COLON_COLON] = ACTIONS(1339),
    [anon_sym_class] = ACTIONS(1341),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(1341),
    [anon_sym_throw] = ACTIONS(1341),
    [anon_sym_const] = ACTIONS(1341),
    [anon_sym_enum] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(1339),
    [anon_sym_BANG] = ACTIONS(1341),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(885),
    [anon_sym_AMP_AMP] = ACTIONS(887),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(905),
    [anon_sym_PLUS_EQ] = ACTIONS(873),
    [anon_sym_DASH_EQ] = ACTIONS(873),
    [anon_sym_STAR_EQ] = ACTIONS(873),
    [anon_sym_SLASH_EQ] = ACTIONS(873),
    [anon_sym_PERCENT_EQ] = ACTIONS(873),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_var] = ACTIONS(1341),
    [anon_sym_rawcall] = ACTIONS(1341),
    [anon_sym_AT] = ACTIONS(1339),
    [anon_sym_clone] = ACTIONS(1341),
    [sym_integer] = ACTIONS(1341),
    [sym_float] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1339),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1339),
    [anon_sym_true] = ACTIONS(1341),
    [anon_sym_false] = ACTIONS(1341),
    [sym_null] = ACTIONS(1341),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1339),
  },
  [345] = {
    [ts_builtin_sym_end] = ACTIONS(1345),
    [sym_identifier] = ACTIONS(1347),
    [anon_sym_SEMI] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1345),
    [anon_sym_RBRACE] = ACTIONS(1345),
    [anon_sym_if] = ACTIONS(1347),
    [anon_sym_else] = ACTIONS(1347),
    [anon_sym_while] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1345),
    [anon_sym_do] = ACTIONS(1347),
    [anon_sym_switch] = ACTIONS(1347),
    [anon_sym_case] = ACTIONS(1347),
    [anon_sym_default] = ACTIONS(1347),
    [anon_sym_for] = ACTIONS(1347),
    [anon_sym_foreach] = ACTIONS(1347),
    [anon_sym_COMMA] = ACTIONS(1345),
    [anon_sym_in] = ACTIONS(1347),
    [anon_sym_break] = ACTIONS(1347),
    [anon_sym_continue] = ACTIONS(1347),
    [anon_sym_return] = ACTIONS(1347),
    [anon_sym_yield] = ACTIONS(1347),
    [anon_sym_resume] = ACTIONS(1347),
    [anon_sym_local] = ACTIONS(1347),
    [anon_sym_EQ] = ACTIONS(1347),
    [anon_sym_LT_DASH] = ACTIONS(1345),
    [anon_sym_function] = ACTIONS(1347),
    [anon_sym_COLON_COLON] = ACTIONS(1345),
    [anon_sym_class] = ACTIONS(1347),
    [anon_sym_DOT] = ACTIONS(1345),
    [anon_sym_LBRACK] = ACTIONS(1345),
    [anon_sym_try] = ACTIONS(1347),
    [anon_sym_throw] = ACTIONS(1347),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_enum] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1345),
    [anon_sym_BANG] = ACTIONS(1347),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1345),
    [anon_sym_DASH_DASH] = ACTIONS(1345),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_STAR] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_PERCENT] = ACTIONS(1347),
    [anon_sym_PIPE_PIPE] = ACTIONS(1345),
    [anon_sym_AMP_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_CARET] = ACTIONS(1345),
    [anon_sym_AMP] = ACTIONS(1347),
    [anon_sym_EQ_EQ] = ACTIONS(1345),
    [anon_sym_BANG_EQ] = ACTIONS(1345),
    [anon_sym_LT_EQ_GT] = ACTIONS(1345),
    [anon_sym_GT] = ACTIONS(1347),
    [anon_sym_GT_EQ] = ACTIONS(1345),
    [anon_sym_LT_EQ] = ACTIONS(1347),
    [anon_sym_LT] = ACTIONS(1347),
    [anon_sym_instanceof] = ACTIONS(1347),
    [anon_sym_LT_LT] = ACTIONS(1345),
    [anon_sym_GT_GT] = ACTIONS(1347),
    [anon_sym_GT_GT_GT] = ACTIONS(1345),
    [anon_sym_QMARK] = ACTIONS(1345),
    [anon_sym_PLUS_EQ] = ACTIONS(1345),
    [anon_sym_DASH_EQ] = ACTIONS(1345),
    [anon_sym_STAR_EQ] = ACTIONS(1345),
    [anon_sym_SLASH_EQ] = ACTIONS(1345),
    [anon_sym_PERCENT_EQ] = ACTIONS(1345),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_var] = ACTIONS(1347),
    [anon_sym_rawcall] = ACTIONS(1347),
    [anon_sym_AT] = ACTIONS(1345),
    [anon_sym_clone] = ACTIONS(1347),
    [sym_integer] = ACTIONS(1347),
    [sym_float] = ACTIONS(1345),
    [anon_sym_DQUOTE] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1345),
    [anon_sym_true] = ACTIONS(1347),
    [anon_sym_false] = ACTIONS(1347),
    [sym_null] = ACTIONS(1347),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1345),
  },
  [346] = {
    [ts_builtin_sym_end] = ACTIONS(1345),
    [sym_identifier] = ACTIONS(1347),
    [anon_sym_SEMI] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1345),
    [anon_sym_RBRACE] = ACTIONS(1345),
    [anon_sym_if] = ACTIONS(1347),
    [anon_sym_else] = ACTIONS(1347),
    [anon_sym_while] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1345),
    [anon_sym_do] = ACTIONS(1347),
    [anon_sym_switch] = ACTIONS(1347),
    [anon_sym_case] = ACTIONS(1347),
    [anon_sym_default] = ACTIONS(1347),
    [anon_sym_for] = ACTIONS(1347),
    [anon_sym_foreach] = ACTIONS(1347),
    [anon_sym_COMMA] = ACTIONS(1345),
    [anon_sym_in] = ACTIONS(1347),
    [anon_sym_break] = ACTIONS(1347),
    [anon_sym_continue] = ACTIONS(1347),
    [anon_sym_return] = ACTIONS(1347),
    [anon_sym_yield] = ACTIONS(1347),
    [anon_sym_resume] = ACTIONS(1347),
    [anon_sym_local] = ACTIONS(1347),
    [anon_sym_EQ] = ACTIONS(1347),
    [anon_sym_LT_DASH] = ACTIONS(1345),
    [anon_sym_function] = ACTIONS(1347),
    [anon_sym_COLON_COLON] = ACTIONS(1345),
    [anon_sym_class] = ACTIONS(1347),
    [anon_sym_DOT] = ACTIONS(1345),
    [anon_sym_LBRACK] = ACTIONS(1345),
    [anon_sym_try] = ACTIONS(1347),
    [anon_sym_throw] = ACTIONS(1347),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_enum] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1345),
    [anon_sym_BANG] = ACTIONS(1347),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1345),
    [anon_sym_DASH_DASH] = ACTIONS(1345),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_STAR] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_PERCENT] = ACTIONS(1347),
    [anon_sym_PIPE_PIPE] = ACTIONS(1345),
    [anon_sym_AMP_AMP] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_CARET] = ACTIONS(1345),
    [anon_sym_AMP] = ACTIONS(1347),
    [anon_sym_EQ_EQ] = ACTIONS(1345),
    [anon_sym_BANG_EQ] = ACTIONS(1345),
    [anon_sym_LT_EQ_GT] = ACTIONS(1345),
    [anon_sym_GT] = ACTIONS(1347),
    [anon_sym_GT_EQ] = ACTIONS(1345),
    [anon_sym_LT_EQ] = ACTIONS(1347),
    [anon_sym_LT] = ACTIONS(1347),
    [anon_sym_instanceof] = ACTIONS(1347),
    [anon_sym_LT_LT] = ACTIONS(1345),
    [anon_sym_GT_GT] = ACTIONS(1347),
    [anon_sym_GT_GT_GT] = ACTIONS(1345),
    [anon_sym_QMARK] = ACTIONS(1345),
    [anon_sym_PLUS_EQ] = ACTIONS(1345),
    [anon_sym_DASH_EQ] = ACTIONS(1345),
    [anon_sym_STAR_EQ] = ACTIONS(1345),
    [anon_sym_SLASH_EQ] = ACTIONS(1345),
    [anon_sym_PERCENT_EQ] = ACTIONS(1345),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_var] = ACTIONS(1347),
    [anon_sym_rawcall] = ACTIONS(1347),
    [anon_sym_AT] = ACTIONS(1345),
    [anon_sym_clone] = ACTIONS(1347),
    [sym_integer] = ACTIONS(1347),
    [sym_float] = ACTIONS(1345),
    [anon_sym_DQUOTE] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1345),
    [anon_sym_true] = ACTIONS(1347),
    [anon_sym_false] = ACTIONS(1347),
    [sym_null] = ACTIONS(1347),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1345),
  },
  [347] = {
    [ts_builtin_sym_end] = ACTIONS(1345),
    [sym_identifier] = ACTIONS(1347),
    [anon_sym_SEMI] = ACTIONS(1349),
    [anon_sym_LBRACE] = ACTIONS(1345),
    [anon_sym_RBRACE] = ACTIONS(1345),
    [anon_sym_if] = ACTIONS(1347),
    [anon_sym_else] = ACTIONS(1347),
    [anon_sym_while] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(1347),
    [anon_sym_switch] = ACTIONS(1347),
    [anon_sym_case] = ACTIONS(1347),
    [anon_sym_default] = ACTIONS(1347),
    [anon_sym_for] = ACTIONS(1347),
    [anon_sym_foreach] = ACTIONS(1347),
    [anon_sym_COMMA] = ACTIONS(1345),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_break] = ACTIONS(1347),
    [anon_sym_continue] = ACTIONS(1347),
    [anon_sym_return] = ACTIONS(1347),
    [anon_sym_yield] = ACTIONS(1347),
    [anon_sym_resume] = ACTIONS(1347),
    [anon_sym_local] = ACTIONS(1347),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(1347),
    [anon_sym_COLON_COLON] = ACTIONS(1345),
    [anon_sym_class] = ACTIONS(1347),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(1347),
    [anon_sym_throw] = ACTIONS(1347),
    [anon_sym_const] = ACTIONS(1347),
    [anon_sym_enum] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(1345),
    [anon_sym_BANG] = ACTIONS(1347),
    [anon_sym_typeof] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(885),
    [anon_sym_AMP_AMP] = ACTIONS(887),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(905),
    [anon_sym_PLUS_EQ] = ACTIONS(873),
    [anon_sym_DASH_EQ] = ACTIONS(873),
    [anon_sym_STAR_EQ] = ACTIONS(873),
    [anon_sym_SLASH_EQ] = ACTIONS(873),
    [anon_sym_PERCENT_EQ] = ACTIONS(873),
    [anon_sym_delete] = ACTIONS(1347),
    [anon_sym_var] = ACTIONS(1347),
    [anon_sym_rawcall] = ACTIONS(1347),
    [anon_sym_AT] = ACTIONS(1345),
    [anon_sym_clone] = ACTIONS(1347),
    [sym_integer] = ACTIONS(1347),
    [sym_float] = ACTIONS(1345),
    [anon_sym_DQUOTE] = ACTIONS(1345),
    [anon_sym_SQUOTE] = ACTIONS(1347),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1345),
    [anon_sym_true] = ACTIONS(1347),
    [anon_sym_false] = ACTIONS(1347),
    [sym_null] = ACTIONS(1347),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1345),
  },
  [348] = {
    [ts_builtin_sym_end] = ACTIONS(1351),
    [sym_identifier] = ACTIONS(1353),
    [anon_sym_SEMI] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1351),
    [anon_sym_RBRACE] = ACTIONS(1351),
    [anon_sym_if] = ACTIONS(1353),
    [anon_sym_else] = ACTIONS(1353),
    [anon_sym_while] = ACTIONS(1353),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_do] = ACTIONS(1353),
    [anon_sym_switch] = ACTIONS(1353),
    [anon_sym_case] = ACTIONS(1353),
    [anon_sym_default] = ACTIONS(1353),
    [anon_sym_for] = ACTIONS(1353),
    [anon_sym_foreach] = ACTIONS(1353),
    [anon_sym_COMMA] = ACTIONS(1351),
    [anon_sym_in] = ACTIONS(1353),
    [anon_sym_break] = ACTIONS(1353),
    [anon_sym_continue] = ACTIONS(1353),
    [anon_sym_return] = ACTIONS(1353),
    [anon_sym_yield] = ACTIONS(1353),
    [anon_sym_resume] = ACTIONS(1353),
    [anon_sym_local] = ACTIONS(1353),
    [anon_sym_EQ] = ACTIONS(1353),
    [anon_sym_LT_DASH] = ACTIONS(1351),
    [anon_sym_function] = ACTIONS(1353),
    [anon_sym_COLON_COLON] = ACTIONS(1351),
    [anon_sym_class] = ACTIONS(1353),
    [anon_sym_DOT] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_try] = ACTIONS(1353),
    [anon_sym_throw] = ACTIONS(1353),
    [anon_sym_const] = ACTIONS(1353),
    [anon_sym_enum] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(1351),
    [anon_sym_BANG] = ACTIONS(1353),
    [anon_sym_typeof] = ACTIONS(1353),
    [anon_sym_PLUS_PLUS] = ACTIONS(1351),
    [anon_sym_DASH_DASH] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1353),
    [anon_sym_STAR] = ACTIONS(1353),
    [anon_sym_SLASH] = ACTIONS(1353),
    [anon_sym_PERCENT] = ACTIONS(1353),
    [anon_sym_PIPE_PIPE] = ACTIONS(1351),
    [anon_sym_AMP_AMP] = ACTIONS(1351),
    [anon_sym_PIPE] = ACTIONS(1353),
    [anon_sym_CARET] = ACTIONS(1351),
    [anon_sym_AMP] = ACTIONS(1353),
    [anon_sym_EQ_EQ] = ACTIONS(1351),
    [anon_sym_BANG_EQ] = ACTIONS(1351),
    [anon_sym_LT_EQ_GT] = ACTIONS(1351),
    [anon_sym_GT] = ACTIONS(1353),
    [anon_sym_GT_EQ] = ACTIONS(1351),
    [anon_sym_LT_EQ] = ACTIONS(1353),
    [anon_sym_LT] = ACTIONS(1353),
    [anon_sym_instanceof] = ACTIONS(1353),
    [anon_sym_LT_LT] = ACTIONS(1351),
    [anon_sym_GT_GT] = ACTIONS(1353),
    [anon_sym_GT_GT_GT] = ACTIONS(1351),
    [anon_sym_QMARK] = ACTIONS(1351),
    [anon_sym_PLUS_EQ] = ACTIONS(1351),
    [anon_sym_DASH_EQ] = ACTIONS(1351),
    [anon_sym_STAR_EQ] = ACTIONS(1351),
    [anon_sym_SLASH_EQ] = ACTIONS(1351),
    [anon_sym_PERCENT_EQ] = ACTIONS(1351),
    [anon_sym_delete] = ACTIONS(1353),
    [anon_sym_var] = ACTIONS(1353),
    [anon_sym_rawcall] = ACTIONS(1353),
    [anon_sym_AT] = ACTIONS(1351),
    [anon_sym_clone] = ACTIONS(1353),
    [sym_integer] = ACTIONS(1353),
    [sym_float] = ACTIONS(1351),
    [anon_sym_DQUOTE] = ACTIONS(1351),
    [anon_sym_SQUOTE] = ACTIONS(1353),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1351),
    [anon_sym_true] = ACTIONS(1353),
    [anon_sym_false] = ACTIONS(1353),
    [sym_null] = ACTIONS(1353),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1351),
  },
  [349] = {
    [ts_builtin_sym_end] = ACTIONS(1355),
    [sym_identifier] = ACTIONS(1357),
    [anon_sym_SEMI] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_RBRACE] = ACTIONS(1355),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_else] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [anon_sym_do] = ACTIONS(1357),
    [anon_sym_switch] = ACTIONS(1357),
    [anon_sym_case] = ACTIONS(1357),
    [anon_sym_default] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1357),
    [anon_sym_foreach] = ACTIONS(1357),
    [anon_sym_COMMA] = ACTIONS(1359),
    [anon_sym_in] = ACTIONS(1357),
    [anon_sym_break] = ACTIONS(1357),
    [anon_sym_continue] = ACTIONS(1357),
    [anon_sym_return] = ACTIONS(1357),
    [anon_sym_yield] = ACTIONS(1357),
    [anon_sym_resume] = ACTIONS(1357),
    [anon_sym_local] = ACTIONS(1357),
    [anon_sym_EQ] = ACTIONS(1361),
    [anon_sym_LT_DASH] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1357),
    [anon_sym_COLON_COLON] = ACTIONS(1355),
    [anon_sym_class] = ACTIONS(1357),
    [anon_sym_DOT] = ACTIONS(1355),
    [anon_sym_LBRACK] = ACTIONS(1355),
    [anon_sym_try] = ACTIONS(1357),
    [anon_sym_throw] = ACTIONS(1357),
    [anon_sym_const] = ACTIONS(1357),
    [anon_sym_enum] = ACTIONS(1357),
    [anon_sym_DASH] = ACTIONS(1357),
    [anon_sym_TILDE] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1357),
    [anon_sym_typeof] = ACTIONS(1357),
    [anon_sym_PLUS_PLUS] = ACTIONS(1355),
    [anon_sym_DASH_DASH] = ACTIONS(1355),
    [anon_sym_PLUS] = ACTIONS(1357),
    [anon_sym_STAR] = ACTIONS(1357),
    [anon_sym_SLASH] = ACTIONS(1357),
    [anon_sym_PERCENT] = ACTIONS(1357),
    [anon_sym_PIPE_PIPE] = ACTIONS(1355),
    [anon_sym_AMP_AMP] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1357),
    [anon_sym_CARET] = ACTIONS(1355),
    [anon_sym_AMP] = ACTIONS(1357),
    [anon_sym_EQ_EQ] = ACTIONS(1355),
    [anon_sym_BANG_EQ] = ACTIONS(1355),
    [anon_sym_LT_EQ_GT] = ACTIONS(1355),
    [anon_sym_GT] = ACTIONS(1357),
    [anon_sym_GT_EQ] = ACTIONS(1355),
    [anon_sym_LT_EQ] = ACTIONS(1357),
    [anon_sym_LT] = ACTIONS(1357),
    [anon_sym_instanceof] = ACTIONS(1357),
    [anon_sym_LT_LT] = ACTIONS(1355),
    [anon_sym_GT_GT] = ACTIONS(1357),
    [anon_sym_GT_GT_GT] = ACTIONS(1355),
    [anon_sym_QMARK] = ACTIONS(1355),
    [anon_sym_PLUS_EQ] = ACTIONS(1355),
    [anon_sym_DASH_EQ] = ACTIONS(1355),
    [anon_sym_STAR_EQ] = ACTIONS(1355),
    [anon_sym_SLASH_EQ] = ACTIONS(1355),
    [anon_sym_PERCENT_EQ] = ACTIONS(1355),
    [anon_sym_delete] = ACTIONS(1357),
    [anon_sym_var] = ACTIONS(1357),
    [anon_sym_rawcall] = ACTIONS(1357),
    [anon_sym_AT] = ACTIONS(1355),
    [anon_sym_clone] = ACTIONS(1357),
    [sym_integer] = ACTIONS(1357),
    [sym_float] = ACTIONS(1355),
    [anon_sym_DQUOTE] = ACTIONS(1355),
    [anon_sym_SQUOTE] = ACTIONS(1357),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1355),
    [anon_sym_true] = ACTIONS(1357),
    [anon_sym_false] = ACTIONS(1357),
    [sym_null] = ACTIONS(1357),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1355),
  },
  [350] = {
    [ts_builtin_sym_end] = ACTIONS(1339),
    [sym_identifier] = ACTIONS(1341),
    [anon_sym_SEMI] = ACTIONS(1339),
    [anon_sym_LBRACE] = ACTIONS(1339),
    [anon_sym_RBRACE] = ACTIONS(1339),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_else] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1341),
    [anon_sym_LPAREN] = ACTIONS(1339),
    [anon_sym_do] = ACTIONS(1341),
    [anon_sym_switch] = ACTIONS(1341),
    [anon_sym_case] = ACTIONS(1341),
    [anon_sym_default] = ACTIONS(1341),
    [anon_sym_for] = ACTIONS(1341),
    [anon_sym_foreach] = ACTIONS(1341),
    [anon_sym_COMMA] = ACTIONS(1339),
    [anon_sym_in] = ACTIONS(1341),
    [anon_sym_break] = ACTIONS(1341),
    [anon_sym_continue] = ACTIONS(1341),
    [anon_sym_return] = ACTIONS(1341),
    [anon_sym_yield] = ACTIONS(1341),
    [anon_sym_resume] = ACTIONS(1341),
    [anon_sym_local] = ACTIONS(1341),
    [anon_sym_EQ] = ACTIONS(1341),
    [anon_sym_LT_DASH] = ACTIONS(1339),
    [anon_sym_function] = ACTIONS(1341),
    [anon_sym_COLON_COLON] = ACTIONS(1339),
    [anon_sym_class] = ACTIONS(1341),
    [anon_sym_DOT] = ACTIONS(1339),
    [anon_sym_LBRACK] = ACTIONS(1339),
    [anon_sym_try] = ACTIONS(1341),
    [anon_sym_throw] = ACTIONS(1341),
    [anon_sym_const] = ACTIONS(1341),
    [anon_sym_enum] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_TILDE] = ACTIONS(1339),
    [anon_sym_BANG] = ACTIONS(1341),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1339),
    [anon_sym_DASH_DASH] = ACTIONS(1339),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(1341),
    [anon_sym_PERCENT] = ACTIONS(1341),
    [anon_sym_PIPE_PIPE] = ACTIONS(1339),
    [anon_sym_AMP_AMP] = ACTIONS(1339),
    [anon_sym_PIPE] = ACTIONS(1341),
    [anon_sym_CARET] = ACTIONS(1339),
    [anon_sym_AMP] = ACTIONS(1341),
    [anon_sym_EQ_EQ] = ACTIONS(1339),
    [anon_sym_BANG_EQ] = ACTIONS(1339),
    [anon_sym_LT_EQ_GT] = ACTIONS(1339),
    [anon_sym_GT] = ACTIONS(1341),
    [anon_sym_GT_EQ] = ACTIONS(1339),
    [anon_sym_LT_EQ] = ACTIONS(1341),
    [anon_sym_LT] = ACTIONS(1341),
    [anon_sym_instanceof] = ACTIONS(1341),
    [anon_sym_LT_LT] = ACTIONS(1339),
    [anon_sym_GT_GT] = ACTIONS(1341),
    [anon_sym_GT_GT_GT] = ACTIONS(1339),
    [anon_sym_QMARK] = ACTIONS(1339),
    [anon_sym_PLUS_EQ] = ACTIONS(1339),
    [anon_sym_DASH_EQ] = ACTIONS(1339),
    [anon_sym_STAR_EQ] = ACTIONS(1339),
    [anon_sym_SLASH_EQ] = ACTIONS(1339),
    [anon_sym_PERCENT_EQ] = ACTIONS(1339),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_var] = ACTIONS(1341),
    [anon_sym_rawcall] = ACTIONS(1341),
    [anon_sym_AT] = ACTIONS(1339),
    [anon_sym_clone] = ACTIONS(1341),
    [sym_integer] = ACTIONS(1341),
    [sym_float] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1339),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1339),
    [anon_sym_true] = ACTIONS(1341),
    [anon_sym_false] = ACTIONS(1341),
    [sym_null] = ACTIONS(1341),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1339),
  },
  [351] = {
    [ts_builtin_sym_end] = ACTIONS(1365),
    [sym_identifier] = ACTIONS(1367),
    [anon_sym_SEMI] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(1365),
    [anon_sym_RBRACE] = ACTIONS(1365),
    [anon_sym_if] = ACTIONS(1367),
    [anon_sym_else] = ACTIONS(1367),
    [anon_sym_while] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(1367),
    [anon_sym_switch] = ACTIONS(1367),
    [anon_sym_case] = ACTIONS(1367),
    [anon_sym_default] = ACTIONS(1367),
    [anon_sym_for] = ACTIONS(1367),
    [anon_sym_foreach] = ACTIONS(1367),
    [anon_sym_COMMA] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_break] = ACTIONS(1367),
    [anon_sym_continue] = ACTIONS(1367),
    [anon_sym_return] = ACTIONS(1367),
    [anon_sym_yield] = ACTIONS(1367),
    [anon_sym_resume] = ACTIONS(1367),
    [anon_sym_local] = ACTIONS(1367),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1365),
    [anon_sym_class] = ACTIONS(1367),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_throw] = ACTIONS(1367),
    [anon_sym_const] = ACTIONS(1367),
    [anon_sym_enum] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(1365),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_typeof] = ACTIONS(1367),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(885),
    [anon_sym_AMP_AMP] = ACTIONS(887),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(905),
    [anon_sym_PLUS_EQ] = ACTIONS(873),
    [anon_sym_DASH_EQ] = ACTIONS(873),
    [anon_sym_STAR_EQ] = ACTIONS(873),
    [anon_sym_SLASH_EQ] = ACTIONS(873),
    [anon_sym_PERCENT_EQ] = ACTIONS(873),
    [anon_sym_delete] = ACTIONS(1367),
    [anon_sym_var] = ACTIONS(1367),
    [anon_sym_rawcall] = ACTIONS(1367),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_clone] = ACTIONS(1367),
    [sym_integer] = ACTIONS(1367),
    [sym_float] = ACTIONS(1365),
    [anon_sym_DQUOTE] = ACTIONS(1365),
    [anon_sym_SQUOTE] = ACTIONS(1367),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1365),
    [anon_sym_true] = ACTIONS(1367),
    [anon_sym_false] = ACTIONS(1367),
    [sym_null] = ACTIONS(1367),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1365),
  },
  [352] = {
    [ts_builtin_sym_end] = ACTIONS(1339),
    [sym_identifier] = ACTIONS(1341),
    [anon_sym_SEMI] = ACTIONS(1339),
    [anon_sym_LBRACE] = ACTIONS(1339),
    [anon_sym_RBRACE] = ACTIONS(1339),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_else] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1341),
    [anon_sym_LPAREN] = ACTIONS(1339),
    [anon_sym_do] = ACTIONS(1341),
    [anon_sym_switch] = ACTIONS(1341),
    [anon_sym_case] = ACTIONS(1341),
    [anon_sym_default] = ACTIONS(1341),
    [anon_sym_for] = ACTIONS(1341),
    [anon_sym_foreach] = ACTIONS(1341),
    [anon_sym_COMMA] = ACTIONS(1339),
    [anon_sym_in] = ACTIONS(1341),
    [anon_sym_break] = ACTIONS(1341),
    [anon_sym_continue] = ACTIONS(1341),
    [anon_sym_return] = ACTIONS(1341),
    [anon_sym_yield] = ACTIONS(1341),
    [anon_sym_resume] = ACTIONS(1341),
    [anon_sym_local] = ACTIONS(1341),
    [anon_sym_EQ] = ACTIONS(1341),
    [anon_sym_LT_DASH] = ACTIONS(1339),
    [anon_sym_function] = ACTIONS(1341),
    [anon_sym_COLON_COLON] = ACTIONS(1339),
    [anon_sym_class] = ACTIONS(1341),
    [anon_sym_DOT] = ACTIONS(1339),
    [anon_sym_LBRACK] = ACTIONS(1339),
    [anon_sym_try] = ACTIONS(1341),
    [anon_sym_throw] = ACTIONS(1341),
    [anon_sym_const] = ACTIONS(1341),
    [anon_sym_enum] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_TILDE] = ACTIONS(1339),
    [anon_sym_BANG] = ACTIONS(1341),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1339),
    [anon_sym_DASH_DASH] = ACTIONS(1339),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_STAR] = ACTIONS(1341),
    [anon_sym_SLASH] = ACTIONS(1341),
    [anon_sym_PERCENT] = ACTIONS(1341),
    [anon_sym_PIPE_PIPE] = ACTIONS(1339),
    [anon_sym_AMP_AMP] = ACTIONS(1339),
    [anon_sym_PIPE] = ACTIONS(1341),
    [anon_sym_CARET] = ACTIONS(1339),
    [anon_sym_AMP] = ACTIONS(1341),
    [anon_sym_EQ_EQ] = ACTIONS(1339),
    [anon_sym_BANG_EQ] = ACTIONS(1339),
    [anon_sym_LT_EQ_GT] = ACTIONS(1339),
    [anon_sym_GT] = ACTIONS(1341),
    [anon_sym_GT_EQ] = ACTIONS(1339),
    [anon_sym_LT_EQ] = ACTIONS(1341),
    [anon_sym_LT] = ACTIONS(1341),
    [anon_sym_instanceof] = ACTIONS(1341),
    [anon_sym_LT_LT] = ACTIONS(1339),
    [anon_sym_GT_GT] = ACTIONS(1341),
    [anon_sym_GT_GT_GT] = ACTIONS(1339),
    [anon_sym_QMARK] = ACTIONS(1339),
    [anon_sym_PLUS_EQ] = ACTIONS(1339),
    [anon_sym_DASH_EQ] = ACTIONS(1339),
    [anon_sym_STAR_EQ] = ACTIONS(1339),
    [anon_sym_SLASH_EQ] = ACTIONS(1339),
    [anon_sym_PERCENT_EQ] = ACTIONS(1339),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_var] = ACTIONS(1341),
    [anon_sym_rawcall] = ACTIONS(1341),
    [anon_sym_AT] = ACTIONS(1339),
    [anon_sym_clone] = ACTIONS(1341),
    [sym_integer] = ACTIONS(1341),
    [sym_float] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1339),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1339),
    [anon_sym_true] = ACTIONS(1341),
    [anon_sym_false] = ACTIONS(1341),
    [sym_null] = ACTIONS(1341),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1339),
  },
  [353] = {
    [ts_builtin_sym_end] = ACTIONS(1369),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1369),
    [anon_sym_LBRACE] = ACTIONS(1369),
    [anon_sym_RBRACE] = ACTIONS(1369),
    [anon_sym_if] = ACTIONS(1371),
    [anon_sym_else] = ACTIONS(1371),
    [anon_sym_while] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1369),
    [anon_sym_do] = ACTIONS(1371),
    [anon_sym_switch] = ACTIONS(1371),
    [anon_sym_case] = ACTIONS(1371),
    [anon_sym_default] = ACTIONS(1371),
    [anon_sym_for] = ACTIONS(1371),
    [anon_sym_foreach] = ACTIONS(1371),
    [anon_sym_COMMA] = ACTIONS(1369),
    [anon_sym_in] = ACTIONS(1371),
    [anon_sym_break] = ACTIONS(1371),
    [anon_sym_continue] = ACTIONS(1371),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_resume] = ACTIONS(1371),
    [anon_sym_local] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [anon_sym_LT_DASH] = ACTIONS(1369),
    [anon_sym_function] = ACTIONS(1371),
    [anon_sym_COLON_COLON] = ACTIONS(1369),
    [anon_sym_class] = ACTIONS(1371),
    [anon_sym_DOT] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_throw] = ACTIONS(1371),
    [anon_sym_const] = ACTIONS(1371),
    [anon_sym_enum] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1369),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_typeof] = ACTIONS(1371),
    [anon_sym_PLUS_PLUS] = ACTIONS(1369),
    [anon_sym_DASH_DASH] = ACTIONS(1369),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1371),
    [anon_sym_PERCENT] = ACTIONS(1371),
    [anon_sym_PIPE_PIPE] = ACTIONS(1369),
    [anon_sym_AMP_AMP] = ACTIONS(1369),
    [anon_sym_PIPE] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1369),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_EQ_EQ] = ACTIONS(1369),
    [anon_sym_BANG_EQ] = ACTIONS(1369),
    [anon_sym_LT_EQ_GT] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1369),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1371),
    [anon_sym_instanceof] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1369),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_GT_GT_GT] = ACTIONS(1369),
    [anon_sym_QMARK] = ACTIONS(1369),
    [anon_sym_PLUS_EQ] = ACTIONS(1369),
    [anon_sym_DASH_EQ] = ACTIONS(1369),
    [anon_sym_STAR_EQ] = ACTIONS(1369),
    [anon_sym_SLASH_EQ] = ACTIONS(1369),
    [anon_sym_PERCENT_EQ] = ACTIONS(1369),
    [anon_sym_delete] = ACTIONS(1371),
    [anon_sym_var] = ACTIONS(1371),
    [anon_sym_rawcall] = ACTIONS(1371),
    [anon_sym_AT] = ACTIONS(1369),
    [anon_sym_clone] = ACTIONS(1371),
    [sym_integer] = ACTIONS(1371),
    [sym_float] = ACTIONS(1369),
    [anon_sym_DQUOTE] = ACTIONS(1369),
    [anon_sym_SQUOTE] = ACTIONS(1371),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1369),
    [anon_sym_true] = ACTIONS(1371),
    [anon_sym_false] = ACTIONS(1371),
    [sym_null] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1369),
  },
  [354] = {
    [ts_builtin_sym_end] = ACTIONS(1287),
    [sym_identifier] = ACTIONS(1289),
    [anon_sym_SEMI] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_RBRACE] = ACTIONS(1287),
    [anon_sym_if] = ACTIONS(1289),
    [anon_sym_else] = ACTIONS(1289),
    [anon_sym_while] = ACTIONS(1289),
    [anon_sym_LPAREN] = ACTIONS(1287),
    [anon_sym_do] = ACTIONS(1289),
    [anon_sym_switch] = ACTIONS(1289),
    [anon_sym_case] = ACTIONS(1289),
    [anon_sym_default] = ACTIONS(1289),
    [anon_sym_for] = ACTIONS(1289),
    [anon_sym_foreach] = ACTIONS(1289),
    [anon_sym_COMMA] = ACTIONS(1287),
    [anon_sym_in] = ACTIONS(1289),
    [anon_sym_break] = ACTIONS(1289),
    [anon_sym_continue] = ACTIONS(1289),
    [anon_sym_return] = ACTIONS(1289),
    [anon_sym_yield] = ACTIONS(1289),
    [anon_sym_resume] = ACTIONS(1289),
    [anon_sym_local] = ACTIONS(1289),
    [anon_sym_EQ] = ACTIONS(1289),
    [anon_sym_LT_DASH] = ACTIONS(1287),
    [anon_sym_function] = ACTIONS(1289),
    [anon_sym_COLON_COLON] = ACTIONS(1287),
    [anon_sym_class] = ACTIONS(1289),
    [anon_sym_DOT] = ACTIONS(1287),
    [anon_sym_LBRACK] = ACTIONS(1287),
    [anon_sym_try] = ACTIONS(1289),
    [anon_sym_throw] = ACTIONS(1289),
    [anon_sym_const] = ACTIONS(1289),
    [anon_sym_enum] = ACTIONS(1289),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_TILDE] = ACTIONS(1287),
    [anon_sym_BANG] = ACTIONS(1289),
    [anon_sym_typeof] = ACTIONS(1289),
    [anon_sym_PLUS_PLUS] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(1289),
    [anon_sym_STAR] = ACTIONS(1289),
    [anon_sym_SLASH] = ACTIONS(1289),
    [anon_sym_PERCENT] = ACTIONS(1289),
    [anon_sym_PIPE_PIPE] = ACTIONS(1287),
    [anon_sym_AMP_AMP] = ACTIONS(1287),
    [anon_sym_PIPE] = ACTIONS(1289),
    [anon_sym_CARET] = ACTIONS(1287),
    [anon_sym_AMP] = ACTIONS(1289),
    [anon_sym_EQ_EQ] = ACTIONS(1287),
    [anon_sym_BANG_EQ] = ACTIONS(1287),
    [anon_sym_LT_EQ_GT] = ACTIONS(1287),
    [anon_sym_GT] = ACTIONS(1289),
    [anon_sym_GT_EQ] = ACTIONS(1287),
    [anon_sym_LT_EQ] = ACTIONS(1289),
    [anon_sym_LT] = ACTIONS(1289),
    [anon_sym_instanceof] = ACTIONS(1289),
    [anon_sym_LT_LT] = ACTIONS(1287),
    [anon_sym_GT_GT] = ACTIONS(1289),
    [anon_sym_GT_GT_GT] = ACTIONS(1287),
    [anon_sym_QMARK] = ACTIONS(1287),
    [anon_sym_PLUS_EQ] = ACTIONS(1287),
    [anon_sym_DASH_EQ] = ACTIONS(1287),
    [anon_sym_STAR_EQ] = ACTIONS(1287),
    [anon_sym_SLASH_EQ] = ACTIONS(1287),
    [anon_sym_PERCENT_EQ] = ACTIONS(1287),
    [anon_sym_delete] = ACTIONS(1289),
    [anon_sym_var] = ACTIONS(1289),
    [anon_sym_rawcall] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(1287),
    [anon_sym_clone] = ACTIONS(1289),
    [sym_integer] = ACTIONS(1289),
    [sym_float] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1287),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1287),
    [anon_sym_true] = ACTIONS(1289),
    [anon_sym_false] = ACTIONS(1289),
    [sym_null] = ACTIONS(1289),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1287),
  },
  [355] = {
    [ts_builtin_sym_end] = ACTIONS(1287),
    [sym_identifier] = ACTIONS(1289),
    [anon_sym_SEMI] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_RBRACE] = ACTIONS(1287),
    [anon_sym_if] = ACTIONS(1289),
    [anon_sym_else] = ACTIONS(1289),
    [anon_sym_while] = ACTIONS(1289),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(1289),
    [anon_sym_switch] = ACTIONS(1289),
    [anon_sym_case] = ACTIONS(1289),
    [anon_sym_default] = ACTIONS(1289),
    [anon_sym_for] = ACTIONS(1289),
    [anon_sym_foreach] = ACTIONS(1289),
    [anon_sym_COMMA] = ACTIONS(1287),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_break] = ACTIONS(1289),
    [anon_sym_continue] = ACTIONS(1289),
    [anon_sym_return] = ACTIONS(1289),
    [anon_sym_yield] = ACTIONS(1289),
    [anon_sym_resume] = ACTIONS(1289),
    [anon_sym_local] = ACTIONS(1289),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(1289),
    [anon_sym_COLON_COLON] = ACTIONS(1287),
    [anon_sym_class] = ACTIONS(1289),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(1289),
    [anon_sym_throw] = ACTIONS(1289),
    [anon_sym_const] = ACTIONS(1289),
    [anon_sym_enum] = ACTIONS(1289),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(1287),
    [anon_sym_BANG] = ACTIONS(1289),
    [anon_sym_typeof] = ACTIONS(1289),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(885),
    [anon_sym_AMP_AMP] = ACTIONS(887),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(905),
    [anon_sym_PLUS_EQ] = ACTIONS(873),
    [anon_sym_DASH_EQ] = ACTIONS(873),
    [anon_sym_STAR_EQ] = ACTIONS(873),
    [anon_sym_SLASH_EQ] = ACTIONS(873),
    [anon_sym_PERCENT_EQ] = ACTIONS(873),
    [anon_sym_delete] = ACTIONS(1289),
    [anon_sym_var] = ACTIONS(1289),
    [anon_sym_rawcall] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(1287),
    [anon_sym_clone] = ACTIONS(1289),
    [sym_integer] = ACTIONS(1289),
    [sym_float] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1287),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1287),
    [anon_sym_true] = ACTIONS(1289),
    [anon_sym_false] = ACTIONS(1289),
    [sym_null] = ACTIONS(1289),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1287),
  },
  [356] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym_identifier] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(725),
    [anon_sym_LBRACE] = ACTIONS(1375),
    [anon_sym_RBRACE] = ACTIONS(1375),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_else] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(1377),
    [anon_sym_switch] = ACTIONS(1377),
    [anon_sym_case] = ACTIONS(1377),
    [anon_sym_default] = ACTIONS(1377),
    [anon_sym_for] = ACTIONS(1377),
    [anon_sym_foreach] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_break] = ACTIONS(1377),
    [anon_sym_continue] = ACTIONS(1377),
    [anon_sym_return] = ACTIONS(1377),
    [anon_sym_yield] = ACTIONS(1377),
    [anon_sym_resume] = ACTIONS(1377),
    [anon_sym_local] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(1377),
    [anon_sym_COLON_COLON] = ACTIONS(1375),
    [anon_sym_class] = ACTIONS(1377),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(1377),
    [anon_sym_throw] = ACTIONS(1377),
    [anon_sym_const] = ACTIONS(1377),
    [anon_sym_enum] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(1375),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(885),
    [anon_sym_AMP_AMP] = ACTIONS(887),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(905),
    [anon_sym_PLUS_EQ] = ACTIONS(873),
    [anon_sym_DASH_EQ] = ACTIONS(873),
    [anon_sym_STAR_EQ] = ACTIONS(873),
    [anon_sym_SLASH_EQ] = ACTIONS(873),
    [anon_sym_PERCENT_EQ] = ACTIONS(873),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_var] = ACTIONS(1377),
    [anon_sym_rawcall] = ACTIONS(1377),
    [anon_sym_AT] = ACTIONS(1375),
    [anon_sym_clone] = ACTIONS(1377),
    [sym_integer] = ACTIONS(1377),
    [sym_float] = ACTIONS(1375),
    [anon_sym_DQUOTE] = ACTIONS(1375),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1375),
    [anon_sym_true] = ACTIONS(1377),
    [anon_sym_false] = ACTIONS(1377),
    [sym_null] = ACTIONS(1377),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1375),
  },
  [357] = {
    [ts_builtin_sym_end] = ACTIONS(1379),
    [sym_identifier] = ACTIONS(1381),
    [anon_sym_SEMI] = ACTIONS(1379),
    [anon_sym_LBRACE] = ACTIONS(1379),
    [anon_sym_RBRACE] = ACTIONS(1379),
    [anon_sym_if] = ACTIONS(1381),
    [anon_sym_else] = ACTIONS(1381),
    [anon_sym_while] = ACTIONS(1381),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(1381),
    [anon_sym_switch] = ACTIONS(1381),
    [anon_sym_case] = ACTIONS(1381),
    [anon_sym_default] = ACTIONS(1381),
    [anon_sym_for] = ACTIONS(1381),
    [anon_sym_foreach] = ACTIONS(1381),
    [anon_sym_COMMA] = ACTIONS(1379),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_break] = ACTIONS(1381),
    [anon_sym_continue] = ACTIONS(1381),
    [anon_sym_return] = ACTIONS(1381),
    [anon_sym_yield] = ACTIONS(1381),
    [anon_sym_resume] = ACTIONS(1381),
    [anon_sym_local] = ACTIONS(1381),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_COLON_COLON] = ACTIONS(1379),
    [anon_sym_class] = ACTIONS(1381),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(1381),
    [anon_sym_throw] = ACTIONS(1381),
    [anon_sym_const] = ACTIONS(1381),
    [anon_sym_enum] = ACTIONS(1381),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(1379),
    [anon_sym_BANG] = ACTIONS(1381),
    [anon_sym_typeof] = ACTIONS(1381),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(885),
    [anon_sym_AMP_AMP] = ACTIONS(887),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(905),
    [anon_sym_PLUS_EQ] = ACTIONS(873),
    [anon_sym_DASH_EQ] = ACTIONS(873),
    [anon_sym_STAR_EQ] = ACTIONS(873),
    [anon_sym_SLASH_EQ] = ACTIONS(873),
    [anon_sym_PERCENT_EQ] = ACTIONS(873),
    [anon_sym_delete] = ACTIONS(1381),
    [anon_sym_var] = ACTIONS(1381),
    [anon_sym_rawcall] = ACTIONS(1381),
    [anon_sym_AT] = ACTIONS(1379),
    [anon_sym_clone] = ACTIONS(1381),
    [sym_integer] = ACTIONS(1381),
    [sym_float] = ACTIONS(1379),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [anon_sym_SQUOTE] = ACTIONS(1381),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1379),
    [anon_sym_true] = ACTIONS(1381),
    [anon_sym_false] = ACTIONS(1381),
    [sym_null] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1379),
  },
  [358] = {
    [ts_builtin_sym_end] = ACTIONS(1383),
    [sym_identifier] = ACTIONS(1385),
    [anon_sym_SEMI] = ACTIONS(1383),
    [anon_sym_LBRACE] = ACTIONS(1383),
    [anon_sym_RBRACE] = ACTIONS(1383),
    [anon_sym_if] = ACTIONS(1385),
    [anon_sym_else] = ACTIONS(1385),
    [anon_sym_while] = ACTIONS(1385),
    [anon_sym_LPAREN] = ACTIONS(1383),
    [anon_sym_do] = ACTIONS(1385),
    [anon_sym_switch] = ACTIONS(1385),
    [anon_sym_case] = ACTIONS(1385),
    [anon_sym_default] = ACTIONS(1385),
    [anon_sym_for] = ACTIONS(1385),
    [anon_sym_foreach] = ACTIONS(1385),
    [anon_sym_COMMA] = ACTIONS(1383),
    [anon_sym_in] = ACTIONS(1385),
    [anon_sym_break] = ACTIONS(1385),
    [anon_sym_continue] = ACTIONS(1385),
    [anon_sym_return] = ACTIONS(1385),
    [anon_sym_yield] = ACTIONS(1385),
    [anon_sym_resume] = ACTIONS(1385),
    [anon_sym_local] = ACTIONS(1385),
    [anon_sym_EQ] = ACTIONS(1385),
    [anon_sym_LT_DASH] = ACTIONS(1383),
    [anon_sym_function] = ACTIONS(1385),
    [anon_sym_COLON_COLON] = ACTIONS(1383),
    [anon_sym_class] = ACTIONS(1385),
    [anon_sym_DOT] = ACTIONS(1383),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_throw] = ACTIONS(1385),
    [anon_sym_const] = ACTIONS(1385),
    [anon_sym_enum] = ACTIONS(1385),
    [anon_sym_DASH] = ACTIONS(1385),
    [anon_sym_TILDE] = ACTIONS(1383),
    [anon_sym_BANG] = ACTIONS(1385),
    [anon_sym_typeof] = ACTIONS(1385),
    [anon_sym_PLUS_PLUS] = ACTIONS(1383),
    [anon_sym_DASH_DASH] = ACTIONS(1383),
    [anon_sym_PLUS] = ACTIONS(1385),
    [anon_sym_STAR] = ACTIONS(1385),
    [anon_sym_SLASH] = ACTIONS(1385),
    [anon_sym_PERCENT] = ACTIONS(1385),
    [anon_sym_PIPE_PIPE] = ACTIONS(1383),
    [anon_sym_AMP_AMP] = ACTIONS(1383),
    [anon_sym_PIPE] = ACTIONS(1385),
    [anon_sym_CARET] = ACTIONS(1383),
    [anon_sym_AMP] = ACTIONS(1385),
    [anon_sym_EQ_EQ] = ACTIONS(1383),
    [anon_sym_BANG_EQ] = ACTIONS(1383),
    [anon_sym_LT_EQ_GT] = ACTIONS(1383),
    [anon_sym_GT] = ACTIONS(1385),
    [anon_sym_GT_EQ] = ACTIONS(1383),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_LT] = ACTIONS(1385),
    [anon_sym_instanceof] = ACTIONS(1385),
    [anon_sym_LT_LT] = ACTIONS(1383),
    [anon_sym_GT_GT] = ACTIONS(1385),
    [anon_sym_GT_GT_GT] = ACTIONS(1383),
    [anon_sym_QMARK] = ACTIONS(1383),
    [anon_sym_PLUS_EQ] = ACTIONS(1383),
    [anon_sym_DASH_EQ] = ACTIONS(1383),
    [anon_sym_STAR_EQ] = ACTIONS(1383),
    [anon_sym_SLASH_EQ] = ACTIONS(1383),
    [anon_sym_PERCENT_EQ] = ACTIONS(1383),
    [anon_sym_delete] = ACTIONS(1385),
    [anon_sym_var] = ACTIONS(1385),
    [anon_sym_rawcall] = ACTIONS(1385),
    [anon_sym_AT] = ACTIONS(1383),
    [anon_sym_clone] = ACTIONS(1385),
    [sym_integer] = ACTIONS(1385),
    [sym_float] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1383),
    [anon_sym_SQUOTE] = ACTIONS(1385),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1383),
    [anon_sym_true] = ACTIONS(1385),
    [anon_sym_false] = ACTIONS(1385),
    [sym_null] = ACTIONS(1385),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1383),
  },
  [359] = {
    [ts_builtin_sym_end] = ACTIONS(1387),
    [sym_identifier] = ACTIONS(1389),
    [anon_sym_SEMI] = ACTIONS(1387),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_RBRACE] = ACTIONS(1387),
    [anon_sym_if] = ACTIONS(1389),
    [anon_sym_else] = ACTIONS(1389),
    [anon_sym_while] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1387),
    [anon_sym_do] = ACTIONS(1389),
    [anon_sym_switch] = ACTIONS(1389),
    [anon_sym_case] = ACTIONS(1389),
    [anon_sym_default] = ACTIONS(1389),
    [anon_sym_for] = ACTIONS(1389),
    [anon_sym_foreach] = ACTIONS(1389),
    [anon_sym_COMMA] = ACTIONS(1387),
    [anon_sym_in] = ACTIONS(1389),
    [anon_sym_break] = ACTIONS(1389),
    [anon_sym_continue] = ACTIONS(1389),
    [anon_sym_return] = ACTIONS(1389),
    [anon_sym_yield] = ACTIONS(1389),
    [anon_sym_resume] = ACTIONS(1389),
    [anon_sym_local] = ACTIONS(1389),
    [anon_sym_EQ] = ACTIONS(1389),
    [anon_sym_LT_DASH] = ACTIONS(1387),
    [anon_sym_function] = ACTIONS(1389),
    [anon_sym_COLON_COLON] = ACTIONS(1387),
    [anon_sym_class] = ACTIONS(1389),
    [anon_sym_DOT] = ACTIONS(1387),
    [anon_sym_LBRACK] = ACTIONS(1387),
    [anon_sym_try] = ACTIONS(1389),
    [anon_sym_throw] = ACTIONS(1389),
    [anon_sym_const] = ACTIONS(1389),
    [anon_sym_enum] = ACTIONS(1389),
    [anon_sym_DASH] = ACTIONS(1389),
    [anon_sym_TILDE] = ACTIONS(1387),
    [anon_sym_BANG] = ACTIONS(1389),
    [anon_sym_typeof] = ACTIONS(1389),
    [anon_sym_PLUS_PLUS] = ACTIONS(1387),
    [anon_sym_DASH_DASH] = ACTIONS(1387),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_STAR] = ACTIONS(1389),
    [anon_sym_SLASH] = ACTIONS(1389),
    [anon_sym_PERCENT] = ACTIONS(1389),
    [anon_sym_PIPE_PIPE] = ACTIONS(1387),
    [anon_sym_AMP_AMP] = ACTIONS(1387),
    [anon_sym_PIPE] = ACTIONS(1389),
    [anon_sym_CARET] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(1389),
    [anon_sym_EQ_EQ] = ACTIONS(1387),
    [anon_sym_BANG_EQ] = ACTIONS(1387),
    [anon_sym_LT_EQ_GT] = ACTIONS(1387),
    [anon_sym_GT] = ACTIONS(1389),
    [anon_sym_GT_EQ] = ACTIONS(1387),
    [anon_sym_LT_EQ] = ACTIONS(1389),
    [anon_sym_LT] = ACTIONS(1389),
    [anon_sym_instanceof] = ACTIONS(1389),
    [anon_sym_LT_LT] = ACTIONS(1387),
    [anon_sym_GT_GT] = ACTIONS(1389),
    [anon_sym_GT_GT_GT] = ACTIONS(1387),
    [anon_sym_QMARK] = ACTIONS(1387),
    [anon_sym_PLUS_EQ] = ACTIONS(1387),
    [anon_sym_DASH_EQ] = ACTIONS(1387),
    [anon_sym_STAR_EQ] = ACTIONS(1387),
    [anon_sym_SLASH_EQ] = ACTIONS(1387),
    [anon_sym_PERCENT_EQ] = ACTIONS(1387),
    [anon_sym_delete] = ACTIONS(1389),
    [anon_sym_var] = ACTIONS(1389),
    [anon_sym_rawcall] = ACTIONS(1389),
    [anon_sym_AT] = ACTIONS(1387),
    [anon_sym_clone] = ACTIONS(1389),
    [sym_integer] = ACTIONS(1389),
    [sym_float] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [anon_sym_SQUOTE] = ACTIONS(1389),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1387),
    [anon_sym_true] = ACTIONS(1389),
    [anon_sym_false] = ACTIONS(1389),
    [sym_null] = ACTIONS(1389),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1387),
  },
  [360] = {
    [ts_builtin_sym_end] = ACTIONS(1391),
    [sym_identifier] = ACTIONS(1393),
    [anon_sym_SEMI] = ACTIONS(1391),
    [anon_sym_LBRACE] = ACTIONS(1391),
    [anon_sym_RBRACE] = ACTIONS(1391),
    [anon_sym_if] = ACTIONS(1393),
    [anon_sym_else] = ACTIONS(1393),
    [anon_sym_while] = ACTIONS(1393),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_do] = ACTIONS(1393),
    [anon_sym_switch] = ACTIONS(1393),
    [anon_sym_case] = ACTIONS(1393),
    [anon_sym_default] = ACTIONS(1393),
    [anon_sym_for] = ACTIONS(1393),
    [anon_sym_foreach] = ACTIONS(1393),
    [anon_sym_COMMA] = ACTIONS(1391),
    [anon_sym_in] = ACTIONS(1393),
    [anon_sym_break] = ACTIONS(1393),
    [anon_sym_continue] = ACTIONS(1393),
    [anon_sym_return] = ACTIONS(1393),
    [anon_sym_yield] = ACTIONS(1393),
    [anon_sym_resume] = ACTIONS(1393),
    [anon_sym_local] = ACTIONS(1393),
    [anon_sym_EQ] = ACTIONS(1393),
    [anon_sym_LT_DASH] = ACTIONS(1391),
    [anon_sym_function] = ACTIONS(1393),
    [anon_sym_COLON_COLON] = ACTIONS(1391),
    [anon_sym_class] = ACTIONS(1393),
    [anon_sym_DOT] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1391),
    [anon_sym_try] = ACTIONS(1393),
    [anon_sym_throw] = ACTIONS(1393),
    [anon_sym_const] = ACTIONS(1393),
    [anon_sym_enum] = ACTIONS(1393),
    [anon_sym_DASH] = ACTIONS(1393),
    [anon_sym_TILDE] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1393),
    [anon_sym_typeof] = ACTIONS(1393),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_STAR] = ACTIONS(1393),
    [anon_sym_SLASH] = ACTIONS(1393),
    [anon_sym_PERCENT] = ACTIONS(1393),
    [anon_sym_PIPE_PIPE] = ACTIONS(1391),
    [anon_sym_AMP_AMP] = ACTIONS(1391),
    [anon_sym_PIPE] = ACTIONS(1393),
    [anon_sym_CARET] = ACTIONS(1391),
    [anon_sym_AMP] = ACTIONS(1393),
    [anon_sym_EQ_EQ] = ACTIONS(1391),
    [anon_sym_BANG_EQ] = ACTIONS(1391),
    [anon_sym_LT_EQ_GT] = ACTIONS(1391),
    [anon_sym_GT] = ACTIONS(1393),
    [anon_sym_GT_EQ] = ACTIONS(1391),
    [anon_sym_LT_EQ] = ACTIONS(1393),
    [anon_sym_LT] = ACTIONS(1393),
    [anon_sym_instanceof] = ACTIONS(1393),
    [anon_sym_LT_LT] = ACTIONS(1391),
    [anon_sym_GT_GT] = ACTIONS(1393),
    [anon_sym_GT_GT_GT] = ACTIONS(1391),
    [anon_sym_QMARK] = ACTIONS(1391),
    [anon_sym_PLUS_EQ] = ACTIONS(1391),
    [anon_sym_DASH_EQ] = ACTIONS(1391),
    [anon_sym_STAR_EQ] = ACTIONS(1391),
    [anon_sym_SLASH_EQ] = ACTIONS(1391),
    [anon_sym_PERCENT_EQ] = ACTIONS(1391),
    [anon_sym_delete] = ACTIONS(1393),
    [anon_sym_var] = ACTIONS(1393),
    [anon_sym_rawcall] = ACTIONS(1393),
    [anon_sym_AT] = ACTIONS(1391),
    [anon_sym_clone] = ACTIONS(1393),
    [sym_integer] = ACTIONS(1393),
    [sym_float] = ACTIONS(1391),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE] = ACTIONS(1393),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1391),
    [anon_sym_true] = ACTIONS(1393),
    [anon_sym_false] = ACTIONS(1393),
    [sym_null] = ACTIONS(1393),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1391),
  },
  [361] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym_identifier] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1375),
    [anon_sym_RBRACE] = ACTIONS(1375),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_else] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [anon_sym_do] = ACTIONS(1377),
    [anon_sym_switch] = ACTIONS(1377),
    [anon_sym_case] = ACTIONS(1377),
    [anon_sym_default] = ACTIONS(1377),
    [anon_sym_for] = ACTIONS(1377),
    [anon_sym_foreach] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [anon_sym_in] = ACTIONS(1377),
    [anon_sym_break] = ACTIONS(1377),
    [anon_sym_continue] = ACTIONS(1377),
    [anon_sym_return] = ACTIONS(1377),
    [anon_sym_yield] = ACTIONS(1377),
    [anon_sym_resume] = ACTIONS(1377),
    [anon_sym_local] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1377),
    [anon_sym_LT_DASH] = ACTIONS(1375),
    [anon_sym_function] = ACTIONS(1377),
    [anon_sym_COLON_COLON] = ACTIONS(1375),
    [anon_sym_class] = ACTIONS(1377),
    [anon_sym_DOT] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [anon_sym_try] = ACTIONS(1377),
    [anon_sym_throw] = ACTIONS(1377),
    [anon_sym_const] = ACTIONS(1377),
    [anon_sym_enum] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_TILDE] = ACTIONS(1375),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PERCENT] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_AMP_AMP] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1377),
    [anon_sym_EQ_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_EQ_GT] = ACTIONS(1375),
    [anon_sym_GT] = ACTIONS(1377),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_instanceof] = ACTIONS(1377),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1377),
    [anon_sym_GT_GT_GT] = ACTIONS(1375),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_PLUS_EQ] = ACTIONS(1375),
    [anon_sym_DASH_EQ] = ACTIONS(1375),
    [anon_sym_STAR_EQ] = ACTIONS(1375),
    [anon_sym_SLASH_EQ] = ACTIONS(1375),
    [anon_sym_PERCENT_EQ] = ACTIONS(1375),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_var] = ACTIONS(1377),
    [anon_sym_rawcall] = ACTIONS(1377),
    [anon_sym_AT] = ACTIONS(1375),
    [anon_sym_clone] = ACTIONS(1377),
    [sym_integer] = ACTIONS(1377),
    [sym_float] = ACTIONS(1375),
    [anon_sym_DQUOTE] = ACTIONS(1375),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1375),
    [anon_sym_true] = ACTIONS(1377),
    [anon_sym_false] = ACTIONS(1377),
    [sym_null] = ACTIONS(1377),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1375),
  },
  [362] = {
    [ts_builtin_sym_end] = ACTIONS(1375),
    [sym_identifier] = ACTIONS(1377),
    [anon_sym_SEMI] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1375),
    [anon_sym_RBRACE] = ACTIONS(1375),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_else] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1377),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [anon_sym_do] = ACTIONS(1377),
    [anon_sym_switch] = ACTIONS(1377),
    [anon_sym_case] = ACTIONS(1377),
    [anon_sym_default] = ACTIONS(1377),
    [anon_sym_for] = ACTIONS(1377),
    [anon_sym_foreach] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1375),
    [anon_sym_in] = ACTIONS(1377),
    [anon_sym_break] = ACTIONS(1377),
    [anon_sym_continue] = ACTIONS(1377),
    [anon_sym_return] = ACTIONS(1377),
    [anon_sym_yield] = ACTIONS(1377),
    [anon_sym_resume] = ACTIONS(1377),
    [anon_sym_local] = ACTIONS(1377),
    [anon_sym_EQ] = ACTIONS(1377),
    [anon_sym_LT_DASH] = ACTIONS(1375),
    [anon_sym_function] = ACTIONS(1377),
    [anon_sym_COLON_COLON] = ACTIONS(1375),
    [anon_sym_class] = ACTIONS(1377),
    [anon_sym_DOT] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [anon_sym_try] = ACTIONS(1377),
    [anon_sym_throw] = ACTIONS(1377),
    [anon_sym_const] = ACTIONS(1377),
    [anon_sym_enum] = ACTIONS(1377),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_TILDE] = ACTIONS(1375),
    [anon_sym_BANG] = ACTIONS(1377),
    [anon_sym_typeof] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_STAR] = ACTIONS(1377),
    [anon_sym_SLASH] = ACTIONS(1377),
    [anon_sym_PERCENT] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_AMP_AMP] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1377),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1377),
    [anon_sym_EQ_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_LT_EQ_GT] = ACTIONS(1375),
    [anon_sym_GT] = ACTIONS(1377),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1377),
    [anon_sym_LT] = ACTIONS(1377),
    [anon_sym_instanceof] = ACTIONS(1377),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1377),
    [anon_sym_GT_GT_GT] = ACTIONS(1375),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_PLUS_EQ] = ACTIONS(1375),
    [anon_sym_DASH_EQ] = ACTIONS(1375),
    [anon_sym_STAR_EQ] = ACTIONS(1375),
    [anon_sym_SLASH_EQ] = ACTIONS(1375),
    [anon_sym_PERCENT_EQ] = ACTIONS(1375),
    [anon_sym_delete] = ACTIONS(1377),
    [anon_sym_var] = ACTIONS(1377),
    [anon_sym_rawcall] = ACTIONS(1377),
    [anon_sym_AT] = ACTIONS(1375),
    [anon_sym_clone] = ACTIONS(1377),
    [sym_integer] = ACTIONS(1377),
    [sym_float] = ACTIONS(1375),
    [anon_sym_DQUOTE] = ACTIONS(1375),
    [anon_sym_SQUOTE] = ACTIONS(1377),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1375),
    [anon_sym_true] = ACTIONS(1377),
    [anon_sym_false] = ACTIONS(1377),
    [sym_null] = ACTIONS(1377),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1375),
  },
  [363] = {
    [sym_identifier] = ACTIONS(1395),
    [anon_sym_SEMI] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_RBRACE] = ACTIONS(1400),
    [anon_sym_if] = ACTIONS(1395),
    [anon_sym_while] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(1395),
    [anon_sym_switch] = ACTIONS(1395),
    [anon_sym_case] = ACTIONS(1395),
    [anon_sym_default] = ACTIONS(1395),
    [anon_sym_for] = ACTIONS(1395),
    [anon_sym_foreach] = ACTIONS(1395),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_break] = ACTIONS(1395),
    [anon_sym_continue] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(1395),
    [anon_sym_yield] = ACTIONS(1395),
    [anon_sym_resume] = ACTIONS(1395),
    [anon_sym_local] = ACTIONS(1395),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(1395),
    [anon_sym_COLON_COLON] = ACTIONS(1400),
    [anon_sym_class] = ACTIONS(1395),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(1395),
    [anon_sym_throw] = ACTIONS(1395),
    [anon_sym_const] = ACTIONS(1395),
    [anon_sym_enum] = ACTIONS(1395),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1395),
    [anon_sym_typeof] = ACTIONS(1395),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(885),
    [anon_sym_AMP_AMP] = ACTIONS(887),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(905),
    [anon_sym_PLUS_EQ] = ACTIONS(873),
    [anon_sym_DASH_EQ] = ACTIONS(873),
    [anon_sym_STAR_EQ] = ACTIONS(873),
    [anon_sym_SLASH_EQ] = ACTIONS(873),
    [anon_sym_PERCENT_EQ] = ACTIONS(873),
    [anon_sym_delete] = ACTIONS(1395),
    [anon_sym_var] = ACTIONS(1395),
    [anon_sym_rawcall] = ACTIONS(1395),
    [anon_sym_AT] = ACTIONS(1400),
    [anon_sym_clone] = ACTIONS(1395),
    [sym_integer] = ACTIONS(1395),
    [sym_float] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1395),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1400),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [sym_null] = ACTIONS(1395),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1400),
  },
  [364] = {
    [ts_builtin_sym_end] = ACTIONS(1402),
    [sym_identifier] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1406),
    [anon_sym_LBRACE] = ACTIONS(1402),
    [anon_sym_if] = ACTIONS(1404),
    [anon_sym_while] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_switch] = ACTIONS(1404),
    [anon_sym_for] = ACTIONS(1404),
    [anon_sym_foreach] = ACTIONS(1404),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_break] = ACTIONS(1404),
    [anon_sym_continue] = ACTIONS(1404),
    [anon_sym_return] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(1404),
    [anon_sym_resume] = ACTIONS(1404),
    [anon_sym_local] = ACTIONS(1404),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_LT_DASH] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(1404),
    [anon_sym_COLON_COLON] = ACTIONS(1402),
    [anon_sym_class] = ACTIONS(1404),
    [anon_sym_DOT] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(1404),
    [anon_sym_throw] = ACTIONS(1404),
    [anon_sym_const] = ACTIONS(1404),
    [anon_sym_enum] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(1402),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_typeof] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(881),
    [anon_sym_DASH_DASH] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_PIPE_PIPE] = ACTIONS(885),
    [anon_sym_AMP_AMP] = ACTIONS(887),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(891),
    [anon_sym_AMP] = ACTIONS(893),
    [anon_sym_EQ_EQ] = ACTIONS(895),
    [anon_sym_BANG_EQ] = ACTIONS(895),
    [anon_sym_LT_EQ_GT] = ACTIONS(897),
    [anon_sym_GT] = ACTIONS(899),
    [anon_sym_GT_EQ] = ACTIONS(897),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_instanceof] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(903),
    [anon_sym_GT_GT_GT] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(905),
    [anon_sym_PLUS_EQ] = ACTIONS(873),
    [anon_sym_DASH_EQ] = ACTIONS(873),
    [anon_sym_STAR_EQ] = ACTIONS(873),
    [anon_sym_SLASH_EQ] = ACTIONS(873),
    [anon_sym_PERCENT_EQ] = ACTIONS(873),
    [anon_sym_delete] = ACTIONS(1404),
    [anon_sym_var] = ACTIONS(1404),
    [anon_sym_rawcall] = ACTIONS(1404),
    [anon_sym_AT] = ACTIONS(1402),
    [anon_sym_clone] = ACTIONS(1404),
    [sym_integer] = ACTIONS(1404),
    [sym_float] = ACTIONS(1402),
    [anon_sym_DQUOTE] = ACTIONS(1402),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_SQUOTE_POUND_SQUOTE] = ACTIONS(1402),
    [anon_sym_true] = ACTIONS(1404),
    [anon_sym_false] = ACTIONS(1404),
    [sym_null] = ACTIONS(1404),
    [sym_comment] = ACTIONS(3),
    [sym_verbatim_string] = ACTIONS(1402),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(867), 1,
      anon_sym_LPAREN,
    ACTIONS(869), 1,
      anon_sym_in,
    ACTIONS(871), 1,
      anon_sym_EQ,
    ACTIONS(875), 1,
      anon_sym_DOT,
    ACTIONS(877), 1,
      anon_sym_LBRACK,
    ACTIONS(885), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(887), 1,
      anon_sym_AMP_AMP,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(891), 1,
      anon_sym_CARET,
    ACTIONS(893), 1,
      anon_sym_AMP,
    ACTIONS(903), 1,
      anon_sym_GT_GT,
    ACTIONS(905), 1,
      anon_sym_QMARK,
    ACTIONS(1409), 1,
      anon_sym_SEMI,
    ACTIONS(1411), 1,
      anon_sym_else,
    STATE(296), 1,
      sym_else_statement,
    ACTIONS(879), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(881), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(895), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(897), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(901), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(883), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(899), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(873), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(861), 9,
      sym_verbatim_string,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_TILDE,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(863), 13,
      anon_sym_resume,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_typeof,
      anon_sym_delete,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
  [114] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(867), 1,
      anon_sym_LPAREN,
    ACTIONS(875), 1,
      anon_sym_DOT,
    ACTIONS(877), 1,
      anon_sym_LBRACK,
    ACTIONS(903), 1,
      anon_sym_GT_GT,
    ACTIONS(1413), 1,
      anon_sym_SEMI,
    ACTIONS(879), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(881), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(901), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(883), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(917), 22,
      anon_sym_else,
      anon_sym_in,
      anon_sym_resume,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_typeof,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_delete,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
    ACTIONS(915), 23,
      sym_verbatim_string,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_COLON,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
  [199] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 1,
      anon_sym_SEMI,
    ACTIONS(1221), 28,
      anon_sym_else,
      anon_sym_in,
      anon_sym_resume,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_typeof,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      anon_sym_delete,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
    ACTIONS(1219), 30,
      sym_verbatim_string,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_COLON,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
  [268] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1417), 1,
      anon_sym_SEMI,
    ACTIONS(1353), 28,
      anon_sym_else,
      anon_sym_in,
      anon_sym_resume,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_typeof,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      anon_sym_delete,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
    ACTIONS(1351), 30,
      sym_verbatim_string,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_COLON,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
  [337] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_else,
    STATE(273), 1,
      sym_else_statement,
    ACTIONS(857), 27,
      anon_sym_in,
      anon_sym_resume,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_typeof,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      anon_sym_delete,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
    ACTIONS(855), 30,
      sym_verbatim_string,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_COLON,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
  [408] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(867), 1,
      anon_sym_LPAREN,
    ACTIONS(875), 1,
      anon_sym_DOT,
    ACTIONS(877), 1,
      anon_sym_LBRACK,
    ACTIONS(1419), 1,
      anon_sym_SEMI,
    ACTIONS(881), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(915), 25,
      sym_verbatim_string,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_COLON,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(917), 28,
      anon_sym_else,
      anon_sym_in,
      anon_sym_resume,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_typeof,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      anon_sym_delete,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
  [485] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(867), 1,
      anon_sym_LPAREN,
    ACTIONS(875), 1,
      anon_sym_DOT,
    ACTIONS(877), 1,
      anon_sym_LBRACK,
    ACTIONS(903), 1,
      anon_sym_GT_GT,
    ACTIONS(1421), 1,
      anon_sym_SEMI,
    ACTIONS(879), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(881), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(897), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(901), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(883), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(899), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(917), 18,
      anon_sym_else,
      anon_sym_in,
      anon_sym_resume,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_typeof,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_delete,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
    ACTIONS(915), 21,
      sym_verbatim_string,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_COLON,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
  [574] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(867), 1,
      anon_sym_LPAREN,
    ACTIONS(875), 1,
      anon_sym_DOT,
    ACTIONS(877), 1,
      anon_sym_LBRACK,
    ACTIONS(903), 1,
      anon_sym_GT_GT,
    ACTIONS(1423), 1,
      anon_sym_SEMI,
    ACTIONS(879), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(881), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(895), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(897), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(901), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(883), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(899), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(917), 18,
      anon_sym_else,
      anon_sym_in,
      anon_sym_resume,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_typeof,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_delete,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
    ACTIONS(915), 19,
      sym_verbatim_string,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_COLON,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
  [665] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(867), 1,
      anon_sym_LPAREN,
    ACTIONS(875), 1,
      anon_sym_DOT,
    ACTIONS(877), 1,
      anon_sym_LBRACK,
    ACTIONS(1425), 1,
      anon_sym_SEMI,
    ACTIONS(879), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(881), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(883), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(917), 23,
      anon_sym_else,
      anon_sym_in,
      anon_sym_resume,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_typeof,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      anon_sym_delete,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
    ACTIONS(915), 25,
      sym_verbatim_string,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_COLON,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
  [746] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(867), 1,
      anon_sym_LPAREN,
    ACTIONS(869), 1,
      anon_sym_in,
    ACTIONS(875), 1,
      anon_sym_DOT,
    ACTIONS(877), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_AMP_AMP,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(891), 1,
      anon_sym_CARET,
    ACTIONS(893), 1,
      anon_sym_AMP,
    ACTIONS(903), 1,
      anon_sym_GT_GT,
    ACTIONS(1427), 1,
      anon_sym_SEMI,
    ACTIONS(879), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(881), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(895), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(897), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(901), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(883), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(899), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(917), 15,
      anon_sym_else,
      anon_sym_resume,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_typeof,
      anon_sym_delete,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
    ACTIONS(915), 17,
      sym_verbatim_string,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_COLON,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
  [847] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(867), 1,
      anon_sym_LPAREN,
    ACTIONS(875), 1,
      anon_sym_DOT,
    ACTIONS(877), 1,
      anon_sym_LBRACK,
    ACTIONS(891), 1,
      anon_sym_CARET,
    ACTIONS(893), 1,
      anon_sym_AMP,
    ACTIONS(903), 1,
      anon_sym_GT_GT,
    ACTIONS(1429), 1,
      anon_sym_SEMI,
    ACTIONS(879), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(881), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(895), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(897), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(901), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(883), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(899), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(917), 17,
      anon_sym_else,
      anon_sym_in,
      anon_sym_resume,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_typeof,
      anon_sym_PIPE,
      anon_sym_delete,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
    ACTIONS(915), 18,
      sym_verbatim_string,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_COLON,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
  [942] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(867), 1,
      anon_sym_LPAREN,
    ACTIONS(875), 1,
      anon_sym_DOT,
    ACTIONS(877), 1,
      anon_sym_LBRACK,
    ACTIONS(893), 1,
      anon_sym_AMP,
    ACTIONS(903), 1,
      anon_sym_GT_GT,
    ACTIONS(1431), 1,
      anon_sym_SEMI,
    ACTIONS(879), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(881), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(895), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(897), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(901), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(883), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(899), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(917), 17,
      anon_sym_else,
      anon_sym_in,
      anon_sym_resume,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_typeof,
      anon_sym_PIPE,
      anon_sym_delete,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
    ACTIONS(915), 19,
      sym_verbatim_string,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_COLON,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
  [1035] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_else,
    STATE(296), 1,
      sym_else_statement,
    ACTIONS(863), 27,
      anon_sym_in,
      anon_sym_resume,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_typeof,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      anon_sym_delete,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
    ACTIONS(861), 30,
      sym_verbatim_string,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_COLON,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
  [1106] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_else,
    STATE(296), 1,
      sym_else_statement,
    ACTIONS(863), 27,
      anon_sym_in,
      anon_sym_resume,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_typeof,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      anon_sym_delete,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
    ACTIONS(861), 30,
      sym_verbatim_string,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_COLON,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
  [1177] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1433), 1,
      anon_sym_SEMI,
    ACTIONS(1293), 28,
      anon_sym_else,
      anon_sym_in,
      anon_sym_resume,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_typeof,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      anon_sym_delete,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
    ACTIONS(1291), 30,
      sym_verbatim_string,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_COLON,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
  [1246] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(867), 1,
      anon_sym_LPAREN,
    ACTIONS(875), 1,
      anon_sym_DOT,
    ACTIONS(877), 1,
      anon_sym_LBRACK,
    ACTIONS(889), 1,
      anon_sym_PIPE,
    ACTIONS(891), 1,
      anon_sym_CARET,
    ACTIONS(893), 1,
      anon_sym_AMP,
    ACTIONS(903), 1,
      anon_sym_GT_GT,
    ACTIONS(1435), 1,
      anon_sym_SEMI,
    ACTIONS(879), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(881), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(895), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(897), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(901), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(883), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(899), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(917), 16,
      anon_sym_else,
      anon_sym_in,
      anon_sym_resume,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_typeof,
      anon_sym_delete,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
    ACTIONS(915), 18,
      sym_verbatim_string,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_COLON,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
  [1343] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(867), 1,
      anon_sym_LPAREN,
    ACTIONS(875), 1,
      anon_sym_DOT,
    ACTIONS(877), 1,
      anon_sym_LBRACK,
    ACTIONS(1437), 1,
      anon_sym_SEMI,
    ACTIONS(881), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(883), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(915), 25,
      sym_verbatim_string,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_COLON,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(917), 25,
      anon_sym_else,
      anon_sym_in,
      anon_sym_resume,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_typeof,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      anon_sym_delete,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
  [1422] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(867), 1,
      anon_sym_LPAREN,
    ACTIONS(875), 1,
      anon_sym_DOT,
    ACTIONS(877), 1,
      anon_sym_LBRACK,
    ACTIONS(1433), 1,
      anon_sym_SEMI,
    ACTIONS(1291), 27,
      sym_verbatim_string,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_COLON,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1293), 28,
      anon_sym_else,
      anon_sym_in,
      anon_sym_resume,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_typeof,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      anon_sym_delete,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
  [1497] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(867), 1,
      anon_sym_LPAREN,
    ACTIONS(875), 1,
      anon_sym_DOT,
    ACTIONS(877), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_in,
    ACTIONS(1441), 1,
      anon_sym_EQ,
    ACTIONS(1451), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1455), 1,
      anon_sym_PIPE,
    ACTIONS(1457), 1,
      anon_sym_CARET,
    ACTIONS(1459), 1,
      anon_sym_AMP,
    ACTIONS(1469), 1,
      anon_sym_GT_GT,
    ACTIONS(1471), 1,
      anon_sym_QMARK,
    ACTIONS(1445), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1447), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1463), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1467), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1449), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1465), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1443), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(1097), 9,
      sym_verbatim_string,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_TILDE,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1099), 14,
      anon_sym_else,
      anon_sym_resume,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_typeof,
      anon_sym_delete,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
  [1603] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1473), 1,
      anon_sym_DOT,
    ACTIONS(1093), 28,
      anon_sym_else,
      anon_sym_in,
      anon_sym_resume,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_typeof,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      anon_sym_delete,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
    ACTIONS(1091), 29,
      sym_verbatim_string,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
  [1671] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(867), 1,
      anon_sym_LPAREN,
    ACTIONS(875), 1,
      anon_sym_DOT,
    ACTIONS(877), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_in,
    ACTIONS(1441), 1,
      anon_sym_EQ,
    ACTIONS(1451), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1455), 1,
      anon_sym_PIPE,
    ACTIONS(1457), 1,
      anon_sym_CARET,
    ACTIONS(1459), 1,
      anon_sym_AMP,
    ACTIONS(1469), 1,
      anon_sym_GT_GT,
    ACTIONS(1471), 1,
      anon_sym_QMARK,
    ACTIONS(1445), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1447), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1463), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1467), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1449), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1465), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1443), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(1257), 9,
      sym_verbatim_string,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_TILDE,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1259), 14,
      anon_sym_else,
      anon_sym_resume,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_typeof,
      anon_sym_delete,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
  [1777] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1475), 1,
      anon_sym_DOT,
    ACTIONS(937), 28,
      anon_sym_else,
      anon_sym_in,
      anon_sym_resume,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_typeof,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      anon_sym_delete,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
    ACTIONS(935), 29,
      sym_verbatim_string,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
  [1845] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(867), 1,
      anon_sym_LPAREN,
    ACTIONS(875), 1,
      anon_sym_DOT,
    ACTIONS(877), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_in,
    ACTIONS(1441), 1,
      anon_sym_EQ,
    ACTIONS(1451), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1455), 1,
      anon_sym_PIPE,
    ACTIONS(1457), 1,
      anon_sym_CARET,
    ACTIONS(1459), 1,
      anon_sym_AMP,
    ACTIONS(1469), 1,
      anon_sym_GT_GT,
    ACTIONS(1471), 1,
      anon_sym_QMARK,
    ACTIONS(1445), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1447), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1463), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1467), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1449), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1465), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1443), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(927), 9,
      sym_verbatim_string,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_TILDE,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(929), 14,
      anon_sym_else,
      anon_sym_resume,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_typeof,
      anon_sym_delete,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
  [1951] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(867), 1,
      anon_sym_LPAREN,
    ACTIONS(875), 1,
      anon_sym_DOT,
    ACTIONS(877), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_in,
    ACTIONS(1441), 1,
      anon_sym_EQ,
    ACTIONS(1451), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1455), 1,
      anon_sym_PIPE,
    ACTIONS(1457), 1,
      anon_sym_CARET,
    ACTIONS(1459), 1,
      anon_sym_AMP,
    ACTIONS(1469), 1,
      anon_sym_GT_GT,
    ACTIONS(1471), 1,
      anon_sym_QMARK,
    ACTIONS(1445), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1447), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1463), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1467), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1449), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1465), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1443), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(931), 9,
      sym_verbatim_string,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_TILDE,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(933), 14,
      anon_sym_else,
      anon_sym_resume,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_typeof,
      anon_sym_delete,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
  [2057] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(867), 1,
      anon_sym_LPAREN,
    ACTIONS(875), 1,
      anon_sym_DOT,
    ACTIONS(877), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_in,
    ACTIONS(1441), 1,
      anon_sym_EQ,
    ACTIONS(1451), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1455), 1,
      anon_sym_PIPE,
    ACTIONS(1457), 1,
      anon_sym_CARET,
    ACTIONS(1459), 1,
      anon_sym_AMP,
    ACTIONS(1469), 1,
      anon_sym_GT_GT,
    ACTIONS(1471), 1,
      anon_sym_QMARK,
    ACTIONS(1445), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1447), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1463), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1467), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1449), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1465), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1443), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(1165), 9,
      sym_verbatim_string,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_TILDE,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1167), 14,
      anon_sym_else,
      anon_sym_resume,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_typeof,
      anon_sym_delete,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
  [2163] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(867), 1,
      anon_sym_LPAREN,
    ACTIONS(875), 1,
      anon_sym_DOT,
    ACTIONS(877), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_in,
    ACTIONS(1441), 1,
      anon_sym_EQ,
    ACTIONS(1451), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1455), 1,
      anon_sym_PIPE,
    ACTIONS(1457), 1,
      anon_sym_CARET,
    ACTIONS(1459), 1,
      anon_sym_AMP,
    ACTIONS(1469), 1,
      anon_sym_GT_GT,
    ACTIONS(1471), 1,
      anon_sym_QMARK,
    ACTIONS(1445), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1447), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1463), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1467), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1449), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1465), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1443), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(907), 9,
      sym_verbatim_string,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_TILDE,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(909), 14,
      anon_sym_else,
      anon_sym_resume,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_typeof,
      anon_sym_delete,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
  [2269] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(867), 1,
      anon_sym_LPAREN,
    ACTIONS(875), 1,
      anon_sym_DOT,
    ACTIONS(877), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_in,
    ACTIONS(1441), 1,
      anon_sym_EQ,
    ACTIONS(1451), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1455), 1,
      anon_sym_PIPE,
    ACTIONS(1457), 1,
      anon_sym_CARET,
    ACTIONS(1459), 1,
      anon_sym_AMP,
    ACTIONS(1469), 1,
      anon_sym_GT_GT,
    ACTIONS(1471), 1,
      anon_sym_QMARK,
    ACTIONS(1445), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1447), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1463), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1467), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1449), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1465), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1443), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(1305), 9,
      sym_verbatim_string,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_TILDE,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1307), 14,
      anon_sym_else,
      anon_sym_resume,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_typeof,
      anon_sym_delete,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
  [2375] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(867), 1,
      anon_sym_LPAREN,
    ACTIONS(875), 1,
      anon_sym_DOT,
    ACTIONS(877), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_in,
    ACTIONS(1451), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1455), 1,
      anon_sym_PIPE,
    ACTIONS(1457), 1,
      anon_sym_CARET,
    ACTIONS(1459), 1,
      anon_sym_AMP,
    ACTIONS(1469), 1,
      anon_sym_GT_GT,
    ACTIONS(1471), 1,
      anon_sym_QMARK,
    ACTIONS(1445), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1447), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1463), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1467), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1449), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1465), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1189), 15,
      sym_verbatim_string,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_COLON_COLON,
      anon_sym_TILDE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1191), 15,
      anon_sym_else,
      anon_sym_resume,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_typeof,
      anon_sym_delete,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
  [2477] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(867), 1,
      anon_sym_LPAREN,
    ACTIONS(875), 1,
      anon_sym_DOT,
    ACTIONS(877), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_in,
    ACTIONS(1441), 1,
      anon_sym_EQ,
    ACTIONS(1451), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1455), 1,
      anon_sym_PIPE,
    ACTIONS(1457), 1,
      anon_sym_CARET,
    ACTIONS(1459), 1,
      anon_sym_AMP,
    ACTIONS(1469), 1,
      anon_sym_GT_GT,
    ACTIONS(1471), 1,
      anon_sym_QMARK,
    ACTIONS(1445), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1447), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1463), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1467), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1449), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1465), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1443), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(1379), 9,
      sym_verbatim_string,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_TILDE,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1381), 14,
      anon_sym_else,
      anon_sym_resume,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_typeof,
      anon_sym_delete,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
  [2583] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(867), 1,
      anon_sym_LPAREN,
    ACTIONS(875), 1,
      anon_sym_DOT,
    ACTIONS(877), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_in,
    ACTIONS(1441), 1,
      anon_sym_EQ,
    ACTIONS(1451), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1455), 1,
      anon_sym_PIPE,
    ACTIONS(1457), 1,
      anon_sym_CARET,
    ACTIONS(1459), 1,
      anon_sym_AMP,
    ACTIONS(1469), 1,
      anon_sym_GT_GT,
    ACTIONS(1471), 1,
      anon_sym_QMARK,
    ACTIONS(1445), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1447), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1463), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1467), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1449), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1465), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1443), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(1365), 9,
      sym_verbatim_string,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_TILDE,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1367), 14,
      anon_sym_else,
      anon_sym_resume,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_typeof,
      anon_sym_delete,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
  [2689] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(867), 1,
      anon_sym_LPAREN,
    ACTIONS(875), 1,
      anon_sym_DOT,
    ACTIONS(877), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_in,
    ACTIONS(1441), 1,
      anon_sym_EQ,
    ACTIONS(1451), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1455), 1,
      anon_sym_PIPE,
    ACTIONS(1457), 1,
      anon_sym_CARET,
    ACTIONS(1459), 1,
      anon_sym_AMP,
    ACTIONS(1469), 1,
      anon_sym_GT_GT,
    ACTIONS(1471), 1,
      anon_sym_QMARK,
    ACTIONS(1445), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1447), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1463), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1467), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1449), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1465), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1443), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(1479), 9,
      sym_verbatim_string,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_TILDE,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1477), 13,
      anon_sym_resume,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_typeof,
      anon_sym_delete,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
  [2794] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(867), 1,
      anon_sym_LPAREN,
    ACTIONS(875), 1,
      anon_sym_DOT,
    ACTIONS(877), 1,
      anon_sym_LBRACK,
    ACTIONS(1439), 1,
      anon_sym_in,
    ACTIONS(1441), 1,
      anon_sym_EQ,
    ACTIONS(1451), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1455), 1,
      anon_sym_PIPE,
    ACTIONS(1457), 1,
      anon_sym_CARET,
    ACTIONS(1459), 1,
      anon_sym_AMP,
    ACTIONS(1469), 1,
      anon_sym_GT_GT,
    ACTIONS(1471), 1,
      anon_sym_QMARK,
    ACTIONS(1445), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1447), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1463), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1467), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1449), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1465), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1443), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(1483), 9,
      sym_verbatim_string,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_TILDE,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1481), 13,
      anon_sym_resume,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_typeof,
      anon_sym_delete,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
  [2899] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1485), 1,
      sym_identifier,
    ACTIONS(1487), 1,
      anon_sym_RBRACE,
    ACTIONS(1489), 1,
      anon_sym_COMMA,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1493), 1,
      anon_sym_function,
    ACTIONS(1495), 1,
      anon_sym_LBRACK,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    STATE(1354), 1,
      sym_expression,
    STATE(1468), 1,
      sym_function_declaration,
    ACTIONS(79), 2,
      sym_integer,
      sym_null,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    STATE(399), 2,
      sym_table_slot,
      aux_sym_table_slots_repeat1,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [3004] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1505), 1,
      sym_identifier,
    ACTIONS(1508), 1,
      anon_sym_RBRACE,
    ACTIONS(1510), 1,
      anon_sym_LPAREN,
    ACTIONS(1513), 1,
      anon_sym_COMMA,
    ACTIONS(1516), 1,
      anon_sym_resume,
    ACTIONS(1519), 1,
      anon_sym_function,
    ACTIONS(1522), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1525), 1,
      anon_sym_LBRACK,
    ACTIONS(1534), 1,
      anon_sym_delete,
    ACTIONS(1537), 1,
      anon_sym_rawcall,
    ACTIONS(1540), 1,
      anon_sym_AT,
    ACTIONS(1543), 1,
      anon_sym_clone,
    ACTIONS(1552), 1,
      anon_sym_DQUOTE,
    ACTIONS(1555), 1,
      anon_sym_SQUOTE,
    ACTIONS(1558), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    STATE(1354), 1,
      sym_expression,
    STATE(1468), 1,
      sym_function_declaration,
    ACTIONS(1528), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(1546), 2,
      sym_integer,
      sym_null,
    ACTIONS(1549), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(1561), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(398), 2,
      sym_table_slot,
      aux_sym_table_slots_repeat1,
    ACTIONS(1531), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [3109] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1485), 1,
      sym_identifier,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1493), 1,
      anon_sym_function,
    ACTIONS(1495), 1,
      anon_sym_LBRACK,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1564), 1,
      anon_sym_RBRACE,
    ACTIONS(1566), 1,
      anon_sym_COMMA,
    STATE(1354), 1,
      sym_expression,
    STATE(1468), 1,
      sym_function_declaration,
    ACTIONS(79), 2,
      sym_integer,
      sym_null,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    STATE(398), 2,
      sym_table_slot,
      aux_sym_table_slots_repeat1,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [3214] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1568), 1,
      anon_sym_LBRACE,
    ACTIONS(1570), 1,
      anon_sym_RPAREN,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1325), 1,
      sym_expression,
    STATE(1631), 1,
      sym_table,
    STATE(1794), 1,
      sym_call_args,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [3316] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1568), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1574), 1,
      anon_sym_RPAREN,
    STATE(1325), 1,
      sym_expression,
    STATE(1631), 1,
      sym_table,
    STATE(1934), 1,
      sym_call_args,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [3418] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1568), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1576), 1,
      anon_sym_RPAREN,
    STATE(1325), 1,
      sym_expression,
    STATE(1631), 1,
      sym_table,
    STATE(1942), 1,
      sym_call_args,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [3520] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1568), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1578), 1,
      anon_sym_RPAREN,
    STATE(1325), 1,
      sym_expression,
    STATE(1631), 1,
      sym_table,
    STATE(1947), 1,
      sym_call_args,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [3622] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1485), 1,
      sym_identifier,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1493), 1,
      anon_sym_function,
    ACTIONS(1495), 1,
      anon_sym_LBRACK,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1580), 1,
      anon_sym_RBRACE,
    STATE(397), 1,
      sym_table_slot,
    STATE(1354), 1,
      sym_expression,
    STATE(1468), 1,
      sym_function_declaration,
    STATE(1959), 1,
      sym_table_slots,
    ACTIONS(79), 2,
      sym_integer,
      sym_null,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [3726] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1485), 1,
      sym_identifier,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1493), 1,
      anon_sym_function,
    ACTIONS(1495), 1,
      anon_sym_LBRACK,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1582), 1,
      anon_sym_RBRACE,
    STATE(397), 1,
      sym_table_slot,
    STATE(1354), 1,
      sym_expression,
    STATE(1468), 1,
      sym_function_declaration,
    STATE(1811), 1,
      sym_table_slots,
    ACTIONS(79), 2,
      sym_integer,
      sym_null,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [3830] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1485), 1,
      sym_identifier,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1493), 1,
      anon_sym_function,
    ACTIONS(1495), 1,
      anon_sym_LBRACK,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1584), 1,
      anon_sym_RBRACE,
    STATE(397), 1,
      sym_table_slot,
    STATE(1354), 1,
      sym_expression,
    STATE(1468), 1,
      sym_function_declaration,
    STATE(1851), 1,
      sym_table_slots,
    ACTIONS(79), 2,
      sym_integer,
      sym_null,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [3934] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1485), 1,
      sym_identifier,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1493), 1,
      anon_sym_function,
    ACTIONS(1495), 1,
      anon_sym_LBRACK,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1586), 1,
      anon_sym_RBRACE,
    STATE(397), 1,
      sym_table_slot,
    STATE(1354), 1,
      sym_expression,
    STATE(1468), 1,
      sym_function_declaration,
    STATE(1753), 1,
      sym_table_slots,
    ACTIONS(79), 2,
      sym_integer,
      sym_null,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [4038] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1568), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1588), 1,
      anon_sym_RPAREN,
    STATE(1325), 1,
      sym_expression,
    STATE(1631), 1,
      sym_table,
    STATE(1801), 1,
      sym_call_args,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [4140] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1485), 1,
      sym_identifier,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1493), 1,
      anon_sym_function,
    ACTIONS(1495), 1,
      anon_sym_LBRACK,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1590), 1,
      anon_sym_RBRACE,
    STATE(397), 1,
      sym_table_slot,
    STATE(1354), 1,
      sym_expression,
    STATE(1468), 1,
      sym_function_declaration,
    STATE(1831), 1,
      sym_table_slots,
    ACTIONS(79), 2,
      sym_integer,
      sym_null,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [4244] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1568), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1592), 1,
      anon_sym_RPAREN,
    STATE(1325), 1,
      sym_expression,
    STATE(1631), 1,
      sym_table,
    STATE(1784), 1,
      sym_call_args,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [4346] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1568), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1594), 1,
      anon_sym_RPAREN,
    STATE(1325), 1,
      sym_expression,
    STATE(1631), 1,
      sym_table,
    STATE(1841), 1,
      sym_call_args,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [4448] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1485), 1,
      sym_identifier,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1493), 1,
      anon_sym_function,
    ACTIONS(1495), 1,
      anon_sym_LBRACK,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1596), 1,
      anon_sym_RBRACE,
    STATE(397), 1,
      sym_table_slot,
    STATE(1354), 1,
      sym_expression,
    STATE(1468), 1,
      sym_function_declaration,
    STATE(1859), 1,
      sym_table_slots,
    ACTIONS(79), 2,
      sym_integer,
      sym_null,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [4552] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1568), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1598), 1,
      anon_sym_RPAREN,
    STATE(1325), 1,
      sym_expression,
    STATE(1631), 1,
      sym_table,
    STATE(1925), 1,
      sym_call_args,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [4654] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1485), 1,
      sym_identifier,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1493), 1,
      anon_sym_function,
    ACTIONS(1495), 1,
      anon_sym_LBRACK,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1600), 1,
      anon_sym_RBRACE,
    STATE(397), 1,
      sym_table_slot,
    STATE(1354), 1,
      sym_expression,
    STATE(1468), 1,
      sym_function_declaration,
    STATE(1752), 1,
      sym_table_slots,
    ACTIONS(79), 2,
      sym_integer,
      sym_null,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [4758] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1568), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1274), 1,
      sym_array,
    STATE(1465), 1,
      sym_expression,
    STATE(1599), 1,
      sym_table,
    STATE(1614), 1,
      sym_const_value,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(1604), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(1602), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1273), 5,
      sym_call_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
    STATE(822), 6,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
    STATE(843), 8,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
  [4861] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1568), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1274), 1,
      sym_array,
    STATE(1465), 1,
      sym_expression,
    STATE(1599), 1,
      sym_table,
    STATE(1673), 1,
      sym_const_value,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(1604), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(1602), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1273), 5,
      sym_call_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
    STATE(822), 6,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
    STATE(843), 8,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
  [4964] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1485), 1,
      sym_identifier,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1493), 1,
      anon_sym_function,
    ACTIONS(1495), 1,
      anon_sym_LBRACK,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1564), 1,
      anon_sym_RBRACE,
    STATE(1354), 1,
      sym_expression,
    STATE(1468), 1,
      sym_function_declaration,
    STATE(1470), 1,
      sym_table_slot,
    ACTIONS(79), 2,
      sym_integer,
      sym_null,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [5065] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1568), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1274), 1,
      sym_array,
    STATE(1465), 1,
      sym_expression,
    STATE(1599), 1,
      sym_table,
    STATE(1666), 1,
      sym_const_value,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(1604), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(1602), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1273), 5,
      sym_call_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
    STATE(822), 6,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
    STATE(843), 8,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
  [5168] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(163), 1,
      anon_sym_local,
    ACTIONS(375), 1,
      anon_sym_function,
    ACTIONS(1606), 1,
      anon_sym_SEMI,
    STATE(1377), 1,
      sym_expression,
    STATE(1985), 1,
      sym_local_declaration,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [5267] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(331), 1,
      anon_sym_rawcall,
    ACTIONS(339), 1,
      anon_sym_SQUOTE,
    ACTIONS(663), 1,
      anon_sym_COLON_COLON,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(671), 1,
      anon_sym_DQUOTE,
    ACTIONS(673), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1610), 1,
      anon_sym_LBRACE,
    STATE(1343), 1,
      sym_array,
    STATE(1466), 1,
      sym_expression,
    STATE(1686), 1,
      sym_table,
    STATE(1704), 1,
      sym_const_value,
    ACTIONS(343), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(1612), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(1608), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1344), 5,
      sym_call_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
    STATE(822), 6,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
    STATE(843), 8,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
  [5370] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1568), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1274), 1,
      sym_array,
    STATE(1465), 1,
      sym_expression,
    STATE(1599), 1,
      sym_table,
    STATE(1661), 1,
      sym_const_value,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(1604), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(1602), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1273), 5,
      sym_call_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
    STATE(822), 6,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
    STATE(843), 8,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
  [5473] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1568), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1274), 1,
      sym_array,
    STATE(1465), 1,
      sym_expression,
    STATE(1599), 1,
      sym_table,
    STATE(1709), 1,
      sym_const_value,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(1604), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(1602), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1273), 5,
      sym_call_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
    STATE(822), 6,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
    STATE(843), 8,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
  [5576] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(331), 1,
      anon_sym_rawcall,
    ACTIONS(339), 1,
      anon_sym_SQUOTE,
    ACTIONS(663), 1,
      anon_sym_COLON_COLON,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(671), 1,
      anon_sym_DQUOTE,
    ACTIONS(673), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1610), 1,
      anon_sym_LBRACE,
    STATE(1343), 1,
      sym_array,
    STATE(1466), 1,
      sym_expression,
    STATE(1686), 1,
      sym_table,
    STATE(1690), 1,
      sym_const_value,
    ACTIONS(343), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(1612), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(1608), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1344), 5,
      sym_call_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
    STATE(822), 6,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
    STATE(843), 8,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
  [5679] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(163), 1,
      anon_sym_local,
    ACTIONS(375), 1,
      anon_sym_function,
    ACTIONS(1614), 1,
      anon_sym_SEMI,
    STATE(1364), 1,
      sym_expression,
    STATE(1879), 1,
      sym_local_declaration,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [5778] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(163), 1,
      anon_sym_local,
    ACTIONS(375), 1,
      anon_sym_function,
    ACTIONS(1616), 1,
      anon_sym_SEMI,
    STATE(1366), 1,
      sym_expression,
    STATE(1896), 1,
      sym_local_declaration,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [5877] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(163), 1,
      anon_sym_local,
    ACTIONS(375), 1,
      anon_sym_function,
    ACTIONS(1618), 1,
      anon_sym_SEMI,
    STATE(1374), 1,
      sym_expression,
    STATE(1907), 1,
      sym_local_declaration,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [5976] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1568), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1274), 1,
      sym_array,
    STATE(1465), 1,
      sym_expression,
    STATE(1599), 1,
      sym_table,
    STATE(1650), 1,
      sym_const_value,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(1604), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(1602), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1273), 5,
      sym_call_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
    STATE(822), 6,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
    STATE(843), 8,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
  [6079] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(163), 1,
      anon_sym_local,
    ACTIONS(375), 1,
      anon_sym_function,
    ACTIONS(1620), 1,
      anon_sym_SEMI,
    STATE(1353), 1,
      sym_expression,
    STATE(1848), 1,
      sym_local_declaration,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [6178] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(163), 1,
      anon_sym_local,
    ACTIONS(375), 1,
      anon_sym_function,
    ACTIONS(1622), 1,
      anon_sym_SEMI,
    STATE(1375), 1,
      sym_expression,
    STATE(1914), 1,
      sym_local_declaration,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [6277] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(331), 1,
      anon_sym_rawcall,
    ACTIONS(339), 1,
      anon_sym_SQUOTE,
    ACTIONS(663), 1,
      anon_sym_COLON_COLON,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(671), 1,
      anon_sym_DQUOTE,
    ACTIONS(673), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1610), 1,
      anon_sym_LBRACE,
    STATE(1343), 1,
      sym_array,
    STATE(1466), 1,
      sym_expression,
    STATE(1686), 1,
      sym_table,
    STATE(1718), 1,
      sym_const_value,
    ACTIONS(343), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(1612), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(1608), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1344), 5,
      sym_call_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
    STATE(822), 6,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
    STATE(843), 8,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
  [6380] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(163), 1,
      anon_sym_local,
    ACTIONS(375), 1,
      anon_sym_function,
    ACTIONS(1624), 1,
      anon_sym_SEMI,
    STATE(1380), 1,
      sym_expression,
    STATE(1930), 1,
      sym_local_declaration,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [6479] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1485), 1,
      sym_identifier,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1493), 1,
      anon_sym_function,
    ACTIONS(1495), 1,
      anon_sym_LBRACK,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1626), 1,
      anon_sym_RBRACE,
    STATE(1354), 1,
      sym_expression,
    STATE(1468), 1,
      sym_function_declaration,
    STATE(1470), 1,
      sym_table_slot,
    ACTIONS(79), 2,
      sym_integer,
      sym_null,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [6580] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(163), 1,
      anon_sym_local,
    ACTIONS(375), 1,
      anon_sym_function,
    ACTIONS(1628), 1,
      anon_sym_SEMI,
    STATE(1430), 1,
      sym_expression,
    STATE(1869), 1,
      sym_local_declaration,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [6679] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(331), 1,
      anon_sym_rawcall,
    ACTIONS(339), 1,
      anon_sym_SQUOTE,
    ACTIONS(663), 1,
      anon_sym_COLON_COLON,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(671), 1,
      anon_sym_DQUOTE,
    ACTIONS(673), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1610), 1,
      anon_sym_LBRACE,
    STATE(1343), 1,
      sym_array,
    STATE(1466), 1,
      sym_expression,
    STATE(1686), 1,
      sym_table,
    STATE(1688), 1,
      sym_const_value,
    ACTIONS(343), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(1612), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(1608), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1344), 5,
      sym_call_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
    STATE(822), 6,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
    STATE(843), 8,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
  [6782] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1568), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1274), 1,
      sym_array,
    STATE(1465), 1,
      sym_expression,
    STATE(1599), 1,
      sym_table,
    STATE(1731), 1,
      sym_const_value,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(1604), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(1602), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1273), 5,
      sym_call_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
    STATE(822), 6,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
    STATE(843), 8,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
  [6885] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1568), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1274), 1,
      sym_array,
    STATE(1465), 1,
      sym_expression,
    STATE(1599), 1,
      sym_table,
    STATE(1664), 1,
      sym_const_value,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(1604), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(1602), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1273), 5,
      sym_call_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
    STATE(822), 6,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
    STATE(843), 8,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
  [6988] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1568), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1274), 1,
      sym_array,
    STATE(1465), 1,
      sym_expression,
    STATE(1599), 1,
      sym_table,
    STATE(1645), 1,
      sym_const_value,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(1604), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(1602), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1273), 5,
      sym_call_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
    STATE(822), 6,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
    STATE(843), 8,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
  [7091] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1568), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1274), 1,
      sym_array,
    STATE(1465), 1,
      sym_expression,
    STATE(1599), 1,
      sym_table,
    STATE(1632), 1,
      sym_const_value,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(1604), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(1602), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1273), 5,
      sym_call_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
    STATE(822), 6,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
    STATE(843), 8,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
  [7194] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1568), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1274), 1,
      sym_array,
    STATE(1465), 1,
      sym_expression,
    STATE(1599), 1,
      sym_table,
    STATE(1611), 1,
      sym_const_value,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(1604), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(1602), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1273), 5,
      sym_call_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
    STATE(822), 6,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
    STATE(843), 8,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
  [7297] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1568), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1274), 1,
      sym_array,
    STATE(1465), 1,
      sym_expression,
    STATE(1599), 1,
      sym_table,
    STATE(1658), 1,
      sym_const_value,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(1604), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(1602), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1273), 5,
      sym_call_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
    STATE(822), 6,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
    STATE(843), 8,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
  [7400] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(1001), 1,
      sym_expression,
    STATE(1002), 1,
      sym_table,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [7496] = 22,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_resume,
    ACTIONS(311), 1,
      anon_sym_COLON_COLON,
    ACTIONS(315), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_delete,
    ACTIONS(331), 1,
      anon_sym_rawcall,
    ACTIONS(333), 1,
      anon_sym_AT,
    ACTIONS(335), 1,
      anon_sym_clone,
    ACTIONS(337), 1,
      anon_sym_DQUOTE,
    ACTIONS(339), 1,
      anon_sym_SQUOTE,
    ACTIONS(341), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(347), 1,
      sym_verbatim_string,
    ACTIONS(853), 1,
      anon_sym_function,
    ACTIONS(1630), 1,
      anon_sym_SEMI,
    ACTIONS(1632), 1,
      anon_sym_LF,
    STATE(1341), 1,
      sym_expression,
    ACTIONS(343), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(277), 4,
      sym_identifier,
      sym_integer,
      sym_float,
      sym_null,
    ACTIONS(325), 6,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_typeof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1302), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(1296), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [7590] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(305), 1,
      anon_sym_resume,
    ACTIONS(327), 1,
      anon_sym_delete,
    ACTIONS(331), 1,
      anon_sym_rawcall,
    ACTIONS(335), 1,
      anon_sym_clone,
    ACTIONS(339), 1,
      anon_sym_SQUOTE,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(663), 1,
      anon_sym_COLON_COLON,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_AT,
    ACTIONS(671), 1,
      anon_sym_DQUOTE,
    ACTIONS(673), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_function,
    ACTIONS(1610), 1,
      anon_sym_LBRACE,
    STATE(1205), 1,
      sym_expression,
    STATE(1306), 1,
      sym_table,
    ACTIONS(325), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(343), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(347), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(277), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(667), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1302), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(1296), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [7686] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1634), 1,
      anon_sym_LBRACE,
    ACTIONS(1636), 1,
      anon_sym_resume,
    ACTIONS(1638), 1,
      anon_sym_function,
    ACTIONS(1644), 1,
      anon_sym_AT,
    ACTIONS(1646), 1,
      anon_sym_clone,
    STATE(396), 1,
      sym_expression,
    STATE(1469), 1,
      sym_table,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1640), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1642), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [7782] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_function,
    STATE(748), 1,
      sym_expression,
    STATE(749), 1,
      sym_table,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [7878] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_function,
    STATE(789), 1,
      sym_expression,
    STATE(918), 1,
      sym_table,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [7974] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_function,
    STATE(778), 1,
      sym_table,
    STATE(779), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [8070] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(1000), 1,
      sym_expression,
    STATE(1004), 1,
      sym_table,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [8166] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(1140), 1,
      sym_expression,
    STATE(1512), 1,
      sym_table,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [8262] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_resume,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(65), 1,
      anon_sym_AT,
    ACTIONS(67), 1,
      anon_sym_clone,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(353), 1,
      anon_sym_LBRACE,
    ACTIONS(357), 1,
      anon_sym_function,
    STATE(329), 1,
      sym_table,
    STATE(330), 1,
      sym_expression,
    ACTIONS(55), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(57), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [8358] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_function,
    STATE(847), 1,
      sym_expression,
    STATE(854), 1,
      sym_table,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [8454] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(1020), 1,
      sym_expression,
    STATE(1021), 1,
      sym_table,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [8550] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(1119), 1,
      sym_table,
    STATE(1121), 1,
      sym_expression,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [8646] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1568), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(918), 1,
      sym_table,
    STATE(944), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [8742] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1568), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(919), 1,
      sym_table,
    STATE(945), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [8838] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(953), 1,
      sym_expression,
    STATE(1070), 1,
      sym_table,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [8934] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1634), 1,
      anon_sym_LBRACE,
    ACTIONS(1636), 1,
      anon_sym_resume,
    ACTIONS(1638), 1,
      anon_sym_function,
    ACTIONS(1644), 1,
      anon_sym_AT,
    ACTIONS(1646), 1,
      anon_sym_clone,
    STATE(395), 1,
      sym_expression,
    STATE(1467), 1,
      sym_table,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1640), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1642), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [9030] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1485), 1,
      sym_identifier,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1493), 1,
      anon_sym_function,
    ACTIONS(1495), 1,
      anon_sym_LBRACK,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    STATE(1354), 1,
      sym_expression,
    STATE(1468), 1,
      sym_function_declaration,
    STATE(1470), 1,
      sym_table_slot,
    ACTIONS(79), 2,
      sym_integer,
      sym_null,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [9128] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(305), 1,
      anon_sym_resume,
    ACTIONS(327), 1,
      anon_sym_delete,
    ACTIONS(331), 1,
      anon_sym_rawcall,
    ACTIONS(335), 1,
      anon_sym_clone,
    ACTIONS(339), 1,
      anon_sym_SQUOTE,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(663), 1,
      anon_sym_COLON_COLON,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_AT,
    ACTIONS(671), 1,
      anon_sym_DQUOTE,
    ACTIONS(673), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_function,
    ACTIONS(1610), 1,
      anon_sym_LBRACE,
    STATE(1289), 1,
      sym_table,
    STATE(1294), 1,
      sym_expression,
    ACTIONS(325), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(343), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(347), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(277), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(667), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1302), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(1296), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [9224] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1568), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1396), 1,
      sym_expression,
    STATE(2030), 1,
      sym_table,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [9320] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1568), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1394), 1,
      sym_expression,
    STATE(2022), 1,
      sym_table,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [9416] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1634), 1,
      anon_sym_LBRACE,
    ACTIONS(1636), 1,
      anon_sym_resume,
    ACTIONS(1638), 1,
      anon_sym_function,
    ACTIONS(1644), 1,
      anon_sym_AT,
    ACTIONS(1646), 1,
      anon_sym_clone,
    STATE(294), 1,
      sym_table,
    STATE(392), 1,
      sym_expression,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1640), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1642), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [9512] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1648), 1,
      anon_sym_LBRACE,
    ACTIONS(1650), 1,
      anon_sym_resume,
    ACTIONS(1652), 1,
      anon_sym_function,
    ACTIONS(1658), 1,
      anon_sym_AT,
    ACTIONS(1660), 1,
      anon_sym_clone,
    STATE(1004), 1,
      sym_table,
    STATE(1135), 1,
      sym_expression,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1654), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1656), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [9608] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1568), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1340), 1,
      sym_expression,
    STATE(1697), 1,
      sym_table,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [9704] = 22,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_resume,
    ACTIONS(311), 1,
      anon_sym_COLON_COLON,
    ACTIONS(315), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_delete,
    ACTIONS(331), 1,
      anon_sym_rawcall,
    ACTIONS(333), 1,
      anon_sym_AT,
    ACTIONS(335), 1,
      anon_sym_clone,
    ACTIONS(337), 1,
      anon_sym_DQUOTE,
    ACTIONS(339), 1,
      anon_sym_SQUOTE,
    ACTIONS(341), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(347), 1,
      sym_verbatim_string,
    ACTIONS(853), 1,
      anon_sym_function,
    ACTIONS(1662), 1,
      anon_sym_SEMI,
    ACTIONS(1664), 1,
      anon_sym_LF,
    STATE(1342), 1,
      sym_expression,
    ACTIONS(343), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(277), 4,
      sym_identifier,
      sym_integer,
      sym_float,
      sym_null,
    ACTIONS(325), 6,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_typeof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1302), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(1296), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [9798] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1568), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1381), 1,
      sym_expression,
    STATE(1939), 1,
      sym_table,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [9894] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_function,
    STATE(787), 1,
      sym_expression,
    STATE(919), 1,
      sym_table,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [9990] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(305), 1,
      anon_sym_resume,
    ACTIONS(327), 1,
      anon_sym_delete,
    ACTIONS(331), 1,
      anon_sym_rawcall,
    ACTIONS(335), 1,
      anon_sym_clone,
    ACTIONS(339), 1,
      anon_sym_SQUOTE,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(663), 1,
      anon_sym_COLON_COLON,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_AT,
    ACTIONS(671), 1,
      anon_sym_DQUOTE,
    ACTIONS(673), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_function,
    ACTIONS(1610), 1,
      anon_sym_LBRACE,
    STATE(1206), 1,
      sym_expression,
    STATE(1307), 1,
      sym_table,
    ACTIONS(325), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(343), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(347), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(277), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(667), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1302), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(1296), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [10086] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(305), 1,
      anon_sym_resume,
    ACTIONS(327), 1,
      anon_sym_delete,
    ACTIONS(331), 1,
      anon_sym_rawcall,
    ACTIONS(335), 1,
      anon_sym_clone,
    ACTIONS(339), 1,
      anon_sym_SQUOTE,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(663), 1,
      anon_sym_COLON_COLON,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_AT,
    ACTIONS(671), 1,
      anon_sym_DQUOTE,
    ACTIONS(673), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_function,
    ACTIONS(1610), 1,
      anon_sym_LBRACE,
    STATE(1210), 1,
      sym_table,
    STATE(1211), 1,
      sym_expression,
    ACTIONS(325), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(343), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(347), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(277), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(667), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1302), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(1296), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [10182] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_function,
    STATE(900), 1,
      sym_table,
    STATE(901), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [10278] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1568), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1361), 1,
      sym_expression,
    STATE(1953), 1,
      sym_table,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [10374] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1666), 1,
      anon_sym_COMMA,
    ACTIONS(1668), 1,
      anon_sym_RBRACK,
    STATE(1326), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [10470] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1670), 1,
      anon_sym_COMMA,
    ACTIONS(1672), 1,
      anon_sym_RBRACK,
    STATE(1332), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [10566] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_resume,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(65), 1,
      anon_sym_AT,
    ACTIONS(67), 1,
      anon_sym_clone,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(353), 1,
      anon_sym_LBRACE,
    ACTIONS(357), 1,
      anon_sym_function,
    STATE(209), 1,
      sym_table,
    STATE(290), 1,
      sym_expression,
    ACTIONS(55), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(57), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [10662] = 22,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_resume,
    ACTIONS(311), 1,
      anon_sym_COLON_COLON,
    ACTIONS(315), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_delete,
    ACTIONS(331), 1,
      anon_sym_rawcall,
    ACTIONS(333), 1,
      anon_sym_AT,
    ACTIONS(335), 1,
      anon_sym_clone,
    ACTIONS(337), 1,
      anon_sym_DQUOTE,
    ACTIONS(339), 1,
      anon_sym_SQUOTE,
    ACTIONS(341), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(347), 1,
      sym_verbatim_string,
    ACTIONS(853), 1,
      anon_sym_function,
    ACTIONS(1674), 1,
      anon_sym_SEMI,
    ACTIONS(1676), 1,
      anon_sym_LF,
    STATE(1337), 1,
      sym_expression,
    ACTIONS(343), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(277), 4,
      sym_identifier,
      sym_integer,
      sym_float,
      sym_null,
    ACTIONS(325), 6,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_typeof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1302), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(1296), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [10756] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(305), 1,
      anon_sym_resume,
    ACTIONS(327), 1,
      anon_sym_delete,
    ACTIONS(331), 1,
      anon_sym_rawcall,
    ACTIONS(335), 1,
      anon_sym_clone,
    ACTIONS(339), 1,
      anon_sym_SQUOTE,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(663), 1,
      anon_sym_COLON_COLON,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_AT,
    ACTIONS(671), 1,
      anon_sym_DQUOTE,
    ACTIONS(673), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_function,
    ACTIONS(1610), 1,
      anon_sym_LBRACE,
    STATE(1225), 1,
      sym_expression,
    STATE(1234), 1,
      sym_table,
    ACTIONS(325), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(343), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(347), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(277), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(667), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1302), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(1296), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [10852] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1648), 1,
      anon_sym_LBRACE,
    ACTIONS(1650), 1,
      anon_sym_resume,
    ACTIONS(1652), 1,
      anon_sym_function,
    ACTIONS(1658), 1,
      anon_sym_AT,
    ACTIONS(1660), 1,
      anon_sym_clone,
    STATE(1002), 1,
      sym_table,
    STATE(1144), 1,
      sym_expression,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1654), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1656), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [10948] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_resume,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(65), 1,
      anon_sym_AT,
    ACTIONS(67), 1,
      anon_sym_clone,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(353), 1,
      anon_sym_LBRACE,
    ACTIONS(357), 1,
      anon_sym_function,
    STATE(199), 1,
      sym_table,
    STATE(200), 1,
      sym_expression,
    ACTIONS(55), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(57), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [11044] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1678), 1,
      anon_sym_COMMA,
    ACTIONS(1680), 1,
      anon_sym_RBRACK,
    STATE(1323), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [11140] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1568), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1408), 1,
      sym_expression,
    STATE(1777), 1,
      sym_table,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [11236] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1568), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1404), 1,
      sym_expression,
    STATE(1806), 1,
      sym_table,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [11332] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(1134), 1,
      sym_expression,
    STATE(1514), 1,
      sym_table,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [11428] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1648), 1,
      anon_sym_LBRACE,
    ACTIONS(1650), 1,
      anon_sym_resume,
    ACTIONS(1652), 1,
      anon_sym_function,
    ACTIONS(1658), 1,
      anon_sym_AT,
    ACTIONS(1660), 1,
      anon_sym_clone,
    STATE(1070), 1,
      sym_table,
    STATE(1138), 1,
      sym_expression,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1654), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1656), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [11524] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_resume,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(65), 1,
      anon_sym_AT,
    ACTIONS(67), 1,
      anon_sym_clone,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(353), 1,
      anon_sym_LBRACE,
    ACTIONS(357), 1,
      anon_sym_function,
    STATE(294), 1,
      sym_table,
    STATE(334), 1,
      sym_expression,
    ACTIONS(55), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(57), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [11620] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1568), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1372), 1,
      sym_expression,
    STATE(1948), 1,
      sym_table,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [11716] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1568), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(854), 1,
      sym_table,
    STATE(940), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [11812] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_resume,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(65), 1,
      anon_sym_AT,
    ACTIONS(67), 1,
      anon_sym_clone,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(353), 1,
      anon_sym_LBRACE,
    ACTIONS(357), 1,
      anon_sym_function,
    STATE(201), 1,
      sym_table,
    STATE(202), 1,
      sym_expression,
    ACTIONS(55), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(57), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [11908] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1682), 1,
      anon_sym_COMMA,
    ACTIONS(1684), 1,
      anon_sym_RBRACK,
    STATE(1330), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [12004] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_resume,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(65), 1,
      anon_sym_AT,
    ACTIONS(67), 1,
      anon_sym_clone,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(353), 1,
      anon_sym_LBRACE,
    ACTIONS(357), 1,
      anon_sym_function,
    STATE(379), 1,
      sym_table,
    STATE(382), 1,
      sym_expression,
    ACTIONS(55), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(57), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [12100] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(1141), 1,
      sym_expression,
    STATE(1513), 1,
      sym_table,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [12196] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1682), 1,
      anon_sym_COMMA,
    ACTIONS(1684), 1,
      anon_sym_RBRACK,
    STATE(1327), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [12292] = 22,
    ACTIONS(287), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_resume,
    ACTIONS(311), 1,
      anon_sym_COLON_COLON,
    ACTIONS(315), 1,
      anon_sym_LBRACK,
    ACTIONS(327), 1,
      anon_sym_delete,
    ACTIONS(331), 1,
      anon_sym_rawcall,
    ACTIONS(333), 1,
      anon_sym_AT,
    ACTIONS(335), 1,
      anon_sym_clone,
    ACTIONS(337), 1,
      anon_sym_DQUOTE,
    ACTIONS(339), 1,
      anon_sym_SQUOTE,
    ACTIONS(341), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(347), 1,
      sym_verbatim_string,
    ACTIONS(853), 1,
      anon_sym_function,
    ACTIONS(1686), 1,
      anon_sym_SEMI,
    ACTIONS(1688), 1,
      anon_sym_LF,
    STATE(1347), 1,
      sym_expression,
    ACTIONS(343), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(277), 4,
      sym_identifier,
      sym_integer,
      sym_float,
      sym_null,
    ACTIONS(325), 6,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_typeof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1302), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(1296), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [12386] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(647), 1,
      anon_sym_LBRACE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(1008), 1,
      sym_table,
    STATE(1009), 1,
      sym_expression,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [12482] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1634), 1,
      anon_sym_LBRACE,
    ACTIONS(1636), 1,
      anon_sym_resume,
    ACTIONS(1638), 1,
      anon_sym_function,
    ACTIONS(1644), 1,
      anon_sym_AT,
    ACTIONS(1646), 1,
      anon_sym_clone,
    STATE(201), 1,
      sym_table,
    STATE(388), 1,
      sym_expression,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1640), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1642), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [12578] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1634), 1,
      anon_sym_LBRACE,
    ACTIONS(1636), 1,
      anon_sym_resume,
    ACTIONS(1638), 1,
      anon_sym_function,
    ACTIONS(1644), 1,
      anon_sym_AT,
    ACTIONS(1646), 1,
      anon_sym_clone,
    STATE(199), 1,
      sym_table,
    STATE(387), 1,
      sym_expression,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1640), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1642), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [12674] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1690), 1,
      anon_sym_RPAREN,
    STATE(1464), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [12767] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1692), 1,
      anon_sym_RPAREN,
    STATE(1427), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [12860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(386), 15,
      sym_verbatim_string,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(403), 32,
      anon_sym_if,
      anon_sym_while,
      anon_sym_do,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_for,
      anon_sym_foreach,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_yield,
      anon_sym_resume,
      anon_sym_local,
      anon_sym_function,
      anon_sym_class,
      anon_sym_try,
      anon_sym_throw,
      anon_sym_const,
      anon_sym_enum,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_delete,
      anon_sym_var,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
  [12915] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    ACTIONS(1694), 1,
      anon_sym_SEMI,
    STATE(1415), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [13008] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    ACTIONS(1696), 1,
      anon_sym_SEMI,
    STATE(1411), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [13101] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1698), 1,
      anon_sym_RPAREN,
    STATE(1352), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [13194] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1700), 1,
      anon_sym_RPAREN,
    STATE(1431), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [13287] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    ACTIONS(1702), 1,
      anon_sym_SEMI,
    STATE(1414), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [13380] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1704), 1,
      anon_sym_RPAREN,
    STATE(1428), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [13473] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    ACTIONS(1706), 1,
      anon_sym_SEMI,
    STATE(1393), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [13566] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    ACTIONS(1708), 1,
      anon_sym_SEMI,
    STATE(1355), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [13659] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1710), 1,
      anon_sym_RBRACK,
    STATE(1345), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [13752] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    ACTIONS(1712), 1,
      anon_sym_SEMI,
    STATE(1357), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [13845] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1714), 1,
      anon_sym_RPAREN,
    STATE(1437), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [13938] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1716), 1,
      anon_sym_RPAREN,
    STATE(1441), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [14031] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1718), 1,
      anon_sym_RPAREN,
    STATE(1442), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [14124] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1720), 1,
      anon_sym_RBRACK,
    STATE(1345), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [14217] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1722), 1,
      anon_sym_RPAREN,
    STATE(1371), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [14310] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1724), 1,
      anon_sym_RPAREN,
    STATE(1453), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [14403] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1726), 1,
      anon_sym_RBRACK,
    STATE(1345), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [14496] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1728), 1,
      anon_sym_RBRACK,
    STATE(1345), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [14589] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    ACTIONS(1730), 1,
      anon_sym_SEMI,
    STATE(1385), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [14682] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    ACTIONS(1732), 1,
      anon_sym_SEMI,
    STATE(1389), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [14775] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1734), 1,
      anon_sym_RPAREN,
    STATE(1360), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [14868] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1736), 1,
      anon_sym_RPAREN,
    STATE(1359), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [14961] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1738), 1,
      anon_sym_RPAREN,
    STATE(1445), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [15054] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1740), 1,
      anon_sym_RPAREN,
    STATE(1438), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [15147] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    ACTIONS(1742), 1,
      anon_sym_SEMI,
    STATE(1390), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [15240] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1744), 1,
      anon_sym_RBRACK,
    STATE(1345), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [15333] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    ACTIONS(1746), 1,
      anon_sym_SEMI,
    STATE(1397), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [15426] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1748), 1,
      anon_sym_RBRACK,
    STATE(1345), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [15519] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1750), 1,
      anon_sym_RPAREN,
    STATE(1457), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [15612] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1752), 1,
      anon_sym_RPAREN,
    STATE(1458), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [15705] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1754), 1,
      anon_sym_RPAREN,
    STATE(1387), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [15798] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1756), 1,
      anon_sym_RPAREN,
    STATE(1386), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [15891] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1758), 1,
      anon_sym_RPAREN,
    STATE(1395), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [15984] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1760), 1,
      anon_sym_RPAREN,
    STATE(1413), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [16077] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1762), 1,
      anon_sym_RPAREN,
    STATE(1440), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [16170] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1764), 1,
      anon_sym_RPAREN,
    STATE(1456), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [16263] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    ACTIONS(1766), 1,
      anon_sym_SEMI,
    STATE(1433), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [16356] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    ACTIONS(1768), 1,
      anon_sym_SEMI,
    STATE(1391), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [16449] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1770), 1,
      anon_sym_RPAREN,
    STATE(1423), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [16542] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1772), 1,
      anon_sym_RPAREN,
    STATE(1416), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [16635] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1774), 1,
      anon_sym_RPAREN,
    STATE(1412), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [16728] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1776), 1,
      anon_sym_RPAREN,
    STATE(1392), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [16821] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    ACTIONS(1778), 1,
      anon_sym_SEMI,
    STATE(1402), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [16914] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1780), 1,
      anon_sym_RPAREN,
    STATE(1379), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [17007] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1782), 1,
      anon_sym_RBRACK,
    STATE(1345), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [17100] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1784), 1,
      anon_sym_RPAREN,
    STATE(1426), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [17193] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    ACTIONS(1786), 1,
      anon_sym_SEMI,
    STATE(1460), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [17286] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1788), 1,
      anon_sym_RBRACK,
    STATE(1345), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [17379] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1790), 1,
      anon_sym_RPAREN,
    STATE(1419), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [17472] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    ACTIONS(1792), 1,
      anon_sym_SEMI,
    STATE(1399), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [17565] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    ACTIONS(1794), 1,
      anon_sym_SEMI,
    STATE(1367), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [17658] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1796), 1,
      anon_sym_RPAREN,
    STATE(1418), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [17751] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1798), 1,
      anon_sym_RPAREN,
    STATE(1461), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [17844] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    ACTIONS(1800), 1,
      anon_sym_RPAREN,
    STATE(1409), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [17937] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    STATE(911), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [18027] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    STATE(793), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [18117] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(970), 1,
      sym_expression,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [18207] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1802), 1,
      anon_sym_SEMI,
    ACTIONS(1804), 1,
      anon_sym_else,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    STATE(906), 1,
      sym_else_statement,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(861), 8,
      anon_sym_RBRACE,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [18305] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(305), 1,
      anon_sym_resume,
    ACTIONS(327), 1,
      anon_sym_delete,
    ACTIONS(331), 1,
      anon_sym_rawcall,
    ACTIONS(335), 1,
      anon_sym_clone,
    ACTIONS(339), 1,
      anon_sym_SQUOTE,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(663), 1,
      anon_sym_COLON_COLON,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_AT,
    ACTIONS(671), 1,
      anon_sym_DQUOTE,
    ACTIONS(673), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_function,
    STATE(1336), 1,
      sym_expression,
    ACTIONS(325), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(343), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(347), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(277), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(667), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1302), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(1296), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [18395] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(955), 1,
      sym_expression,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [18485] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(1129), 1,
      sym_expression,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [18575] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(956), 1,
      sym_expression,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [18665] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1436), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [18755] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(957), 1,
      sym_expression,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [18845] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(958), 1,
      sym_expression,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [18935] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(972), 1,
      sym_expression,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [19025] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(976), 1,
      sym_expression,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [19115] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(977), 1,
      sym_expression,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [19205] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(943), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [19295] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(980), 1,
      sym_expression,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [19385] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(942), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [19475] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(982), 1,
      sym_expression,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [19565] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(983), 1,
      sym_expression,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [19655] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1358), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [19745] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(989), 1,
      sym_expression,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [19835] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(1130), 1,
      sym_expression,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [19925] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_resume,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(65), 1,
      anon_sym_AT,
    ACTIONS(67), 1,
      anon_sym_clone,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(357), 1,
      anon_sym_function,
    STATE(351), 1,
      sym_expression,
    ACTIONS(55), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(57), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [20015] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(1117), 1,
      sym_expression,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [20105] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1382), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [20195] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1373), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [20285] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(1003), 1,
      sym_expression,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [20375] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1650), 1,
      anon_sym_resume,
    ACTIONS(1652), 1,
      anon_sym_function,
    ACTIONS(1658), 1,
      anon_sym_AT,
    ACTIONS(1660), 1,
      anon_sym_clone,
    STATE(1145), 1,
      sym_expression,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1654), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1656), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [20465] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(978), 1,
      sym_expression,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [20555] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(1134), 1,
      sym_expression,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [20645] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1365), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [20735] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1362), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [20825] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1370), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [20915] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1407), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [21005] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_resume,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(65), 1,
      anon_sym_AT,
    ACTIONS(67), 1,
      anon_sym_clone,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(357), 1,
      anon_sym_function,
    STATE(332), 1,
      sym_expression,
    ACTIONS(55), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(57), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [21095] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(954), 1,
      sym_expression,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [21185] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1363), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [21275] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(1132), 1,
      sym_expression,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [21365] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    STATE(866), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [21455] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1450), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [21545] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(952), 1,
      sym_expression,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [21635] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1417), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [21725] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(305), 1,
      anon_sym_resume,
    ACTIONS(327), 1,
      anon_sym_delete,
    ACTIONS(331), 1,
      anon_sym_rawcall,
    ACTIONS(335), 1,
      anon_sym_clone,
    ACTIONS(339), 1,
      anon_sym_SQUOTE,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(663), 1,
      anon_sym_COLON_COLON,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_AT,
    ACTIONS(671), 1,
      anon_sym_DQUOTE,
    ACTIONS(673), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_function,
    STATE(1349), 1,
      sym_expression,
    ACTIONS(325), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(343), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(347), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(277), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(667), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1302), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(1296), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [21815] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1410), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [21905] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1463), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [21995] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    STATE(766), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [22085] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_resume,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(65), 1,
      anon_sym_AT,
    ACTIONS(67), 1,
      anon_sym_clone,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(357), 1,
      anon_sym_function,
    STATE(320), 1,
      sym_expression,
    ACTIONS(55), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(57), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [22175] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1432), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [22265] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1846), 1,
      anon_sym_else,
    STATE(869), 1,
      sym_else_statement,
    ACTIONS(857), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(855), 31,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [22323] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(1124), 1,
      sym_expression,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [22413] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1650), 1,
      anon_sym_resume,
    ACTIONS(1652), 1,
      anon_sym_function,
    ACTIONS(1658), 1,
      anon_sym_AT,
    ACTIONS(1660), 1,
      anon_sym_clone,
    STATE(1137), 1,
      sym_expression,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1654), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1656), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [22503] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1369), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [22593] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(941), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [22683] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1345), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [22773] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1459), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [22863] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1650), 1,
      anon_sym_resume,
    ACTIONS(1652), 1,
      anon_sym_function,
    ACTIONS(1658), 1,
      anon_sym_AT,
    ACTIONS(1660), 1,
      anon_sym_clone,
    STATE(1136), 1,
      sym_expression,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1654), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1656), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [22953] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1368), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [23043] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_resume,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(65), 1,
      anon_sym_AT,
    ACTIONS(67), 1,
      anon_sym_clone,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(357), 1,
      anon_sym_function,
    STATE(357), 1,
      sym_expression,
    ACTIONS(55), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(57), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [23133] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1422), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [23223] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_resume,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(65), 1,
      anon_sym_AT,
    ACTIONS(67), 1,
      anon_sym_clone,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(357), 1,
      anon_sym_function,
    STATE(333), 1,
      sym_expression,
    ACTIONS(55), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(57), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [23313] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1383), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [23403] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(1147), 1,
      sym_expression,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [23493] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(975), 1,
      sym_expression,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [23583] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_resume,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(65), 1,
      anon_sym_AT,
    ACTIONS(67), 1,
      anon_sym_clone,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(357), 1,
      anon_sym_function,
    STATE(203), 1,
      sym_expression,
    ACTIONS(55), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(57), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [23673] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1406), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [23763] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(305), 1,
      anon_sym_resume,
    ACTIONS(327), 1,
      anon_sym_delete,
    ACTIONS(331), 1,
      anon_sym_rawcall,
    ACTIONS(335), 1,
      anon_sym_clone,
    ACTIONS(339), 1,
      anon_sym_SQUOTE,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(663), 1,
      anon_sym_COLON_COLON,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_AT,
    ACTIONS(671), 1,
      anon_sym_DQUOTE,
    ACTIONS(673), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_function,
    STATE(1348), 1,
      sym_expression,
    ACTIONS(325), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(343), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(347), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(277), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(667), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1302), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(1296), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [23853] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1454), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [23943] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1403), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [24033] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_resume,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(65), 1,
      anon_sym_AT,
    ACTIONS(67), 1,
      anon_sym_clone,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(357), 1,
      anon_sym_function,
    STATE(197), 1,
      sym_expression,
    ACTIONS(55), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(57), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [24123] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_resume,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(65), 1,
      anon_sym_AT,
    ACTIONS(67), 1,
      anon_sym_clone,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(357), 1,
      anon_sym_function,
    STATE(195), 1,
      sym_expression,
    ACTIONS(55), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(57), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [24213] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_resume,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(65), 1,
      anon_sym_AT,
    ACTIONS(67), 1,
      anon_sym_clone,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(357), 1,
      anon_sym_function,
    STATE(194), 1,
      sym_expression,
    ACTIONS(55), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(57), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [24303] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_resume,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(65), 1,
      anon_sym_AT,
    ACTIONS(67), 1,
      anon_sym_clone,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(357), 1,
      anon_sym_function,
    STATE(286), 1,
      sym_expression,
    ACTIONS(55), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(57), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [24393] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_resume,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(65), 1,
      anon_sym_AT,
    ACTIONS(67), 1,
      anon_sym_clone,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(357), 1,
      anon_sym_function,
    STATE(193), 1,
      sym_expression,
    ACTIONS(55), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(57), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [24483] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    STATE(743), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [24573] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_resume,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(65), 1,
      anon_sym_AT,
    ACTIONS(67), 1,
      anon_sym_clone,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(357), 1,
      anon_sym_function,
    STATE(192), 1,
      sym_expression,
    ACTIONS(55), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(57), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [24663] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_resume,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(65), 1,
      anon_sym_AT,
    ACTIONS(67), 1,
      anon_sym_clone,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(357), 1,
      anon_sym_function,
    STATE(279), 1,
      sym_expression,
    ACTIONS(55), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(57), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [24753] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_resume,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(65), 1,
      anon_sym_AT,
    ACTIONS(67), 1,
      anon_sym_clone,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(357), 1,
      anon_sym_function,
    STATE(280), 1,
      sym_expression,
    ACTIONS(55), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(57), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [24843] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_resume,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(65), 1,
      anon_sym_AT,
    ACTIONS(67), 1,
      anon_sym_clone,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(357), 1,
      anon_sym_function,
    STATE(278), 1,
      sym_expression,
    ACTIONS(55), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(57), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [24933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(913), 21,
      anon_sym_else,
      anon_sym_while,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_catch,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(911), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [24987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(913), 21,
      anon_sym_else,
      anon_sym_while,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_catch,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(911), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [25041] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1452), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [25131] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1439), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [25221] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_resume,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(65), 1,
      anon_sym_AT,
    ACTIONS(67), 1,
      anon_sym_clone,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(357), 1,
      anon_sym_function,
    STATE(292), 1,
      sym_expression,
    ACTIONS(55), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(57), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [25311] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1388), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [25401] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1650), 1,
      anon_sym_resume,
    ACTIONS(1652), 1,
      anon_sym_function,
    ACTIONS(1658), 1,
      anon_sym_AT,
    ACTIONS(1660), 1,
      anon_sym_clone,
    STATE(1133), 1,
      sym_expression,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1654), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1656), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [25491] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1650), 1,
      anon_sym_resume,
    ACTIONS(1652), 1,
      anon_sym_function,
    ACTIONS(1658), 1,
      anon_sym_AT,
    ACTIONS(1660), 1,
      anon_sym_clone,
    STATE(1151), 1,
      sym_expression,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1654), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1656), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [25581] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1447), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [25671] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1443), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [25761] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1650), 1,
      anon_sym_resume,
    ACTIONS(1652), 1,
      anon_sym_function,
    ACTIONS(1658), 1,
      anon_sym_AT,
    ACTIONS(1660), 1,
      anon_sym_clone,
    STATE(1149), 1,
      sym_expression,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1654), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1656), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [25851] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1650), 1,
      anon_sym_resume,
    ACTIONS(1652), 1,
      anon_sym_function,
    ACTIONS(1658), 1,
      anon_sym_AT,
    ACTIONS(1660), 1,
      anon_sym_clone,
    STATE(1148), 1,
      sym_expression,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1654), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1656), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [25941] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(950), 1,
      sym_expression,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [26031] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1636), 1,
      anon_sym_resume,
    ACTIONS(1638), 1,
      anon_sym_function,
    ACTIONS(1644), 1,
      anon_sym_AT,
    ACTIONS(1646), 1,
      anon_sym_clone,
    STATE(385), 1,
      sym_expression,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1640), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1642), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [26121] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(1846), 1,
      anon_sym_else,
    ACTIONS(1848), 1,
      anon_sym_SEMI,
    STATE(906), 1,
      sym_else_statement,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(861), 8,
      anon_sym_RBRACE,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [26219] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1846), 1,
      anon_sym_else,
    STATE(906), 1,
      sym_else_statement,
    ACTIONS(863), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(861), 31,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [26277] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1449), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [26367] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(305), 1,
      anon_sym_resume,
    ACTIONS(327), 1,
      anon_sym_delete,
    ACTIONS(331), 1,
      anon_sym_rawcall,
    ACTIONS(335), 1,
      anon_sym_clone,
    ACTIONS(339), 1,
      anon_sym_SQUOTE,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(663), 1,
      anon_sym_COLON_COLON,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_AT,
    ACTIONS(671), 1,
      anon_sym_DQUOTE,
    ACTIONS(673), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_function,
    STATE(1339), 1,
      sym_expression,
    ACTIONS(325), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(343), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(347), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(277), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(667), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1302), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(1296), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [26457] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1421), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [26547] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1444), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [26637] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1455), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [26727] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1846), 1,
      anon_sym_else,
    STATE(906), 1,
      sym_else_statement,
    ACTIONS(863), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(861), 31,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [26785] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1425), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [26875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 21,
      anon_sym_else,
      anon_sym_while,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_catch,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1375), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [26929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 21,
      anon_sym_else,
      anon_sym_while,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_catch,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1375), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [26983] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(939), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [27073] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1376), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [27163] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_resume,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(65), 1,
      anon_sym_AT,
    ACTIONS(67), 1,
      anon_sym_clone,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(357), 1,
      anon_sym_function,
    STATE(380), 1,
      sym_expression,
    ACTIONS(55), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(57), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [27253] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    STATE(785), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [27343] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(946), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [27433] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_resume,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(65), 1,
      anon_sym_AT,
    ACTIONS(67), 1,
      anon_sym_clone,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(357), 1,
      anon_sym_function,
    STATE(381), 1,
      sym_expression,
    ACTIONS(55), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(57), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [27523] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_resume,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(65), 1,
      anon_sym_AT,
    ACTIONS(67), 1,
      anon_sym_clone,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(357), 1,
      anon_sym_function,
    STATE(370), 1,
      sym_expression,
    ACTIONS(55), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(57), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [27613] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(305), 1,
      anon_sym_resume,
    ACTIONS(327), 1,
      anon_sym_delete,
    ACTIONS(331), 1,
      anon_sym_rawcall,
    ACTIONS(335), 1,
      anon_sym_clone,
    ACTIONS(339), 1,
      anon_sym_SQUOTE,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(663), 1,
      anon_sym_COLON_COLON,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_AT,
    ACTIONS(671), 1,
      anon_sym_DQUOTE,
    ACTIONS(673), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_function,
    STATE(1200), 1,
      sym_expression,
    ACTIONS(325), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(343), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(347), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(277), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(667), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1302), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(1296), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [27703] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_resume,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(65), 1,
      anon_sym_AT,
    ACTIONS(67), 1,
      anon_sym_clone,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(357), 1,
      anon_sym_function,
    STATE(374), 1,
      sym_expression,
    ACTIONS(55), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(57), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [27793] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1400), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [27883] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_resume,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(65), 1,
      anon_sym_AT,
    ACTIONS(67), 1,
      anon_sym_clone,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(357), 1,
      anon_sym_function,
    STATE(375), 1,
      sym_expression,
    ACTIONS(55), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(57), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [27973] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_resume,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(65), 1,
      anon_sym_AT,
    ACTIONS(67), 1,
      anon_sym_clone,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(357), 1,
      anon_sym_function,
    STATE(376), 1,
      sym_expression,
    ACTIONS(55), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(57), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [28063] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_resume,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(65), 1,
      anon_sym_AT,
    ACTIONS(67), 1,
      anon_sym_clone,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(357), 1,
      anon_sym_function,
    STATE(372), 1,
      sym_expression,
    ACTIONS(55), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(57), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [28153] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_resume,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(65), 1,
      anon_sym_AT,
    ACTIONS(67), 1,
      anon_sym_clone,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(357), 1,
      anon_sym_function,
    STATE(371), 1,
      sym_expression,
    ACTIONS(55), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(57), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [28243] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_resume,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(65), 1,
      anon_sym_AT,
    ACTIONS(67), 1,
      anon_sym_clone,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(357), 1,
      anon_sym_function,
    STATE(366), 1,
      sym_expression,
    ACTIONS(55), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(57), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [28333] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(1127), 1,
      sym_expression,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [28423] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_resume,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(65), 1,
      anon_sym_AT,
    ACTIONS(67), 1,
      anon_sym_clone,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(357), 1,
      anon_sym_function,
    STATE(373), 1,
      sym_expression,
    ACTIONS(55), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(57), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [28513] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(305), 1,
      anon_sym_resume,
    ACTIONS(327), 1,
      anon_sym_delete,
    ACTIONS(331), 1,
      anon_sym_rawcall,
    ACTIONS(335), 1,
      anon_sym_clone,
    ACTIONS(339), 1,
      anon_sym_SQUOTE,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(663), 1,
      anon_sym_COLON_COLON,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_AT,
    ACTIONS(671), 1,
      anon_sym_DQUOTE,
    ACTIONS(673), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_function,
    STATE(1224), 1,
      sym_expression,
    ACTIONS(325), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(343), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(347), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(277), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(667), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1302), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(1296), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [28603] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1636), 1,
      anon_sym_resume,
    ACTIONS(1638), 1,
      anon_sym_function,
    ACTIONS(1644), 1,
      anon_sym_AT,
    ACTIONS(1646), 1,
      anon_sym_clone,
    STATE(383), 1,
      sym_expression,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1640), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1642), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [28693] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(1126), 1,
      sym_expression,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [28783] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1356), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [28873] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1636), 1,
      anon_sym_resume,
    ACTIONS(1638), 1,
      anon_sym_function,
    ACTIONS(1644), 1,
      anon_sym_AT,
    ACTIONS(1646), 1,
      anon_sym_clone,
    STATE(390), 1,
      sym_expression,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1640), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1642), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [28963] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1398), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [29053] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1636), 1,
      anon_sym_resume,
    ACTIONS(1638), 1,
      anon_sym_function,
    ACTIONS(1644), 1,
      anon_sym_AT,
    ACTIONS(1646), 1,
      anon_sym_clone,
    STATE(389), 1,
      sym_expression,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1640), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1642), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [29143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 21,
      anon_sym_else,
      anon_sym_while,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_catch,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1239), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [29197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 21,
      anon_sym_else,
      anon_sym_while,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_catch,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1239), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [29251] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1082), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [29341] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1384), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [29431] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1435), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [29521] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1636), 1,
      anon_sym_resume,
    ACTIONS(1638), 1,
      anon_sym_function,
    ACTIONS(1644), 1,
      anon_sym_AT,
    ACTIONS(1646), 1,
      anon_sym_clone,
    STATE(391), 1,
      sym_expression,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1640), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1642), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [29611] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(305), 1,
      anon_sym_resume,
    ACTIONS(327), 1,
      anon_sym_delete,
    ACTIONS(331), 1,
      anon_sym_rawcall,
    ACTIONS(335), 1,
      anon_sym_clone,
    ACTIONS(339), 1,
      anon_sym_SQUOTE,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(663), 1,
      anon_sym_COLON_COLON,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_AT,
    ACTIONS(671), 1,
      anon_sym_DQUOTE,
    ACTIONS(673), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_function,
    STATE(1260), 1,
      sym_expression,
    ACTIONS(325), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(343), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(347), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(277), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(667), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1302), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(1296), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [29701] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1429), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [29791] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(1116), 1,
      sym_expression,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [29881] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1636), 1,
      anon_sym_resume,
    ACTIONS(1638), 1,
      anon_sym_function,
    ACTIONS(1644), 1,
      anon_sym_AT,
    ACTIONS(1646), 1,
      anon_sym_clone,
    STATE(393), 1,
      sym_expression,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1640), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1642), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [29971] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1378), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [30061] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1405), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [30151] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(305), 1,
      anon_sym_resume,
    ACTIONS(327), 1,
      anon_sym_delete,
    ACTIONS(331), 1,
      anon_sym_rawcall,
    ACTIONS(335), 1,
      anon_sym_clone,
    ACTIONS(339), 1,
      anon_sym_SQUOTE,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(663), 1,
      anon_sym_COLON_COLON,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_AT,
    ACTIONS(671), 1,
      anon_sym_DQUOTE,
    ACTIONS(673), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_function,
    STATE(1170), 1,
      sym_expression,
    ACTIONS(325), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(343), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(347), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(277), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(667), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1302), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(1296), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [30241] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1446), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [30331] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(305), 1,
      anon_sym_resume,
    ACTIONS(327), 1,
      anon_sym_delete,
    ACTIONS(331), 1,
      anon_sym_rawcall,
    ACTIONS(335), 1,
      anon_sym_clone,
    ACTIONS(339), 1,
      anon_sym_SQUOTE,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(663), 1,
      anon_sym_COLON_COLON,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_AT,
    ACTIONS(671), 1,
      anon_sym_DQUOTE,
    ACTIONS(673), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_function,
    STATE(1171), 1,
      sym_expression,
    ACTIONS(325), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(343), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(347), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(277), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(667), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1302), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(1296), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [30421] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(1125), 1,
      sym_expression,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [30511] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    STATE(920), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [30601] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1401), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [30691] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    STATE(914), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [30781] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1462), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [30871] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_resume,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(65), 1,
      anon_sym_AT,
    ACTIONS(67), 1,
      anon_sym_clone,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(357), 1,
      anon_sym_function,
    STATE(251), 1,
      sym_expression,
    ACTIONS(55), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(57), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [30961] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    STATE(913), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [31051] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1424), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [31141] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(35), 1,
      anon_sym_resume,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(65), 1,
      anon_sym_AT,
    ACTIONS(67), 1,
      anon_sym_clone,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(357), 1,
      anon_sym_function,
    STATE(190), 1,
      sym_expression,
    ACTIONS(55), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(57), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [31231] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    STATE(765), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [31321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1103), 21,
      anon_sym_else,
      anon_sym_while,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_catch,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1101), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [31375] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(305), 1,
      anon_sym_resume,
    ACTIONS(327), 1,
      anon_sym_delete,
    ACTIONS(331), 1,
      anon_sym_rawcall,
    ACTIONS(335), 1,
      anon_sym_clone,
    ACTIONS(339), 1,
      anon_sym_SQUOTE,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(663), 1,
      anon_sym_COLON_COLON,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_AT,
    ACTIONS(671), 1,
      anon_sym_DQUOTE,
    ACTIONS(673), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_function,
    STATE(1175), 1,
      sym_expression,
    ACTIONS(325), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(343), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(347), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(277), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(667), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1302), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(1296), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [31465] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(305), 1,
      anon_sym_resume,
    ACTIONS(327), 1,
      anon_sym_delete,
    ACTIONS(331), 1,
      anon_sym_rawcall,
    ACTIONS(335), 1,
      anon_sym_clone,
    ACTIONS(339), 1,
      anon_sym_SQUOTE,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(663), 1,
      anon_sym_COLON_COLON,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_AT,
    ACTIONS(671), 1,
      anon_sym_DQUOTE,
    ACTIONS(673), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_function,
    STATE(1176), 1,
      sym_expression,
    ACTIONS(325), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(343), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(347), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(277), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(667), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1302), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(1296), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [31555] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(305), 1,
      anon_sym_resume,
    ACTIONS(327), 1,
      anon_sym_delete,
    ACTIONS(331), 1,
      anon_sym_rawcall,
    ACTIONS(335), 1,
      anon_sym_clone,
    ACTIONS(339), 1,
      anon_sym_SQUOTE,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(663), 1,
      anon_sym_COLON_COLON,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_AT,
    ACTIONS(671), 1,
      anon_sym_DQUOTE,
    ACTIONS(673), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_function,
    STATE(1177), 1,
      sym_expression,
    ACTIONS(325), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(343), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(347), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(277), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(667), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1302), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(1296), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [31645] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(305), 1,
      anon_sym_resume,
    ACTIONS(327), 1,
      anon_sym_delete,
    ACTIONS(331), 1,
      anon_sym_rawcall,
    ACTIONS(335), 1,
      anon_sym_clone,
    ACTIONS(339), 1,
      anon_sym_SQUOTE,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(663), 1,
      anon_sym_COLON_COLON,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_AT,
    ACTIONS(671), 1,
      anon_sym_DQUOTE,
    ACTIONS(673), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_function,
    STATE(1178), 1,
      sym_expression,
    ACTIONS(325), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(343), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(347), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(277), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(667), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1302), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(1296), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [31735] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(305), 1,
      anon_sym_resume,
    ACTIONS(327), 1,
      anon_sym_delete,
    ACTIONS(331), 1,
      anon_sym_rawcall,
    ACTIONS(335), 1,
      anon_sym_clone,
    ACTIONS(339), 1,
      anon_sym_SQUOTE,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(663), 1,
      anon_sym_COLON_COLON,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_AT,
    ACTIONS(671), 1,
      anon_sym_DQUOTE,
    ACTIONS(673), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_function,
    STATE(1179), 1,
      sym_expression,
    ACTIONS(325), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(343), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(347), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(277), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(667), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1302), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(1296), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [31825] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(305), 1,
      anon_sym_resume,
    ACTIONS(327), 1,
      anon_sym_delete,
    ACTIONS(331), 1,
      anon_sym_rawcall,
    ACTIONS(335), 1,
      anon_sym_clone,
    ACTIONS(339), 1,
      anon_sym_SQUOTE,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(663), 1,
      anon_sym_COLON_COLON,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_AT,
    ACTIONS(671), 1,
      anon_sym_DQUOTE,
    ACTIONS(673), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_function,
    STATE(1157), 1,
      sym_expression,
    ACTIONS(325), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(343), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(347), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(277), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(667), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1302), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(1296), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [31915] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(305), 1,
      anon_sym_resume,
    ACTIONS(327), 1,
      anon_sym_delete,
    ACTIONS(331), 1,
      anon_sym_rawcall,
    ACTIONS(335), 1,
      anon_sym_clone,
    ACTIONS(339), 1,
      anon_sym_SQUOTE,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(663), 1,
      anon_sym_COLON_COLON,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_AT,
    ACTIONS(671), 1,
      anon_sym_DQUOTE,
    ACTIONS(673), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_function,
    STATE(1202), 1,
      sym_expression,
    ACTIONS(325), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(343), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(347), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(277), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(667), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1302), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(1296), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [32005] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(305), 1,
      anon_sym_resume,
    ACTIONS(327), 1,
      anon_sym_delete,
    ACTIONS(331), 1,
      anon_sym_rawcall,
    ACTIONS(335), 1,
      anon_sym_clone,
    ACTIONS(339), 1,
      anon_sym_SQUOTE,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(663), 1,
      anon_sym_COLON_COLON,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_AT,
    ACTIONS(671), 1,
      anon_sym_DQUOTE,
    ACTIONS(673), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_function,
    STATE(1203), 1,
      sym_expression,
    ACTIONS(325), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(343), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(347), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(277), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(667), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1302), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(1296), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [32095] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(305), 1,
      anon_sym_resume,
    ACTIONS(327), 1,
      anon_sym_delete,
    ACTIONS(331), 1,
      anon_sym_rawcall,
    ACTIONS(335), 1,
      anon_sym_clone,
    ACTIONS(339), 1,
      anon_sym_SQUOTE,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(663), 1,
      anon_sym_COLON_COLON,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_AT,
    ACTIONS(671), 1,
      anon_sym_DQUOTE,
    ACTIONS(673), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_function,
    STATE(1204), 1,
      sym_expression,
    ACTIONS(325), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(343), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(347), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(277), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(667), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1302), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(1296), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [32185] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    STATE(912), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [32275] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(41), 1,
      anon_sym_COLON_COLON,
    ACTIONS(45), 1,
      anon_sym_LBRACK,
    ACTIONS(59), 1,
      anon_sym_delete,
    ACTIONS(63), 1,
      anon_sym_rawcall,
    ACTIONS(71), 1,
      anon_sym_DQUOTE,
    ACTIONS(73), 1,
      anon_sym_SQUOTE,
    ACTIONS(75), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1636), 1,
      anon_sym_resume,
    ACTIONS(1638), 1,
      anon_sym_function,
    ACTIONS(1644), 1,
      anon_sym_AT,
    ACTIONS(1646), 1,
      anon_sym_clone,
    STATE(394), 1,
      sym_expression,
    ACTIONS(69), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1640), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(7), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1642), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(291), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(284), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [32365] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(305), 1,
      anon_sym_resume,
    ACTIONS(327), 1,
      anon_sym_delete,
    ACTIONS(331), 1,
      anon_sym_rawcall,
    ACTIONS(335), 1,
      anon_sym_clone,
    ACTIONS(339), 1,
      anon_sym_SQUOTE,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(663), 1,
      anon_sym_COLON_COLON,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_AT,
    ACTIONS(671), 1,
      anon_sym_DQUOTE,
    ACTIONS(673), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_function,
    STATE(1207), 1,
      sym_expression,
    ACTIONS(325), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(343), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(347), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(277), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(667), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1302), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(1296), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [32455] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    STATE(786), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [32545] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    STATE(910), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [32635] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    STATE(909), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [32725] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    STATE(792), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [32815] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LPAREN,
    ACTIONS(199), 1,
      anon_sym_resume,
    ACTIONS(205), 1,
      anon_sym_COLON_COLON,
    ACTIONS(209), 1,
      anon_sym_LBRACK,
    ACTIONS(223), 1,
      anon_sym_delete,
    ACTIONS(227), 1,
      anon_sym_rawcall,
    ACTIONS(229), 1,
      anon_sym_AT,
    ACTIONS(231), 1,
      anon_sym_clone,
    ACTIONS(235), 1,
      anon_sym_DQUOTE,
    ACTIONS(237), 1,
      anon_sym_SQUOTE,
    ACTIONS(239), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(649), 1,
      anon_sym_function,
    STATE(1128), 1,
      sym_expression,
    ACTIONS(219), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(233), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(241), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(171), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(221), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(962), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(959), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [32905] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    STATE(794), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [32995] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    STATE(795), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [33085] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    STATE(916), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [33175] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1448), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [33265] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(305), 1,
      anon_sym_resume,
    ACTIONS(327), 1,
      anon_sym_delete,
    ACTIONS(331), 1,
      anon_sym_rawcall,
    ACTIONS(335), 1,
      anon_sym_clone,
    ACTIONS(339), 1,
      anon_sym_SQUOTE,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(663), 1,
      anon_sym_COLON_COLON,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_AT,
    ACTIONS(671), 1,
      anon_sym_DQUOTE,
    ACTIONS(673), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_function,
    STATE(1314), 1,
      sym_expression,
    ACTIONS(325), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(343), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(347), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(277), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(667), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1302), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(1296), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [33355] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(305), 1,
      anon_sym_resume,
    ACTIONS(327), 1,
      anon_sym_delete,
    ACTIONS(331), 1,
      anon_sym_rawcall,
    ACTIONS(335), 1,
      anon_sym_clone,
    ACTIONS(339), 1,
      anon_sym_SQUOTE,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(663), 1,
      anon_sym_COLON_COLON,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_AT,
    ACTIONS(671), 1,
      anon_sym_DQUOTE,
    ACTIONS(673), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_function,
    STATE(1321), 1,
      sym_expression,
    ACTIONS(325), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(343), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(347), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(277), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(667), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1302), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(1296), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [33445] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    STATE(907), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [33535] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(305), 1,
      anon_sym_resume,
    ACTIONS(327), 1,
      anon_sym_delete,
    ACTIONS(331), 1,
      anon_sym_rawcall,
    ACTIONS(335), 1,
      anon_sym_clone,
    ACTIONS(339), 1,
      anon_sym_SQUOTE,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(663), 1,
      anon_sym_COLON_COLON,
    ACTIONS(665), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_AT,
    ACTIONS(671), 1,
      anon_sym_DQUOTE,
    ACTIONS(673), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_function,
    STATE(1208), 1,
      sym_expression,
    ACTIONS(325), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(343), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(347), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(277), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(667), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1302), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(1296), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [33625] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    STATE(846), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [33715] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1420), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [33805] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1491), 1,
      anon_sym_resume,
    ACTIONS(1501), 1,
      anon_sym_AT,
    ACTIONS(1503), 1,
      anon_sym_clone,
    ACTIONS(1572), 1,
      anon_sym_function,
    STATE(1054), 1,
      sym_expression,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(1497), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(1499), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [33895] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    STATE(820), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [33985] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    STATE(908), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [34075] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    STATE(818), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [34165] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    STATE(800), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [34255] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    STATE(799), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [34345] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    STATE(798), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [34435] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    STATE(797), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [34525] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_resume,
    ACTIONS(117), 1,
      anon_sym_COLON_COLON,
    ACTIONS(121), 1,
      anon_sym_LBRACK,
    ACTIONS(135), 1,
      anon_sym_delete,
    ACTIONS(139), 1,
      anon_sym_rawcall,
    ACTIONS(141), 1,
      anon_sym_AT,
    ACTIONS(143), 1,
      anon_sym_clone,
    ACTIONS(147), 1,
      anon_sym_DQUOTE,
    ACTIONS(149), 1,
      anon_sym_SQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(375), 1,
      anon_sym_function,
    STATE(796), 1,
      sym_expression,
    ACTIONS(131), 2,
      anon_sym_DASH,
      anon_sym_typeof,
    ACTIONS(145), 2,
      sym_verbatim_string,
      sym_float,
    ACTIONS(153), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(79), 3,
      sym_identifier,
      sym_integer,
      sym_null,
    ACTIONS(133), 4,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(822), 7,
      sym_resume_expression,
      sym_primary_expression,
      sym_assignment_expression,
      sym_update_expression,
      sym_delete_expression,
      sym_clone_expression,
      sym_array,
    STATE(843), 13,
      sym_unary_expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_deref_expression,
      sym_index_expression,
      sym_call_expression,
      sym_anonymous_function,
      sym_lambda_expression,
      sym_parenthesized_expression,
      sym_global_variable,
      sym_string,
      sym_char,
      sym_bool,
  [34615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1235), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [34668] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(1379), 10,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [34759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1351), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [34812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(991), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(989), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [34865] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1850), 1,
      anon_sym_SEMI,
    ACTIONS(995), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(993), 31,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [34920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(995), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(993), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [34973] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1291), 29,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [35032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1291), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [35085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1005), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1003), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [35138] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(1852), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(1011), 9,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [35231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1013), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1011), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [35284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1013), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1011), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [35337] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(1854), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(1017), 9,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [35430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1017), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [35483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1219), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [35536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1017), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [35589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1029), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1027), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [35642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1033), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1031), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [35695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1037), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1035), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [35748] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_SEMI,
    ACTIONS(1045), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1043), 31,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [35803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1045), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1043), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [35856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1055), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1053), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [35909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1063), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1061), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [35962] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(1257), 10,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [36053] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(1365), 10,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [36144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1117), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1115), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [36197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1393), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1391), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [36250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1151), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [36303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1151), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [36356] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(1858), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(953), 9,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [36449] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1860), 1,
      anon_sym_SEMI,
    ACTIONS(1221), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1219), 31,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [36504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(955), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(953), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [36557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1369), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [36610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(955), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(953), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [36663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1253), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [36716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1223), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [36769] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1862), 1,
      anon_sym_SEMI,
    ACTIONS(1293), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1291), 31,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [36824] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1862), 1,
      anon_sym_SEMI,
    ACTIONS(1293), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1291), 28,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [36885] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(1864), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(1227), 9,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [36978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1227), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [37031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1227), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [37084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1281), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1279), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [37137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1283), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [37190] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(1866), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(1299), 9,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [37283] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(917), 2,
      anon_sym_in,
      anon_sym_EQ,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(915), 19,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [37364] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(931), 10,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [37455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1295), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [37508] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(927), 10,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [37599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1323), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1321), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [37652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1333), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [37705] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(917), 10,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(915), 27,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [37768] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(917), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(915), 27,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [37829] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(917), 1,
      anon_sym_EQ,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(915), 18,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [37914] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(917), 3,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(915), 19,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [37993] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(917), 3,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(915), 20,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [38070] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(917), 4,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(915), 20,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [38145] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(917), 4,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(915), 22,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [38218] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(917), 7,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(915), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [38287] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(917), 8,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(915), 27,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [38352] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1868), 1,
      anon_sym_SEMI,
    ACTIONS(1353), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1351), 31,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [38407] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1870), 1,
      anon_sym_COMMA,
    ACTIONS(1872), 1,
      anon_sym_EQ,
    ACTIONS(1874), 1,
      anon_sym_LT_DASH,
    ACTIONS(1357), 12,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1355), 30,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [38466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1331), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1329), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [38519] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1876), 1,
      anon_sym_SEMI,
    ACTIONS(1331), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1329), 31,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [38574] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(1878), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(1339), 9,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [38667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1341), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1339), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [38720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1341), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1339), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [38773] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1880), 1,
      anon_sym_SEMI,
    ACTIONS(1289), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1287), 31,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [38828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1383), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [38881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(983), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(981), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [38934] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(1880), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(1287), 9,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [39027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1215), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [39080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1287), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [39133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1267), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1265), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [39186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1249), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [39239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1205), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [39292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1215), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [39345] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(1097), 10,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [39436] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(1882), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(945), 9,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [39529] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(907), 10,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [39620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(947), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(945), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [39673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1181), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [39726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1177), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [39779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(965), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [39832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(947), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(945), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [39885] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(1884), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(1077), 9,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [39978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1077), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [40031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1077), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [40084] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(1886), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(1105), 9,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [40177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1107), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1105), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [40230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1107), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1105), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [40283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1169), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [40336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1173), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [40389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1185), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [40442] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1888), 1,
      anon_sym_SEMI,
    ACTIONS(1211), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1209), 31,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [40497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1211), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1209), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [40550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1157), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [40603] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(1890), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(1215), 9,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [40696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(985), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [40749] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(1892), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(1151), 9,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [40842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1387), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [40895] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(733), 1,
      anon_sym_SEMI,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(911), 9,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [40988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1161), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [41041] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(1894), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(1345), 9,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [41134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1347), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1345), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [41187] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(1305), 10,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [41278] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 1,
      anon_sym_EQ,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1189), 16,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [41367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1347), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1345), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [41420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1325), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [41473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1319), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1317), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [41526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1315), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1313), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [41579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1311), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1309), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [41632] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1896), 1,
      anon_sym_else,
    STATE(1016), 1,
      sym_else_statement,
    ACTIONS(863), 18,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(861), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [41689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1189), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [41742] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1896), 1,
      anon_sym_else,
    STATE(1016), 1,
      sym_else_statement,
    ACTIONS(863), 18,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(861), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [41799] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1896), 1,
      anon_sym_else,
    ACTIONS(1898), 1,
      anon_sym_SEMI,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    STATE(1016), 1,
      sym_else_statement,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(861), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_SLASH,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(863), 4,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [41898] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(731), 1,
      anon_sym_SEMI,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(1375), 9,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [41991] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1940), 1,
      anon_sym_SEMI,
    ACTIONS(1275), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1273), 31,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [42046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1271), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1269), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [42099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1261), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [42152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1243), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [42205] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(1942), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(1199), 9,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [42298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1199), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [42351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1199), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [42404] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(1944), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(1239), 9,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [42497] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(1165), 10,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [42588] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(1946), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(1141), 9,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [42681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1141), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [42734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1137), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [42787] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(1948), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(1131), 9,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [42880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1131), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [42933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1131), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [42986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1123), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [43039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1123), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [43092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1123), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [43145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(513), 15,
      sym_verbatim_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
    ACTIONS(1950), 30,
      anon_sym_if,
      anon_sym_while,
      anon_sym_do,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_foreach,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_yield,
      anon_sym_resume,
      anon_sym_local,
      anon_sym_function,
      anon_sym_class,
      anon_sym_try,
      anon_sym_throw,
      anon_sym_const,
      anon_sym_enum,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_delete,
      anon_sym_var,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
  [43198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1123), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [43251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1123), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [43304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1123), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [43357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1123), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [43410] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1804), 1,
      anon_sym_else,
    STATE(869), 1,
      sym_else_statement,
    ACTIONS(857), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(855), 30,
      anon_sym_RBRACE,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [43467] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1896), 1,
      anon_sym_else,
    STATE(1050), 1,
      sym_else_statement,
    ACTIONS(857), 18,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(855), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [43524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1103), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1101), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [43577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1123), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [43630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1123), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [43683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1127), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [43736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1123), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [43789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1239), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [43842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1239), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [43895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1121), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1119), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [43948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1113), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1111), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [44001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1069), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [44054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1051), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1049), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [44107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1001), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(999), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [44160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1375), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [44213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1375), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [44266] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(777), 1,
      anon_sym_SEMI,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(961), 9,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [44359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(961), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [44412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(961), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [44465] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1952), 1,
      anon_sym_COMMA,
    ACTIONS(951), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(949), 31,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [44520] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(1952), 1,
      anon_sym_COMMA,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(949), 9,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [44613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(913), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(911), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [44666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(913), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(911), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [44719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(951), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(949), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [44772] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1954), 1,
      anon_sym_DOT,
    ACTIONS(937), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(935), 31,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [44827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1195), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [44880] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1956), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(917), 8,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(915), 26,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [44947] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1958), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(917), 7,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(915), 24,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [45018] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1960), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(917), 4,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(915), 21,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [45093] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1962), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(917), 4,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(915), 19,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [45170] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1964), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(917), 3,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(915), 19,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [45249] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1966), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(917), 3,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(915), 18,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [45330] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(917), 1,
      anon_sym_EQ,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1968), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(915), 17,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [45417] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1970), 1,
      anon_sym_SEMI,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(917), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(915), 26,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [45480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(921), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(919), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [45533] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1972), 1,
      anon_sym_SEMI,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(917), 10,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(915), 26,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [45598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(925), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(923), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [45651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(929), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(927), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [45704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(933), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(931), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [45757] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1974), 1,
      anon_sym_SEMI,
    ACTIONS(917), 2,
      anon_sym_in,
      anon_sym_EQ,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(915), 18,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [45840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(941), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [45893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(969), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [45946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(975), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(973), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [45999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(977), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [46052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1009), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1007), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [46105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1025), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1023), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [46158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1039), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [46211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1059), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1057), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [46264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1065), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [46317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1075), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1073), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [46370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1083), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [46423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1089), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1087), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [46476] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1804), 1,
      anon_sym_else,
    STATE(906), 1,
      sym_else_statement,
    ACTIONS(863), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(861), 30,
      anon_sym_RBRACE,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [46533] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1804), 1,
      anon_sym_else,
    STATE(906), 1,
      sym_else_statement,
    ACTIONS(863), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(861), 30,
      anon_sym_RBRACE,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [46590] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_DOT,
    ACTIONS(1093), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1091), 31,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [46645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1147), 32,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [46698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(961), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [46750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1063), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1061), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [46802] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(1365), 9,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [46892] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 1,
      anon_sym_EQ,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1189), 15,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [46980] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(1305), 9,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [47070] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(907), 9,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [47160] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(1097), 9,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [47250] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(927), 9,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [47340] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(931), 9,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [47430] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(1257), 9,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [47520] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_SEMI,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(911), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_SLASH,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(913), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [47614] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2012), 1,
      anon_sym_DOT,
    ACTIONS(937), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(935), 30,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [47668] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2014), 1,
      anon_sym_DOT,
    ACTIONS(1093), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1091), 30,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [47722] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1097), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_SLASH,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1099), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [47814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1351), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [47866] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1379), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_SLASH,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1381), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [47958] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1191), 6,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1189), 10,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [48046] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1305), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_SLASH,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1307), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [48138] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1165), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_SLASH,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1167), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [48230] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(907), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_SLASH,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(909), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [48322] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(917), 14,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(915), 20,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_LT_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [48386] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(917), 13,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      sym_identifier,
    ACTIONS(915), 18,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_LT_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [48454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1163), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1161), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [48506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(965), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [48558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1177), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [48610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1181), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [48662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1205), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [48714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1249), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [48766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1267), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1265), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [48818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1289), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1287), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [48870] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(2016), 1,
      anon_sym_SEMI,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1287), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_SLASH,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1289), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [48964] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2016), 1,
      anon_sym_SEMI,
    ACTIONS(1289), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1287), 24,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [49018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1369), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [49070] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1365), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_SLASH,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1367), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [49162] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_COMMA,
    ACTIONS(2020), 1,
      anon_sym_EQ,
    ACTIONS(2022), 1,
      anon_sym_LT_DASH,
    ACTIONS(1357), 18,
      anon_sym_else,
      anon_sym_in,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1355), 23,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [49220] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(917), 9,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_PIPE,
      anon_sym_AMP,
      sym_identifier,
    ACTIONS(915), 16,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_LT_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [49292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1333), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [49344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1323), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1321), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [49396] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(2024), 1,
      anon_sym_SEMI,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1299), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_SLASH,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1301), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [49490] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(917), 9,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_PIPE,
      anon_sym_AMP,
      sym_identifier,
    ACTIONS(915), 14,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_LT_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [49564] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(917), 8,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_PIPE,
      sym_identifier,
    ACTIONS(915), 14,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_LT_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [49640] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1257), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_SLASH,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1259), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [49732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1253), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [49784] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(917), 8,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_PIPE,
      sym_identifier,
    ACTIONS(915), 13,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_LT_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [49862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1157), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [49914] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(917), 6,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(915), 12,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_LT_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [49998] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(917), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(915), 20,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_LT_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [50058] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(2026), 1,
      anon_sym_SEMI,
    ACTIONS(2028), 1,
      anon_sym_else,
    STATE(1016), 1,
      sym_else_statement,
    ACTIONS(861), 2,
      anon_sym_RBRACE,
      anon_sym_LT_SLASH,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(863), 4,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [50156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1147), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [50208] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_DOT,
    ACTIONS(1093), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1091), 24,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [50262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1089), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1087), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [50314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1083), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [50366] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(917), 16,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(915), 20,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_LT_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [50428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1075), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1073), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [50480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1065), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [50532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1059), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1057), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [50584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1041), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1039), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [50636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1025), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1023), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [50688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1009), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1007), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [50740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(977), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [50792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(975), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(973), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [50844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(969), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [50896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(941), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [50948] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(927), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_SLASH,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(929), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [51040] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(931), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_SLASH,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(933), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [51132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(933), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(931), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [51184] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(917), 7,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(915), 13,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_LT_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [51264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(929), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(927), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [51316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(925), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(923), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [51368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1219), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [51420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(921), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(919), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [51472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1291), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [51524] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1291), 22,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [51582] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(783), 1,
      anon_sym_SEMI,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1375), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_SLASH,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1377), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [51676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(983), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(981), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [51728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(985), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [51780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(991), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(989), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [51832] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2032), 1,
      anon_sym_SEMI,
    ACTIONS(995), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(993), 24,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [51886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(995), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(993), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [51938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1197), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1195), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [51990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1005), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1003), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [52042] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 1,
      anon_sym_DOT,
    ACTIONS(937), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(935), 24,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [52096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(951), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(949), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [52148] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(2036), 1,
      anon_sym_COMMA,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(949), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LT_SLASH,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(951), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [52242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2036), 1,
      anon_sym_COMMA,
    ACTIONS(951), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(949), 24,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [52296] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(2038), 1,
      anon_sym_SEMI,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1011), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_SLASH,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1013), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [52390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(961), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [52442] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(797), 1,
      anon_sym_SEMI,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(961), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_SLASH,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(963), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [52536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1013), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1011), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [52588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1013), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1011), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [52640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1001), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(999), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [52692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1051), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1049), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [52744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1069), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [52796] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(2040), 1,
      anon_sym_SEMI,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1017), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_SLASH,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1019), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [52890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1113), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1111), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [52942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1017), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [52994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1017), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [53046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1121), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1119), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [53098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1123), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [53150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1129), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1127), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [53202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1123), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [53254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1123), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [53306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1123), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [53358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1123), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [53410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1123), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [53462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1123), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [53514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1123), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [53566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1123), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [53618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1123), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [53670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1029), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1027), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [53722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1131), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [53774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1131), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [53826] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(2042), 1,
      anon_sym_SEMI,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1131), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_SLASH,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1133), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [53920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1137), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [53972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1143), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1141), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [54024] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(2044), 1,
      anon_sym_SEMI,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1141), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_SLASH,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1143), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [54118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1033), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1031), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [54170] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(1165), 9,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [54260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1037), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1035), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [54312] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2046), 1,
      anon_sym_SEMI,
    ACTIONS(1045), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1043), 24,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [54366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1199), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [54418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1199), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [54470] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(2048), 1,
      anon_sym_SEMI,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1199), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_SLASH,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1201), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [54564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1045), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1043), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [54616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1055), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1053), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [54668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1117), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1115), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [54720] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(2050), 1,
      anon_sym_SEMI,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1151), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_SLASH,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1153), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [54814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1243), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [54866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1261), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [54918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1271), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1269), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [54970] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2052), 1,
      anon_sym_SEMI,
    ACTIONS(1275), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1273), 24,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [55024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1151), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [55076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1151), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [55128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1189), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [55180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1311), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1309), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [55232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1315), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1313), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [55284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1319), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1317), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [55336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1325), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [55388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1347), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1345), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [55440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1347), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1345), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [55492] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(2054), 1,
      anon_sym_SEMI,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1345), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_SLASH,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1347), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [55586] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(2056), 1,
      anon_sym_SEMI,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(953), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_SLASH,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(955), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [55680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(955), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(953), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [55732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(955), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(953), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [55784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1223), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [55836] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(1379), 9,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_while,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_catch,
      anon_sym_SLASH_GT,
  [55926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1387), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [55978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1393), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1391), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [56030] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(2058), 1,
      anon_sym_SEMI,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1227), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_SLASH,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1229), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [56124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1227), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [56176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1227), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [56228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1281), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1279), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [56280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1235), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [56332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1283), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [56384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1211), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1209), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [56436] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2060), 1,
      anon_sym_SEMI,
    ACTIONS(1211), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1209), 24,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [56490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1185), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [56542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1173), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [56594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1169), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [56646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1107), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1105), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [56698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1107), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1105), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [56750] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(2062), 1,
      anon_sym_SEMI,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1105), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_SLASH,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1107), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [56844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1077), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [56896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1077), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [56948] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(2064), 1,
      anon_sym_SEMI,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1077), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_SLASH,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1079), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [57042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1295), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [57094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(947), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(945), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [57146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(947), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(945), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [57198] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(2066), 1,
      anon_sym_SEMI,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(945), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_SLASH,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(947), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [57292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1331), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1329), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [57344] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(2068), 1,
      anon_sym_SEMI,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1239), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_SLASH,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1241), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [57438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1215), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [57490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1215), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [57542] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(2070), 1,
      anon_sym_SEMI,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1215), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_SLASH,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1217), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [57636] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2072), 1,
      anon_sym_SEMI,
    ACTIONS(1331), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1329), 24,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [57690] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(2074), 1,
      anon_sym_SEMI,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1339), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LT_SLASH,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1341), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [57784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1341), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1339), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [57836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1383), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [57888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1341), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1339), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [57940] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(2076), 1,
      anon_sym_SEMI,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(917), 14,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(915), 18,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_LT_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [58005] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(2078), 1,
      anon_sym_SEMI,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(915), 18,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_LT_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(917), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
  [58066] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2080), 1,
      anon_sym_SEMI,
    ACTIONS(1221), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1219), 23,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [58119] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2082), 1,
      anon_sym_SEMI,
    ACTIONS(1293), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1291), 23,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [58172] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2084), 1,
      anon_sym_SEMI,
    ACTIONS(1353), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1351), 23,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [58225] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(2082), 1,
      anon_sym_SEMI,
    ACTIONS(1293), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1291), 20,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [58284] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2028), 1,
      anon_sym_else,
    STATE(1050), 1,
      sym_else_statement,
    ACTIONS(857), 18,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(855), 23,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [58339] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2028), 1,
      anon_sym_else,
    STATE(1016), 1,
      sym_else_statement,
    ACTIONS(863), 18,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(861), 23,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [58394] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(2086), 1,
      anon_sym_SEMI,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(917), 7,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(915), 11,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_LT_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [58475] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(2088), 1,
      anon_sym_SEMI,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(917), 13,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      sym_identifier,
    ACTIONS(915), 16,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_LT_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [58544] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(2090), 1,
      anon_sym_SEMI,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(917), 9,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_PIPE,
      anon_sym_AMP,
      sym_identifier,
    ACTIONS(915), 14,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_LT_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [58617] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(2092), 1,
      anon_sym_SEMI,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(917), 9,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_PIPE,
      anon_sym_AMP,
      sym_identifier,
    ACTIONS(915), 12,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_LT_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [58692] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(2094), 1,
      anon_sym_SEMI,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(917), 8,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_PIPE,
      sym_identifier,
    ACTIONS(915), 12,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_LT_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [58769] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(2096), 1,
      anon_sym_SEMI,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(917), 8,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_PIPE,
      sym_identifier,
    ACTIONS(915), 11,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_LT_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [58848] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(2098), 1,
      anon_sym_SEMI,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(917), 6,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(915), 10,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_LT_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [58933] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2028), 1,
      anon_sym_else,
    STATE(1016), 1,
      sym_else_statement,
    ACTIONS(863), 18,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(861), 23,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [58988] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(2100), 1,
      anon_sym_SEMI,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(917), 16,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(915), 18,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_LT_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [59051] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(2102), 1,
      anon_sym_in,
    ACTIONS(2104), 1,
      anon_sym_EQ,
    ACTIONS(2114), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2116), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2118), 1,
      anon_sym_PIPE,
    ACTIONS(2120), 1,
      anon_sym_CARET,
    ACTIONS(2122), 1,
      anon_sym_AMP,
    ACTIONS(2132), 1,
      anon_sym_GT_GT,
    ACTIONS(2134), 1,
      anon_sym_QMARK,
    ACTIONS(1379), 2,
      anon_sym_RBRACE,
      anon_sym_LT_SLASH,
    ACTIONS(2108), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2110), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2124), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2126), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(2130), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2112), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2128), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1381), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(2106), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [59141] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(2138), 1,
      anon_sym_SEMI,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2140), 2,
      anon_sym_RBRACE,
      anon_sym_LT_SLASH,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(2136), 4,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [59233] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(2102), 1,
      anon_sym_in,
    ACTIONS(2104), 1,
      anon_sym_EQ,
    ACTIONS(2114), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2116), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2118), 1,
      anon_sym_PIPE,
    ACTIONS(2120), 1,
      anon_sym_CARET,
    ACTIONS(2122), 1,
      anon_sym_AMP,
    ACTIONS(2132), 1,
      anon_sym_GT_GT,
    ACTIONS(2134), 1,
      anon_sym_QMARK,
    ACTIONS(927), 2,
      anon_sym_RBRACE,
      anon_sym_LT_SLASH,
    ACTIONS(2108), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2110), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2124), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2126), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(2130), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2112), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2128), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(929), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(2106), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [59323] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(2102), 1,
      anon_sym_in,
    ACTIONS(2104), 1,
      anon_sym_EQ,
    ACTIONS(2114), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2116), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2118), 1,
      anon_sym_PIPE,
    ACTIONS(2120), 1,
      anon_sym_CARET,
    ACTIONS(2122), 1,
      anon_sym_AMP,
    ACTIONS(2132), 1,
      anon_sym_GT_GT,
    ACTIONS(2134), 1,
      anon_sym_QMARK,
    ACTIONS(1365), 2,
      anon_sym_RBRACE,
      anon_sym_LT_SLASH,
    ACTIONS(2108), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2110), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2124), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2126), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(2130), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2112), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2128), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1367), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(2106), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [59413] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(2102), 1,
      anon_sym_in,
    ACTIONS(2104), 1,
      anon_sym_EQ,
    ACTIONS(2114), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2116), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2118), 1,
      anon_sym_PIPE,
    ACTIONS(2120), 1,
      anon_sym_CARET,
    ACTIONS(2122), 1,
      anon_sym_AMP,
    ACTIONS(2132), 1,
      anon_sym_GT_GT,
    ACTIONS(2134), 1,
      anon_sym_QMARK,
    ACTIONS(1257), 2,
      anon_sym_RBRACE,
      anon_sym_LT_SLASH,
    ACTIONS(2108), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2110), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2124), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2126), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(2130), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2112), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2128), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1259), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(2106), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [59503] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(2102), 1,
      anon_sym_in,
    ACTIONS(2114), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2116), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2118), 1,
      anon_sym_PIPE,
    ACTIONS(2120), 1,
      anon_sym_CARET,
    ACTIONS(2122), 1,
      anon_sym_AMP,
    ACTIONS(2132), 1,
      anon_sym_GT_GT,
    ACTIONS(2134), 1,
      anon_sym_QMARK,
    ACTIONS(2108), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2110), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2124), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2126), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(2130), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2112), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2128), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1191), 6,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1189), 8,
      anon_sym_RBRACE,
      anon_sym_LT_DASH,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [59589] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(717), 1,
      anon_sym_SEMI,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2144), 2,
      anon_sym_RBRACE,
      anon_sym_LT_SLASH,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(2142), 4,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [59681] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(2148), 1,
      anon_sym_SEMI,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2150), 2,
      anon_sym_RBRACE,
      anon_sym_LT_SLASH,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(2146), 4,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [59773] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(2152), 1,
      anon_sym_SEMI,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2144), 2,
      anon_sym_RBRACE,
      anon_sym_LT_SLASH,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(2142), 4,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [59865] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2154), 1,
      anon_sym_DOT,
    ACTIONS(1093), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(1091), 22,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LT_DASH,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [59917] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2156), 1,
      anon_sym_DOT,
    ACTIONS(937), 19,
      anon_sym_else,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(935), 22,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LT_DASH,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [59969] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(2102), 1,
      anon_sym_in,
    ACTIONS(2104), 1,
      anon_sym_EQ,
    ACTIONS(2114), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2116), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2118), 1,
      anon_sym_PIPE,
    ACTIONS(2120), 1,
      anon_sym_CARET,
    ACTIONS(2122), 1,
      anon_sym_AMP,
    ACTIONS(2132), 1,
      anon_sym_GT_GT,
    ACTIONS(2134), 1,
      anon_sym_QMARK,
    ACTIONS(931), 2,
      anon_sym_RBRACE,
      anon_sym_LT_SLASH,
    ACTIONS(2108), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2110), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2124), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2126), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(2130), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2112), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2128), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(933), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(2106), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [60059] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(2102), 1,
      anon_sym_in,
    ACTIONS(2104), 1,
      anon_sym_EQ,
    ACTIONS(2114), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2116), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2118), 1,
      anon_sym_PIPE,
    ACTIONS(2120), 1,
      anon_sym_CARET,
    ACTIONS(2122), 1,
      anon_sym_AMP,
    ACTIONS(2132), 1,
      anon_sym_GT_GT,
    ACTIONS(2134), 1,
      anon_sym_QMARK,
    ACTIONS(1097), 2,
      anon_sym_RBRACE,
      anon_sym_LT_SLASH,
    ACTIONS(2108), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2110), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2124), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2126), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(2130), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2112), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2128), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1099), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(2106), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [60149] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(829), 1,
      anon_sym_SEMI,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2140), 2,
      anon_sym_RBRACE,
      anon_sym_LT_SLASH,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(2136), 4,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [60241] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(2160), 1,
      anon_sym_SEMI,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2162), 2,
      anon_sym_RBRACE,
      anon_sym_LT_SLASH,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(2158), 4,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [60333] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(2102), 1,
      anon_sym_in,
    ACTIONS(2104), 1,
      anon_sym_EQ,
    ACTIONS(2114), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2116), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2118), 1,
      anon_sym_PIPE,
    ACTIONS(2120), 1,
      anon_sym_CARET,
    ACTIONS(2122), 1,
      anon_sym_AMP,
    ACTIONS(2132), 1,
      anon_sym_GT_GT,
    ACTIONS(2134), 1,
      anon_sym_QMARK,
    ACTIONS(907), 2,
      anon_sym_RBRACE,
      anon_sym_LT_SLASH,
    ACTIONS(2108), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2110), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2124), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2126), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(2130), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2112), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2128), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(909), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(2106), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [60423] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(2102), 1,
      anon_sym_in,
    ACTIONS(2104), 1,
      anon_sym_EQ,
    ACTIONS(2114), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2116), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2118), 1,
      anon_sym_PIPE,
    ACTIONS(2120), 1,
      anon_sym_CARET,
    ACTIONS(2122), 1,
      anon_sym_AMP,
    ACTIONS(2132), 1,
      anon_sym_GT_GT,
    ACTIONS(2134), 1,
      anon_sym_QMARK,
    ACTIONS(1165), 2,
      anon_sym_RBRACE,
      anon_sym_LT_SLASH,
    ACTIONS(2108), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2110), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2124), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2126), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(2130), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2112), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2128), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1167), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(2106), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [60513] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1902), 1,
      anon_sym_in,
    ACTIONS(1904), 1,
      anon_sym_EQ,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(1918), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1920), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1922), 1,
      anon_sym_PIPE,
    ACTIONS(1924), 1,
      anon_sym_CARET,
    ACTIONS(1926), 1,
      anon_sym_AMP,
    ACTIONS(1936), 1,
      anon_sym_GT_GT,
    ACTIONS(1938), 1,
      anon_sym_QMARK,
    ACTIONS(2164), 1,
      anon_sym_SEMI,
    ACTIONS(1912), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1914), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1928), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1930), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(1934), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2162), 2,
      anon_sym_RBRACE,
      anon_sym_LT_SLASH,
    ACTIONS(1916), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1932), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(2158), 4,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(1906), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [60605] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_LBRACK,
    ACTIONS(2102), 1,
      anon_sym_in,
    ACTIONS(2104), 1,
      anon_sym_EQ,
    ACTIONS(2114), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2116), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2118), 1,
      anon_sym_PIPE,
    ACTIONS(2120), 1,
      anon_sym_CARET,
    ACTIONS(2122), 1,
      anon_sym_AMP,
    ACTIONS(2132), 1,
      anon_sym_GT_GT,
    ACTIONS(2134), 1,
      anon_sym_QMARK,
    ACTIONS(1305), 2,
      anon_sym_RBRACE,
      anon_sym_LT_SLASH,
    ACTIONS(2108), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2110), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2124), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2126), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
    ACTIONS(2130), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2112), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2128), 4,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1307), 5,
      anon_sym_else,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
    ACTIONS(2106), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [60695] = 5,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(861), 1,
      anon_sym_LF,
    ACTIONS(2166), 1,
      anon_sym_else,
    STATE(1303), 1,
      sym_else_statement,
    ACTIONS(863), 37,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [60747] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2168), 1,
      anon_sym_SEMI,
    ACTIONS(2170), 1,
      anon_sym_else,
    STATE(906), 1,
      sym_else_statement,
    ACTIONS(861), 2,
      anon_sym_while,
      anon_sym_catch,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [60839] = 23,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(861), 1,
      anon_sym_LF,
    ACTIONS(863), 1,
      anon_sym_COMMA,
    ACTIONS(2166), 1,
      anon_sym_else,
    ACTIONS(2172), 1,
      anon_sym_SEMI,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    STATE(1303), 1,
      sym_else_statement,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [60927] = 5,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(861), 1,
      anon_sym_LF,
    ACTIONS(2166), 1,
      anon_sym_else,
    STATE(1303), 1,
      sym_else_statement,
    ACTIONS(863), 37,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [60979] = 5,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(855), 1,
      anon_sym_LF,
    ACTIONS(2166), 1,
      anon_sym_else,
    STATE(1263), 1,
      sym_else_statement,
    ACTIONS(857), 37,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [61031] = 14,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(917), 15,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [61100] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1261), 1,
      anon_sym_LF,
    ACTIONS(1263), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [61147] = 21,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1215), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2208), 1,
      anon_sym_SEMI,
    ACTIONS(1217), 2,
      anon_sym_else,
      anon_sym_COMMA,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [61230] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1215), 1,
      anon_sym_LF,
    ACTIONS(1217), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [61277] = 21,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(911), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2210), 1,
      anon_sym_SEMI,
    ACTIONS(913), 2,
      anon_sym_else,
      anon_sym_COMMA,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [61360] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1215), 1,
      anon_sym_LF,
    ACTIONS(1217), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [61407] = 21,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2212), 1,
      anon_sym_SEMI,
    ACTIONS(1229), 2,
      anon_sym_else,
      anon_sym_COMMA,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [61490] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LF,
    ACTIONS(1225), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [61537] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1147), 1,
      anon_sym_LF,
    ACTIONS(1149), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [61584] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(953), 1,
      anon_sym_LF,
    ACTIONS(955), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [61631] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(953), 1,
      anon_sym_LF,
    ACTIONS(955), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [61678] = 21,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(953), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2214), 1,
      anon_sym_SEMI,
    ACTIONS(955), 2,
      anon_sym_else,
      anon_sym_COMMA,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [61761] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1151), 1,
      anon_sym_LF,
    ACTIONS(1153), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [61808] = 20,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(907), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(909), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_COMMA,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [61889] = 20,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1097), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1099), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_COMMA,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [61970] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1151), 1,
      anon_sym_LF,
    ACTIONS(1153), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [62017] = 21,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1151), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2216), 1,
      anon_sym_SEMI,
    ACTIONS(1153), 2,
      anon_sym_else,
      anon_sym_COMMA,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [62100] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1279), 1,
      anon_sym_LF,
    ACTIONS(1281), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [62147] = 9,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(917), 28,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [62206] = 10,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(917), 25,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [62267] = 11,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(917), 19,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [62330] = 12,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(917), 17,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [62395] = 13,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(917), 16,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [62462] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1111), 1,
      anon_sym_LF,
    ACTIONS(1113), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [62509] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LF,
    ACTIONS(947), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [62556] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LF,
    ACTIONS(947), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [62603] = 21,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2218), 1,
      anon_sym_SEMI,
    ACTIONS(1079), 2,
      anon_sym_else,
      anon_sym_COMMA,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [62686] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_LF,
    ACTIONS(1079), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [62733] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_LF,
    ACTIONS(1079), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [62780] = 21,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1105), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2220), 1,
      anon_sym_SEMI,
    ACTIONS(1107), 2,
      anon_sym_else,
      anon_sym_COMMA,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [62863] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1105), 1,
      anon_sym_LF,
    ACTIONS(1107), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [62910] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1105), 1,
      anon_sym_LF,
    ACTIONS(1107), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [62957] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1169), 1,
      anon_sym_LF,
    ACTIONS(1171), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [63004] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1173), 1,
      anon_sym_LF,
    ACTIONS(1175), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [63051] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1185), 1,
      anon_sym_LF,
    ACTIONS(1187), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [63098] = 4,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1209), 1,
      anon_sym_LF,
    ACTIONS(2222), 1,
      anon_sym_SEMI,
    ACTIONS(1211), 37,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [63147] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1209), 1,
      anon_sym_LF,
    ACTIONS(1211), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [63194] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1235), 1,
      anon_sym_LF,
    ACTIONS(1237), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [63241] = 21,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1239), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2224), 1,
      anon_sym_SEMI,
    ACTIONS(1241), 2,
      anon_sym_else,
      anon_sym_COMMA,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [63324] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1375), 1,
      anon_sym_LF,
    ACTIONS(1377), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [63371] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1375), 1,
      anon_sym_LF,
    ACTIONS(1377), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [63418] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1391), 1,
      anon_sym_LF,
    ACTIONS(1393), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [63465] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1387), 1,
      anon_sym_LF,
    ACTIONS(1389), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [63512] = 20,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1379), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1381), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_COMMA,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [63593] = 21,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1345), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2226), 1,
      anon_sym_SEMI,
    ACTIONS(1347), 2,
      anon_sym_else,
      anon_sym_COMMA,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [63676] = 16,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(917), 12,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [63749] = 7,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(917), 33,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [63804] = 8,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(917), 30,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [63861] = 20,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(927), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(929), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_COMMA,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [63942] = 20,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(931), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(933), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_COMMA,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [64023] = 15,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(917), 14,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [64094] = 20,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1257), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1259), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_COMMA,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [64175] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1219), 1,
      anon_sym_LF,
    ACTIONS(1221), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [64222] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1291), 1,
      anon_sym_LF,
    ACTIONS(1293), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [64269] = 6,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1291), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 35,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [64322] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1351), 1,
      anon_sym_LF,
    ACTIONS(1353), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [64369] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(981), 1,
      anon_sym_LF,
    ACTIONS(983), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [64416] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(985), 1,
      anon_sym_LF,
    ACTIONS(987), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [64463] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(989), 1,
      anon_sym_LF,
    ACTIONS(991), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [64510] = 4,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(993), 1,
      anon_sym_LF,
    ACTIONS(2228), 1,
      anon_sym_SEMI,
    ACTIONS(995), 37,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [64559] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(993), 1,
      anon_sym_LF,
    ACTIONS(995), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [64606] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1003), 1,
      anon_sym_LF,
    ACTIONS(1005), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [64653] = 21,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1011), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2230), 1,
      anon_sym_SEMI,
    ACTIONS(1013), 2,
      anon_sym_else,
      anon_sym_COMMA,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [64736] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1011), 1,
      anon_sym_LF,
    ACTIONS(1013), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [64783] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1011), 1,
      anon_sym_LF,
    ACTIONS(1013), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [64830] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1345), 1,
      anon_sym_LF,
    ACTIONS(1347), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [64877] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1239), 1,
      anon_sym_LF,
    ACTIONS(1241), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [64924] = 20,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1305), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1307), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_COMMA,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [65005] = 18,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
    ACTIONS(1191), 10,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [65082] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1345), 1,
      anon_sym_LF,
    ACTIONS(1347), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [65129] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(783), 1,
      anon_sym_SEMI,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1375), 3,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [65216] = 21,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1017), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2232), 1,
      anon_sym_SEMI,
    ACTIONS(1019), 2,
      anon_sym_else,
      anon_sym_COMMA,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [65299] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1325), 1,
      anon_sym_LF,
    ACTIONS(1327), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [65346] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1317), 1,
      anon_sym_LF,
    ACTIONS(1319), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [65393] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1313), 1,
      anon_sym_LF,
    ACTIONS(1315), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [65440] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1253), 1,
      anon_sym_LF,
    ACTIONS(1255), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [65487] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1309), 1,
      anon_sym_LF,
    ACTIONS(1311), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [65534] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_LF,
    ACTIONS(1191), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [65581] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1017), 1,
      anon_sym_LF,
    ACTIONS(1019), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [65628] = 4,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1273), 1,
      anon_sym_LF,
    ACTIONS(2234), 1,
      anon_sym_SEMI,
    ACTIONS(1275), 37,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [65677] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1115), 1,
      anon_sym_LF,
    ACTIONS(1117), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [65724] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1269), 1,
      anon_sym_LF,
    ACTIONS(1271), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [65771] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_LF,
    ACTIONS(1229), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [65818] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1065), 1,
      anon_sym_LF,
    ACTIONS(1067), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [65865] = 4,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1091), 1,
      anon_sym_LF,
    ACTIONS(2236), 1,
      anon_sym_DOT,
    ACTIONS(1093), 37,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [65914] = 21,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2238), 1,
      anon_sym_SEMI,
    ACTIONS(947), 2,
      anon_sym_else,
      anon_sym_COMMA,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [65997] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1283), 1,
      anon_sym_LF,
    ACTIONS(1285), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [66044] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1087), 1,
      anon_sym_LF,
    ACTIONS(1089), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [66091] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1295), 1,
      anon_sym_LF,
    ACTIONS(1297), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [66138] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1157), 1,
      anon_sym_LF,
    ACTIONS(1159), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [66185] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_LF,
    ACTIONS(1229), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [66232] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1057), 1,
      anon_sym_LF,
    ACTIONS(1059), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [66279] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1243), 1,
      anon_sym_LF,
    ACTIONS(1245), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [66326] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1239), 1,
      anon_sym_LF,
    ACTIONS(1241), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [66373] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1383), 1,
      anon_sym_LF,
    ACTIONS(1385), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [66420] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1017), 1,
      anon_sym_LF,
    ACTIONS(1019), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [66467] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(911), 1,
      anon_sym_LF,
    ACTIONS(913), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [66514] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(911), 1,
      anon_sym_LF,
    ACTIONS(913), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [66561] = 21,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1199), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2240), 1,
      anon_sym_SEMI,
    ACTIONS(1201), 2,
      anon_sym_else,
      anon_sym_COMMA,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [66644] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1329), 1,
      anon_sym_LF,
    ACTIONS(1331), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [66691] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1199), 1,
      anon_sym_LF,
    ACTIONS(1201), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [66738] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1199), 1,
      anon_sym_LF,
    ACTIONS(1201), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [66785] = 4,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1329), 1,
      anon_sym_LF,
    ACTIONS(2242), 1,
      anon_sym_SEMI,
    ACTIONS(1331), 37,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [66834] = 20,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1165), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1167), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_COMMA,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [66915] = 21,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1141), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2244), 1,
      anon_sym_SEMI,
    ACTIONS(1143), 2,
      anon_sym_else,
      anon_sym_COMMA,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [66998] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1141), 1,
      anon_sym_LF,
    ACTIONS(1143), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [67045] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1137), 1,
      anon_sym_LF,
    ACTIONS(1139), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [67092] = 21,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1131), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2246), 1,
      anon_sym_SEMI,
    ACTIONS(1133), 2,
      anon_sym_else,
      anon_sym_COMMA,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [67175] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1131), 1,
      anon_sym_LF,
    ACTIONS(1133), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [67222] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_LF,
    ACTIONS(1029), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [67269] = 21,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1375), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2248), 1,
      anon_sym_SEMI,
    ACTIONS(1377), 2,
      anon_sym_else,
      anon_sym_COMMA,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [67352] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1131), 1,
      anon_sym_LF,
    ACTIONS(1133), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [67399] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1031), 1,
      anon_sym_LF,
    ACTIONS(1033), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [67446] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1039), 1,
      anon_sym_LF,
    ACTIONS(1041), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [67493] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1035), 1,
      anon_sym_LF,
    ACTIONS(1037), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [67540] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1127), 1,
      anon_sym_LF,
    ACTIONS(1129), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [67587] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2250), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SLASH_GT,
    ACTIONS(1163), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1161), 22,
      anon_sym_LPAREN,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [67636] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2250), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SLASH_GT,
    ACTIONS(1183), 13,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1181), 22,
      anon_sym_LPAREN,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [67685] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1119), 1,
      anon_sym_LF,
    ACTIONS(1121), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [67732] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1007), 1,
      anon_sym_LF,
    ACTIONS(1009), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [67779] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1083), 1,
      anon_sym_LF,
    ACTIONS(1085), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [67826] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(977), 1,
      anon_sym_LF,
    ACTIONS(979), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [67873] = 4,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1043), 1,
      anon_sym_LF,
    ACTIONS(2252), 1,
      anon_sym_SEMI,
    ACTIONS(1045), 37,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [67922] = 21,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1339), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2254), 1,
      anon_sym_SEMI,
    ACTIONS(1341), 2,
      anon_sym_else,
      anon_sym_COMMA,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [68005] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1339), 1,
      anon_sym_LF,
    ACTIONS(1341), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [68052] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1043), 1,
      anon_sym_LF,
    ACTIONS(1045), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [68099] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_LF,
    ACTIONS(1071), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [68146] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1049), 1,
      anon_sym_LF,
    ACTIONS(1051), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [68193] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(999), 1,
      anon_sym_LF,
    ACTIONS(1001), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [68240] = 21,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_SEMI,
    ACTIONS(963), 2,
      anon_sym_else,
      anon_sym_COMMA,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [68323] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_LF,
    ACTIONS(963), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [68370] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_LF,
    ACTIONS(963), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [68417] = 4,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(949), 1,
      anon_sym_LF,
    ACTIONS(2258), 1,
      anon_sym_COMMA,
    ACTIONS(951), 37,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [68466] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym_SEMI,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(911), 3,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [68553] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1053), 1,
      anon_sym_LF,
    ACTIONS(1055), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [68600] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1061), 1,
      anon_sym_LF,
    ACTIONS(1063), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [68647] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1101), 1,
      anon_sym_LF,
    ACTIONS(1103), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [68694] = 21,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(949), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2258), 1,
      anon_sym_COMMA,
    ACTIONS(951), 2,
      anon_sym_SEMI,
      anon_sym_else,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [68777] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2068), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1239), 3,
      anon_sym_else,
      anon_sym_while,
      anon_sym_catch,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [68864] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1161), 1,
      anon_sym_LF,
    ACTIONS(1163), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [68911] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(949), 1,
      anon_sym_LF,
    ACTIONS(951), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [68958] = 4,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_LF,
    ACTIONS(2260), 1,
      anon_sym_DOT,
    ACTIONS(937), 37,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [69007] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(965), 1,
      anon_sym_LF,
    ACTIONS(967), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [69054] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1177), 1,
      anon_sym_LF,
    ACTIONS(1179), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [69101] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1339), 1,
      anon_sym_LF,
    ACTIONS(1341), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [69148] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1181), 1,
      anon_sym_LF,
    ACTIONS(1183), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [69195] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1195), 1,
      anon_sym_LF,
    ACTIONS(1197), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [69242] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(923), 1,
      anon_sym_LF,
    ACTIONS(925), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [69289] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_LF,
    ACTIONS(1207), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [69336] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(927), 1,
      anon_sym_LF,
    ACTIONS(929), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [69383] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(931), 1,
      anon_sym_LF,
    ACTIONS(933), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [69430] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1249), 1,
      anon_sym_LF,
    ACTIONS(1251), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [69477] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1265), 1,
      anon_sym_LF,
    ACTIONS(1267), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [69524] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1287), 1,
      anon_sym_LF,
    ACTIONS(1289), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [69571] = 21,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1287), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2262), 1,
      anon_sym_SEMI,
    ACTIONS(1289), 2,
      anon_sym_else,
      anon_sym_COMMA,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [69654] = 4,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1287), 1,
      anon_sym_LF,
    ACTIONS(2262), 1,
      anon_sym_SEMI,
    ACTIONS(1289), 37,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [69703] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_LF,
    ACTIONS(1371), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [69750] = 20,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1365), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1367), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_COMMA,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [69831] = 5,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1355), 1,
      anon_sym_LF,
    ACTIONS(2264), 1,
      anon_sym_COMMA,
    ACTIONS(2266), 2,
      anon_sym_EQ,
      anon_sym_LT_DASH,
    ACTIONS(1357), 35,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [69882] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1333), 1,
      anon_sym_LF,
    ACTIONS(1335), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [69929] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(941), 1,
      anon_sym_LF,
    ACTIONS(943), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [69976] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_LF,
    ACTIONS(971), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [70023] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1321), 1,
      anon_sym_LF,
    ACTIONS(1323), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [70070] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(973), 1,
      anon_sym_LF,
    ACTIONS(975), 38,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [70117] = 21,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(1299), 1,
      anon_sym_LF,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2268), 1,
      anon_sym_SEMI,
    ACTIONS(1301), 2,
      anon_sym_else,
      anon_sym_COMMA,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [70200] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2270), 1,
      anon_sym_SEMI,
    ACTIONS(2272), 1,
      anon_sym_catch,
    STATE(240), 1,
      sym_catch_statement,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [70288] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2274), 1,
      anon_sym_COMMA,
    ACTIONS(2276), 1,
      anon_sym_RBRACK,
    STATE(1635), 1,
      aux_sym_array_repeat1,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [70376] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2278), 1,
      anon_sym_SEMI,
    ACTIONS(2280), 1,
      anon_sym_catch,
    STATE(928), 1,
      sym_catch_statement,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [70464] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2282), 1,
      anon_sym_RPAREN,
    ACTIONS(2284), 1,
      anon_sym_COMMA,
    STATE(1654), 1,
      aux_sym_call_args_repeat1,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [70552] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2286), 1,
      anon_sym_COMMA,
    ACTIONS(2288), 1,
      anon_sym_RBRACK,
    STATE(1626), 1,
      aux_sym_array_repeat1,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [70640] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2290), 1,
      anon_sym_COMMA,
    ACTIONS(2292), 1,
      anon_sym_RBRACK,
    STATE(1619), 1,
      aux_sym_array_repeat1,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [70728] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2294), 1,
      anon_sym_SEMI,
    ACTIONS(2296), 1,
      anon_sym_catch,
    STATE(1248), 1,
      sym_catch_statement,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [70816] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2298), 1,
      anon_sym_SEMI,
    ACTIONS(2300), 1,
      anon_sym_catch,
    STATE(928), 1,
      sym_catch_statement,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [70904] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2290), 1,
      anon_sym_COMMA,
    ACTIONS(2302), 1,
      anon_sym_RBRACK,
    STATE(1619), 1,
      aux_sym_array_repeat1,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [70992] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_SEMI,
    ACTIONS(2306), 1,
      anon_sym_catch,
    STATE(992), 1,
      sym_catch_statement,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [71080] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2308), 1,
      anon_sym_COMMA,
    ACTIONS(2310), 1,
      anon_sym_RBRACK,
    STATE(1636), 1,
      aux_sym_array_repeat1,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [71168] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2312), 1,
      anon_sym_SEMI,
    ACTIONS(2314), 1,
      anon_sym_catch,
    STATE(992), 1,
      sym_catch_statement,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [71256] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2316), 1,
      anon_sym_SEMI,
    ACTIONS(2318), 1,
      anon_sym_catch,
    STATE(928), 1,
      sym_catch_statement,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [71344] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2320), 1,
      anon_sym_SEMI,
    ACTIONS(2322), 1,
      anon_sym_catch,
    STATE(240), 1,
      sym_catch_statement,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [71432] = 20,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2324), 1,
      anon_sym_SEMI,
    ACTIONS(2326), 1,
      anon_sym_LF,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [71511] = 20,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2328), 1,
      anon_sym_SEMI,
    ACTIONS(2330), 1,
      anon_sym_LF,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [71590] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2332), 1,
      anon_sym_SEMI,
    ACTIONS(2334), 1,
      anon_sym_while,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [71675] = 20,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2336), 1,
      anon_sym_SEMI,
    ACTIONS(2338), 1,
      anon_sym_LF,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [71754] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2340), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [71837] = 20,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2342), 1,
      anon_sym_SEMI,
    ACTIONS(2344), 1,
      anon_sym_LF,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [71916] = 20,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2346), 1,
      anon_sym_SEMI,
    ACTIONS(2348), 1,
      anon_sym_LF,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [71995] = 4,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_LF,
    ACTIONS(2350), 1,
      anon_sym_SEMI,
    ACTIONS(1183), 35,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [72042] = 4,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_LF,
    ACTIONS(2350), 1,
      anon_sym_SEMI,
    ACTIONS(1163), 35,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [72089] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2352), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [72172] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2354), 1,
      anon_sym_SEMI,
    ACTIONS(2356), 1,
      anon_sym_while,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [72257] = 20,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2358), 1,
      anon_sym_SEMI,
    ACTIONS(2360), 1,
      anon_sym_LF,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [72336] = 20,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2362), 1,
      anon_sym_SEMI,
    ACTIONS(2364), 1,
      anon_sym_LF,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [72415] = 20,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(2174), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    ACTIONS(2182), 1,
      anon_sym_DOT,
    ACTIONS(2184), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2194), 1,
      anon_sym_PIPE,
    ACTIONS(2196), 1,
      anon_sym_CARET,
    ACTIONS(2198), 1,
      anon_sym_AMP,
    ACTIONS(2206), 1,
      anon_sym_QMARK,
    ACTIONS(2366), 1,
      anon_sym_SEMI,
    ACTIONS(2368), 1,
      anon_sym_LF,
    ACTIONS(2176), 2,
      anon_sym_in,
      anon_sym_AMP_AMP,
    ACTIONS(2186), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2188), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2200), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2190), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2204), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(2180), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
    ACTIONS(2202), 6,
      anon_sym_LT_EQ_GT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_instanceof,
  [72494] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2370), 1,
      anon_sym_SEMI,
    ACTIONS(2372), 1,
      anon_sym_while,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [72579] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2374), 1,
      anon_sym_SEMI,
    ACTIONS(2376), 1,
      anon_sym_while,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [72664] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2378), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [72746] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2380), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [72828] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2382), 1,
      anon_sym_COLON,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [72910] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2384), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [72992] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2386), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [73074] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2388), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [73156] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2390), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [73238] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2392), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [73320] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2394), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [73402] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2396), 1,
      anon_sym_COLON,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [73484] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2398), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [73566] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2400), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [73648] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2402), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [73730] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2404), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [73812] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2406), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [73894] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2408), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [73976] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2410), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [74058] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2412), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [74140] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2414), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [74222] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [74304] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_COLON,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [74386] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2420), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [74468] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2422), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [74550] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2424), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [74632] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2426), 1,
      anon_sym_RBRACK,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [74714] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2428), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [74796] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2430), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [74878] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2432), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [74960] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2434), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [75042] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2436), 1,
      anon_sym_COLON,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [75124] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2438), 1,
      anon_sym_RBRACK,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [75206] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2440), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [75288] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2442), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [75370] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2444), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [75452] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2446), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [75534] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2448), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [75616] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2450), 1,
      anon_sym_RBRACK,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [75698] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2452), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [75780] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2454), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [75862] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [75944] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2458), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [76026] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2460), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [76108] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2462), 1,
      anon_sym_COLON,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [76190] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2464), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [76272] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2466), 1,
      anon_sym_COLON,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [76354] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2468), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [76436] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2470), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [76518] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2472), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [76600] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2474), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [76682] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2476), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [76764] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2478), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [76846] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2480), 1,
      anon_sym_RBRACK,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [76928] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2482), 1,
      anon_sym_COLON,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [77010] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [77092] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2486), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [77174] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2488), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [77256] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2490), 1,
      anon_sym_COLON,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [77338] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2492), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [77420] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2494), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [77502] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2496), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [77584] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2498), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [77666] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2500), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [77748] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2502), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [77830] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2504), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [77912] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2506), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [77994] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2508), 1,
      anon_sym_COLON,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [78076] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2510), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [78158] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2512), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [78240] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2514), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [78322] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2516), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [78404] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2518), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [78486] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2520), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [78568] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2522), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [78650] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2524), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [78732] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2526), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [78814] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2528), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [78896] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2530), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [78978] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2532), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [79060] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2534), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [79142] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2536), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [79224] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2538), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [79306] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2540), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [79388] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2542), 1,
      anon_sym_EQ,
    ACTIONS(1163), 12,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1161), 23,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [79434] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2544), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [79516] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2546), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [79598] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2548), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [79680] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2550), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [79762] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2552), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [79844] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2554), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [79926] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2556), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [80008] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2558), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [80090] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2560), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [80172] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2562), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [80254] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2564), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [80336] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2566), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [80418] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2568), 1,
      anon_sym_RBRACK,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [80500] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2570), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [80582] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2572), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [80664] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2574), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [80746] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2576), 1,
      anon_sym_EQ,
    ACTIONS(1067), 12,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(1065), 23,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT_DASH,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [80792] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2578), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [80874] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2580), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [80956] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2582), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [81038] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2584), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [81120] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2586), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [81202] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2588), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [81284] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2590), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [81366] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2592), 1,
      anon_sym_RBRACK,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [81448] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1808), 1,
      anon_sym_in,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1824), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1826), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1842), 1,
      anon_sym_GT_GT,
    ACTIONS(1844), 1,
      anon_sym_QMARK,
    ACTIONS(2594), 1,
      anon_sym_SEMI,
    ACTIONS(1818), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1834), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1840), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1822), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1836), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1838), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1812), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [81530] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2596), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [81612] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2598), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [81694] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2600), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [81776] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2602), 1,
      anon_sym_RPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [81858] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [81937] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1814), 1,
      anon_sym_DOT,
    ACTIONS(1816), 1,
      anon_sym_LBRACK,
    ACTIONS(1978), 1,
      anon_sym_in,
    ACTIONS(1980), 1,
      anon_sym_EQ,
    ACTIONS(1990), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1992), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1994), 1,
      anon_sym_PIPE,
    ACTIONS(1996), 1,
      anon_sym_CARET,
    ACTIONS(1998), 1,
      anon_sym_AMP,
    ACTIONS(2008), 1,
      anon_sym_GT_GT,
    ACTIONS(2010), 1,
      anon_sym_QMARK,
    ACTIONS(2604), 1,
      anon_sym_LPAREN,
    ACTIONS(1984), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1986), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2000), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1988), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2002), 3,
      anon_sym_LT_EQ_GT,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(2004), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1982), 6,
      anon_sym_LT_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
  [82016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1477), 13,
      anon_sym_resume,
      anon_sym_function,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_delete,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
    ACTIONS(1479), 14,
      sym_verbatim_string,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
  [82051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 13,
      anon_sym_resume,
      anon_sym_function,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_delete,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
    ACTIONS(2608), 14,
      sym_verbatim_string,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
  [82086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1481), 13,
      anon_sym_resume,
      anon_sym_function,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_delete,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
    ACTIONS(1483), 14,
      sym_verbatim_string,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
  [82121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2610), 13,
      anon_sym_resume,
      anon_sym_function,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_delete,
      anon_sym_rawcall,
      anon_sym_clone,
      sym_identifier,
      sym_integer,
      anon_sym_SQUOTE,
      anon_sym_true,
      anon_sym_false,
      sym_null,
    ACTIONS(1508), 14,
      sym_verbatim_string,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_AT,
      sym_float,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_POUND_SQUOTE,
  [82156] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2614), 1,
      anon_sym_RBRACE,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1480), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [82194] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2626), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1480), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [82232] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2628), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1480), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [82270] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2630), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1480), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [82308] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2632), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1474), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [82346] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2634), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1480), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [82384] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2636), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1501), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [82422] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2634), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1492), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [82460] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2638), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1494), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [82498] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2640), 1,
      sym_identifier,
    ACTIONS(2643), 1,
      anon_sym_RBRACE,
    ACTIONS(2645), 1,
      anon_sym_function,
    ACTIONS(2648), 1,
      anon_sym_LBRACK,
    ACTIONS(2651), 1,
      anon_sym_constructor,
    ACTIONS(2654), 1,
      anon_sym_static,
    ACTIONS(2657), 1,
      anon_sym_LT_SLASH,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1480), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [82536] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2660), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1471), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [82574] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2636), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1480), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [82612] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2662), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1476), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [82650] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2660), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1480), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [82688] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2662), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1480), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [82726] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2664), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1480), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [82764] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2666), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1480), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [82802] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2668), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1486), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [82840] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2630), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1487), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [82878] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2632), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1480), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [82916] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2670), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1485), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [82954] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2668), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1480), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [82992] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2638), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1480), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [83030] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2672), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1480), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [83068] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2674), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1493), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [83106] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2672), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1508), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [83144] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2676), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1498), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [83182] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2678), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1480), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [83220] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2626), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1484), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [83258] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2680), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1509), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [83296] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2682), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1480), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [83334] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2684), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1472), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [83372] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2686), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1506), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [83410] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2614), 1,
      anon_sym_RBRACE,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1482), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [83448] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2664), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1473), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [83486] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2688), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1480), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [83524] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2688), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1511), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [83562] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2676), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1480), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [83600] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2674), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1480), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [83638] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2690), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1490), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [83676] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      sym_identifier,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2618), 1,
      anon_sym_LBRACK,
    ACTIONS(2620), 1,
      anon_sym_constructor,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2690), 1,
      anon_sym_RBRACE,
    STATE(1521), 1,
      sym_function_declaration,
    STATE(1523), 1,
      sym_attribute_declaration,
    STATE(1779), 1,
      sym_qualifier,
    STATE(1480), 2,
      sym_member_declaration,
      aux_sym_class_declaration_repeat2,
  [83714] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      anon_sym_SEMI,
    ACTIONS(2150), 3,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
    ACTIONS(2146), 4,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
  [83732] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2152), 1,
      anon_sym_SEMI,
    ACTIONS(2144), 3,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
    ACTIONS(2142), 4,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
  [83750] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2138), 1,
      anon_sym_SEMI,
    ACTIONS(2140), 3,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
    ACTIONS(2136), 4,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
  [83768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2694), 3,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
    ACTIONS(2692), 4,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
  [83783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2144), 3,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
    ACTIONS(2142), 4,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
  [83798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2698), 3,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
    ACTIONS(2696), 4,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
  [83813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2694), 3,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
    ACTIONS(2692), 4,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
  [83828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2162), 3,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
    ACTIONS(2158), 4,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
  [83843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2162), 3,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
    ACTIONS(2158), 4,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
  [83858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2702), 3,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
    ACTIONS(2700), 4,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
  [83873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2144), 3,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
    ACTIONS(2142), 4,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
  [83888] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2616), 1,
      anon_sym_function,
    ACTIONS(2622), 1,
      anon_sym_static,
    ACTIONS(2704), 1,
      sym_identifier,
    ACTIONS(2706), 1,
      anon_sym_LBRACK,
    ACTIONS(2708), 1,
      anon_sym_constructor,
    STATE(1517), 1,
      sym_function_declaration,
    STATE(1862), 1,
      sym_qualifier,
  [83913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2140), 3,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
    ACTIONS(2136), 4,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
  [83928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2140), 3,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LT_SLASH,
    ACTIONS(2136), 4,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
  [83943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2712), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(2710), 4,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
  [83957] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2714), 1,
      anon_sym_LBRACE,
    ACTIONS(2716), 1,
      anon_sym_DOT,
    ACTIONS(2718), 1,
      anon_sym_extends,
    STATE(1540), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1780), 1,
      sym_attribute_declaration,
  [83979] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2720), 1,
      anon_sym_RBRACE,
    ACTIONS(2722), 1,
      anon_sym_case,
    ACTIONS(2724), 1,
      anon_sym_default,
    STATE(1967), 1,
      sym_default_statement,
    STATE(1532), 2,
      sym_case_statement,
      aux_sym_switch_statement_repeat1,
  [83999] = 5,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(2726), 1,
      anon_sym_DQUOTE,
    ACTIONS(2728), 1,
      sym_string_content,
    ACTIONS(2730), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(1542), 2,
      sym__escape_sequence,
      aux_sym_string_repeat1,
  [84017] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2722), 1,
      anon_sym_case,
    ACTIONS(2724), 1,
      anon_sym_default,
    ACTIONS(2732), 1,
      anon_sym_RBRACE,
    STATE(1868), 1,
      sym_default_statement,
    STATE(1580), 2,
      sym_case_statement,
      aux_sym_switch_statement_repeat1,
  [84037] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2722), 1,
      anon_sym_case,
    ACTIONS(2724), 1,
      anon_sym_default,
    ACTIONS(2734), 1,
      anon_sym_RBRACE,
    STATE(1778), 1,
      sym_default_statement,
    STATE(1539), 2,
      sym_case_statement,
      aux_sym_switch_statement_repeat1,
  [84057] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2722), 1,
      anon_sym_case,
    ACTIONS(2724), 1,
      anon_sym_default,
    ACTIONS(2736), 1,
      anon_sym_RBRACE,
    STATE(1968), 1,
      sym_default_statement,
    STATE(1580), 2,
      sym_case_statement,
      aux_sym_switch_statement_repeat1,
  [84077] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2716), 1,
      anon_sym_DOT,
    ACTIONS(2738), 1,
      anon_sym_LBRACE,
    ACTIONS(2740), 1,
      anon_sym_extends,
    STATE(1537), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1757), 1,
      sym_attribute_declaration,
  [84099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2744), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(2742), 4,
      anon_sym_function,
      anon_sym_constructor,
      anon_sym_static,
      sym_identifier,
  [84113] = 5,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(2746), 1,
      anon_sym_DQUOTE,
    ACTIONS(2748), 1,
      sym_string_content,
    ACTIONS(2750), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(1538), 2,
      sym__escape_sequence,
      aux_sym_string_repeat1,
  [84131] = 5,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(2728), 1,
      sym_string_content,
    ACTIONS(2752), 1,
      anon_sym_DQUOTE,
    ACTIONS(2730), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(1542), 2,
      sym__escape_sequence,
      aux_sym_string_repeat1,
  [84149] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2716), 1,
      anon_sym_DOT,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
    ACTIONS(2756), 1,
      anon_sym_extends,
    STATE(1567), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1763), 1,
      sym_attribute_declaration,
  [84171] = 5,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(2728), 1,
      sym_string_content,
    ACTIONS(2758), 1,
      anon_sym_DQUOTE,
    ACTIONS(2730), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(1542), 2,
      sym__escape_sequence,
      aux_sym_string_repeat1,
  [84189] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2722), 1,
      anon_sym_case,
    ACTIONS(2724), 1,
      anon_sym_default,
    ACTIONS(2760), 1,
      anon_sym_RBRACE,
    STATE(1837), 1,
      sym_default_statement,
    STATE(1580), 2,
      sym_case_statement,
      aux_sym_switch_statement_repeat1,
  [84209] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2716), 1,
      anon_sym_DOT,
    ACTIONS(2762), 1,
      anon_sym_LBRACE,
    ACTIONS(2764), 1,
      anon_sym_extends,
    STATE(1567), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1790), 1,
      sym_attribute_declaration,
  [84231] = 5,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(2766), 1,
      anon_sym_DQUOTE,
    ACTIONS(2768), 1,
      sym_string_content,
    ACTIONS(2770), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(1536), 2,
      sym__escape_sequence,
      aux_sym_string_repeat1,
  [84249] = 5,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(2772), 1,
      anon_sym_DQUOTE,
    ACTIONS(2774), 1,
      sym_string_content,
    ACTIONS(2777), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(1542), 2,
      sym__escape_sequence,
      aux_sym_string_repeat1,
  [84267] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2722), 1,
      anon_sym_case,
    ACTIONS(2724), 1,
      anon_sym_default,
    ACTIONS(2780), 1,
      anon_sym_RBRACE,
    STATE(1986), 1,
      sym_default_statement,
    STATE(1580), 2,
      sym_case_statement,
      aux_sym_switch_statement_repeat1,
  [84287] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2722), 1,
      anon_sym_case,
    ACTIONS(2724), 1,
      anon_sym_default,
    ACTIONS(2782), 1,
      anon_sym_RBRACE,
    STATE(1895), 1,
      sym_default_statement,
    STATE(1543), 2,
      sym_case_statement,
      aux_sym_switch_statement_repeat1,
  [84307] = 5,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(2784), 1,
      anon_sym_DQUOTE,
    ACTIONS(2786), 1,
      sym_string_content,
    ACTIONS(2788), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(1550), 2,
      sym__escape_sequence,
      aux_sym_string_repeat1,
  [84325] = 5,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_DQUOTE,
    ACTIONS(2792), 1,
      sym_string_content,
    ACTIONS(2794), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(1529), 2,
      sym__escape_sequence,
      aux_sym_string_repeat1,
  [84343] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2716), 1,
      anon_sym_DOT,
    ACTIONS(2796), 1,
      anon_sym_LBRACE,
    ACTIONS(2798), 1,
      anon_sym_extends,
    STATE(1551), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1961), 1,
      sym_attribute_declaration,
  [84365] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2716), 1,
      anon_sym_DOT,
    ACTIONS(2800), 1,
      anon_sym_LBRACE,
    ACTIONS(2802), 1,
      anon_sym_extends,
    STATE(1567), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1814), 1,
      sym_attribute_declaration,
  [84387] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2716), 1,
      anon_sym_DOT,
    ACTIONS(2804), 1,
      anon_sym_LBRACE,
    ACTIONS(2806), 1,
      anon_sym_extends,
    STATE(1548), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1815), 1,
      sym_attribute_declaration,
  [84409] = 5,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(2728), 1,
      sym_string_content,
    ACTIONS(2808), 1,
      anon_sym_DQUOTE,
    ACTIONS(2730), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(1542), 2,
      sym__escape_sequence,
      aux_sym_string_repeat1,
  [84427] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2716), 1,
      anon_sym_DOT,
    ACTIONS(2810), 1,
      anon_sym_LBRACE,
    ACTIONS(2812), 1,
      anon_sym_extends,
    STATE(1567), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1940), 1,
      sym_attribute_declaration,
  [84449] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2722), 1,
      anon_sym_case,
    ACTIONS(2724), 1,
      anon_sym_default,
    ACTIONS(2814), 1,
      anon_sym_RBRACE,
    STATE(1880), 1,
      sym_default_statement,
    STATE(1530), 2,
      sym_case_statement,
      aux_sym_switch_statement_repeat1,
  [84469] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_identifier,
    ACTIONS(2818), 1,
      anon_sym_RPAREN,
    ACTIONS(2820), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1656), 1,
      sym_parameter,
    STATE(1832), 1,
      sym_parameters,
  [84488] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_identifier,
    ACTIONS(2820), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2822), 1,
      anon_sym_RPAREN,
    STATE(1656), 1,
      sym_parameter,
    STATE(1943), 1,
      sym_parameters,
  [84507] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_identifier,
    ACTIONS(2820), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2824), 1,
      anon_sym_RPAREN,
    STATE(1656), 1,
      sym_parameter,
    STATE(1797), 1,
      sym_parameters,
  [84526] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_identifier,
    ACTIONS(2820), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2826), 1,
      anon_sym_RPAREN,
    STATE(1656), 1,
      sym_parameter,
    STATE(1788), 1,
      sym_parameters,
  [84545] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_identifier,
    ACTIONS(2820), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2828), 1,
      anon_sym_RPAREN,
    STATE(1656), 1,
      sym_parameter,
    STATE(1789), 1,
      sym_parameters,
  [84564] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_identifier,
    ACTIONS(2820), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2830), 1,
      anon_sym_RPAREN,
    STATE(1656), 1,
      sym_parameter,
    STATE(1812), 1,
      sym_parameters,
  [84583] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_identifier,
    ACTIONS(2820), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2832), 1,
      anon_sym_RPAREN,
    STATE(1656), 1,
      sym_parameter,
    STATE(2032), 1,
      sym_parameters,
  [84602] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_identifier,
    ACTIONS(2820), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2834), 1,
      anon_sym_RPAREN,
    STATE(1656), 1,
      sym_parameter,
    STATE(2029), 1,
      sym_parameters,
  [84621] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_identifier,
    ACTIONS(2820), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2836), 1,
      anon_sym_RPAREN,
    STATE(1656), 1,
      sym_parameter,
    STATE(1865), 1,
      sym_parameters,
  [84640] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_identifier,
    ACTIONS(2820), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2838), 1,
      anon_sym_RPAREN,
    STATE(1656), 1,
      sym_parameter,
    STATE(1809), 1,
      sym_parameters,
  [84659] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_identifier,
    ACTIONS(2820), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2840), 1,
      anon_sym_RPAREN,
    STATE(1656), 1,
      sym_parameter,
    STATE(1816), 1,
      sym_parameters,
  [84678] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_identifier,
    ACTIONS(2820), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2842), 1,
      anon_sym_RPAREN,
    STATE(1656), 1,
      sym_parameter,
    STATE(1821), 1,
      sym_parameters,
  [84697] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_identifier,
    ACTIONS(2820), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2844), 1,
      anon_sym_RPAREN,
    STATE(1656), 1,
      sym_parameter,
    STATE(2026), 1,
      sym_parameters,
  [84716] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_identifier,
    ACTIONS(2820), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2846), 1,
      anon_sym_RPAREN,
    STATE(1656), 1,
      sym_parameter,
    STATE(1824), 1,
      sym_parameters,
  [84735] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2850), 1,
      anon_sym_DOT,
    STATE(1567), 1,
      aux_sym_class_declaration_repeat1,
    ACTIONS(2848), 3,
      anon_sym_LBRACE,
      anon_sym_extends,
      anon_sym_LT_SLASH,
  [84750] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_identifier,
    ACTIONS(2820), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2853), 1,
      anon_sym_RPAREN,
    STATE(1656), 1,
      sym_parameter,
    STATE(1957), 1,
      sym_parameters,
  [84769] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_identifier,
    ACTIONS(2820), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2855), 1,
      anon_sym_RPAREN,
    STATE(1656), 1,
      sym_parameter,
    STATE(2023), 1,
      sym_parameters,
  [84788] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_identifier,
    ACTIONS(2820), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2857), 1,
      anon_sym_RPAREN,
    STATE(1656), 1,
      sym_parameter,
    STATE(2017), 1,
      sym_parameters,
  [84807] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_identifier,
    ACTIONS(2820), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2859), 1,
      anon_sym_RPAREN,
    STATE(1656), 1,
      sym_parameter,
    STATE(1921), 1,
      sym_parameters,
  [84826] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_identifier,
    ACTIONS(2820), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2861), 1,
      anon_sym_RPAREN,
    STATE(1656), 1,
      sym_parameter,
    STATE(1954), 1,
      sym_parameters,
  [84845] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_identifier,
    ACTIONS(2820), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2863), 1,
      anon_sym_RPAREN,
    STATE(1656), 1,
      sym_parameter,
    STATE(1926), 1,
      sym_parameters,
  [84864] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_identifier,
    ACTIONS(2820), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2865), 1,
      anon_sym_RPAREN,
    STATE(1656), 1,
      sym_parameter,
    STATE(1829), 1,
      sym_parameters,
  [84883] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_identifier,
    ACTIONS(2820), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2867), 1,
      anon_sym_RPAREN,
    STATE(1656), 1,
      sym_parameter,
    STATE(1987), 1,
      sym_parameters,
  [84902] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_identifier,
    ACTIONS(2820), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2869), 1,
      anon_sym_RPAREN,
    STATE(1656), 1,
      sym_parameter,
    STATE(1949), 1,
      sym_parameters,
  [84921] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_identifier,
    ACTIONS(2820), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2871), 1,
      anon_sym_RPAREN,
    STATE(1656), 1,
      sym_parameter,
    STATE(1767), 1,
      sym_parameters,
  [84940] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_identifier,
    ACTIONS(2820), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2873), 1,
      anon_sym_RPAREN,
    STATE(1656), 1,
      sym_parameter,
    STATE(1931), 1,
      sym_parameters,
  [84959] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_identifier,
    ACTIONS(2820), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2875), 1,
      anon_sym_RPAREN,
    STATE(1656), 1,
      sym_parameter,
    STATE(1965), 1,
      sym_parameters,
  [84978] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2879), 1,
      anon_sym_case,
    ACTIONS(2877), 2,
      anon_sym_RBRACE,
      anon_sym_default,
    STATE(1580), 2,
      sym_case_statement,
      aux_sym_switch_statement_repeat1,
  [84993] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_identifier,
    ACTIONS(2820), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2882), 1,
      anon_sym_RPAREN,
    STATE(1656), 1,
      sym_parameter,
    STATE(1944), 1,
      sym_parameters,
  [85012] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_identifier,
    ACTIONS(2820), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2884), 1,
      anon_sym_RPAREN,
    STATE(1656), 1,
      sym_parameter,
    STATE(1958), 1,
      sym_parameters,
  [85031] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_identifier,
    ACTIONS(2820), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2886), 1,
      anon_sym_RPAREN,
    STATE(1656), 1,
      sym_parameter,
    STATE(1850), 1,
      sym_parameters,
  [85050] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_identifier,
    ACTIONS(2820), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2888), 1,
      anon_sym_RPAREN,
    STATE(1656), 1,
      sym_parameter,
    STATE(1908), 1,
      sym_parameters,
  [85069] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_identifier,
    ACTIONS(2820), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2890), 1,
      anon_sym_RPAREN,
    STATE(1656), 1,
      sym_parameter,
    STATE(1945), 1,
      sym_parameters,
  [85088] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_identifier,
    ACTIONS(2820), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2892), 1,
      anon_sym_RPAREN,
    STATE(1656), 1,
      sym_parameter,
    STATE(1840), 1,
      sym_parameters,
  [85107] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2894), 1,
      anon_sym_RBRACE,
    ACTIONS(2896), 1,
      anon_sym_COMMA,
    ACTIONS(2898), 1,
      anon_sym_EQ,
    STATE(1605), 1,
      aux_sym_enum_declaration_repeat1,
  [85123] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_COMMA,
    ACTIONS(2900), 1,
      anon_sym_RBRACE,
    ACTIONS(2902), 1,
      anon_sym_EQ,
    STATE(1600), 1,
      aux_sym_enum_declaration_repeat1,
  [85139] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_COMMA,
    ACTIONS(2904), 1,
      anon_sym_RBRACE,
    ACTIONS(2906), 1,
      anon_sym_EQ,
    STATE(1640), 1,
      aux_sym_enum_declaration_repeat1,
  [85155] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_COMMA,
    ACTIONS(2908), 1,
      anon_sym_RBRACE,
    ACTIONS(2910), 1,
      anon_sym_EQ,
    STATE(1608), 1,
      aux_sym_enum_declaration_repeat1,
  [85171] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_else,
    STATE(869), 1,
      sym_else_statement,
    ACTIONS(855), 2,
      anon_sym_while,
      anon_sym_catch,
  [85185] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_COMMA,
    ACTIONS(2912), 1,
      anon_sym_RBRACE,
    ACTIONS(2914), 1,
      anon_sym_EQ,
    STATE(1651), 1,
      aux_sym_enum_declaration_repeat1,
  [85201] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_else,
    STATE(906), 1,
      sym_else_statement,
    ACTIONS(861), 2,
      anon_sym_while,
      anon_sym_catch,
  [85215] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_COMMA,
    ACTIONS(2916), 1,
      anon_sym_RBRACE,
    ACTIONS(2918), 1,
      anon_sym_EQ,
    STATE(1652), 1,
      aux_sym_enum_declaration_repeat1,
  [85231] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_else,
    STATE(906), 1,
      sym_else_statement,
    ACTIONS(861), 2,
      anon_sym_while,
      anon_sym_catch,
  [85245] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_COMMA,
    ACTIONS(2920), 1,
      anon_sym_RBRACE,
    ACTIONS(2922), 1,
      anon_sym_EQ,
    STATE(1643), 1,
      aux_sym_enum_declaration_repeat1,
  [85261] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_COMMA,
    ACTIONS(2924), 1,
      anon_sym_RBRACE,
    ACTIONS(2926), 1,
      anon_sym_EQ,
    STATE(1641), 1,
      aux_sym_enum_declaration_repeat1,
  [85277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2848), 4,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_extends,
      anon_sym_LT_SLASH,
  [85287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2250), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SLASH_GT,
  [85297] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_COMMA,
    ACTIONS(2928), 1,
      anon_sym_RBRACE,
    STATE(1610), 1,
      aux_sym_enum_declaration_repeat1,
  [85310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2932), 1,
      anon_sym_EQ,
    ACTIONS(2930), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [85321] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2934), 1,
      anon_sym_LPAREN,
    ACTIONS(2936), 1,
      anon_sym_COLON_COLON,
    STATE(1602), 1,
      aux_sym_function_declaration_repeat1,
  [85334] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_COMMA,
    ACTIONS(2939), 1,
      anon_sym_RBRACE,
    STATE(1610), 1,
      aux_sym_enum_declaration_repeat1,
  [85347] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2941), 1,
      anon_sym_RPAREN,
    ACTIONS(2943), 1,
      anon_sym_COMMA,
    STATE(1667), 1,
      aux_sym_parameters_repeat1,
  [85360] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_COMMA,
    ACTIONS(2945), 1,
      anon_sym_RBRACE,
    STATE(1610), 1,
      aux_sym_enum_declaration_repeat1,
  [85373] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2947), 1,
      anon_sym_LBRACE,
    STATE(1768), 1,
      sym_attribute_declaration,
  [85386] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2949), 1,
      anon_sym_LPAREN,
    ACTIONS(2951), 1,
      anon_sym_COLON_COLON,
    STATE(1617), 1,
      aux_sym_function_declaration_repeat1,
  [85399] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_COMMA,
    ACTIONS(2953), 1,
      anon_sym_RBRACE,
    STATE(1610), 1,
      aux_sym_enum_declaration_repeat1,
  [85412] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2955), 1,
      anon_sym_COMMA,
    ACTIONS(2958), 1,
      anon_sym_SLASH_GT,
    STATE(1609), 1,
      aux_sym_attribute_declaration_repeat1,
  [85425] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2960), 1,
      anon_sym_RBRACE,
    ACTIONS(2962), 1,
      anon_sym_COMMA,
    STATE(1610), 1,
      aux_sym_enum_declaration_repeat1,
  [85438] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_COMMA,
    ACTIONS(2945), 1,
      anon_sym_RBRACE,
    STATE(1669), 1,
      aux_sym_enum_declaration_repeat1,
  [85451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2965), 1,
      anon_sym_EQ,
    ACTIONS(2960), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [85462] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2951), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2967), 1,
      anon_sym_LPAREN,
    STATE(1602), 1,
      aux_sym_function_declaration_repeat1,
  [85475] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2969), 1,
      anon_sym_COMMA,
    ACTIONS(2971), 1,
      anon_sym_SLASH_GT,
    STATE(1670), 1,
      aux_sym_attribute_declaration_repeat1,
  [85488] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2951), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2973), 1,
      anon_sym_LPAREN,
    STATE(1621), 1,
      aux_sym_function_declaration_repeat1,
  [85501] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      sym_identifier,
    ACTIONS(2820), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1710), 1,
      sym_parameter,
  [85514] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2951), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2975), 1,
      anon_sym_LPAREN,
    STATE(1602), 1,
      aux_sym_function_declaration_repeat1,
  [85527] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2951), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2977), 1,
      anon_sym_LPAREN,
    STATE(1613), 1,
      aux_sym_function_declaration_repeat1,
  [85540] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_RBRACK,
    ACTIONS(2979), 1,
      anon_sym_COMMA,
    STATE(1644), 1,
      aux_sym_array_repeat1,
  [85553] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2981), 1,
      anon_sym_LBRACE,
    STATE(1766), 1,
      sym_attribute_declaration,
  [85566] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2951), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2983), 1,
      anon_sym_LPAREN,
    STATE(1602), 1,
      aux_sym_function_declaration_repeat1,
  [85579] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_COMMA,
    ACTIONS(2985), 1,
      anon_sym_RBRACE,
    STATE(1610), 1,
      aux_sym_enum_declaration_repeat1,
  [85592] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2987), 1,
      anon_sym_LBRACE,
    STATE(1795), 1,
      sym_attribute_declaration,
  [85605] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_COMMA,
    ACTIONS(2989), 1,
      anon_sym_RBRACE,
    STATE(1610), 1,
      aux_sym_enum_declaration_repeat1,
  [85618] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2951), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2991), 1,
      anon_sym_LPAREN,
    STATE(1648), 1,
      aux_sym_function_declaration_repeat1,
  [85631] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1728), 1,
      anon_sym_RBRACK,
    ACTIONS(2993), 1,
      anon_sym_COMMA,
    STATE(1644), 1,
      aux_sym_array_repeat1,
  [85644] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2995), 1,
      anon_sym_LBRACE,
    STATE(1866), 1,
      sym_attribute_declaration,
  [85657] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2997), 1,
      anon_sym_LBRACE,
    STATE(1800), 1,
      sym_attribute_declaration,
  [85670] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(2999), 1,
      anon_sym_LBRACE,
    STATE(1916), 1,
      sym_attribute_declaration,
  [85683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
    STATE(1799), 1,
      sym_attribute_declaration,
  [85696] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2282), 1,
      anon_sym_RPAREN,
    ACTIONS(2284), 1,
      anon_sym_COMMA,
    STATE(1654), 1,
      aux_sym_call_args_repeat1,
  [85709] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_COMMA,
    ACTIONS(2989), 1,
      anon_sym_RBRACE,
    STATE(1603), 1,
      aux_sym_enum_declaration_repeat1,
  [85722] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2951), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3003), 1,
      anon_sym_LPAREN,
    STATE(1634), 1,
      aux_sym_function_declaration_repeat1,
  [85735] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2951), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3005), 1,
      anon_sym_LPAREN,
    STATE(1602), 1,
      aux_sym_function_declaration_repeat1,
  [85748] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1744), 1,
      anon_sym_RBRACK,
    ACTIONS(3007), 1,
      anon_sym_COMMA,
    STATE(1644), 1,
      aux_sym_array_repeat1,
  [85761] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1782), 1,
      anon_sym_RBRACK,
    ACTIONS(3009), 1,
      anon_sym_COMMA,
    STATE(1644), 1,
      aux_sym_array_repeat1,
  [85774] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2951), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3011), 1,
      anon_sym_LPAREN,
    STATE(1639), 1,
      aux_sym_function_declaration_repeat1,
  [85787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(3013), 1,
      anon_sym_LBRACE,
    STATE(1888), 1,
      sym_attribute_declaration,
  [85800] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2951), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    STATE(1602), 1,
      aux_sym_function_declaration_repeat1,
  [85813] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_COMMA,
    ACTIONS(2908), 1,
      anon_sym_RBRACE,
    STATE(1610), 1,
      aux_sym_enum_declaration_repeat1,
  [85826] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_COMMA,
    ACTIONS(2900), 1,
      anon_sym_RBRACE,
    STATE(1610), 1,
      aux_sym_enum_declaration_repeat1,
  [85839] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(3017), 1,
      anon_sym_LBRACE,
    STATE(1901), 1,
      sym_attribute_declaration,
  [85852] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_COMMA,
    ACTIONS(2916), 1,
      anon_sym_RBRACE,
    STATE(1610), 1,
      aux_sym_enum_declaration_repeat1,
  [85865] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_RBRACK,
    ACTIONS(3019), 1,
      anon_sym_COMMA,
    STATE(1644), 1,
      aux_sym_array_repeat1,
  [85878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_COMMA,
    ACTIONS(2928), 1,
      anon_sym_RBRACE,
    STATE(1657), 1,
      aux_sym_enum_declaration_repeat1,
  [85891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(3022), 1,
      anon_sym_LBRACE,
    STATE(1884), 1,
      sym_attribute_declaration,
  [85904] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_RPAREN,
    ACTIONS(3024), 1,
      anon_sym_COMMA,
    STATE(1647), 1,
      aux_sym_call_args_repeat1,
  [85917] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2951), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3027), 1,
      anon_sym_LPAREN,
    STATE(1602), 1,
      aux_sym_function_declaration_repeat1,
  [85930] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2951), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3029), 1,
      anon_sym_LPAREN,
    STATE(1653), 1,
      aux_sym_function_declaration_repeat1,
  [85943] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_COMMA,
    ACTIONS(3031), 1,
      anon_sym_RBRACE,
    STATE(1660), 1,
      aux_sym_enum_declaration_repeat1,
  [85956] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2894), 1,
      anon_sym_RBRACE,
    ACTIONS(2896), 1,
      anon_sym_COMMA,
    STATE(1610), 1,
      aux_sym_enum_declaration_repeat1,
  [85969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_COMMA,
    ACTIONS(3031), 1,
      anon_sym_RBRACE,
    STATE(1610), 1,
      aux_sym_enum_declaration_repeat1,
  [85982] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2951), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3033), 1,
      anon_sym_LPAREN,
    STATE(1602), 1,
      aux_sym_function_declaration_repeat1,
  [85995] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2284), 1,
      anon_sym_COMMA,
    ACTIONS(3035), 1,
      anon_sym_RPAREN,
    STATE(1647), 1,
      aux_sym_call_args_repeat1,
  [86008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(3037), 1,
      anon_sym_LBRACE,
    STATE(1969), 1,
      sym_attribute_declaration,
  [86021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2943), 1,
      anon_sym_COMMA,
    ACTIONS(3039), 1,
      anon_sym_RPAREN,
    STATE(1604), 1,
      aux_sym_parameters_repeat1,
  [86034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_COMMA,
    ACTIONS(3041), 1,
      anon_sym_RBRACE,
    STATE(1610), 1,
      aux_sym_enum_declaration_repeat1,
  [86047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_COMMA,
    ACTIONS(3041), 1,
      anon_sym_RBRACE,
    STATE(1659), 1,
      aux_sym_enum_declaration_repeat1,
  [86060] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_COMMA,
    ACTIONS(3043), 1,
      anon_sym_RBRACE,
    STATE(1610), 1,
      aux_sym_enum_declaration_repeat1,
  [86073] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_COMMA,
    ACTIONS(3045), 1,
      anon_sym_RBRACE,
    STATE(1610), 1,
      aux_sym_enum_declaration_repeat1,
  [86086] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_COMMA,
    ACTIONS(3045), 1,
      anon_sym_RBRACE,
    STATE(1663), 1,
      aux_sym_enum_declaration_repeat1,
  [86099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2951), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3047), 1,
      anon_sym_LPAREN,
    STATE(1602), 1,
      aux_sym_function_declaration_repeat1,
  [86112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_COMMA,
    ACTIONS(3049), 1,
      anon_sym_RBRACE,
    STATE(1610), 1,
      aux_sym_enum_declaration_repeat1,
  [86125] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_COMMA,
    ACTIONS(2953), 1,
      anon_sym_RBRACE,
    STATE(1624), 1,
      aux_sym_enum_declaration_repeat1,
  [86138] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2951), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3051), 1,
      anon_sym_LPAREN,
    STATE(1662), 1,
      aux_sym_function_declaration_repeat1,
  [86151] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_COMMA,
    ACTIONS(3053), 1,
      anon_sym_RBRACE,
    STATE(1622), 1,
      aux_sym_enum_declaration_repeat1,
  [86164] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3055), 1,
      anon_sym_RPAREN,
    ACTIONS(3057), 1,
      anon_sym_COMMA,
    STATE(1667), 1,
      aux_sym_parameters_repeat1,
  [86177] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2624), 1,
      anon_sym_LT_SLASH,
    ACTIONS(3060), 1,
      anon_sym_LBRACE,
    STATE(1855), 1,
      sym_attribute_declaration,
  [86190] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_COMMA,
    ACTIONS(3053), 1,
      anon_sym_RBRACE,
    STATE(1610), 1,
      aux_sym_enum_declaration_repeat1,
  [86203] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2969), 1,
      anon_sym_COMMA,
    ACTIONS(3062), 1,
      anon_sym_SLASH_GT,
    STATE(1609), 1,
      aux_sym_attribute_declaration_repeat1,
  [86216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3064), 1,
      anon_sym_COMMA,
    ACTIONS(3066), 1,
      anon_sym_in,
  [86226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(103), 1,
      sym_parenthesized_expression,
  [86236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3068), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [86244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3070), 1,
      sym_identifier,
    STATE(359), 1,
      sym__initz,
  [86254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(149), 1,
      sym_parenthesized_expression,
  [86264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2306), 1,
      anon_sym_catch,
    STATE(1029), 1,
      sym_catch_statement,
  [86274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3072), 1,
      sym_identifier,
    ACTIONS(3074), 1,
      anon_sym_LPAREN,
  [86284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3076), 1,
      sym_identifier,
    STATE(1212), 1,
      sym__initz,
  [86294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3078), 1,
      anon_sym_COMMA,
    ACTIONS(3080), 1,
      anon_sym_in,
  [86304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3082), 1,
      sym_identifier,
    STATE(841), 1,
      sym__initz,
  [86314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3070), 1,
      sym_identifier,
    STATE(207), 1,
      sym__initz,
  [86324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3076), 1,
      sym_identifier,
    STATE(1297), 1,
      sym__initz,
  [86334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(117), 1,
      sym_parenthesized_expression,
  [86344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3084), 1,
      sym_identifier,
    STATE(951), 1,
      sym__initz,
  [86354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3086), 1,
      anon_sym_COMMA,
    ACTIONS(3088), 1,
      anon_sym_in,
  [86364] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(2250), 1,
      anon_sym_LF,
    ACTIONS(2350), 1,
      anon_sym_SEMI,
  [86374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_catch,
    STATE(992), 1,
      sym_catch_statement,
  [86384] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(3090), 1,
      anon_sym_SEMI,
    ACTIONS(3092), 1,
      anon_sym_LF,
  [86394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(79), 1,
      sym_parenthesized_expression,
  [86404] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(3094), 1,
      anon_sym_SEMI,
    ACTIONS(3096), 1,
      anon_sym_LF,
  [86414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3082), 1,
      sym_identifier,
    STATE(801), 1,
      sym__initz,
  [86424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_catch,
    STATE(992), 1,
      sym_catch_statement,
  [86434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3082), 1,
      sym_identifier,
    STATE(904), 1,
      sym__initz,
  [86444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3074), 1,
      anon_sym_LPAREN,
    ACTIONS(3098), 1,
      sym_identifier,
  [86454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3100), 1,
      anon_sym_COMMA,
    ACTIONS(3102), 1,
      anon_sym_in,
  [86464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3104), 1,
      sym_identifier,
    ACTIONS(3106), 1,
      anon_sym_LPAREN,
  [86474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2340), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [86482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3108), 1,
      anon_sym_COMMA,
    ACTIONS(3110), 1,
      anon_sym_in,
  [86492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3074), 1,
      anon_sym_LPAREN,
    ACTIONS(3112), 1,
      sym_identifier,
  [86502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3114), 1,
      anon_sym_COMMA,
    ACTIONS(3116), 1,
      anon_sym_in,
  [86512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3118), 1,
      anon_sym_COMMA,
    ACTIONS(3120), 1,
      anon_sym_in,
  [86522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2322), 1,
      anon_sym_catch,
    STATE(240), 1,
      sym_catch_statement,
  [86532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2322), 1,
      anon_sym_catch,
    STATE(240), 1,
      sym_catch_statement,
  [86542] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(3122), 1,
      anon_sym_SEMI,
    ACTIONS(3124), 1,
      anon_sym_LF,
  [86552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3084), 1,
      sym_identifier,
    STATE(1120), 1,
      sym__initz,
  [86562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3084), 1,
      sym_identifier,
    STATE(1019), 1,
      sym__initz,
  [86572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3126), 1,
      sym_identifier,
    ACTIONS(3128), 1,
      anon_sym_LPAREN,
  [86582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3070), 1,
      sym_identifier,
    STATE(348), 1,
      sym__initz,
  [86592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3130), 2,
      anon_sym_COMMA,
      anon_sym_SLASH_GT,
  [86600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3055), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [86608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(157), 1,
      sym_parenthesized_expression,
  [86618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_catch,
    STATE(928), 1,
      sym_catch_statement,
  [86628] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(3132), 1,
      aux_sym_char_token1,
    ACTIONS(3134), 1,
      sym_escape_sequence,
  [86638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_catch,
    STATE(1029), 1,
      sym_catch_statement,
  [86648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_catch,
    STATE(243), 1,
      sym_catch_statement,
  [86658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3106), 1,
      anon_sym_LPAREN,
    ACTIONS(3136), 1,
      sym_identifier,
  [86668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3128), 1,
      anon_sym_LPAREN,
    ACTIONS(3138), 1,
      sym_identifier,
  [86678] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(3140), 1,
      anon_sym_SEMI,
    ACTIONS(3142), 1,
      anon_sym_LF,
  [86688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(47), 1,
      sym_parenthesized_expression,
  [86698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3144), 1,
      anon_sym_COMMA,
    ACTIONS(3146), 1,
      anon_sym_in,
  [86708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3082), 1,
      sym_identifier,
    STATE(744), 1,
      sym__initz,
  [86718] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2930), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [86726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_catch,
    STATE(1283), 1,
      sym_catch_statement,
  [86736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2322), 1,
      anon_sym_catch,
    STATE(243), 1,
      sym_catch_statement,
  [86746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_catch,
    STATE(240), 1,
      sym_catch_statement,
  [86756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_catch,
    STATE(240), 1,
      sym_catch_statement,
  [86766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_catch,
    STATE(928), 1,
      sym_catch_statement,
  [86776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3136), 1,
      sym_identifier,
    ACTIONS(3148), 1,
      anon_sym_LPAREN,
  [86786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3084), 1,
      sym_identifier,
    STATE(1083), 1,
      sym__initz,
  [86796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2300), 1,
      anon_sym_catch,
    STATE(892), 1,
      sym_catch_statement,
  [86806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3150), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [86814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_catch,
    STATE(892), 1,
      sym_catch_statement,
  [86824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(82), 1,
      sym_parenthesized_expression,
  [86834] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(3152), 1,
      aux_sym_char_token1,
    ACTIONS(3154), 1,
      sym_escape_sequence,
  [86844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3070), 1,
      sym_identifier,
    STATE(368), 1,
      sym__initz,
  [86854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2280), 1,
      anon_sym_catch,
    STATE(928), 1,
      sym_catch_statement,
  [86864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2280), 1,
      anon_sym_catch,
    STATE(928), 1,
      sym_catch_statement,
  [86874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2280), 1,
      anon_sym_catch,
    STATE(892), 1,
      sym_catch_statement,
  [86884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3076), 1,
      sym_identifier,
    STATE(1199), 1,
      sym__initz,
  [86894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3156), 1,
      sym_identifier,
    ACTIONS(3158), 1,
      anon_sym_LPAREN,
  [86904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2934), 2,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
  [86912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    STATE(127), 1,
      sym_parenthesized_expression,
  [86922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2300), 1,
      anon_sym_catch,
    STATE(928), 1,
      sym_catch_statement,
  [86932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_catch,
    STATE(1248), 1,
      sym_catch_statement,
  [86942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2306), 1,
      anon_sym_catch,
    STATE(992), 1,
      sym_catch_statement,
  [86952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_catch,
    STATE(1248), 1,
      sym_catch_statement,
  [86962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2306), 1,
      anon_sym_catch,
    STATE(992), 1,
      sym_catch_statement,
  [86972] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(3160), 1,
      aux_sym_char_token1,
    ACTIONS(3162), 1,
      sym_escape_sequence,
  [86982] = 3,
    ACTIONS(345), 1,
      sym_comment,
    ACTIONS(3164), 1,
      aux_sym_char_token1,
    ACTIONS(3166), 1,
      sym_escape_sequence,
  [86992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2300), 1,
      anon_sym_catch,
    STATE(928), 1,
      sym_catch_statement,
  [87002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3168), 1,
      anon_sym_SEMI,
  [87009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3170), 1,
      anon_sym_RBRACE,
  [87016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3172), 1,
      anon_sym_RBRACE,
  [87023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3174), 1,
      sym_identifier,
  [87030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3176), 1,
      anon_sym_EQ,
  [87037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3178), 1,
      sym_identifier,
  [87044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_LBRACE,
  [87051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3180), 1,
      anon_sym_SQUOTE,
  [87058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3182), 1,
      anon_sym_LPAREN,
  [87065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3184), 1,
      sym_identifier,
  [87072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3138), 1,
      sym_identifier,
  [87079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3186), 1,
      anon_sym_LBRACE,
  [87086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2981), 1,
      anon_sym_LBRACE,
  [87093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3188), 1,
      sym_identifier,
  [87100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3190), 1,
      sym_identifier,
  [87107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2947), 1,
      anon_sym_LBRACE,
  [87114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2886), 1,
      anon_sym_RPAREN,
  [87121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3192), 1,
      anon_sym_LBRACE,
  [87128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3194), 1,
      anon_sym_EQ,
  [87135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3196), 1,
      sym_identifier,
  [87142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3198), 1,
      sym_identifier,
  [87149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3200), 1,
      anon_sym_LPAREN,
  [87156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3202), 1,
      anon_sym_LPAREN,
  [87163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3204), 1,
      anon_sym_LBRACE,
  [87170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3206), 1,
      anon_sym_LPAREN,
  [87177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3208), 1,
      anon_sym_LPAREN,
  [87184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2490), 1,
      anon_sym_COLON,
  [87191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2760), 1,
      anon_sym_RBRACE,
  [87198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3210), 1,
      sym_identifier,
  [87205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2762), 1,
      anon_sym_LBRACE,
  [87212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3212), 1,
      anon_sym_LPAREN,
  [87219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3214), 1,
      anon_sym_LPAREN,
  [87226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3216), 1,
      sym_identifier,
  [87233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_RPAREN,
  [87240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3220), 1,
      anon_sym_LBRACE,
  [87247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3222), 1,
      sym_identifier,
  [87254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3224), 1,
      sym_identifier,
  [87261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3226), 1,
      anon_sym_RPAREN,
  [87268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3228), 1,
      anon_sym_RPAREN,
  [87275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2987), 1,
      anon_sym_LBRACE,
  [87282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3230), 1,
      sym_identifier,
  [87289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3232), 1,
      sym_identifier,
  [87296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3234), 1,
      anon_sym_EQ,
  [87303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3236), 1,
      anon_sym_RPAREN,
  [87310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3001), 1,
      anon_sym_LBRACE,
  [87317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3238), 1,
      anon_sym_RPAREN,
  [87324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3240), 1,
      anon_sym_RPAREN,
  [87331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3242), 1,
      anon_sym_EQ,
  [87338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3244), 1,
      anon_sym_LBRACE,
  [87345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3246), 1,
      anon_sym_LBRACE,
  [87352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3248), 1,
      anon_sym_RPAREN,
  [87359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3250), 1,
      sym_identifier,
  [87366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3252), 1,
      anon_sym_LPAREN,
  [87373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3254), 1,
      sym_identifier,
  [87380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3128), 1,
      anon_sym_LPAREN,
  [87387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2482), 1,
      anon_sym_COLON,
  [87394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3256), 1,
      sym_identifier,
  [87401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3258), 1,
      anon_sym_LPAREN,
  [87408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3260), 1,
      anon_sym_RPAREN,
  [87415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3262), 1,
      anon_sym_SEMI,
  [87422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3264), 1,
      anon_sym_RBRACE,
  [87429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2846), 1,
      anon_sym_RPAREN,
  [87436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3266), 1,
      sym_identifier,
  [87443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2995), 1,
      anon_sym_LBRACE,
  [87450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2800), 1,
      anon_sym_LBRACE,
  [87457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3268), 1,
      anon_sym_RPAREN,
  [87464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3270), 1,
      sym_identifier,
  [87471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3272), 1,
      anon_sym_LPAREN,
  [87478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3274), 1,
      sym_identifier,
  [87485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3276), 1,
      anon_sym_LPAREN,
  [87492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2840), 1,
      anon_sym_RPAREN,
  [87499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3278), 1,
      sym_identifier,
  [87506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3280), 1,
      sym_identifier,
  [87513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3282), 1,
      anon_sym_RPAREN,
  [87520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3284), 1,
      anon_sym_RPAREN,
  [87527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3286), 1,
      anon_sym_RPAREN,
  [87534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 1,
      sym_identifier,
  [87541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      sym_identifier,
  [87548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3292), 1,
      anon_sym_RPAREN,
  [87555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3294), 1,
      sym_identifier,
  [87562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3296), 1,
      anon_sym_RBRACE,
  [87569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3298), 1,
      anon_sym_RPAREN,
  [87576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 1,
      anon_sym_LPAREN,
  [87583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3302), 1,
      sym_identifier,
  [87590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3304), 1,
      sym_identifier,
  [87597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3306), 1,
      anon_sym_LPAREN,
  [87604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3308), 1,
      anon_sym_RBRACE,
  [87611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3074), 1,
      anon_sym_LPAREN,
  [87618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3310), 1,
      sym_identifier,
  [87625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3312), 1,
      anon_sym_RPAREN,
  [87632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3314), 1,
      anon_sym_RPAREN,
  [87639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3316), 1,
      anon_sym_EQ,
  [87646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_in,
  [87653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3320), 1,
      anon_sym_SEMI,
  [87660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3322), 1,
      anon_sym_LPAREN,
  [87667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3324), 1,
      anon_sym_SEMI,
  [87674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3326), 1,
      anon_sym_SQUOTE,
  [87681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2380), 1,
      anon_sym_SEMI,
  [87688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3328), 1,
      anon_sym_RPAREN,
  [87695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_RPAREN,
  [87702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3332), 1,
      anon_sym_RBRACE,
  [87709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 1,
      anon_sym_EQ,
  [87716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3336), 1,
      sym_identifier,
  [87723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3338), 1,
      anon_sym_LPAREN,
  [87730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3340), 1,
      anon_sym_LBRACE,
  [87737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3342), 1,
      anon_sym_LPAREN,
  [87744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3344), 1,
      anon_sym_LPAREN,
  [87751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3346), 1,
      sym_identifier,
  [87758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3348), 1,
      anon_sym_RBRACE,
  [87765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3350), 1,
      sym_identifier,
  [87772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3352), 1,
      sym_identifier,
  [87779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3354), 1,
      sym_identifier,
  [87786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3356), 1,
      anon_sym_in,
  [87793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3358), 1,
      sym_identifier,
  [87800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3360), 1,
      anon_sym_RPAREN,
  [87807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3037), 1,
      anon_sym_LBRACE,
  [87814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_RBRACK,
  [87821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3362), 1,
      anon_sym_RBRACE,
  [87828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_SEMI,
  [87835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3364), 1,
      anon_sym_RPAREN,
  [87842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3366), 1,
      sym_identifier,
  [87849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3368), 1,
      anon_sym_LPAREN,
  [87856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3370), 1,
      sym_identifier,
  [87863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3372), 1,
      anon_sym_while,
  [87870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3374), 1,
      anon_sym_EQ,
  [87877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2288), 1,
      anon_sym_RBRACK,
  [87884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3376), 1,
      anon_sym_LPAREN,
  [87891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3378), 1,
      anon_sym_EQ,
  [87898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2402), 1,
      anon_sym_SEMI,
  [87905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2732), 1,
      anon_sym_RBRACE,
  [87912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3380), 1,
      anon_sym_EQ,
  [87919] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      sym_identifier,
  [87926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3384), 1,
      anon_sym_LPAREN,
  [87933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3386), 1,
      anon_sym_LBRACE,
  [87940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3388), 1,
      anon_sym_LPAREN,
  [87947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3390), 1,
      sym_identifier,
  [87954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3392), 1,
      anon_sym_in,
  [87961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3394), 1,
      anon_sym_LBRACE,
  [87968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3396), 1,
      anon_sym_LPAREN,
  [87975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3398), 1,
      sym_identifier,
  [87982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3400), 1,
      anon_sym_LPAREN,
  [87989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3402), 1,
      anon_sym_EQ,
  [87996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3404), 1,
      anon_sym_COLON,
  [88003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3406), 1,
      anon_sym_LPAREN,
  [88010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2780), 1,
      anon_sym_RBRACE,
  [88017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_SEMI,
  [88024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3408), 1,
      sym_identifier,
  [88031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3158), 1,
      anon_sym_LPAREN,
  [88038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3410), 1,
      sym_identifier,
  [88045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3412), 1,
      anon_sym_LPAREN,
  [88052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3414), 1,
      anon_sym_LBRACE,
  [88059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3416), 1,
      anon_sym_LPAREN,
  [88066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3418), 1,
      sym_identifier,
  [88073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3420), 1,
      anon_sym_in,
  [88080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3422), 1,
      anon_sym_LPAREN,
  [88087] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3424), 1,
      anon_sym_EQ,
  [88094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_SEMI,
  [88101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3426), 1,
      anon_sym_RPAREN,
  [88108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3428), 1,
      anon_sym_EQ,
  [88115] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3430), 1,
      anon_sym_LPAREN,
  [88122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3432), 1,
      anon_sym_in,
  [88129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3434), 1,
      anon_sym_LPAREN,
  [88136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3436), 1,
      sym_identifier,
  [88143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2424), 1,
      anon_sym_SEMI,
  [88150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3438), 1,
      anon_sym_RPAREN,
  [88157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3013), 1,
      anon_sym_LBRACE,
  [88164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3440), 1,
      anon_sym_LPAREN,
  [88171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3442), 1,
      anon_sym_in,
  [88178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3444), 1,
      anon_sym_LPAREN,
  [88185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3446), 1,
      anon_sym_LPAREN,
  [88192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3448), 1,
      anon_sym_RPAREN,
  [88199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3450), 1,
      sym_identifier,
  [88206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3452), 1,
      sym_identifier,
  [88213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_while,
  [88220] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3454), 1,
      anon_sym_RPAREN,
  [88227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3456), 1,
      anon_sym_RPAREN,
  [88234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3458), 1,
      anon_sym_EQ,
  [88241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 1,
      sym_identifier,
  [88248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3462), 1,
      anon_sym_while,
  [88255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_SEMI,
  [88262] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_RPAREN,
  [88269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3464), 1,
      sym_identifier,
  [88276] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3466), 1,
      anon_sym_LPAREN,
  [88283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_RPAREN,
  [88290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3470), 1,
      sym_identifier,
  [88297] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3472), 1,
      anon_sym_in,
  [88304] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3474), 1,
      sym_identifier,
  [88311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3476), 1,
      anon_sym_EQ,
  [88318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_COLON,
  [88325] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2999), 1,
      anon_sym_LBRACE,
  [88332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3478), 1,
      anon_sym_EQ,
  [88339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3480), 1,
      anon_sym_RPAREN,
  [88346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2859), 1,
      anon_sym_RPAREN,
  [88353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2836), 1,
      anon_sym_RPAREN,
  [88360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3482), 1,
      anon_sym_RPAREN,
  [88367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2276), 1,
      anon_sym_RBRACK,
  [88374] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3484), 1,
      anon_sym_RPAREN,
  [88381] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2418), 1,
      anon_sym_COLON,
  [88388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2853), 1,
      anon_sym_RPAREN,
  [88395] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3486), 1,
      anon_sym_SQUOTE,
  [88402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3488), 1,
      sym_identifier,
  [88409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3490), 1,
      anon_sym_LBRACE,
  [88416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2396), 1,
      anon_sym_COLON,
  [88423] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3492), 1,
      anon_sym_RPAREN,
  [88430] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3494), 1,
      sym_identifier,
  [88437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3496), 1,
      anon_sym_EQ,
  [88444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3498), 1,
      anon_sym_RPAREN,
  [88451] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3500), 1,
      anon_sym_RPAREN,
  [88458] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3502), 1,
      anon_sym_RBRACE,
  [88465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2376), 1,
      anon_sym_while,
  [88472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2810), 1,
      anon_sym_LBRACE,
  [88479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3504), 1,
      sym_identifier,
  [88486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3506), 1,
      anon_sym_RPAREN,
  [88493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3508), 1,
      anon_sym_SQUOTE,
  [88500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3510), 1,
      anon_sym_RPAREN,
  [88507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 1,
      anon_sym_LPAREN,
  [88514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_RBRACE,
  [88521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3512), 1,
      anon_sym_RBRACE,
  [88528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3514), 1,
      anon_sym_LBRACE,
  [88535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3516), 1,
      anon_sym_EQ,
  [88542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3106), 1,
      anon_sym_LPAREN,
  [88549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_LPAREN,
  [88556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3520), 1,
      ts_builtin_sym_end,
  [88563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3522), 1,
      anon_sym_LPAREN,
  [88570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2302), 1,
      anon_sym_RBRACK,
  [88577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3524), 1,
      sym_identifier,
  [88584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3526), 1,
      anon_sym_LPAREN,
  [88591] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3528), 1,
      anon_sym_LPAREN,
  [88598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3530), 1,
      sym_identifier,
  [88605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3532), 1,
      sym_identifier,
  [88612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3534), 1,
      sym_identifier,
  [88619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3536), 1,
      sym_identifier,
  [88626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3538), 1,
      anon_sym_LPAREN,
  [88633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3540), 1,
      sym_identifier,
  [88640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_SEMI,
  [88647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3542), 1,
      anon_sym_RBRACE,
  [88654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3544), 1,
      anon_sym_RPAREN,
  [88661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3546), 1,
      anon_sym_LPAREN,
  [88668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3548), 1,
      anon_sym_in,
  [88675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3550), 1,
      anon_sym_LPAREN,
  [88682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3552), 1,
      sym_identifier,
  [88689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3554), 1,
      sym_identifier,
  [88696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_while,
  [88703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3556), 1,
      anon_sym_SEMI,
  [88710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3558), 1,
      sym_identifier,
  [88717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3560), 1,
      sym_identifier,
  [88724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3562), 1,
      anon_sym_while,
  [88731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3564), 1,
      sym_identifier,
  [88738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3566), 1,
      anon_sym_LPAREN,
  [88745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3568), 1,
      sym_identifier,
  [88752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3570), 1,
      sym_identifier,
  [88759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2356), 1,
      anon_sym_while,
  [88766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3572), 1,
      anon_sym_SEMI,
  [88773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3574), 1,
      sym_identifier,
  [88780] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3576), 1,
      sym_identifier,
  [88787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3578), 1,
      anon_sym_while,
  [88794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3580), 1,
      sym_identifier,
  [88801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3582), 1,
      anon_sym_LPAREN,
  [88808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      sym_identifier,
  [88815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3586), 1,
      sym_identifier,
  [88822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3588), 1,
      anon_sym_LPAREN,
  [88829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3590), 1,
      sym_identifier,
  [88836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3592), 1,
      sym_identifier,
  [88843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3594), 1,
      anon_sym_LPAREN,
  [88850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3596), 1,
      sym_identifier,
  [88857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3598), 1,
      sym_identifier,
  [88864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2867), 1,
      anon_sym_RPAREN,
  [88871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3600), 1,
      anon_sym_LPAREN,
  [88878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3602), 1,
      anon_sym_LPAREN,
  [88885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
  [88892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3606), 1,
      sym_identifier,
  [88899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2462), 1,
      anon_sym_COLON,
  [88906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_RPAREN,
  [88913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3610), 1,
      anon_sym_EQ,
  [88920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3612), 1,
      sym_identifier,
  [88927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_RPAREN,
  [88934] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3616), 1,
      anon_sym_SEMI,
  [88941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 1,
      anon_sym_SEMI,
  [88948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2844), 1,
      anon_sym_RPAREN,
  [88955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2466), 1,
      anon_sym_COLON,
  [88962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3620), 1,
      anon_sym_RPAREN,
  [88969] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      anon_sym_RPAREN,
  [88976] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3624), 1,
      anon_sym_LPAREN,
  [88983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3626), 1,
      anon_sym_LPAREN,
  [88990] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3628), 1,
      anon_sym_LPAREN,
  [88997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3630), 1,
      anon_sym_LPAREN,
  [89004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      anon_sym_LPAREN,
  [89011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3634), 1,
      anon_sym_LPAREN,
  [89018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3636), 1,
      anon_sym_LPAREN,
  [89025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3638), 1,
      anon_sym_LPAREN,
  [89032] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3640), 1,
      anon_sym_LPAREN,
  [89039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3642), 1,
      anon_sym_LPAREN,
  [89046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3644), 1,
      anon_sym_LPAREN,
  [89053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3646), 1,
      anon_sym_LPAREN,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(365)] = 0,
  [SMALL_STATE(366)] = 114,
  [SMALL_STATE(367)] = 199,
  [SMALL_STATE(368)] = 268,
  [SMALL_STATE(369)] = 337,
  [SMALL_STATE(370)] = 408,
  [SMALL_STATE(371)] = 485,
  [SMALL_STATE(372)] = 574,
  [SMALL_STATE(373)] = 665,
  [SMALL_STATE(374)] = 746,
  [SMALL_STATE(375)] = 847,
  [SMALL_STATE(376)] = 942,
  [SMALL_STATE(377)] = 1035,
  [SMALL_STATE(378)] = 1106,
  [SMALL_STATE(379)] = 1177,
  [SMALL_STATE(380)] = 1246,
  [SMALL_STATE(381)] = 1343,
  [SMALL_STATE(382)] = 1422,
  [SMALL_STATE(383)] = 1497,
  [SMALL_STATE(384)] = 1603,
  [SMALL_STATE(385)] = 1671,
  [SMALL_STATE(386)] = 1777,
  [SMALL_STATE(387)] = 1845,
  [SMALL_STATE(388)] = 1951,
  [SMALL_STATE(389)] = 2057,
  [SMALL_STATE(390)] = 2163,
  [SMALL_STATE(391)] = 2269,
  [SMALL_STATE(392)] = 2375,
  [SMALL_STATE(393)] = 2477,
  [SMALL_STATE(394)] = 2583,
  [SMALL_STATE(395)] = 2689,
  [SMALL_STATE(396)] = 2794,
  [SMALL_STATE(397)] = 2899,
  [SMALL_STATE(398)] = 3004,
  [SMALL_STATE(399)] = 3109,
  [SMALL_STATE(400)] = 3214,
  [SMALL_STATE(401)] = 3316,
  [SMALL_STATE(402)] = 3418,
  [SMALL_STATE(403)] = 3520,
  [SMALL_STATE(404)] = 3622,
  [SMALL_STATE(405)] = 3726,
  [SMALL_STATE(406)] = 3830,
  [SMALL_STATE(407)] = 3934,
  [SMALL_STATE(408)] = 4038,
  [SMALL_STATE(409)] = 4140,
  [SMALL_STATE(410)] = 4244,
  [SMALL_STATE(411)] = 4346,
  [SMALL_STATE(412)] = 4448,
  [SMALL_STATE(413)] = 4552,
  [SMALL_STATE(414)] = 4654,
  [SMALL_STATE(415)] = 4758,
  [SMALL_STATE(416)] = 4861,
  [SMALL_STATE(417)] = 4964,
  [SMALL_STATE(418)] = 5065,
  [SMALL_STATE(419)] = 5168,
  [SMALL_STATE(420)] = 5267,
  [SMALL_STATE(421)] = 5370,
  [SMALL_STATE(422)] = 5473,
  [SMALL_STATE(423)] = 5576,
  [SMALL_STATE(424)] = 5679,
  [SMALL_STATE(425)] = 5778,
  [SMALL_STATE(426)] = 5877,
  [SMALL_STATE(427)] = 5976,
  [SMALL_STATE(428)] = 6079,
  [SMALL_STATE(429)] = 6178,
  [SMALL_STATE(430)] = 6277,
  [SMALL_STATE(431)] = 6380,
  [SMALL_STATE(432)] = 6479,
  [SMALL_STATE(433)] = 6580,
  [SMALL_STATE(434)] = 6679,
  [SMALL_STATE(435)] = 6782,
  [SMALL_STATE(436)] = 6885,
  [SMALL_STATE(437)] = 6988,
  [SMALL_STATE(438)] = 7091,
  [SMALL_STATE(439)] = 7194,
  [SMALL_STATE(440)] = 7297,
  [SMALL_STATE(441)] = 7400,
  [SMALL_STATE(442)] = 7496,
  [SMALL_STATE(443)] = 7590,
  [SMALL_STATE(444)] = 7686,
  [SMALL_STATE(445)] = 7782,
  [SMALL_STATE(446)] = 7878,
  [SMALL_STATE(447)] = 7974,
  [SMALL_STATE(448)] = 8070,
  [SMALL_STATE(449)] = 8166,
  [SMALL_STATE(450)] = 8262,
  [SMALL_STATE(451)] = 8358,
  [SMALL_STATE(452)] = 8454,
  [SMALL_STATE(453)] = 8550,
  [SMALL_STATE(454)] = 8646,
  [SMALL_STATE(455)] = 8742,
  [SMALL_STATE(456)] = 8838,
  [SMALL_STATE(457)] = 8934,
  [SMALL_STATE(458)] = 9030,
  [SMALL_STATE(459)] = 9128,
  [SMALL_STATE(460)] = 9224,
  [SMALL_STATE(461)] = 9320,
  [SMALL_STATE(462)] = 9416,
  [SMALL_STATE(463)] = 9512,
  [SMALL_STATE(464)] = 9608,
  [SMALL_STATE(465)] = 9704,
  [SMALL_STATE(466)] = 9798,
  [SMALL_STATE(467)] = 9894,
  [SMALL_STATE(468)] = 9990,
  [SMALL_STATE(469)] = 10086,
  [SMALL_STATE(470)] = 10182,
  [SMALL_STATE(471)] = 10278,
  [SMALL_STATE(472)] = 10374,
  [SMALL_STATE(473)] = 10470,
  [SMALL_STATE(474)] = 10566,
  [SMALL_STATE(475)] = 10662,
  [SMALL_STATE(476)] = 10756,
  [SMALL_STATE(477)] = 10852,
  [SMALL_STATE(478)] = 10948,
  [SMALL_STATE(479)] = 11044,
  [SMALL_STATE(480)] = 11140,
  [SMALL_STATE(481)] = 11236,
  [SMALL_STATE(482)] = 11332,
  [SMALL_STATE(483)] = 11428,
  [SMALL_STATE(484)] = 11524,
  [SMALL_STATE(485)] = 11620,
  [SMALL_STATE(486)] = 11716,
  [SMALL_STATE(487)] = 11812,
  [SMALL_STATE(488)] = 11908,
  [SMALL_STATE(489)] = 12004,
  [SMALL_STATE(490)] = 12100,
  [SMALL_STATE(491)] = 12196,
  [SMALL_STATE(492)] = 12292,
  [SMALL_STATE(493)] = 12386,
  [SMALL_STATE(494)] = 12482,
  [SMALL_STATE(495)] = 12578,
  [SMALL_STATE(496)] = 12674,
  [SMALL_STATE(497)] = 12767,
  [SMALL_STATE(498)] = 12860,
  [SMALL_STATE(499)] = 12915,
  [SMALL_STATE(500)] = 13008,
  [SMALL_STATE(501)] = 13101,
  [SMALL_STATE(502)] = 13194,
  [SMALL_STATE(503)] = 13287,
  [SMALL_STATE(504)] = 13380,
  [SMALL_STATE(505)] = 13473,
  [SMALL_STATE(506)] = 13566,
  [SMALL_STATE(507)] = 13659,
  [SMALL_STATE(508)] = 13752,
  [SMALL_STATE(509)] = 13845,
  [SMALL_STATE(510)] = 13938,
  [SMALL_STATE(511)] = 14031,
  [SMALL_STATE(512)] = 14124,
  [SMALL_STATE(513)] = 14217,
  [SMALL_STATE(514)] = 14310,
  [SMALL_STATE(515)] = 14403,
  [SMALL_STATE(516)] = 14496,
  [SMALL_STATE(517)] = 14589,
  [SMALL_STATE(518)] = 14682,
  [SMALL_STATE(519)] = 14775,
  [SMALL_STATE(520)] = 14868,
  [SMALL_STATE(521)] = 14961,
  [SMALL_STATE(522)] = 15054,
  [SMALL_STATE(523)] = 15147,
  [SMALL_STATE(524)] = 15240,
  [SMALL_STATE(525)] = 15333,
  [SMALL_STATE(526)] = 15426,
  [SMALL_STATE(527)] = 15519,
  [SMALL_STATE(528)] = 15612,
  [SMALL_STATE(529)] = 15705,
  [SMALL_STATE(530)] = 15798,
  [SMALL_STATE(531)] = 15891,
  [SMALL_STATE(532)] = 15984,
  [SMALL_STATE(533)] = 16077,
  [SMALL_STATE(534)] = 16170,
  [SMALL_STATE(535)] = 16263,
  [SMALL_STATE(536)] = 16356,
  [SMALL_STATE(537)] = 16449,
  [SMALL_STATE(538)] = 16542,
  [SMALL_STATE(539)] = 16635,
  [SMALL_STATE(540)] = 16728,
  [SMALL_STATE(541)] = 16821,
  [SMALL_STATE(542)] = 16914,
  [SMALL_STATE(543)] = 17007,
  [SMALL_STATE(544)] = 17100,
  [SMALL_STATE(545)] = 17193,
  [SMALL_STATE(546)] = 17286,
  [SMALL_STATE(547)] = 17379,
  [SMALL_STATE(548)] = 17472,
  [SMALL_STATE(549)] = 17565,
  [SMALL_STATE(550)] = 17658,
  [SMALL_STATE(551)] = 17751,
  [SMALL_STATE(552)] = 17844,
  [SMALL_STATE(553)] = 17937,
  [SMALL_STATE(554)] = 18027,
  [SMALL_STATE(555)] = 18117,
  [SMALL_STATE(556)] = 18207,
  [SMALL_STATE(557)] = 18305,
  [SMALL_STATE(558)] = 18395,
  [SMALL_STATE(559)] = 18485,
  [SMALL_STATE(560)] = 18575,
  [SMALL_STATE(561)] = 18665,
  [SMALL_STATE(562)] = 18755,
  [SMALL_STATE(563)] = 18845,
  [SMALL_STATE(564)] = 18935,
  [SMALL_STATE(565)] = 19025,
  [SMALL_STATE(566)] = 19115,
  [SMALL_STATE(567)] = 19205,
  [SMALL_STATE(568)] = 19295,
  [SMALL_STATE(569)] = 19385,
  [SMALL_STATE(570)] = 19475,
  [SMALL_STATE(571)] = 19565,
  [SMALL_STATE(572)] = 19655,
  [SMALL_STATE(573)] = 19745,
  [SMALL_STATE(574)] = 19835,
  [SMALL_STATE(575)] = 19925,
  [SMALL_STATE(576)] = 20015,
  [SMALL_STATE(577)] = 20105,
  [SMALL_STATE(578)] = 20195,
  [SMALL_STATE(579)] = 20285,
  [SMALL_STATE(580)] = 20375,
  [SMALL_STATE(581)] = 20465,
  [SMALL_STATE(582)] = 20555,
  [SMALL_STATE(583)] = 20645,
  [SMALL_STATE(584)] = 20735,
  [SMALL_STATE(585)] = 20825,
  [SMALL_STATE(586)] = 20915,
  [SMALL_STATE(587)] = 21005,
  [SMALL_STATE(588)] = 21095,
  [SMALL_STATE(589)] = 21185,
  [SMALL_STATE(590)] = 21275,
  [SMALL_STATE(591)] = 21365,
  [SMALL_STATE(592)] = 21455,
  [SMALL_STATE(593)] = 21545,
  [SMALL_STATE(594)] = 21635,
  [SMALL_STATE(595)] = 21725,
  [SMALL_STATE(596)] = 21815,
  [SMALL_STATE(597)] = 21905,
  [SMALL_STATE(598)] = 21995,
  [SMALL_STATE(599)] = 22085,
  [SMALL_STATE(600)] = 22175,
  [SMALL_STATE(601)] = 22265,
  [SMALL_STATE(602)] = 22323,
  [SMALL_STATE(603)] = 22413,
  [SMALL_STATE(604)] = 22503,
  [SMALL_STATE(605)] = 22593,
  [SMALL_STATE(606)] = 22683,
  [SMALL_STATE(607)] = 22773,
  [SMALL_STATE(608)] = 22863,
  [SMALL_STATE(609)] = 22953,
  [SMALL_STATE(610)] = 23043,
  [SMALL_STATE(611)] = 23133,
  [SMALL_STATE(612)] = 23223,
  [SMALL_STATE(613)] = 23313,
  [SMALL_STATE(614)] = 23403,
  [SMALL_STATE(615)] = 23493,
  [SMALL_STATE(616)] = 23583,
  [SMALL_STATE(617)] = 23673,
  [SMALL_STATE(618)] = 23763,
  [SMALL_STATE(619)] = 23853,
  [SMALL_STATE(620)] = 23943,
  [SMALL_STATE(621)] = 24033,
  [SMALL_STATE(622)] = 24123,
  [SMALL_STATE(623)] = 24213,
  [SMALL_STATE(624)] = 24303,
  [SMALL_STATE(625)] = 24393,
  [SMALL_STATE(626)] = 24483,
  [SMALL_STATE(627)] = 24573,
  [SMALL_STATE(628)] = 24663,
  [SMALL_STATE(629)] = 24753,
  [SMALL_STATE(630)] = 24843,
  [SMALL_STATE(631)] = 24933,
  [SMALL_STATE(632)] = 24987,
  [SMALL_STATE(633)] = 25041,
  [SMALL_STATE(634)] = 25131,
  [SMALL_STATE(635)] = 25221,
  [SMALL_STATE(636)] = 25311,
  [SMALL_STATE(637)] = 25401,
  [SMALL_STATE(638)] = 25491,
  [SMALL_STATE(639)] = 25581,
  [SMALL_STATE(640)] = 25671,
  [SMALL_STATE(641)] = 25761,
  [SMALL_STATE(642)] = 25851,
  [SMALL_STATE(643)] = 25941,
  [SMALL_STATE(644)] = 26031,
  [SMALL_STATE(645)] = 26121,
  [SMALL_STATE(646)] = 26219,
  [SMALL_STATE(647)] = 26277,
  [SMALL_STATE(648)] = 26367,
  [SMALL_STATE(649)] = 26457,
  [SMALL_STATE(650)] = 26547,
  [SMALL_STATE(651)] = 26637,
  [SMALL_STATE(652)] = 26727,
  [SMALL_STATE(653)] = 26785,
  [SMALL_STATE(654)] = 26875,
  [SMALL_STATE(655)] = 26929,
  [SMALL_STATE(656)] = 26983,
  [SMALL_STATE(657)] = 27073,
  [SMALL_STATE(658)] = 27163,
  [SMALL_STATE(659)] = 27253,
  [SMALL_STATE(660)] = 27343,
  [SMALL_STATE(661)] = 27433,
  [SMALL_STATE(662)] = 27523,
  [SMALL_STATE(663)] = 27613,
  [SMALL_STATE(664)] = 27703,
  [SMALL_STATE(665)] = 27793,
  [SMALL_STATE(666)] = 27883,
  [SMALL_STATE(667)] = 27973,
  [SMALL_STATE(668)] = 28063,
  [SMALL_STATE(669)] = 28153,
  [SMALL_STATE(670)] = 28243,
  [SMALL_STATE(671)] = 28333,
  [SMALL_STATE(672)] = 28423,
  [SMALL_STATE(673)] = 28513,
  [SMALL_STATE(674)] = 28603,
  [SMALL_STATE(675)] = 28693,
  [SMALL_STATE(676)] = 28783,
  [SMALL_STATE(677)] = 28873,
  [SMALL_STATE(678)] = 28963,
  [SMALL_STATE(679)] = 29053,
  [SMALL_STATE(680)] = 29143,
  [SMALL_STATE(681)] = 29197,
  [SMALL_STATE(682)] = 29251,
  [SMALL_STATE(683)] = 29341,
  [SMALL_STATE(684)] = 29431,
  [SMALL_STATE(685)] = 29521,
  [SMALL_STATE(686)] = 29611,
  [SMALL_STATE(687)] = 29701,
  [SMALL_STATE(688)] = 29791,
  [SMALL_STATE(689)] = 29881,
  [SMALL_STATE(690)] = 29971,
  [SMALL_STATE(691)] = 30061,
  [SMALL_STATE(692)] = 30151,
  [SMALL_STATE(693)] = 30241,
  [SMALL_STATE(694)] = 30331,
  [SMALL_STATE(695)] = 30421,
  [SMALL_STATE(696)] = 30511,
  [SMALL_STATE(697)] = 30601,
  [SMALL_STATE(698)] = 30691,
  [SMALL_STATE(699)] = 30781,
  [SMALL_STATE(700)] = 30871,
  [SMALL_STATE(701)] = 30961,
  [SMALL_STATE(702)] = 31051,
  [SMALL_STATE(703)] = 31141,
  [SMALL_STATE(704)] = 31231,
  [SMALL_STATE(705)] = 31321,
  [SMALL_STATE(706)] = 31375,
  [SMALL_STATE(707)] = 31465,
  [SMALL_STATE(708)] = 31555,
  [SMALL_STATE(709)] = 31645,
  [SMALL_STATE(710)] = 31735,
  [SMALL_STATE(711)] = 31825,
  [SMALL_STATE(712)] = 31915,
  [SMALL_STATE(713)] = 32005,
  [SMALL_STATE(714)] = 32095,
  [SMALL_STATE(715)] = 32185,
  [SMALL_STATE(716)] = 32275,
  [SMALL_STATE(717)] = 32365,
  [SMALL_STATE(718)] = 32455,
  [SMALL_STATE(719)] = 32545,
  [SMALL_STATE(720)] = 32635,
  [SMALL_STATE(721)] = 32725,
  [SMALL_STATE(722)] = 32815,
  [SMALL_STATE(723)] = 32905,
  [SMALL_STATE(724)] = 32995,
  [SMALL_STATE(725)] = 33085,
  [SMALL_STATE(726)] = 33175,
  [SMALL_STATE(727)] = 33265,
  [SMALL_STATE(728)] = 33355,
  [SMALL_STATE(729)] = 33445,
  [SMALL_STATE(730)] = 33535,
  [SMALL_STATE(731)] = 33625,
  [SMALL_STATE(732)] = 33715,
  [SMALL_STATE(733)] = 33805,
  [SMALL_STATE(734)] = 33895,
  [SMALL_STATE(735)] = 33985,
  [SMALL_STATE(736)] = 34075,
  [SMALL_STATE(737)] = 34165,
  [SMALL_STATE(738)] = 34255,
  [SMALL_STATE(739)] = 34345,
  [SMALL_STATE(740)] = 34435,
  [SMALL_STATE(741)] = 34525,
  [SMALL_STATE(742)] = 34615,
  [SMALL_STATE(743)] = 34668,
  [SMALL_STATE(744)] = 34759,
  [SMALL_STATE(745)] = 34812,
  [SMALL_STATE(746)] = 34865,
  [SMALL_STATE(747)] = 34920,
  [SMALL_STATE(748)] = 34973,
  [SMALL_STATE(749)] = 35032,
  [SMALL_STATE(750)] = 35085,
  [SMALL_STATE(751)] = 35138,
  [SMALL_STATE(752)] = 35231,
  [SMALL_STATE(753)] = 35284,
  [SMALL_STATE(754)] = 35337,
  [SMALL_STATE(755)] = 35430,
  [SMALL_STATE(756)] = 35483,
  [SMALL_STATE(757)] = 35536,
  [SMALL_STATE(758)] = 35589,
  [SMALL_STATE(759)] = 35642,
  [SMALL_STATE(760)] = 35695,
  [SMALL_STATE(761)] = 35748,
  [SMALL_STATE(762)] = 35803,
  [SMALL_STATE(763)] = 35856,
  [SMALL_STATE(764)] = 35909,
  [SMALL_STATE(765)] = 35962,
  [SMALL_STATE(766)] = 36053,
  [SMALL_STATE(767)] = 36144,
  [SMALL_STATE(768)] = 36197,
  [SMALL_STATE(769)] = 36250,
  [SMALL_STATE(770)] = 36303,
  [SMALL_STATE(771)] = 36356,
  [SMALL_STATE(772)] = 36449,
  [SMALL_STATE(773)] = 36504,
  [SMALL_STATE(774)] = 36557,
  [SMALL_STATE(775)] = 36610,
  [SMALL_STATE(776)] = 36663,
  [SMALL_STATE(777)] = 36716,
  [SMALL_STATE(778)] = 36769,
  [SMALL_STATE(779)] = 36824,
  [SMALL_STATE(780)] = 36885,
  [SMALL_STATE(781)] = 36978,
  [SMALL_STATE(782)] = 37031,
  [SMALL_STATE(783)] = 37084,
  [SMALL_STATE(784)] = 37137,
  [SMALL_STATE(785)] = 37190,
  [SMALL_STATE(786)] = 37283,
  [SMALL_STATE(787)] = 37364,
  [SMALL_STATE(788)] = 37455,
  [SMALL_STATE(789)] = 37508,
  [SMALL_STATE(790)] = 37599,
  [SMALL_STATE(791)] = 37652,
  [SMALL_STATE(792)] = 37705,
  [SMALL_STATE(793)] = 37768,
  [SMALL_STATE(794)] = 37829,
  [SMALL_STATE(795)] = 37914,
  [SMALL_STATE(796)] = 37993,
  [SMALL_STATE(797)] = 38070,
  [SMALL_STATE(798)] = 38145,
  [SMALL_STATE(799)] = 38218,
  [SMALL_STATE(800)] = 38287,
  [SMALL_STATE(801)] = 38352,
  [SMALL_STATE(802)] = 38407,
  [SMALL_STATE(803)] = 38466,
  [SMALL_STATE(804)] = 38519,
  [SMALL_STATE(805)] = 38574,
  [SMALL_STATE(806)] = 38667,
  [SMALL_STATE(807)] = 38720,
  [SMALL_STATE(808)] = 38773,
  [SMALL_STATE(809)] = 38828,
  [SMALL_STATE(810)] = 38881,
  [SMALL_STATE(811)] = 38934,
  [SMALL_STATE(812)] = 39027,
  [SMALL_STATE(813)] = 39080,
  [SMALL_STATE(814)] = 39133,
  [SMALL_STATE(815)] = 39186,
  [SMALL_STATE(816)] = 39239,
  [SMALL_STATE(817)] = 39292,
  [SMALL_STATE(818)] = 39345,
  [SMALL_STATE(819)] = 39436,
  [SMALL_STATE(820)] = 39529,
  [SMALL_STATE(821)] = 39620,
  [SMALL_STATE(822)] = 39673,
  [SMALL_STATE(823)] = 39726,
  [SMALL_STATE(824)] = 39779,
  [SMALL_STATE(825)] = 39832,
  [SMALL_STATE(826)] = 39885,
  [SMALL_STATE(827)] = 39978,
  [SMALL_STATE(828)] = 40031,
  [SMALL_STATE(829)] = 40084,
  [SMALL_STATE(830)] = 40177,
  [SMALL_STATE(831)] = 40230,
  [SMALL_STATE(832)] = 40283,
  [SMALL_STATE(833)] = 40336,
  [SMALL_STATE(834)] = 40389,
  [SMALL_STATE(835)] = 40442,
  [SMALL_STATE(836)] = 40497,
  [SMALL_STATE(837)] = 40550,
  [SMALL_STATE(838)] = 40603,
  [SMALL_STATE(839)] = 40696,
  [SMALL_STATE(840)] = 40749,
  [SMALL_STATE(841)] = 40842,
  [SMALL_STATE(842)] = 40895,
  [SMALL_STATE(843)] = 40988,
  [SMALL_STATE(844)] = 41041,
  [SMALL_STATE(845)] = 41134,
  [SMALL_STATE(846)] = 41187,
  [SMALL_STATE(847)] = 41278,
  [SMALL_STATE(848)] = 41367,
  [SMALL_STATE(849)] = 41420,
  [SMALL_STATE(850)] = 41473,
  [SMALL_STATE(851)] = 41526,
  [SMALL_STATE(852)] = 41579,
  [SMALL_STATE(853)] = 41632,
  [SMALL_STATE(854)] = 41689,
  [SMALL_STATE(855)] = 41742,
  [SMALL_STATE(856)] = 41799,
  [SMALL_STATE(857)] = 41898,
  [SMALL_STATE(858)] = 41991,
  [SMALL_STATE(859)] = 42046,
  [SMALL_STATE(860)] = 42099,
  [SMALL_STATE(861)] = 42152,
  [SMALL_STATE(862)] = 42205,
  [SMALL_STATE(863)] = 42298,
  [SMALL_STATE(864)] = 42351,
  [SMALL_STATE(865)] = 42404,
  [SMALL_STATE(866)] = 42497,
  [SMALL_STATE(867)] = 42588,
  [SMALL_STATE(868)] = 42681,
  [SMALL_STATE(869)] = 42734,
  [SMALL_STATE(870)] = 42787,
  [SMALL_STATE(871)] = 42880,
  [SMALL_STATE(872)] = 42933,
  [SMALL_STATE(873)] = 42986,
  [SMALL_STATE(874)] = 43039,
  [SMALL_STATE(875)] = 43092,
  [SMALL_STATE(876)] = 43145,
  [SMALL_STATE(877)] = 43198,
  [SMALL_STATE(878)] = 43251,
  [SMALL_STATE(879)] = 43304,
  [SMALL_STATE(880)] = 43357,
  [SMALL_STATE(881)] = 43410,
  [SMALL_STATE(882)] = 43467,
  [SMALL_STATE(883)] = 43524,
  [SMALL_STATE(884)] = 43577,
  [SMALL_STATE(885)] = 43630,
  [SMALL_STATE(886)] = 43683,
  [SMALL_STATE(887)] = 43736,
  [SMALL_STATE(888)] = 43789,
  [SMALL_STATE(889)] = 43842,
  [SMALL_STATE(890)] = 43895,
  [SMALL_STATE(891)] = 43948,
  [SMALL_STATE(892)] = 44001,
  [SMALL_STATE(893)] = 44054,
  [SMALL_STATE(894)] = 44107,
  [SMALL_STATE(895)] = 44160,
  [SMALL_STATE(896)] = 44213,
  [SMALL_STATE(897)] = 44266,
  [SMALL_STATE(898)] = 44359,
  [SMALL_STATE(899)] = 44412,
  [SMALL_STATE(900)] = 44465,
  [SMALL_STATE(901)] = 44520,
  [SMALL_STATE(902)] = 44613,
  [SMALL_STATE(903)] = 44666,
  [SMALL_STATE(904)] = 44719,
  [SMALL_STATE(905)] = 44772,
  [SMALL_STATE(906)] = 44827,
  [SMALL_STATE(907)] = 44880,
  [SMALL_STATE(908)] = 44947,
  [SMALL_STATE(909)] = 45018,
  [SMALL_STATE(910)] = 45093,
  [SMALL_STATE(911)] = 45170,
  [SMALL_STATE(912)] = 45249,
  [SMALL_STATE(913)] = 45330,
  [SMALL_STATE(914)] = 45417,
  [SMALL_STATE(915)] = 45480,
  [SMALL_STATE(916)] = 45533,
  [SMALL_STATE(917)] = 45598,
  [SMALL_STATE(918)] = 45651,
  [SMALL_STATE(919)] = 45704,
  [SMALL_STATE(920)] = 45757,
  [SMALL_STATE(921)] = 45840,
  [SMALL_STATE(922)] = 45893,
  [SMALL_STATE(923)] = 45946,
  [SMALL_STATE(924)] = 45999,
  [SMALL_STATE(925)] = 46052,
  [SMALL_STATE(926)] = 46105,
  [SMALL_STATE(927)] = 46158,
  [SMALL_STATE(928)] = 46211,
  [SMALL_STATE(929)] = 46264,
  [SMALL_STATE(930)] = 46317,
  [SMALL_STATE(931)] = 46370,
  [SMALL_STATE(932)] = 46423,
  [SMALL_STATE(933)] = 46476,
  [SMALL_STATE(934)] = 46533,
  [SMALL_STATE(935)] = 46590,
  [SMALL_STATE(936)] = 46645,
  [SMALL_STATE(937)] = 46698,
  [SMALL_STATE(938)] = 46750,
  [SMALL_STATE(939)] = 46802,
  [SMALL_STATE(940)] = 46892,
  [SMALL_STATE(941)] = 46980,
  [SMALL_STATE(942)] = 47070,
  [SMALL_STATE(943)] = 47160,
  [SMALL_STATE(944)] = 47250,
  [SMALL_STATE(945)] = 47340,
  [SMALL_STATE(946)] = 47430,
  [SMALL_STATE(947)] = 47520,
  [SMALL_STATE(948)] = 47614,
  [SMALL_STATE(949)] = 47668,
  [SMALL_STATE(950)] = 47722,
  [SMALL_STATE(951)] = 47814,
  [SMALL_STATE(952)] = 47866,
  [SMALL_STATE(953)] = 47958,
  [SMALL_STATE(954)] = 48046,
  [SMALL_STATE(955)] = 48138,
  [SMALL_STATE(956)] = 48230,
  [SMALL_STATE(957)] = 48322,
  [SMALL_STATE(958)] = 48386,
  [SMALL_STATE(959)] = 48454,
  [SMALL_STATE(960)] = 48506,
  [SMALL_STATE(961)] = 48558,
  [SMALL_STATE(962)] = 48610,
  [SMALL_STATE(963)] = 48662,
  [SMALL_STATE(964)] = 48714,
  [SMALL_STATE(965)] = 48766,
  [SMALL_STATE(966)] = 48818,
  [SMALL_STATE(967)] = 48870,
  [SMALL_STATE(968)] = 48964,
  [SMALL_STATE(969)] = 49018,
  [SMALL_STATE(970)] = 49070,
  [SMALL_STATE(971)] = 49162,
  [SMALL_STATE(972)] = 49220,
  [SMALL_STATE(973)] = 49292,
  [SMALL_STATE(974)] = 49344,
  [SMALL_STATE(975)] = 49396,
  [SMALL_STATE(976)] = 49490,
  [SMALL_STATE(977)] = 49564,
  [SMALL_STATE(978)] = 49640,
  [SMALL_STATE(979)] = 49732,
  [SMALL_STATE(980)] = 49784,
  [SMALL_STATE(981)] = 49862,
  [SMALL_STATE(982)] = 49914,
  [SMALL_STATE(983)] = 49998,
  [SMALL_STATE(984)] = 50058,
  [SMALL_STATE(985)] = 50156,
  [SMALL_STATE(986)] = 50208,
  [SMALL_STATE(987)] = 50262,
  [SMALL_STATE(988)] = 50314,
  [SMALL_STATE(989)] = 50366,
  [SMALL_STATE(990)] = 50428,
  [SMALL_STATE(991)] = 50480,
  [SMALL_STATE(992)] = 50532,
  [SMALL_STATE(993)] = 50584,
  [SMALL_STATE(994)] = 50636,
  [SMALL_STATE(995)] = 50688,
  [SMALL_STATE(996)] = 50740,
  [SMALL_STATE(997)] = 50792,
  [SMALL_STATE(998)] = 50844,
  [SMALL_STATE(999)] = 50896,
  [SMALL_STATE(1000)] = 50948,
  [SMALL_STATE(1001)] = 51040,
  [SMALL_STATE(1002)] = 51132,
  [SMALL_STATE(1003)] = 51184,
  [SMALL_STATE(1004)] = 51264,
  [SMALL_STATE(1005)] = 51316,
  [SMALL_STATE(1006)] = 51368,
  [SMALL_STATE(1007)] = 51420,
  [SMALL_STATE(1008)] = 51472,
  [SMALL_STATE(1009)] = 51524,
  [SMALL_STATE(1010)] = 51582,
  [SMALL_STATE(1011)] = 51676,
  [SMALL_STATE(1012)] = 51728,
  [SMALL_STATE(1013)] = 51780,
  [SMALL_STATE(1014)] = 51832,
  [SMALL_STATE(1015)] = 51886,
  [SMALL_STATE(1016)] = 51938,
  [SMALL_STATE(1017)] = 51990,
  [SMALL_STATE(1018)] = 52042,
  [SMALL_STATE(1019)] = 52096,
  [SMALL_STATE(1020)] = 52148,
  [SMALL_STATE(1021)] = 52242,
  [SMALL_STATE(1022)] = 52296,
  [SMALL_STATE(1023)] = 52390,
  [SMALL_STATE(1024)] = 52442,
  [SMALL_STATE(1025)] = 52536,
  [SMALL_STATE(1026)] = 52588,
  [SMALL_STATE(1027)] = 52640,
  [SMALL_STATE(1028)] = 52692,
  [SMALL_STATE(1029)] = 52744,
  [SMALL_STATE(1030)] = 52796,
  [SMALL_STATE(1031)] = 52890,
  [SMALL_STATE(1032)] = 52942,
  [SMALL_STATE(1033)] = 52994,
  [SMALL_STATE(1034)] = 53046,
  [SMALL_STATE(1035)] = 53098,
  [SMALL_STATE(1036)] = 53150,
  [SMALL_STATE(1037)] = 53202,
  [SMALL_STATE(1038)] = 53254,
  [SMALL_STATE(1039)] = 53306,
  [SMALL_STATE(1040)] = 53358,
  [SMALL_STATE(1041)] = 53410,
  [SMALL_STATE(1042)] = 53462,
  [SMALL_STATE(1043)] = 53514,
  [SMALL_STATE(1044)] = 53566,
  [SMALL_STATE(1045)] = 53618,
  [SMALL_STATE(1046)] = 53670,
  [SMALL_STATE(1047)] = 53722,
  [SMALL_STATE(1048)] = 53774,
  [SMALL_STATE(1049)] = 53826,
  [SMALL_STATE(1050)] = 53920,
  [SMALL_STATE(1051)] = 53972,
  [SMALL_STATE(1052)] = 54024,
  [SMALL_STATE(1053)] = 54118,
  [SMALL_STATE(1054)] = 54170,
  [SMALL_STATE(1055)] = 54260,
  [SMALL_STATE(1056)] = 54312,
  [SMALL_STATE(1057)] = 54366,
  [SMALL_STATE(1058)] = 54418,
  [SMALL_STATE(1059)] = 54470,
  [SMALL_STATE(1060)] = 54564,
  [SMALL_STATE(1061)] = 54616,
  [SMALL_STATE(1062)] = 54668,
  [SMALL_STATE(1063)] = 54720,
  [SMALL_STATE(1064)] = 54814,
  [SMALL_STATE(1065)] = 54866,
  [SMALL_STATE(1066)] = 54918,
  [SMALL_STATE(1067)] = 54970,
  [SMALL_STATE(1068)] = 55024,
  [SMALL_STATE(1069)] = 55076,
  [SMALL_STATE(1070)] = 55128,
  [SMALL_STATE(1071)] = 55180,
  [SMALL_STATE(1072)] = 55232,
  [SMALL_STATE(1073)] = 55284,
  [SMALL_STATE(1074)] = 55336,
  [SMALL_STATE(1075)] = 55388,
  [SMALL_STATE(1076)] = 55440,
  [SMALL_STATE(1077)] = 55492,
  [SMALL_STATE(1078)] = 55586,
  [SMALL_STATE(1079)] = 55680,
  [SMALL_STATE(1080)] = 55732,
  [SMALL_STATE(1081)] = 55784,
  [SMALL_STATE(1082)] = 55836,
  [SMALL_STATE(1083)] = 55926,
  [SMALL_STATE(1084)] = 55978,
  [SMALL_STATE(1085)] = 56030,
  [SMALL_STATE(1086)] = 56124,
  [SMALL_STATE(1087)] = 56176,
  [SMALL_STATE(1088)] = 56228,
  [SMALL_STATE(1089)] = 56280,
  [SMALL_STATE(1090)] = 56332,
  [SMALL_STATE(1091)] = 56384,
  [SMALL_STATE(1092)] = 56436,
  [SMALL_STATE(1093)] = 56490,
  [SMALL_STATE(1094)] = 56542,
  [SMALL_STATE(1095)] = 56594,
  [SMALL_STATE(1096)] = 56646,
  [SMALL_STATE(1097)] = 56698,
  [SMALL_STATE(1098)] = 56750,
  [SMALL_STATE(1099)] = 56844,
  [SMALL_STATE(1100)] = 56896,
  [SMALL_STATE(1101)] = 56948,
  [SMALL_STATE(1102)] = 57042,
  [SMALL_STATE(1103)] = 57094,
  [SMALL_STATE(1104)] = 57146,
  [SMALL_STATE(1105)] = 57198,
  [SMALL_STATE(1106)] = 57292,
  [SMALL_STATE(1107)] = 57344,
  [SMALL_STATE(1108)] = 57438,
  [SMALL_STATE(1109)] = 57490,
  [SMALL_STATE(1110)] = 57542,
  [SMALL_STATE(1111)] = 57636,
  [SMALL_STATE(1112)] = 57690,
  [SMALL_STATE(1113)] = 57784,
  [SMALL_STATE(1114)] = 57836,
  [SMALL_STATE(1115)] = 57888,
  [SMALL_STATE(1116)] = 57940,
  [SMALL_STATE(1117)] = 58005,
  [SMALL_STATE(1118)] = 58066,
  [SMALL_STATE(1119)] = 58119,
  [SMALL_STATE(1120)] = 58172,
  [SMALL_STATE(1121)] = 58225,
  [SMALL_STATE(1122)] = 58284,
  [SMALL_STATE(1123)] = 58339,
  [SMALL_STATE(1124)] = 58394,
  [SMALL_STATE(1125)] = 58475,
  [SMALL_STATE(1126)] = 58544,
  [SMALL_STATE(1127)] = 58617,
  [SMALL_STATE(1128)] = 58692,
  [SMALL_STATE(1129)] = 58769,
  [SMALL_STATE(1130)] = 58848,
  [SMALL_STATE(1131)] = 58933,
  [SMALL_STATE(1132)] = 58988,
  [SMALL_STATE(1133)] = 59051,
  [SMALL_STATE(1134)] = 59141,
  [SMALL_STATE(1135)] = 59233,
  [SMALL_STATE(1136)] = 59323,
  [SMALL_STATE(1137)] = 59413,
  [SMALL_STATE(1138)] = 59503,
  [SMALL_STATE(1139)] = 59589,
  [SMALL_STATE(1140)] = 59681,
  [SMALL_STATE(1141)] = 59773,
  [SMALL_STATE(1142)] = 59865,
  [SMALL_STATE(1143)] = 59917,
  [SMALL_STATE(1144)] = 59969,
  [SMALL_STATE(1145)] = 60059,
  [SMALL_STATE(1146)] = 60149,
  [SMALL_STATE(1147)] = 60241,
  [SMALL_STATE(1148)] = 60333,
  [SMALL_STATE(1149)] = 60423,
  [SMALL_STATE(1150)] = 60513,
  [SMALL_STATE(1151)] = 60605,
  [SMALL_STATE(1152)] = 60695,
  [SMALL_STATE(1153)] = 60747,
  [SMALL_STATE(1154)] = 60839,
  [SMALL_STATE(1155)] = 60927,
  [SMALL_STATE(1156)] = 60979,
  [SMALL_STATE(1157)] = 61031,
  [SMALL_STATE(1158)] = 61100,
  [SMALL_STATE(1159)] = 61147,
  [SMALL_STATE(1160)] = 61230,
  [SMALL_STATE(1161)] = 61277,
  [SMALL_STATE(1162)] = 61360,
  [SMALL_STATE(1163)] = 61407,
  [SMALL_STATE(1164)] = 61490,
  [SMALL_STATE(1165)] = 61537,
  [SMALL_STATE(1166)] = 61584,
  [SMALL_STATE(1167)] = 61631,
  [SMALL_STATE(1168)] = 61678,
  [SMALL_STATE(1169)] = 61761,
  [SMALL_STATE(1170)] = 61808,
  [SMALL_STATE(1171)] = 61889,
  [SMALL_STATE(1172)] = 61970,
  [SMALL_STATE(1173)] = 62017,
  [SMALL_STATE(1174)] = 62100,
  [SMALL_STATE(1175)] = 62147,
  [SMALL_STATE(1176)] = 62206,
  [SMALL_STATE(1177)] = 62267,
  [SMALL_STATE(1178)] = 62330,
  [SMALL_STATE(1179)] = 62395,
  [SMALL_STATE(1180)] = 62462,
  [SMALL_STATE(1181)] = 62509,
  [SMALL_STATE(1182)] = 62556,
  [SMALL_STATE(1183)] = 62603,
  [SMALL_STATE(1184)] = 62686,
  [SMALL_STATE(1185)] = 62733,
  [SMALL_STATE(1186)] = 62780,
  [SMALL_STATE(1187)] = 62863,
  [SMALL_STATE(1188)] = 62910,
  [SMALL_STATE(1189)] = 62957,
  [SMALL_STATE(1190)] = 63004,
  [SMALL_STATE(1191)] = 63051,
  [SMALL_STATE(1192)] = 63098,
  [SMALL_STATE(1193)] = 63147,
  [SMALL_STATE(1194)] = 63194,
  [SMALL_STATE(1195)] = 63241,
  [SMALL_STATE(1196)] = 63324,
  [SMALL_STATE(1197)] = 63371,
  [SMALL_STATE(1198)] = 63418,
  [SMALL_STATE(1199)] = 63465,
  [SMALL_STATE(1200)] = 63512,
  [SMALL_STATE(1201)] = 63593,
  [SMALL_STATE(1202)] = 63676,
  [SMALL_STATE(1203)] = 63749,
  [SMALL_STATE(1204)] = 63804,
  [SMALL_STATE(1205)] = 63861,
  [SMALL_STATE(1206)] = 63942,
  [SMALL_STATE(1207)] = 64023,
  [SMALL_STATE(1208)] = 64094,
  [SMALL_STATE(1209)] = 64175,
  [SMALL_STATE(1210)] = 64222,
  [SMALL_STATE(1211)] = 64269,
  [SMALL_STATE(1212)] = 64322,
  [SMALL_STATE(1213)] = 64369,
  [SMALL_STATE(1214)] = 64416,
  [SMALL_STATE(1215)] = 64463,
  [SMALL_STATE(1216)] = 64510,
  [SMALL_STATE(1217)] = 64559,
  [SMALL_STATE(1218)] = 64606,
  [SMALL_STATE(1219)] = 64653,
  [SMALL_STATE(1220)] = 64736,
  [SMALL_STATE(1221)] = 64783,
  [SMALL_STATE(1222)] = 64830,
  [SMALL_STATE(1223)] = 64877,
  [SMALL_STATE(1224)] = 64924,
  [SMALL_STATE(1225)] = 65005,
  [SMALL_STATE(1226)] = 65082,
  [SMALL_STATE(1227)] = 65129,
  [SMALL_STATE(1228)] = 65216,
  [SMALL_STATE(1229)] = 65299,
  [SMALL_STATE(1230)] = 65346,
  [SMALL_STATE(1231)] = 65393,
  [SMALL_STATE(1232)] = 65440,
  [SMALL_STATE(1233)] = 65487,
  [SMALL_STATE(1234)] = 65534,
  [SMALL_STATE(1235)] = 65581,
  [SMALL_STATE(1236)] = 65628,
  [SMALL_STATE(1237)] = 65677,
  [SMALL_STATE(1238)] = 65724,
  [SMALL_STATE(1239)] = 65771,
  [SMALL_STATE(1240)] = 65818,
  [SMALL_STATE(1241)] = 65865,
  [SMALL_STATE(1242)] = 65914,
  [SMALL_STATE(1243)] = 65997,
  [SMALL_STATE(1244)] = 66044,
  [SMALL_STATE(1245)] = 66091,
  [SMALL_STATE(1246)] = 66138,
  [SMALL_STATE(1247)] = 66185,
  [SMALL_STATE(1248)] = 66232,
  [SMALL_STATE(1249)] = 66279,
  [SMALL_STATE(1250)] = 66326,
  [SMALL_STATE(1251)] = 66373,
  [SMALL_STATE(1252)] = 66420,
  [SMALL_STATE(1253)] = 66467,
  [SMALL_STATE(1254)] = 66514,
  [SMALL_STATE(1255)] = 66561,
  [SMALL_STATE(1256)] = 66644,
  [SMALL_STATE(1257)] = 66691,
  [SMALL_STATE(1258)] = 66738,
  [SMALL_STATE(1259)] = 66785,
  [SMALL_STATE(1260)] = 66834,
  [SMALL_STATE(1261)] = 66915,
  [SMALL_STATE(1262)] = 66998,
  [SMALL_STATE(1263)] = 67045,
  [SMALL_STATE(1264)] = 67092,
  [SMALL_STATE(1265)] = 67175,
  [SMALL_STATE(1266)] = 67222,
  [SMALL_STATE(1267)] = 67269,
  [SMALL_STATE(1268)] = 67352,
  [SMALL_STATE(1269)] = 67399,
  [SMALL_STATE(1270)] = 67446,
  [SMALL_STATE(1271)] = 67493,
  [SMALL_STATE(1272)] = 67540,
  [SMALL_STATE(1273)] = 67587,
  [SMALL_STATE(1274)] = 67636,
  [SMALL_STATE(1275)] = 67685,
  [SMALL_STATE(1276)] = 67732,
  [SMALL_STATE(1277)] = 67779,
  [SMALL_STATE(1278)] = 67826,
  [SMALL_STATE(1279)] = 67873,
  [SMALL_STATE(1280)] = 67922,
  [SMALL_STATE(1281)] = 68005,
  [SMALL_STATE(1282)] = 68052,
  [SMALL_STATE(1283)] = 68099,
  [SMALL_STATE(1284)] = 68146,
  [SMALL_STATE(1285)] = 68193,
  [SMALL_STATE(1286)] = 68240,
  [SMALL_STATE(1287)] = 68323,
  [SMALL_STATE(1288)] = 68370,
  [SMALL_STATE(1289)] = 68417,
  [SMALL_STATE(1290)] = 68466,
  [SMALL_STATE(1291)] = 68553,
  [SMALL_STATE(1292)] = 68600,
  [SMALL_STATE(1293)] = 68647,
  [SMALL_STATE(1294)] = 68694,
  [SMALL_STATE(1295)] = 68777,
  [SMALL_STATE(1296)] = 68864,
  [SMALL_STATE(1297)] = 68911,
  [SMALL_STATE(1298)] = 68958,
  [SMALL_STATE(1299)] = 69007,
  [SMALL_STATE(1300)] = 69054,
  [SMALL_STATE(1301)] = 69101,
  [SMALL_STATE(1302)] = 69148,
  [SMALL_STATE(1303)] = 69195,
  [SMALL_STATE(1304)] = 69242,
  [SMALL_STATE(1305)] = 69289,
  [SMALL_STATE(1306)] = 69336,
  [SMALL_STATE(1307)] = 69383,
  [SMALL_STATE(1308)] = 69430,
  [SMALL_STATE(1309)] = 69477,
  [SMALL_STATE(1310)] = 69524,
  [SMALL_STATE(1311)] = 69571,
  [SMALL_STATE(1312)] = 69654,
  [SMALL_STATE(1313)] = 69703,
  [SMALL_STATE(1314)] = 69750,
  [SMALL_STATE(1315)] = 69831,
  [SMALL_STATE(1316)] = 69882,
  [SMALL_STATE(1317)] = 69929,
  [SMALL_STATE(1318)] = 69976,
  [SMALL_STATE(1319)] = 70023,
  [SMALL_STATE(1320)] = 70070,
  [SMALL_STATE(1321)] = 70117,
  [SMALL_STATE(1322)] = 70200,
  [SMALL_STATE(1323)] = 70288,
  [SMALL_STATE(1324)] = 70376,
  [SMALL_STATE(1325)] = 70464,
  [SMALL_STATE(1326)] = 70552,
  [SMALL_STATE(1327)] = 70640,
  [SMALL_STATE(1328)] = 70728,
  [SMALL_STATE(1329)] = 70816,
  [SMALL_STATE(1330)] = 70904,
  [SMALL_STATE(1331)] = 70992,
  [SMALL_STATE(1332)] = 71080,
  [SMALL_STATE(1333)] = 71168,
  [SMALL_STATE(1334)] = 71256,
  [SMALL_STATE(1335)] = 71344,
  [SMALL_STATE(1336)] = 71432,
  [SMALL_STATE(1337)] = 71511,
  [SMALL_STATE(1338)] = 71590,
  [SMALL_STATE(1339)] = 71675,
  [SMALL_STATE(1340)] = 71754,
  [SMALL_STATE(1341)] = 71837,
  [SMALL_STATE(1342)] = 71916,
  [SMALL_STATE(1343)] = 71995,
  [SMALL_STATE(1344)] = 72042,
  [SMALL_STATE(1345)] = 72089,
  [SMALL_STATE(1346)] = 72172,
  [SMALL_STATE(1347)] = 72257,
  [SMALL_STATE(1348)] = 72336,
  [SMALL_STATE(1349)] = 72415,
  [SMALL_STATE(1350)] = 72494,
  [SMALL_STATE(1351)] = 72579,
  [SMALL_STATE(1352)] = 72664,
  [SMALL_STATE(1353)] = 72746,
  [SMALL_STATE(1354)] = 72828,
  [SMALL_STATE(1355)] = 72910,
  [SMALL_STATE(1356)] = 72992,
  [SMALL_STATE(1357)] = 73074,
  [SMALL_STATE(1358)] = 73156,
  [SMALL_STATE(1359)] = 73238,
  [SMALL_STATE(1360)] = 73320,
  [SMALL_STATE(1361)] = 73402,
  [SMALL_STATE(1362)] = 73484,
  [SMALL_STATE(1363)] = 73566,
  [SMALL_STATE(1364)] = 73648,
  [SMALL_STATE(1365)] = 73730,
  [SMALL_STATE(1366)] = 73812,
  [SMALL_STATE(1367)] = 73894,
  [SMALL_STATE(1368)] = 73976,
  [SMALL_STATE(1369)] = 74058,
  [SMALL_STATE(1370)] = 74140,
  [SMALL_STATE(1371)] = 74222,
  [SMALL_STATE(1372)] = 74304,
  [SMALL_STATE(1373)] = 74386,
  [SMALL_STATE(1374)] = 74468,
  [SMALL_STATE(1375)] = 74550,
  [SMALL_STATE(1376)] = 74632,
  [SMALL_STATE(1377)] = 74714,
  [SMALL_STATE(1378)] = 74796,
  [SMALL_STATE(1379)] = 74878,
  [SMALL_STATE(1380)] = 74960,
  [SMALL_STATE(1381)] = 75042,
  [SMALL_STATE(1382)] = 75124,
  [SMALL_STATE(1383)] = 75206,
  [SMALL_STATE(1384)] = 75288,
  [SMALL_STATE(1385)] = 75370,
  [SMALL_STATE(1386)] = 75452,
  [SMALL_STATE(1387)] = 75534,
  [SMALL_STATE(1388)] = 75616,
  [SMALL_STATE(1389)] = 75698,
  [SMALL_STATE(1390)] = 75780,
  [SMALL_STATE(1391)] = 75862,
  [SMALL_STATE(1392)] = 75944,
  [SMALL_STATE(1393)] = 76026,
  [SMALL_STATE(1394)] = 76108,
  [SMALL_STATE(1395)] = 76190,
  [SMALL_STATE(1396)] = 76272,
  [SMALL_STATE(1397)] = 76354,
  [SMALL_STATE(1398)] = 76436,
  [SMALL_STATE(1399)] = 76518,
  [SMALL_STATE(1400)] = 76600,
  [SMALL_STATE(1401)] = 76682,
  [SMALL_STATE(1402)] = 76764,
  [SMALL_STATE(1403)] = 76846,
  [SMALL_STATE(1404)] = 76928,
  [SMALL_STATE(1405)] = 77010,
  [SMALL_STATE(1406)] = 77092,
  [SMALL_STATE(1407)] = 77174,
  [SMALL_STATE(1408)] = 77256,
  [SMALL_STATE(1409)] = 77338,
  [SMALL_STATE(1410)] = 77420,
  [SMALL_STATE(1411)] = 77502,
  [SMALL_STATE(1412)] = 77584,
  [SMALL_STATE(1413)] = 77666,
  [SMALL_STATE(1414)] = 77748,
  [SMALL_STATE(1415)] = 77830,
  [SMALL_STATE(1416)] = 77912,
  [SMALL_STATE(1417)] = 77994,
  [SMALL_STATE(1418)] = 78076,
  [SMALL_STATE(1419)] = 78158,
  [SMALL_STATE(1420)] = 78240,
  [SMALL_STATE(1421)] = 78322,
  [SMALL_STATE(1422)] = 78404,
  [SMALL_STATE(1423)] = 78486,
  [SMALL_STATE(1424)] = 78568,
  [SMALL_STATE(1425)] = 78650,
  [SMALL_STATE(1426)] = 78732,
  [SMALL_STATE(1427)] = 78814,
  [SMALL_STATE(1428)] = 78896,
  [SMALL_STATE(1429)] = 78978,
  [SMALL_STATE(1430)] = 79060,
  [SMALL_STATE(1431)] = 79142,
  [SMALL_STATE(1432)] = 79224,
  [SMALL_STATE(1433)] = 79306,
  [SMALL_STATE(1434)] = 79388,
  [SMALL_STATE(1435)] = 79434,
  [SMALL_STATE(1436)] = 79516,
  [SMALL_STATE(1437)] = 79598,
  [SMALL_STATE(1438)] = 79680,
  [SMALL_STATE(1439)] = 79762,
  [SMALL_STATE(1440)] = 79844,
  [SMALL_STATE(1441)] = 79926,
  [SMALL_STATE(1442)] = 80008,
  [SMALL_STATE(1443)] = 80090,
  [SMALL_STATE(1444)] = 80172,
  [SMALL_STATE(1445)] = 80254,
  [SMALL_STATE(1446)] = 80336,
  [SMALL_STATE(1447)] = 80418,
  [SMALL_STATE(1448)] = 80500,
  [SMALL_STATE(1449)] = 80582,
  [SMALL_STATE(1450)] = 80664,
  [SMALL_STATE(1451)] = 80746,
  [SMALL_STATE(1452)] = 80792,
  [SMALL_STATE(1453)] = 80874,
  [SMALL_STATE(1454)] = 80956,
  [SMALL_STATE(1455)] = 81038,
  [SMALL_STATE(1456)] = 81120,
  [SMALL_STATE(1457)] = 81202,
  [SMALL_STATE(1458)] = 81284,
  [SMALL_STATE(1459)] = 81366,
  [SMALL_STATE(1460)] = 81448,
  [SMALL_STATE(1461)] = 81530,
  [SMALL_STATE(1462)] = 81612,
  [SMALL_STATE(1463)] = 81694,
  [SMALL_STATE(1464)] = 81776,
  [SMALL_STATE(1465)] = 81858,
  [SMALL_STATE(1466)] = 81937,
  [SMALL_STATE(1467)] = 82016,
  [SMALL_STATE(1468)] = 82051,
  [SMALL_STATE(1469)] = 82086,
  [SMALL_STATE(1470)] = 82121,
  [SMALL_STATE(1471)] = 82156,
  [SMALL_STATE(1472)] = 82194,
  [SMALL_STATE(1473)] = 82232,
  [SMALL_STATE(1474)] = 82270,
  [SMALL_STATE(1475)] = 82308,
  [SMALL_STATE(1476)] = 82346,
  [SMALL_STATE(1477)] = 82384,
  [SMALL_STATE(1478)] = 82422,
  [SMALL_STATE(1479)] = 82460,
  [SMALL_STATE(1480)] = 82498,
  [SMALL_STATE(1481)] = 82536,
  [SMALL_STATE(1482)] = 82574,
  [SMALL_STATE(1483)] = 82612,
  [SMALL_STATE(1484)] = 82650,
  [SMALL_STATE(1485)] = 82688,
  [SMALL_STATE(1486)] = 82726,
  [SMALL_STATE(1487)] = 82764,
  [SMALL_STATE(1488)] = 82802,
  [SMALL_STATE(1489)] = 82840,
  [SMALL_STATE(1490)] = 82878,
  [SMALL_STATE(1491)] = 82916,
  [SMALL_STATE(1492)] = 82954,
  [SMALL_STATE(1493)] = 82992,
  [SMALL_STATE(1494)] = 83030,
  [SMALL_STATE(1495)] = 83068,
  [SMALL_STATE(1496)] = 83106,
  [SMALL_STATE(1497)] = 83144,
  [SMALL_STATE(1498)] = 83182,
  [SMALL_STATE(1499)] = 83220,
  [SMALL_STATE(1500)] = 83258,
  [SMALL_STATE(1501)] = 83296,
  [SMALL_STATE(1502)] = 83334,
  [SMALL_STATE(1503)] = 83372,
  [SMALL_STATE(1504)] = 83410,
  [SMALL_STATE(1505)] = 83448,
  [SMALL_STATE(1506)] = 83486,
  [SMALL_STATE(1507)] = 83524,
  [SMALL_STATE(1508)] = 83562,
  [SMALL_STATE(1509)] = 83600,
  [SMALL_STATE(1510)] = 83638,
  [SMALL_STATE(1511)] = 83676,
  [SMALL_STATE(1512)] = 83714,
  [SMALL_STATE(1513)] = 83732,
  [SMALL_STATE(1514)] = 83750,
  [SMALL_STATE(1515)] = 83768,
  [SMALL_STATE(1516)] = 83783,
  [SMALL_STATE(1517)] = 83798,
  [SMALL_STATE(1518)] = 83813,
  [SMALL_STATE(1519)] = 83828,
  [SMALL_STATE(1520)] = 83843,
  [SMALL_STATE(1521)] = 83858,
  [SMALL_STATE(1522)] = 83873,
  [SMALL_STATE(1523)] = 83888,
  [SMALL_STATE(1524)] = 83913,
  [SMALL_STATE(1525)] = 83928,
  [SMALL_STATE(1526)] = 83943,
  [SMALL_STATE(1527)] = 83957,
  [SMALL_STATE(1528)] = 83979,
  [SMALL_STATE(1529)] = 83999,
  [SMALL_STATE(1530)] = 84017,
  [SMALL_STATE(1531)] = 84037,
  [SMALL_STATE(1532)] = 84057,
  [SMALL_STATE(1533)] = 84077,
  [SMALL_STATE(1534)] = 84099,
  [SMALL_STATE(1535)] = 84113,
  [SMALL_STATE(1536)] = 84131,
  [SMALL_STATE(1537)] = 84149,
  [SMALL_STATE(1538)] = 84171,
  [SMALL_STATE(1539)] = 84189,
  [SMALL_STATE(1540)] = 84209,
  [SMALL_STATE(1541)] = 84231,
  [SMALL_STATE(1542)] = 84249,
  [SMALL_STATE(1543)] = 84267,
  [SMALL_STATE(1544)] = 84287,
  [SMALL_STATE(1545)] = 84307,
  [SMALL_STATE(1546)] = 84325,
  [SMALL_STATE(1547)] = 84343,
  [SMALL_STATE(1548)] = 84365,
  [SMALL_STATE(1549)] = 84387,
  [SMALL_STATE(1550)] = 84409,
  [SMALL_STATE(1551)] = 84427,
  [SMALL_STATE(1552)] = 84449,
  [SMALL_STATE(1553)] = 84469,
  [SMALL_STATE(1554)] = 84488,
  [SMALL_STATE(1555)] = 84507,
  [SMALL_STATE(1556)] = 84526,
  [SMALL_STATE(1557)] = 84545,
  [SMALL_STATE(1558)] = 84564,
  [SMALL_STATE(1559)] = 84583,
  [SMALL_STATE(1560)] = 84602,
  [SMALL_STATE(1561)] = 84621,
  [SMALL_STATE(1562)] = 84640,
  [SMALL_STATE(1563)] = 84659,
  [SMALL_STATE(1564)] = 84678,
  [SMALL_STATE(1565)] = 84697,
  [SMALL_STATE(1566)] = 84716,
  [SMALL_STATE(1567)] = 84735,
  [SMALL_STATE(1568)] = 84750,
  [SMALL_STATE(1569)] = 84769,
  [SMALL_STATE(1570)] = 84788,
  [SMALL_STATE(1571)] = 84807,
  [SMALL_STATE(1572)] = 84826,
  [SMALL_STATE(1573)] = 84845,
  [SMALL_STATE(1574)] = 84864,
  [SMALL_STATE(1575)] = 84883,
  [SMALL_STATE(1576)] = 84902,
  [SMALL_STATE(1577)] = 84921,
  [SMALL_STATE(1578)] = 84940,
  [SMALL_STATE(1579)] = 84959,
  [SMALL_STATE(1580)] = 84978,
  [SMALL_STATE(1581)] = 84993,
  [SMALL_STATE(1582)] = 85012,
  [SMALL_STATE(1583)] = 85031,
  [SMALL_STATE(1584)] = 85050,
  [SMALL_STATE(1585)] = 85069,
  [SMALL_STATE(1586)] = 85088,
  [SMALL_STATE(1587)] = 85107,
  [SMALL_STATE(1588)] = 85123,
  [SMALL_STATE(1589)] = 85139,
  [SMALL_STATE(1590)] = 85155,
  [SMALL_STATE(1591)] = 85171,
  [SMALL_STATE(1592)] = 85185,
  [SMALL_STATE(1593)] = 85201,
  [SMALL_STATE(1594)] = 85215,
  [SMALL_STATE(1595)] = 85231,
  [SMALL_STATE(1596)] = 85245,
  [SMALL_STATE(1597)] = 85261,
  [SMALL_STATE(1598)] = 85277,
  [SMALL_STATE(1599)] = 85287,
  [SMALL_STATE(1600)] = 85297,
  [SMALL_STATE(1601)] = 85310,
  [SMALL_STATE(1602)] = 85321,
  [SMALL_STATE(1603)] = 85334,
  [SMALL_STATE(1604)] = 85347,
  [SMALL_STATE(1605)] = 85360,
  [SMALL_STATE(1606)] = 85373,
  [SMALL_STATE(1607)] = 85386,
  [SMALL_STATE(1608)] = 85399,
  [SMALL_STATE(1609)] = 85412,
  [SMALL_STATE(1610)] = 85425,
  [SMALL_STATE(1611)] = 85438,
  [SMALL_STATE(1612)] = 85451,
  [SMALL_STATE(1613)] = 85462,
  [SMALL_STATE(1614)] = 85475,
  [SMALL_STATE(1615)] = 85488,
  [SMALL_STATE(1616)] = 85501,
  [SMALL_STATE(1617)] = 85514,
  [SMALL_STATE(1618)] = 85527,
  [SMALL_STATE(1619)] = 85540,
  [SMALL_STATE(1620)] = 85553,
  [SMALL_STATE(1621)] = 85566,
  [SMALL_STATE(1622)] = 85579,
  [SMALL_STATE(1623)] = 85592,
  [SMALL_STATE(1624)] = 85605,
  [SMALL_STATE(1625)] = 85618,
  [SMALL_STATE(1626)] = 85631,
  [SMALL_STATE(1627)] = 85644,
  [SMALL_STATE(1628)] = 85657,
  [SMALL_STATE(1629)] = 85670,
  [SMALL_STATE(1630)] = 85683,
  [SMALL_STATE(1631)] = 85696,
  [SMALL_STATE(1632)] = 85709,
  [SMALL_STATE(1633)] = 85722,
  [SMALL_STATE(1634)] = 85735,
  [SMALL_STATE(1635)] = 85748,
  [SMALL_STATE(1636)] = 85761,
  [SMALL_STATE(1637)] = 85774,
  [SMALL_STATE(1638)] = 85787,
  [SMALL_STATE(1639)] = 85800,
  [SMALL_STATE(1640)] = 85813,
  [SMALL_STATE(1641)] = 85826,
  [SMALL_STATE(1642)] = 85839,
  [SMALL_STATE(1643)] = 85852,
  [SMALL_STATE(1644)] = 85865,
  [SMALL_STATE(1645)] = 85878,
  [SMALL_STATE(1646)] = 85891,
  [SMALL_STATE(1647)] = 85904,
  [SMALL_STATE(1648)] = 85917,
  [SMALL_STATE(1649)] = 85930,
  [SMALL_STATE(1650)] = 85943,
  [SMALL_STATE(1651)] = 85956,
  [SMALL_STATE(1652)] = 85969,
  [SMALL_STATE(1653)] = 85982,
  [SMALL_STATE(1654)] = 85995,
  [SMALL_STATE(1655)] = 86008,
  [SMALL_STATE(1656)] = 86021,
  [SMALL_STATE(1657)] = 86034,
  [SMALL_STATE(1658)] = 86047,
  [SMALL_STATE(1659)] = 86060,
  [SMALL_STATE(1660)] = 86073,
  [SMALL_STATE(1661)] = 86086,
  [SMALL_STATE(1662)] = 86099,
  [SMALL_STATE(1663)] = 86112,
  [SMALL_STATE(1664)] = 86125,
  [SMALL_STATE(1665)] = 86138,
  [SMALL_STATE(1666)] = 86151,
  [SMALL_STATE(1667)] = 86164,
  [SMALL_STATE(1668)] = 86177,
  [SMALL_STATE(1669)] = 86190,
  [SMALL_STATE(1670)] = 86203,
  [SMALL_STATE(1671)] = 86216,
  [SMALL_STATE(1672)] = 86226,
  [SMALL_STATE(1673)] = 86236,
  [SMALL_STATE(1674)] = 86244,
  [SMALL_STATE(1675)] = 86254,
  [SMALL_STATE(1676)] = 86264,
  [SMALL_STATE(1677)] = 86274,
  [SMALL_STATE(1678)] = 86284,
  [SMALL_STATE(1679)] = 86294,
  [SMALL_STATE(1680)] = 86304,
  [SMALL_STATE(1681)] = 86314,
  [SMALL_STATE(1682)] = 86324,
  [SMALL_STATE(1683)] = 86334,
  [SMALL_STATE(1684)] = 86344,
  [SMALL_STATE(1685)] = 86354,
  [SMALL_STATE(1686)] = 86364,
  [SMALL_STATE(1687)] = 86374,
  [SMALL_STATE(1688)] = 86384,
  [SMALL_STATE(1689)] = 86394,
  [SMALL_STATE(1690)] = 86404,
  [SMALL_STATE(1691)] = 86414,
  [SMALL_STATE(1692)] = 86424,
  [SMALL_STATE(1693)] = 86434,
  [SMALL_STATE(1694)] = 86444,
  [SMALL_STATE(1695)] = 86454,
  [SMALL_STATE(1696)] = 86464,
  [SMALL_STATE(1697)] = 86474,
  [SMALL_STATE(1698)] = 86482,
  [SMALL_STATE(1699)] = 86492,
  [SMALL_STATE(1700)] = 86502,
  [SMALL_STATE(1701)] = 86512,
  [SMALL_STATE(1702)] = 86522,
  [SMALL_STATE(1703)] = 86532,
  [SMALL_STATE(1704)] = 86542,
  [SMALL_STATE(1705)] = 86552,
  [SMALL_STATE(1706)] = 86562,
  [SMALL_STATE(1707)] = 86572,
  [SMALL_STATE(1708)] = 86582,
  [SMALL_STATE(1709)] = 86592,
  [SMALL_STATE(1710)] = 86600,
  [SMALL_STATE(1711)] = 86608,
  [SMALL_STATE(1712)] = 86618,
  [SMALL_STATE(1713)] = 86628,
  [SMALL_STATE(1714)] = 86638,
  [SMALL_STATE(1715)] = 86648,
  [SMALL_STATE(1716)] = 86658,
  [SMALL_STATE(1717)] = 86668,
  [SMALL_STATE(1718)] = 86678,
  [SMALL_STATE(1719)] = 86688,
  [SMALL_STATE(1720)] = 86698,
  [SMALL_STATE(1721)] = 86708,
  [SMALL_STATE(1722)] = 86718,
  [SMALL_STATE(1723)] = 86726,
  [SMALL_STATE(1724)] = 86736,
  [SMALL_STATE(1725)] = 86746,
  [SMALL_STATE(1726)] = 86756,
  [SMALL_STATE(1727)] = 86766,
  [SMALL_STATE(1728)] = 86776,
  [SMALL_STATE(1729)] = 86786,
  [SMALL_STATE(1730)] = 86796,
  [SMALL_STATE(1731)] = 86806,
  [SMALL_STATE(1732)] = 86814,
  [SMALL_STATE(1733)] = 86824,
  [SMALL_STATE(1734)] = 86834,
  [SMALL_STATE(1735)] = 86844,
  [SMALL_STATE(1736)] = 86854,
  [SMALL_STATE(1737)] = 86864,
  [SMALL_STATE(1738)] = 86874,
  [SMALL_STATE(1739)] = 86884,
  [SMALL_STATE(1740)] = 86894,
  [SMALL_STATE(1741)] = 86904,
  [SMALL_STATE(1742)] = 86912,
  [SMALL_STATE(1743)] = 86922,
  [SMALL_STATE(1744)] = 86932,
  [SMALL_STATE(1745)] = 86942,
  [SMALL_STATE(1746)] = 86952,
  [SMALL_STATE(1747)] = 86962,
  [SMALL_STATE(1748)] = 86972,
  [SMALL_STATE(1749)] = 86982,
  [SMALL_STATE(1750)] = 86992,
  [SMALL_STATE(1751)] = 87002,
  [SMALL_STATE(1752)] = 87009,
  [SMALL_STATE(1753)] = 87016,
  [SMALL_STATE(1754)] = 87023,
  [SMALL_STATE(1755)] = 87030,
  [SMALL_STATE(1756)] = 87037,
  [SMALL_STATE(1757)] = 87044,
  [SMALL_STATE(1758)] = 87051,
  [SMALL_STATE(1759)] = 87058,
  [SMALL_STATE(1760)] = 87065,
  [SMALL_STATE(1761)] = 87072,
  [SMALL_STATE(1762)] = 87079,
  [SMALL_STATE(1763)] = 87086,
  [SMALL_STATE(1764)] = 87093,
  [SMALL_STATE(1765)] = 87100,
  [SMALL_STATE(1766)] = 87107,
  [SMALL_STATE(1767)] = 87114,
  [SMALL_STATE(1768)] = 87121,
  [SMALL_STATE(1769)] = 87128,
  [SMALL_STATE(1770)] = 87135,
  [SMALL_STATE(1771)] = 87142,
  [SMALL_STATE(1772)] = 87149,
  [SMALL_STATE(1773)] = 87156,
  [SMALL_STATE(1774)] = 87163,
  [SMALL_STATE(1775)] = 87170,
  [SMALL_STATE(1776)] = 87177,
  [SMALL_STATE(1777)] = 87184,
  [SMALL_STATE(1778)] = 87191,
  [SMALL_STATE(1779)] = 87198,
  [SMALL_STATE(1780)] = 87205,
  [SMALL_STATE(1781)] = 87212,
  [SMALL_STATE(1782)] = 87219,
  [SMALL_STATE(1783)] = 87226,
  [SMALL_STATE(1784)] = 87233,
  [SMALL_STATE(1785)] = 87240,
  [SMALL_STATE(1786)] = 87247,
  [SMALL_STATE(1787)] = 87254,
  [SMALL_STATE(1788)] = 87261,
  [SMALL_STATE(1789)] = 87268,
  [SMALL_STATE(1790)] = 87275,
  [SMALL_STATE(1791)] = 87282,
  [SMALL_STATE(1792)] = 87289,
  [SMALL_STATE(1793)] = 87296,
  [SMALL_STATE(1794)] = 87303,
  [SMALL_STATE(1795)] = 87310,
  [SMALL_STATE(1796)] = 87317,
  [SMALL_STATE(1797)] = 87324,
  [SMALL_STATE(1798)] = 87331,
  [SMALL_STATE(1799)] = 87338,
  [SMALL_STATE(1800)] = 87345,
  [SMALL_STATE(1801)] = 87352,
  [SMALL_STATE(1802)] = 87359,
  [SMALL_STATE(1803)] = 87366,
  [SMALL_STATE(1804)] = 87373,
  [SMALL_STATE(1805)] = 87380,
  [SMALL_STATE(1806)] = 87387,
  [SMALL_STATE(1807)] = 87394,
  [SMALL_STATE(1808)] = 87401,
  [SMALL_STATE(1809)] = 87408,
  [SMALL_STATE(1810)] = 87415,
  [SMALL_STATE(1811)] = 87422,
  [SMALL_STATE(1812)] = 87429,
  [SMALL_STATE(1813)] = 87436,
  [SMALL_STATE(1814)] = 87443,
  [SMALL_STATE(1815)] = 87450,
  [SMALL_STATE(1816)] = 87457,
  [SMALL_STATE(1817)] = 87464,
  [SMALL_STATE(1818)] = 87471,
  [SMALL_STATE(1819)] = 87478,
  [SMALL_STATE(1820)] = 87485,
  [SMALL_STATE(1821)] = 87492,
  [SMALL_STATE(1822)] = 87499,
  [SMALL_STATE(1823)] = 87506,
  [SMALL_STATE(1824)] = 87513,
  [SMALL_STATE(1825)] = 87520,
  [SMALL_STATE(1826)] = 87527,
  [SMALL_STATE(1827)] = 87534,
  [SMALL_STATE(1828)] = 87541,
  [SMALL_STATE(1829)] = 87548,
  [SMALL_STATE(1830)] = 87555,
  [SMALL_STATE(1831)] = 87562,
  [SMALL_STATE(1832)] = 87569,
  [SMALL_STATE(1833)] = 87576,
  [SMALL_STATE(1834)] = 87583,
  [SMALL_STATE(1835)] = 87590,
  [SMALL_STATE(1836)] = 87597,
  [SMALL_STATE(1837)] = 87604,
  [SMALL_STATE(1838)] = 87611,
  [SMALL_STATE(1839)] = 87618,
  [SMALL_STATE(1840)] = 87625,
  [SMALL_STATE(1841)] = 87632,
  [SMALL_STATE(1842)] = 87639,
  [SMALL_STATE(1843)] = 87646,
  [SMALL_STATE(1844)] = 87653,
  [SMALL_STATE(1845)] = 87660,
  [SMALL_STATE(1846)] = 87667,
  [SMALL_STATE(1847)] = 87674,
  [SMALL_STATE(1848)] = 87681,
  [SMALL_STATE(1849)] = 87688,
  [SMALL_STATE(1850)] = 87695,
  [SMALL_STATE(1851)] = 87702,
  [SMALL_STATE(1852)] = 87709,
  [SMALL_STATE(1853)] = 87716,
  [SMALL_STATE(1854)] = 87723,
  [SMALL_STATE(1855)] = 87730,
  [SMALL_STATE(1856)] = 87737,
  [SMALL_STATE(1857)] = 87744,
  [SMALL_STATE(1858)] = 87751,
  [SMALL_STATE(1859)] = 87758,
  [SMALL_STATE(1860)] = 87765,
  [SMALL_STATE(1861)] = 87772,
  [SMALL_STATE(1862)] = 87779,
  [SMALL_STATE(1863)] = 87786,
  [SMALL_STATE(1864)] = 87793,
  [SMALL_STATE(1865)] = 87800,
  [SMALL_STATE(1866)] = 87807,
  [SMALL_STATE(1867)] = 87814,
  [SMALL_STATE(1868)] = 87821,
  [SMALL_STATE(1869)] = 87828,
  [SMALL_STATE(1870)] = 87835,
  [SMALL_STATE(1871)] = 87842,
  [SMALL_STATE(1872)] = 87849,
  [SMALL_STATE(1873)] = 87856,
  [SMALL_STATE(1874)] = 87863,
  [SMALL_STATE(1875)] = 87870,
  [SMALL_STATE(1876)] = 87877,
  [SMALL_STATE(1877)] = 87884,
  [SMALL_STATE(1878)] = 87891,
  [SMALL_STATE(1879)] = 87898,
  [SMALL_STATE(1880)] = 87905,
  [SMALL_STATE(1881)] = 87912,
  [SMALL_STATE(1882)] = 87919,
  [SMALL_STATE(1883)] = 87926,
  [SMALL_STATE(1884)] = 87933,
  [SMALL_STATE(1885)] = 87940,
  [SMALL_STATE(1886)] = 87947,
  [SMALL_STATE(1887)] = 87954,
  [SMALL_STATE(1888)] = 87961,
  [SMALL_STATE(1889)] = 87968,
  [SMALL_STATE(1890)] = 87975,
  [SMALL_STATE(1891)] = 87982,
  [SMALL_STATE(1892)] = 87989,
  [SMALL_STATE(1893)] = 87996,
  [SMALL_STATE(1894)] = 88003,
  [SMALL_STATE(1895)] = 88010,
  [SMALL_STATE(1896)] = 88017,
  [SMALL_STATE(1897)] = 88024,
  [SMALL_STATE(1898)] = 88031,
  [SMALL_STATE(1899)] = 88038,
  [SMALL_STATE(1900)] = 88045,
  [SMALL_STATE(1901)] = 88052,
  [SMALL_STATE(1902)] = 88059,
  [SMALL_STATE(1903)] = 88066,
  [SMALL_STATE(1904)] = 88073,
  [SMALL_STATE(1905)] = 88080,
  [SMALL_STATE(1906)] = 88087,
  [SMALL_STATE(1907)] = 88094,
  [SMALL_STATE(1908)] = 88101,
  [SMALL_STATE(1909)] = 88108,
  [SMALL_STATE(1910)] = 88115,
  [SMALL_STATE(1911)] = 88122,
  [SMALL_STATE(1912)] = 88129,
  [SMALL_STATE(1913)] = 88136,
  [SMALL_STATE(1914)] = 88143,
  [SMALL_STATE(1915)] = 88150,
  [SMALL_STATE(1916)] = 88157,
  [SMALL_STATE(1917)] = 88164,
  [SMALL_STATE(1918)] = 88171,
  [SMALL_STATE(1919)] = 88178,
  [SMALL_STATE(1920)] = 88185,
  [SMALL_STATE(1921)] = 88192,
  [SMALL_STATE(1922)] = 88199,
  [SMALL_STATE(1923)] = 88206,
  [SMALL_STATE(1924)] = 88213,
  [SMALL_STATE(1925)] = 88220,
  [SMALL_STATE(1926)] = 88227,
  [SMALL_STATE(1927)] = 88234,
  [SMALL_STATE(1928)] = 88241,
  [SMALL_STATE(1929)] = 88248,
  [SMALL_STATE(1930)] = 88255,
  [SMALL_STATE(1931)] = 88262,
  [SMALL_STATE(1932)] = 88269,
  [SMALL_STATE(1933)] = 88276,
  [SMALL_STATE(1934)] = 88283,
  [SMALL_STATE(1935)] = 88290,
  [SMALL_STATE(1936)] = 88297,
  [SMALL_STATE(1937)] = 88304,
  [SMALL_STATE(1938)] = 88311,
  [SMALL_STATE(1939)] = 88318,
  [SMALL_STATE(1940)] = 88325,
  [SMALL_STATE(1941)] = 88332,
  [SMALL_STATE(1942)] = 88339,
  [SMALL_STATE(1943)] = 88346,
  [SMALL_STATE(1944)] = 88353,
  [SMALL_STATE(1945)] = 88360,
  [SMALL_STATE(1946)] = 88367,
  [SMALL_STATE(1947)] = 88374,
  [SMALL_STATE(1948)] = 88381,
  [SMALL_STATE(1949)] = 88388,
  [SMALL_STATE(1950)] = 88395,
  [SMALL_STATE(1951)] = 88402,
  [SMALL_STATE(1952)] = 88409,
  [SMALL_STATE(1953)] = 88416,
  [SMALL_STATE(1954)] = 88423,
  [SMALL_STATE(1955)] = 88430,
  [SMALL_STATE(1956)] = 88437,
  [SMALL_STATE(1957)] = 88444,
  [SMALL_STATE(1958)] = 88451,
  [SMALL_STATE(1959)] = 88458,
  [SMALL_STATE(1960)] = 88465,
  [SMALL_STATE(1961)] = 88472,
  [SMALL_STATE(1962)] = 88479,
  [SMALL_STATE(1963)] = 88486,
  [SMALL_STATE(1964)] = 88493,
  [SMALL_STATE(1965)] = 88500,
  [SMALL_STATE(1966)] = 88507,
  [SMALL_STATE(1967)] = 88514,
  [SMALL_STATE(1968)] = 88521,
  [SMALL_STATE(1969)] = 88528,
  [SMALL_STATE(1970)] = 88535,
  [SMALL_STATE(1971)] = 88542,
  [SMALL_STATE(1972)] = 88549,
  [SMALL_STATE(1973)] = 88556,
  [SMALL_STATE(1974)] = 88563,
  [SMALL_STATE(1975)] = 88570,
  [SMALL_STATE(1976)] = 88577,
  [SMALL_STATE(1977)] = 88584,
  [SMALL_STATE(1978)] = 88591,
  [SMALL_STATE(1979)] = 88598,
  [SMALL_STATE(1980)] = 88605,
  [SMALL_STATE(1981)] = 88612,
  [SMALL_STATE(1982)] = 88619,
  [SMALL_STATE(1983)] = 88626,
  [SMALL_STATE(1984)] = 88633,
  [SMALL_STATE(1985)] = 88640,
  [SMALL_STATE(1986)] = 88647,
  [SMALL_STATE(1987)] = 88654,
  [SMALL_STATE(1988)] = 88661,
  [SMALL_STATE(1989)] = 88668,
  [SMALL_STATE(1990)] = 88675,
  [SMALL_STATE(1991)] = 88682,
  [SMALL_STATE(1992)] = 88689,
  [SMALL_STATE(1993)] = 88696,
  [SMALL_STATE(1994)] = 88703,
  [SMALL_STATE(1995)] = 88710,
  [SMALL_STATE(1996)] = 88717,
  [SMALL_STATE(1997)] = 88724,
  [SMALL_STATE(1998)] = 88731,
  [SMALL_STATE(1999)] = 88738,
  [SMALL_STATE(2000)] = 88745,
  [SMALL_STATE(2001)] = 88752,
  [SMALL_STATE(2002)] = 88759,
  [SMALL_STATE(2003)] = 88766,
  [SMALL_STATE(2004)] = 88773,
  [SMALL_STATE(2005)] = 88780,
  [SMALL_STATE(2006)] = 88787,
  [SMALL_STATE(2007)] = 88794,
  [SMALL_STATE(2008)] = 88801,
  [SMALL_STATE(2009)] = 88808,
  [SMALL_STATE(2010)] = 88815,
  [SMALL_STATE(2011)] = 88822,
  [SMALL_STATE(2012)] = 88829,
  [SMALL_STATE(2013)] = 88836,
  [SMALL_STATE(2014)] = 88843,
  [SMALL_STATE(2015)] = 88850,
  [SMALL_STATE(2016)] = 88857,
  [SMALL_STATE(2017)] = 88864,
  [SMALL_STATE(2018)] = 88871,
  [SMALL_STATE(2019)] = 88878,
  [SMALL_STATE(2020)] = 88885,
  [SMALL_STATE(2021)] = 88892,
  [SMALL_STATE(2022)] = 88899,
  [SMALL_STATE(2023)] = 88906,
  [SMALL_STATE(2024)] = 88913,
  [SMALL_STATE(2025)] = 88920,
  [SMALL_STATE(2026)] = 88927,
  [SMALL_STATE(2027)] = 88934,
  [SMALL_STATE(2028)] = 88941,
  [SMALL_STATE(2029)] = 88948,
  [SMALL_STATE(2030)] = 88955,
  [SMALL_STATE(2031)] = 88962,
  [SMALL_STATE(2032)] = 88969,
  [SMALL_STATE(2033)] = 88976,
  [SMALL_STATE(2034)] = 88983,
  [SMALL_STATE(2035)] = 88990,
  [SMALL_STATE(2036)] = 88997,
  [SMALL_STATE(2037)] = 89004,
  [SMALL_STATE(2038)] = 89011,
  [SMALL_STATE(2039)] = 89018,
  [SMALL_STATE(2040)] = 89025,
  [SMALL_STATE(2041)] = 89032,
  [SMALL_STATE(2042)] = 89039,
  [SMALL_STATE(2043)] = 89046,
  [SMALL_STATE(2044)] = 89053,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1719),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(59),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2033),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2028),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1708),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1696),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1982),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1981),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1713),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [85] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 4, 0, 0),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1733),
  [89] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 4, 0, 0),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1983),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1691),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1694),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1834),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(77),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1922),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1923),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1749),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1689),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2039),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1721),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1699),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1786),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(56),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2014),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1846),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1684),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1707),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1890),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2001),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1817),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1772),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1748),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1905),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2041),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1705),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1717),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1802),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2019),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1735),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1716),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(41),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1835),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1711),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2008),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1810),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1751),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1678),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1740),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1991),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1992),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1782),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1773),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1734),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return, 1, 0, 0),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return, 1, 0, 0),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 16),
  [363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 16),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 16),
  [369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 16),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1838),
  [377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(284),
  [380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(13),
  [383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(23),
  [386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0),
  [388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1719),
  [391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2044),
  [394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(678),
  [397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(59),
  [400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2037),
  [403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0),
  [405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2034),
  [408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2033),
  [411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2028),
  [414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2027),
  [417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(9),
  [420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(492),
  [423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(575),
  [426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1708),
  [429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1696),
  [432] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2004),
  [435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1995),
  [438] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(479),
  [441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(133),
  [444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(587),
  [447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1984),
  [450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1982),
  [453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(450),
  [456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(450),
  [459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(595),
  [462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1981),
  [465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1978),
  [468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1977),
  [471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(599),
  [474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(284),
  [477] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1545),
  [480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1713),
  [483] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(213),
  [486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(289),
  [489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 3, 0, 0),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 2, 0, 0),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1742),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1920),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2020),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1677),
  [511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(43),
  [513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements, 2, 0, 0),
  [515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements, 2, 0, 0), SHIFT_REPEAT(284),
  [518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements, 2, 0, 0), SHIFT_REPEAT(19),
  [521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements, 2, 0, 0), SHIFT_REPEAT(23),
  [524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements, 2, 0, 0), SHIFT_REPEAT(1719),
  [527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements, 2, 0, 0), SHIFT_REPEAT(2044),
  [530] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements, 2, 0, 0), SHIFT_REPEAT(678),
  [533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements, 2, 0, 0), SHIFT_REPEAT(59),
  [536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements, 2, 0, 0), SHIFT_REPEAT(2037),
  [539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements, 2, 0, 0), SHIFT_REPEAT(2034),
  [542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements, 2, 0, 0), SHIFT_REPEAT(2033),
  [545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements, 2, 0, 0), SHIFT_REPEAT(2028),
  [548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements, 2, 0, 0), SHIFT_REPEAT(2027),
  [551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements, 2, 0, 0), SHIFT_REPEAT(9),
  [554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements, 2, 0, 0), SHIFT_REPEAT(492),
  [557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements, 2, 0, 0), SHIFT_REPEAT(575),
  [560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements, 2, 0, 0), SHIFT_REPEAT(1708),
  [563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements, 2, 0, 0), SHIFT_REPEAT(1696),
  [566] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements, 2, 0, 0), SHIFT_REPEAT(2004),
  [569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements, 2, 0, 0), SHIFT_REPEAT(1995),
  [572] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements, 2, 0, 0), SHIFT_REPEAT(479),
  [575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements, 2, 0, 0), SHIFT_REPEAT(133),
  [578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements, 2, 0, 0), SHIFT_REPEAT(587),
  [581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements, 2, 0, 0), SHIFT_REPEAT(1984),
  [584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements, 2, 0, 0), SHIFT_REPEAT(1982),
  [587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements, 2, 0, 0), SHIFT_REPEAT(450),
  [590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements, 2, 0, 0), SHIFT_REPEAT(450),
  [593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements, 2, 0, 0), SHIFT_REPEAT(595),
  [596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements, 2, 0, 0), SHIFT_REPEAT(1981),
  [599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements, 2, 0, 0), SHIFT_REPEAT(1978),
  [602] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements, 2, 0, 0), SHIFT_REPEAT(1977),
  [605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements, 2, 0, 0), SHIFT_REPEAT(599),
  [608] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements, 2, 0, 0), SHIFT_REPEAT(284),
  [611] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements, 2, 0, 0), SHIFT_REPEAT(1545),
  [614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements, 2, 0, 0), SHIFT_REPEAT(1713),
  [617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements, 2, 0, 0), SHIFT_REPEAT(213),
  [620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements, 2, 0, 0), SHIFT_REPEAT(289),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script, 1, 0, 0),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1805),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 6),
  [857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 6),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 3),
  [863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 3),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, 0, 0),
  [909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 4, 0, 0),
  [911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 0),
  [913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 0),
  [915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 5),
  [917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 5),
  [919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 3, 0, 2),
  [921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 3, 0, 2),
  [923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_deref_expression, 3, 0, 0),
  [925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_deref_expression, 3, 0, 0),
  [927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 3, 0, 5),
  [929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 3, 0, 5),
  [931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 5),
  [933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, 0, 5),
  [935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table, 3, 0, 0),
  [937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table, 3, 0, 0),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 4),
  [943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 4),
  [945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 13),
  [947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 13),
  [949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__initz, 3, 0, 0),
  [951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__initz, 3, 0, 0),
  [953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 18),
  [955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 18),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function, 4, 0, 0),
  [963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function, 4, 0, 0),
  [965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char, 1, 0, 0),
  [967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char, 1, 0, 0),
  [969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char, 3, 0, 0),
  [971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char, 3, 0, 0),
  [973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 0),
  [979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 0),
  [981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 10, 0, 0),
  [983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 10, 0, 0),
  [985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 10, 0, 23),
  [987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 10, 0, 23),
  [989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 22),
  [991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 22),
  [993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 9, 0, 0),
  [995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 9, 0, 0),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 0),
  [1001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 0),
  [1003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 9, 0, 0),
  [1005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 9, 0, 0),
  [1007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 3, 0, 0),
  [1009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 3, 0, 0),
  [1011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 9, 0, 23),
  [1013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 9, 0, 23),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [1017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 22),
  [1019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 22),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [1023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 3, 0, 1),
  [1025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 3, 0, 1),
  [1027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 19),
  [1029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 19),
  [1031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 18),
  [1033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 18),
  [1035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 17),
  [1037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 17),
  [1039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [1041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [1043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 8, 0, 0),
  [1045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 8, 0, 0),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [1049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4, 0, 0),
  [1051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4, 0, 0),
  [1053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_statement, 6, 0, 0),
  [1055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_statement, 6, 0, 0),
  [1057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 0),
  [1059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 0),
  [1061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, 0, 0),
  [1063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, 0, 0),
  [1065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3, 0, 0),
  [1067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3, 0, 0),
  [1069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 0),
  [1071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 0),
  [1073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_declaration, 3, 0, 0),
  [1075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_declaration, 3, 0, 0),
  [1077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 12),
  [1079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 12),
  [1081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [1083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 3, 0, 0),
  [1085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield, 3, 0, 0),
  [1087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return, 3, 0, 0),
  [1089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return, 3, 0, 0),
  [1091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table, 2, 0, 0),
  [1093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table, 2, 0, 0),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [1097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_statement, 4, 0, 0),
  [1099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_statement, 4, 0, 0),
  [1101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, 0, 0),
  [1103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 8, 0, 0),
  [1105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 11),
  [1107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 11),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [1111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 4, 0, 0),
  [1113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 4, 0, 0),
  [1115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 8, 0, 14),
  [1117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 8, 0, 14),
  [1119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 4, 0, 4),
  [1121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 4, 0, 4),
  [1123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 4, 0, 5),
  [1125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 4, 0, 5),
  [1127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_expression, 4, 0, 7),
  [1129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_expression, 4, 0, 7),
  [1131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_statement, 2, 0, 8),
  [1133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_statement, 2, 0, 8),
  [1135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [1137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 6),
  [1139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 6),
  [1141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 0),
  [1143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 0),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [1147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 19),
  [1153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 19),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [1157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3, 0, 0),
  [1159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3, 0, 0),
  [1161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table, 4, 0, 0),
  [1167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table, 4, 0, 0),
  [1169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 0),
  [1171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 0),
  [1173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 7, 0, 0),
  [1175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 7, 0, 0),
  [1177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bool, 1, 0, 0),
  [1179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bool, 1, 0, 0),
  [1181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [1183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [1185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_while_statement, 7, 0, 0),
  [1187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_while_statement, 7, 0, 0),
  [1189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, 0, 9),
  [1191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ternary_expression, 5, 0, 9),
  [1193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [1195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 3),
  [1197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 3),
  [1199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function, 5, 0, 0),
  [1201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function, 5, 0, 0),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [1205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [1207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2, 0, 0),
  [1209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 0),
  [1211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 0),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [1215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 14),
  [1217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 14),
  [1219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 2),
  [1221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 2),
  [1223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 13),
  [1225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 13),
  [1227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 17),
  [1229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 17),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [1235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 0),
  [1237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 0),
  [1239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, 0, 0),
  [1241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, 0, 0),
  [1243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 0),
  [1245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 0),
  [1247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [1249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break, 2, 0, 0),
  [1251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break, 2, 0, 0),
  [1253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [1255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [1257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [1259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [1261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 5, 0, 0),
  [1263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 5, 0, 0),
  [1265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue, 2, 0, 0),
  [1267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue, 2, 0, 0),
  [1269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 5, 0, 0),
  [1271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 5, 0, 0),
  [1273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 0),
  [1275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 0),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [1279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 12),
  [1281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 12),
  [1283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 11),
  [1285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 11),
  [1287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return, 2, 0, 0),
  [1289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return, 2, 0, 0),
  [1291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 1),
  [1293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 1),
  [1295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 8, 0, 0),
  [1297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 8, 0, 0),
  [1299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 2, 0, 0),
  [1301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 2, 0, 0),
  [1303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [1305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 5, 0, 0),
  [1307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 5, 0, 0),
  [1309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_statement, 3, 0, 10),
  [1311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_statement, 3, 0, 10),
  [1313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 6, 0, 0),
  [1315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 6, 0, 0),
  [1317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_while_statement, 6, 0, 0),
  [1319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_while_statement, 6, 0, 0),
  [1321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2, 0, 0),
  [1323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2, 0, 0),
  [1325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 6, 0, 0),
  [1327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 6, 0, 0),
  [1329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 7, 0, 0),
  [1331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 7, 0, 0),
  [1333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_variable, 2, 0, 0),
  [1335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_variable, 2, 0, 0),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [1339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_statement, 5, 0, 0),
  [1341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_statement, 5, 0, 0),
  [1343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [1345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [1351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_declaration, 2, 0, 0),
  [1353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_declaration, 2, 0, 0),
  [1355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__initz, 1, 0, 0),
  [1357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__initz, 1, 0, 0),
  [1359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [1361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [1363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [1365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resume_expression, 2, 0, 0),
  [1367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_resume_expression, 2, 0, 0),
  [1369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 2, 0, 0),
  [1371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield, 2, 0, 0),
  [1373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [1375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, 0, 0),
  [1377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, 0, 0),
  [1379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table, 5, 0, 0),
  [1381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table, 5, 0, 0),
  [1383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 0),
  [1385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 0),
  [1387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__initz, 5, 0, 0),
  [1389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__initz, 5, 0, 0),
  [1391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function, 6, 0, 0),
  [1393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function, 6, 0, 0),
  [1395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 1, 0, 0),
  [1397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 1, 0, 0), SHIFT_REPEAT(498),
  [1400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 1, 0, 0),
  [1402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements, 1, 0, 0),
  [1404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements, 1, 0, 0),
  [1406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements, 1, 0, 0), SHIFT_REPEAT(876),
  [1409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [1411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [1413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [1415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [1417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [1419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [1421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [1423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [1425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [1427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [1429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [1431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [1435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [1439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [1441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [1445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [1447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [1449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [1451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [1453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [1455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [1457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [1459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [1463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [1465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [1467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [1469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [1477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_slot, 5, 0, 0),
  [1479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_slot, 5, 0, 0),
  [1481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_slot, 3, 0, 0),
  [1483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_slot, 3, 0, 0),
  [1485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [1487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_slots, 1, 0, 0),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [1491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [1493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [1495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [1497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [1499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [1501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [1503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [1505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_table_slots_repeat1, 2, 0, 0), SHIFT_REPEAT(1434),
  [1508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_table_slots_repeat1, 2, 0, 0),
  [1510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_table_slots_repeat1, 2, 0, 0), SHIFT_REPEAT(684),
  [1513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_table_slots_repeat1, 2, 0, 0), SHIFT_REPEAT(458),
  [1516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_table_slots_repeat1, 2, 0, 0), SHIFT_REPEAT(656),
  [1519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_table_slots_repeat1, 2, 0, 0), SHIFT_REPEAT(1728),
  [1522] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_table_slots_repeat1, 2, 0, 0), SHIFT_REPEAT(1980),
  [1525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_table_slots_repeat1, 2, 0, 0), SHIFT_REPEAT(491),
  [1528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_table_slots_repeat1, 2, 0, 0), SHIFT_REPEAT(447),
  [1531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_table_slots_repeat1, 2, 0, 0), SHIFT_REPEAT(447),
  [1534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_table_slots_repeat1, 2, 0, 0), SHIFT_REPEAT(557),
  [1537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_table_slots_repeat1, 2, 0, 0), SHIFT_REPEAT(1974),
  [1540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_table_slots_repeat1, 2, 0, 0), SHIFT_REPEAT(1972),
  [1543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_table_slots_repeat1, 2, 0, 0), SHIFT_REPEAT(660),
  [1546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_table_slots_repeat1, 2, 0, 0), SHIFT_REPEAT(843),
  [1549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_table_slots_repeat1, 2, 0, 0), SHIFT_REPEAT(843),
  [1552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_table_slots_repeat1, 2, 0, 0), SHIFT_REPEAT(1535),
  [1555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_table_slots_repeat1, 2, 0, 0), SHIFT_REPEAT(1749),
  [1558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_table_slots_repeat1, 2, 0, 0), SHIFT_REPEAT(824),
  [1561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_table_slots_repeat1, 2, 0, 0), SHIFT_REPEAT(823),
  [1564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_slots, 2, 0, 0),
  [1566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [1568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [1570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [1572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [1574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [1576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [1578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [1580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [1582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [1584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [1586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [1588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [1590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [1592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [1594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [1596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [1598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [1600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [1602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [1604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [1606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [1608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1344),
  [1610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [1612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [1614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [1616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [1618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [1620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [1622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [1624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [1626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_slots, 3, 0, 0),
  [1628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [1630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [1632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [1634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [1636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [1638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [1640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [1642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [1644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [1646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [1648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [1650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [1652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1820),
  [1654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [1656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [1658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [1660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [1662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [1664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [1666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [1668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [1670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [1672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [1674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1313),
  [1676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [1678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [1680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [1682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [1684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [1686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [1688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [1690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [1692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [1694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [1696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [1698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [1700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [1702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [1704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [1706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [1708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [1710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [1712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [1714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [1716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [1718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [1720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [1722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [1724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [1726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [1728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [1730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [1732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [1734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [1736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [1738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [1742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [1744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [1746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [1748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [1750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [1752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [1754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [1756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [1758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [1760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [1762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [1764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [1766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [1768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [1770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [1772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [1774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [1776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [1778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [1780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [1782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [1784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [1786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [1788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [1790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [1792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [1794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [1796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [1798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [1800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [1802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [1804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [1806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [1808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [1810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [1812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [1814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [1816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [1818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [1820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [1822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [1824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [1826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [1828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [1830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [1832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [1834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [1836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [1838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [1840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [1842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [1844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [1846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [1848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [1850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [1852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [1854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [1856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [1858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [1860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [1862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [1864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [1866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [1868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [1870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [1872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [1874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [1876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [1878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [1880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [1882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [1884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [1886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [1888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [1890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [1892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [1894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [1896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [1898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [1900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [1902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [1904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [1906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [1908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [1910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [1912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [1914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [1916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [1918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [1920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [1922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [1924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [1926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [1928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [1930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [1932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [1934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [1936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [1938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [1940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [1942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [1944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [1946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [1948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [1950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements, 2, 0, 0),
  [1952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [1954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [1956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [1958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [1960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [1962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [1964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [1966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [1968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [1970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [1972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [1974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [1976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [1978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [1980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [1982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [1984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [1986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [1988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [1990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [1992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [1994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [1996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [1998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [2000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [2002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [2004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [2006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [2008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [2010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [2012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [2014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [2016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [2018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [2020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [2022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [2024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [2026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [2028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [2030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [2032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [2034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [2036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [2038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [2040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [2042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [2044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [2046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [2048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [2050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [2052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [2054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [2056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [2058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [2060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [2062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [2064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [2066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [2068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [2070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [2072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [2074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [2076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [2078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [2080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [2082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [2084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [2086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [2088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [2090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [2092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [2094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [2098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [2100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [2102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [2104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [2106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [2108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [2110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [2112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [2114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [2116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [2118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [2120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [2122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [2124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [2126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [2128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [2130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [2132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [2134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [2136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_declaration, 5, 0, 0),
  [2138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [2140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_declaration, 5, 0, 0),
  [2142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_declaration, 4, 0, 0),
  [2144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_declaration, 4, 0, 0),
  [2146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_declaration, 3, 0, 0),
  [2148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [2150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_declaration, 3, 0, 0),
  [2152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [2154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [2156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [2158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_declaration, 6, 0, 0),
  [2160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [2162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_declaration, 6, 0, 0),
  [2164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [2166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [2168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [2170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [2172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [2174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [2176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [2178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [2180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [2182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1754),
  [2184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [2186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [2188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [2190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [2192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [2194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [2196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [2198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [2200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [2202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [2204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [2206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [2208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [2210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [2212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [2214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [2216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [2218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [2220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [2222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [2224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [2226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [2228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [2230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [2232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [2234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [2236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [2238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [2240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [2242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [2244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [2246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [2248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [2250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_value, 1, 0, 0),
  [2252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [2254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [2256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [2258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1739),
  [2260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [2262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [2264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [2266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [2268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [2270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [2272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [2274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [2276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [2278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [2280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [2282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_args, 1, 0, 0),
  [2284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [2286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [2288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [2290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [2292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [2294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [2296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [2298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [2300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [2302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [2304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [2306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [2308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [2310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [2312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [2316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [2318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [2320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [2322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [2324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [2326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [2328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [2330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [2334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [2336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(995),
  [2338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [2340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_call_args_repeat1, 2, 0, 0),
  [2342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [2344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [2346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [2348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [2350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_value, 1, 0, 0),
  [2352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0),
  [2354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [2358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [2360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [2362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [2364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [2366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [2370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [2372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [2378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [2380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [2382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [2384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [2388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [2390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [2392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [2394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [2396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [2400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [2402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [2404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [2406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [2412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [2414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [2416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [2424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [2430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [2432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [2434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [2440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [2448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [2450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [2452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [2454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [2464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [2466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [2468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [2470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [2474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [2476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [2478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [2482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [2486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [2488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [2492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [2502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [2508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [2522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [2528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [2530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [2532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [2534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [2538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [2542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [2546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [2550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [2552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [2554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [2556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [2558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [2562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [2564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [2568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [2570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [2572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [2574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [2576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [2580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [2582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [2584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [2586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [2588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [2590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [2592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [2594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [2596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [2598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [2600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [2606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_slot, 1, 0, 0),
  [2608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_slot, 1, 0, 0),
  [2610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_table_slots_repeat1, 2, 0, 0),
  [2612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1755),
  [2614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [2616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1761),
  [2618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [2620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1759),
  [2622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1756),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [2628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [2632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [2634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [2636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [2638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [2640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat2, 2, 0, 0), SHIFT_REPEAT(1755),
  [2643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat2, 2, 0, 0),
  [2645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat2, 2, 0, 0), SHIFT_REPEAT(1761),
  [2648] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat2, 2, 0, 0), SHIFT_REPEAT(639),
  [2651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat2, 2, 0, 0), SHIFT_REPEAT(1759),
  [2654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat2, 2, 0, 0), SHIFT_REPEAT(1756),
  [2657] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat2, 2, 0, 0), SHIFT_REPEAT(1819),
  [2660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [2692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_declaration, 7, 0, 0),
  [2694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_declaration, 7, 0, 0),
  [2696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_declaration, 2, 0, 0),
  [2698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_declaration, 2, 0, 0),
  [2700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_declaration, 1, 0, 0),
  [2702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_declaration, 1, 0, 0),
  [2704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1852),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [2708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1857),
  [2710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 5, 0, 15),
  [2712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 5, 0, 15),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [2716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [2724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [2726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [2730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1542),
  [2732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [2734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [2738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [2742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 6, 0, 20),
  [2744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 6, 0, 20),
  [2746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [2750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1538),
  [2752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [2754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [2756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [2758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [2760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [2762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [2764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [2766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [2768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [2770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1536),
  [2772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [2774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1542),
  [2777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1542),
  [2780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [2782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [2784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [2786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [2788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1550),
  [2790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [2792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [2794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [2796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [2798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [2800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [2804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [2806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [2808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [2810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [2812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [2814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [2816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [2818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [2820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [2822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [2824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [2826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [2828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [2830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [2832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [2834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [2836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [2838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [2840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [2842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [2844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [2848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [2850] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1823),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [2863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [2877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_statement_repeat1, 2, 0, 0),
  [2879] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(594),
  [2882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [2884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [2886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [2888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [2892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [2894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [2896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [2898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [2900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [2902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [2904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [2906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [2908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [2910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [2912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [2914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [2916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [2922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [2924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [2926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [2930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 0),
  [2932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [2934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_declaration_repeat1, 2, 0, 0),
  [2936] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1830),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [2941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 2, 0, 0),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [2955] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 21), SHIFT_REPEAT(1864),
  [2958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 21),
  [2960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_repeat1, 2, 0, 0),
  [2962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1871),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [2967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [2973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [2985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [2989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [2991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [3007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [3013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [3015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [3019] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(606),
  [3022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [3024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_args_repeat1, 2, 0, 0), SHIFT_REPEAT(464),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [3031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [3035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_args, 2, 0, 0),
  [3037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [3039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 1, 0, 0),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [3049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [3055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0),
  [3057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(1616),
  [3060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [3062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [3064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [3066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [3068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 3, 0, 0),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [3072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [3074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [3076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [3078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [3080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [3082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [3084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [3086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [3088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [3090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [3092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [3094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1066),
  [3096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [3098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [3100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [3102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [3104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [3106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [3108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [3110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [3112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [3114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [3116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [3118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [3120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [3122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [3128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [3130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 4, 0, 15),
  [3132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [3134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [3138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [3140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [3142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [3146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [3150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_repeat1, 4, 0, 0),
  [3152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1758),
  [3154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [3156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [3158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [3160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [3162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [3164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1964),
  [3166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [3168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [3170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [3172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [3174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [3176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [3178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualifier, 1, 0, 0),
  [3180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [3182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [3184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [3186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [3188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [3190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [3192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [3194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [3196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [3198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [3200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [3202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [3204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [3206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [3208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [3210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [3212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [3214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [3216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [3218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [3220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [3222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [3224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [3226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [3228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [3230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [3232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [3234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [3236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [3238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [3240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [3242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [3244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [3246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [3248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [3250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [3252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [3254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [3256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [3258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [3260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [3262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [3264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [3266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [3268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [3270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [3272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [3274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [3276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [3278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [3280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [3282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [3284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [3286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [3288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [3290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [3292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [3294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [3296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [3298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [3300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [3302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [3304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [3306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [3308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [3310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [3312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [3314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [3316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [3318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [3320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [3322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [3324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [3326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [3328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [3330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [3332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [3334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [3336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [3338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [3340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [3342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [3344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [3346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [3348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [3350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [3352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [3354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [3356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [3358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [3360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [3362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [3364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [3366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [3368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [3370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [3372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [3374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [3376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [3378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [3380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [3382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [3384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [3386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [3388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [3390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [3392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [3394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [3396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [3398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [3400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [3402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [3404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [3406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [3408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [3410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [3412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [3414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [3416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [3418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [3420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [3422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [3424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [3426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [3428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [3430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [3432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [3434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [3436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [3438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [3440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [3442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [3444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [3446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [3448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [3450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [3452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [3454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [3456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [3458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [3460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [3462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [3464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [3466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [3468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [3470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [3472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [3474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [3476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [3478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [3480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [3482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [3484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [3486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [3488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [3490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [3492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [3494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [3496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [3498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [3500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [3502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [3504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [3506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [3508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [3510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [3512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [3514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [3516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [3518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [3520] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [3522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [3524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [3526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [3528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [3530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [3532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [3534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [3536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [3538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [3540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [3542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [3544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [3546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [3548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [3550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [3552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [3554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [3556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [3558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [3560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [3562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [3564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [3566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [3568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [3570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [3572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [3574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [3576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [3578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [3580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [3582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [3584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [3586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [3588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [3590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [3592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [3594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [3596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [3598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [3600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [3602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [3604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [3606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [3608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [3610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [3614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [3616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [3620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [3624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [3626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [3628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [3630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [3632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [3634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [3636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [3638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [3640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [3642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [3644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [3646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_verbatim_string = 0,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_verbatim_string] = sym_verbatim_string,
};

static const bool ts_external_scanner_states[2][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_verbatim_string] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_squirrel_external_scanner_create(void);
void tree_sitter_squirrel_external_scanner_destroy(void *);
bool tree_sitter_squirrel_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_squirrel_external_scanner_serialize(void *, char *);
void tree_sitter_squirrel_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_squirrel(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_squirrel_external_scanner_create,
      tree_sitter_squirrel_external_scanner_destroy,
      tree_sitter_squirrel_external_scanner_scan,
      tree_sitter_squirrel_external_scanner_serialize,
      tree_sitter_squirrel_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
